/*
** This file has been pre-processed with DynASM.
** https://luajit.org/dynasm.html
** DynASM version 1.5.0, DynASM arm version 1.5.0
** DO NOT EDIT! The original file is in "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc".
*/

#line 1 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
/*
 *  +----------------------------------------------------------------------+
 *  | Zend JIT                                                             |
 *  +----------------------------------------------------------------------+
 *  | Copyright (c) The PHP Group                                          |
 *  +----------------------------------------------------------------------+
 *  | This source file is subject to version 3.01 of the PHP license,      |
 *  | that is bundled with this package in the file LICENSE, and is        |
 *  | available through the world-wide-web at the following url:           |
 *  | https://www.php.net/license/3_01.txt                                 |
 *  | If you did not receive a copy of the PHP license and are unable to   |
 *  | obtain it through the world-wide-web, please send a note to          |
 *  | license@php.net so we can mail you a copy immediately.               |
 *  +----------------------------------------------------------------------+
 *  | Authors: Dmitry Stogov <dmitry@php.net>                              |
 *  |          Xinchen Hui <laruence@php.net>                              |
 *  |          Hao Sun <hao.sun@arm.com>                                   |
 *  +----------------------------------------------------------------------+
 */

//|.arch arm64
#if DASM_VERSION != 10500
#error "Version mismatch between DynASM and included encoding engine"
#endif
#line 22 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

//|.define FP,      x27
//|.define IP,      x28
//|.define IPl,     w28
//|.define RX,      x28         // the same as VM IP reused as a general purpose reg
//|.define LR,      x30
//|.define CARG1,   x0
//|.define CARG2,   x1
//|.define CARG3,   x2
//|.define CARG4,   x3
//|.define CARG5,   x4
//|.define CARG6,   x5
//|.define CARG1w,  w0
//|.define CARG2w,  w1
//|.define CARG3w,  w2
//|.define CARG4w,  w3
//|.define CARG5w,  w4
//|.define CARG6w,  w5
//|.define RETVALx, x0
//|.define RETVALw, w0
//|.define FCARG1x, x0
//|.define FCARG1w, w0
//|.define FCARG2x, x1
//|.define FCARG2w, w1
//|.define SPAD,    0x20        // padding for CPU stack alignment
//|.define NR_SPAD, 0x30        // padding for CPU stack alignment
//|.define T3,      [sp, #0x28] // Used to store old value of IP (CALL VM only)
//|.define T2,      [sp, #0x20] // Used to store old value of FP (CALL VM only)
//|.define T1,      [sp, #0x10]

// We use REG0/1/2 and FPR0/1 to replace r0/1/2 and xmm0/1 in the x86 implementation.
// Scratch registers
//|.define REG0,    x8
//|.define REG0w,   w8
//|.define REG1,    x9
//|.define REG1w,   w9
//|.define REG2,    x10
//|.define REG2w,   w10
//|.define FPR0,    d0
//|.define FPR1,    d1

//|.define ZREG_REG0,   ZREG_X8
//|.define ZREG_REG1,   ZREG_X9
//|.define ZREG_REG2,   ZREG_X10
//|.define ZREG_FPR0,   ZREG_V0
//|.define ZREG_FPR1,   ZREG_V1

// Temporaries, not preserved across calls
//|.define TMP1,    x15
//|.define TMP1w,   w15
//|.define TMP2,    x16
//|.define TMP2w,   w16
//|.define TMP3,    x17 // TODO: remember about hard-coded: mrs TMP3, tpidr_el0
//|.define TMP3w,   w17
//|.define FPTMP,   d16

//|.define ZREG_TMP1,   ZREG_X15
//|.define ZREG_TMP2,   ZREG_X16
//|.define ZREG_TMP3,   ZREG_X17
//|.define ZREG_FPTMP,  ZREG_V16

//|.define HYBRID_SPAD, 32     // padding for stack alignment

#define TMP_ZVAL_OFFSET 16
#define DASM_ALIGNMENT  16

const char* zend_reg_name[] = {
	"x0", "x1", "x2", "x3", "x4", "x5", "x6", "x7",
	"x8", "x9", "x10", "x11", "x12", "x13", "x14", "x15",
	"x16", "x17", "x18", "x19", "x20", "x21", "x22", "x23",
	"x24", "x25", "x26", "x27", "x28", "x29", "x30", "sp",
	"d0", "d1", "d2", "d3", "d4", "d5", "d6", "d7",
	"d8", "d9", "d10", "d11", "d12", "d13", "d14", "d15",
	"d16", "d17", "d18", "d19", "d20", "d21", "d22", "d23",
	"d24", "d25", "d26", "d27", "d28", "d29", "d30", "d31"
};

#define ZREG_FCARG1 ZREG_X0
#define ZREG_FCARG2 ZREG_X1

//|.type EX, zend_execute_data, FP
#define Dt1(_V) (int)(ptrdiff_t)&(((zend_execute_data *)0)_V)
#line 103 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
//|.type OP, zend_op
#define Dt2(_V) (int)(ptrdiff_t)&(((zend_op *)0)_V)
#line 104 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
//|.type ZVAL, zval
#define Dt3(_V) (int)(ptrdiff_t)&(((zval *)0)_V)
#line 105 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
//|.actionlist dasm_actions
static const unsigned int dasm_actions[133768] = {
0xf840037c,
0x000f0003,
0x00000000,
0x00060014,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0x1000000f,
0x00092000,
0x390001ff,
0x00000000,
0x9000000f,
0x00093000,
0x380001ff,
0x000f0000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0x390001ff,
0x00000000,
0x1000000f,
0x00092000,
0x394001ef,
0x00000000,
0x9000000f,
0x00093000,
0x384001ef,
0x000f0000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0x394001ef,
0x00000000,
0x3400000f,
0x00050801,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0x0006000b,
0x00000000,
0xaa1b03e0,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0x1000000f,
0x00092000,
0xf94001e8,
0x00000000,
0x9000000f,
0x00093000,
0xf84001e8,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf94001e8,
0x00000000,
0xb4000008,
0x00050801,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0x0006000b,
0x00000000,
0x1000000f,
0x00092000,
0xf94001fb,
0x00000000,
0x9000000f,
0x00093000,
0xf84001fb,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf94001fb,
0x00000000,
0xf840037c,
0x000f0003,
0x00000000,
0x910083ff,
0x00000000,
0xf940038f,
0xd61f01e0,
0x00000000,
0xf840000f,
0x000f0003,
0xd61f01e0,
0x00000000,
0xa8c27bfd,
0x00000000,
0xf940038f,
0xd61f01e0,
0x00000000,
0xf840000f,
0x000f0003,
0xd61f01e0,
0x00000000,
0xa94273fb,
0xa8c37bfd,
0x52800020,
0xd65f03c0,
0x00000000,
0x00060015,
0x00000000,
0x910083ff,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xf940038f,
0xd61f01e0,
0x00000000,
0xf840000f,
0x000f0003,
0xd61f01e0,
0x00000000,
0xa8c27bfd,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd61f0100,
0x00000000,
0xaa1b03e0,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xa94273fb,
0xa8c37bfd,
0x37f80000,
0x00051001,
0x52800020,
0x0006000b,
0xd65f03c0,
0x00000000,
0x00060016,
0x00000000,
0x10000008,
0x00092000,
0xf9400108,
0x00000000,
0x90000008,
0x00093000,
0xf8400108,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf9400108,
0x00000000,
0x3840010f,
0x000f0000,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000000,
0x00050801,
0xb8400108,
0x000f0002,
0x8b1b0108,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xb800010f,
0x000f0002,
0x0006000b,
0x14000000,
0x00050015,
0x00000000,
0x00060017,
0x3840038f,
0x000f0000,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000000,
0x00050801,
0xb8400388,
0x000f0002,
0x8b080368,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xb800010f,
0x000f0002,
0x0006000b,
0x3840038f,
0x000f0000,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000000,
0x00050809,
0xb8400388,
0x000f0002,
0x8b1b0108,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0x00060013,
0x3840038f,
0x000f0000,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000000,
0x00050809,
0xb8400388,
0x000f0002,
0x8b1b0108,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0x00060013,
0x14000000,
0x00050015,
0x00000000,
0x00060018,
0x00000000,
0x10000008,
0x00092000,
0xf940011c,
0x00000000,
0x90000008,
0x00093000,
0xf840011c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf940011c,
0x00000000,
0x3840038f,
0x000f0000,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000000,
0x00050801,
0xb8400388,
0x000f0002,
0x8b080368,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xb800010f,
0x000f0002,
0x0006000b,
0x3840038f,
0x000f0000,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000000,
0x00050809,
0xb8400388,
0x000f0002,
0x8b1b0108,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0x00060013,
0x14000000,
0x00050015,
0x00000000,
0x00060019,
0x00000000,
0x6a1f001f,
0x00000000,
0x7200001f,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6a0f001f,
0x00000000,
0x54000001,
0x00050801,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x910083ff,
0x00000000,
0xf940038f,
0xd61f01e0,
0x00000000,
0xf840000f,
0x000f0003,
0xd61f01e0,
0x00000000,
0x0006000b,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x910083ff,
0x00000000,
0xf940038f,
0xd61f01e0,
0x00000000,
0xf840000f,
0x000f0003,
0xd61f01e0,
0x00000000,
0xa8c27bfd,
0x00000000,
0xaa1b03e1,
0xa94273fb,
0xa8c37bfd,
0x00000000,
0x6a1f001f,
0x00000000,
0x7200001f,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6a0f001f,
0x00000000,
0x54000001,
0x00050801,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd61f0100,
0x00000000,
0x0006000b,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd61f0100,
0x00000000,
0x0006001a,
0x00000000,
0x3840038f,
0x000f0000,
0x710001ff,
0x000c0000,
0x54000000,
0x00050805,
0x00000000,
0x10000010,
0x00092000,
0xf900021c,
0x00000000,
0x90000010,
0x00093000,
0xf800021c,
0x000f0003,
0x00000000,
0xaa1f03f0,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0x10000010,
0x00092000,
0x00000000,
0x90000010,
0x00093000,
0x00000000,
0x91000210,
0x000c0000,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xf2c00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf2c00010,
0x000a0205,
0x00000000,
0xd2c00010,
0x000a0205,
0x00000000,
0xf900021c,
0x00000000,
0x0006000f,
0x00000000,
0xaa1f03fc,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0x1000001c,
0x00092000,
0x00000000,
0x9000001c,
0x00093000,
0x00000000,
0x9100039c,
0x000c0000,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0xf2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2c0001c,
0x000a0205,
0x00000000,
0xaa1f03fc,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0x1000001c,
0x00092000,
0x00000000,
0x9000001c,
0x00093000,
0x00000000,
0x9100039c,
0x000c0000,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0xf2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2c0001c,
0x000a0205,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0x14000000,
0x00050015,
0x00000000,
0xaa1c03ef,
0x00000000,
0xf840036f,
0x000f0003,
0x00000000,
0x384001f0,
0x000f0000,
0x7100021f,
0x000c0000,
0x54000000,
0x00050805,
0x00000000,
0x10000010,
0x00092000,
0xf900020f,
0x00000000,
0x90000010,
0x00093000,
0xf800020f,
0x000f0003,
0x00000000,
0xaa1f03f0,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0x10000010,
0x00092000,
0x00000000,
0x90000010,
0x00093000,
0x00000000,
0x91000210,
0x000c0000,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xf2c00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf2c00010,
0x000a0205,
0x00000000,
0xd2c00010,
0x000a0205,
0x00000000,
0xf900020f,
0x00000000,
0x0006000f,
0x00000000,
0xaa1f03fc,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0x1000001c,
0x00092000,
0x00000000,
0x9000001c,
0x00093000,
0x00000000,
0x9100039c,
0x000c0000,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0xf2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2c0001c,
0x000a0205,
0x00000000,
0xaa1f03fc,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0x1000001c,
0x00092000,
0x00000000,
0x9000001c,
0x00093000,
0x00000000,
0x9100039c,
0x000c0000,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0xf2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2c0001c,
0x000a0205,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xa94273fb,
0xa8c37bfd,
0x52800040,
0xd65f03c0,
0x00000000,
0x0006001b,
0xf840037c,
0x000f0003,
0x3840038f,
0x000f0000,
0x710001ff,
0x000c0000,
0x54000000,
0x00050801,
0x00000000,
0x10000010,
0x00092000,
0xf900021c,
0x00000000,
0x90000010,
0x00093000,
0xf800021c,
0x000f0003,
0x00000000,
0xaa1f03f0,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0x10000010,
0x00092000,
0x00000000,
0x90000010,
0x00093000,
0x00000000,
0x91000210,
0x000c0000,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xf2c00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf2c00010,
0x000a0205,
0x00000000,
0xd2c00010,
0x000a0205,
0x00000000,
0xf900021c,
0x00000000,
0x0006000b,
0x00000000,
0xaa1f03fc,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0x1000001c,
0x00092000,
0x00000000,
0x9000001c,
0x00093000,
0x00000000,
0x9100039c,
0x000c0000,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0xf2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2c0001c,
0x000a0205,
0x00000000,
0xaa1f03fc,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0x1000001c,
0x00092000,
0x00000000,
0x9000001c,
0x00093000,
0x00000000,
0x9100039c,
0x000c0000,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0xf2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2c0001c,
0x000a0205,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0x14000000,
0x00050015,
0x00000000,
0x0006001c,
0xf8400368,
0x000f0003,
0xb8400109,
0x000f0002,
0x8b1c0129,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xb800012f,
0x000f0002,
0xf840036f,
0x000f0003,
0xeb0f039f,
0x54000000,
0x00050801,
0xf8400369,
0x000f0003,
0xf8000389,
0x000f0003,
0xf800037c,
0x000f0003,
0x0006000b,
0xaa0803fc,
0xb8400100,
0x000f0002,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x3840038f,
0x000f0000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050809,
0xb8400388,
0x000f0002,
0x8b1b0108,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0x00060013,
0x14000000,
0x00050015,
0x00000000,
0x0006001d,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0x14000000,
0x0005001e,
0x00000000,
0x0006001e,
0x00000000,
0xa9bf7bfd,
0x910003fd,
0x00000000,
0xf8400368,
0x000f0003,
0xb8400109,
0x000f0002,
0x8b1b0129,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xb800012f,
0x000f0002,
0x38400109,
0x000f0000,
0x7100013f,
0x000c0000,
0x54000001,
0x00050802,
0xb8800109,
0x000f0002,
0x8b090108,
0x14000000,
0x00050003,
0x0006000c,
0xb8400108,
0x000f0002,
0x8b1b0108,
0x0006000d,
0x52800000,
0x000a0205,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0xf9400102,
0x00000000,
0xf81f0fe2,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x910043ff,
0xa8c17bfd,
0xd65f03c0,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd61f0100,
0x00000000,
0x0006001f,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0x14000000,
0x00050020,
0x00000000,
0x00060020,
0x00000000,
0xa9bf7bfd,
0x910003fd,
0x00000000,
0xf8400368,
0x000f0003,
0xb8400109,
0x000f0002,
0x8b1b0129,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xb800012f,
0x000f0002,
0x38400109,
0x000f0000,
0x7100013f,
0x000c0000,
0x54000001,
0x00050802,
0xb8800109,
0x000f0002,
0x8b090108,
0x14000000,
0x00050003,
0x0006000c,
0xb8400108,
0x000f0002,
0x8b1b0108,
0x0006000d,
0x52800000,
0x000a0205,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0xf9400102,
0x91000042,
0x000c0000,
0x00000000,
0xf81f0fe2,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x910043ff,
0xa8c17bfd,
0xd65f03c0,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd61f0100,
0x00000000,
0x00060021,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0x14000000,
0x00050022,
0x00000000,
0x00060022,
0xf8400368,
0x000f0003,
0x3840010f,
0x000f0000,
0x710001ff,
0x000c0000,
0x54000000,
0x00050801,
0xb8400108,
0x000f0002,
0x8b1b0108,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xb800010f,
0x000f0002,
0x0006000b,
0xaa1f03e0,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd61f0100,
0x00000000,
0x00060023,
0xf8400368,
0x000f0003,
0xaa1f03e0,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0xb8800102,
0x000f0002,
0xf8626902,
0x91000042,
0x000c0000,
0x00000000,
0xf81f0fe2,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x910043ff,
0x00000000,
0x14000000,
0x00050015,
0x00000000,
0x00060024,
0xf840037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050017,
0x00000000,
0x00060025,
0xf840037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050017,
0x00000000,
0x00060026,
0xf8400368,
0x000f0003,
0xb8400108,
0x000f0002,
0x8b080368,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xb800010f,
0x000f0002,
0xaa1f03e0,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050015,
0x00000000,
0x00060027,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xf940038f,
0xd61f01e0,
0x00000000,
0xf840000f,
0x000f0003,
0xd61f01e0,
0x00000000,
0x00060028,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf940010f,
0x910005ef,
0xf900010f,
0xf8400368,
0x000f0003,
0xf840036a,
0x000f0003,
0xf8400108,
0x000f0003,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6950,
0x91000610,
0xf82f6950,
0x00000000,
0xf8400150,
0x000f0003,
0x91000610,
0xf8000150,
0x000f0003,
0x00000000,
0xf840010f,
0x000f0003,
0xd61f01e0,
0x00000000,
0x00060029,
0x00000000,
0x5280000f,
0x000a0205,
0x7900014f,
0xaa1b03e0,
0x00000000,
0xaa1c03e1,
0x00000000,
0xf8400361,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xf940038f,
0xd61f01e0,
0x00000000,
0xf840000f,
0x000f0003,
0xd61f01e0,
0x00000000,
0xf8400368,
0x000f0003,
0xf8400109,
0x000f0003,
0xf840012a,
0x000f0003,
0x79400150,
0x00000000,
0x6b1f0210,
0x00000000,
0x71000210,
0x000c0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6b0f0210,
0x00000000,
0x79000150,
0x5400000d,
0x00050829,
0x00000000,
0xaa1c03ea,
0x00000000,
0xf840036a,
0x000f0003,
0x00000000,
0xf840010f,
0x000f0003,
0xcb0f014a,
0x00000000,
0x8b8a092f,
0xf84001ef,
0x000f0003,
0xd61f01e0,
0x00000000,
0x0006002a,
0x00000000,
0x0006002b,
0x00000000,
0x0006002c,
0x5280000f,
0x000a0205,
0x7900014f,
0xaa1b03e0,
0x00000000,
0xaa1c03e1,
0x00000000,
0xf8400361,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x37f80000,
0x00051001,
0x00000000,
0x10000008,
0x00092000,
0xf940011b,
0x00000000,
0x90000008,
0x00093000,
0xf840011b,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf940011b,
0x00000000,
0xf840037c,
0x000f0003,
0x00000000,
0xf940038f,
0xd61f01e0,
0x00000000,
0xf840000f,
0x000f0003,
0xd61f01e0,
0x00000000,
0x0006000b,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd61f0100,
0x00000000,
0xf8400368,
0x000f0003,
0xf8400109,
0x000f0003,
0xf8400129,
0x000f0003,
0x8b1c012f,
0xf84001ea,
0x000f0003,
0x79400150,
0x00000000,
0x6b1f0210,
0x00000000,
0x71000210,
0x000c0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6b0f0210,
0x00000000,
0x79000150,
0x5400000d,
0x0005082c,
0x00000000,
0x8b1c012f,
0xf84001f0,
0x000f0003,
0xd61f0200,
0x00000000,
0x0006002d,
0x00000000,
0x0006002e,
0x00000000,
0x0006002f,
0x00000000,
0x00060030,
0x00000000,
0x910083ff,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd61f0100,
0x00000000,
0xa8c27bfd,
0xaa1f03fc,
0xd65f03c0,
0x00000000,
0xa94273fb,
0xa8c37bfd,
0x92800000,
0xd65f03c0,
0x00000000,
0x00060031,
0x6dbf7ffe,
0x6dbf77fc,
0x6dbf6ffa,
0x6dbf67f8,
0x6dbf5ff6,
0x6dbf57f4,
0x6dbf4ff2,
0x6dbf47f0,
0x6dbb1fe6,
0x6dbf17e4,
0x6dbf0fe2,
0x6dbf07e0,
0xa9be77fc,
0xa9b93fee,
0xa9bf37ec,
0xa9bf2fea,
0xa9bf27e8,
0xa9bf1fe6,
0xa9bf17e4,
0xa9bf0fe2,
0xa9bf07e0,
0x2a0f03e0,
0x910003e1,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x910803ff,
0x00000000,
0x6a00001f,
0x54000001,
0x00050801,
0x00000000,
0x10000008,
0x00092000,
0xf940011b,
0x00000000,
0x90000008,
0x00093000,
0xf840011b,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf940011b,
0x00000000,
0xf840037c,
0x000f0003,
0x00000000,
0x910083ff,
0x00000000,
0xf940038f,
0xd61f01e0,
0x00000000,
0xf840000f,
0x000f0003,
0xd61f01e0,
0x00000000,
0xa8c27bfd,
0x00000000,
0xf940038f,
0xd61f01e0,
0x00000000,
0xf840000f,
0x000f0003,
0xd61f01e0,
0x00000000,
0xa94273fb,
0xa8c37bfd,
0x52800020,
0xd65f03c0,
0x00000000,
0x0006000b,
0x5400000b,
0x00050830,
0x00000000,
0x10000008,
0x00092000,
0xf940011b,
0x00000000,
0x90000008,
0x00093000,
0xf840011b,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf940011b,
0x00000000,
0xf840037c,
0x000f0003,
0x00000000,
0x1000000f,
0x00092000,
0x394001ef,
0x00000000,
0x9000000f,
0x00093000,
0x384001ef,
0x000f0000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0x394001ef,
0x00000000,
0x3500000f,
0x00050814,
0x00000000,
0x910083ff,
0x00000000,
0xf8400368,
0x000f0003,
0xf8400108,
0x000f0003,
0xf8400108,
0x000f0003,
0xf8686b88,
0xd61f0100,
0x00000000,
0xa8c27bfd,
0xf8400368,
0x000f0003,
0xf8400108,
0x000f0003,
0xf8400108,
0x000f0003,
0xf8686b88,
0xd61f0100,
0x00000000,
0xf840037c,
0x000f0003,
0xaa1b03e0,
0xf8400368,
0x000f0003,
0xf8400108,
0x000f0003,
0xf8400108,
0x000f0003,
0xf8686b88,
0xd63f0100,
0x6a00001f,
0x5400000b,
0x00050830,
0xa94273fb,
0xa8c37bfd,
0x52800020,
0xd65f03c0,
0x00000000,
0x00060032,
0x00000000,
0x910083ff,
0x00000000,
0xf940038f,
0xd61f01e0,
0x00000000,
0xf840000f,
0x000f0003,
0xd61f01e0,
0x00000000,
0xa8c27bfd,
0x00000000,
0xf940038f,
0xd61f01e0,
0x00000000,
0xf840000f,
0x000f0003,
0xd61f01e0,
0x00000000,
0xa94273fb,
0xa8c37bfd,
0x52800020,
0xd65f03c0,
0x00000000,
0x94000000,
0x00050002,
0x0006000b,
0x00000000,
0x94000000,
0x00050002,
0x00000000,
0x0006000c,
0x1000000f,
0x0005200b,
0xcb0f03cf,
0xd342fdef,
0x00000000,
0x0b1f01ef,
0x00000000,
0x110001ef,
0x000c0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x0b1001ef,
0x00000000,
0x14000000,
0x00050031,
0x00000000,
0x00060033,
0x00000000,
0xd4200000,
0x00000000,
0x00060034,
0xa9be7bfd,
0x910003fd,
0x00000000,
0xa8c27bfd,
0xd65f03c0,
0x00000000,
0x00060035,
0xa9be7bfd,
0x910003fd,
0x00000000,
0xa8c27bfd,
0xd65f03c0,
0x00000000,
0x00060036,
0xa9be7bfd,
0x910003fd,
0x00000000,
0xa8c27bfd,
0xd65f03c0,
0x00000000,
0x00060037,
0xa9be7bfd,
0x910003fd,
0x00000000,
0xa8c27bfd,
0xd65f03c0,
0x00000000,
0x00060038,
0xa9be7bfd,
0x910003fd,
0x00000000,
0xa8c27bfd,
0xd65f03c0,
0x00000000,
0xd4200000,
0x00000000,
0x0004000f,
0x00000000,
0xd10083ff,
0x00000000,
0xa9be7bfd,
0x00000000,
0xa9bd7bfd,
0xa90273fb,
0xaa0003fb,
0x00000000,
0x00080000,
0x00000000,
0xf800039f,
0x000f0003,
0x00000000,
0xf8400368,
0x000f0003,
0xf8000388,
0x000f0003,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0x8b0f039c,
0x00000000,
0xf8400370,
0x000f0003,
0x8b0f0210,
0xf8000370,
0x000f0003,
0x00000000,
0xaa1f03fc,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0x1000001c,
0x00092000,
0x00000000,
0x9000001c,
0x00093000,
0x00000000,
0x9100039c,
0x000c0000,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0xf2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2c0001c,
0x000a0205,
0x00000000,
0xaa1f03fc,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0x1000001c,
0x00092000,
0x00000000,
0x9000001c,
0x00093000,
0x00000000,
0x9100039c,
0x000c0000,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0xf2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2c0001c,
0x000a0205,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0x1000000f,
0x00092000,
0x394001ef,
0x00000000,
0x9000000f,
0x00093000,
0x384001ef,
0x000f0000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0x394001ef,
0x00000000,
0x3500000f,
0x00090800,
0x00000000,
0x3500000f,
0x00050814,
0x00000000,
0x3500000f,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xaa1f03fc,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0x1000001c,
0x00092000,
0x00000000,
0x9000001c,
0x00093000,
0x00000000,
0x9100039c,
0x000c0000,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0xf2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2c0001c,
0x000a0205,
0x00000000,
0xaa1f03fc,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0x1000001c,
0x00092000,
0x00000000,
0x9000001c,
0x00093000,
0x00000000,
0x9100039c,
0x000c0000,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0xf2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2c0001c,
0x000a0205,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0x14000000,
0x00050014,
0x00010000,
0x1000000f,
0x00092000,
0x394001ef,
0x00000000,
0x9000000f,
0x00093000,
0x384001ef,
0x000f0000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0x394001ef,
0x00000000,
0x3400000f,
0x00070800,
0x14000000,
0x00090000,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x1000000f,
0x00092000,
0xf94001f0,
0x00000000,
0x9000000f,
0x00093000,
0xf84001f0,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf94001f0,
0x00000000,
0xb5000010,
0x00050815,
0x00000000,
0x1000000f,
0x00092000,
0xf94001f0,
0x00000000,
0x9000000f,
0x00093000,
0xf84001f0,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf94001f0,
0x00000000,
0xb5000010,
0x00050816,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x10000010,
0x00092000,
0xb900020f,
0x00000000,
0x90000010,
0x00093000,
0xb800020f,
0x000f0002,
0x00000000,
0xaa1f03f0,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0x10000010,
0x00092000,
0x00000000,
0x90000010,
0x00093000,
0x00000000,
0x91000210,
0x000c0000,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xf2c00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf2c00010,
0x000a0205,
0x00000000,
0xd2c00010,
0x000a0205,
0x00000000,
0xb900020f,
0x00000000,
0x00010001,
0x14000000,
0x00090000,
0x00000000,
0x00080000,
0x00010000,
0x1000000f,
0x00092000,
0x394001ef,
0x00000000,
0x9000000f,
0x00093000,
0x384001ef,
0x000f0000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0x394001ef,
0x00000000,
0x3400000f,
0x00090800,
0x14000000,
0x00090000,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0x910083ff,
0x00000000,
0xf940038f,
0xd61f01e0,
0x00000000,
0xf840000f,
0x000f0003,
0xd61f01e0,
0x00000000,
0xf8400368,
0x000f0003,
0xf8400108,
0x000f0003,
0xf8400108,
0x000f0003,
0xf8686b88,
0xd61f0100,
0x00000000,
0xa8c27bfd,
0x00000000,
0xf940038f,
0xd61f01e0,
0x00000000,
0xf840000f,
0x000f0003,
0xd61f01e0,
0x00000000,
0xf8400368,
0x000f0003,
0xf8400108,
0x000f0003,
0xf8400108,
0x000f0003,
0xf8686b88,
0xd61f0100,
0x00000000,
0xaa1b03e0,
0xf8400368,
0x000f0003,
0xf8400108,
0x000f0003,
0xf8400108,
0x000f0003,
0xf8686b88,
0xd63f0100,
0x00000000,
0xa94273fb,
0xa8c37bfd,
0x00000000,
0x52800040,
0x00000000,
0xd65f03c0,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00090800,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0x386f6b6f,
0x00000000,
0x3840036f,
0x000f0000,
0x00000000,
0x710001ff,
0x000c0000,
0x54000002,
0x00090800,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xb840000f,
0x000f0002,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000000,
0x00090800,
0x00000000,
0xb840000f,
0x000f0002,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000001,
0x00090800,
0x00000000,
0xaa1b03e0,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x1000000f,
0x00092000,
0xf94001e8,
0x00000000,
0x9000000f,
0x00093000,
0xf84001e8,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf94001e8,
0x00000000,
0xb5000008,
0x00050815,
0x00000000,
0x1000000f,
0x00092000,
0xf94001fb,
0x00000000,
0x9000000f,
0x00093000,
0xf84001fb,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf94001fb,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xeb0f039f,
0x54000000,
0x00050830,
0x00000000,
0xb400001c,
0x00050830,
0x00000000,
0x6a00001f,
0x5400000b,
0x00050830,
0x00000000,
0x14000000,
0x00050030,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xeb0f039f,
0x00000000,
0xf8400370,
0x000f0003,
0xeb0f021f,
0x00000000,
0x54000001,
0x00090800,
0x00000000,
0xaa1b03e0,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x910083ff,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd61f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x910083ff,
0x00000000,
0xf940038f,
0xd61f01e0,
0x00000000,
0xf840000f,
0x000f0003,
0xd61f01e0,
0x00000000,
0xa8c27bfd,
0x00000000,
0xaa1b03e0,
0xa94273fb,
0xa8c37bfd,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd61f0100,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xeb0f039f,
0x00000000,
0xf8400370,
0x000f0003,
0xeb0f021f,
0x00000000,
0x54000001,
0x00090800,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xeb0f039f,
0x00000000,
0xf8400370,
0x000f0003,
0xeb0f021f,
0x00000000,
0x54000001,
0x00070800,
0x00000000,
0xd4200000,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050802,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf870680f,
0x00110005,
0x00000000,
0xf840000f,
0x00110005,
0x000f0003,
0x00000000,
0xb94001f0,
0x11000610,
0xb90001f0,
0x0006000c,
0x00000000,
0xaa1f03fc,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0x1000001c,
0x00092000,
0x00000000,
0x9000001c,
0x00093000,
0x00000000,
0x9100039c,
0x000c0000,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0xf2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2c0001c,
0x000a0205,
0x00000000,
0xaa1f03fc,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0x1000001c,
0x00092000,
0x00000000,
0x9000001c,
0x00093000,
0x00000000,
0x9100039c,
0x000c0000,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0xf2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2c0001c,
0x000a0205,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0x14000000,
0x00050032,
0x0006000b,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf830681f,
0x00110005,
0x00000000,
0xf800001f,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0xaa0f03e0,
0x00110000,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf830680f,
0x00110005,
0x00000000,
0xf800000f,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf830681f,
0x00110005,
0x00000000,
0xf800001f,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0xaa0f03e0,
0x00110000,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf830680f,
0x00110005,
0x00000000,
0xf800000f,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf830681f,
0x00110005,
0x00000000,
0xf800001f,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0xaa0f03e0,
0x00110000,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf830680f,
0x00110005,
0x00000000,
0xf800000f,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf830681f,
0x00110005,
0x00000000,
0xf800001f,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0xaa0f03e0,
0x00110000,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf830680f,
0x00110005,
0x00000000,
0xf800000f,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050801,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf870680f,
0x00110005,
0x00000000,
0xf840000f,
0x00110005,
0x000f0003,
0x00000000,
0xb94001f0,
0x11000610,
0xb90001f0,
0x0006000b,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x6a1f013f,
0x00000000,
0x7200013f,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6a0f013f,
0x00000000,
0x54000000,
0x00050801,
0x00000000,
0xb940014f,
0x110005ef,
0xb900014f,
0x0006000b,
0x00000000,
0xb840010f,
0x000f0002,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000000,
0x00050801,
0xaa0803e0,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050802,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050802,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf870680f,
0x00110005,
0xb10001ef,
0x000c0000,
0xf830680f,
0x00110005,
0x00000000,
0xf840000f,
0x00110005,
0x000f0003,
0xb10001ef,
0x000c0000,
0xf800000f,
0x00110005,
0x000f0003,
0x00000000,
0xb1000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf870680f,
0x00110005,
0xf10001ef,
0x000c0000,
0xf830680f,
0x00110005,
0x00000000,
0xf840000f,
0x00110005,
0x000f0003,
0xf10001ef,
0x000c0000,
0xf800000f,
0x00110005,
0x000f0003,
0x00000000,
0xf1000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0x54000006,
0x00090800,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x54000006,
0x00050801,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x00010001,
0x0006000b,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0x9e6701e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f681f,
0x00110005,
0x00000000,
0xf800001f,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03f0,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0x92800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xf2c00010,
0x000a0205,
0x00000000,
0xf2e00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf2c00010,
0x000a0205,
0x00000000,
0xf2e00010,
0x000a0205,
0x00000000,
0xd2c00010,
0x000a0205,
0x00000000,
0xf2e00010,
0x000a0205,
0x00000000,
0xd2e00010,
0x000a0205,
0x00000000,
0xaa1003e0,
0x00110000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6810,
0x00110005,
0x00000000,
0xf8000010,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0x9e6701e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f681f,
0x00110005,
0x00000000,
0xf800001f,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03f0,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0x92800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xf2c00010,
0x000a0205,
0x00000000,
0xf2e00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf2c00010,
0x000a0205,
0x00000000,
0xf2e00010,
0x000a0205,
0x00000000,
0xd2c00010,
0x000a0205,
0x00000000,
0xf2e00010,
0x000a0205,
0x00000000,
0xd2e00010,
0x000a0205,
0x00000000,
0xaa1003e0,
0x00110000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6810,
0x00110005,
0x00000000,
0xf8000010,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00050003,
0x00010000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x00010001,
0x0006000c,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050802,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050802,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x72a00000,
0x000a0205,
0x00000000,
0x52a00000,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x0006000c,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x3840000f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050802,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050802,
0x00000000,
0xf9400000,
0xf840000f,
0x000f0003,
0xb400000f,
0x00050801,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0xaa1f03e1,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050003,
0x0006000b,
0x91000000,
0x000c0000,
0x0006000c,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x6a1f011f,
0x00000000,
0x7200011f,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6a0f011f,
0x00000000,
0x54000000,
0x00050801,
0x00000000,
0xb940014f,
0x110005ef,
0xb900014f,
0x0006000b,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0x9e6701f0,
0x1e702800,
0x00110000,
0x00110005,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0x9e6701f0,
0x1e703800,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x6a1f011f,
0x00000000,
0x7200011f,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6a0f011f,
0x00000000,
0x54000000,
0x00050801,
0x00000000,
0xb940012f,
0x110005ef,
0xb900012f,
0x0006000b,
0x00000000,
0x14000000,
0x00050003,
0x00010000,
0x0006000d,
0x00000000,
0xab000000,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xab000000,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0x5280000f,
0x000a0205,
0x9acf2000,
0x00110000,
0x00110005,
0x00000000,
0xab000000,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xab000000,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0x5280000f,
0x000a0205,
0x9acf2000,
0x00110000,
0x00110005,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0x9340fc00,
0x00110000,
0x00110005,
0x000a00d0,
0x00000000,
0xd4200000,
0x00000000,
0xd4200000,
0x00000000,
0xd4200000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf8706800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0x9b107de0,
0x00110000,
0x00000000,
0x9b507def,
0xeb80fdff,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xab000000,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xeb000000,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xaa000000,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x8a000000,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xca000000,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xab1f0000,
0x00110000,
0x00110005,
0x00000000,
0xb1000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0xab0f0000,
0x00110000,
0x00110005,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f680f,
0x00110005,
0x00000000,
0xf840000f,
0x00110005,
0x000f0003,
0x00000000,
0xab0f0000,
0x00110000,
0x00110005,
0x00000000,
0xab000000,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xeb1f0000,
0x00110000,
0x00110005,
0x00000000,
0xf1000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0xeb0f0000,
0x00110000,
0x00110005,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f680f,
0x00110005,
0x00000000,
0xf840000f,
0x00110005,
0x000f0003,
0x00000000,
0xeb0f0000,
0x00110000,
0x00110005,
0x00000000,
0xeb000000,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xaa1f0000,
0x00110000,
0x00110005,
0x00000000,
0xb2000000,
0x00110000,
0x00110005,
0x000e0000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0xaa0f0000,
0x00110000,
0x00110005,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f680f,
0x00110005,
0x00000000,
0xf840000f,
0x00110005,
0x000f0003,
0x00000000,
0xaa0f0000,
0x00110000,
0x00110005,
0x00000000,
0xaa000000,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x8a1f0000,
0x00110000,
0x00110005,
0x00000000,
0x92000000,
0x00110000,
0x00110005,
0x000e0000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0x8a0f0000,
0x00110000,
0x00110005,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f680f,
0x00110005,
0x00000000,
0xf840000f,
0x00110005,
0x000f0003,
0x00000000,
0x8a0f0000,
0x00110000,
0x00110005,
0x00000000,
0x8a000000,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xca1f0000,
0x00110000,
0x00110005,
0x00000000,
0xd2000000,
0x00110000,
0x00110005,
0x000e0000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0xca0f0000,
0x00110000,
0x00110005,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f680f,
0x00110005,
0x00000000,
0xf840000f,
0x00110005,
0x000f0003,
0x00000000,
0xca0f0000,
0x00110000,
0x00110005,
0x00000000,
0xca000000,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x54000006,
0x00090800,
0x00000000,
0x54000001,
0x00090800,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0x54000007,
0x00090800,
0x00000000,
0x54000000,
0x00090800,
0x00000000,
0x54000006,
0x00050801,
0x00000000,
0x54000001,
0x00050801,
0x00000000,
0x54000007,
0x00050801,
0x00000000,
0x54000000,
0x00050801,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x00010001,
0x0006000b,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0x9e6701e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f681f,
0x00110005,
0x00000000,
0xf800001f,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03f0,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0x92800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xf2c00010,
0x000a0205,
0x00000000,
0xf2e00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf2c00010,
0x000a0205,
0x00000000,
0xf2e00010,
0x000a0205,
0x00000000,
0xd2c00010,
0x000a0205,
0x00000000,
0xf2e00010,
0x000a0205,
0x00000000,
0xd2e00010,
0x000a0205,
0x00000000,
0xaa1003e0,
0x00110000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6810,
0x00110005,
0x00000000,
0xf8000010,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0x9e6701e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f681f,
0x00110005,
0x00000000,
0xf800001f,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03f0,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0x92800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xf2c00010,
0x000a0205,
0x00000000,
0xf2e00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf2c00010,
0x000a0205,
0x00000000,
0xf2e00010,
0x000a0205,
0x00000000,
0xd2c00010,
0x000a0205,
0x00000000,
0xf2e00010,
0x000a0205,
0x00000000,
0xd2e00010,
0x000a0205,
0x00000000,
0xaa1003e0,
0x00110000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6810,
0x00110005,
0x00000000,
0xf8000010,
0x00110005,
0x000f0003,
0x00000000,
0x9e6703e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0x9e620000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x9e620000,
0x00110000,
0x00110005,
0x00000000,
0x9e620000,
0x00110000,
0x00110005,
0x00000000,
0x9e6703e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0x9e620000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x9e620000,
0x00110000,
0x00110005,
0x00000000,
0x9e620000,
0x00110000,
0x00110005,
0x00000000,
0x1e602800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x1e603800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x1e600800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x1e601800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00050002,
0x00010000,
0x0006000c,
0x00000000,
0x9e6703e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0x9e620000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x9e620000,
0x00110000,
0x00110005,
0x00000000,
0x9e620000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e602800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x1e603800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x1e600800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x1e601800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x9e6703e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0x9e620000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x9e620000,
0x00110000,
0x00110005,
0x00000000,
0x9e620000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e602800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x1e603800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x1e600800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x1e601800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x9e6703e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0x9e620000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x9e620000,
0x00110000,
0x00110005,
0x00000000,
0x9e620000,
0x00110000,
0x00110005,
0x00000000,
0x1e602800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x1e603800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x1e600800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x1e601800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e602800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x1e603800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x1e600800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x1e601800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e602800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x1e603800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x1e600800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x1e601800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050803,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050803,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050806,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050806,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050806,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050806,
0x00000000,
0x14000000,
0x00050005,
0x00010000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050806,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050806,
0x00000000,
0x00010001,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050806,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050806,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050806,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050806,
0x00000000,
0x14000000,
0x00050005,
0x00000000,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050806,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050806,
0x00000000,
0x14000000,
0x00050005,
0x00000000,
0x00010000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050806,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050806,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050806,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050806,
0x00000000,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050806,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050806,
0x00000000,
0x14000000,
0x00050005,
0x00010000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050806,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050806,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050806,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050806,
0x00000000,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050806,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050806,
0x00000000,
0x14000000,
0x00050005,
0x00010000,
0x0006000f,
0x00000000,
0x00010001,
0x00060010,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xaa1f03e2,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0x10000002,
0x00092000,
0x00000000,
0x90000002,
0x00093000,
0x00000000,
0x91000042,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2c00002,
0x000a0205,
0x00000000,
0x8b1f0002,
0x00110005,
0x00000000,
0x91000002,
0x00110005,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0x8b020002,
0x00110005,
0x00000000,
0x910003e2,
0x00000000,
0xaa0003e2,
0x00110010,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0x1000000f,
0x00092000,
0xf94001f0,
0x00000000,
0x9000000f,
0x00093000,
0xf84001f0,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf94001f0,
0x00000000,
0xb5000010,
0x00050818,
0x00000000,
0x14000000,
0x0005000f,
0x00010000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0803e1,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6800,
0x00110005,
0x00000000,
0xf8000000,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050806,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050806,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050806,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050806,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x14000000,
0x00050024,
0x00000000,
0x8b000000,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0x00110000,
0xd3400000,
0x00110000,
0x00110005,
0x000a00d0,
0x000a00ca,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf8706800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xf100001f,
0x00110005,
0x000c0000,
0x54000002,
0x00050801,
0x00010001,
0x0006000b,
0xaa1f03e0,
0x00110000,
0xeb1f001f,
0x00110005,
0x5400000c,
0x00050801,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x14000000,
0x00050024,
0x00010000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0x9ac02000,
0x00110000,
0x00110005,
0x00110010,
0x0006000b,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0x9340fc00,
0x00110000,
0x00110005,
0x000a00d0,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x14000000,
0x00050024,
0x00000000,
0x9340fc00,
0x00110000,
0x00110005,
0x000a00d0,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf8706800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xf100001f,
0x00110005,
0x000c0000,
0x54000002,
0x00050801,
0x00010001,
0x0006000b,
0xeb1f001f,
0x00110005,
0x52800000,
0x00110000,
0x000a0205,
0x5400000c,
0x00050801,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x14000000,
0x00050024,
0x00010000,
0x0006000b,
0x9ac02800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x14000000,
0x00050025,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xab1f0000,
0x00110000,
0x00110005,
0x00000000,
0xb1000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0xab0f0000,
0x00110000,
0x00110005,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f680f,
0x00110005,
0x00000000,
0xf840000f,
0x00110005,
0x000f0003,
0x00000000,
0xab0f0000,
0x00110000,
0x00110005,
0x00000000,
0xab000000,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xeb1f0000,
0x00110000,
0x00110005,
0x00000000,
0xf1000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0xeb0f0000,
0x00110000,
0x00110005,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f680f,
0x00110005,
0x00000000,
0xf840000f,
0x00110005,
0x000f0003,
0x00000000,
0xeb0f0000,
0x00110000,
0x00110005,
0x00000000,
0xeb000000,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xaa1f0000,
0x00110000,
0x00110005,
0x00000000,
0xb2000000,
0x00110000,
0x00110005,
0x000e0000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0xaa0f0000,
0x00110000,
0x00110005,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f680f,
0x00110005,
0x00000000,
0xf840000f,
0x00110005,
0x000f0003,
0x00000000,
0xaa0f0000,
0x00110000,
0x00110005,
0x00000000,
0xaa000000,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x8a1f0000,
0x00110000,
0x00110005,
0x00000000,
0x92000000,
0x00110000,
0x00110005,
0x000e0000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0x8a0f0000,
0x00110000,
0x00110005,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f680f,
0x00110005,
0x00000000,
0xf840000f,
0x00110005,
0x000f0003,
0x00000000,
0x8a0f0000,
0x00110000,
0x00110005,
0x00000000,
0x8a000000,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xca1f0000,
0x00110000,
0x00110005,
0x00000000,
0xd2000000,
0x00110000,
0x00110005,
0x000e0000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0xca0f0000,
0x00110000,
0x00110005,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f680f,
0x00110005,
0x00000000,
0xf840000f,
0x00110005,
0x000f0003,
0x00000000,
0xca0f0000,
0x00110000,
0x00110005,
0x00000000,
0xca000000,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf8706800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0x9ad00de0,
0x00110000,
0x9b10bc00,
0x00110000,
0x00110005,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf8706810,
0x00110005,
0x00000000,
0xf8400010,
0x00110005,
0x000f0003,
0x00000000,
0xb4000000,
0x00110000,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x14000000,
0x00050025,
0x00010000,
0xb100041f,
0x00110005,
0x54000000,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f681f,
0x00110005,
0x00000000,
0xf800001f,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00050005,
0x00010000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0x9ac00de0,
0x00110000,
0x00110010,
0x9b00bc00,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xab000000,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xeb000000,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xaa000000,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x8a000000,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xca000000,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xab1f0000,
0x00110000,
0x00110005,
0x00000000,
0xb1000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0xab0f0000,
0x00110000,
0x00110005,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f680f,
0x00110005,
0x00000000,
0xf840000f,
0x00110005,
0x000f0003,
0x00000000,
0xab0f0000,
0x00110000,
0x00110005,
0x00000000,
0xab000000,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xeb1f0000,
0x00110000,
0x00110005,
0x00000000,
0xf1000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0xeb0f0000,
0x00110000,
0x00110005,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f680f,
0x00110005,
0x00000000,
0xf840000f,
0x00110005,
0x000f0003,
0x00000000,
0xeb0f0000,
0x00110000,
0x00110005,
0x00000000,
0xeb000000,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xaa1f0000,
0x00110000,
0x00110005,
0x00000000,
0xb2000000,
0x00110000,
0x00110005,
0x000e0000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0xaa0f0000,
0x00110000,
0x00110005,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f680f,
0x00110005,
0x00000000,
0xf840000f,
0x00110005,
0x000f0003,
0x00000000,
0xaa0f0000,
0x00110000,
0x00110005,
0x00000000,
0xaa000000,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x8a1f0000,
0x00110000,
0x00110005,
0x00000000,
0x92000000,
0x00110000,
0x00110005,
0x000e0000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0x8a0f0000,
0x00110000,
0x00110005,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f680f,
0x00110005,
0x00000000,
0xf840000f,
0x00110005,
0x000f0003,
0x00000000,
0x8a0f0000,
0x00110000,
0x00110005,
0x00000000,
0x8a000000,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xca1f0000,
0x00110000,
0x00110005,
0x00000000,
0xd2000000,
0x00110000,
0x00110005,
0x000e0000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0xca0f0000,
0x00110000,
0x00110005,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f680f,
0x00110005,
0x00000000,
0xf840000f,
0x00110005,
0x000f0003,
0x00000000,
0xca0f0000,
0x00110000,
0x00110005,
0x00000000,
0xca000000,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x00010001,
0x00060010,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xaa1f03e2,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0x10000002,
0x00092000,
0x00000000,
0x90000002,
0x00093000,
0x00000000,
0x91000042,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2c00002,
0x000a0205,
0x00000000,
0x8b1f0002,
0x00110005,
0x00000000,
0x91000002,
0x00110005,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0x8b020002,
0x00110005,
0x00000000,
0x910003e2,
0x00000000,
0xaa0003e2,
0x00110010,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0x1000000f,
0x00092000,
0xf94001f0,
0x00000000,
0x9000000f,
0x00093000,
0xf84001f0,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf94001f0,
0x00000000,
0xb5000010,
0x00050818,
0x00000000,
0x14000000,
0x00050005,
0x00010000,
0x0006000f,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050806,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050806,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050806,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050806,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0xaa1f03e2,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0x10000002,
0x00092000,
0x00000000,
0x90000002,
0x00093000,
0x00000000,
0x91000042,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2c00002,
0x000a0205,
0x00000000,
0x8b1f0002,
0x00110005,
0x00000000,
0x91000002,
0x00110005,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0x8b020002,
0x00110005,
0x00000000,
0x910003e2,
0x00000000,
0xaa0003e2,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0x0006000f,
0x00000000,
0x00010001,
0x00060010,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xaa1f03e2,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0x10000002,
0x00092000,
0x00000000,
0x90000002,
0x00093000,
0x00000000,
0x91000042,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2c00002,
0x000a0205,
0x00000000,
0x8b1f0002,
0x00110005,
0x00000000,
0x91000002,
0x00110005,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0x8b020002,
0x00110005,
0x00000000,
0x910003e2,
0x00000000,
0xaa0003e2,
0x00110010,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0x14000000,
0x0005000f,
0x00010000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050803,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050803,
0x00000000,
0xb840000f,
0x000f0002,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000000,
0x00090800,
0x00000000,
0xb840000f,
0x000f0002,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000001,
0x00090800,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xb840000f,
0x000f0002,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xb8400008,
0x000f0002,
0x00000000,
0xeb1f011f,
0x00000000,
0xeb1f011f,
0x00000000,
0xf100011f,
0x000c0000,
0x00000000,
0xb100011f,
0x000c0000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0xeb0f011f,
0x00000000,
0xeb01011f,
0x00000000,
0x54000009,
0x00090800,
0x00000000,
0x54000009,
0x00050809,
0x00000000,
0x54000009,
0x00090800,
0x00000000,
0x54000009,
0x00090800,
0x00000000,
0x54000009,
0x00090800,
0x00000000,
0x54000009,
0x00050807,
0x00000000,
0x54000009,
0x00050802,
0x00000000,
0xf8400008,
0x000f0003,
0x00000000,
0x8b1f0108,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0x8b0f0108,
0x00000000,
0xf840000f,
0x000f0003,
0x8b0115e8,
0x00000000,
0x14000000,
0x00050005,
0x00000000,
0x0006000e,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0x00000000,
0xb4000008,
0x00090800,
0x00000000,
0xb4000008,
0x00050809,
0x00000000,
0x14000000,
0x00050005,
0x00000000,
0x14000000,
0x00050005,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x3840010f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050808,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050808,
0x00000000,
0x3840010f,
0x000f0000,
0x00000000,
0x3400000f,
0x00090800,
0x00000000,
0x710001ff,
0x000c0000,
0x54000000,
0x00090800,
0x00000000,
0x3840010f,
0x000f0000,
0x00000000,
0x3400000f,
0x00090800,
0x00000000,
0x710001ff,
0x000c0000,
0x54000000,
0x00090800,
0x00000000,
0x3840010f,
0x000f0000,
0x00000000,
0x3400000f,
0x00050807,
0x00000000,
0x710001ff,
0x000c0000,
0x54000000,
0x00050807,
0x00000000,
0x3840010f,
0x000f0000,
0x00000000,
0x3400000f,
0x00050802,
0x00000000,
0x710001ff,
0x000c0000,
0x54000000,
0x00050802,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0x14000000,
0x00050007,
0x00000000,
0x14000000,
0x00050002,
0x00000000,
0x0006000e,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0x00000000,
0xb4000008,
0x00090800,
0x00000000,
0xb4000008,
0x00090800,
0x00000000,
0xb4000008,
0x00050807,
0x00000000,
0xb4000008,
0x00050802,
0x00000000,
0x00010001,
0x0006000c,
0x00000000,
0x94000000,
0x0005001d,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x0005001e,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x00010000,
0x3840010f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050808,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050808,
0x00000000,
0x00010001,
0x0006000c,
0x0006000e,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0x00000000,
0xb5000008,
0x00050808,
0x14000000,
0x00090000,
0x00010000,
0xb4000008,
0x00090800,
0x00000000,
0xb4000008,
0x00050809,
0x00000000,
0x3840010f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050808,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050808,
0x00000000,
0x0006000c,
0x0006000e,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0x00000000,
0x14000000,
0x00050008,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050803,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050803,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0x3840002f,
0x000f0000,
0x710001ff,
0x000c0000,
0x5400000d,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050001,
0x00010000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x0006000b,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0x00000000,
0xb4000008,
0x00090800,
0x00000000,
0xb4000008,
0x00050809,
0x00000000,
0x3840002f,
0x000f0000,
0x710001ff,
0x000c0000,
0x5400000d,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050001,
0x00010000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x0006000b,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0x00000000,
0xb4000008,
0x00090800,
0x00000000,
0xb4000008,
0x00090800,
0x00000000,
0xb4000008,
0x00050807,
0x00000000,
0xb4000008,
0x00050802,
0x00010001,
0x0006000c,
0x00000000,
0x94000000,
0x0005001f,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00050020,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x00010000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0x00000000,
0xb4000008,
0x00090800,
0x00000000,
0xb4000008,
0x00050809,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0x00000000,
0x0006000f,
0x00000000,
0x3840010f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xf9400108,
0x91000108,
0x000c0000,
0x0006000b,
0x00000000,
0x3840010f,
0x000f0000,
0x710001ff,
0x000c0000,
0x00000000,
0x5400000d,
0x00090800,
0x00000000,
0x5400000c,
0x00090800,
0x00000000,
0x5400000d,
0x00050809,
0x00000000,
0x00010001,
0x0006000d,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0xaa1f03e2,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0x10000002,
0x00092000,
0x00000000,
0x90000002,
0x00093000,
0x00000000,
0x91000042,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2c00002,
0x000a0205,
0x00000000,
0x8b1f0002,
0x00110005,
0x00000000,
0x91000002,
0x00110005,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0x8b020002,
0x00110005,
0x00000000,
0x910003e2,
0x00000000,
0xaa0003e2,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0x14000000,
0x00050009,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0x00000000,
0xb4000008,
0x00090800,
0x00000000,
0x14000000,
0x00050008,
0x00000000,
0xb5000008,
0x00090800,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0xb5000008,
0x00050808,
0x14000000,
0x00050009,
0x00000000,
0xaa1f03e2,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0x10000002,
0x00092000,
0x00000000,
0x90000002,
0x00093000,
0x00000000,
0x91000042,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2c00002,
0x000a0205,
0x00000000,
0x8b1f0002,
0x00110005,
0x00000000,
0x91000002,
0x00110005,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0x8b020002,
0x00110005,
0x00000000,
0x910003e2,
0x00000000,
0xaa0003e2,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0x14000000,
0x00050009,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0xb5000008,
0x00050808,
0x14000000,
0x00050009,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0xb5000008,
0x00050808,
0x14000000,
0x00050009,
0x00000000,
0x00010000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x9e6703e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0x9e620000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf820681f,
0x00110005,
0x00110010,
0x00000000,
0xf800001f,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x9e6703e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0x9e620000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x9e6703e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0x9e620000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x9e6703e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0x9e620000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf820681f,
0x00110005,
0x00110010,
0x00000000,
0xf800001f,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf820681f,
0x00110005,
0x00110010,
0x00000000,
0xf800001f,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf820681f,
0x00110005,
0x00110010,
0x00000000,
0xf800001f,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf820681f,
0x00110005,
0x00110010,
0x00000000,
0xf800001f,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf94001f0,
0x91000610,
0xf90001f0,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf94001f0,
0x91000a10,
0xf90001f0,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050802,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050802,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x34000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000000,
0x00050801,
0x00000000,
0x00010001,
0x0006000b,
0x00000000,
0xf9000be0,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x72a00000,
0x000a0205,
0x00000000,
0x52a00000,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xb4000000,
0x00050816,
0x00000000,
0xf9400be0,
0x00000000,
0x14000000,
0x00050003,
0x00000000,
0x0006000c,
0x00000000,
0x00010000,
0xaa1f03ea,
0x00000000,
0xd280000a,
0x000a0205,
0x00000000,
0x1000000a,
0x00092000,
0x00000000,
0x9000000a,
0x00093000,
0x00000000,
0x9100014a,
0x000c0000,
0x00000000,
0xd280000a,
0x000a0205,
0x00000000,
0xf2a0000a,
0x000a0205,
0x00000000,
0xf2c0000a,
0x000a0205,
0x00000000,
0xd2a0000a,
0x000a0205,
0x00000000,
0xf2c0000a,
0x000a0205,
0x00000000,
0xd2c0000a,
0x000a0205,
0x00000000,
0x8b1f000a,
0x00110005,
0x00000000,
0x9100000a,
0x00110005,
0x000c0000,
0x00000000,
0xd280000a,
0x000a0205,
0x00000000,
0xd280000a,
0x000a0205,
0x00000000,
0xf2a0000a,
0x000a0205,
0x00000000,
0xd2a0000a,
0x000a0205,
0x00000000,
0x8b0a000a,
0x00110005,
0x00000000,
0x910003ea,
0x00000000,
0xaa0003ea,
0x00110010,
0x00000000,
0x3840014f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xf940014a,
0x9100014a,
0x000c0000,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x34000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000000,
0x00050801,
0x00000000,
0x00010001,
0x0006000b,
0x00000000,
0xf9000bea,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f680a,
0x00110005,
0x00000000,
0xf840000a,
0x00110005,
0x000f0003,
0x00000000,
0xb940014f,
0x710005ef,
0xb900014f,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x54000000,
0x00050802,
0x00000000,
0x6a1f015f,
0x00000000,
0x7200015f,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6a0f015f,
0x00000000,
0x54000000,
0x00050803,
0x00000000,
0xb940000f,
0x00110005,
0x110005ef,
0xb900000f,
0x00110005,
0x00000000,
0xb940000f,
0x00110005,
0x110009ef,
0xb900000f,
0x00110005,
0x00000000,
0x14000000,
0x00050003,
0x0006000c,
0x00000000,
0x6a1f015f,
0x00000000,
0x7200015f,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6a0f015f,
0x00000000,
0x54000000,
0x00050802,
0xb940000f,
0x00110005,
0x110005ef,
0xb900000f,
0x00110005,
0x0006000c,
0x00000000,
0xf9400bea,
0x00000000,
0xf9000be0,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110005,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e1,
0x2a1f03e2,
0xaa1f03e3,
0xaa1f03e4,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xf9400be0,
0x00000000,
0x14000000,
0x00050003,
0x00000000,
0x0006000b,
0x00000000,
0x00010000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x6a1f015f,
0x00000000,
0x7200015f,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6a0f015f,
0x00000000,
0x54000000,
0x00050801,
0x00000000,
0xb940000f,
0x00110005,
0x110005ef,
0xb900000f,
0x00110005,
0x0006000b,
0x00000000,
0x6a1f015f,
0x00000000,
0x7200015f,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6a0f015f,
0x00000000,
0x54000000,
0x00050801,
0x00000000,
0xb940000f,
0x00110005,
0x110009ef,
0xb900000f,
0x00110005,
0x0006000b,
0x00000000,
0x6a1f015f,
0x00000000,
0x7200015f,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6a0f015f,
0x00000000,
0x54000000,
0x00050801,
0x00000000,
0xb940000f,
0x00110005,
0x110005ef,
0xb900000f,
0x00110005,
0x0006000b,
0x00000000,
0x0006000d,
0x00000000,
0xf840000f,
0x000f0003,
0xb500000f,
0x00050802,
0x00010001,
0x0006000c,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x6a1f013f,
0x00000000,
0x7200013f,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6a0f013f,
0x00000000,
0x54000000,
0x00050801,
0x00000000,
0xb940014f,
0x110005ef,
0xb900014f,
0x0006000b,
0x00000000,
0x1000000f,
0x00092000,
0xf94001e8,
0x00000000,
0x9000000f,
0x00093000,
0xf84001e8,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf94001e8,
0x00000000,
0xb4000008,
0x00050808,
0x14000000,
0x00050015,
0x00000000,
0x14000000,
0x00050008,
0x00000000,
0x00010000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x34000000,
0x00110000,
0x00090800,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000000,
0x00090800,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x34000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000000,
0x00050801,
0x00000000,
0x00010001,
0x0006000b,
0x00000000,
0xf9000be0,
0x00110000,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x72a00000,
0x000a0205,
0x00000000,
0x52a00000,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xf9400be0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x94000000,
0x00050034,
0x14000000,
0x00050009,
0x00010000,
0x0006000b,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00050035,
0x00000000,
0x94000000,
0x00050034,
0x00000000,
0x94000000,
0x00050035,
0x00000000,
0x94000000,
0x00050035,
0x00000000,
0x94000000,
0x00050036,
0x00000000,
0x94000000,
0x00050037,
0x00000000,
0x94000000,
0x00050038,
0x00000000,
0x00060013,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110000,
0x00110005,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x910003e0,
0x00110000,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0x3840000f,
0x00110005,
0x000f0000,
0x00000000,
0x3500000f,
0x00050803,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050803,
0x00000000,
0xf9400000,
0x00110005,
0x00000000,
0x91000000,
0x00110000,
0x000c0000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xf9000be0,
0x00110000,
0x00000000,
0xf9400be0,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110005,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb940000f,
0x710005ef,
0xb900000f,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x54000001,
0x00050808,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf800036f,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf800036f,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0x1000000f,
0x00092000,
0xf94001e8,
0x00000000,
0x9000000f,
0x00093000,
0xf84001e8,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf94001e8,
0x00000000,
0xb4000008,
0x00050808,
0x14000000,
0x00050015,
0x00000000,
0x14000000,
0x00050008,
0x00000000,
0x0006000e,
0xb940040f,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000001,
0x00050808,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050008,
0x00000000,
0x00060012,
0x00000000,
0x1000000f,
0x00092000,
0xf94001e8,
0x00000000,
0x9000000f,
0x00093000,
0xf84001e8,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf94001e8,
0x00000000,
0xb4000008,
0x00050808,
0x14000000,
0x00050015,
0x00000000,
0x00010000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050805,
0x00000000,
0xf9000be0,
0x00110000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110005,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb940000f,
0x710005ef,
0xb900000f,
0xb940040f,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000001,
0x00050805,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0xf9400be0,
0x00110000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xb940000f,
0x00110005,
0x710005ef,
0xb900000f,
0x00110005,
0x00000000,
0x0006000f,
0x00000000,
0x00060012,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x34000000,
0x00110000,
0x00090800,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000000,
0x00090800,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x3840000f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xf9400001,
0x3840002f,
0x000f0000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050802,
0x91000020,
0x000c0000,
0x14000000,
0x00050003,
0x00010001,
0x0006000c,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e0,
0xb5000000,
0x00050801,
0x14000000,
0x00050016,
0x00010000,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050807,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050807,
0x00000000,
0x0006000d,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xb9400100,
0x00110000,
0x7100041f,
0x00110005,
0x54000009,
0x00050802,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0x0006000c,
0xaa0803e0,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xb9400000,
0x00110000,
0x7100041f,
0x00110005,
0x00000000,
0x54000008,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0x54000009,
0x00050802,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050801,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x0006000b,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206808,
0x00110005,
0x00110010,
0x00000000,
0xf8000008,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xaa0803e0,
0x00000000,
0x14000000,
0x00050002,
0x00010000,
0x0006000c,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x5400000c,
0x00050807,
0x00000000,
0xf9000be0,
0x00110000,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0x00000000,
0xf9400be0,
0x00110000,
0x00000000,
0xaa0803e0,
0x00110000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6808,
0x00110005,
0x00000000,
0xf8000008,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xaa0803e0,
0x00000000,
0x00060010,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0xb4000008,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0x94000000,
0x00050021,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00050022,
0x00000000,
0x14000000,
0x00050009,
0x00010000,
0x00060012,
0x00000000,
0x00010001,
0x00060011,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x5400000c,
0x00050802,
0x00000000,
0xf9000be0,
0x00110000,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0x00000000,
0xf9400be0,
0x00110000,
0x00000000,
0xaa0803e0,
0x00110000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6808,
0x00110005,
0x00000000,
0xf8000008,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xaa0803e0,
0x14000000,
0x00050010,
0x0006000c,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xaa1f03e1,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0xaa1f03e3,
0x00000000,
0xaa1f03e3,
0x00000000,
0xd2800003,
0x000a0205,
0x00000000,
0x10000003,
0x00092000,
0x00000000,
0x90000003,
0x00093000,
0x00000000,
0x91000063,
0x000c0000,
0x00000000,
0xd2800003,
0x000a0205,
0x00000000,
0xf2a00003,
0x000a0205,
0x00000000,
0xf2c00003,
0x000a0205,
0x00000000,
0xd2a00003,
0x000a0205,
0x00000000,
0xf2c00003,
0x000a0205,
0x00000000,
0xd2c00003,
0x000a0205,
0x00000000,
0x8b1f0003,
0x00110005,
0x00000000,
0x91000003,
0x00110005,
0x000c0000,
0x00000000,
0xd2800003,
0x000a0205,
0x00000000,
0xd2800003,
0x000a0205,
0x00000000,
0xf2a00003,
0x000a0205,
0x00000000,
0xd2a00003,
0x000a0205,
0x00000000,
0x8b030003,
0x00110005,
0x00000000,
0x910003e3,
0x00000000,
0xaa0003e3,
0x00110010,
0x00000000,
0xaa1f03e2,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0x10000002,
0x00092000,
0x00000000,
0x90000002,
0x00093000,
0x00000000,
0x91000042,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2c00002,
0x000a0205,
0x00000000,
0x8b1f0002,
0x00110005,
0x00000000,
0x91000002,
0x00110005,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0x8b020002,
0x00110005,
0x00000000,
0x910003e2,
0x00000000,
0xaa0003e2,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x00010000,
0x00060013,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x3840000f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xf9400001,
0x3840002f,
0x000f0000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050802,
0x91000020,
0x000c0000,
0x14000000,
0x00050003,
0x00010001,
0x0006000c,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e0,
0xb5000000,
0x00050801,
0x14000000,
0x00050016,
0x00010000,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050807,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050807,
0x00000000,
0x0006000d,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xb9400100,
0x00110000,
0x7100041f,
0x00110005,
0x54000009,
0x00050802,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0x0006000c,
0xaa0803e0,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xb9400000,
0x00110000,
0x7100041f,
0x00110005,
0x00000000,
0x54000008,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0x54000009,
0x00050802,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050801,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x0006000b,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206808,
0x00110005,
0x00110010,
0x00000000,
0xf8000008,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xaa0803e0,
0x00000000,
0x14000000,
0x00050002,
0x00010000,
0x0006000c,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0x00010001,
0x00060011,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x5400000c,
0x00050807,
0x00000000,
0xf9000be0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x0006000b,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0x00000000,
0xf9400be0,
0x00110000,
0x00000000,
0xaa0803e0,
0x00110000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6808,
0x00110005,
0x00000000,
0xf8000008,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xaa0803e0,
0x00000000,
0x14000000,
0x00050001,
0x00010000,
0x0006000b,
0x00000000,
0x00060010,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0xb4000008,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0x94000000,
0x00050021,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00050022,
0x00000000,
0x14000000,
0x00050009,
0x00010000,
0x00060012,
0x00000000,
0x3840010f,
0x000f0000,
0x00000000,
0x3500000f,
0x00090800,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0x3840010f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xf9400100,
0xf840000f,
0x000f0003,
0xb500000f,
0x00050802,
0x91000008,
0x000c0000,
0x00010001,
0x0006000c,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0xaa1f03e2,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0x10000002,
0x00092000,
0x00000000,
0x90000002,
0x00093000,
0x00000000,
0x91000042,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2c00002,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050009,
0x00010000,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0x00010001,
0x00060011,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xaa1f03e1,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0xaa1f03e2,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0x10000002,
0x00092000,
0x00000000,
0x90000002,
0x00093000,
0x00000000,
0x91000042,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2c00002,
0x000a0205,
0x00000000,
0x8b1f0002,
0x00110005,
0x00000000,
0x91000002,
0x00110005,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0x8b020002,
0x00110005,
0x00000000,
0x910003e2,
0x00000000,
0xaa0003e2,
0x00110010,
0x00000000,
0xaa1f03e3,
0x00000000,
0xd2800003,
0x000a0205,
0x00000000,
0x10000003,
0x00092000,
0x00000000,
0x90000003,
0x00093000,
0x00000000,
0x91000063,
0x000c0000,
0x00000000,
0xd2800003,
0x000a0205,
0x00000000,
0xf2a00003,
0x000a0205,
0x00000000,
0xf2c00003,
0x000a0205,
0x00000000,
0xd2a00003,
0x000a0205,
0x00000000,
0xf2c00003,
0x000a0205,
0x00000000,
0xd2c00003,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x00060013,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0x14000000,
0x00050009,
0x00010000,
0x00060013,
0x00000000,
0x00010001,
0x00060013,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0x14000000,
0x00050009,
0x00010000,
0x00060013,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x3840000f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xf9400000,
0xf840000f,
0x000f0003,
0xb500000f,
0x00050802,
0x91000000,
0x000c0000,
0x00010001,
0x0006000c,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0xaa1f03e2,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0x10000002,
0x00092000,
0x00000000,
0x90000002,
0x00093000,
0x00000000,
0x91000042,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2c00002,
0x000a0205,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050009,
0x00010000,
0x0006000b,
0x00000000,
0x00060013,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0xeb1f001f,
0x00110005,
0x00000000,
0xeb1f001f,
0x00110005,
0x00000000,
0xf100001f,
0x00110005,
0x000c0000,
0x00000000,
0xb100001f,
0x00110005,
0x000c0000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0xeb0f001f,
0x00110005,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f680f,
0x00110005,
0x00000000,
0xf840000f,
0x00110005,
0x000f0003,
0x00000000,
0xeb0f001f,
0x00110005,
0x00000000,
0xeb00001f,
0x00110005,
0x00110010,
0x00000000,
0xeb1f001f,
0x00110005,
0x00000000,
0xeb1f001f,
0x00110005,
0x00000000,
0xf100001f,
0x00110005,
0x000c0000,
0x00000000,
0xb100001f,
0x00110005,
0x000c0000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0xeb0f001f,
0x00110005,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f680f,
0x00110005,
0x00000000,
0xf840000f,
0x00110005,
0x000f0003,
0x00000000,
0xeb0f001f,
0x00110005,
0x00000000,
0xeb00001f,
0x00110005,
0x00110010,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf870680f,
0x00110005,
0x00000000,
0xf840000f,
0x00110005,
0x000f0003,
0x00000000,
0xeb1f01ff,
0x00000000,
0xf10001ff,
0x000c0000,
0x00000000,
0xb10001ff,
0x000c0000,
0x00000000,
0xaa1f03f0,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0x92800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xf2c00010,
0x000a0205,
0x00000000,
0xf2e00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf2c00010,
0x000a0205,
0x00000000,
0xf2e00010,
0x000a0205,
0x00000000,
0xd2c00010,
0x000a0205,
0x00000000,
0xf2e00010,
0x000a0205,
0x00000000,
0xd2e00010,
0x000a0205,
0x00000000,
0xeb1001ff,
0x00000000,
0xeb1f001f,
0x00110005,
0x00000000,
0xf100001f,
0x00110005,
0x000c0000,
0x00000000,
0xb100001f,
0x00110005,
0x000c0000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0xeb0f001f,
0x00110005,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf870680f,
0x00110005,
0x00000000,
0xf840000f,
0x00110005,
0x000f0003,
0x00000000,
0xeb1f01ff,
0x00000000,
0xf10001ff,
0x000c0000,
0x00000000,
0xb10001ff,
0x000c0000,
0x00000000,
0xaa1f03f0,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0x92800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xf2c00010,
0x000a0205,
0x00000000,
0xf2e00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf2c00010,
0x000a0205,
0x00000000,
0xf2e00010,
0x000a0205,
0x00000000,
0xd2c00010,
0x000a0205,
0x00000000,
0xf2e00010,
0x000a0205,
0x00000000,
0xd2e00010,
0x000a0205,
0x00000000,
0xeb1001ff,
0x00000000,
0xeb1f001f,
0x00110005,
0x00000000,
0xf100001f,
0x00110005,
0x000c0000,
0x00000000,
0xb100001f,
0x00110005,
0x000c0000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0xeb0f001f,
0x00110005,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xeb1f001f,
0x00110005,
0x00000000,
0xeb1f001f,
0x00110005,
0x00000000,
0xf100001f,
0x00110005,
0x000c0000,
0x00000000,
0xb100001f,
0x00110005,
0x000c0000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0xeb0f001f,
0x00110005,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f680f,
0x00110005,
0x00000000,
0xf840000f,
0x00110005,
0x000f0003,
0x00000000,
0xeb0f001f,
0x00110005,
0x00000000,
0xeb00001f,
0x00110005,
0x00110010,
0x00000000,
0x1a9f17e8,
0x00000000,
0x1a9f07e8,
0x00000000,
0x1a9fd7e8,
0x00000000,
0x1a9fa7e8,
0x00000000,
0x1a9fb7e8,
0x00000000,
0x1a9fc7e8,
0x00000000,
0x11000908,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb82f6808,
0x00110005,
0x00000000,
0xb8000008,
0x00110005,
0x000f0002,
0x00000000,
0x54000001,
0x00090800,
0x00000000,
0x54000001,
0x00070800,
0x00000000,
0x54000000,
0x00090800,
0x00000000,
0x54000000,
0x00070800,
0x00000000,
0x54000001,
0x00090800,
0x00000000,
0x54000000,
0x00070800,
0x00000000,
0x5400000d,
0x00090800,
0x00000000,
0x5400000d,
0x00070800,
0x00000000,
0x5400000a,
0x00090800,
0x00000000,
0x5400000a,
0x00070800,
0x00000000,
0x5400000b,
0x00090800,
0x00000000,
0x5400000b,
0x00070800,
0x00000000,
0x5400000c,
0x00090800,
0x00000000,
0x5400000c,
0x00070800,
0x00000000,
0x54000000,
0x00090800,
0x00000000,
0x54000000,
0x00070800,
0x00000000,
0x54000001,
0x00090800,
0x00000000,
0x54000001,
0x00070800,
0x00000000,
0x54000000,
0x00090800,
0x00000000,
0x54000001,
0x00070800,
0x00000000,
0x5400000c,
0x00090800,
0x00000000,
0x5400000c,
0x00070800,
0x00000000,
0x5400000b,
0x00090800,
0x00000000,
0x5400000b,
0x00070800,
0x00000000,
0x5400000a,
0x00090800,
0x00000000,
0x5400000a,
0x00070800,
0x00000000,
0x5400000d,
0x00090800,
0x00000000,
0x5400000d,
0x00070800,
0x00000000,
0x54000001,
0x00070800,
0x00000000,
0x54000000,
0x00070800,
0x00000000,
0x5400000d,
0x00070800,
0x00000000,
0x5400000a,
0x00070800,
0x00000000,
0x5400000b,
0x00070800,
0x00000000,
0x5400000c,
0x00070800,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x1a9f17e8,
0x00000000,
0x1a9f07e8,
0x00000000,
0x1a9fd7e8,
0x00000000,
0x1a9fa7e8,
0x00000000,
0x1a9fb7e8,
0x00000000,
0x1a9fc7e8,
0x00000000,
0x11000908,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb82f6808,
0x00110005,
0x00000000,
0xb8000008,
0x00110005,
0x000f0002,
0x00000000,
0x54000001,
0x00090800,
0x00000000,
0x54000001,
0x00070800,
0x00000000,
0x54000006,
0x00050801,
0x00000000,
0x54000000,
0x00090800,
0x00000000,
0x54000000,
0x00070800,
0x00000000,
0x0006000b,
0x00000000,
0x54000006,
0x00090800,
0x54000001,
0x00090800,
0x00000000,
0x54000006,
0x00050801,
0x54000000,
0x00070800,
0x0006000b,
0x00000000,
0x54000006,
0x00090800,
0x54000009,
0x00090800,
0x00000000,
0x54000006,
0x00070800,
0x54000009,
0x00070800,
0x00000000,
0x54000002,
0x00090800,
0x00000000,
0x54000002,
0x00070800,
0x00000000,
0x54000006,
0x00090800,
0x54000003,
0x00090800,
0x00000000,
0x54000006,
0x00070800,
0x54000003,
0x00070800,
0x00000000,
0x54000008,
0x00090800,
0x00000000,
0x54000008,
0x00070800,
0x00000000,
0x54000006,
0x00050801,
0x00000000,
0x54000000,
0x00090800,
0x00000000,
0x54000000,
0x00070800,
0x00000000,
0x0006000b,
0x00000000,
0x54000001,
0x00090800,
0x00000000,
0x54000001,
0x00070800,
0x00000000,
0x54000006,
0x00050801,
0x54000000,
0x00090800,
0x0006000b,
0x00000000,
0x54000001,
0x00070800,
0x00000000,
0x54000006,
0x00050801,
0x00000000,
0x54000008,
0x00090800,
0x00000000,
0x54000008,
0x00070800,
0x00000000,
0x0006000b,
0x00000000,
0x54000006,
0x00050801,
0x00000000,
0x54000003,
0x00090800,
0x00000000,
0x54000003,
0x00070800,
0x00000000,
0x0006000b,
0x00000000,
0x54000006,
0x00050801,
0x00000000,
0x54000002,
0x00090800,
0x00000000,
0x54000002,
0x00070800,
0x00000000,
0x0006000b,
0x00000000,
0x54000006,
0x00050801,
0x00000000,
0x54000009,
0x00090800,
0x00000000,
0x54000009,
0x00070800,
0x00000000,
0x0006000b,
0x00000000,
0x54000001,
0x00070800,
0x00000000,
0x54000006,
0x00070800,
0x54000000,
0x00070800,
0x00000000,
0x54000006,
0x00070800,
0x54000009,
0x00070800,
0x00000000,
0x54000002,
0x00070800,
0x00000000,
0x54000006,
0x00070800,
0x54000003,
0x00070800,
0x00000000,
0x54000008,
0x00070800,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x54000001,
0x00070800,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x54000006,
0x00050801,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x54000000,
0x00070800,
0x0006000b,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x54000006,
0x00070800,
0x54000009,
0x00070800,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x54000002,
0x00070800,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x54000006,
0x00070800,
0x54000003,
0x00070800,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x54000008,
0x00070800,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x54000006,
0x00050801,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x54000000,
0x00070800,
0x0006000b,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x54000006,
0x00070800,
0x54000001,
0x00070800,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x1a9f97e8,
0x11000908,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb82f6808,
0x00110005,
0x00000000,
0xb8000008,
0x00110005,
0x000f0002,
0x00000000,
0x54000006,
0x00050801,
0x54000008,
0x00070800,
0x0006000b,
0x00000000,
0x54000006,
0x00050801,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x54000003,
0x00070800,
0x0006000b,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x1a9f37e8,
0x11000908,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb82f6808,
0x00110005,
0x00000000,
0xb8000008,
0x00110005,
0x000f0002,
0x00000000,
0x54000006,
0x00050801,
0x54000002,
0x00070800,
0x0006000b,
0x00000000,
0x54000006,
0x00050801,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x54000009,
0x00070800,
0x0006000b,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x54000006,
0x00050801,
0x52800008,
0x000a0205,
0x54000000,
0x00050802,
0x0006000b,
0x52800008,
0x000a0205,
0x0006000c,
0x00000000,
0x54000006,
0x00050801,
0x52800008,
0x000a0205,
0x54000000,
0x00050802,
0x0006000b,
0x52800008,
0x000a0205,
0x0006000c,
0x00000000,
0x54000006,
0x00050801,
0x52800008,
0x000a0205,
0x00000000,
0x54000008,
0x00050802,
0x00000000,
0x54000003,
0x00050802,
0x00000000,
0x0006000b,
0x52800008,
0x000a0205,
0x0006000c,
0x00000000,
0x54000006,
0x00050801,
0x52800008,
0x000a0205,
0x00000000,
0x54000002,
0x00050802,
0x00000000,
0x54000009,
0x00050802,
0x00000000,
0x0006000b,
0x52800008,
0x000a0205,
0x0006000c,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb82f6808,
0x00110005,
0x00000000,
0xb8000008,
0x00110005,
0x000f0002,
0x00000000,
0x9e6703e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0x9e620000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x9e620000,
0x00110000,
0x00110005,
0x00000000,
0x9e620000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x1e602000,
0x00110005,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e602000,
0x00110005,
0x00110010,
0x00000000,
0x1e602000,
0x00110005,
0x00110010,
0x00000000,
0x9e6703e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0x9e620000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x9e620000,
0x00110000,
0x00110005,
0x00000000,
0x9e620000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x1e602000,
0x00110005,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e602000,
0x00110005,
0x00110010,
0x00000000,
0x1e602000,
0x00110005,
0x00110010,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x1e602000,
0x00110005,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e602000,
0x00110005,
0x00110010,
0x00000000,
0x1e602000,
0x00110005,
0x00110010,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x1e602000,
0x00110005,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e602000,
0x00110005,
0x00110010,
0x00000000,
0x1e602000,
0x00110005,
0x00110010,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x1e602000,
0x00110005,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e602000,
0x00110005,
0x00110010,
0x00000000,
0x1e602000,
0x00110005,
0x00110010,
0x00000000,
0x6a00001f,
0x00000000,
0x1a9f17e8,
0x00000000,
0x1a9f07e8,
0x00000000,
0x1a9fa7e8,
0x00000000,
0x1a9fc7e8,
0x00000000,
0x11000908,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb82f6808,
0x00110005,
0x00000000,
0xb8000008,
0x00110005,
0x000f0002,
0x00000000,
0x54000001,
0x00090800,
0x00000000,
0x54000001,
0x00070800,
0x00000000,
0x54000000,
0x00090800,
0x00000000,
0x54000000,
0x00070800,
0x00000000,
0x5400000a,
0x00090800,
0x00000000,
0x5400000a,
0x00070800,
0x00000000,
0x5400000c,
0x00090800,
0x00000000,
0x5400000c,
0x00070800,
0x00000000,
0x54000000,
0x00090800,
0x00000000,
0x54000000,
0x00070800,
0x00000000,
0x54000001,
0x00090800,
0x00000000,
0x54000001,
0x00070800,
0x00000000,
0x5400000b,
0x00090800,
0x00000000,
0x5400000b,
0x00070800,
0x00000000,
0x5400000d,
0x00090800,
0x00000000,
0x5400000d,
0x00070800,
0x00000000,
0x54000001,
0x00070800,
0x00000000,
0x54000000,
0x00070800,
0x00000000,
0x5400000a,
0x00070800,
0x00000000,
0x5400000c,
0x00070800,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x1a9f17e8,
0x00000000,
0x1a9f07e8,
0x00000000,
0x1a9fa7e8,
0x00000000,
0x1a9fc7e8,
0x00000000,
0x11000908,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb82f6808,
0x00110005,
0x00000000,
0xb8000008,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050804,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050809,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050809,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050803,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050803,
0x00000000,
0x00010001,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050809,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050809,
0x00000000,
0x14000000,
0x00050006,
0x00010000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050809,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050809,
0x00000000,
0x00010001,
0x0006000e,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050809,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050809,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050805,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050805,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050809,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050809,
0x00000000,
0x14000000,
0x00050006,
0x00000000,
0x0006000f,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050809,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050809,
0x00000000,
0x14000000,
0x00050006,
0x00000000,
0x00010000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050809,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050809,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050803,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050803,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050809,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050809,
0x00000000,
0x00010001,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050809,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050809,
0x00000000,
0x14000000,
0x00050006,
0x00010000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050809,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050809,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050803,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050803,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050809,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050809,
0x00000000,
0x00010001,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050809,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050809,
0x00000000,
0x14000000,
0x00050006,
0x00010000,
0x00010001,
0x00060013,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x3840000f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xf9000be0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xf9400be0,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x14000000,
0x00050002,
0x0006000b,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0x0006000c,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xb90013e0,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0xb94013e0,
0x00000000,
0x14000000,
0x00050006,
0x00010000,
0x00060010,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x3840000f,
0x000f0000,
0x00000000,
0x3400000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000000,
0x00050801,
0x00000000,
0x00010001,
0x0006000b,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x72a00000,
0x000a0205,
0x00000000,
0x52a00000,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x14000000,
0x00050001,
0x00010000,
0x0006000b,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0x3840002f,
0x000f0000,
0x00000000,
0x3400000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000000,
0x00050801,
0x00000000,
0x00010001,
0x0006000b,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xf9000be0,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x72a00000,
0x000a0205,
0x00000000,
0x52a00000,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xf9400be0,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x14000000,
0x00050001,
0x00010000,
0x0006000b,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x3840000f,
0x000f0000,
0x00000000,
0x3400000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000000,
0x00050801,
0x00000000,
0x00010001,
0x0006000b,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x72a00000,
0x000a0205,
0x00000000,
0x52a00000,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x14000000,
0x00050001,
0x00010000,
0x0006000b,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0x3840002f,
0x000f0000,
0x00000000,
0x3400000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000000,
0x00050801,
0x00000000,
0x00010001,
0x0006000b,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x72a00000,
0x000a0205,
0x00000000,
0x52a00000,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x14000000,
0x00050001,
0x00010000,
0x0006000b,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x3840000f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xf9400000,
0x91000000,
0x000c0000,
0x0006000b,
0x00000000,
0x3840002f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xf9400021,
0x91000021,
0x000c0000,
0x0006000b,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x3840002f,
0x000f0000,
0x710001ff,
0x000c0000,
0x00000000,
0x54000001,
0x00050808,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x00060012,
0x00000000,
0x54000000,
0x00090800,
0x00000000,
0x54000000,
0x00070800,
0x00000000,
0x54000000,
0x00050809,
0x00000000,
0x1a9f17e8,
0x00000000,
0x1a9f07e8,
0x00000000,
0x11000908,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb82f6808,
0x00110005,
0x00000000,
0xb8000008,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x3840000f,
0x000f0000,
0x710001ff,
0x000c0000,
0x00000000,
0x54000001,
0x00050808,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x00060012,
0x00000000,
0x54000000,
0x00090800,
0x00000000,
0x54000000,
0x00070800,
0x00000000,
0x54000000,
0x00050809,
0x00000000,
0x1a9f17e8,
0x00000000,
0x1a9f07e8,
0x00000000,
0x11000908,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb82f6808,
0x00110005,
0x00000000,
0xb8000008,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xb90013e0,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0xb94013e0,
0x00000000,
0x35000000,
0x00090800,
0x00000000,
0x34000000,
0x00090800,
0x00000000,
0x34000000,
0x00070800,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x35000000,
0x00070800,
0x00000000,
0x11000800,
0x00000000,
0x4b0003e0,
0x11000c00,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb82f6800,
0x00110005,
0x00000000,
0xb8000000,
0x00110005,
0x000f0002,
0x00000000,
0x00060013,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x3840000f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xf9400000,
0x91000000,
0x000c0000,
0x0006000b,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x00000000,
0x5400000b,
0x00050809,
0x00000000,
0x5400000b,
0x00090800,
0x00000000,
0x5400000b,
0x00070800,
0x00000000,
0x5400000b,
0x00050809,
0x00000000,
0x5400000c,
0x00050802,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x54000001,
0x00050801,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x0006000b,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x54000001,
0x00090800,
0x00000000,
0x54000000,
0x00090800,
0x00000000,
0x54000001,
0x00090800,
0x00000000,
0x54000000,
0x00050809,
0x00000000,
0x54000001,
0x00050801,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x0006000b,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x54000000,
0x00070800,
0x00000000,
0x54000001,
0x00070800,
0x00000000,
0x54000000,
0x00050809,
0x00000000,
0x1a9f17e8,
0x00000000,
0x4b0803e8,
0x11000d08,
0x00000000,
0x11000908,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb82f6808,
0x00110005,
0x00000000,
0xb8000008,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb82f6808,
0x00110005,
0x00000000,
0xb8000008,
0x00110005,
0x000f0002,
0x00000000,
0x54000000,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x34000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000000,
0x00050801,
0x00000000,
0x00010001,
0x0006000b,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x72a00000,
0x000a0205,
0x00000000,
0x52a00000,
0x000a0205,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x00010000,
0x14000000,
0x00050009,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x0006000c,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050802,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050802,
0x00000000,
0xea00001f,
0x00110005,
0x00110010,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf870680f,
0x00110005,
0x00000000,
0xf840000f,
0x00110005,
0x000f0003,
0x00000000,
0xeb1f01ff,
0x00000000,
0xf10001ff,
0x000c0000,
0x00000000,
0xb10001ff,
0x000c0000,
0x00000000,
0xaa1f03f0,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0x92800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xf2c00010,
0x000a0205,
0x00000000,
0xf2e00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf2c00010,
0x000a0205,
0x00000000,
0xf2e00010,
0x000a0205,
0x00000000,
0xd2c00010,
0x000a0205,
0x00000000,
0xf2e00010,
0x000a0205,
0x00000000,
0xd2e00010,
0x000a0205,
0x00000000,
0xeb1001ff,
0x00000000,
0xeb1f001f,
0x00110005,
0x00000000,
0xf100001f,
0x00110005,
0x000c0000,
0x00000000,
0xb100001f,
0x00110005,
0x000c0000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0xeb0f001f,
0x00110005,
0x00000000,
0x1a9f07e8,
0x00000000,
0x4b0803e8,
0x11000d08,
0x00000000,
0x11000908,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb82f6808,
0x00110005,
0x00000000,
0xb8000008,
0x00110005,
0x000f0002,
0x00000000,
0x54000001,
0x00090800,
0x00000000,
0x54000000,
0x00090800,
0x00000000,
0x54000001,
0x00070800,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x54000000,
0x00070800,
0x00000000,
0x00010001,
0x0006000c,
0x9e6703e0,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x1e602000,
0x00110005,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e602000,
0x00110005,
0x00110010,
0x00000000,
0x1e602000,
0x00110005,
0x00110010,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x54000006,
0x00090800,
0x54000001,
0x00090800,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x54000006,
0x00050801,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x54000000,
0x00090800,
0x0006000b,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x54000006,
0x00050801,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x54000000,
0x00070800,
0x0006000b,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x54000006,
0x00070800,
0x54000001,
0x00070800,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x52800008,
0x000a0205,
0x54000006,
0x00050801,
0x54000001,
0x00050801,
0x52800008,
0x000a0205,
0x0006000b,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb82f6808,
0x00110005,
0x00000000,
0xb8000008,
0x00110005,
0x000f0002,
0x00000000,
0x52800008,
0x000a0205,
0x54000006,
0x00050801,
0x54000001,
0x00050801,
0x52800008,
0x000a0205,
0x0006000b,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb82f6808,
0x00110005,
0x00000000,
0xb8000008,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00050009,
0x00010000,
0x54000006,
0x00090800,
0x54000001,
0x00090800,
0x0006000b,
0x00000000,
0x54000006,
0x00050801,
0x54000000,
0x00090800,
0x0006000b,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x54000006,
0x00050801,
0x54000000,
0x00070800,
0x0006000b,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x54000006,
0x00070800,
0x54000001,
0x00070800,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x00010000,
0x00010001,
0x0006000c,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050803,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110005,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb940000f,
0x710005ef,
0xb900000f,
0x54000001,
0x00050803,
0x00000000,
0xf9000be8,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf800036f,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf800036f,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0xf9400be8,
0x0006000d,
0x00000000,
0x1000000f,
0x00092000,
0xf94001e9,
0x00000000,
0x9000000f,
0x00093000,
0xf84001e9,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf94001e9,
0x00000000,
0xb5000009,
0x00050816,
0x00000000,
0x4b0803e8,
0x11000d08,
0x00000000,
0x11000908,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb82f6808,
0x00110005,
0x00000000,
0xb8000008,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x00000000,
0x54000001,
0x00090800,
0x00000000,
0x54000000,
0x00090800,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x00000000,
0x54000001,
0x00070800,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x54000000,
0x00070800,
0x00000000,
0x14000000,
0x00050009,
0x00010000,
0x35000008,
0x00090800,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x34000008,
0x00090800,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x35000008,
0x00070800,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x34000008,
0x00070800,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x00010000,
0x00060013,
0x00000000,
0x1000000f,
0x00092000,
0xf94001e9,
0x00000000,
0x9000000f,
0x00093000,
0xf84001e9,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf94001e9,
0x00000000,
0x10000010,
0x00092000,
0xf940020f,
0x00000000,
0x90000010,
0x00093000,
0xf840020f,
0x000f0003,
0x00000000,
0xaa1f03f0,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0x10000010,
0x00092000,
0x00000000,
0x90000010,
0x00093000,
0x00000000,
0x91000210,
0x000c0000,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xf2c00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf2c00010,
0x000a0205,
0x00000000,
0xd2c00010,
0x000a0205,
0x00000000,
0xf940020f,
0x00000000,
0xcb0f0129,
0x00000000,
0xeb1f013f,
0x00000000,
0xf100013f,
0x000c0000,
0x00000000,
0xb100013f,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xeb0f013f,
0x00000000,
0x54000003,
0x00090800,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x72a00000,
0x000a0205,
0x00000000,
0x52a00000,
0x000a0205,
0x00000000,
0x3840010f,
0x000f0000,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000001,
0x00050801,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x72a00000,
0x000a0205,
0x00000000,
0x52a00000,
0x000a0205,
0x00000000,
0x5280000a,
0x000a0205,
0x00000000,
0x5280000a,
0x000a0205,
0x00000000,
0x72a0000a,
0x000a0205,
0x00000000,
0x52a0000a,
0x000a0205,
0x00000000,
0xb840010f,
0x000f0002,
0x6b0f015f,
0x1a8fd14a,
0xb840010f,
0x000f0002,
0x4b0f014a,
0xb840010f,
0x000f0002,
0x4b0f014a,
0x00000000,
0xb840010f,
0x000f0002,
0x6b0f015f,
0x1a8fd14a,
0xb840010f,
0x000f0002,
0x4b0f014a,
0xb840010f,
0x000f0002,
0x4b0f014a,
0x00000000,
0x93407d4a,
0xcb0a1000,
0x0006000b,
0x00000000,
0x1000000f,
0x00092000,
0xf94001fc,
0x00000000,
0x9000000f,
0x00093000,
0xf84001fc,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf94001fc,
0x00000000,
0x1000000f,
0x00092000,
0xf94001ea,
0x00000000,
0x9000000f,
0x00093000,
0xf84001ea,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf94001ea,
0x00000000,
0xcb1c014a,
0x00000000,
0xeb1f015f,
0x00000000,
0xf100015f,
0x000c0000,
0x00000000,
0xb100015f,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xeb0f015f,
0x00000000,
0xeb00015f,
0x00000000,
0x54000003,
0x00090800,
0x00000000,
0x54000003,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x72a00000,
0x000a0205,
0x00000000,
0x52a00000,
0x000a0205,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0803e1,
0x00000000,
0x91000101,
0x000c0000,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003fc,
0x14000000,
0x00050001,
0x00010000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf94001ea,
0x9100014a,
0x000c0000,
0xf90001ea,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xaa1f03f0,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0x10000010,
0x00092000,
0x00000000,
0x90000010,
0x00093000,
0x00000000,
0x91000210,
0x000c0000,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xf2c00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf2c00010,
0x000a0205,
0x00000000,
0xd2c00010,
0x000a0205,
0x00000000,
0xf940020a,
0x8b0f014a,
0xf900020a,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf94001ea,
0x8b00014a,
0xf90001ea,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xb800038f,
0x000f0002,
0x00000000,
0x0006000b,
0x00000000,
0xaa1f03e9,
0x00000000,
0xd2800009,
0x000a0205,
0x00000000,
0x10000009,
0x00092000,
0x00000000,
0x90000009,
0x00093000,
0x00000000,
0x91000129,
0x000c0000,
0x00000000,
0xd2800009,
0x000a0205,
0x00000000,
0xf2a00009,
0x000a0205,
0x00000000,
0xf2c00009,
0x000a0205,
0x00000000,
0xd2a00009,
0x000a0205,
0x00000000,
0xf2c00009,
0x000a0205,
0x00000000,
0xd2c00009,
0x000a0205,
0x00000000,
0xf8000389,
0x000f0003,
0x00000000,
0xf8000388,
0x000f0003,
0x00000000,
0x91000109,
0x000c0000,
0xf8000389,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xf9400be9,
0xf8000389,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xb800038f,
0x000f0002,
0x00000000,
0xb840038f,
0x000f0002,
0x00000000,
0x2a1f01ef,
0x00000000,
0x320001ef,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x2a1001ef,
0x00000000,
0xb800038f,
0x000f0002,
0x00000000,
0xb940012f,
0x110005ef,
0xb900012f,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xb800038f,
0x000f0002,
0x00000000,
0xb840038f,
0x000f0002,
0x00000000,
0x2a1f01ef,
0x00000000,
0x320001ef,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x2a1001ef,
0x00000000,
0xb800038f,
0x000f0002,
0x00000000,
0xf800039f,
0x000f0003,
0x00000000,
0xb940010f,
0x110005ef,
0xb900010f,
0x00000000,
0xf8400109,
0x000f0003,
0xf8000389,
0x000f0003,
0xb840010a,
0x000f0002,
0x00000000,
0x0a1f014a,
0x00000000,
0x1200014a,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x0a0f014a,
0x00000000,
0x2a1f014a,
0x00000000,
0x3200014a,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x2a0f014a,
0x00000000,
0x3840010f,
0x000f0000,
0x710001ff,
0x000c0000,
0x54000000,
0x00050801,
0x00000000,
0x2a1f014a,
0x00000000,
0x3200014a,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x2a0f014a,
0x00000000,
0xf8400109,
0x000f0003,
0x0006000b,
0xb840038f,
0x000f0002,
0x2a0a01ef,
0xb800038f,
0x000f0002,
0xf8000389,
0x000f0003,
0xf840010f,
0x000f0003,
0xb500000f,
0x00050801,
0x91000100,
0x000c0000,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x0006000b,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xb800038f,
0x000f0002,
0x00000000,
0xf8400369,
0x000f0003,
0x00000000,
0xf8400129,
0x000f0003,
0x00000000,
0xf8400129,
0x000f0003,
0x00000000,
0xaa1f03ea,
0x00000000,
0xd280000a,
0x000a0205,
0x00000000,
0x1000000a,
0x00092000,
0x00000000,
0x9000000a,
0x00093000,
0x00000000,
0x9100014a,
0x000c0000,
0x00000000,
0xd280000a,
0x000a0205,
0x00000000,
0xf2a0000a,
0x000a0205,
0x00000000,
0xf2c0000a,
0x000a0205,
0x00000000,
0xd2a0000a,
0x000a0205,
0x00000000,
0xf2c0000a,
0x000a0205,
0x00000000,
0xd2c0000a,
0x000a0205,
0x00000000,
0xf840012f,
0x000f0003,
0xeb0a01ff,
0x54000001,
0x00090800,
0x00000000,
0xaa1f03ea,
0x00000000,
0xd280000a,
0x000a0205,
0x00000000,
0x1000000a,
0x00092000,
0x00000000,
0x9000000a,
0x00093000,
0x00000000,
0x9100014a,
0x000c0000,
0x00000000,
0xd280000a,
0x000a0205,
0x00000000,
0xf2a0000a,
0x000a0205,
0x00000000,
0xf2c0000a,
0x000a0205,
0x00000000,
0xd2a0000a,
0x000a0205,
0x00000000,
0xf2c0000a,
0x000a0205,
0x00000000,
0xd2c0000a,
0x000a0205,
0x00000000,
0xf840012f,
0x000f0003,
0xeb0a01ff,
0x54000001,
0x00090800,
0x00000000,
0xf8400368,
0x000f0003,
0x00000000,
0xf840036a,
0x000f0003,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6948,
0x00000000,
0xf8400148,
0x000f0003,
0x00000000,
0xaa1f03e9,
0x00000000,
0xd2800009,
0x000a0205,
0x00000000,
0x10000009,
0x00092000,
0x00000000,
0x90000009,
0x00093000,
0x00000000,
0x91000129,
0x000c0000,
0x00000000,
0xd2800009,
0x000a0205,
0x00000000,
0xf2a00009,
0x000a0205,
0x00000000,
0xf2c00009,
0x000a0205,
0x00000000,
0xd2a00009,
0x000a0205,
0x00000000,
0xf2c00009,
0x000a0205,
0x00000000,
0xd2c00009,
0x000a0205,
0x00000000,
0xeb09011f,
0x54000001,
0x00050801,
0x00000000,
0xb4000008,
0x00050801,
0x00000000,
0x00010001,
0x0006000b,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6940,
0x00000000,
0xf8000140,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0x14000000,
0x00050003,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0141,
0x00000000,
0x91000141,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0x8b0f0141,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0141,
0x00000000,
0x91000141,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0x8b0f0141,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0141,
0x00000000,
0x91000141,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0x8b0f0141,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0x00000000,
0xb5000008,
0x00050803,
0x00000000,
0xaa1f03e9,
0x00000000,
0xd2800009,
0x000a0205,
0x00000000,
0x10000009,
0x00092000,
0x00000000,
0x90000009,
0x00093000,
0x00000000,
0x91000129,
0x000c0000,
0x00000000,
0xd2800009,
0x000a0205,
0x00000000,
0xf2a00009,
0x000a0205,
0x00000000,
0xf2c00009,
0x000a0205,
0x00000000,
0xd2a00009,
0x000a0205,
0x00000000,
0xf2c00009,
0x000a0205,
0x00000000,
0xd2c00009,
0x000a0205,
0x00000000,
0xf840010f,
0x000f0003,
0xeb0901ff,
0x54000000,
0x00050803,
0x00000000,
0xaa1f03e9,
0x00000000,
0xd2800009,
0x000a0205,
0x00000000,
0x10000009,
0x00092000,
0x00000000,
0x90000009,
0x00093000,
0x00000000,
0x91000129,
0x000c0000,
0x00000000,
0xd2800009,
0x000a0205,
0x00000000,
0xf2a00009,
0x000a0205,
0x00000000,
0xf2c00009,
0x000a0205,
0x00000000,
0xd2a00009,
0x000a0205,
0x00000000,
0xf2c00009,
0x000a0205,
0x00000000,
0xd2c00009,
0x000a0205,
0x00000000,
0xeb09011f,
0x54000000,
0x00050803,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0xb5000008,
0x00050803,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x14000000,
0x00050023,
0x00000000,
0x00010000,
0x0006000d,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110005,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x3840000f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xf9400000,
0x91000000,
0x000c0000,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00090800,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0x00010001,
0x0006000b,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050015,
0x00010000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110005,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xf9000be0,
0x00000000,
0xf8400368,
0x000f0003,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6908,
0x00000000,
0xf8400108,
0x000f0003,
0x00000000,
0xb4000008,
0x00050801,
0x00000000,
0xf8400368,
0x000f0003,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f690a,
0x00000000,
0xf840010a,
0x000f0003,
0x00000000,
0xf840000f,
0x000f0003,
0xeb0f015f,
0x54000001,
0x00050801,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6908,
0x00000000,
0xf8400108,
0x000f0003,
0x00000000,
0x00010001,
0x0006000b,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x910003e2,
0x00000000,
0x910003e2,
0x000c0000,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0xb5000008,
0x00050802,
0x14000000,
0x00050015,
0x00010000,
0x0006000c,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf8400110,
0x000f0003,
0xeb0f021f,
0x54000001,
0x00090800,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xeb0f011f,
0x54000001,
0x00090800,
0x00000000,
0xb840010f,
0x000f0002,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xf9400be0,
0xaa0803e1,
0x00000000,
0x52800002,
0x000a0205,
0x00000000,
0x52800002,
0x000a0205,
0x00000000,
0x72a00002,
0x000a0205,
0x00000000,
0x52a00002,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xb4000000,
0x00050815,
0x00000000,
0xaa0003fc,
0x00000000,
0x14000000,
0x00050009,
0x00010000,
0x00060013,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6808,
0x00110005,
0x00000000,
0xf8400008,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0xf840010f,
0x000f0003,
0xeb0001ff,
0x54000001,
0x00090800,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0xf840010f,
0x000f0003,
0xeb0001ff,
0x54000001,
0x00090800,
0x00000000,
0xf840037c,
0x000f0003,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xf8400388,
0x000f0003,
0xb840010f,
0x000f0002,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000001,
0x00090800,
0x00000000,
0xf800037f,
0x000f0003,
0x00000000,
0xf8400388,
0x000f0003,
0xf8000368,
0x000f0003,
0x00000000,
0xf800039b,
0x000f0003,
0x00000000,
0xf8400388,
0x000f0003,
0x00000000,
0xb840010f,
0x000f0002,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xaa1c03e0,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x12001c00,
0xf8400388,
0x000f0003,
0x35000000,
0x00050801,
0x14000000,
0x00050015,
0x00010000,
0x0006000b,
0x00000000,
0xaa1c03e0,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x34000000,
0x00050815,
0x00000000,
0x3840010f,
0x000f0000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050808,
0x00000000,
0xf800039f,
0x000f0003,
0x00000000,
0xaa1f03ea,
0x00000000,
0xd280000a,
0x000a0205,
0x00000000,
0x1000000a,
0x00092000,
0x00000000,
0x9000000a,
0x00093000,
0x00000000,
0x9100014a,
0x000c0000,
0x00000000,
0xd280000a,
0x000a0205,
0x00000000,
0xf2a0000a,
0x000a0205,
0x00000000,
0xf2c0000a,
0x000a0205,
0x00000000,
0xd2a0000a,
0x000a0205,
0x00000000,
0xf2c0000a,
0x000a0205,
0x00000000,
0xd2c0000a,
0x000a0205,
0x00000000,
0x8b1f000a,
0x00110005,
0x00000000,
0x9100000a,
0x00110005,
0x000c0000,
0x00000000,
0xd280000a,
0x000a0205,
0x00000000,
0xd280000a,
0x000a0205,
0x00000000,
0xf2a0000a,
0x000a0205,
0x00000000,
0xd2a0000a,
0x000a0205,
0x00000000,
0x8b0a000a,
0x00110005,
0x00000000,
0x910003ea,
0x00000000,
0xaa0003ea,
0x00110010,
0x00000000,
0xf800038a,
0x000f0003,
0x00000000,
0xf800039f,
0x000f0003,
0x00000000,
0xf840036a,
0x000f0003,
0xf800038a,
0x000f0003,
0x00000000,
0xf8400388,
0x000f0003,
0x00000000,
0xf840010a,
0x000f0003,
0xf940014a,
0x00000000,
0x1000000f,
0x00092000,
0xf94001ea,
0x00000000,
0x9000000f,
0x00093000,
0xf84001ea,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf94001ea,
0x00000000,
0x8b1f014a,
0x00000000,
0x9100014a,
0x000c0000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0x8b0f014a,
0x00000000,
0xf940014a,
0x00000000,
0xf8400388,
0x000f0003,
0x00000000,
0xf840010a,
0x000f0003,
0x00000000,
0x1000000f,
0x00092000,
0xf94001e9,
0x00000000,
0x9000000f,
0x00093000,
0xf84001e9,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf94001e9,
0x00000000,
0x8b09014a,
0xf940014a,
0x00000000,
0xf8400388,
0x000f0003,
0x00000000,
0xf840010a,
0x000f0003,
0xf240015f,
0x54000000,
0x00050801,
0x00000000,
0x1000000f,
0x00092000,
0xf94001e9,
0x00000000,
0x9000000f,
0x00093000,
0xf84001e9,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf94001e9,
0x00000000,
0x8b09014a,
0x0006000b,
0xf940014a,
0x00000000,
0xf8400388,
0x000f0003,
0x00000000,
0xf840010a,
0x000f0003,
0xf240015f,
0x54000000,
0x00050801,
0x00000000,
0x1000000f,
0x00092000,
0xf94001e9,
0x00000000,
0x9000000f,
0x00093000,
0xf84001e9,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf94001e9,
0x00000000,
0x8b09014a,
0x0006000b,
0xf940014a,
0x00000000,
0xf800038a,
0x000f0003,
0x00000000,
0x10000009,
0x00092000,
0xf900013c,
0x00000000,
0x90000009,
0x00093000,
0xf800013c,
0x000f0003,
0x00000000,
0xaa1f03e9,
0x00000000,
0xd2800009,
0x000a0205,
0x00000000,
0x10000009,
0x00092000,
0x00000000,
0x90000009,
0x00093000,
0x00000000,
0x91000129,
0x000c0000,
0x00000000,
0xd2800009,
0x000a0205,
0x00000000,
0xf2a00009,
0x000a0205,
0x00000000,
0xf2c00009,
0x000a0205,
0x00000000,
0xd2a00009,
0x000a0205,
0x00000000,
0xf2c00009,
0x000a0205,
0x00000000,
0xd2c00009,
0x000a0205,
0x00000000,
0xf900013c,
0x00000000,
0xaa1c03fb,
0x00000000,
0x8b1f038f,
0x00000000,
0x9100038f,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0x8b0f038f,
0x00000000,
0xb80105ff,
0x00000000,
0xaa1f03fc,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0x1000001c,
0x00092000,
0x00000000,
0x9000001c,
0x00093000,
0x00000000,
0x9100039c,
0x000c0000,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0xf2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2c0001c,
0x000a0205,
0x00000000,
0xaa1f03fc,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0x1000001c,
0x00092000,
0x00000000,
0x9000001c,
0x00093000,
0x00000000,
0x9100039c,
0x000c0000,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0xf2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2c0001c,
0x000a0205,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xf8400368,
0x000f0003,
0x00000000,
0xf840011c,
0x000f0003,
0x00000000,
0x9100039c,
0x000c0000,
0x00000000,
0xf8400100,
0x000f0003,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xf8000360,
0x000f0003,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1b03e0,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xd4200000,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0xaa1f03fc,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0x1000001c,
0x00092000,
0x00000000,
0x9000001c,
0x00093000,
0x00000000,
0x9100039c,
0x000c0000,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0xf2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2c0001c,
0x000a0205,
0x00000000,
0xaa1f03fc,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0x1000001c,
0x00092000,
0x00000000,
0x9000001c,
0x00093000,
0x00000000,
0x9100039c,
0x000c0000,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0xf2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2c0001c,
0x000a0205,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xf840011c,
0x000f0003,
0x00000000,
0xf8400100,
0x000f0003,
0xf8000360,
0x000f0003,
0x00000000,
0xaa1b03e0,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa1f03fc,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0x1000001c,
0x00092000,
0x00000000,
0x9000001c,
0x00093000,
0x00000000,
0x9100039c,
0x000c0000,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0xf2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2c0001c,
0x000a0205,
0x00000000,
0xaa1f03fc,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0x1000001c,
0x00092000,
0x00000000,
0x9000001c,
0x00093000,
0x00000000,
0x9100039c,
0x000c0000,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0xf2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2c0001c,
0x000a0205,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xf840011c,
0x000f0003,
0x00000000,
0xf8400100,
0x000f0003,
0xf8000360,
0x000f0003,
0x00000000,
0xb8400369,
0x000f0002,
0x00000000,
0x6b1f013f,
0x00000000,
0x7100013f,
0x000c0000,
0x00000000,
0x3100013f,
0x000c0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6b0f013f,
0x00000000,
0xb840010a,
0x000f0002,
0xb8400369,
0x000f0002,
0x6b0a013f,
0x00000000,
0x5400000c,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xaa1b03e0,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xf8400368,
0x000f0003,
0x00000000,
0xb8400369,
0x000f0002,
0x14000000,
0x00050001,
0x00010000,
0xb840010f,
0x000f0002,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000001,
0x00050801,
0x00000000,
0x2a0903ea,
0x00000000,
0x8b0a179c,
0x00000000,
0xf840036f,
0x000f0003,
0x8b0a15ef,
0xf800036f,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0x5280000a,
0x000a0205,
0x00000000,
0x5280000a,
0x000a0205,
0x00000000,
0x72a0000a,
0x000a0205,
0x00000000,
0x52a0000a,
0x000a0205,
0x00000000,
0xb840010a,
0x000f0002,
0x00000000,
0x6b09014a,
0x5400000d,
0x00050803,
0x8b091369,
0x00000000,
0x91000129,
0x000c0000,
0x0006000c,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xb800012f,
0x000f0002,
0x91004129,
0x7100054a,
0x54000001,
0x0005080c,
0x0006000d,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1b03e0,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0xd4200000,
0x00000000,
0x910083ff,
0x00000000,
0xf940038f,
0xd61f01e0,
0x00000000,
0xf840000f,
0x000f0003,
0xd61f01e0,
0x00000000,
0xa8c27bfd,
0x00000000,
0xf940038f,
0xd61f01e0,
0x00000000,
0xf840000f,
0x000f0003,
0xd61f01e0,
0x00000000,
0xa94273fb,
0xa8c37bfd,
0x52800020,
0xd65f03c0,
0x00000000,
0x00060012,
0x00000000,
0xb840010f,
0x000f0002,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000001,
0x00090800,
0x00000000,
0xb840010f,
0x000f0002,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xaa1c03e0,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x12001c00,
0xf8400388,
0x000f0003,
0x35000000,
0x00050801,
0x14000000,
0x00050015,
0x00010000,
0x0006000b,
0x00000000,
0xaa1c03e0,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x34000000,
0x00050815,
0xf8400388,
0x000f0003,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xb800002f,
0x000f0002,
0x00000000,
0x10000009,
0x00092000,
0xf900013c,
0x00000000,
0x90000009,
0x00093000,
0xf800013c,
0x000f0003,
0x00000000,
0xaa1f03e9,
0x00000000,
0xd2800009,
0x000a0205,
0x00000000,
0x10000009,
0x00092000,
0x00000000,
0x90000009,
0x00093000,
0x00000000,
0x91000129,
0x000c0000,
0x00000000,
0xd2800009,
0x000a0205,
0x00000000,
0xf2a00009,
0x000a0205,
0x00000000,
0xf2c00009,
0x000a0205,
0x00000000,
0xd2a00009,
0x000a0205,
0x00000000,
0xf2c00009,
0x000a0205,
0x00000000,
0xd2c00009,
0x000a0205,
0x00000000,
0xf900013c,
0x00000000,
0xaa1c03e0,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xf840010f,
0x000f0003,
0xd63f01e0,
0x00000000,
0x10000008,
0x00092000,
0xf900011b,
0x00000000,
0x90000008,
0x00093000,
0xf800011b,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf900011b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0xaa1c03e0,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x3840038f,
0x000f0000,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0xf8400380,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050002,
0x00010000,
0x0006000c,
0x00000000,
0x00060012,
0x00000000,
0x3840038f,
0x000f0000,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x9100038f,
0x000c0000,
0xf94001e0,
0xb9400000,
0x00110000,
0x00110005,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00110005,
0x54000001,
0x00050801,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050002,
0x0006000b,
0xb9400400,
0x00110000,
0x00110005,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x0006000b,
0x14000000,
0x00050002,
0x00010000,
0x0006000c,
0x00000000,
0x3840038f,
0x000f0000,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0xaa1c03e0,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050001,
0x00010000,
0x10000008,
0x00092000,
0xf900011c,
0x00000000,
0x90000008,
0x00093000,
0xf800011c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf900011c,
0x00000000,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0x1000000f,
0x00092000,
0xf94001e8,
0x00000000,
0x9000000f,
0x00093000,
0xf84001e8,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf94001e8,
0x00000000,
0xb5000008,
0x0005081b,
0x00000000,
0xaa1f03fc,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0x1000001c,
0x00092000,
0x00000000,
0x9000001c,
0x00093000,
0x00000000,
0x9100039c,
0x000c0000,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0xf2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2c0001c,
0x000a0205,
0x00000000,
0xaa1f03fc,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0x1000001c,
0x00092000,
0x00000000,
0x9000001c,
0x00093000,
0x00000000,
0x9100039c,
0x000c0000,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0xf2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2c0001c,
0x000a0205,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03fc,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0x1000001c,
0x00092000,
0x00000000,
0x9000001c,
0x00093000,
0x00000000,
0x9100039c,
0x000c0000,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0xf2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2c0001c,
0x000a0205,
0x00000000,
0xaa1f03fc,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0x1000001c,
0x00092000,
0x00000000,
0x9000001c,
0x00093000,
0x00000000,
0x9100039c,
0x000c0000,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0xf2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2c0001c,
0x000a0205,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0x00060013,
0x00000000,
0xf8400388,
0x000f0003,
0xb840010f,
0x000f0002,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000001,
0x00090800,
0x00000000,
0xf8400388,
0x000f0003,
0xb840010f,
0x000f0002,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x14000000,
0x0005001c,
0x00010000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x9e6703e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0x9e620000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf820681f,
0x00110005,
0x00110010,
0x00000000,
0xf800001f,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf940010f,
0x910005ef,
0xf900010f,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xf8400360,
0x000f0003,
0x3840000f,
0x000f0000,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x34000000,
0x00050802,
0x14000000,
0x00050015,
0x00010000,
0x0006000c,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0x8b1f0008,
0x00110005,
0x00000000,
0x91000008,
0x00110005,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0x8b080008,
0x00110005,
0x00000000,
0x910003e8,
0x00000000,
0xaa0003e8,
0x00110010,
0x00000000,
0x3840010f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xf9400108,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00050002,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050802,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050802,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6809,
0x00110005,
0x00000000,
0xf8400009,
0x00110005,
0x000f0003,
0x00000000,
0xb940012f,
0x110005ef,
0xb900012f,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6809,
0x00110005,
0x00000000,
0xf8000009,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00050006,
0x00000000,
0x0006000c,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0x8b1f0008,
0x00110005,
0x00000000,
0x91000008,
0x00110005,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0x8b080008,
0x00110005,
0x00000000,
0x910003e8,
0x00000000,
0xaa0003e8,
0x00110010,
0x00000000,
0xf9000be8,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x52800002,
0x000a0205,
0x00000000,
0x52800002,
0x000a0205,
0x00000000,
0x72a00002,
0x000a0205,
0x00000000,
0x52a00002,
0x000a0205,
0x00000000,
0xaa1f03e3,
0xaa1f03e4,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0x00000000,
0x5280004f,
0xb900010f,
0x00000000,
0x5280000f,
0x000a0205,
0xb800010f,
0x000f0002,
0xf800011f,
0x000f0003,
0x00000000,
0xf9400be9,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6808,
0x00110005,
0x00000000,
0xf8000008,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6808,
0x00110005,
0x00000000,
0xf8000008,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6808,
0x00110005,
0x00000000,
0xf8000008,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x00060010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0x00060011,
0x00000000,
0xf8400388,
0x000f0003,
0xb840010f,
0x000f0002,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0x14000000,
0x00050007,
0x00010000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x12001d2f,
0x710001ff,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0xf8400388,
0x000f0003,
0xb840010f,
0x000f0002,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x12001d2f,
0x710001ff,
0x000c0000,
0x54000000,
0x00050807,
0x00000000,
0xb840010f,
0x000f0002,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000001,
0x00050807,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050007,
0x00000000,
0x00010000,
0xb840038f,
0x000f0002,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0x14000000,
0x00050007,
0x00010000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x34000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000000,
0x00050801,
0x00000000,
0x00010001,
0x0006000b,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x72a00000,
0x000a0205,
0x00000000,
0x52a00000,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xb4000000,
0x00050815,
0x00000000,
0x14000000,
0x00050007,
0x00010000,
0x00060011,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x12001d2f,
0x710001ff,
0x000c0000,
0x54000000,
0x00050807,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x3840000f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xf9400000,
0x91000000,
0x000c0000,
0x0006000b,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x6a1f011f,
0x00000000,
0x7200011f,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6a0f011f,
0x00000000,
0x54000000,
0x00050801,
0x00000000,
0xb940014f,
0x110005ef,
0xb900014f,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x34000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000000,
0x00050801,
0x00000000,
0x00010001,
0x0006000b,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110005,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xb940000f,
0x710005ef,
0xb900000f,
0x54000000,
0x00050801,
0x00000000,
0x6a1f011f,
0x00000000,
0x7200011f,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6a0f011f,
0x00000000,
0x54000000,
0x00050802,
0xb940014f,
0x110005ef,
0xb900014f,
0x14000000,
0x00050002,
0x0006000b,
0x00000000,
0xaa1f03e1,
0x2a1f03e2,
0xaa1f03e3,
0xaa1f03e4,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050002,
0x00010000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x0006000c,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x6a1f011f,
0x00000000,
0x7200011f,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6a0f011f,
0x00000000,
0x54000000,
0x00050801,
0x00000000,
0xb940014f,
0x110005ef,
0xb900014f,
0x0006000b,
0x00000000,
0x00060011,
0x00000000,
0xb840038f,
0x000f0002,
0x00000000,
0x2a1f01ef,
0x00000000,
0x320001ef,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x2a1001ef,
0x00000000,
0xb800038f,
0x000f0002,
0x00000000,
0xf8400368,
0x000f0003,
0xb840010f,
0x000f0002,
0x00000000,
0x2a1f01ef,
0x00000000,
0x320001ef,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x2a1001ef,
0x00000000,
0xb800010f,
0x000f0002,
0x00000000,
0xb840038f,
0x000f0002,
0x00000000,
0x0a1f01ef,
0x00000000,
0x120001ef,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x0a1001ef,
0x00000000,
0xb800038f,
0x000f0002,
0x00000000,
0xf8400368,
0x000f0003,
0xb840010f,
0x000f0002,
0x00000000,
0x0a1f01ef,
0x00000000,
0x120001ef,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x0a1001ef,
0x00000000,
0xb800010f,
0x000f0002,
0x00000000,
0xf8400388,
0x000f0003,
0xb840010f,
0x000f0002,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0xb840038f,
0x000f0002,
0x00000000,
0x2a1f01ef,
0x00000000,
0x320001ef,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x2a1001ef,
0x00000000,
0xb800038f,
0x000f0002,
0x14000000,
0x00050001,
0x00010000,
0xb840038f,
0x000f0002,
0x00000000,
0x0a1f01ef,
0x00000000,
0x120001ef,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x0a1001ef,
0x00000000,
0xb800038f,
0x000f0002,
0x0006000b,
0x00000000,
0x14000000,
0x00050007,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00050007,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x14000000,
0x00050007,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00050007,
0x00000000,
0xf8400368,
0x000f0003,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6908,
0x00000000,
0xf8400108,
0x000f0003,
0x00000000,
0xb4000008,
0x00050801,
0xf240011f,
0x54000001,
0x00050804,
0x00010001,
0x0006000e,
0x00000000,
0x10000000,
0x00092000,
0xf9400000,
0x00000000,
0x90000000,
0x00093000,
0xf8400000,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0xf9400000,
0x00000000,
0xb840000f,
0x000f0002,
0xeb4805ff,
0x00000000,
0x54000000,
0x00090800,
0x00000000,
0x54000000,
0x00050803,
0x00000000,
0x54000000,
0x00070800,
0x00000000,
0x54000000,
0x00050803,
0x00000000,
0x54000000,
0x00050802,
0x00000000,
0x0006000b,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xb4000000,
0x00050803,
0x00000000,
0xb5000000,
0x00050803,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0xb4000000,
0x00070800,
0x00000000,
0xb4000000,
0x00050803,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x14000000,
0x00050003,
0x00000000,
0xb5000000,
0x00050801,
0x0006000c,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00050003,
0x00000000,
0x00010000,
0x14000000,
0x00090000,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x0006000b,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x34000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000000,
0x00050801,
0x00000000,
0x00010001,
0x0006000b,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x72a00000,
0x000a0205,
0x00000000,
0x52a00000,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0x14000000,
0x00050007,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0x14000000,
0x00050007,
0x00000000,
0x00010000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0x8b1f0008,
0x00110005,
0x00000000,
0x91000008,
0x00110005,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0x8b080008,
0x00110005,
0x00000000,
0x910003e8,
0x00000000,
0xaa0003e8,
0x00110010,
0x00000000,
0x3840010f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xf9400108,
0x91000108,
0x000c0000,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110005,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb940000f,
0x710005ef,
0xb900000f,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x38400108,
0x000f0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0x386f6b68,
0x00000000,
0x38400368,
0x000f0000,
0x00000000,
0xb90013e8,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf800036f,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf800036f,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0xb94013e9,
0x14000000,
0x00050002,
0x00000000,
0x14000000,
0x00050003,
0x00000000,
0x00010000,
0x0006000d,
0x00000000,
0x38400109,
0x000f0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0x386f6b69,
0x00000000,
0x38400369,
0x000f0000,
0x00000000,
0x0006000c,
0x00000000,
0x38400109,
0x000f0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0x386f6b69,
0x00000000,
0x38400369,
0x000f0000,
0x00000000,
0x52800028,
0x1ac92108,
0x00000000,
0x6a1f011f,
0x00000000,
0x7200011f,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6a0f011f,
0x00000000,
0x54000001,
0x00090800,
0x00000000,
0x54000000,
0x00090800,
0x00000000,
0x54000000,
0x00070800,
0x00000000,
0x54000001,
0x00070800,
0x00000000,
0x54000000,
0x00070800,
0x14000000,
0x00070000,
0x00000000,
0x1a9f07e8,
0x11000908,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb82f6808,
0x00110005,
0x00000000,
0xb8000008,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110005,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb940000f,
0x710005ef,
0xb900000f,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x38400108,
0x000f0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0x386f6b68,
0x00000000,
0x38400368,
0x000f0000,
0x00000000,
0xb90013e8,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf800036f,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf800036f,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0xb94013e9,
0x14000000,
0x00050002,
0x00000000,
0x14000000,
0x00050003,
0x00000000,
0x00010000,
0x0006000d,
0x00000000,
0x38400109,
0x000f0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0x386f6b69,
0x00000000,
0x38400369,
0x000f0000,
0x00000000,
0x0006000c,
0x00000000,
0x7100013f,
0x000c0000,
0x00000000,
0x3840010f,
0x000f0000,
0x710001ff,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0x386f6b6f,
0x00000000,
0x3840036f,
0x000f0000,
0x00000000,
0x710001ff,
0x000c0000,
0x00000000,
0x54000001,
0x00090800,
0x00000000,
0x54000000,
0x00090800,
0x00000000,
0x54000000,
0x00090800,
0x00000000,
0x54000001,
0x00090800,
0x00000000,
0x54000000,
0x00070800,
0x00000000,
0x54000001,
0x00070800,
0x00000000,
0x54000000,
0x00070800,
0x14000000,
0x00070000,
0x00000000,
0x54000001,
0x00070800,
0x00000000,
0x54000000,
0x00070800,
0x00000000,
0x54000001,
0x00070800,
0x14000000,
0x00070000,
0x00000000,
0x1a9f07e8,
0x00000000,
0x1a9f17e8,
0x00000000,
0x11000908,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb82f6808,
0x00110005,
0x00000000,
0xb8000008,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0x00060011,
0x00000000,
0xf8400368,
0x000f0003,
0x00000000,
0x1000000a,
0x00092000,
0xf9000148,
0x00000000,
0x9000000a,
0x00093000,
0xf8000148,
0x000f0003,
0x00000000,
0xaa1f03ea,
0x00000000,
0xd280000a,
0x000a0205,
0x00000000,
0x1000000a,
0x00092000,
0x00000000,
0x9000000a,
0x00093000,
0x00000000,
0x9100014a,
0x000c0000,
0x00000000,
0xd280000a,
0x000a0205,
0x00000000,
0xf2a0000a,
0x000a0205,
0x00000000,
0xf2c0000a,
0x000a0205,
0x00000000,
0xd2a0000a,
0x000a0205,
0x00000000,
0xf2c0000a,
0x000a0205,
0x00000000,
0xd2c0000a,
0x000a0205,
0x00000000,
0xf9000148,
0x00000000,
0xf8400360,
0x000f0003,
0x00000000,
0x10000008,
0x00092000,
0xf9000100,
0x00000000,
0x90000008,
0x00093000,
0xf8000100,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf9000100,
0x00000000,
0xaa1b03e0,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0xb8400360,
0x000f0002,
0x00000000,
0x6a1f001f,
0x00000000,
0x7200001f,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6a0f001f,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xaa1b03e0,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xeb0f039f,
0x54000000,
0x00050830,
0x00000000,
0xb400001c,
0x00050830,
0x00000000,
0x6a00001f,
0x5400000b,
0x00050830,
0x00000000,
0x1000000f,
0x00092000,
0xf94001fb,
0x00000000,
0x9000000f,
0x00093000,
0xf84001fb,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf94001fb,
0x00000000,
0x14000000,
0x00050008,
0x00010000,
0x54000001,
0x00050819,
0x00000000,
0xf8400360,
0x000f0003,
0xd1000000,
0x000c0000,
0xb9400000,
0x00110000,
0x00110005,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00110005,
0x54000001,
0x00050801,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x0006000b,
0xb9400400,
0x00110000,
0x00110005,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x0006000b,
0x0006000e,
0x00000000,
0x6a1f001f,
0x00000000,
0x7200001f,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6a0f001f,
0x00000000,
0x54000000,
0x00050804,
0xf8400360,
0x000f0003,
0xb9400000,
0x00110000,
0x00110005,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00110005,
0x54000001,
0x00050801,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x0006000b,
0xb9400400,
0x00110000,
0x00110005,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x0006000b,
0x0006000e,
0x00000000,
0x10000008,
0x00092000,
0xf900011b,
0x00000000,
0x90000008,
0x00093000,
0xf800011b,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf900011b,
0x00000000,
0xf840037b,
0x000f0003,
0x00000000,
0x10000008,
0x00092000,
0xf900011b,
0x00000000,
0x90000008,
0x00093000,
0xf800011b,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf900011b,
0x00000000,
0x00060013,
0x00000000,
0xf840037c,
0x000f0003,
0x00000000,
0x9100039c,
0x000c0000,
0x00000000,
0xf840036f,
0x000f0003,
0x910001ef,
0x000c0000,
0xf800036f,
0x000f0003,
0x00000000,
0x00060012,
0x00000000,
0x1000000f,
0x00092000,
0xf94001e8,
0x00000000,
0x9000000f,
0x00093000,
0xf84001e8,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf94001e8,
0x00000000,
0xb5000008,
0x0005081a,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xeb0f039f,
0x00000000,
0xf8400370,
0x000f0003,
0xeb0f021f,
0x00000000,
0x54000000,
0x00070800,
0x00000000,
0xf940038f,
0xd61f01e0,
0x00000000,
0xf840000f,
0x000f0003,
0xd61f01e0,
0x00000000,
0x14000000,
0x00050032,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xeb0f039f,
0x00000000,
0xf8400370,
0x000f0003,
0xeb0f021f,
0x00000000,
0x54000001,
0x00050832,
0x00000000,
0x1000000f,
0x00092000,
0xf94001e8,
0x00000000,
0x9000000f,
0x00093000,
0xf84001e8,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf94001e8,
0x00000000,
0xb5000008,
0x0005081a,
0x00000000,
0x1000000f,
0x00092000,
0xf94001e8,
0x00000000,
0x9000000f,
0x00093000,
0xf84001e8,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf94001e8,
0x00000000,
0xf840037c,
0x000f0003,
0x00000000,
0xb5000008,
0x0005081a,
0x00000000,
0x9100039c,
0x000c0000,
0x00000000,
0xf840036f,
0x000f0003,
0x910001ef,
0x000c0000,
0xf800036f,
0x000f0003,
0x00000000,
0x910083ff,
0x00000000,
0xd4200000,
0x00000000,
0xf940038f,
0xd61f01e0,
0x00000000,
0xf840000f,
0x000f0003,
0xd61f01e0,
0x00000000,
0xa8c27bfd,
0x00000000,
0xd4200000,
0x00000000,
0xf940038f,
0xd61f01e0,
0x00000000,
0xf840000f,
0x000f0003,
0xd61f01e0,
0x00000000,
0xd4200000,
0x00000000,
0xa94273fb,
0xa8c37bfd,
0x52800040,
0xd65f03c0,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0xaa1b03e0,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xf840036a,
0x000f0003,
0x00000000,
0xf8400369,
0x000f0003,
0x00000000,
0xb4000000,
0x00110000,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00070800,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050809,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110005,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb940000f,
0x710005ef,
0xb900000f,
0x00000000,
0x54000001,
0x00070800,
0x00000000,
0x54000001,
0x00050809,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf800036f,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf800036f,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x00010000,
0xb4000000,
0x00110000,
0x00070800,
0x00000000,
0xb4000000,
0x00110000,
0x00050809,
0x00000000,
0x00060013,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x9e6703e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0x9e620000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf820681f,
0x00110005,
0x00110010,
0x00000000,
0xf800001f,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf940010f,
0x910005ef,
0xf900010f,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0x8b1f0008,
0x00110005,
0x00000000,
0x91000008,
0x00110005,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0x8b080008,
0x00110005,
0x00000000,
0x910003e8,
0x00000000,
0xaa0003e8,
0x00110010,
0x00000000,
0x3840010f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xf9400108,
0x91000108,
0x000c0000,
0x0006000b,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x6a1f011f,
0x00000000,
0x7200011f,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6a0f011f,
0x00000000,
0x54000000,
0x00050801,
0x00000000,
0xb940014f,
0x110005ef,
0xb900014f,
0x0006000b,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x34000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000000,
0x00050801,
0x00000000,
0x00010001,
0x0006000b,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6808,
0x00110005,
0x00000000,
0xf8400008,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xb940010f,
0x710005ef,
0xb900010f,
0x54000000,
0x00050802,
0x00000000,
0x6a1f015f,
0x00000000,
0x7200015f,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6a0f015f,
0x00000000,
0x54000000,
0x00070800,
0x00000000,
0x6a1f015f,
0x00000000,
0x7200015f,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6a0f015f,
0x00000000,
0x54000000,
0x00050809,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f680a,
0x00110005,
0x00000000,
0xf840000a,
0x00110005,
0x000f0003,
0x00000000,
0xb940014f,
0x110005ef,
0xb900014f,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x0006000c,
0xaa0803e0,
0x00000000,
0xaa1f03e1,
0x2a1f03e2,
0xaa1f03e3,
0xaa1f03e4,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x00010000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x00060013,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6809,
0x00110005,
0x00000000,
0xf8400009,
0x00110005,
0x000f0003,
0x00000000,
0x6a1f015f,
0x00000000,
0x7200015f,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6a0f015f,
0x00000000,
0x54000000,
0x00050802,
0x12001d50,
0x00000000,
0x35000010,
0x00050801,
0x00000000,
0x7100021f,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0x91000129,
0x000c0000,
0xb840012a,
0x000f0002,
0xf9400129,
0x00000000,
0x6a1f015f,
0x00000000,
0x7200015f,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6a0f015f,
0x00000000,
0x54000000,
0x00050802,
0x0006000b,
0xb9400130,
0x11000610,
0xb9000130,
0x0006000c,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6809,
0x00110005,
0x00000000,
0xf8000009,
0x00110005,
0x000f0003,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb82f680a,
0x00110005,
0x00000000,
0xb800000a,
0x00110005,
0x000f0002,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x3840000f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xf9400000,
0x91000000,
0x000c0000,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00090800,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050807,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050807,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0x00010001,
0x00060011,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00090800,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050806,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050806,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6800,
0x00110005,
0x00000000,
0xf8000000,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0xaa1f03e2,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0x10000002,
0x00092000,
0x00000000,
0x90000002,
0x00093000,
0x00000000,
0x91000042,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2c00002,
0x000a0205,
0x00000000,
0x8b1f0002,
0x00110005,
0x00000000,
0x91000002,
0x00110005,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0x8b020002,
0x00110005,
0x00000000,
0x910003e2,
0x00000000,
0xaa0003e2,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x00060010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00090800,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050806,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050806,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0xaa1f03e2,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0x10000002,
0x00092000,
0x00000000,
0x90000002,
0x00093000,
0x00000000,
0x91000042,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2c00002,
0x000a0205,
0x00000000,
0x8b1f0002,
0x00110005,
0x00000000,
0x91000002,
0x00110005,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0x8b020002,
0x00110005,
0x00000000,
0x910003e2,
0x00000000,
0xaa0003e2,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x00060010,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x72a00000,
0x000a0205,
0x00000000,
0x52a00000,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x72a00000,
0x000a0205,
0x00000000,
0x52a00000,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x0006000b,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x00010000,
0x00060012,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00090800,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0xf9400108,
0x91000108,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x34000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000000,
0x00050801,
0x00000000,
0x14000000,
0x00090000,
0x00010000,
0x0006000b,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb86f680a,
0x00110005,
0x00000000,
0xb840000a,
0x00110005,
0x000f0002,
0x00000000,
0x12001d4f,
0x00000000,
0x3500000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0x00010001,
0x0006000b,
0x00000000,
0x3500000f,
0x00090800,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0xf9400108,
0x91000108,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb86f680a,
0x00110005,
0x00000000,
0xb840000a,
0x00110005,
0x000f0002,
0x00000000,
0x12001d4f,
0x00000000,
0x3400000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000000,
0x00050801,
0x00000000,
0x14000000,
0x00090000,
0x00010000,
0x0006000b,
0x00000000,
0x3840010f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xf9400108,
0x91000108,
0x000c0000,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00090800,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb86f680a,
0x00110005,
0x00000000,
0xb840000a,
0x00110005,
0x000f0002,
0x00000000,
0x12001d4f,
0x00000000,
0x3500000f,
0x00090800,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0x00060011,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb82f680a,
0x00110005,
0x00000000,
0xb800000a,
0x00110005,
0x000f0002,
0x00000000,
0x6a1f015f,
0x00000000,
0x7200015f,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6a0f015f,
0x00000000,
0x54000000,
0x00050801,
0x00000000,
0xb940012f,
0x110005ef,
0xb900012f,
0x0006000b,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb86f6800,
0x00110000,
0x00110005,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x6a1f013f,
0x00000000,
0x7200013f,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6a0f013f,
0x00000000,
0x54000000,
0x00050801,
0x00000000,
0xb940014f,
0x110005ef,
0xb900014f,
0x0006000b,
0x00000000,
0x00060013,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x3840000f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xf9400001,
0x3840002f,
0x000f0000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050802,
0x91000020,
0x000c0000,
0x14000000,
0x00050003,
0x00010001,
0x0006000c,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e0,
0xb5000000,
0x00050801,
0x14000000,
0x00050016,
0x00010000,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050807,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050807,
0x00000000,
0x0006000d,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xb9400100,
0x00110000,
0x7100041f,
0x00110005,
0x54000009,
0x00050802,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0x0006000c,
0xaa0803e0,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xb9400000,
0x00110000,
0x7100041f,
0x00110005,
0x00000000,
0x54000008,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0x54000009,
0x00050802,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050801,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x0006000b,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206808,
0x00110005,
0x00110010,
0x00000000,
0xf8000008,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xaa0803e0,
0x00000000,
0x14000000,
0x00050002,
0x00010000,
0x0006000c,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0x00010001,
0x00060011,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x5400000c,
0x00050807,
0x00000000,
0xf9000be0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x72a00000,
0x000a0205,
0x00000000,
0x52a00000,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x0006000b,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0x00000000,
0xf9400be0,
0x00110000,
0x00000000,
0xaa0803e0,
0x00110000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6808,
0x00110005,
0x00000000,
0xf8000008,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xaa0803e0,
0x00000000,
0x14000000,
0x00050001,
0x00010000,
0x0006000b,
0x00000000,
0x00060010,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xb4000000,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0x94000000,
0x00050021,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00050022,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00050008,
0x00010000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6800,
0x00110005,
0x00000000,
0xf8000000,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x00060012,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6808,
0x00110005,
0x00000000,
0xf8000008,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x00010001,
0x00060013,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00050008,
0x00010000,
0x00010001,
0x00060011,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xaa1f03e1,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0xaa1f03e2,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0x10000002,
0x00092000,
0x00000000,
0x90000002,
0x00093000,
0x00000000,
0x91000042,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2c00002,
0x000a0205,
0x00000000,
0x8b1f0002,
0x00110005,
0x00000000,
0x91000002,
0x00110005,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0x8b020002,
0x00110005,
0x00000000,
0x910003e2,
0x00000000,
0xaa0003e2,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050008,
0x00010000,
0x00060012,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x3840000f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xf9400000,
0x91000000,
0x000c0000,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050807,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050807,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0x00060013,
0x00000000,
0x00060012,
0x00000000,
0x00010001,
0x00060011,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x34000000,
0x00050809,
0x00000000,
0x14000000,
0x00050008,
0x00010000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x72a00000,
0x000a0205,
0x00000000,
0x52a00000,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x0006000b,
0x00000000,
0x14000000,
0x00050009,
0x00010000,
0x00060012,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0x14000000,
0x00050008,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00050008,
0x00000000,
0xd4200000,
0x00000000,
0x00060013,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xd4200000,
0x00000000,
0x00060012,
0x00000000,
0xf8400361,
0x000f0003,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6828,
0x00000000,
0xf8400028,
0x000f0003,
0x00000000,
0xd1000508,
0x00000000,
0x10000009,
0x00092000,
0xb9400129,
0x00000000,
0x90000009,
0x00093000,
0xb8400129,
0x000f0002,
0x00000000,
0xaa1f03e9,
0x00000000,
0xd2800009,
0x000a0205,
0x00000000,
0x10000009,
0x00092000,
0x00000000,
0x90000009,
0x00093000,
0x00000000,
0x91000129,
0x000c0000,
0x00000000,
0xd2800009,
0x000a0205,
0x00000000,
0xf2a00009,
0x000a0205,
0x00000000,
0xf2c00009,
0x000a0205,
0x00000000,
0xd2a00009,
0x000a0205,
0x00000000,
0xf2c00009,
0x000a0205,
0x00000000,
0xd2c00009,
0x000a0205,
0x00000000,
0xb9400129,
0x00000000,
0xeb09151f,
0x54000002,
0x00050809,
0x00000000,
0x10000009,
0x00092000,
0xf940012f,
0x00000000,
0x90000009,
0x00093000,
0xf840012f,
0x000f0003,
0x00000000,
0xaa1f03e9,
0x00000000,
0xd2800009,
0x000a0205,
0x00000000,
0x10000009,
0x00092000,
0x00000000,
0x90000009,
0x00093000,
0x00000000,
0x91000129,
0x000c0000,
0x00000000,
0xd2800009,
0x000a0205,
0x00000000,
0xf2a00009,
0x000a0205,
0x00000000,
0xf2c00009,
0x000a0205,
0x00000000,
0xd2a00009,
0x000a0205,
0x00000000,
0xf2c00009,
0x000a0205,
0x00000000,
0xd2c00009,
0x000a0205,
0x00000000,
0xf940012f,
0x00000000,
0x8b0f0108,
0x3840010f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050809,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050809,
0x00000000,
0xf840010f,
0x000f0003,
0x00000000,
0xaa1f03f0,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0x10000010,
0x00092000,
0x00000000,
0x90000010,
0x00093000,
0x00000000,
0x91000210,
0x000c0000,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xf2c00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf2c00010,
0x000a0205,
0x00000000,
0xd2c00010,
0x000a0205,
0x00000000,
0xeb1001ff,
0x54000001,
0x00050809,
0xf9400108,
0xb940010f,
0x110005ef,
0xb900010f,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050802,
0x00010001,
0x0006000c,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110005,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6808,
0x00110005,
0x00000000,
0xf8000008,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xb940000f,
0x710005ef,
0xb900000f,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050805,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf800036f,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf800036f,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0x14000000,
0x00050005,
0x00000000,
0x0006000d,
0xb940040f,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000001,
0x00050805,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050005,
0x00000000,
0x00010000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6808,
0x00110005,
0x00000000,
0xf8000008,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x0006000f,
0x00000000,
0x00010001,
0x00060013,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0021,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0x8b0f0021,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0x14000000,
0x0005000b,
0x00010000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110000,
0x00110005,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x910003e0,
0x00110000,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0x3840000f,
0x00110005,
0x000f0000,
0x00000000,
0x3500000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xf9400000,
0x00110000,
0x00110005,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x0006000b,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0x5280002a,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0x386f6809,
0x00110005,
0x00000000,
0x38400009,
0x00110005,
0x000f0000,
0x00000000,
0x1ac9214a,
0x00000000,
0x6a1f015f,
0x00000000,
0x7200015f,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6a0f015f,
0x00000000,
0x54000000,
0x00050801,
0x00000000,
0x00010001,
0x0006000b,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x12001c08,
0x00000000,
0x35000008,
0x00050801,
0x14000000,
0x00050015,
0x00010000,
0x0006000b,
0x00000000,
0x34000008,
0x00050815,
0x00000000,
0x14000000,
0x00050001,
0x00010000,
0x0006000b,
0x00000000,
0xb840036f,
0x000f0002,
0x00000000,
0x6b1f01ff,
0x00000000,
0x710001ff,
0x000c0000,
0x00000000,
0x310001ff,
0x000c0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6b1001ff,
0x00000000,
0x54000003,
0x00090800,
0x00000000,
0xb840036f,
0x000f0002,
0x00000000,
0x6b1f01ff,
0x00000000,
0x710001ff,
0x000c0000,
0x00000000,
0x310001ff,
0x000c0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6b1001ff,
0x00000000,
0x54000003,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xaa1b03e0,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050015,
0x00010000,
0xaa1f03fc,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0x1000001c,
0x00092000,
0x00000000,
0x9000001c,
0x00093000,
0x00000000,
0x9100039c,
0x000c0000,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0xf2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2c0001c,
0x000a0205,
0x00000000,
0xaa1f03fc,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0x1000001c,
0x00092000,
0x00000000,
0x9000001c,
0x00093000,
0x00000000,
0x9100039c,
0x000c0000,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0xf2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2c0001c,
0x000a0205,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x9e6703e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0x9e620000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf820681f,
0x00110005,
0x00110010,
0x00000000,
0xf800001f,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf940010f,
0x910005ef,
0xf900010f,
0x00000000,
0xb840036f,
0x000f0002,
0x00000000,
0x6b1f01ff,
0x00000000,
0x710001ff,
0x000c0000,
0x00000000,
0x310001ff,
0x000c0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6b1001ff,
0x00000000,
0x54000002,
0x00050805,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x9e6703e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0x9e620000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf820681f,
0x00110005,
0x00110010,
0x00000000,
0xf800001f,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf940010f,
0x910005ef,
0xf900010f,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xf8400368,
0x000f0003,
0xf8400101,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x35000000,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00050015,
0x00010000,
0x0006000f,
0x00000000,
0xaa1f03fc,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0x1000001c,
0x00092000,
0x00000000,
0x9000001c,
0x00093000,
0x00000000,
0x9100039c,
0x000c0000,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0xf2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2c0001c,
0x000a0205,
0x00000000,
0xaa1f03fc,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0x1000001c,
0x00092000,
0x00000000,
0x9000001c,
0x00093000,
0x00000000,
0x9100039c,
0x000c0000,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0xf2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2c0001c,
0x000a0205,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf8400010,
0x000f0003,
0xeb0f021f,
0x54000001,
0x00090800,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110005,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x3840000f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xf9400000,
0x0006000b,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x3840000f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xf9400000,
0x91000000,
0x000c0000,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00090800,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050807,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050807,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110005,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xf8400368,
0x000f0003,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f690a,
0x00000000,
0xf840010a,
0x000f0003,
0x00000000,
0xf840000f,
0x000f0003,
0xeb0f015f,
0x54000001,
0x00050805,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6908,
0x00000000,
0xf8400108,
0x000f0003,
0x00000000,
0xea08011f,
0x00000000,
0x5400000b,
0x00050805,
0x00000000,
0x5400000b,
0x00050808,
0x00000000,
0x8b08000f,
0xb84001ea,
0x000f0002,
0x3400000a,
0x00050805,
0xaa0f03e0,
0x00000000,
0xf8400368,
0x000f0003,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6901,
0x00000000,
0xf8400101,
0x000f0003,
0x00000000,
0xb5000001,
0x00050801,
0x00010001,
0x0006000b,
0xb840002f,
0x000f0002,
0x720001ff,
0x000d0000,
0x00000000,
0x54000000,
0x00050803,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0x3500000a,
0x00050802,
0x00000000,
0x7100015f,
0x000c0000,
0x54000001,
0x00050802,
0x00000000,
0xf940000a,
0xb940014f,
0x110005ef,
0xb900014f,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f680a,
0x00110005,
0x00000000,
0xf800000a,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00050009,
0x0006000c,
0xaa0103e0,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00050009,
0x0006000d,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0xaa1f03e2,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0x10000002,
0x00092000,
0x00000000,
0x90000002,
0x00093000,
0x00000000,
0x91000042,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2c00002,
0x000a0205,
0x00000000,
0x8b1f0002,
0x00110005,
0x00000000,
0x91000002,
0x00110005,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0x8b020002,
0x00110005,
0x00000000,
0x910003e2,
0x00000000,
0xaa0003e2,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x00010000,
0x0006000e,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb86f680a,
0x00000000,
0xb840000a,
0x000f0002,
0x00000000,
0x3400000a,
0x00090800,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb86f680a,
0x00000000,
0xb840000a,
0x000f0002,
0x00000000,
0x3400000a,
0x00050805,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb86f680a,
0x00000000,
0xb840000a,
0x000f0002,
0x00000000,
0x3500000a,
0x00050804,
0x00000000,
0x7100015f,
0x000c0000,
0x54000001,
0x00050804,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f680a,
0x00110005,
0x00000000,
0xf840000a,
0x00110005,
0x000f0003,
0x00000000,
0xb940014f,
0x110005ef,
0xb900014f,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f680a,
0x00110005,
0x00000000,
0xf800000a,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00050009,
0x00010001,
0x0006000e,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00050009,
0x00010000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb86f680a,
0x00000000,
0xb840000a,
0x000f0002,
0x00000000,
0x7100015f,
0x000c0000,
0x5400000d,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050009,
0x00010000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb86f680a,
0x00000000,
0xb840000a,
0x000f0002,
0x00000000,
0x12001d4f,
0x00000000,
0x3400000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000000,
0x00050801,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0xf8400008,
0x000f0003,
0xf8400108,
0x000f0003,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6901,
0x00000000,
0xf8400101,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xaa1f03e2,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0x10000002,
0x00092000,
0x00000000,
0x90000002,
0x00093000,
0x00000000,
0x91000042,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2c00002,
0x000a0205,
0x00000000,
0x8b1f0002,
0x00110005,
0x00000000,
0x91000002,
0x00110005,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0x8b020002,
0x00110005,
0x00000000,
0x910003e2,
0x00000000,
0xaa0003e2,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050009,
0x0006000b,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6800,
0x00110005,
0x00000000,
0xf8000000,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0x8b1f0008,
0x00110005,
0x00000000,
0x91000008,
0x00110005,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0x8b080008,
0x00110005,
0x00000000,
0x910003e8,
0x00000000,
0xaa0003e8,
0x00110010,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb86f680a,
0x00000000,
0xb840000a,
0x000f0002,
0x00000000,
0x12001d4f,
0x00000000,
0x3500000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xf9400108,
0x91000108,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb86f680a,
0x00110005,
0x00000000,
0xb840000a,
0x00110005,
0x000f0002,
0x00000000,
0x0006000b,
0x00000000,
0x3500000a,
0x00090800,
0x00000000,
0x7100015f,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00090800,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb86f680a,
0x00110005,
0x00000000,
0xb840000a,
0x00110005,
0x000f0002,
0x00000000,
0x0006000b,
0x12001d4f,
0x00000000,
0x3500000f,
0x00090800,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb82f680a,
0x00110005,
0x00000000,
0xb800000a,
0x00110005,
0x000f0002,
0x00000000,
0x6a1f015f,
0x00000000,
0x7200015f,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6a0f015f,
0x00000000,
0x54000000,
0x00050801,
0x00000000,
0xb940012f,
0x110005ef,
0xb900012f,
0x0006000b,
0x00000000,
0x00010001,
0x0006000f,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x00060011,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x72a00000,
0x000a0205,
0x00000000,
0x52a00000,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x0006000b,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x00060012,
0xaa0803e1,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x00010000,
0x00060013,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050801,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110005,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb940000f,
0x710005ef,
0xb900000f,
0x54000001,
0x00050801,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110005,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x3840000f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xf9400000,
0x0006000b,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x3840000f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xf9400000,
0x91000000,
0x000c0000,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00090800,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0x00010001,
0x0006000b,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050015,
0x00010000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110005,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xf8400368,
0x000f0003,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f690a,
0x00000000,
0xf840010a,
0x000f0003,
0x00000000,
0xf840000f,
0x000f0003,
0xeb0f015f,
0x54000001,
0x00050807,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f690f,
0x00000000,
0xf840010f,
0x000f0003,
0x00000000,
0xb500000f,
0x00050807,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6908,
0x00000000,
0xf8400108,
0x000f0003,
0x00000000,
0xea08011f,
0x5400000b,
0x00050807,
0x8b08000f,
0x00000000,
0x384001f0,
0x000f0000,
0x00000000,
0x34000010,
0x00050807,
0x00000000,
0x7100021f,
0x000c0000,
0x54000000,
0x00050807,
0x00000000,
0xaa0f03e0,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0x386f6810,
0x00000000,
0x38400010,
0x000f0000,
0x00000000,
0x34000010,
0x00090800,
0x00000000,
0x7100021f,
0x000c0000,
0x54000000,
0x00090800,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0x386f6810,
0x00000000,
0x38400010,
0x000f0000,
0x00000000,
0x34000010,
0x00050807,
0x00000000,
0x7100021f,
0x000c0000,
0x54000000,
0x00050807,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0xf8400008,
0x000f0003,
0xf8400108,
0x000f0003,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6901,
0x00000000,
0xf8400101,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa1f03e2,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0x10000002,
0x00092000,
0x00000000,
0x90000002,
0x00093000,
0x00000000,
0x91000042,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2c00002,
0x000a0205,
0x00000000,
0x8b1f0002,
0x00110005,
0x00000000,
0x91000002,
0x00110005,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0x8b020002,
0x00110005,
0x00000000,
0x910003e2,
0x00000000,
0xaa0003e2,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00090800,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050802,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050802,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110005,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xf840000f,
0x000f0003,
0xb500000f,
0x00050801,
0x91000000,
0x000c0000,
0x00010001,
0x0006000b,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xaa1f03e1,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050009,
0x00010000,
0x0006000c,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050802,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050802,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf870680f,
0x00110005,
0xb10001ef,
0x000c0000,
0xf830680f,
0x00110005,
0x00000000,
0xf840000f,
0x00110005,
0x000f0003,
0xb10001ef,
0x000c0000,
0xf800000f,
0x00110005,
0x000f0003,
0x00000000,
0xb1000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf870680f,
0x00110005,
0xf10001ef,
0x000c0000,
0xf830680f,
0x00110005,
0x00000000,
0xf840000f,
0x00110005,
0x000f0003,
0xf10001ef,
0x000c0000,
0xf800000f,
0x00110005,
0x000f0003,
0x00000000,
0xf1000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0x54000006,
0x00050803,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x00010001,
0x0006000c,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x6a1f011f,
0x00000000,
0x7200011f,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6a0f011f,
0x00000000,
0x54000000,
0x00050801,
0x00000000,
0xb940014f,
0x110005ef,
0xb900014f,
0x0006000b,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xaa1f03f0,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0x92800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xf2c00010,
0x000a0205,
0x00000000,
0xf2e00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf2c00010,
0x000a0205,
0x00000000,
0xf2e00010,
0x000a0205,
0x00000000,
0xd2c00010,
0x000a0205,
0x00000000,
0xf2e00010,
0x000a0205,
0x00000000,
0xd2e00010,
0x000a0205,
0x00000000,
0xaa1003e0,
0x00110000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6810,
0x00110005,
0x00000000,
0xf8000010,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xaa1003e0,
0x00110000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6810,
0x00110005,
0x00000000,
0xf8000010,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xaa1f03f0,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0x92800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xf2c00010,
0x000a0205,
0x00000000,
0xf2e00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf2c00010,
0x000a0205,
0x00000000,
0xf2e00010,
0x000a0205,
0x00000000,
0xd2c00010,
0x000a0205,
0x00000000,
0xf2e00010,
0x000a0205,
0x00000000,
0xd2e00010,
0x000a0205,
0x00000000,
0xaa1003e0,
0x00110000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6810,
0x00110005,
0x00000000,
0xf8000010,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xaa1003e0,
0x00110000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6810,
0x00110005,
0x00000000,
0xf8000010,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00090000,
0x00010000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0x00010001,
0x00060011,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0xf8400362,
0x000f0003,
0x00000000,
0x8b1f0042,
0x00000000,
0x91000042,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0x8b0f0042,
0x00000000,
0xaa1f03e3,
0x00000000,
0xaa1f03e3,
0x00000000,
0xd2800003,
0x000a0205,
0x00000000,
0x10000003,
0x00092000,
0x00000000,
0x90000003,
0x00093000,
0x00000000,
0x91000063,
0x000c0000,
0x00000000,
0xd2800003,
0x000a0205,
0x00000000,
0xf2a00003,
0x000a0205,
0x00000000,
0xf2c00003,
0x000a0205,
0x00000000,
0xd2a00003,
0x000a0205,
0x00000000,
0xf2c00003,
0x000a0205,
0x00000000,
0xd2c00003,
0x000a0205,
0x00000000,
0x8b1f0003,
0x00110005,
0x00000000,
0x91000003,
0x00110005,
0x000c0000,
0x00000000,
0xd2800003,
0x000a0205,
0x00000000,
0xd2800003,
0x000a0205,
0x00000000,
0xf2a00003,
0x000a0205,
0x00000000,
0xd2a00003,
0x000a0205,
0x00000000,
0x8b030003,
0x00110005,
0x00000000,
0x910003e3,
0x00000000,
0xaa0003e3,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050009,
0x00010000,
0x00060013,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110005,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x3840000f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xf9400000,
0x0006000b,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x3840000f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xf9400000,
0x91000000,
0x000c0000,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00090800,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0x00010001,
0x0006000b,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050008,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x00010000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110005,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xf8400368,
0x000f0003,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f690a,
0x00000000,
0xf840010a,
0x000f0003,
0x00000000,
0xf8400010,
0x000f0003,
0xeb10015f,
0x54000001,
0x00050807,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f690f,
0x00000000,
0xf840010f,
0x000f0003,
0x00000000,
0xb500000f,
0x00050807,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6908,
0x00000000,
0xf8400108,
0x000f0003,
0x00000000,
0xea08011f,
0x5400000b,
0x00050807,
0x8b08000f,
0x00000000,
0x384001f0,
0x000f0000,
0x00000000,
0x34000010,
0x00050807,
0x00000000,
0x7100021f,
0x000c0000,
0x54000000,
0x00050807,
0x00000000,
0xaa0f03e0,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0x386f6810,
0x00000000,
0x38400010,
0x000f0000,
0x00000000,
0x34000010,
0x00090800,
0x00000000,
0x7100021f,
0x000c0000,
0x54000000,
0x00090800,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0x386f6810,
0x00000000,
0x38400010,
0x000f0000,
0x00000000,
0x34000010,
0x00050807,
0x00000000,
0x7100021f,
0x000c0000,
0x54000000,
0x00050807,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x34000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000000,
0x00050801,
0x00000000,
0x00010001,
0x0006000b,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110005,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0xaa1f03e2,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0x10000002,
0x00092000,
0x00000000,
0x90000002,
0x00093000,
0x00000000,
0x91000042,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2c00002,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050009,
0x00010000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0xf8400008,
0x000f0003,
0xf8400108,
0x000f0003,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6901,
0x00000000,
0xf8400101,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xaa1f03e2,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0x10000002,
0x00092000,
0x00000000,
0x90000002,
0x00093000,
0x00000000,
0x91000042,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2c00002,
0x000a0205,
0x00000000,
0x8b1f0002,
0x00110005,
0x00000000,
0x91000002,
0x00110005,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0x8b020002,
0x00110005,
0x00000000,
0x910003e2,
0x00000000,
0xaa0003e2,
0x00110010,
0x00000000,
0xaa1f03e3,
0x00000000,
0xd2800003,
0x000a0205,
0x00000000,
0x10000003,
0x00092000,
0x00000000,
0x90000003,
0x00093000,
0x00000000,
0x91000063,
0x000c0000,
0x00000000,
0xd2800003,
0x000a0205,
0x00000000,
0xf2a00003,
0x000a0205,
0x00000000,
0xf2c00003,
0x000a0205,
0x00000000,
0xd2a00003,
0x000a0205,
0x00000000,
0xf2c00003,
0x000a0205,
0x00000000,
0xd2c00003,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00090800,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0x8b1f0008,
0x00110005,
0x00000000,
0x91000008,
0x00110005,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0x8b080008,
0x00110005,
0x00000000,
0x910003e8,
0x00000000,
0xaa0003e8,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050802,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050802,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110005,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xf840000f,
0x000f0003,
0xb500000f,
0x00050801,
0x91000008,
0x000c0000,
0x00010001,
0x0006000b,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xaa1f03e2,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0x10000002,
0x00092000,
0x00000000,
0x90000002,
0x00093000,
0x00000000,
0x91000042,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2c00002,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050009,
0x00010000,
0x0006000c,
0x00000000,
0x00010001,
0x00060011,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0xaa1f03e2,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0x10000002,
0x00092000,
0x00000000,
0x90000002,
0x00093000,
0x00000000,
0x91000042,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2c00002,
0x000a0205,
0x00000000,
0x8b1f0002,
0x00110005,
0x00000000,
0x91000002,
0x00110005,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0x8b020002,
0x00110005,
0x00000000,
0x910003e2,
0x00000000,
0xaa0003e2,
0x00110010,
0x00000000,
0xf8400363,
0x000f0003,
0x00000000,
0x8b1f0063,
0x00000000,
0x91000063,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0x8b0f0063,
0x00000000,
0xaa1f03e4,
0x00000000,
0xd2800004,
0x000a0205,
0x00000000,
0x10000004,
0x00092000,
0x00000000,
0x90000004,
0x00093000,
0x00000000,
0x91000084,
0x000c0000,
0x00000000,
0xd2800004,
0x000a0205,
0x00000000,
0xf2a00004,
0x000a0205,
0x00000000,
0xf2c00004,
0x000a0205,
0x00000000,
0xd2a00004,
0x000a0205,
0x00000000,
0xf2c00004,
0x000a0205,
0x00000000,
0xd2c00004,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x00060012,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0x14000000,
0x00050009,
0x00010000,
0x00060013,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110005,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x3840000f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xf9400000,
0x0006000b,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x3840000f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xf9400000,
0x91000000,
0x000c0000,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00090800,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0x00010001,
0x0006000b,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00050007,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x00010000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110005,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xf8400368,
0x000f0003,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f690a,
0x00000000,
0xf840010a,
0x000f0003,
0x00000000,
0xf840000f,
0x000f0003,
0xeb0f015f,
0x54000001,
0x00050805,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6901,
0x00000000,
0xf8400101,
0x000f0003,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6908,
0x00000000,
0xf8400108,
0x000f0003,
0x00000000,
0xea08011f,
0x5400000b,
0x00050805,
0x8b080010,
0x3840020f,
0x000f0000,
0x00000000,
0x3400000f,
0x00050805,
0x00000000,
0x710001ff,
0x000c0000,
0x54000000,
0x00050805,
0x00000000,
0xaa1003e0,
0x00000000,
0xb5000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xaa1f03e2,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0x10000002,
0x00092000,
0x00000000,
0x90000002,
0x00093000,
0x00000000,
0x91000042,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2c00002,
0x000a0205,
0x00000000,
0x8b1f0002,
0x00110005,
0x00000000,
0x91000002,
0x00110005,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0x8b020002,
0x00110005,
0x00000000,
0x910003e2,
0x00000000,
0xaa0003e2,
0x00110010,
0x00000000,
0xaa1f03e3,
0x00000000,
0xd2800003,
0x000a0205,
0x00000000,
0x10000003,
0x00092000,
0x00000000,
0x90000003,
0x00093000,
0x00000000,
0x91000063,
0x000c0000,
0x00000000,
0xd2800003,
0x000a0205,
0x00000000,
0xf2a00003,
0x000a0205,
0x00000000,
0xf2c00003,
0x000a0205,
0x00000000,
0xd2a00003,
0x000a0205,
0x00000000,
0xf2c00003,
0x000a0205,
0x00000000,
0xd2c00003,
0x000a0205,
0x00000000,
0x8b1f0003,
0x00110005,
0x00000000,
0x91000003,
0x00110005,
0x000c0000,
0x00000000,
0xd2800003,
0x000a0205,
0x00000000,
0xd2800003,
0x000a0205,
0x00000000,
0xf2a00003,
0x000a0205,
0x00000000,
0xd2a00003,
0x000a0205,
0x00000000,
0x8b030003,
0x00110005,
0x00000000,
0x910003e3,
0x00000000,
0xaa0003e3,
0x00110010,
0x00000000,
0xaa1f03e3,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050007,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x00010000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0x386f6810,
0x00000000,
0x38400010,
0x000f0000,
0x00000000,
0x34000010,
0x00090800,
0x00000000,
0x7100021f,
0x000c0000,
0x54000000,
0x00090800,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0x386f6810,
0x00000000,
0x38400010,
0x000f0000,
0x00000000,
0x34000010,
0x00050805,
0x00000000,
0x7100021f,
0x000c0000,
0x54000000,
0x00050805,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0xf8400008,
0x000f0003,
0xf8400108,
0x000f0003,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6901,
0x00000000,
0xf8400101,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xaa1f03e2,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0x10000002,
0x00092000,
0x00000000,
0x90000002,
0x00093000,
0x00000000,
0x91000042,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2c00002,
0x000a0205,
0x00000000,
0x8b1f0002,
0x00110005,
0x00000000,
0x91000002,
0x00110005,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0x8b020002,
0x00110005,
0x00000000,
0x910003e2,
0x00000000,
0xaa0003e2,
0x00110010,
0x00000000,
0xaa1f03e3,
0x00000000,
0xd2800003,
0x000a0205,
0x00000000,
0x10000003,
0x00092000,
0x00000000,
0x90000003,
0x00093000,
0x00000000,
0x91000063,
0x000c0000,
0x00000000,
0xd2800003,
0x000a0205,
0x00000000,
0xf2a00003,
0x000a0205,
0x00000000,
0xf2c00003,
0x000a0205,
0x00000000,
0xd2a00003,
0x000a0205,
0x00000000,
0xf2c00003,
0x000a0205,
0x00000000,
0xd2c00003,
0x000a0205,
0x00000000,
0x8b1f0003,
0x00110005,
0x00000000,
0x91000003,
0x00110005,
0x000c0000,
0x00000000,
0xd2800003,
0x000a0205,
0x00000000,
0xd2800003,
0x000a0205,
0x00000000,
0xf2a00003,
0x000a0205,
0x00000000,
0xd2a00003,
0x000a0205,
0x00000000,
0x8b030003,
0x00110005,
0x00000000,
0x910003e3,
0x00000000,
0xaa0003e3,
0x00110010,
0x00000000,
0xaa1f03e3,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0x00010001,
0x0006000f,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0xaa1f03e2,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0x10000002,
0x00092000,
0x00000000,
0x90000002,
0x00093000,
0x00000000,
0x91000042,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2c00002,
0x000a0205,
0x00000000,
0x8b1f0002,
0x00110005,
0x00000000,
0x91000002,
0x00110005,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0x8b020002,
0x00110005,
0x00000000,
0x910003e2,
0x00000000,
0xaa0003e2,
0x00110010,
0x00000000,
0xf8400363,
0x000f0003,
0x00000000,
0x8b1f0063,
0x00000000,
0x91000063,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0x8b0f0063,
0x00000000,
0xaa1f03e4,
0x00000000,
0xd2800004,
0x000a0205,
0x00000000,
0x10000004,
0x00092000,
0x00000000,
0x90000004,
0x00093000,
0x00000000,
0x91000084,
0x000c0000,
0x00000000,
0xd2800004,
0x000a0205,
0x00000000,
0xf2a00004,
0x000a0205,
0x00000000,
0xf2c00004,
0x000a0205,
0x00000000,
0xd2a00004,
0x000a0205,
0x00000000,
0xf2c00004,
0x000a0205,
0x00000000,
0xd2c00004,
0x000a0205,
0x00000000,
0x8b1f0004,
0x00110005,
0x00000000,
0x91000004,
0x00110005,
0x000c0000,
0x00000000,
0xd2800004,
0x000a0205,
0x00000000,
0xd2800004,
0x000a0205,
0x00000000,
0xf2a00004,
0x000a0205,
0x00000000,
0xd2a00004,
0x000a0205,
0x00000000,
0x8b040004,
0x00110005,
0x00000000,
0x910003e4,
0x00000000,
0xaa0003e4,
0x00110010,
0x00000000,
0xaa1f03e4,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x00060011,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0x14000000,
0x00050009,
0x00010000,
0x00010001,
0x00060011,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0x14000000,
0x00050009,
0x00010000,
0x00060013,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x34000000,
0x00110000,
0x00050807,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000000,
0x00050807,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb86f6b60,
0x00000000,
0xb8400360,
0x000f0002,
0x00000000,
0x2a3f03ef,
0x6b0f001f,
0x54000000,
0x00050807,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x00060011,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x92800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xf2e00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xf2e00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0xf2e00001,
0x000a0205,
0x00000000,
0xd2e00001,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6808,
0x00110005,
0x00000000,
0xf8400008,
0x00110005,
0x000f0003,
0x00000000,
0x91000100,
0x000c0000,
0xf8400101,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf830681f,
0x00110005,
0x00000000,
0xf800001f,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0xaa0f03e0,
0x00110000,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf830680f,
0x00110005,
0x00000000,
0xf800000f,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6808,
0x00110005,
0x00000000,
0xf8400008,
0x00110005,
0x000f0003,
0x00000000,
0xf8400108,
0x000f0003,
0x00000000,
0xaa0803e0,
0x00110000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6808,
0x00110005,
0x00000000,
0xf8000008,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf830681f,
0x00110005,
0x00000000,
0xf800001f,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0xaa0f03e0,
0x00110000,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf830680f,
0x00110005,
0x00000000,
0xf800000f,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6808,
0x00110005,
0x00000000,
0xf8400008,
0x00110005,
0x000f0003,
0x00000000,
0xb8400108,
0x000f0002,
0x00000000,
0xaa0803e0,
0x00110000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6808,
0x00110005,
0x00000000,
0xf8000008,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0xf8400360,
0x000f0003,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6800,
0x00110005,
0x00000000,
0xf8000000,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xb940000f,
0x110005ef,
0xb900000f,
0x00000000,
0x3840036f,
0x000f0000,
0x710001ff,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0x3840036f,
0x000f0000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x14000000,
0x00050026,
0x00010000,
0xb4000008,
0x00090800,
0x00000000,
0xb4000008,
0x00050803,
0x00000000,
0xb4000008,
0x00070800,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0xf840000f,
0x000f0003,
0xcb0f0108,
0x52800000,
0x000a0205,
0x9ac00d08,
0x10000000,
0x00052004,
0xf868680f,
0xd61f01e0,
0x00000000,
0x00010002,
0x00040007,
0x0006000e,
0x00000000,
0x00100000,
0x00100000,
0x00000000,
0x00058003,
0x00000000,
0x00078000,
0x00000000,
0x00078000,
0x00000000,
0x00058003,
0x00000000,
0x00100000,
0x00100000,
0x00000000,
0x00010000,
0x14000000,
0x00070000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00090800,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050803,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050803,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6801,
0x00110005,
0x00000000,
0xf8400001,
0x00110005,
0x000f0003,
0x00000000,
0x9100002f,
0x000c0000,
0x384001f0,
0x000f0000,
0x00000000,
0x35000010,
0x00090800,
0x00000000,
0x7100021f,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0x9100002f,
0x000c0000,
0x384001f0,
0x000f0000,
0x00000000,
0x35000010,
0x00050803,
0x00000000,
0x7100021f,
0x000c0000,
0x54000001,
0x00050803,
0x00000000,
0xf8400021,
0x000f0003,
0x14000000,
0x00050002,
0x00010000,
0x0006000c,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00090800,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050803,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050803,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xeb1f003f,
0x00000000,
0xf100003f,
0x000c0000,
0x00000000,
0xb100003f,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xeb0f003f,
0x00000000,
0x54000002,
0x00090800,
0x00000000,
0x54000002,
0x00050803,
0x00000000,
0x54000002,
0x00070800,
0x00000000,
0x10000008,
0x00052004,
0xf861790f,
0xd61f01e0,
0x00000000,
0x00010002,
0x00040007,
0x0006000e,
0x00000000,
0x00100000,
0x00100000,
0x00000000,
0x00058003,
0x00000000,
0x00078000,
0x00000000,
0x00078000,
0x00000000,
0x00058003,
0x00000000,
0x00100000,
0x00100000,
0x00000000,
0x00010000,
0x0006000d,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6801,
0x00110005,
0x00000000,
0xf8400001,
0x00110005,
0x000f0003,
0x00000000,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00090800,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050803,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050803,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6801,
0x00110005,
0x00000000,
0xf8400001,
0x00110005,
0x000f0003,
0x00000000,
0x9100002f,
0x000c0000,
0x384001f0,
0x000f0000,
0x00000000,
0x35000010,
0x00090800,
0x00000000,
0x7100021f,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0x9100002f,
0x000c0000,
0x384001f0,
0x000f0000,
0x00000000,
0x35000010,
0x00050803,
0x00000000,
0x7100021f,
0x000c0000,
0x54000001,
0x00050803,
0x00000000,
0xf8400021,
0x000f0003,
0x14000000,
0x00050002,
0x00010000,
0x0006000c,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00090800,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050803,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050803,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6801,
0x00110005,
0x00000000,
0xf8400001,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0x00000000,
0x0006000d,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0x3840002f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xf9400021,
0x91000021,
0x000c0000,
0x0006000b,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050805,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050805,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050806,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050806,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00090800,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050803,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050803,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00070800,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00070800,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0x00000000,
0x14000000,
0x00050002,
0x00000000,
0x0006000f,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050806,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050806,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00090800,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050803,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050803,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00070800,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00070800,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6801,
0x00110005,
0x00000000,
0xf8400001,
0x00110005,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0x00000000,
0x0006000c,
0x00000000,
0x00060010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00090800,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050803,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050803,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00070800,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00070800,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x72a00000,
0x000a0205,
0x00000000,
0x52a00000,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0x14000000,
0x00050003,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050806,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050806,
0x00000000,
0x5280002a,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0x386f6809,
0x00110005,
0x00000000,
0x38400009,
0x00110005,
0x000f0000,
0x00000000,
0x1ac9214a,
0x00000000,
0x6a1f015f,
0x00000000,
0x7200015f,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6a0f015f,
0x00000000,
0x54000000,
0x00050806,
0x00000000,
0x00010001,
0x00060010,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e9,
0x00000000,
0xd2800009,
0x000a0205,
0x00000000,
0x10000009,
0x00092000,
0x00000000,
0x90000009,
0x00093000,
0x00000000,
0x91000129,
0x000c0000,
0x00000000,
0xd2800009,
0x000a0205,
0x00000000,
0xf2a00009,
0x000a0205,
0x00000000,
0xf2c00009,
0x000a0205,
0x00000000,
0xd2a00009,
0x000a0205,
0x00000000,
0xf2c00009,
0x000a0205,
0x00000000,
0xd2c00009,
0x000a0205,
0x00000000,
0xf8000369,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050807,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050807,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xb4000000,
0x00050815,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x14000000,
0x00050008,
0x00000000,
0x00060011,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x00060012,
0xf8400361,
0x000f0003,
0x00000000,
0xaa1f03e2,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0x10000002,
0x00092000,
0x00000000,
0x90000002,
0x00093000,
0x00000000,
0x91000042,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2c00002,
0x000a0205,
0x00000000,
0xf8400368,
0x000f0003,
0x00000000,
0x8b1f0103,
0x00000000,
0x91000103,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0x8b0f0103,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050009,
0x00010000,
0x00060013,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x3840000f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xf9400000,
0x91000000,
0x000c0000,
0x0006000b,
0x00000000,
0x0006000b,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0x386f680f,
0x00110005,
0x00000000,
0x3840000f,
0x00110005,
0x000f0000,
0x00000000,
0x710001ff,
0x000c0000,
0x00000000,
0x5400000c,
0x00090800,
0x00000000,
0x5400000d,
0x00090800,
0x00000000,
0x5400000d,
0x00070800,
0x00000000,
0x5400000c,
0x00070800,
0x00000000,
0x5400000d,
0x00070800,
0x14000000,
0x00070000,
0x00000000,
0x1a9fd7e8,
0x11000108,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb82f6808,
0x00110005,
0x00000000,
0xb8000008,
0x00110005,
0x000f0002,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x9e6703e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0x9e620000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf820681f,
0x00110005,
0x00110010,
0x00000000,
0xf800001f,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf940010f,
0x910005ef,
0xf900010f,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x6a1f011f,
0x00000000,
0x7200011f,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6a0f011f,
0x00000000,
0x54000000,
0x00050801,
0x00000000,
0xb940000f,
0x110005ef,
0xb900000f,
0x0006000b,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb82f6b7f,
0x00000000,
0xb800037f,
0x000f0002,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110005,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb86f6b68,
0x00000000,
0xb8400368,
0x000f0002,
0x00000000,
0x2a0803e1,
0xf840000f,
0x000f0003,
0x8b0115e1,
0x0006000b,
0xb840000f,
0x000f0002,
0x6b0801ff,
0x00000000,
0x54000009,
0x00090800,
0x00000000,
0x54000009,
0x00050803,
0x00000000,
0x54000009,
0x00070800,
0x00000000,
0x11000508,
0x00000000,
0x3840002f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050803,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050803,
0x00000000,
0x3840002f,
0x000f0000,
0x00000000,
0x3500000f,
0x00090800,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0x91000021,
0x000c0000,
0x14000000,
0x0005000b,
0x0006000d,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb82f6b68,
0x00000000,
0xb8000368,
0x000f0002,
0x00000000,
0xf8400028,
0x000f0003,
0xb4000008,
0x00050802,
0x00000000,
0xf8400028,
0x000f0003,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6808,
0x00110005,
0x00000000,
0xf8000008,
0x00110005,
0x000f0003,
0x00000000,
0xb840010f,
0x000f0002,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000000,
0x00050801,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00050003,
0x0006000b,
0xb940010f,
0x110005ef,
0xb900010f,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00050003,
0x0006000c,
0x00000000,
0xf8400028,
0x000f0003,
0x00000000,
0xaa0803e0,
0x00110000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6808,
0x00110005,
0x00000000,
0xf8000008,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x0006000d,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x6a1f011f,
0x00000000,
0x7200011f,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6a0f011f,
0x00000000,
0x54000000,
0x00050801,
0x00000000,
0xb940000f,
0x110005ef,
0xb900000f,
0x0006000b,
0x00000000,
0xf8400360,
0x000f0003,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6808,
0x00000000,
0xf8400008,
0x000f0003,
0x00000000,
0xb4000008,
0x00050809,
0x00000000,
0xf240011f,
0x54000001,
0x00050809,
0x00000000,
0x00060012,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00090800,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb86f680a,
0x00110005,
0x00000000,
0xb840000a,
0x00110005,
0x000f0002,
0x00000000,
0x3500000a,
0x00090800,
0x00000000,
0x7100015f,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb82f680a,
0x00110005,
0x00000000,
0xb800000a,
0x00110005,
0x000f0002,
0x00000000,
0x6a1f015f,
0x00000000,
0x7200015f,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6a0f015f,
0x00000000,
0x54000000,
0x00050801,
0x00000000,
0xb940012f,
0x110005ef,
0xb900012f,
0x0006000b,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x6a1f011f,
0x00000000,
0x7200011f,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6a0f011f,
0x00000000,
0x54000000,
0x00050801,
0x00000000,
0xb940012f,
0x110005ef,
0xb900012f,
0x0006000b,
0x00000000,
0x00010001,
0x00060013,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x52800001,
0x000a0205,
0x00000000,
0x52800001,
0x000a0205,
0x00000000,
0x72a00001,
0x000a0205,
0x00000000,
0x52a00001,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0xb5000008,
0x00050812,
0x14000000,
0x00050015,
0x00010000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6801,
0x00110005,
0x00000000,
0xf8400001,
0x00110005,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xb4000000,
0x00090800,
0x00000000,
0xb5000000,
0x00090800,
0x00000000,
0xb4000000,
0x00070800,
0x00000000,
0xb5000000,
0x00070800,
0x00000000,
0xb4000000,
0x00070800,
0x14000000,
0x00070000,
0x00000000,
0xea00001f,
0x1a9f07e8,
0x11000108,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb82f6808,
0x00110005,
0x00000000,
0xb8000008,
0x00110005,
0x000f0002,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6b68,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6809,
0x00110005,
0x00000000,
0xf8400009,
0x00110005,
0x000f0003,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6b69,
0x00000000,
0xf8000369,
0x000f0003,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb86f6808,
0x00110005,
0x00000000,
0xb8400008,
0x00110005,
0x000f0002,
0x00000000,
0x6a1f011f,
0x00000000,
0x7200011f,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6a0f011f,
0x00000000,
0x54000000,
0x00050801,
0x00000000,
0xb940012f,
0x110005ef,
0xb900012f,
0x0006000b,
0x00000000,
0x8b1f0360,
0x00000000,
0x91000360,
0x000c0000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0x8b0f0360,
0x00000000,
0x52800001,
0x000a0205,
0x00000000,
0x52800001,
0x000a0205,
0x00000000,
0x72a00001,
0x000a0205,
0x00000000,
0x52a00001,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6800,
0x00110005,
0x00000000,
0xf8000000,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x34000000,
0x00110000,
0x00090800,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000000,
0x00090800,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00090800,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110005,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00090800,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00090800,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110005,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110005,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0803e0,
0x00000000,
0x3840000f,
0x000f0000,
0x00000000,
0x3500000f,
0x00090800,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00090800,
0x00000000
};

#line 106 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
//|.globals zend_lb
enum {
  zend_lbinterrupt_handler,
  zend_lbexception_handler,
  zend_lbexception_handler_undef,
  zend_lbexception_handler_free_op1_op2,
  zend_lbexception_handler_free_op2,
  zend_lbleave_function_handler,
  zend_lbleave_throw_handler,
  zend_lbicall_throw_handler,
  zend_lbthrow_cannot_pass_by_ref,
  zend_lbundefined_offset_ex,
  zend_lbundefined_offset,
  zend_lbundefined_index_ex,
  zend_lbundefined_index,
  zend_lbcannot_add_element_ex,
  zend_lbcannot_add_element,
  zend_lbundefined_function,
  zend_lbnegative_shift,
  zend_lbmod_by_zero,
  zend_lbinvalid_this,
  zend_lbhybrid_runtime_jit,
  zend_lbhybrid_profile_jit,
  zend_lbhybrid_hot_code,
  zend_lbhybrid_func_hot_counter,
  zend_lbhybrid_loop_hot_counter,
  zend_lbhybrid_hot_trace,
  zend_lbhybrid_func_trace_counter,
  zend_lbhybrid_ret_trace_counter,
  zend_lbhybrid_loop_trace_counter,
  zend_lbtrace_halt,
  zend_lbtrace_exit,
  zend_lbtrace_escape,
  zend_lbcontext_threaded_call,
  zend_lbassign_const,
  zend_lbassign_tmp,
  zend_lbassign_var,
  zend_lbassign_cv_noref,
  zend_lbassign_cv,
  zend_lb_MAX
};
#line 107 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
//|.section code, cold_code, jmp_table
#define DASM_SECTION_CODE	0
#define DASM_SECTION_COLD_CODE	1
#define DASM_SECTION_JMP_TABLE	2
#define DASM_MAXSECTION		3
#line 108 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

static void* dasm_labels[zend_lb_MAX];

#if ZTS
static size_t tsrm_ls_cache_tcb_offset = 0;
# ifdef __APPLE__
struct TLVDescriptor {
	void*       (*thunk)(struct TLVDescriptor*);
	uint64_t    key;
	uint64_t    offset;
};
typedef struct TLVDescriptor TLVDescriptor;
# endif
#endif

#define IS_SIGNED_32BIT(val) ((((intptr_t)(val)) <= 0x7fffffff) && (((intptr_t)(val)) >= (-2147483647 - 1)))

/* Encoding of immediate. */
#define MAX_IMM12       0xfff          // maximum value for imm12
#define MAX_IMM16       0xffff         // maximum value for imm16
#define MOVZ_IMM        MAX_IMM16      // movz insn
#define LDR_STR_PIMM64  (MAX_IMM12*8)  // ldr/str insn for 64-bit register: pimm is imm12 * 8
#define LDR_STR_PIMM32  (MAX_IMM12*4)  // ldr/str insn for 32-bit register: pimm is imm12 * 4
#define LDRB_STRB_PIMM  MAX_IMM12      // ldrb/strb insn

#define B_IMM           (1<<27)        // signed imm26 * 4
#define ADR_IMM         (1<<20)        // signed imm21
#define ADRP_IMM        (1LL<<32)      // signed imm21 * 4096

static bool arm64_may_use_b(const void *addr)
{
	if (addr >= dasm_buf && addr < dasm_end) {
		return (((char*)dasm_end - (char*)dasm_buf) < B_IMM);
	} else if (addr >= dasm_end) {
		return (((char*)addr - (char*)dasm_buf) < B_IMM);
	} else if (addr < dasm_buf) {
		return (((char*)dasm_end - (char*)addr) < B_IMM);
	}
	return 0;
}

static bool arm64_may_use_adr(const void *addr)
{
	if (addr >= dasm_buf && addr < dasm_end) {
		return (((char*)dasm_end - (char*)dasm_buf) < ADR_IMM);
	} else if (addr >= dasm_end) {
		return (((char*)addr - (char*)dasm_buf) < ADR_IMM);
	} else if (addr < dasm_buf) {
		return (((char*)dasm_end - (char*)addr) < ADR_IMM);
	}
	return 0;
}

static bool arm64_may_use_adrp(const void *addr)
{
	if (addr >= dasm_buf && addr < dasm_end) {
		return (((char*)dasm_end - (char*)dasm_buf) < ADRP_IMM);
	} else if (addr >= dasm_end) {
		return (((char*)addr - (char*)dasm_buf) < ADRP_IMM);
	} else if (addr < dasm_buf) {
		return (((char*)dasm_end - (char*)addr) < ADRP_IMM);
	}
	return 0;
}

/* Determine whether "val" falls into two allowed ranges:
 *   Range 1: [0, 0xfff]
 *   Range 2: LSL #12 to Range 1
 * Used to guard the immediate encoding for add/adds/sub/subs/cmp/cmn instructions. */
static bool arm64_may_encode_imm12(const int64_t val)
{
	return (val >= 0 && (val <= MAX_IMM12 || !(val & 0xffffffffff000fff)));
}

/* Determine whether an immediate value can be encoded as the immediate operand of logical instructions. */
static bool logical_immediate_p(uint64_t value, uint32_t reg_size)
{
	/* fast path: power of two */
	if (value > 0 && !(value & (value - 1))) {
		return true;
	}

	if (reg_size == 32) {
		if (dasm_imm13((uint32_t)value, (uint32_t)value) != -1) {
			return true;
		}
	} else if (reg_size == 64) {
		if (dasm_imm13((uint32_t)value, (uint32_t)(value >> 32)) != -1) {
			return true;
		}
	} else {
		ZEND_UNREACHABLE();
	}

	return false;
}

/* Not Implemented Yet */
//|.macro NIY
//||	//ZEND_ASSERT(0);
//|	brk #0
//|.endmacro

//|.macro NIY_STUB
//||	//ZEND_ASSERT(0);
//|	brk #0
//|.endmacro

//|.macro ADD_HYBRID_SPAD
//||#ifndef ZEND_VM_HYBRID_JIT_RED_ZONE_SIZE
//|	add sp, sp, # HYBRID_SPAD
//||#endif
//|.endmacro

//|.macro SUB_HYBRID_SPAD
//||#ifndef ZEND_VM_HYBRID_JIT_RED_ZONE_SIZE
//|	sub sp, sp, # HYBRID_SPAD
//||#endif
//|.endmacro

/* Move address into register. TODO: Support 52-bit address */
//|.macro LOAD_ADDR, reg, addr
//|	// 48-bit virtual address
//||	if (((uintptr_t)(addr)) == 0) {
//|		mov reg, xzr
//||	} else if (((uintptr_t)(addr)) <= MOVZ_IMM) {
//|		movz reg, #((uint64_t)(addr))
//||	} else if (arm64_may_use_adr((void*)(addr))) {
//|		adr reg, &addr
//||	} else if (arm64_may_use_adrp((void*)(addr))) {
//|		adrp reg, &(((uintptr_t)(addr)))
//||		if (((uintptr_t)(addr)) & 0xfff) {
//|			add reg, reg, #(((uintptr_t)(addr)) & 0xfff)
//||		}
//||	} else if ((uintptr_t)(addr) & 0xffff) {
//|		movz reg, #((uintptr_t)(addr) & 0xffff)
//||		if (((uintptr_t)(addr) >> 16) & 0xffff) {
//|			movk reg, #(((uintptr_t)(addr) >> 16) & 0xffff), lsl #16
//||		}
//||		if (((uintptr_t)(addr) >> 32) & 0xffff) {
//|			movk reg, #(((uintptr_t)(addr) >> 32) & 0xffff), lsl #32
//||		}
//||	} else if (((uintptr_t)(addr) >> 16) & 0xffff) {
//|		movz reg, #(((uintptr_t)(addr) >> 16) & 0xffff), lsl #16
//||		if (((uintptr_t)(addr) >> 32) & 0xffff) {
//|			movk reg, #(((uintptr_t)(addr) >> 32) & 0xffff), lsl #32
//||		}
//||	} else {
//|		movz reg, #(((uintptr_t)(addr) >> 32) & 0xffff), lsl #32
//||	}
//|.endmacro

/* Move 32-bit immediate value into register. */
//|.macro LOAD_32BIT_VAL, reg, val
//||	if (((uint32_t)(val)) <= MOVZ_IMM) {
//|		movz reg, #((uint32_t)(val))
//||	} else if (((uint32_t)(val) & 0xffff)) {
//|		movz reg, #((uint32_t)(val) & 0xffff)
//||		if ((((uint32_t)(val) >> 16) & 0xffff)) {
//|			movk reg, #(((uint32_t)(val) >> 16) & 0xffff), lsl #16
//||		}
//||	} else {
//|		movz reg, #(((uint32_t)(val) >> 16) & 0xffff), lsl #16
//||	}
//|.endmacro

/* Move 64-bit immediate value into register. */
//|.macro LOAD_64BIT_VAL, reg, val
//||	if (((uint64_t)(val)) == 0) {
//|		mov reg, xzr
//||	} else if (((uint64_t)(val)) <= MOVZ_IMM) {
//|		movz reg, #((uint64_t)(val))
//||	} else if (~((uint64_t)(val)) <= MOVZ_IMM) {
//|		movn reg, #(~((uint64_t)(val)))
//||	} else if ((uint64_t)(val) & 0xffff) {
//|		movz reg, #((uint64_t)(val) & 0xffff)
//||		if (((uint64_t)(val) >> 16) & 0xffff) {
//|			movk reg, #(((uint64_t)(val) >> 16) & 0xffff), lsl #16
//||		}
//||		if (((uint64_t)(val) >> 32) & 0xffff) {
//|			movk reg, #(((uint64_t)(val) >> 32) & 0xffff), lsl #32
//||		}
//||		if ((((uint64_t)(val) >> 48) & 0xffff)) {
//|			movk reg, #(((uint64_t)(val) >> 48) & 0xffff), lsl #48
//||		}
//||	} else if (((uint64_t)(val) >> 16) & 0xffff) {
//|		movz reg, #(((uint64_t)(val) >> 16) & 0xffff), lsl #16
//||		if (((uint64_t)(val) >> 32) & 0xffff) {
//|			movk reg, #(((uint64_t)(val) >> 32) & 0xffff), lsl #32
//||		}
//||		if ((((uint64_t)(val) >> 48) & 0xffff)) {
//|			movk reg, #(((uint64_t)(val) >> 48) & 0xffff), lsl #48
//||		}
//||	} else if (((uint64_t)(val) >> 32) & 0xffff) {
//|		movz reg, #(((uint64_t)(val) >> 32) & 0xffff), lsl #32
//||		if ((((uint64_t)(val) >> 48) & 0xffff)) {
//|			movk reg, #(((uint64_t)(val) >> 48) & 0xffff), lsl #48
//||		}
//||	} else {
//|		movz reg, #(((uint64_t)(val) >> 48) & 0xffff), lsl #48
//||	}
//|.endmacro

/* Extract the low 8 bits from 'src_reg' into 'dst_reg'.
 * Note: 0xff can be encoded as imm for 'and' instruction. */
//|.macro GET_LOW_8BITS, dst_reg, src_reg
//|	and dst_reg, src_reg, #0xff
//|.endmacro

/* Bitwise operation with immediate. 'bw_ins' can be and/orr/eor/ands.
 * 32-bit and 64-bit registers are distinguished. */
//|.macro BW_OP_32_WITH_CONST, bw_ins, dst_reg, src_reg1, val, tmp_reg
//||	if (val == 0) {
//|		bw_ins dst_reg, src_reg1, wzr
//||	} else if (logical_immediate_p((uint32_t)val, 32)) {
//|		bw_ins dst_reg, src_reg1, #val
//||	} else {
//|		LOAD_32BIT_VAL tmp_reg, val
//|		bw_ins dst_reg, src_reg1, tmp_reg
//||	}
//|.endmacro

//|.macro BW_OP_64_WITH_CONST, bw_ins, dst_reg, src_reg1, val, tmp_reg
//||	if (val == 0) {
//|		bw_ins dst_reg, src_reg1, xzr
//||	} else if (logical_immediate_p(val, 64)) {
//|		bw_ins dst_reg, src_reg1, #val
//||	} else {
//|		LOAD_64BIT_VAL tmp_reg, val
//|		bw_ins dst_reg, src_reg1, tmp_reg
//||	}
//|.endmacro

/* Test bits 'tst' with immediate. 32-bit and 64-bit registers are distinguished. */
//|.macro TST_32_WITH_CONST, reg, val, tmp_reg
//||	if (val == 0) {
//|		tst reg, wzr
//||	} else if (logical_immediate_p((uint32_t)val, 32)) {
//|		tst reg, #val
//||	} else {
//|		LOAD_32BIT_VAL tmp_reg, val
//|		tst reg, tmp_reg
//||	}
//|.endmacro

//|.macro TST_64_WITH_CONST, reg, val, tmp_reg
//||	if (val == 0) {
//|		tst reg, xzr
//||	} else if (logical_immediate_p(val, 64)) {
//|		tst reg, #val
//||	} else {
//|		LOAD_64BIT_VAL tmp_reg, val
//|		tst reg, tmp_reg
//||	}
//|.endmacro

/* Test bits between 64-bit register with constant 1. */
//|.macro TST_64_WITH_ONE, reg
//|	tst reg, #1
//|.endmacro

/* Compare a register value with immediate. 32-bit and 64-bit registers are distinguished.
 * Note: Comparing 64-bit register with 32-bit immediate is handled in CMP_64_WITH_CONST_32. */
//|.macro CMP_32_WITH_CONST, reg, val, tmp_reg
//||	if (val == 0) {
//|		cmp reg, wzr
//||	} else if (arm64_may_encode_imm12((int64_t)(val))) {
//|		cmp reg, #val
//||	} else if (arm64_may_encode_imm12((int64_t)(-val))) {
//|		cmn reg, #-val
//||	} else {
//|		LOAD_32BIT_VAL tmp_reg, val
//|		cmp reg, tmp_reg
//||	}
//|.endmacro

//|.macro CMP_64_WITH_CONST_32, reg, val, tmp_reg
//||	if (val == 0) {
//|		cmp reg, xzr
//||	} else if (arm64_may_encode_imm12((int64_t)(val))) {
//|		cmp reg, #val
//||	} else if (arm64_may_encode_imm12((int64_t)(-val))) {
//|		cmn reg, #-val
//||	} else {
//|		LOAD_32BIT_VAL tmp_reg, val
//|		cmp reg, tmp_reg
//||	}
//|.endmacro

//|.macro CMP_64_WITH_CONST, reg, val, tmp_reg
//||	if (val == 0) {
//|		cmp reg, xzr
//||	} else if (arm64_may_encode_imm12((int64_t)(val))) {
//|		cmp reg, #val
//||	} else if (arm64_may_encode_imm12((int64_t)(-val))) {
//|		cmn reg, #-val
//||	} else {
//|		LOAD_64BIT_VAL tmp_reg, val
//|		cmp reg, tmp_reg
//||	}
//|.endmacro

/* Add/sub a register value with immediate. 'add_sub_ins' can be add/sub/adds/subs.
 * 32-bit and 64-bit registers are distinguished.
 * Note: Case of 64-bit register with 32-bit immediate is handled in ADD_SUB_64_WITH_CONST_32. */
//|.macro ADD_SUB_32_WITH_CONST, add_sub_ins, dst_reg, src_reg1, val, tmp_reg
//||	if (val == 0) {
//|		add_sub_ins dst_reg, src_reg1, wzr
//||	} else if (arm64_may_encode_imm12((int64_t)(val))) {
//|		add_sub_ins dst_reg, src_reg1, #val
//||	} else {
//|		LOAD_32BIT_VAL tmp_reg, val
//|		add_sub_ins dst_reg, src_reg1, tmp_reg
//||	}
//|.endmacro

//|.macro ADD_SUB_64_WITH_CONST_32, add_sub_ins, dst_reg, src_reg1, val, tmp_reg
//||	if (val == 0) {
//|		add_sub_ins dst_reg, src_reg1, xzr
//||	} else if (arm64_may_encode_imm12((int64_t)(val))) {
//|		add_sub_ins dst_reg, src_reg1, #val
//||	} else {
//|		LOAD_32BIT_VAL tmp_reg, val
//|		add_sub_ins dst_reg, src_reg1, tmp_reg
//||	}
//|.endmacro

//|.macro ADD_SUB_64_WITH_CONST, add_sub_ins, dst_reg, src_reg1, val, tmp_reg
//||	if (val == 0) {
//|		add_sub_ins dst_reg, src_reg1, xzr
//||	} else if (arm64_may_encode_imm12((int64_t)(val))) {
//|		add_sub_ins dst_reg, src_reg1, #val
//||	} else {
//|		LOAD_64BIT_VAL tmp_reg, val
//|		add_sub_ins dst_reg, src_reg1, tmp_reg
//||	}
//|.endmacro

/* Memory access(load/store) with 32-bit 'offset'.
 * Use "unsigned offset" variant if 'offset' can be encoded, otherwise move 'offset' into temp register.
 * 8-bit, 32-bit and 64-bit registers to be transferred are distinguished.
 * Note: 'reg' can be used as 'tmp_reg' if 1) 'reg' is one GPR, AND 2) 'reg' != 'base_reg', AND 3) ins is 'ldr'. */
//|.macro MEM_ACCESS_64_WITH_UOFFSET, ldr_str_ins, reg, base_reg, offset, tmp_reg
//||	if (((uintptr_t)(offset)) > LDR_STR_PIMM64) {
//|		LOAD_32BIT_VAL tmp_reg, offset
//|		ldr_str_ins reg, [base_reg, tmp_reg]
//||	} else {
//|		ldr_str_ins reg, [base_reg, #(offset)]
//||	}
//|.endmacro

//|.macro MEM_ACCESS_32_WITH_UOFFSET, ldr_str_ins, reg, base_reg, offset, tmp_reg
//||	if (((uintptr_t)(offset)) > LDR_STR_PIMM32) {
//|		LOAD_32BIT_VAL tmp_reg, offset
//|		ldr_str_ins reg, [base_reg, tmp_reg]
//||	} else {
//|		ldr_str_ins reg, [base_reg, #(offset)]
//||	}
//|.endmacro

//|.macro MEM_ACCESS_8_WITH_UOFFSET, ldrb_strb_ins, reg, base_reg, offset, tmp_reg
//||	if (((uintptr_t)(offset)) > LDRB_STRB_PIMM) {
//|		LOAD_32BIT_VAL tmp_reg, offset
//|		ldrb_strb_ins reg, [base_reg, tmp_reg]
//||	} else {
//|		ldrb_strb_ins reg, [base_reg, #(offset)]
//||	}
//|.endmacro

/* Memory access(load/store) with 64-bit 'offset'.
 * Use "unsigned offset" variant if 'offset' can be encoded, otherwise move 'offset' into temp register. */
//|.macro MEM_ACCESS_64_WITH_UOFFSET_64, ldr_str_ins, reg, base_reg, offset, tmp_reg
//||	if (((uintptr_t)(offset)) > LDR_STR_PIMM64) {
//|		LOAD_64BIT_VAL tmp_reg, offset
//|		ldr_str_ins reg, [base_reg, tmp_reg]
//||	} else {
//|		ldr_str_ins reg, [base_reg, #(offset)]
//||	}
//|.endmacro

/* ZTS: get thread local variable "_tsrm_ls_cache" */
//|.macro LOAD_TSRM_CACHE, reg
//||#ifdef __APPLE__
//|	.long 0xd53bd071 // TODO: hard-coded: mrs TMP3, tpidrro_el0
//|	and TMP3, TMP3, #0xfffffffffffffff8
//|	MEM_ACCESS_64_WITH_UOFFSET_64 ldr, TMP3, TMP3, (((TLVDescriptor*)tsrm_ls_cache_tcb_offset)->key << 3), TMP1
//|	MEM_ACCESS_64_WITH_UOFFSET_64 ldr, reg, TMP3, (((TLVDescriptor*)tsrm_ls_cache_tcb_offset)->offset), TMP1
//||#else
//|	.long 0xd53bd051 // TODO: hard-coded: mrs TMP3, tpidr_el0
//||	ZEND_ASSERT(tsrm_ls_cache_tcb_offset <= LDR_STR_PIMM64);
//|	ldr reg, [TMP3, #tsrm_ls_cache_tcb_offset]
//||#endif
//|.endmacro

//|.macro LOAD_ADDR_ZTS, reg, struct, field
//|	.if ZTS
//|		LOAD_TSRM_CACHE TMP3
//|		ADD_SUB_64_WITH_CONST_32 add, reg, TMP3, (struct.._offset + offsetof(zend_..struct, field)), reg
//|	.else
//|		LOAD_ADDR reg, &struct.field
//|	.endif
//|.endmacro

/* Store address 'addr' into memory 'mem'. */
//|.macro ADDR_STORE, mem, addr, tmp_reg
//|	LOAD_ADDR tmp_reg, addr
//|	str tmp_reg, mem
//|.endmacro

/* Store a register value 'reg' into memory 'addr'.
 * For ZTS mode, base register with unsigned offset variant is used,
 * and 8-bit/32-bit/64-bit registers to be transferred are distinguished. */
//|.macro MEM_STORE, str_ins, reg, addr, tmp_reg
//||	if (((uintptr_t)(addr)) > MOVZ_IMM && arm64_may_use_adr((void*)(addr))) {
//|		adr tmp_reg, &addr
//|		str_ins reg, [tmp_reg]
//||	} else if (((uintptr_t)(addr)) > MOVZ_IMM && arm64_may_use_adrp((void*)(addr))) {
//|		adrp tmp_reg, &(((uintptr_t)(addr)))
//|		str_ins reg, [tmp_reg, #(((uintptr_t)(addr)) & 0xfff)]
//||	} else {
//|		LOAD_ADDR tmp_reg, addr
//|		str_ins reg, [tmp_reg]
//||	}
//|.endmacro

//|.macro MEM_STORE_64_ZTS, str_ins, reg, struct, field, tmp_reg
//|	.if ZTS
//|		LOAD_TSRM_CACHE TMP3
//|		MEM_ACCESS_64_WITH_UOFFSET str_ins, reg, TMP3, (struct.._offset+offsetof(zend_..struct, field)), tmp_reg
//|	.else
//|		MEM_STORE str_ins, reg, &struct.field, tmp_reg
//|	.endif
//|.endmacro

//|.macro MEM_STORE_32_ZTS, str_ins, reg, struct, field, tmp_reg
//|	.if ZTS
//|		LOAD_TSRM_CACHE TMP3
//|		MEM_ACCESS_32_WITH_UOFFSET str_ins, reg, TMP3, (struct.._offset+offsetof(zend_..struct, field)), tmp_reg
//|	.else
//|		MEM_STORE str_ins, reg, &struct.field, tmp_reg
//|	.endif
//|.endmacro

//|.macro MEM_STORE_8_ZTS, strb_ins, reg, struct, field, tmp_reg
//|	.if ZTS
//|		LOAD_TSRM_CACHE TMP3
//|		MEM_ACCESS_8_WITH_UOFFSET strb_ins, reg, TMP3, (struct.._offset+offsetof(zend_..struct, field)), tmp_reg
//|	.else
//|		MEM_STORE strb_ins, reg, &struct.field, tmp_reg
//|	.endif
//|.endmacro

/* Load value from memory 'addr' and write it into register 'reg'.
 * For ZTS mode, base register with unsigned offset variant is used,
 * and 8-bit/32-bit/64-bit registers to be transferred are distinguished. */
//|.macro MEM_LOAD, ldr_ins, reg, addr, tmp_reg
//||	if (((uintptr_t)(addr)) > MOVZ_IMM && arm64_may_use_adr((void*)(addr))) {
//|		adr tmp_reg, &addr
//|		ldr_ins reg, [tmp_reg]
//||	} else if (((uintptr_t)(addr)) > MOVZ_IMM && arm64_may_use_adrp((void*)(addr))) {
//|		adrp tmp_reg, &(((uintptr_t)(addr)))
//|		ldr_ins reg, [tmp_reg, #(((uintptr_t)(addr)) & 0xfff)]
//||	} else {
//|		LOAD_ADDR tmp_reg, addr
//|		ldr_ins reg, [tmp_reg]
//||	}
//|.endmacro

//|.macro MEM_LOAD_64_ZTS, ldr_ins, reg, struct, field, tmp_reg
//|	.if ZTS
//|		LOAD_TSRM_CACHE TMP3
//|		MEM_ACCESS_64_WITH_UOFFSET ldr_ins, reg, TMP3, (struct.._offset+offsetof(zend_..struct, field)), tmp_reg
//|	.else
//|		MEM_LOAD ldr_ins, reg, &struct.field, tmp_reg
//|	.endif
//|.endmacro

//|.macro MEM_LOAD_32_ZTS, ldr_ins, reg, struct, field, tmp_reg
//|	.if ZTS
//|		LOAD_TSRM_CACHE TMP3
//|		MEM_ACCESS_32_WITH_UOFFSET ldr_ins, reg, TMP3, (struct.._offset+offsetof(zend_..struct, field)), tmp_reg
//|	.else
//|		MEM_LOAD ldr_ins, reg, &struct.field, tmp_reg
//|	.endif
//|.endmacro

//|.macro MEM_LOAD_8_ZTS, ldrb_ins, reg, struct, field, tmp_reg
//|	.if ZTS
//|		LOAD_TSRM_CACHE TMP3
//|		MEM_ACCESS_8_WITH_UOFFSET ldrb_ins, reg, TMP3, (struct.._offset+offsetof(zend_..struct, field)), tmp_reg
//|	.else
//|		MEM_LOAD ldrb_ins, reg, &struct.field, tmp_reg
//|	.endif
//|.endmacro

/* Conduct arithmetic operation between the value in memory 'addr' and register value in 'reg',
 * and the computation result is stored back in 'reg'. 'op_ins' can be add/sub. */
//|.macro MEM_LOAD_OP, op_ins, ldr_ins, reg, addr, tmp_reg1, tmp_reg2
//|	MEM_LOAD ldr_ins, tmp_reg1, addr, tmp_reg2
//|	op_ins reg, reg, tmp_reg1
//|.endmacro

//|.macro MEM_LOAD_OP_ZTS, op_ins, ldr_ins, reg, struct, field, tmp_reg1, tmp_reg2
//|	.if ZTS
//|		LOAD_TSRM_CACHE TMP3
//|		MEM_ACCESS_64_WITH_UOFFSET ldr_ins, tmp_reg2, TMP3, (struct.._offset+offsetof(zend_..struct, field)), tmp_reg1
//|		op_ins reg, reg, tmp_reg2
//|	.else
//|		MEM_LOAD_OP op_ins, ldr_ins, reg, &struct.field, tmp_reg1, tmp_reg2
//|	.endif
//|.endmacro

/* Conduct arithmetic operation between the value in memory 'addr' and operand 'op', and the computation
 * result is stored back to memory 'addr'. Operand 'op' can be either a register value or an immediate value.
 * Currently, only add instruction is used as 'op_ins'.
 * Note: It should be guaranteed that the immediate value can be encoded for 'op_ins'. */
//|.macro MEM_UPDATE, op_ins, ldr_ins, str_ins, op, addr, tmp_reg1, tmp_reg2
//|	LOAD_ADDR tmp_reg2, addr
//|	ldr_ins, tmp_reg1, [tmp_reg2]
//|	op_ins tmp_reg1, tmp_reg1, op
//|	str_ins tmp_reg1, [tmp_reg2]
//|.endmacro

//|.macro MEM_UPDATE_ZTS, op_ins, ldr_ins, str_ins, op, struct, field, tmp_reg1, tmp_reg2
//|	.if ZTS
//|		LOAD_TSRM_CACHE TMP3
//||		if (((uintptr_t)(struct.._offset+offsetof(zend_..struct, field))) > LDR_STR_PIMM64) {
//|			LOAD_32BIT_VAL tmp_reg1, (struct.._offset+offsetof(zend_..struct, field))
//|			ldr_ins tmp_reg2, [TMP3, tmp_reg1]
//|			op_ins tmp_reg2, tmp_reg2, op
//|			str_ins tmp_reg2, [TMP3, tmp_reg1]
//||		} else {
//|			ldr_ins tmp_reg2, [TMP3, #(struct.._offset+offsetof(zend_..struct, field))]
//|			op_ins tmp_reg2, tmp_reg2, op
//|			str_ins tmp_reg2, [TMP3, #(struct.._offset+offsetof(zend_..struct, field))]
//||		}
//|	.else
//|		MEM_UPDATE op_ins, ldr_ins, str_ins, op, &struct.field, tmp_reg1, tmp_reg2
//|	.endif
//|.endmacro

//|.macro EXT_CALL, func, tmp_reg
//||	if (arm64_may_use_b(func)) {
//|		bl &func
//||	} else {
//|		LOAD_ADDR tmp_reg, func
//|		blr tmp_reg
//||	}
//|.endmacro

//|.macro EXT_JMP, func, tmp_reg
//||	if (arm64_may_use_b(func)) {
//|		b &func
//||	} else {
//|		LOAD_ADDR tmp_reg, func
//|		br tmp_reg
//||	}
//|.endmacro

//|.macro SAVE_IP
//||	if (GCC_GLOBAL_REGS) {
//|		str IP, EX->opline
//||	}
//|.endmacro

//|.macro LOAD_IP
//||	if (GCC_GLOBAL_REGS) {
//|		ldr IP, EX->opline
//||	}
//|.endmacro

//|.macro LOAD_IP_ADDR, addr
//||	if (GCC_GLOBAL_REGS) {
//|		LOAD_ADDR IP, addr
//||	} else {
//|		ADDR_STORE EX->opline, addr, RX
//||	}
//|.endmacro

//|.macro LOAD_IP_ADDR_ZTS, struct, field, tmp_reg
//|	.if ZTS
//||		if (GCC_GLOBAL_REGS) {
//|			LOAD_TSRM_CACHE IP
//|	   		MEM_ACCESS_64_WITH_UOFFSET ldr, IP, IP, (struct.._offset+offsetof(zend_..struct, field)), tmp_reg
//||		} else {
//|			LOAD_TSRM_CACHE RX
//|			ADD_SUB_64_WITH_CONST_32 add, RX, RX, (struct.._offset+offsetof(zend_..struct, field)), tmp_reg
//|			str RX, EX->opline
//||		}
//|	.else
//|		LOAD_IP_ADDR &struct.field
//|	.endif
//|.endmacro

//|.macro GET_IP, reg
//||	if (GCC_GLOBAL_REGS) {
//|		mov reg, IP
//||	} else {
//|		ldr reg, EX->opline
//||	}
//|.endmacro

/* Update IP with register 'reg'. Note: shift variant is handled by ADD_IP_SHIFT. */
//|.macro ADD_IP, reg, tmp_reg
//||	if (GCC_GLOBAL_REGS) {
//|		add IP, IP, reg
//||	} else {
//|		ldr tmp_reg, EX->opline
//|		add tmp_reg, tmp_reg, reg
//|		str tmp_reg, EX->opline
//||	}
//|.endmacro

//|.macro ADD_IP_SHIFT, reg, shift, tmp_reg
//||	if (GCC_GLOBAL_REGS) {
//|		add IP, IP, reg, shift
//||	} else {
//|		ldr tmp_reg, EX->opline
//|		add tmp_reg, tmp_reg, reg, shift
//|		str tmp_reg, EX->opline
//||	}
//|.endmacro

/* Update IP with 32-bit immediate 'val'. */
//|.macro ADD_IP_WITH_CONST, val, tmp_reg
//||	ZEND_ASSERT(arm64_may_encode_imm12((int64_t)(val)));
//||	if (GCC_GLOBAL_REGS) {
//|		add IP, IP, #val
//||	} else {
//|		ldr tmp_reg, EX->opline
//|		add tmp_reg, tmp_reg, #val
//|		str tmp_reg, EX->opline
//||	}
//|.endmacro

//|.macro JMP_IP, tmp_reg
//||	if (GCC_GLOBAL_REGS) {
//|		ldr tmp_reg, [IP]
//|		br tmp_reg
//||	} else {
//|		ldr tmp_reg, EX:CARG1->opline
//|		br tmp_reg
//||	}
//|.endmacro

//|.macro CMP_IP, addr, tmp_reg1, tmp_reg2
//|	LOAD_ADDR tmp_reg1, addr
//||	if (GCC_GLOBAL_REGS) {
//|		cmp IP, tmp_reg1
//||	} else {
//|		ldr tmp_reg2, EX->opline
//|		cmp tmp_reg2, tmp_reg1
//||	}
//|.endmacro

//|.macro LOAD_ZVAL_ADDR, reg, addr
//||	if (Z_MODE(addr) == IS_CONST_ZVAL) {
//|		LOAD_ADDR reg, Z_ZV(addr)
//||	} else if (Z_MODE(addr) == IS_MEM_ZVAL) {
//||		if (Z_OFFSET(addr)) {
//|			ADD_SUB_64_WITH_CONST_32 add, reg, Rx(Z_REG(addr)), Z_OFFSET(addr), reg
//||		} else {
//||			if (Z_REG(addr) == ZREG_RSP) {
//|				mov reg, sp
//||			} else {
//|				mov reg, Rx(Z_REG(addr))
//||			}
//||		}
//||	} else {
//||		ZEND_UNREACHABLE();
//||	}
//|.endmacro

//|.macro GET_Z_TYPE_INFO, reg, zv
//|	ldr reg, [zv, #offsetof(zval,u1.type_info)]
//|.endmacro

//|.macro SET_Z_TYPE_INFO, zv, type, tmp_reg
//|	LOAD_32BIT_VAL tmp_reg, type
//|	str tmp_reg, [zv, #offsetof(zval,u1.type_info)]
//|.endmacro

//|.macro GET_ZVAL_TYPE, reg, addr, tmp_reg
//||	ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
//|	MEM_ACCESS_8_WITH_UOFFSET ldrb, reg, Rx(Z_REG(addr)), Z_OFFSET(addr)+offsetof(zval,u1.v.type), tmp_reg
//|.endmacro

//|.macro GET_ZVAL_TYPE_INFO, reg, addr, tmp_reg
//||	ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
//|	MEM_ACCESS_32_WITH_UOFFSET ldr, reg, Rx(Z_REG(addr)), Z_OFFSET(addr)+offsetof(zval,u1.type_info), tmp_reg
//|.endmacro

//|.macro SET_ZVAL_TYPE_INFO, addr, type, tmp_reg1, tmp_reg2
//||	ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
//|	LOAD_32BIT_VAL tmp_reg1, type
//|	MEM_ACCESS_32_WITH_UOFFSET str, tmp_reg1, Rx(Z_REG(addr)), Z_OFFSET(addr)+offsetof(zval,u1.type_info), tmp_reg2
//|.endmacro

//|.macro SET_ZVAL_TYPE_INFO_FROM_REG, addr, reg, tmp_reg
//||	ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
//|	MEM_ACCESS_32_WITH_UOFFSET str, reg, Rx(Z_REG(addr)), Z_OFFSET(addr)+offsetof(zval,u1.type_info), tmp_reg
//|.endmacro

//|.macro GET_Z_PTR, reg, zv
//|	ldr reg, [zv]
//|.endmacro

//|.macro GET_ZVAL_PTR, reg, addr, tmp_reg
//||	ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
//|	MEM_ACCESS_64_WITH_UOFFSET ldr, reg, Rx(Z_REG(addr)), Z_OFFSET(addr), tmp_reg
//|.endmacro

//|.macro SET_ZVAL_PTR, addr, reg, tmp_reg
//||	ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
//|	MEM_ACCESS_64_WITH_UOFFSET str, reg, Rx(Z_REG(addr)), Z_OFFSET(addr), tmp_reg
//|.endmacro

//|.macro UNDEF_OPLINE_RESULT, tmp_reg
//|	ldr REG0, EX->opline
//|	ldr REG0w, OP:REG0->result.var
//|	add REG0, FP, REG0
//|	SET_Z_TYPE_INFO REG0, IS_UNDEF, tmp_reg
//|.endmacro

//|.macro UNDEF_OPLINE_RESULT_IF_USED, tmp_reg1, tmp_reg2
//|	ldrb tmp_reg1, OP:RX->result_type
//|	TST_32_WITH_CONST tmp_reg1, (IS_TMP_VAR|IS_VAR), tmp_reg2
//|	beq >1
//|	ldr REG0w, OP:RX->result.var
//|	add REG0, FP, REG0
//|	SET_Z_TYPE_INFO REG0, IS_UNDEF, tmp_reg1
//|1:
//|.endmacro

/* Floating-point comparison between register 'reg' and value from memory 'addr'.
 * Note: the equivalent macros in JIT/x86 are SSE_AVX_OP and SSE_OP. */
//|.macro DOUBLE_CMP, reg, addr, tmp_reg, fp_tmp_reg
//||	if (Z_MODE(addr) == IS_CONST_ZVAL) {
//|		MEM_LOAD ldr, Rd(fp_tmp_reg-ZREG_V0), Z_ZV(addr), Rx(tmp_reg)
//|		fcmp Rd(reg-ZREG_V0), Rd(fp_tmp_reg-ZREG_V0)
//||	} else if (Z_MODE(addr) == IS_MEM_ZVAL) {
//|		MEM_ACCESS_64_WITH_UOFFSET ldr, Rd(fp_tmp_reg-ZREG_V0), Rx(Z_REG(addr)), Z_OFFSET(addr), Rx(tmp_reg)
//|		fcmp Rd(reg-ZREG_V0), Rd(fp_tmp_reg-ZREG_V0)
//||	} else if (Z_MODE(addr) == IS_REG) {
//|		fcmp Rd(reg-ZREG_V0), Rd(Z_REG(addr)-ZREG_V0)
//||	} else {
//||		ZEND_UNREACHABLE();
//||	}
//|.endmacro

/* Convert LONG value 'val' into DOUBLE type, and move it into FP register 'reg'.
 * Note: the equivalent macro in JIT/x86 is SSE_GET_LONG. */
//|.macro DOUBLE_GET_LONG, reg, val, tmp_reg
//||	if (val == 0) {
//|		fmov Rd(reg-ZREG_V0), xzr  // TODO: "movi d0, #0" is not recognized by DynASM/arm64
//||	} else {
//|		LOAD_64BIT_VAL Rx(tmp_reg), val
//|		scvtf Rd(reg-ZREG_V0), Rx(tmp_reg)
//||	}
//|.endmacro

/* Convert LONG value from memory 'addr' into DOUBLE type, and move it into FP register 'reg'.
 * Note: the equivalent macro in JIT/x86 is SSE_GET_ZVAL_LVAL. */
//|.macro DOUBLE_GET_ZVAL_LVAL, reg, addr, tmp_reg1, tmp_reg2
//||	if (Z_MODE(addr) == IS_CONST_ZVAL) {
//|		DOUBLE_GET_LONG reg, Z_LVAL_P(Z_ZV(addr)), tmp_reg1
//||	} else if (Z_MODE(addr) == IS_MEM_ZVAL) {
//|		MEM_ACCESS_64_WITH_UOFFSET ldr, Rx(tmp_reg1), Rx(Z_REG(addr)), Z_OFFSET(addr), Rx(tmp_reg2)
//|		scvtf Rd(reg-ZREG_V0), Rx(tmp_reg1)
//||	} else if (Z_MODE(addr) == IS_REG) {
//|		scvtf Rd(reg-ZREG_V0), Rx(Z_REG(addr))
//||	} else {
//||		ZEND_UNREACHABLE();
//||	}
//|.endmacro

/* Floating-point arithmetic operation between two FP registers.
 * Note: the equivalent macro in JIT/x86 is AVX_MATH_REG. */
//|.macro DOUBLE_MATH_REG, opcode, dst_reg, op1_reg, op2_reg
//||	switch (opcode) {
//||		case ZEND_ADD:
//|			fadd Rd(dst_reg-ZREG_V0), Rd(op1_reg-ZREG_V0), Rd(op2_reg-ZREG_V0)
//||			break;
//||		case ZEND_SUB:
//|			fsub Rd(dst_reg-ZREG_V0), Rd(op1_reg-ZREG_V0), Rd(op2_reg-ZREG_V0)
//||			break;
//||		case ZEND_MUL:
//|			fmul Rd(dst_reg-ZREG_V0), Rd(op1_reg-ZREG_V0), Rd(op2_reg-ZREG_V0)
//||			break;
//||		case ZEND_DIV:
//|			fdiv Rd(dst_reg-ZREG_V0), Rd(op1_reg-ZREG_V0), Rd(op2_reg-ZREG_V0)
//||			break;
//||	}
//|.endmacro

/* Conduct binary operation between register 'reg' and value from memory 'addr',
 * and the computation result is stored in 'reg'.
 * For LONG_ADD_SUB, 'add_sub_ins' can be adds/subs. For LONG_BW_OP, 'bw_ins' can be and/orr/eor.
 * For LONG_CMP, 'cmp' instruction is used by default and only flag registers are affected.
 * Note: the equivalent macro in JIT/x86 is LONG_OP. */
//|.macro LONG_ADD_SUB, add_sub_ins, reg, addr, tmp_reg
//||	if (Z_MODE(addr) == IS_CONST_ZVAL) {
//|		ADD_SUB_64_WITH_CONST add_sub_ins, Rx(reg), Rx(reg), Z_LVAL_P(Z_ZV(addr)), tmp_reg
//||	} else if (Z_MODE(addr) == IS_MEM_ZVAL) {
//|		MEM_ACCESS_64_WITH_UOFFSET ldr, tmp_reg, Rx(Z_REG(addr)), Z_OFFSET(addr), tmp_reg
//|		add_sub_ins Rx(reg), Rx(reg), tmp_reg
//||	} else if (Z_MODE(addr) == IS_REG) {
//|		add_sub_ins Rx(reg), Rx(reg), Rx(Z_REG(addr))
//||	} else {
//||		ZEND_UNREACHABLE();
//||	}
//|.endmacro

//|.macro LONG_BW_OP, bw_ins, reg, addr, tmp_reg
//||	if (Z_MODE(addr) == IS_CONST_ZVAL) {
//|		BW_OP_64_WITH_CONST bw_ins, Rx(reg), Rx(reg), Z_LVAL_P(Z_ZV(addr)), tmp_reg
//||	} else if (Z_MODE(addr) == IS_MEM_ZVAL) {
//|		MEM_ACCESS_64_WITH_UOFFSET ldr, tmp_reg, Rx(Z_REG(addr)), Z_OFFSET(addr), tmp_reg
//|		bw_ins Rx(reg), Rx(reg), tmp_reg
//||	} else if (Z_MODE(addr) == IS_REG) {
//|		bw_ins Rx(reg), Rx(reg), Rx(Z_REG(addr))
//||	} else {
//||		ZEND_UNREACHABLE();
//||	}
//|.endmacro

//|.macro LONG_CMP, reg, addr, tmp_reg
//||	if (Z_MODE(addr) == IS_CONST_ZVAL) {
//|		CMP_64_WITH_CONST Rx(reg), Z_LVAL_P(Z_ZV(addr)), tmp_reg
//||	} else if (Z_MODE(addr) == IS_MEM_ZVAL) {
//|		MEM_ACCESS_64_WITH_UOFFSET ldr, tmp_reg, Rx(Z_REG(addr)), Z_OFFSET(addr), tmp_reg
//|		cmp Rx(reg), tmp_reg
//||	} else if (Z_MODE(addr) == IS_REG) {
//|		cmp Rx(reg), Rx(Z_REG(addr))
//||	} else {
//||		ZEND_UNREACHABLE();
//||	}
//|.endmacro

/* Conduct add/sub between value from memory 'addr' and an immediate value 'val', and
 * the computation result is stored back into 'addr'.
 * Note: it should be guaranteed that 'val' can be encoded into add/sub instruction. */
//|.macro LONG_ADD_SUB_WITH_IMM, add_sub_ins, addr, val, tmp_reg1, tmp_reg2
//||	ZEND_ASSERT(arm64_may_encode_imm12((int64_t)(val)));
//||	if (Z_MODE(addr) == IS_MEM_ZVAL) {
//||		if (((uint32_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
//|			LOAD_32BIT_VAL tmp_reg2, Z_OFFSET(addr)
//|			ldr tmp_reg1, [Rx(Z_REG(addr)), tmp_reg2]
//|			add_sub_ins tmp_reg1, tmp_reg1, #val
//|			str tmp_reg1, [Rx(Z_REG(addr)), tmp_reg2]
//||		} else {
//|			ldr tmp_reg1, [Rx(Z_REG(addr)), #Z_OFFSET(addr)]
//|			add_sub_ins tmp_reg1, tmp_reg1, #val
//|			str tmp_reg1, [Rx(Z_REG(addr)), #Z_OFFSET(addr)]
//||		}
//||	} else if (Z_MODE(addr) == IS_REG) {
//|		add_sub_ins Rx(Z_REG(addr)), Rx(Z_REG(addr)), #val
//||	} else {
//||		ZEND_UNREACHABLE();
//||	}
//|.endmacro

/* Compare value from memory 'addr' with immediate value 'val'.
 * Note: the equivalent macro in JIT/x86 is LONG_OP_WITH_CONST. */
//|.macro LONG_CMP_WITH_CONST, addr, val, tmp_reg1, tmp_reg2
//||	if (Z_MODE(addr) == IS_MEM_ZVAL) {
//|		MEM_ACCESS_64_WITH_UOFFSET ldr, tmp_reg1, Rx(Z_REG(addr)), Z_OFFSET(addr), tmp_reg2
//|		CMP_64_WITH_CONST tmp_reg1, val, tmp_reg2
//||	} else if (Z_MODE(addr) == IS_REG) {
//|		CMP_64_WITH_CONST Rx(Z_REG(addr)), val, tmp_reg1
//||	} else {
//||		ZEND_UNREACHABLE();
//||	}
//|.endmacro

//|.macro GET_ZVAL_LVAL, reg, addr, tmp_reg
//||	if (Z_MODE(addr) == IS_CONST_ZVAL) {
//||		if (Z_LVAL_P(Z_ZV(addr)) == 0) {
//|			mov Rx(reg), xzr
//||		} else {
//|			LOAD_64BIT_VAL Rx(reg), Z_LVAL_P(Z_ZV(addr))
//||		}
//||	} else if (Z_MODE(addr) == IS_MEM_ZVAL) {
//|		MEM_ACCESS_64_WITH_UOFFSET ldr, Rx(reg), Rx(Z_REG(addr)), Z_OFFSET(addr), tmp_reg
//||	} else if (Z_MODE(addr) == IS_REG) {
//||		if (reg != Z_REG(addr)) {
//|			mov Rx(reg), Rx(Z_REG(addr))
//||		}
//||	} else {
//||		ZEND_UNREACHABLE();
//||	}
//|.endmacro

//|.macro LONG_MATH, opcode, reg, addr, tmp_reg1
//||	switch (opcode) {
//||		case ZEND_ADD:
//|			LONG_ADD_SUB adds, reg, addr, tmp_reg1
//||			break;
//||		case ZEND_SUB:
//|			LONG_ADD_SUB subs, reg, addr, tmp_reg1
//||			break;
//||		case ZEND_BW_OR:
//|			LONG_BW_OP orr, reg, addr, tmp_reg1
//||			break;
//||		case ZEND_BW_AND:
//|			LONG_BW_OP and, reg, addr, tmp_reg1
//||			break;
//||		case ZEND_BW_XOR:
//|			LONG_BW_OP eor, reg, addr, tmp_reg1
//||			break;
//||		default:
//||			ZEND_UNREACHABLE();
//||	}
//|.endmacro

//|.macro LONG_MATH_REG, opcode, dst_reg, src_reg1, src_reg2
//||	switch (opcode) {
//||		case ZEND_ADD:
//|			adds dst_reg, src_reg1, src_reg2
//||			break;
//||		case ZEND_SUB:
//|			subs dst_reg, src_reg1, src_reg2
//||			break;
//||		case ZEND_BW_OR:
//|			orr dst_reg, src_reg1, src_reg2
//||			break;
//||		case ZEND_BW_AND:
//|			and dst_reg, src_reg1, src_reg2
//||			break;
//||		case ZEND_BW_XOR:
//|			eor dst_reg, src_reg1, src_reg2
//||			break;
//||		default:
//||			ZEND_UNREACHABLE();
//||	}
//|.endmacro

/* Store LONG value into memory 'addr'.
 * This LONG value can be an immediate value i.e. 'val' in macro SET_ZVAL_LVAL, or
 * a register value i.e. 'reg' in macro SET_ZVAL_LVAL_FROM_REG. */
//|.macro SET_ZVAL_LVAL_FROM_REG, addr, reg, tmp_reg
//||	if (Z_MODE(addr) == IS_REG) {
//|		mov Rx(Z_REG(addr)), reg
//||	} else {
//||		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
//|		MEM_ACCESS_64_WITH_UOFFSET str, reg, Rx(Z_REG(addr)), Z_OFFSET(addr), tmp_reg
//||	}
//|.endmacro

//|.macro SET_ZVAL_LVAL, addr, val, tmp_reg1, tmp_reg2
//||	if (val == 0) {
//|		SET_ZVAL_LVAL_FROM_REG addr, xzr, tmp_reg2
//||	} else {
//|		LOAD_64BIT_VAL tmp_reg1, val
//|		SET_ZVAL_LVAL_FROM_REG addr, tmp_reg1, tmp_reg2
//||	}
//|.endmacro

/* Store DOUBLE value from FP register 'reg' into memory 'addr'.
 * Note: the equivalent macro in JIT/x86 is SSE_SET_ZVAL_DVAL. */
//|.macro SET_ZVAL_DVAL, addr, reg, tmp_reg
//||	if (Z_MODE(addr) == IS_REG) {
//||		if (reg != Z_REG(addr)) {
//|			fmov Rd(Z_REG(addr)-ZREG_V0), Rd(reg-ZREG_V0)
//||		}
//||	} else {
//||		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
//|		MEM_ACCESS_64_WITH_UOFFSET str, Rd(reg-ZREG_V0), Rx(Z_REG(addr)), Z_OFFSET(addr), Rx(tmp_reg)
//||	}
//|.endmacro

/* Load DOUBLE value from memory 'addr' into FP register 'reg'.
 * Note: the equivalent macro in JIT/x86 is SSE_GET_ZVAL_DVAL. */
//|.macro GET_ZVAL_DVAL, reg, addr, tmp_reg
//||	if (Z_MODE(addr) != IS_REG || reg != Z_REG(addr)) {
//||		if (Z_MODE(addr) == IS_CONST_ZVAL) {
//|			MEM_LOAD ldr, Rd(reg-ZREG_V0), Z_ZV(addr), Rx(tmp_reg)
//||		} else if (Z_MODE(addr) == IS_MEM_ZVAL) {
//|			MEM_ACCESS_64_WITH_UOFFSET ldr, Rd(reg-ZREG_V0), Rx(Z_REG(addr)), Z_OFFSET(addr), Rx(tmp_reg)
//||		} else if (Z_MODE(addr) == IS_REG) {
//|			fmov Rd(reg-ZREG_V0), Rd(Z_REG(addr)-ZREG_V0)
//||		} else {
//||			ZEND_UNREACHABLE();
//||		}
//||	}
//|.endmacro

//|.macro ZVAL_COPY_CONST, dst_addr, dst_info, dst_def_info, zv, tmp_reg1, tmp_reg2, fp_tmp_reg
//||	if (Z_TYPE_P(zv) > IS_TRUE) {
//||		if (Z_TYPE_P(zv) == IS_DOUBLE) {
//||			zend_reg dst_reg = (Z_MODE(dst_addr) == IS_REG) ? Z_REG(dst_addr) : fp_tmp_reg;
//|			MEM_LOAD ldr, Rd(dst_reg-ZREG_V0), zv, Rx(tmp_reg1)
//|			SET_ZVAL_DVAL dst_addr, dst_reg, tmp_reg2
//||		} else if (Z_TYPE_P(zv) == IS_LONG && dst_def_info == MAY_BE_DOUBLE) {
//||			zend_reg dst_reg = (Z_MODE(dst_addr) == IS_REG) ? Z_REG(dst_addr) : fp_tmp_reg;
//|			DOUBLE_GET_LONG dst_reg, Z_LVAL_P(zv), tmp_reg1
//|			SET_ZVAL_DVAL dst_addr, dst_reg, tmp_reg2
//||		} else {
//|			// In x64, if the range of this LONG value can be represented via INT type, only move the low 32 bits into dst_addr.
//|			// Note that imm32 is signed extended to 64 bits during mov.
//|			// In aarch64, we choose to handle both cases in the same way. Even though 4 mov's are used for 64-bit value and 2 mov's are
//|			// needed for 32-bit value, an extra ext insn is needed for 32-bit vlaue.
//|			SET_ZVAL_LVAL dst_addr, Z_LVAL_P(zv), Rx(tmp_reg1), Rx(tmp_reg2)
//||		}
//||	}
//||	if (Z_MODE(dst_addr) == IS_MEM_ZVAL) {
//||		if (dst_def_info == MAY_BE_DOUBLE) {
//||			if ((dst_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != MAY_BE_DOUBLE) {
//|				SET_ZVAL_TYPE_INFO dst_addr, IS_DOUBLE, Rw(tmp_reg1), Rx(tmp_reg2)
//||			}
//||		} else if (((dst_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (1<<Z_TYPE_P(zv))) || (dst_info & (MAY_BE_STRING|MAY_BE_ARRAY)) != 0) {
//|			SET_ZVAL_TYPE_INFO dst_addr, Z_TYPE_INFO_P(zv), Rw(tmp_reg1), Rx(tmp_reg2)
//||		}
//||	}
//|.endmacro

//|.macro ZVAL_COPY_CONST_2, dst_addr, res_addr, dst_info, dst_def_info, zv, tmp_reg1, tmp_reg2, fp_tmp_reg
//||	if (Z_TYPE_P(zv) > IS_TRUE) {
//||		if (Z_TYPE_P(zv) == IS_DOUBLE) {
//||			zend_reg dst_reg = (Z_MODE(dst_addr) == IS_REG) ?
//||				Z_REG(dst_addr) : ((Z_MODE(res_addr) == IS_REG) ? Z_REG(res_addr) : fp_tmp_reg);
//|			MEM_LOAD ldr, Rd(dst_reg-ZREG_V0), zv, Rx(tmp_reg1)
//|			SET_ZVAL_DVAL dst_addr, dst_reg, tmp_reg2
//|			SET_ZVAL_DVAL res_addr, dst_reg, tmp_reg2
//||		} else if (Z_TYPE_P(zv) == IS_LONG && dst_def_info == MAY_BE_DOUBLE) {
//||			if (Z_MODE(dst_addr) == IS_REG) {
//|				DOUBLE_GET_LONG Z_REG(dst_addr), Z_LVAL_P(zv), tmp_reg1
//|				SET_ZVAL_DVAL res_addr, Z_REG(dst_addr), tmp_reg2
//||			} else if (Z_MODE(res_addr) == IS_REG) {
//|				DOUBLE_GET_LONG Z_REG(res_addr), Z_LVAL_P(zv), tmp_reg1
//|				SET_ZVAL_DVAL dst_addr, Z_REG(res_addr), tmp_reg2
//||			} else {
//|				DOUBLE_GET_LONG fp_tmp_reg, Z_LVAL_P(zv), tmp_reg1
//|				SET_ZVAL_DVAL dst_addr, fp_tmp_reg, tmp_reg2
//|				SET_ZVAL_DVAL res_addr, fp_tmp_reg, tmp_reg2
//||			}
//||		} else {
//||			if (Z_MODE(dst_addr) == IS_REG) {
//|				SET_ZVAL_LVAL dst_addr, Z_LVAL_P(zv), Rx(tmp_reg1), Rx(tmp_reg2)
//|				SET_ZVAL_LVAL_FROM_REG res_addr, Rx(Z_REG(dst_addr)), Rx(tmp_reg1)
//||			} else if (Z_MODE(res_addr) == IS_REG) {
//|				SET_ZVAL_LVAL res_addr, Z_LVAL_P(zv), Rx(tmp_reg1), Rx(tmp_reg2)
//|				SET_ZVAL_LVAL_FROM_REG dst_addr, Rx(Z_REG(res_addr)), Rx(tmp_reg1)
//||			} else {
//|				SET_ZVAL_LVAL dst_addr, Z_LVAL_P(zv), Rx(tmp_reg1), Rx(tmp_reg2)
//|				SET_ZVAL_LVAL res_addr, Z_LVAL_P(zv), Rx(tmp_reg1), Rx(tmp_reg2)
//||			}
//||		}
//||	}
//||	if (Z_MODE(dst_addr) == IS_MEM_ZVAL) {
//||		if (dst_def_info == MAY_BE_DOUBLE) {
//||			if ((dst_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != MAY_BE_DOUBLE) {
//|				SET_ZVAL_TYPE_INFO dst_addr, IS_DOUBLE, Rw(tmp_reg1), Rx(tmp_reg2)
//||			}
//||		} else if (((dst_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (1<<Z_TYPE_P(zv))) || (dst_info & (MAY_BE_STRING|MAY_BE_ARRAY)) != 0) {
//|			SET_ZVAL_TYPE_INFO dst_addr, Z_TYPE_INFO_P(zv), Rw(tmp_reg1), Rx(tmp_reg2)
//||		}
//||	}
//||	if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
//||		if (dst_def_info == MAY_BE_DOUBLE) {
//|			SET_ZVAL_TYPE_INFO res_addr, IS_DOUBLE, Rw(tmp_reg1), Rx(tmp_reg2)
//||		} else {
//|			SET_ZVAL_TYPE_INFO res_addr, Z_TYPE_INFO_P(zv), Rw(tmp_reg1), Rx(tmp_reg2)
//||		}
//||	}
//|.endmacro

// the same as above, but "src" may overlap with "reg1"
// Useful info would be stored into reg1 and reg2, and they might be used afterward.
//|.macro ZVAL_COPY_VALUE, dst_addr, dst_info, src_addr, src_info, reg1, reg2, tmp_reg1, tmp_reg2, fp_tmp_reg
//|	ZVAL_COPY_VALUE_V dst_addr, dst_info, src_addr, src_info, reg1, reg2, tmp_reg1, fp_tmp_reg
//||	if ((src_info & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
//||		!(src_info & MAY_BE_GUARD) &&
//||		has_concrete_type(src_info & MAY_BE_ANY)) {
//||		if (Z_MODE(dst_addr) == IS_MEM_ZVAL) {
//||			if ((dst_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (src_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD))) {
//||				uint32_t type = concrete_type(src_info);
//|				SET_ZVAL_TYPE_INFO dst_addr, type, Rw(tmp_reg1), Rx(tmp_reg2)
//||			}
//||		}
//||	} else {
//|		GET_ZVAL_TYPE_INFO Rw(reg1), src_addr, Rx(tmp_reg1)
//|		SET_ZVAL_TYPE_INFO_FROM_REG dst_addr, Rw(reg1), Rx(tmp_reg1)
//||	}
//|.endmacro

//|.macro ZVAL_COPY_VALUE_V, dst_addr, dst_info, src_addr, src_info, reg1, reg2, tmp_reg, fp_tmp_reg
//||	if (src_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
//||		if ((src_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
//||			if (Z_MODE(src_addr) == IS_REG) {
//||				if (Z_MODE(dst_addr) != IS_REG || Z_REG(dst_addr) != Z_REG(src_addr)) {
//|					SET_ZVAL_LVAL_FROM_REG dst_addr, Rx(Z_REG(src_addr)), Rx(tmp_reg)
//||				}
//||			} else if (Z_MODE(dst_addr) == IS_REG) {
//|				GET_ZVAL_LVAL Z_REG(dst_addr), src_addr, Rx(tmp_reg)
//||			} else {
//|				GET_ZVAL_LVAL reg2, src_addr, Rx(tmp_reg)
//|				SET_ZVAL_LVAL_FROM_REG dst_addr, Rx(reg2), Rx(tmp_reg)
//||			}
//||		} else if ((src_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
//||			if (Z_MODE(src_addr) == IS_REG) {
//|				SET_ZVAL_DVAL dst_addr, Z_REG(src_addr), tmp_reg
//||			} else if (Z_MODE(dst_addr) == IS_REG) {
//|				GET_ZVAL_DVAL Z_REG(dst_addr), src_addr, tmp_reg
//||			} else {
//|				GET_ZVAL_DVAL fp_tmp_reg, src_addr, tmp_reg
//|				SET_ZVAL_DVAL dst_addr, fp_tmp_reg, tmp_reg
//||			}
//||		// Combine the following two branches.
//||		// } else if (!(src_info & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
//||		} else {
//|			GET_ZVAL_PTR Rx(reg2), src_addr, Rx(tmp_reg)
//|			SET_ZVAL_PTR dst_addr, Rx(reg2), Rx(tmp_reg)
//||		}
//||	}
//|.endmacro

//|.macro ZVAL_COPY_VALUE_2, dst_addr, dst_info, res_addr, src_addr, src_info, reg1, reg2, tmp_reg, tmp_reg2, fp_tmp_reg
//||	if (src_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
//||		if ((src_info & MAY_BE_ANY) == MAY_BE_LONG) {
//||			if (Z_MODE(src_addr) == IS_REG) {
//||				if (Z_MODE(dst_addr) != IS_REG || Z_REG(dst_addr) != Z_REG(src_addr)) {
//|					SET_ZVAL_LVAL_FROM_REG dst_addr, Rx(Z_REG(src_addr)), Rx(tmp_reg)
//||				}
//||				if (Z_MODE(res_addr) != IS_REG || Z_REG(res_addr) != Z_REG(src_addr)) {
//|					SET_ZVAL_LVAL_FROM_REG res_addr, Rx(Z_REG(src_addr)), Rx(tmp_reg)
//||				}
//||			} else if (Z_MODE(dst_addr) == IS_REG) {
//|				GET_ZVAL_LVAL Z_REG(dst_addr), src_addr, Rx(tmp_reg)
//||				if (Z_MODE(res_addr) != IS_REG || Z_REG(res_addr) != Z_REG(dst_addr)) {
//|					SET_ZVAL_LVAL_FROM_REG res_addr, Rx(Z_REG(dst_addr)), Rx(tmp_reg)
//||				}
//||			} else if (Z_MODE(res_addr) == IS_REG) {
//|				GET_ZVAL_LVAL Z_REG(res_addr), src_addr, Rx(tmp_reg)
//|				SET_ZVAL_LVAL_FROM_REG dst_addr, Rx(Z_REG(res_addr)), Rx(tmp_reg)
//||			} else {
//|				GET_ZVAL_LVAL reg2, src_addr, Rx(tmp_reg)
//|				SET_ZVAL_LVAL_FROM_REG dst_addr, Rx(reg2), Rx(tmp_reg)
//|				SET_ZVAL_LVAL_FROM_REG res_addr, Rx(reg2), Rx(tmp_reg)
//||			}
//||		} else if ((src_info & MAY_BE_ANY) == MAY_BE_DOUBLE) {
//||			if (Z_MODE(src_addr) == IS_REG) {
//|				SET_ZVAL_DVAL dst_addr, Z_REG(src_addr), tmp_reg
//|				SET_ZVAL_DVAL res_addr, Z_REG(src_addr), tmp_reg
//||			} else if (Z_MODE(dst_addr) == IS_REG) {
//|				GET_ZVAL_DVAL Z_REG(dst_addr), src_addr, tmp_reg
//|				SET_ZVAL_DVAL res_addr, Z_REG(dst_addr), tmp_reg
//||			} else if (Z_MODE(res_addr) == IS_REG) {
//|				GET_ZVAL_DVAL Z_REG(res_addr), src_addr, tmp_reg
//|				SET_ZVAL_DVAL dst_addr, Z_REG(res_addr), tmp_reg
//||			} else {
//|				GET_ZVAL_DVAL fp_tmp_reg, src_addr, tmp_reg
//|				SET_ZVAL_DVAL dst_addr, fp_tmp_reg, tmp_reg
//|				SET_ZVAL_DVAL res_addr, fp_tmp_reg, tmp_reg
//||			}
//||		} else {
//|			GET_ZVAL_PTR Rx(reg2), src_addr, Rx(tmp_reg)
//|			SET_ZVAL_PTR dst_addr, Rx(reg2), Rx(tmp_reg)
//|			SET_ZVAL_PTR res_addr, Rx(reg2), Rx(tmp_reg)
//||		}
//||	}
//||	if ((src_info & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
//||	    has_concrete_type(src_info & MAY_BE_ANY)) {
//||		uint32_t type = concrete_type(src_info);
//||		if (Z_MODE(dst_addr) == IS_MEM_ZVAL) {
//||			if ((dst_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (src_info & (MAY_BE_ANY|MAY_BE_UNDEF))) {
//|				SET_ZVAL_TYPE_INFO dst_addr, type, Rw(tmp_reg), Rx(tmp_reg2)
//||			}
//||		}
//||		if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
//|			SET_ZVAL_TYPE_INFO res_addr, type, Rw(tmp_reg), Rx(tmp_reg2)
//||		}
//||	} else {
//|		GET_ZVAL_TYPE_INFO Rw(reg1), src_addr, Rx(tmp_reg)
//|		SET_ZVAL_TYPE_INFO_FROM_REG dst_addr, Rw(reg1), Rx(tmp_reg)
//|		SET_ZVAL_TYPE_INFO_FROM_REG res_addr, Rw(reg1), Rx(tmp_reg)
//||	}
//|.endmacro

//|.macro IF_UNDEF, type_reg, label
//|	cbz type_reg, label
//|.endmacro

//|.macro IF_TYPE, type, val, label
//||	if (val == 0) {
//|		cbz type, label
//||	} else {
//|		cmp type, #val
//|		beq label
//||	}
//|.endmacro

//|.macro IF_NOT_TYPE, type, val, label
//||	if (val == 0) {
//|		cbnz type, label
//||	} else {
//|		cmp type, #val
//|		bne label
//||	}
//|.endmacro

//|.macro IF_Z_TYPE, zv, val, label, tmp_reg
//|	ldrb tmp_reg, [zv, #offsetof(zval, u1.v.type)]
//|	IF_TYPE tmp_reg, val, label
//|.endmacro

//|.macro IF_NOT_Z_TYPE, zv, val, label, tmp_reg
//|	ldrb tmp_reg, [zv, #offsetof(zval, u1.v.type)]
//|	IF_NOT_TYPE tmp_reg, val, label
//|.endmacro

//|.macro CMP_ZVAL_TYPE, addr, val, tmp_reg
//||	ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
//|	MEM_ACCESS_8_WITH_UOFFSET ldrb, Rw(tmp_reg), Rx(Z_REG(addr)), Z_OFFSET(addr)+offsetof(zval, u1.v.type), Rx(tmp_reg)
//|	cmp Rw(tmp_reg), #val
//|.endmacro

//|.macro IF_ZVAL_TYPE, addr, val, label, tmp_reg
//||	ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
//|	MEM_ACCESS_8_WITH_UOFFSET ldrb, Rw(tmp_reg), Rx(Z_REG(addr)), Z_OFFSET(addr)+offsetof(zval, u1.v.type), Rx(tmp_reg)
//|	IF_TYPE Rw(tmp_reg), val, label
//|.endmacro

//|.macro IF_NOT_ZVAL_TYPE, addr, val, label, tmp_reg
//||	ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
//|	MEM_ACCESS_8_WITH_UOFFSET ldrb, Rw(tmp_reg), Rx(Z_REG(addr)), Z_OFFSET(addr)+offsetof(zval, u1.v.type), Rx(tmp_reg)
//|	IF_NOT_TYPE Rw(tmp_reg), val, label
//|.endmacro

//|.macro IF_FLAGS, type_flags, mask, label, tmp_reg
//|	TST_32_WITH_CONST type_flags, mask, tmp_reg
//|	bne label
//|.endmacro

//|.macro IF_NOT_FLAGS, type_flags, mask, label, tmp_reg
//|	TST_32_WITH_CONST type_flags, mask, tmp_reg
//|	beq label
//|.endmacro

//|.macro IF_REFCOUNTED, type_flags, label, tmp_reg
//|	TST_32_WITH_CONST type_flags, (IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT), tmp_reg
//|	bne label
//|.endmacro

//|.macro IF_NOT_REFCOUNTED, type_flags, label, tmp_reg
//|	TST_32_WITH_CONST type_flags, (IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT), tmp_reg
//|	beq label
//|.endmacro

//|.macro IF_ZVAL_FLAGS, addr, mask, label, tmp_reg1, tmp_reg2
//||	ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
//|	MEM_ACCESS_8_WITH_UOFFSET ldrb, Rw(tmp_reg1), Rx(Z_REG(addr)), Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags), Rx(tmp_reg2)
//|	IF_FLAGS Rw(tmp_reg1), mask, label, Rw(tmp_reg2)
//|.endmacro

//|.macro IF_NOT_ZVAL_FLAGS, addr, mask, label, tmp_reg1, tmp_reg2
//||	ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
//|	MEM_ACCESS_8_WITH_UOFFSET ldrb, Rw(tmp_reg1), Rx(Z_REG(addr)), Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags), Rx(tmp_reg2)
//|	IF_NOT_FLAGS Rw(tmp_reg1), mask, label, Rw(tmp_reg2)
//|.endmacro

//|.macro IF_ZVAL_REFCOUNTED, addr, label, tmp_reg1, tmp_reg2
//|	IF_ZVAL_FLAGS addr, IS_TYPE_REFCOUNTED, label, tmp_reg1, tmp_reg2
//|.endmacro

//|.macro IF_NOT_ZVAL_REFCOUNTED, addr, label, tmp_reg1, tmp_reg2
//|	IF_NOT_ZVAL_FLAGS addr, IS_TYPE_REFCOUNTED, label, tmp_reg1, tmp_reg2
//|.endmacro

//|.macro IF_NOT_ZVAL_COLLECTABLE, addr, label, tmp_reg1, tmp_reg2
//|	IF_NOT_ZVAL_FLAGS addr, IS_TYPE_COLLECTABLE, label, tmp_reg1, tmp_reg2
//|.endmacro

//|.macro GC_ADDREF, zv, tmp_reg
//|	ldr tmp_reg, [zv]
//|	add tmp_reg, tmp_reg, #1
//|	str tmp_reg, [zv]
//|.endmacro

//|.macro GC_ADDREF_2, zv, tmp_reg
//|	ldr tmp_reg, [zv]
//|	add tmp_reg, tmp_reg, #2
//|	str tmp_reg, [zv]
//|.endmacro

//|.macro GC_DELREF, zv, tmp_reg
//|	ldr tmp_reg, [zv]
//|	subs tmp_reg, tmp_reg, #1
//|	str tmp_reg, [zv]
//|.endmacro

//|.macro IF_GC_MAY_NOT_LEAK, ptr, label, tmp_reg1, tmp_reg2
//|	ldr tmp_reg1, [ptr, #4]
//|	TST_32_WITH_CONST tmp_reg1, (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), tmp_reg2
//|	bne label
//|.endmacro

//|.macro ADDREF_CONST, zv, tmp_reg1, tmp_reg2
//|	LOAD_ADDR tmp_reg1, Z_PTR_P(zv)
//|	ldr tmp_reg2, [tmp_reg1]
//|	add tmp_reg2, tmp_reg2, #1
//|	str tmp_reg2, [tmp_reg1]
//|.endmacro

//|.macro ADDREF_CONST_2, zv, tmp_reg1, tmp_reg2
//|	LOAD_ADDR tmp_reg1, Z_PTR_P(zv)
//|	ldr tmp_reg2, [tmp_reg1]
//|	add tmp_reg2, tmp_reg2, #2
//|	str tmp_reg2, [tmp_reg1]
//|.endmacro

//|.macro TRY_ADDREF, val_info, type_flags_reg, value_ptr_reg, tmp_reg
//||	if (val_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) {
//||		if (val_info & (MAY_BE_ANY-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
//|			IF_NOT_REFCOUNTED type_flags_reg, >1, tmp_reg
//||		}
//|		GC_ADDREF value_ptr_reg, tmp_reg
//|1:
//||	}
//|.endmacro

//|.macro TRY_ADDREF_2, val_info, type_flags_reg, value_ptr_reg, tmp_reg
//||	if (val_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) {
//||		if (val_info & (MAY_BE_ANY-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
//|			IF_NOT_REFCOUNTED type_flags_reg, >1, tmp_reg
//||		}
//|		ldr tmp_reg, [value_ptr_reg]
//|		add tmp_reg, tmp_reg, #2
//|		str tmp_reg, [value_ptr_reg]
//|1:
//||	}
//|.endmacro

//|.macro ZVAL_DEREF, reg, info, tmp_reg
//||	if (info & MAY_BE_REF) {
//|		IF_NOT_Z_TYPE, reg, IS_REFERENCE, >1, tmp_reg
//|		GET_Z_PTR reg, reg
//|		add reg, reg, #offsetof(zend_reference, val)
//|1:
//||	}
//|.endmacro

//|.macro SET_EX_OPLINE, op, tmp_reg
//||	if (op == last_valid_opline) {
//||		zend_jit_use_last_valid_opline();
//|		SAVE_IP
//||	} else {
//|		ADDR_STORE EX->opline, op, tmp_reg
//||		if (!GCC_GLOBAL_REGS) {
//||			zend_jit_reset_last_valid_opline();
//||		}
//||	}
//|.endmacro

// arg1 "zval" should be in FCARG1x
//|.macro ZVAL_DTOR_FUNC, var_info, opline, tmp_reg
//||	do {
//||		if (!((var_info) & MAY_BE_GUARD)
//||		 && has_concrete_type((var_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
//||			zend_uchar type = concrete_type((var_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
//||			if (type == IS_STRING && !ZEND_DEBUG) {
//|				EXT_CALL _efree, tmp_reg
//||				break;
//||			} else if (type == IS_ARRAY) {
//||				if ((var_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
//||					if (opline && ((var_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
//|						SET_EX_OPLINE opline, tmp_reg
//||					}
//|					EXT_CALL zend_array_destroy, tmp_reg
//||				} else {
//|					EXT_CALL zend_jit_array_free, tmp_reg
//||				}
//||				break;
//||			} else if (type == IS_OBJECT) {
//||				if (opline) {
//|					SET_EX_OPLINE opline, REG0
//||				}
//|				EXT_CALL zend_objects_store_del, tmp_reg
//||				break;
//||			}
//||		}
//||		if (opline) {
//|			SET_EX_OPLINE opline, tmp_reg
//||		}
//|		EXT_CALL rc_dtor_func, tmp_reg
//||	} while(0);
//|.endmacro

//|.macro ZVAL_PTR_DTOR, addr, op_info, gc, cold, opline, tmp_reg1, tmp_reg2
//||	if ((op_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
//||		if ((op_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
//|			// if (Z_REFCOUNTED_P(cv)) {
//||			if (cold) {
//|				IF_ZVAL_REFCOUNTED addr, >1, tmp_reg1, tmp_reg2
//|.cold_code
//|1:
//||			} else {
//|				IF_NOT_ZVAL_REFCOUNTED addr, >4, tmp_reg1, tmp_reg2
//||			}
//||		}
//|		// if (!Z_DELREF_P(cv)) {
//|		GET_ZVAL_PTR FCARG1x, addr, Rx(tmp_reg2)
//|		GC_DELREF FCARG1x, Rw(tmp_reg1)
//||		if (((op_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op_info)) {
//||			if (((op_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op_info)) {
//||				if (gc && (((op_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op_info) && ((op_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
//|					bne >3
//||				} else {
//|					bne >4
//||				}
//||			}
//|			// zval_dtor_func(r);
//|			ZVAL_DTOR_FUNC op_info, opline, Rx(tmp_reg1)
//||			if (gc && (((op_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op_info) && ((op_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
//|				b >4
//||			}
//|3:
//||		}
//||		if (gc && (((op_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op_info) && ((op_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
//||			if ((op_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
//||				zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
//|				IF_NOT_ZVAL_TYPE addr, IS_REFERENCE, >1, tmp_reg1
//|				IF_NOT_ZVAL_COLLECTABLE ref_addr, >4, tmp_reg1, tmp_reg2
//|				GET_ZVAL_PTR FCARG1x, ref_addr, Rx(tmp_reg2)
//|1:
//||			}
//|			IF_GC_MAY_NOT_LEAK FCARG1x, >4, Rw(tmp_reg1), Rw(tmp_reg2)
//|			// gc_possible_root(Z_COUNTED_P(z))
//|			EXT_CALL gc_possible_root, Rx(tmp_reg1)
//||		}
//||		if (cold && ((op_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
//|			b >4
//|.code
//||		}
//|4:
//||	}
//|.endmacro

//|.macro FREE_OP, op_type, op, op_info, cold, opline, tmp_reg1, tmp_reg2
//||	if (op_type & (IS_VAR|IS_TMP_VAR)) {
//||		zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, op.var);
//|		ZVAL_PTR_DTOR addr, op_info, 0, cold, opline, tmp_reg1, tmp_reg2
//||	}
//|.endmacro

//|.macro SEPARATE_ARRAY, addr, op_info, cold, tmp_reg1, tmp_reg2
//||	if (RC_MAY_BE_N(op_info)) {
//||		if (Z_REG(addr) != ZREG_FP) {
//|			GET_ZVAL_LVAL ZREG_REG0, addr, Rx(tmp_reg1)
//||			if (RC_MAY_BE_1(op_info)) {
//|				// if (GC_REFCOUNT() > 1)
//|				ldr Rw(tmp_reg1), [REG0]
//|				cmp Rw(tmp_reg1), #1
//|				bls >2
//||			}
//||			if (Z_REG(addr) != ZREG_FCARG1 || Z_OFFSET(addr) != 0) {
//|				LOAD_ZVAL_ADDR FCARG1x, addr
//||			}
//|			EXT_CALL zend_jit_zval_array_dup, REG0
//|			mov REG0, RETVALx
//|2:
//|			mov FCARG1x, REG0
//||		} else {
//|			GET_ZVAL_LVAL ZREG_FCARG1, addr, Rx(tmp_reg1)
//||			if (RC_MAY_BE_1(op_info)) {
//|				// if (GC_REFCOUNT() > 1)
//|				ldr Rw(tmp_reg1), [FCARG1x]
//|				cmp Rw(tmp_reg1), #1
//||				if (cold) {
//|					bhi >1
//|.cold_code
//|1:
//||				} else {
//|					bls >2
//||				}
//||			}
//|			IF_NOT_ZVAL_REFCOUNTED addr, >1, tmp_reg1, tmp_reg2
//|			GC_DELREF FCARG1x, Rw(tmp_reg1)
//|1:
//|			EXT_CALL zend_array_dup, REG0
//|			mov REG0, RETVALx
//|			SET_ZVAL_PTR addr, REG0, Rx(tmp_reg1)
//|			SET_ZVAL_TYPE_INFO addr, IS_ARRAY_EX, Rw(tmp_reg1), Rx(tmp_reg2)
//|			mov FCARG1x, REG0
//||			if (RC_MAY_BE_1(op_info)) {
//||				if (cold) {
//|					b >2
//|.code
//||				}
//||			}
//|2:
//||		}
//||	} else {
//|		GET_ZVAL_LVAL ZREG_FCARG1, addr, Rx(tmp_reg1)
//||	}
//|.endmacro

/* argument is passed in FCARG1x */
//|.macro EFREE_REFERENCE
//||#if ZEND_DEBUG
//|		mov FCARG2x, xzr // filename
//|		mov CARG3w, wzr  // lineno
//|		mov CARG4, xzr
//|		mov CARG5, xzr
//|		EXT_CALL _efree, REG0
//||#else
//||#ifdef HAVE_BUILTIN_CONSTANT_P
//|		EXT_CALL _efree_32, REG0
//||#else
//|		EXT_CALL _efree, REG0
//||#endif
//||#endif
//|.endmacro

//|.macro EMALLOC, size, op_array, opline
//||#if ZEND_DEBUG
//||		const char *filename = op_array->filename ? op_array->filename->val : NULL;
//|		mov FCARG1x, #size
//|		LOAD_ADDR FCARG2x, filename
//|		LOAD_32BIT_VAL CARG3w, opline->lineno
//|		mov CARG4, xzr
//|		mov CARG5, xzr
//|		EXT_CALL _emalloc, REG0
//|		mov REG0, RETVALx
//||#else
//||#ifdef HAVE_BUILTIN_CONSTANT_P
//||	if (size > 24 && size <= 32) {
//|		EXT_CALL _emalloc_32, REG0
//|		mov REG0, RETVALx
//||	} else {
//|		mov FCARG1x, #size
//|		EXT_CALL _emalloc, REG0
//|		mov REG0, RETVALx
//||	}
//||#else
//|		mov FCARG1x, #size
//|		EXT_CALL _emalloc, REG0
//|		mov REG0, RETVALx
//||#endif
//||#endif
//|.endmacro

//|.macro OBJ_RELEASE, reg, exit_label, tmp_reg1, tmp_reg2
//|	GC_DELREF Rx(reg), Rw(tmp_reg1)
//|	bne >1
//|	// zend_objects_store_del(obj);
//||	if (reg != ZREG_FCARG1) {
//|		mov FCARG1x, Rx(reg)
//||	}
//|	EXT_CALL zend_objects_store_del, Rx(tmp_reg1)
//|	b exit_label
//|1:
//|	IF_GC_MAY_NOT_LEAK Rx(reg), >1, Rw(tmp_reg1), Rw(tmp_reg2)
//|	// gc_possible_root(obj)
//||	if (reg != ZREG_FCARG1) {
//|		mov FCARG1x, Rx(reg)
//||	}
//|	EXT_CALL gc_possible_root, Rx(tmp_reg1)
//|1:
//|.endmacro

//|.macro UNDEFINED_OFFSET, opline
//||	if (opline == last_valid_opline) {
//||		zend_jit_use_last_valid_opline();
//|		bl ->undefined_offset_ex
//||	} else {
//|		SET_EX_OPLINE  opline, REG0
//|		bl ->undefined_offset
//||	}
//|.endmacro

//|.macro UNDEFINED_INDEX, opline
//||	if (opline == last_valid_opline) {
//||		zend_jit_use_last_valid_opline();
//|		bl ->undefined_index_ex
//||	} else {
//|		SET_EX_OPLINE opline, REG0
//|		bl ->undefined_index
//||	}
//|.endmacro

//|.macro CANNOT_ADD_ELEMENT, opline
//||	if (opline == last_valid_opline) {
//||		zend_jit_use_last_valid_opline();
//|		bl ->cannot_add_element_ex
//||	} else {
//|		SET_EX_OPLINE opline, REG0
//|		bl ->cannot_add_element
//||	}
//|.endmacro

static bool reuse_ip = 0;
static bool delayed_call_chain = 0;
static uint32_t  delayed_call_level = 0;
static const zend_op *last_valid_opline = NULL;
static bool use_last_vald_opline = 0;
static bool track_last_valid_opline = 0;
static int jit_return_label = -1;
static uint32_t current_trace_num = 0;
static uint32_t allowed_opt_flags = 0;

static void zend_jit_track_last_valid_opline(void)
{
	use_last_vald_opline = 0;
	track_last_valid_opline = 1;
}

static void zend_jit_use_last_valid_opline(void)
{
	if (track_last_valid_opline) {
		use_last_vald_opline = 1;
		track_last_valid_opline = 0;
	}
}

static bool zend_jit_trace_uses_initial_ip(void)
{
	return use_last_vald_opline;
}

static void zend_jit_set_last_valid_opline(const zend_op *target_opline)
{
	if (!reuse_ip) {
		track_last_valid_opline = 0;
		last_valid_opline = target_opline;
	}
}

static void zend_jit_reset_last_valid_opline(void)
{
	track_last_valid_opline = 0;
	last_valid_opline = NULL;
}

static void zend_jit_start_reuse_ip(void)
{
	zend_jit_reset_last_valid_opline();
	reuse_ip = 1;
}

static int zend_jit_reuse_ip(dasm_State **Dst)
{
	if (!reuse_ip) {
		zend_jit_start_reuse_ip();
		//|	// call = EX(call);
		//|	ldr RX, EX->call
		dasm_put(Dst, 0, Dt1(->call));
#line 1754 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	return 1;
}

static void zend_jit_stop_reuse_ip(void)
{
	reuse_ip = 0;
}

static int zend_jit_interrupt_handler_stub(dasm_State **Dst)
{
	//|->interrupt_handler:
	//|	SAVE_IP
	dasm_put(Dst, 3);
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 5, Dt1(->opline));
		}
#line 1767 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	//EG(vm_interrupt) = 0;
	//|	MEM_STORE_8_ZTS strb, wzr, executor_globals, vm_interrupt, TMP1
		if (((uintptr_t)(&executor_globals.vm_interrupt)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.vm_interrupt))) {
	dasm_put(Dst, 8, (unsigned int)((ptrdiff_t)(&executor_globals.vm_interrupt)), (unsigned int)(((ptrdiff_t)(&executor_globals.vm_interrupt))>>32));
		} else if (((uintptr_t)(&executor_globals.vm_interrupt)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.vm_interrupt))) {
	dasm_put(Dst, 12, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_interrupt))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_interrupt)))))>>32), (((uintptr_t)(&executor_globals.vm_interrupt)) & 0xfff));
		} else {
		if (((uintptr_t)(&executor_globals.vm_interrupt)) == 0) {
	dasm_put(Dst, 17);
		} else if (((uintptr_t)(&executor_globals.vm_interrupt)) <= MOVZ_IMM) {
	dasm_put(Dst, 19, ((uint64_t)(&executor_globals.vm_interrupt)));
		} else if (arm64_may_use_adr((void*)(&executor_globals.vm_interrupt))) {
	dasm_put(Dst, 22, (unsigned int)((ptrdiff_t)(&executor_globals.vm_interrupt)), (unsigned int)(((ptrdiff_t)(&executor_globals.vm_interrupt))>>32));
		} else if (arm64_may_use_adrp((void*)(&executor_globals.vm_interrupt))) {
	dasm_put(Dst, 25, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_interrupt))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_interrupt)))))>>32));
			if (((uintptr_t)(&executor_globals.vm_interrupt)) & 0xfff) {
	dasm_put(Dst, 28, (((uintptr_t)(&executor_globals.vm_interrupt)) & 0xfff));
			}
		} else if ((uintptr_t)(&executor_globals.vm_interrupt) & 0xffff) {
	dasm_put(Dst, 31, ((uintptr_t)(&executor_globals.vm_interrupt) & 0xffff));
			if (((uintptr_t)(&executor_globals.vm_interrupt) >> 16) & 0xffff) {
	dasm_put(Dst, 34, (((uintptr_t)(&executor_globals.vm_interrupt) >> 16) & 0xffff));
			}
			if (((uintptr_t)(&executor_globals.vm_interrupt) >> 32) & 0xffff) {
	dasm_put(Dst, 37, (((uintptr_t)(&executor_globals.vm_interrupt) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(&executor_globals.vm_interrupt) >> 16) & 0xffff) {
	dasm_put(Dst, 40, (((uintptr_t)(&executor_globals.vm_interrupt) >> 16) & 0xffff));
			if (((uintptr_t)(&executor_globals.vm_interrupt) >> 32) & 0xffff) {
	dasm_put(Dst, 43, (((uintptr_t)(&executor_globals.vm_interrupt) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 46, (((uintptr_t)(&executor_globals.vm_interrupt) >> 32) & 0xffff));
		}
	dasm_put(Dst, 49);
		}
#line 1769 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	//if (EG(timed_out)) {
	//|	MEM_LOAD_8_ZTS ldrb, TMP1w, executor_globals, timed_out, TMP1
		if (((uintptr_t)(&executor_globals.timed_out)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.timed_out))) {
	dasm_put(Dst, 51, (unsigned int)((ptrdiff_t)(&executor_globals.timed_out)), (unsigned int)(((ptrdiff_t)(&executor_globals.timed_out))>>32));
		} else if (((uintptr_t)(&executor_globals.timed_out)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.timed_out))) {
	dasm_put(Dst, 55, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.timed_out))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.timed_out)))))>>32), (((uintptr_t)(&executor_globals.timed_out)) & 0xfff));
		} else {
		if (((uintptr_t)(&executor_globals.timed_out)) == 0) {
	dasm_put(Dst, 60);
		} else if (((uintptr_t)(&executor_globals.timed_out)) <= MOVZ_IMM) {
	dasm_put(Dst, 62, ((uint64_t)(&executor_globals.timed_out)));
		} else if (arm64_may_use_adr((void*)(&executor_globals.timed_out))) {
	dasm_put(Dst, 65, (unsigned int)((ptrdiff_t)(&executor_globals.timed_out)), (unsigned int)(((ptrdiff_t)(&executor_globals.timed_out))>>32));
		} else if (arm64_may_use_adrp((void*)(&executor_globals.timed_out))) {
	dasm_put(Dst, 68, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.timed_out))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.timed_out)))))>>32));
			if (((uintptr_t)(&executor_globals.timed_out)) & 0xfff) {
	dasm_put(Dst, 71, (((uintptr_t)(&executor_globals.timed_out)) & 0xfff));
			}
		} else if ((uintptr_t)(&executor_globals.timed_out) & 0xffff) {
	dasm_put(Dst, 74, ((uintptr_t)(&executor_globals.timed_out) & 0xffff));
			if (((uintptr_t)(&executor_globals.timed_out) >> 16) & 0xffff) {
	dasm_put(Dst, 77, (((uintptr_t)(&executor_globals.timed_out) >> 16) & 0xffff));
			}
			if (((uintptr_t)(&executor_globals.timed_out) >> 32) & 0xffff) {
	dasm_put(Dst, 80, (((uintptr_t)(&executor_globals.timed_out) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(&executor_globals.timed_out) >> 16) & 0xffff) {
	dasm_put(Dst, 83, (((uintptr_t)(&executor_globals.timed_out) >> 16) & 0xffff));
			if (((uintptr_t)(&executor_globals.timed_out) >> 32) & 0xffff) {
	dasm_put(Dst, 86, (((uintptr_t)(&executor_globals.timed_out) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 89, (((uintptr_t)(&executor_globals.timed_out) >> 32) & 0xffff));
		}
	dasm_put(Dst, 92);
		}
#line 1771 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	cbz TMP1w, >1
	//|	//zend_timeout();
	//|	EXT_CALL zend_timeout, TMP1
	dasm_put(Dst, 94);
		if (arm64_may_use_b(zend_timeout)) {
	dasm_put(Dst, 97, (unsigned int)((ptrdiff_t)(zend_timeout)), (unsigned int)(((ptrdiff_t)(zend_timeout))>>32));
		} else {
		if (((uintptr_t)(zend_timeout)) == 0) {
	dasm_put(Dst, 100);
		} else if (((uintptr_t)(zend_timeout)) <= MOVZ_IMM) {
	dasm_put(Dst, 102, ((uint64_t)(zend_timeout)));
		} else if (arm64_may_use_adr((void*)(zend_timeout))) {
	dasm_put(Dst, 105, (unsigned int)((ptrdiff_t)(zend_timeout)), (unsigned int)(((ptrdiff_t)(zend_timeout))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_timeout))) {
	dasm_put(Dst, 108, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_timeout))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_timeout)))))>>32));
			if (((uintptr_t)(zend_timeout)) & 0xfff) {
	dasm_put(Dst, 111, (((uintptr_t)(zend_timeout)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_timeout) & 0xffff) {
	dasm_put(Dst, 114, ((uintptr_t)(zend_timeout) & 0xffff));
			if (((uintptr_t)(zend_timeout) >> 16) & 0xffff) {
	dasm_put(Dst, 117, (((uintptr_t)(zend_timeout) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_timeout) >> 32) & 0xffff) {
	dasm_put(Dst, 120, (((uintptr_t)(zend_timeout) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_timeout) >> 16) & 0xffff) {
	dasm_put(Dst, 123, (((uintptr_t)(zend_timeout) >> 16) & 0xffff));
			if (((uintptr_t)(zend_timeout) >> 32) & 0xffff) {
	dasm_put(Dst, 126, (((uintptr_t)(zend_timeout) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 129, (((uintptr_t)(zend_timeout) >> 32) & 0xffff));
		}
	dasm_put(Dst, 132);
		}
#line 1774 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|1:
	//|	//} else if (zend_interrupt_function) {
	dasm_put(Dst, 134);
#line 1776 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	if (zend_interrupt_function) {
		//|	//zend_interrupt_function(execute_data);
		//|	mov CARG1, FP
		//|	EXT_CALL zend_interrupt_function, TMP1
		dasm_put(Dst, 136);
			if (arm64_may_use_b(zend_interrupt_function)) {
		dasm_put(Dst, 138, (unsigned int)((ptrdiff_t)(zend_interrupt_function)), (unsigned int)(((ptrdiff_t)(zend_interrupt_function))>>32));
			} else {
			if (((uintptr_t)(zend_interrupt_function)) == 0) {
		dasm_put(Dst, 141);
			} else if (((uintptr_t)(zend_interrupt_function)) <= MOVZ_IMM) {
		dasm_put(Dst, 143, ((uint64_t)(zend_interrupt_function)));
			} else if (arm64_may_use_adr((void*)(zend_interrupt_function))) {
		dasm_put(Dst, 146, (unsigned int)((ptrdiff_t)(zend_interrupt_function)), (unsigned int)(((ptrdiff_t)(zend_interrupt_function))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_interrupt_function))) {
		dasm_put(Dst, 149, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_interrupt_function))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_interrupt_function)))))>>32));
				if (((uintptr_t)(zend_interrupt_function)) & 0xfff) {
		dasm_put(Dst, 152, (((uintptr_t)(zend_interrupt_function)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_interrupt_function) & 0xffff) {
		dasm_put(Dst, 155, ((uintptr_t)(zend_interrupt_function) & 0xffff));
				if (((uintptr_t)(zend_interrupt_function) >> 16) & 0xffff) {
		dasm_put(Dst, 158, (((uintptr_t)(zend_interrupt_function) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_interrupt_function) >> 32) & 0xffff) {
		dasm_put(Dst, 161, (((uintptr_t)(zend_interrupt_function) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_interrupt_function) >> 16) & 0xffff) {
		dasm_put(Dst, 164, (((uintptr_t)(zend_interrupt_function) >> 16) & 0xffff));
				if (((uintptr_t)(zend_interrupt_function) >> 32) & 0xffff) {
		dasm_put(Dst, 167, (((uintptr_t)(zend_interrupt_function) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 170, (((uintptr_t)(zend_interrupt_function) >> 32) & 0xffff));
			}
		dasm_put(Dst, 173);
			}
#line 1780 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	MEM_LOAD_64_ZTS ldr, REG0, executor_globals, exception, TMP1
			if (((uintptr_t)(&executor_globals.exception)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.exception))) {
		dasm_put(Dst, 175, (unsigned int)((ptrdiff_t)(&executor_globals.exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.exception))>>32));
			} else if (((uintptr_t)(&executor_globals.exception)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.exception))) {
		dasm_put(Dst, 179, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.exception)))))>>32), (((uintptr_t)(&executor_globals.exception)) & 0xfff));
			} else {
			if (((uintptr_t)(&executor_globals.exception)) == 0) {
		dasm_put(Dst, 184);
			} else if (((uintptr_t)(&executor_globals.exception)) <= MOVZ_IMM) {
		dasm_put(Dst, 186, ((uint64_t)(&executor_globals.exception)));
			} else if (arm64_may_use_adr((void*)(&executor_globals.exception))) {
		dasm_put(Dst, 189, (unsigned int)((ptrdiff_t)(&executor_globals.exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.exception))>>32));
			} else if (arm64_may_use_adrp((void*)(&executor_globals.exception))) {
		dasm_put(Dst, 192, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.exception)))))>>32));
				if (((uintptr_t)(&executor_globals.exception)) & 0xfff) {
		dasm_put(Dst, 195, (((uintptr_t)(&executor_globals.exception)) & 0xfff));
				}
			} else if ((uintptr_t)(&executor_globals.exception) & 0xffff) {
		dasm_put(Dst, 198, ((uintptr_t)(&executor_globals.exception) & 0xffff));
				if (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff) {
		dasm_put(Dst, 201, (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff));
				}
				if (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff) {
		dasm_put(Dst, 204, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff) {
		dasm_put(Dst, 207, (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff));
				if (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff) {
		dasm_put(Dst, 210, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 213, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
			}
		dasm_put(Dst, 216);
			}
#line 1781 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	cbz REG0, >1
		//|	EXT_CALL zend_jit_exception_in_interrupt_handler_helper, TMP1
		dasm_put(Dst, 218);
			if (arm64_may_use_b(zend_jit_exception_in_interrupt_handler_helper)) {
		dasm_put(Dst, 221, (unsigned int)((ptrdiff_t)(zend_jit_exception_in_interrupt_handler_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_exception_in_interrupt_handler_helper))>>32));
			} else {
			if (((uintptr_t)(zend_jit_exception_in_interrupt_handler_helper)) == 0) {
		dasm_put(Dst, 224);
			} else if (((uintptr_t)(zend_jit_exception_in_interrupt_handler_helper)) <= MOVZ_IMM) {
		dasm_put(Dst, 226, ((uint64_t)(zend_jit_exception_in_interrupt_handler_helper)));
			} else if (arm64_may_use_adr((void*)(zend_jit_exception_in_interrupt_handler_helper))) {
		dasm_put(Dst, 229, (unsigned int)((ptrdiff_t)(zend_jit_exception_in_interrupt_handler_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_exception_in_interrupt_handler_helper))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_exception_in_interrupt_handler_helper))) {
		dasm_put(Dst, 232, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_exception_in_interrupt_handler_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_exception_in_interrupt_handler_helper)))))>>32));
				if (((uintptr_t)(zend_jit_exception_in_interrupt_handler_helper)) & 0xfff) {
		dasm_put(Dst, 235, (((uintptr_t)(zend_jit_exception_in_interrupt_handler_helper)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_exception_in_interrupt_handler_helper) & 0xffff) {
		dasm_put(Dst, 238, ((uintptr_t)(zend_jit_exception_in_interrupt_handler_helper) & 0xffff));
				if (((uintptr_t)(zend_jit_exception_in_interrupt_handler_helper) >> 16) & 0xffff) {
		dasm_put(Dst, 241, (((uintptr_t)(zend_jit_exception_in_interrupt_handler_helper) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_exception_in_interrupt_handler_helper) >> 32) & 0xffff) {
		dasm_put(Dst, 244, (((uintptr_t)(zend_jit_exception_in_interrupt_handler_helper) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_exception_in_interrupt_handler_helper) >> 16) & 0xffff) {
		dasm_put(Dst, 247, (((uintptr_t)(zend_jit_exception_in_interrupt_handler_helper) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_exception_in_interrupt_handler_helper) >> 32) & 0xffff) {
		dasm_put(Dst, 250, (((uintptr_t)(zend_jit_exception_in_interrupt_handler_helper) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 253, (((uintptr_t)(zend_jit_exception_in_interrupt_handler_helper) >> 32) & 0xffff));
			}
		dasm_put(Dst, 256);
			}
#line 1783 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|1:
		//|	//ZEND_VM_ENTER();
		//|	//execute_data = EG(current_execute_data);
		//|	MEM_LOAD_64_ZTS ldr, FP, executor_globals, current_execute_data, TMP1
		dasm_put(Dst, 258);
			if (((uintptr_t)(&executor_globals.current_execute_data)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.current_execute_data))) {
		dasm_put(Dst, 260, (unsigned int)((ptrdiff_t)(&executor_globals.current_execute_data)), (unsigned int)(((ptrdiff_t)(&executor_globals.current_execute_data))>>32));
			} else if (((uintptr_t)(&executor_globals.current_execute_data)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.current_execute_data))) {
		dasm_put(Dst, 264, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data)))))>>32), (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff));
			} else {
			if (((uintptr_t)(&executor_globals.current_execute_data)) == 0) {
		dasm_put(Dst, 269);
			} else if (((uintptr_t)(&executor_globals.current_execute_data)) <= MOVZ_IMM) {
		dasm_put(Dst, 271, ((uint64_t)(&executor_globals.current_execute_data)));
			} else if (arm64_may_use_adr((void*)(&executor_globals.current_execute_data))) {
		dasm_put(Dst, 274, (unsigned int)((ptrdiff_t)(&executor_globals.current_execute_data)), (unsigned int)(((ptrdiff_t)(&executor_globals.current_execute_data))>>32));
			} else if (arm64_may_use_adrp((void*)(&executor_globals.current_execute_data))) {
		dasm_put(Dst, 277, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data)))))>>32));
				if (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff) {
		dasm_put(Dst, 280, (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff));
				}
			} else if ((uintptr_t)(&executor_globals.current_execute_data) & 0xffff) {
		dasm_put(Dst, 283, ((uintptr_t)(&executor_globals.current_execute_data) & 0xffff));
				if (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff) {
		dasm_put(Dst, 286, (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff));
				}
				if (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff) {
		dasm_put(Dst, 289, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff) {
		dasm_put(Dst, 292, (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff));
				if (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff) {
		dasm_put(Dst, 295, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 298, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
			}
		dasm_put(Dst, 301);
			}
#line 1787 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	LOAD_IP
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 303, Dt1(->opline));
			}
#line 1788 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	//|	//ZEND_VM_CONTINUE()
	if (zend_jit_vm_kind == ZEND_VM_KIND_HYBRID) {
		//|	ADD_HYBRID_SPAD
		#ifndef ZEND_VM_HYBRID_JIT_RED_ZONE_SIZE
		dasm_put(Dst, 306);
		#endif
#line 1792 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	JMP_IP TMP1
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 308);
			} else {
		dasm_put(Dst, 311, Dt1(->opline));
			}
#line 1793 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else if (GCC_GLOBAL_REGS) {
		//|	ldp x29, x30, [sp], # SPAD // stack alignment
		//|	JMP_IP TMP1
		dasm_put(Dst, 315);
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 317);
			} else {
		dasm_put(Dst, 320, Dt1(->opline));
			}
#line 1796 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		//|	ldp FP, RX, T2                // retore FP and IP
		//|	ldp x29, x30, [sp], # NR_SPAD // stack alignment
		//|	mov RETVALx, #1               // ZEND_VM_ENTER
		//|	ret
		dasm_put(Dst, 324);
#line 1801 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	return 1;
}

static int zend_jit_exception_handler_stub(dasm_State **Dst)
{
	//|->exception_handler:
	dasm_put(Dst, 329);
#line 1809 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	if (zend_jit_vm_kind == ZEND_VM_KIND_HYBRID) {
		const void *handler = zend_get_opcode_handler_func(EG(exception_op));

		//|	ADD_HYBRID_SPAD
		#ifndef ZEND_VM_HYBRID_JIT_RED_ZONE_SIZE
		dasm_put(Dst, 331);
		#endif
#line 1813 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	EXT_CALL handler, REG0
			if (arm64_may_use_b(handler)) {
		dasm_put(Dst, 333, (unsigned int)((ptrdiff_t)(handler)), (unsigned int)(((ptrdiff_t)(handler))>>32));
			} else {
			if (((uintptr_t)(handler)) == 0) {
		dasm_put(Dst, 336);
			} else if (((uintptr_t)(handler)) <= MOVZ_IMM) {
		dasm_put(Dst, 338, ((uint64_t)(handler)));
			} else if (arm64_may_use_adr((void*)(handler))) {
		dasm_put(Dst, 341, (unsigned int)((ptrdiff_t)(handler)), (unsigned int)(((ptrdiff_t)(handler))>>32));
			} else if (arm64_may_use_adrp((void*)(handler))) {
		dasm_put(Dst, 344, (unsigned int)((ptrdiff_t)((((uintptr_t)(handler))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(handler)))))>>32));
				if (((uintptr_t)(handler)) & 0xfff) {
		dasm_put(Dst, 347, (((uintptr_t)(handler)) & 0xfff));
				}
			} else if ((uintptr_t)(handler) & 0xffff) {
		dasm_put(Dst, 350, ((uintptr_t)(handler) & 0xffff));
				if (((uintptr_t)(handler) >> 16) & 0xffff) {
		dasm_put(Dst, 353, (((uintptr_t)(handler) >> 16) & 0xffff));
				}
				if (((uintptr_t)(handler) >> 32) & 0xffff) {
		dasm_put(Dst, 356, (((uintptr_t)(handler) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(handler) >> 16) & 0xffff) {
		dasm_put(Dst, 359, (((uintptr_t)(handler) >> 16) & 0xffff));
				if (((uintptr_t)(handler) >> 32) & 0xffff) {
		dasm_put(Dst, 362, (((uintptr_t)(handler) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 365, (((uintptr_t)(handler) >> 32) & 0xffff));
			}
		dasm_put(Dst, 368);
			}
#line 1814 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	JMP_IP TMP1
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 370);
			} else {
		dasm_put(Dst, 373, Dt1(->opline));
			}
#line 1815 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		const void *handler = EG(exception_op)->handler;

		if (GCC_GLOBAL_REGS) {
			//|	ldp x29, x30, [sp], # SPAD    // stack alignment
			//|	EXT_JMP handler, REG0
			dasm_put(Dst, 377);
				if (arm64_may_use_b(handler)) {
			dasm_put(Dst, 379, (unsigned int)((ptrdiff_t)(handler)), (unsigned int)(((ptrdiff_t)(handler))>>32));
				} else {
				if (((uintptr_t)(handler)) == 0) {
			dasm_put(Dst, 382);
				} else if (((uintptr_t)(handler)) <= MOVZ_IMM) {
			dasm_put(Dst, 384, ((uint64_t)(handler)));
				} else if (arm64_may_use_adr((void*)(handler))) {
			dasm_put(Dst, 387, (unsigned int)((ptrdiff_t)(handler)), (unsigned int)(((ptrdiff_t)(handler))>>32));
				} else if (arm64_may_use_adrp((void*)(handler))) {
			dasm_put(Dst, 390, (unsigned int)((ptrdiff_t)((((uintptr_t)(handler))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(handler)))))>>32));
					if (((uintptr_t)(handler)) & 0xfff) {
			dasm_put(Dst, 393, (((uintptr_t)(handler)) & 0xfff));
					}
				} else if ((uintptr_t)(handler) & 0xffff) {
			dasm_put(Dst, 396, ((uintptr_t)(handler) & 0xffff));
					if (((uintptr_t)(handler) >> 16) & 0xffff) {
			dasm_put(Dst, 399, (((uintptr_t)(handler) >> 16) & 0xffff));
					}
					if (((uintptr_t)(handler) >> 32) & 0xffff) {
			dasm_put(Dst, 402, (((uintptr_t)(handler) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(handler) >> 16) & 0xffff) {
			dasm_put(Dst, 405, (((uintptr_t)(handler) >> 16) & 0xffff));
					if (((uintptr_t)(handler) >> 32) & 0xffff) {
			dasm_put(Dst, 408, (((uintptr_t)(handler) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 411, (((uintptr_t)(handler) >> 32) & 0xffff));
				}
			dasm_put(Dst, 414);
				}
#line 1821 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	mov FCARG1x, FP
			//|	EXT_CALL handler, REG0
			dasm_put(Dst, 416);
				if (arm64_may_use_b(handler)) {
			dasm_put(Dst, 418, (unsigned int)((ptrdiff_t)(handler)), (unsigned int)(((ptrdiff_t)(handler))>>32));
				} else {
				if (((uintptr_t)(handler)) == 0) {
			dasm_put(Dst, 421);
				} else if (((uintptr_t)(handler)) <= MOVZ_IMM) {
			dasm_put(Dst, 423, ((uint64_t)(handler)));
				} else if (arm64_may_use_adr((void*)(handler))) {
			dasm_put(Dst, 426, (unsigned int)((ptrdiff_t)(handler)), (unsigned int)(((ptrdiff_t)(handler))>>32));
				} else if (arm64_may_use_adrp((void*)(handler))) {
			dasm_put(Dst, 429, (unsigned int)((ptrdiff_t)((((uintptr_t)(handler))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(handler)))))>>32));
					if (((uintptr_t)(handler)) & 0xfff) {
			dasm_put(Dst, 432, (((uintptr_t)(handler)) & 0xfff));
					}
				} else if ((uintptr_t)(handler) & 0xffff) {
			dasm_put(Dst, 435, ((uintptr_t)(handler) & 0xffff));
					if (((uintptr_t)(handler) >> 16) & 0xffff) {
			dasm_put(Dst, 438, (((uintptr_t)(handler) >> 16) & 0xffff));
					}
					if (((uintptr_t)(handler) >> 32) & 0xffff) {
			dasm_put(Dst, 441, (((uintptr_t)(handler) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(handler) >> 16) & 0xffff) {
			dasm_put(Dst, 444, (((uintptr_t)(handler) >> 16) & 0xffff));
					if (((uintptr_t)(handler) >> 32) & 0xffff) {
			dasm_put(Dst, 447, (((uintptr_t)(handler) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 450, (((uintptr_t)(handler) >> 32) & 0xffff));
				}
			dasm_put(Dst, 453);
				}
#line 1824 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	ldp FP, RX, T2                // retore FP and IP
			//|	ldp x29, x30, [sp], # NR_SPAD // stack alignment
			//|	tbnz RETVALw, #31, >1
			//|	mov RETVALw, #1               // ZEND_VM_ENTER
			//|1:
			//|	ret
			dasm_put(Dst, 455);
#line 1830 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	return 1;
}

static int zend_jit_exception_handler_undef_stub(dasm_State **Dst)
{
	//|->exception_handler_undef:
	//|	MEM_LOAD_64_ZTS ldr, REG0, executor_globals, opline_before_exception, REG0
	dasm_put(Dst, 463);
		if (((uintptr_t)(&executor_globals.opline_before_exception)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.opline_before_exception))) {
	dasm_put(Dst, 465, (unsigned int)((ptrdiff_t)(&executor_globals.opline_before_exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.opline_before_exception))>>32));
		} else if (((uintptr_t)(&executor_globals.opline_before_exception)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.opline_before_exception))) {
	dasm_put(Dst, 469, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.opline_before_exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.opline_before_exception)))))>>32), (((uintptr_t)(&executor_globals.opline_before_exception)) & 0xfff));
		} else {
		if (((uintptr_t)(&executor_globals.opline_before_exception)) == 0) {
	dasm_put(Dst, 474);
		} else if (((uintptr_t)(&executor_globals.opline_before_exception)) <= MOVZ_IMM) {
	dasm_put(Dst, 476, ((uint64_t)(&executor_globals.opline_before_exception)));
		} else if (arm64_may_use_adr((void*)(&executor_globals.opline_before_exception))) {
	dasm_put(Dst, 479, (unsigned int)((ptrdiff_t)(&executor_globals.opline_before_exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.opline_before_exception))>>32));
		} else if (arm64_may_use_adrp((void*)(&executor_globals.opline_before_exception))) {
	dasm_put(Dst, 482, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.opline_before_exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.opline_before_exception)))))>>32));
			if (((uintptr_t)(&executor_globals.opline_before_exception)) & 0xfff) {
	dasm_put(Dst, 485, (((uintptr_t)(&executor_globals.opline_before_exception)) & 0xfff));
			}
		} else if ((uintptr_t)(&executor_globals.opline_before_exception) & 0xffff) {
	dasm_put(Dst, 488, ((uintptr_t)(&executor_globals.opline_before_exception) & 0xffff));
			if (((uintptr_t)(&executor_globals.opline_before_exception) >> 16) & 0xffff) {
	dasm_put(Dst, 491, (((uintptr_t)(&executor_globals.opline_before_exception) >> 16) & 0xffff));
			}
			if (((uintptr_t)(&executor_globals.opline_before_exception) >> 32) & 0xffff) {
	dasm_put(Dst, 494, (((uintptr_t)(&executor_globals.opline_before_exception) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(&executor_globals.opline_before_exception) >> 16) & 0xffff) {
	dasm_put(Dst, 497, (((uintptr_t)(&executor_globals.opline_before_exception) >> 16) & 0xffff));
			if (((uintptr_t)(&executor_globals.opline_before_exception) >> 32) & 0xffff) {
	dasm_put(Dst, 500, (((uintptr_t)(&executor_globals.opline_before_exception) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 503, (((uintptr_t)(&executor_globals.opline_before_exception) >> 32) & 0xffff));
		}
	dasm_put(Dst, 506);
		}
#line 1840 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	ldrb TMP1w, OP:REG0->result_type
	//|	TST_32_WITH_CONST TMP1w, (IS_TMP_VAR|IS_VAR), TMP2w
	dasm_put(Dst, 508, Dt2(->result_type));
		if ((IS_TMP_VAR|IS_VAR) == 0) {
	dasm_put(Dst, 511);
		} else if (logical_immediate_p((uint32_t)(IS_TMP_VAR|IS_VAR), 32)) {
	dasm_put(Dst, 513, (IS_TMP_VAR|IS_VAR));
		} else {
		if (((uint32_t)((IS_TMP_VAR|IS_VAR))) <= MOVZ_IMM) {
	dasm_put(Dst, 516, ((uint32_t)((IS_TMP_VAR|IS_VAR))));
		} else if (((uint32_t)((IS_TMP_VAR|IS_VAR)) & 0xffff)) {
	dasm_put(Dst, 519, ((uint32_t)((IS_TMP_VAR|IS_VAR)) & 0xffff));
			if ((((uint32_t)((IS_TMP_VAR|IS_VAR)) >> 16) & 0xffff)) {
	dasm_put(Dst, 522, (((uint32_t)((IS_TMP_VAR|IS_VAR)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 525, (((uint32_t)((IS_TMP_VAR|IS_VAR)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 528);
		}
#line 1842 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	beq >1
	//|	ldr REG0w, OP:REG0->result.var
	//|	add REG0, REG0, FP
	//|	SET_Z_TYPE_INFO REG0, IS_UNDEF, TMP1w
	dasm_put(Dst, 530, Dt2(->result.var));
		if (((uint32_t)(IS_UNDEF)) <= MOVZ_IMM) {
	dasm_put(Dst, 536, ((uint32_t)(IS_UNDEF)));
		} else if (((uint32_t)(IS_UNDEF) & 0xffff)) {
	dasm_put(Dst, 539, ((uint32_t)(IS_UNDEF) & 0xffff));
			if ((((uint32_t)(IS_UNDEF) >> 16) & 0xffff)) {
	dasm_put(Dst, 542, (((uint32_t)(IS_UNDEF) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 545, (((uint32_t)(IS_UNDEF) >> 16) & 0xffff));
		}
#line 1846 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|1:
	//|	b ->exception_handler
	dasm_put(Dst, 548, offsetof(zval,u1.type_info));
#line 1848 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	return 1;
}

static int zend_jit_exception_handler_free_op1_op2_stub(dasm_State **Dst)
{
	zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_REG0, 0);

	//|->exception_handler_free_op1_op2:
	//|	UNDEF_OPLINE_RESULT_IF_USED TMP1w, TMP2w
	dasm_put(Dst, 554, Dt2(->result_type));
		if ((IS_TMP_VAR|IS_VAR) == 0) {
	dasm_put(Dst, 558);
		} else if (logical_immediate_p((uint32_t)(IS_TMP_VAR|IS_VAR), 32)) {
	dasm_put(Dst, 560, (IS_TMP_VAR|IS_VAR));
		} else {
		if (((uint32_t)((IS_TMP_VAR|IS_VAR))) <= MOVZ_IMM) {
	dasm_put(Dst, 563, ((uint32_t)((IS_TMP_VAR|IS_VAR))));
		} else if (((uint32_t)((IS_TMP_VAR|IS_VAR)) & 0xffff)) {
	dasm_put(Dst, 566, ((uint32_t)((IS_TMP_VAR|IS_VAR)) & 0xffff));
			if ((((uint32_t)((IS_TMP_VAR|IS_VAR)) >> 16) & 0xffff)) {
	dasm_put(Dst, 569, (((uint32_t)((IS_TMP_VAR|IS_VAR)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 572, (((uint32_t)((IS_TMP_VAR|IS_VAR)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 575);
		}
	dasm_put(Dst, 577, Dt2(->result.var));
		if (((uint32_t)(IS_UNDEF)) <= MOVZ_IMM) {
	dasm_put(Dst, 583, ((uint32_t)(IS_UNDEF)));
		} else if (((uint32_t)(IS_UNDEF) & 0xffff)) {
	dasm_put(Dst, 586, ((uint32_t)(IS_UNDEF) & 0xffff));
			if ((((uint32_t)(IS_UNDEF) >> 16) & 0xffff)) {
	dasm_put(Dst, 589, (((uint32_t)(IS_UNDEF) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 592, (((uint32_t)(IS_UNDEF) >> 16) & 0xffff));
		}
#line 1858 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	ldrb TMP1w, OP:RX->op1_type
	//|	TST_32_WITH_CONST TMP1w, (IS_TMP_VAR|IS_VAR), TMP2w
	dasm_put(Dst, 595, offsetof(zval,u1.type_info), Dt2(->op1_type));
		if ((IS_TMP_VAR|IS_VAR) == 0) {
	dasm_put(Dst, 601);
		} else if (logical_immediate_p((uint32_t)(IS_TMP_VAR|IS_VAR), 32)) {
	dasm_put(Dst, 603, (IS_TMP_VAR|IS_VAR));
		} else {
		if (((uint32_t)((IS_TMP_VAR|IS_VAR))) <= MOVZ_IMM) {
	dasm_put(Dst, 606, ((uint32_t)((IS_TMP_VAR|IS_VAR))));
		} else if (((uint32_t)((IS_TMP_VAR|IS_VAR)) & 0xffff)) {
	dasm_put(Dst, 609, ((uint32_t)((IS_TMP_VAR|IS_VAR)) & 0xffff));
			if ((((uint32_t)((IS_TMP_VAR|IS_VAR)) >> 16) & 0xffff)) {
	dasm_put(Dst, 612, (((uint32_t)((IS_TMP_VAR|IS_VAR)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 615, (((uint32_t)((IS_TMP_VAR|IS_VAR)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 618);
		}
#line 1860 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	beq >9
	//|	ldr REG0w, OP:RX->op1.var
	//|	add REG0, REG0, FP
	//|	ZVAL_PTR_DTOR addr, MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF, 0, 0, NULL, ZREG_TMP1, ZREG_TMP2
	dasm_put(Dst, 620, Dt2(->op1.var));
		if ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
			if ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
				if (0) {
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
	dasm_put(Dst, 626, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
		} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
	dasm_put(Dst, 630, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
	dasm_put(Dst, 634, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 638, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 642, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 647, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
		}
		if (IS_TYPE_REFCOUNTED == 0) {
	dasm_put(Dst, 652, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
	dasm_put(Dst, 655, (ZREG_X15), IS_TYPE_REFCOUNTED);
		} else {
		if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
	dasm_put(Dst, 659, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
		} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
	dasm_put(Dst, 663, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
			if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
	dasm_put(Dst, 667, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 671, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
		}
	dasm_put(Dst, 675, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 679);
	dasm_put(Dst, 682);
				} else {
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
	dasm_put(Dst, 684, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
		} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
	dasm_put(Dst, 688, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
	dasm_put(Dst, 692, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 696, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 700, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 705, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
		}
		if (IS_TYPE_REFCOUNTED == 0) {
	dasm_put(Dst, 710, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
	dasm_put(Dst, 713, (ZREG_X15), IS_TYPE_REFCOUNTED);
		} else {
		if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
	dasm_put(Dst, 717, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
		} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
	dasm_put(Dst, 721, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
			if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
	dasm_put(Dst, 725, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 729, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
		}
	dasm_put(Dst, 733, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 737);
				}
			}
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 740, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
		} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
	dasm_put(Dst, 744, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 748, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 752, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 756, (Z_REG(addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 760, (Z_REG(addr)), (Z_OFFSET(addr)));
		}
	dasm_put(Dst, 764, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
			if (((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & MAY_BE_GUARD) || RC_MAY_BE_1(MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF)) {
				if (((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & MAY_BE_GUARD) || RC_MAY_BE_N(MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF)) {
					if (0 && (((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & MAY_BE_GUARD) || (RC_MAY_BE_N(MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) && ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
	dasm_put(Dst, 772);
					} else {
	dasm_put(Dst, 775);
					}
				}
		do {
			if (!((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & MAY_BE_GUARD)
			 && has_concrete_type((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
				zend_uchar type = concrete_type((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
				if (type == IS_STRING && !ZEND_DEBUG) {
		if (arm64_may_use_b(_efree)) {
	dasm_put(Dst, 778, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
		} else {
		if (((uintptr_t)(_efree)) == 0) {
	dasm_put(Dst, 781, (ZREG_X15));
		} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
	dasm_put(Dst, 784, (ZREG_X15), ((uint64_t)(_efree)));
		} else if (arm64_may_use_adr((void*)(_efree))) {
	dasm_put(Dst, 788, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
		} else if (arm64_may_use_adrp((void*)(_efree))) {
	dasm_put(Dst, 792, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
			if (((uintptr_t)(_efree)) & 0xfff) {
	dasm_put(Dst, 796, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
			}
		} else if ((uintptr_t)(_efree) & 0xffff) {
	dasm_put(Dst, 801, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
			if (((uintptr_t)(_efree) >> 16) & 0xffff) {
	dasm_put(Dst, 805, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
			}
			if (((uintptr_t)(_efree) >> 32) & 0xffff) {
	dasm_put(Dst, 809, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
	dasm_put(Dst, 813, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
			if (((uintptr_t)(_efree) >> 32) & 0xffff) {
	dasm_put(Dst, 817, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 821, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
		}
	dasm_put(Dst, 825, (ZREG_X15));
		}
					break;
				} else if (type == IS_ARRAY) {
					if ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
						if (NULL && ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
		if (NULL == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 828, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(NULL)) == 0) {
	dasm_put(Dst, 831, (ZREG_X15));
		} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
	dasm_put(Dst, 834, (ZREG_X15), ((uint64_t)(NULL)));
		} else if (arm64_may_use_adr((void*)(NULL))) {
	dasm_put(Dst, 838, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
		} else if (arm64_may_use_adrp((void*)(NULL))) {
	dasm_put(Dst, 842, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
			if (((uintptr_t)(NULL)) & 0xfff) {
	dasm_put(Dst, 846, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
			}
		} else if ((uintptr_t)(NULL) & 0xffff) {
	dasm_put(Dst, 851, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
			if (((uintptr_t)(NULL) >> 16) & 0xffff) {
	dasm_put(Dst, 855, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
			}
			if (((uintptr_t)(NULL) >> 32) & 0xffff) {
	dasm_put(Dst, 859, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
	dasm_put(Dst, 863, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
			if (((uintptr_t)(NULL) >> 32) & 0xffff) {
	dasm_put(Dst, 867, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 871, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
		}
	dasm_put(Dst, 875, (ZREG_X15), Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
						}
		if (arm64_may_use_b(zend_array_destroy)) {
	dasm_put(Dst, 879, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
		} else {
		if (((uintptr_t)(zend_array_destroy)) == 0) {
	dasm_put(Dst, 882, (ZREG_X15));
		} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
	dasm_put(Dst, 885, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
		} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
	dasm_put(Dst, 889, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
	dasm_put(Dst, 893, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
			if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
	dasm_put(Dst, 897, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
	dasm_put(Dst, 902, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
			if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
	dasm_put(Dst, 906, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
	dasm_put(Dst, 910, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
	dasm_put(Dst, 914, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
			if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
	dasm_put(Dst, 918, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 922, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
		}
	dasm_put(Dst, 926, (ZREG_X15));
		}
					} else {
		if (arm64_may_use_b(zend_jit_array_free)) {
	dasm_put(Dst, 929, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
		} else {
		if (((uintptr_t)(zend_jit_array_free)) == 0) {
	dasm_put(Dst, 932, (ZREG_X15));
		} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
	dasm_put(Dst, 935, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
		} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
	dasm_put(Dst, 939, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
	dasm_put(Dst, 943, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
			if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
	dasm_put(Dst, 947, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
	dasm_put(Dst, 952, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
			if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
	dasm_put(Dst, 956, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
	dasm_put(Dst, 960, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
	dasm_put(Dst, 964, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
			if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
	dasm_put(Dst, 968, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 972, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
		}
	dasm_put(Dst, 976, (ZREG_X15));
		}
					}
					break;
				} else if (type == IS_OBJECT) {
					if (NULL) {
		if (NULL == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 979, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(NULL)) == 0) {
	dasm_put(Dst, 982);
		} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
	dasm_put(Dst, 984, ((uint64_t)(NULL)));
		} else if (arm64_may_use_adr((void*)(NULL))) {
	dasm_put(Dst, 987, (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
		} else if (arm64_may_use_adrp((void*)(NULL))) {
	dasm_put(Dst, 990, (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
			if (((uintptr_t)(NULL)) & 0xfff) {
	dasm_put(Dst, 993, (((uintptr_t)(NULL)) & 0xfff));
			}
		} else if ((uintptr_t)(NULL) & 0xffff) {
	dasm_put(Dst, 996, ((uintptr_t)(NULL) & 0xffff));
			if (((uintptr_t)(NULL) >> 16) & 0xffff) {
	dasm_put(Dst, 999, (((uintptr_t)(NULL) >> 16) & 0xffff));
			}
			if (((uintptr_t)(NULL) >> 32) & 0xffff) {
	dasm_put(Dst, 1002, (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
	dasm_put(Dst, 1005, (((uintptr_t)(NULL) >> 16) & 0xffff));
			if (((uintptr_t)(NULL) >> 32) & 0xffff) {
	dasm_put(Dst, 1008, (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 1011, (((uintptr_t)(NULL) >> 32) & 0xffff));
		}
	dasm_put(Dst, 1014, Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
					}
		if (arm64_may_use_b(zend_objects_store_del)) {
	dasm_put(Dst, 1017, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
		} else {
		if (((uintptr_t)(zend_objects_store_del)) == 0) {
	dasm_put(Dst, 1020, (ZREG_X15));
		} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
	dasm_put(Dst, 1023, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
		} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
	dasm_put(Dst, 1027, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
	dasm_put(Dst, 1031, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
			if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
	dasm_put(Dst, 1035, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
	dasm_put(Dst, 1040, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
			if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
	dasm_put(Dst, 1044, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
	dasm_put(Dst, 1048, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
	dasm_put(Dst, 1052, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
			if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
	dasm_put(Dst, 1056, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 1060, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
		}
	dasm_put(Dst, 1064, (ZREG_X15));
		}
					break;
				}
			}
			if (NULL) {
		if (NULL == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 1067, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(NULL)) == 0) {
	dasm_put(Dst, 1070, (ZREG_X15));
		} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
	dasm_put(Dst, 1073, (ZREG_X15), ((uint64_t)(NULL)));
		} else if (arm64_may_use_adr((void*)(NULL))) {
	dasm_put(Dst, 1077, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
		} else if (arm64_may_use_adrp((void*)(NULL))) {
	dasm_put(Dst, 1081, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
			if (((uintptr_t)(NULL)) & 0xfff) {
	dasm_put(Dst, 1085, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
			}
		} else if ((uintptr_t)(NULL) & 0xffff) {
	dasm_put(Dst, 1090, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
			if (((uintptr_t)(NULL) >> 16) & 0xffff) {
	dasm_put(Dst, 1094, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
			}
			if (((uintptr_t)(NULL) >> 32) & 0xffff) {
	dasm_put(Dst, 1098, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
	dasm_put(Dst, 1102, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
			if (((uintptr_t)(NULL) >> 32) & 0xffff) {
	dasm_put(Dst, 1106, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 1110, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
		}
	dasm_put(Dst, 1114, (ZREG_X15), Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
			}
		if (arm64_may_use_b(rc_dtor_func)) {
	dasm_put(Dst, 1118, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
		} else {
		if (((uintptr_t)(rc_dtor_func)) == 0) {
	dasm_put(Dst, 1121, (ZREG_X15));
		} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
	dasm_put(Dst, 1124, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
		} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
	dasm_put(Dst, 1128, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
		} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
	dasm_put(Dst, 1132, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
			if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
	dasm_put(Dst, 1136, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
			}
		} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
	dasm_put(Dst, 1141, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
			if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
	dasm_put(Dst, 1145, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
			}
			if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
	dasm_put(Dst, 1149, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
	dasm_put(Dst, 1153, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
			if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
	dasm_put(Dst, 1157, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 1161, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
		}
	dasm_put(Dst, 1165, (ZREG_X15));
		}
		} while(0);
				if (0 && (((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & MAY_BE_GUARD) || (RC_MAY_BE_N(MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) && ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
	dasm_put(Dst, 1168);
				}
	dasm_put(Dst, 1171);
			}
			if (0 && (((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & MAY_BE_GUARD) || (RC_MAY_BE_N(MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) && ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
				if ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_REF|MAY_BE_GUARD)) {
					zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
	dasm_put(Dst, 1173, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
		} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
	dasm_put(Dst, 1177, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
	dasm_put(Dst, 1181, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 1185, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 1189, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
		} else {
	dasm_put(Dst, 1194, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
		}
		if (IS_REFERENCE == 0) {
	dasm_put(Dst, 1199, (ZREG_X15));
		} else {
	dasm_put(Dst, 1203, (ZREG_X15), IS_REFERENCE);
		}
		ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
	dasm_put(Dst, 1209, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
		} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
	dasm_put(Dst, 1213, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
	dasm_put(Dst, 1217, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 1221, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 1225, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 1230, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
		}
		if (IS_TYPE_COLLECTABLE == 0) {
	dasm_put(Dst, 1235, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
	dasm_put(Dst, 1238, (ZREG_X15), IS_TYPE_COLLECTABLE);
		} else {
		if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
	dasm_put(Dst, 1242, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
		} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
	dasm_put(Dst, 1246, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
			if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
	dasm_put(Dst, 1250, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 1254, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
		}
	dasm_put(Dst, 1258, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 1262);
		ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 1265, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
		} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
	dasm_put(Dst, 1269, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 1273, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 1277, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 1281, (Z_REG(ref_addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 1285, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
		}
	dasm_put(Dst, 1289);
				}
	dasm_put(Dst, 1291, (ZREG_X15));
		if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
	dasm_put(Dst, 1294, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
	dasm_put(Dst, 1297, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
		} else {
		if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
	dasm_put(Dst, 1301, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
		} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
	dasm_put(Dst, 1305, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
			if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
	dasm_put(Dst, 1309, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 1313, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
		}
	dasm_put(Dst, 1317, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 1321);
		if (arm64_may_use_b(gc_possible_root)) {
	dasm_put(Dst, 1324, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
		} else {
		if (((uintptr_t)(gc_possible_root)) == 0) {
	dasm_put(Dst, 1327, (ZREG_X15));
		} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
	dasm_put(Dst, 1330, (ZREG_X15), ((uint64_t)(gc_possible_root)));
		} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
	dasm_put(Dst, 1334, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
		} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
	dasm_put(Dst, 1338, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
			if (((uintptr_t)(gc_possible_root)) & 0xfff) {
	dasm_put(Dst, 1342, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
			}
		} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
	dasm_put(Dst, 1347, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
			if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
	dasm_put(Dst, 1351, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
			}
			if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
	dasm_put(Dst, 1355, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
	dasm_put(Dst, 1359, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
			if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
	dasm_put(Dst, 1363, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 1367, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
		}
	dasm_put(Dst, 1371, (ZREG_X15));
		}
			}
			if (0 && ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
	dasm_put(Dst, 1374);
			}
	dasm_put(Dst, 1377);
		}
#line 1864 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|9:
	//|	ldrb TMP1w, OP:RX->op2_type
	//|	TST_32_WITH_CONST TMP1w, (IS_TMP_VAR|IS_VAR), TMP2w
	dasm_put(Dst, 1379, Dt2(->op2_type));
		if ((IS_TMP_VAR|IS_VAR) == 0) {
	dasm_put(Dst, 1383);
		} else if (logical_immediate_p((uint32_t)(IS_TMP_VAR|IS_VAR), 32)) {
	dasm_put(Dst, 1385, (IS_TMP_VAR|IS_VAR));
		} else {
		if (((uint32_t)((IS_TMP_VAR|IS_VAR))) <= MOVZ_IMM) {
	dasm_put(Dst, 1388, ((uint32_t)((IS_TMP_VAR|IS_VAR))));
		} else if (((uint32_t)((IS_TMP_VAR|IS_VAR)) & 0xffff)) {
	dasm_put(Dst, 1391, ((uint32_t)((IS_TMP_VAR|IS_VAR)) & 0xffff));
			if ((((uint32_t)((IS_TMP_VAR|IS_VAR)) >> 16) & 0xffff)) {
	dasm_put(Dst, 1394, (((uint32_t)((IS_TMP_VAR|IS_VAR)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 1397, (((uint32_t)((IS_TMP_VAR|IS_VAR)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 1400);
		}
#line 1867 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	beq >9
	//|	ldr REG0w, OP:RX->op2.var
	//|	add REG0, REG0, FP
	//|	ZVAL_PTR_DTOR addr, MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF, 0, 0, NULL, ZREG_TMP1, ZREG_TMP2
	dasm_put(Dst, 1402, Dt2(->op2.var));
		if ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
			if ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
				if (0) {
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
	dasm_put(Dst, 1408, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
		} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
	dasm_put(Dst, 1412, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
	dasm_put(Dst, 1416, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 1420, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 1424, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 1429, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
		}
		if (IS_TYPE_REFCOUNTED == 0) {
	dasm_put(Dst, 1434, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
	dasm_put(Dst, 1437, (ZREG_X15), IS_TYPE_REFCOUNTED);
		} else {
		if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
	dasm_put(Dst, 1441, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
		} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
	dasm_put(Dst, 1445, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
			if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
	dasm_put(Dst, 1449, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 1453, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
		}
	dasm_put(Dst, 1457, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 1461);
	dasm_put(Dst, 1464);
				} else {
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
	dasm_put(Dst, 1466, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
		} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
	dasm_put(Dst, 1470, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
	dasm_put(Dst, 1474, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 1478, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 1482, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 1487, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
		}
		if (IS_TYPE_REFCOUNTED == 0) {
	dasm_put(Dst, 1492, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
	dasm_put(Dst, 1495, (ZREG_X15), IS_TYPE_REFCOUNTED);
		} else {
		if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
	dasm_put(Dst, 1499, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
		} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
	dasm_put(Dst, 1503, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
			if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
	dasm_put(Dst, 1507, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 1511, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
		}
	dasm_put(Dst, 1515, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 1519);
				}
			}
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 1522, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
		} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
	dasm_put(Dst, 1526, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 1530, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 1534, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 1538, (Z_REG(addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 1542, (Z_REG(addr)), (Z_OFFSET(addr)));
		}
	dasm_put(Dst, 1546, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
			if (((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & MAY_BE_GUARD) || RC_MAY_BE_1(MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF)) {
				if (((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & MAY_BE_GUARD) || RC_MAY_BE_N(MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF)) {
					if (0 && (((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & MAY_BE_GUARD) || (RC_MAY_BE_N(MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) && ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
	dasm_put(Dst, 1554);
					} else {
	dasm_put(Dst, 1557);
					}
				}
		do {
			if (!((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & MAY_BE_GUARD)
			 && has_concrete_type((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
				zend_uchar type = concrete_type((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
				if (type == IS_STRING && !ZEND_DEBUG) {
		if (arm64_may_use_b(_efree)) {
	dasm_put(Dst, 1560, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
		} else {
		if (((uintptr_t)(_efree)) == 0) {
	dasm_put(Dst, 1563, (ZREG_X15));
		} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
	dasm_put(Dst, 1566, (ZREG_X15), ((uint64_t)(_efree)));
		} else if (arm64_may_use_adr((void*)(_efree))) {
	dasm_put(Dst, 1570, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
		} else if (arm64_may_use_adrp((void*)(_efree))) {
	dasm_put(Dst, 1574, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
			if (((uintptr_t)(_efree)) & 0xfff) {
	dasm_put(Dst, 1578, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
			}
		} else if ((uintptr_t)(_efree) & 0xffff) {
	dasm_put(Dst, 1583, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
			if (((uintptr_t)(_efree) >> 16) & 0xffff) {
	dasm_put(Dst, 1587, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
			}
			if (((uintptr_t)(_efree) >> 32) & 0xffff) {
	dasm_put(Dst, 1591, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
	dasm_put(Dst, 1595, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
			if (((uintptr_t)(_efree) >> 32) & 0xffff) {
	dasm_put(Dst, 1599, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 1603, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
		}
	dasm_put(Dst, 1607, (ZREG_X15));
		}
					break;
				} else if (type == IS_ARRAY) {
					if ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
						if (NULL && ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
		if (NULL == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 1610, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(NULL)) == 0) {
	dasm_put(Dst, 1613, (ZREG_X15));
		} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
	dasm_put(Dst, 1616, (ZREG_X15), ((uint64_t)(NULL)));
		} else if (arm64_may_use_adr((void*)(NULL))) {
	dasm_put(Dst, 1620, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
		} else if (arm64_may_use_adrp((void*)(NULL))) {
	dasm_put(Dst, 1624, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
			if (((uintptr_t)(NULL)) & 0xfff) {
	dasm_put(Dst, 1628, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
			}
		} else if ((uintptr_t)(NULL) & 0xffff) {
	dasm_put(Dst, 1633, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
			if (((uintptr_t)(NULL) >> 16) & 0xffff) {
	dasm_put(Dst, 1637, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
			}
			if (((uintptr_t)(NULL) >> 32) & 0xffff) {
	dasm_put(Dst, 1641, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
	dasm_put(Dst, 1645, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
			if (((uintptr_t)(NULL) >> 32) & 0xffff) {
	dasm_put(Dst, 1649, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 1653, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
		}
	dasm_put(Dst, 1657, (ZREG_X15), Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
						}
		if (arm64_may_use_b(zend_array_destroy)) {
	dasm_put(Dst, 1661, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
		} else {
		if (((uintptr_t)(zend_array_destroy)) == 0) {
	dasm_put(Dst, 1664, (ZREG_X15));
		} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
	dasm_put(Dst, 1667, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
		} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
	dasm_put(Dst, 1671, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
	dasm_put(Dst, 1675, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
			if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
	dasm_put(Dst, 1679, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
	dasm_put(Dst, 1684, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
			if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
	dasm_put(Dst, 1688, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
	dasm_put(Dst, 1692, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
	dasm_put(Dst, 1696, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
			if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
	dasm_put(Dst, 1700, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 1704, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
		}
	dasm_put(Dst, 1708, (ZREG_X15));
		}
					} else {
		if (arm64_may_use_b(zend_jit_array_free)) {
	dasm_put(Dst, 1711, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
		} else {
		if (((uintptr_t)(zend_jit_array_free)) == 0) {
	dasm_put(Dst, 1714, (ZREG_X15));
		} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
	dasm_put(Dst, 1717, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
		} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
	dasm_put(Dst, 1721, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
	dasm_put(Dst, 1725, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
			if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
	dasm_put(Dst, 1729, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
	dasm_put(Dst, 1734, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
			if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
	dasm_put(Dst, 1738, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
	dasm_put(Dst, 1742, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
	dasm_put(Dst, 1746, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
			if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
	dasm_put(Dst, 1750, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 1754, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
		}
	dasm_put(Dst, 1758, (ZREG_X15));
		}
					}
					break;
				} else if (type == IS_OBJECT) {
					if (NULL) {
		if (NULL == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 1761, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(NULL)) == 0) {
	dasm_put(Dst, 1764);
		} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
	dasm_put(Dst, 1766, ((uint64_t)(NULL)));
		} else if (arm64_may_use_adr((void*)(NULL))) {
	dasm_put(Dst, 1769, (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
		} else if (arm64_may_use_adrp((void*)(NULL))) {
	dasm_put(Dst, 1772, (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
			if (((uintptr_t)(NULL)) & 0xfff) {
	dasm_put(Dst, 1775, (((uintptr_t)(NULL)) & 0xfff));
			}
		} else if ((uintptr_t)(NULL) & 0xffff) {
	dasm_put(Dst, 1778, ((uintptr_t)(NULL) & 0xffff));
			if (((uintptr_t)(NULL) >> 16) & 0xffff) {
	dasm_put(Dst, 1781, (((uintptr_t)(NULL) >> 16) & 0xffff));
			}
			if (((uintptr_t)(NULL) >> 32) & 0xffff) {
	dasm_put(Dst, 1784, (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
	dasm_put(Dst, 1787, (((uintptr_t)(NULL) >> 16) & 0xffff));
			if (((uintptr_t)(NULL) >> 32) & 0xffff) {
	dasm_put(Dst, 1790, (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 1793, (((uintptr_t)(NULL) >> 32) & 0xffff));
		}
	dasm_put(Dst, 1796, Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
					}
		if (arm64_may_use_b(zend_objects_store_del)) {
	dasm_put(Dst, 1799, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
		} else {
		if (((uintptr_t)(zend_objects_store_del)) == 0) {
	dasm_put(Dst, 1802, (ZREG_X15));
		} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
	dasm_put(Dst, 1805, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
		} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
	dasm_put(Dst, 1809, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
	dasm_put(Dst, 1813, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
			if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
	dasm_put(Dst, 1817, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
	dasm_put(Dst, 1822, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
			if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
	dasm_put(Dst, 1826, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
	dasm_put(Dst, 1830, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
	dasm_put(Dst, 1834, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
			if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
	dasm_put(Dst, 1838, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 1842, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
		}
	dasm_put(Dst, 1846, (ZREG_X15));
		}
					break;
				}
			}
			if (NULL) {
		if (NULL == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 1849, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(NULL)) == 0) {
	dasm_put(Dst, 1852, (ZREG_X15));
		} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
	dasm_put(Dst, 1855, (ZREG_X15), ((uint64_t)(NULL)));
		} else if (arm64_may_use_adr((void*)(NULL))) {
	dasm_put(Dst, 1859, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
		} else if (arm64_may_use_adrp((void*)(NULL))) {
	dasm_put(Dst, 1863, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
			if (((uintptr_t)(NULL)) & 0xfff) {
	dasm_put(Dst, 1867, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
			}
		} else if ((uintptr_t)(NULL) & 0xffff) {
	dasm_put(Dst, 1872, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
			if (((uintptr_t)(NULL) >> 16) & 0xffff) {
	dasm_put(Dst, 1876, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
			}
			if (((uintptr_t)(NULL) >> 32) & 0xffff) {
	dasm_put(Dst, 1880, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
	dasm_put(Dst, 1884, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
			if (((uintptr_t)(NULL) >> 32) & 0xffff) {
	dasm_put(Dst, 1888, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 1892, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
		}
	dasm_put(Dst, 1896, (ZREG_X15), Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
			}
		if (arm64_may_use_b(rc_dtor_func)) {
	dasm_put(Dst, 1900, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
		} else {
		if (((uintptr_t)(rc_dtor_func)) == 0) {
	dasm_put(Dst, 1903, (ZREG_X15));
		} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
	dasm_put(Dst, 1906, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
		} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
	dasm_put(Dst, 1910, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
		} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
	dasm_put(Dst, 1914, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
			if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
	dasm_put(Dst, 1918, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
			}
		} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
	dasm_put(Dst, 1923, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
			if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
	dasm_put(Dst, 1927, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
			}
			if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
	dasm_put(Dst, 1931, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
	dasm_put(Dst, 1935, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
			if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
	dasm_put(Dst, 1939, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 1943, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
		}
	dasm_put(Dst, 1947, (ZREG_X15));
		}
		} while(0);
				if (0 && (((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & MAY_BE_GUARD) || (RC_MAY_BE_N(MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) && ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
	dasm_put(Dst, 1950);
				}
	dasm_put(Dst, 1953);
			}
			if (0 && (((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & MAY_BE_GUARD) || (RC_MAY_BE_N(MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) && ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
				if ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_REF|MAY_BE_GUARD)) {
					zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
	dasm_put(Dst, 1955, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
		} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
	dasm_put(Dst, 1959, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
	dasm_put(Dst, 1963, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 1967, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 1971, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
		} else {
	dasm_put(Dst, 1976, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
		}
		if (IS_REFERENCE == 0) {
	dasm_put(Dst, 1981, (ZREG_X15));
		} else {
	dasm_put(Dst, 1985, (ZREG_X15), IS_REFERENCE);
		}
		ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
	dasm_put(Dst, 1991, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
		} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
	dasm_put(Dst, 1995, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
	dasm_put(Dst, 1999, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 2003, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 2007, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 2012, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
		}
		if (IS_TYPE_COLLECTABLE == 0) {
	dasm_put(Dst, 2017, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
	dasm_put(Dst, 2020, (ZREG_X15), IS_TYPE_COLLECTABLE);
		} else {
		if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
	dasm_put(Dst, 2024, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
		} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
	dasm_put(Dst, 2028, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
			if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
	dasm_put(Dst, 2032, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 2036, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
		}
	dasm_put(Dst, 2040, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 2044);
		ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 2047, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
		} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
	dasm_put(Dst, 2051, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 2055, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 2059, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 2063, (Z_REG(ref_addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 2067, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
		}
	dasm_put(Dst, 2071);
				}
	dasm_put(Dst, 2073, (ZREG_X15));
		if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
	dasm_put(Dst, 2076, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
	dasm_put(Dst, 2079, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
		} else {
		if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
	dasm_put(Dst, 2083, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
		} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
	dasm_put(Dst, 2087, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
			if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
	dasm_put(Dst, 2091, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 2095, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
		}
	dasm_put(Dst, 2099, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 2103);
		if (arm64_may_use_b(gc_possible_root)) {
	dasm_put(Dst, 2106, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
		} else {
		if (((uintptr_t)(gc_possible_root)) == 0) {
	dasm_put(Dst, 2109, (ZREG_X15));
		} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
	dasm_put(Dst, 2112, (ZREG_X15), ((uint64_t)(gc_possible_root)));
		} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
	dasm_put(Dst, 2116, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
		} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
	dasm_put(Dst, 2120, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
			if (((uintptr_t)(gc_possible_root)) & 0xfff) {
	dasm_put(Dst, 2124, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
			}
		} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
	dasm_put(Dst, 2129, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
			if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
	dasm_put(Dst, 2133, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
			}
			if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
	dasm_put(Dst, 2137, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
	dasm_put(Dst, 2141, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
			if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
	dasm_put(Dst, 2145, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 2149, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
		}
	dasm_put(Dst, 2153, (ZREG_X15));
		}
			}
			if (0 && ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
	dasm_put(Dst, 2156);
			}
	dasm_put(Dst, 2159);
		}
#line 1871 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|9:
	//|	b ->exception_handler
	dasm_put(Dst, 2161);
#line 1873 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	return 1;
}

static int zend_jit_exception_handler_free_op2_stub(dasm_State **Dst)
{
	zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_REG0, 0);

	//|->exception_handler_free_op2:
	//|	MEM_LOAD_64_ZTS ldr, RX, executor_globals, opline_before_exception, REG0
	dasm_put(Dst, 2165);
		if (((uintptr_t)(&executor_globals.opline_before_exception)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.opline_before_exception))) {
	dasm_put(Dst, 2167, (unsigned int)((ptrdiff_t)(&executor_globals.opline_before_exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.opline_before_exception))>>32));
		} else if (((uintptr_t)(&executor_globals.opline_before_exception)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.opline_before_exception))) {
	dasm_put(Dst, 2171, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.opline_before_exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.opline_before_exception)))))>>32), (((uintptr_t)(&executor_globals.opline_before_exception)) & 0xfff));
		} else {
		if (((uintptr_t)(&executor_globals.opline_before_exception)) == 0) {
	dasm_put(Dst, 2176);
		} else if (((uintptr_t)(&executor_globals.opline_before_exception)) <= MOVZ_IMM) {
	dasm_put(Dst, 2178, ((uint64_t)(&executor_globals.opline_before_exception)));
		} else if (arm64_may_use_adr((void*)(&executor_globals.opline_before_exception))) {
	dasm_put(Dst, 2181, (unsigned int)((ptrdiff_t)(&executor_globals.opline_before_exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.opline_before_exception))>>32));
		} else if (arm64_may_use_adrp((void*)(&executor_globals.opline_before_exception))) {
	dasm_put(Dst, 2184, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.opline_before_exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.opline_before_exception)))))>>32));
			if (((uintptr_t)(&executor_globals.opline_before_exception)) & 0xfff) {
	dasm_put(Dst, 2187, (((uintptr_t)(&executor_globals.opline_before_exception)) & 0xfff));
			}
		} else if ((uintptr_t)(&executor_globals.opline_before_exception) & 0xffff) {
	dasm_put(Dst, 2190, ((uintptr_t)(&executor_globals.opline_before_exception) & 0xffff));
			if (((uintptr_t)(&executor_globals.opline_before_exception) >> 16) & 0xffff) {
	dasm_put(Dst, 2193, (((uintptr_t)(&executor_globals.opline_before_exception) >> 16) & 0xffff));
			}
			if (((uintptr_t)(&executor_globals.opline_before_exception) >> 32) & 0xffff) {
	dasm_put(Dst, 2196, (((uintptr_t)(&executor_globals.opline_before_exception) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(&executor_globals.opline_before_exception) >> 16) & 0xffff) {
	dasm_put(Dst, 2199, (((uintptr_t)(&executor_globals.opline_before_exception) >> 16) & 0xffff));
			if (((uintptr_t)(&executor_globals.opline_before_exception) >> 32) & 0xffff) {
	dasm_put(Dst, 2202, (((uintptr_t)(&executor_globals.opline_before_exception) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 2205, (((uintptr_t)(&executor_globals.opline_before_exception) >> 32) & 0xffff));
		}
	dasm_put(Dst, 2208);
		}
#line 1882 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	UNDEF_OPLINE_RESULT_IF_USED TMP1w, TMP2w
	dasm_put(Dst, 2210, Dt2(->result_type));
		if ((IS_TMP_VAR|IS_VAR) == 0) {
	dasm_put(Dst, 2213);
		} else if (logical_immediate_p((uint32_t)(IS_TMP_VAR|IS_VAR), 32)) {
	dasm_put(Dst, 2215, (IS_TMP_VAR|IS_VAR));
		} else {
		if (((uint32_t)((IS_TMP_VAR|IS_VAR))) <= MOVZ_IMM) {
	dasm_put(Dst, 2218, ((uint32_t)((IS_TMP_VAR|IS_VAR))));
		} else if (((uint32_t)((IS_TMP_VAR|IS_VAR)) & 0xffff)) {
	dasm_put(Dst, 2221, ((uint32_t)((IS_TMP_VAR|IS_VAR)) & 0xffff));
			if ((((uint32_t)((IS_TMP_VAR|IS_VAR)) >> 16) & 0xffff)) {
	dasm_put(Dst, 2224, (((uint32_t)((IS_TMP_VAR|IS_VAR)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 2227, (((uint32_t)((IS_TMP_VAR|IS_VAR)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 2230);
		}
	dasm_put(Dst, 2232, Dt2(->result.var));
		if (((uint32_t)(IS_UNDEF)) <= MOVZ_IMM) {
	dasm_put(Dst, 2238, ((uint32_t)(IS_UNDEF)));
		} else if (((uint32_t)(IS_UNDEF) & 0xffff)) {
	dasm_put(Dst, 2241, ((uint32_t)(IS_UNDEF) & 0xffff));
			if ((((uint32_t)(IS_UNDEF) >> 16) & 0xffff)) {
	dasm_put(Dst, 2244, (((uint32_t)(IS_UNDEF) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 2247, (((uint32_t)(IS_UNDEF) >> 16) & 0xffff));
		}
#line 1883 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	ldrb TMP1w, OP:RX->op2_type
	//|	TST_32_WITH_CONST TMP1w, (IS_TMP_VAR|IS_VAR), TMP2w
	dasm_put(Dst, 2250, offsetof(zval,u1.type_info), Dt2(->op2_type));
		if ((IS_TMP_VAR|IS_VAR) == 0) {
	dasm_put(Dst, 2256);
		} else if (logical_immediate_p((uint32_t)(IS_TMP_VAR|IS_VAR), 32)) {
	dasm_put(Dst, 2258, (IS_TMP_VAR|IS_VAR));
		} else {
		if (((uint32_t)((IS_TMP_VAR|IS_VAR))) <= MOVZ_IMM) {
	dasm_put(Dst, 2261, ((uint32_t)((IS_TMP_VAR|IS_VAR))));
		} else if (((uint32_t)((IS_TMP_VAR|IS_VAR)) & 0xffff)) {
	dasm_put(Dst, 2264, ((uint32_t)((IS_TMP_VAR|IS_VAR)) & 0xffff));
			if ((((uint32_t)((IS_TMP_VAR|IS_VAR)) >> 16) & 0xffff)) {
	dasm_put(Dst, 2267, (((uint32_t)((IS_TMP_VAR|IS_VAR)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 2270, (((uint32_t)((IS_TMP_VAR|IS_VAR)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 2273);
		}
#line 1885 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	beq >9
	//|	ldr REG0w, OP:RX->op2.var
	//|	add REG0, REG0, FP
	//|	ZVAL_PTR_DTOR addr, MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF, 0, 0, NULL, ZREG_TMP1, ZREG_TMP2
	dasm_put(Dst, 2275, Dt2(->op2.var));
		if ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
			if ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
				if (0) {
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
	dasm_put(Dst, 2281, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
		} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
	dasm_put(Dst, 2285, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
	dasm_put(Dst, 2289, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 2293, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 2297, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 2302, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
		}
		if (IS_TYPE_REFCOUNTED == 0) {
	dasm_put(Dst, 2307, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
	dasm_put(Dst, 2310, (ZREG_X15), IS_TYPE_REFCOUNTED);
		} else {
		if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
	dasm_put(Dst, 2314, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
		} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
	dasm_put(Dst, 2318, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
			if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
	dasm_put(Dst, 2322, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 2326, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
		}
	dasm_put(Dst, 2330, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 2334);
	dasm_put(Dst, 2337);
				} else {
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
	dasm_put(Dst, 2339, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
		} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
	dasm_put(Dst, 2343, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
	dasm_put(Dst, 2347, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 2351, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 2355, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 2360, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
		}
		if (IS_TYPE_REFCOUNTED == 0) {
	dasm_put(Dst, 2365, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
	dasm_put(Dst, 2368, (ZREG_X15), IS_TYPE_REFCOUNTED);
		} else {
		if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
	dasm_put(Dst, 2372, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
		} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
	dasm_put(Dst, 2376, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
			if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
	dasm_put(Dst, 2380, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 2384, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
		}
	dasm_put(Dst, 2388, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 2392);
				}
			}
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 2395, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
		} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
	dasm_put(Dst, 2399, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 2403, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 2407, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 2411, (Z_REG(addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 2415, (Z_REG(addr)), (Z_OFFSET(addr)));
		}
	dasm_put(Dst, 2419, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
			if (((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & MAY_BE_GUARD) || RC_MAY_BE_1(MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF)) {
				if (((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & MAY_BE_GUARD) || RC_MAY_BE_N(MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF)) {
					if (0 && (((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & MAY_BE_GUARD) || (RC_MAY_BE_N(MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) && ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
	dasm_put(Dst, 2427);
					} else {
	dasm_put(Dst, 2430);
					}
				}
		do {
			if (!((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & MAY_BE_GUARD)
			 && has_concrete_type((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
				zend_uchar type = concrete_type((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
				if (type == IS_STRING && !ZEND_DEBUG) {
		if (arm64_may_use_b(_efree)) {
	dasm_put(Dst, 2433, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
		} else {
		if (((uintptr_t)(_efree)) == 0) {
	dasm_put(Dst, 2436, (ZREG_X15));
		} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
	dasm_put(Dst, 2439, (ZREG_X15), ((uint64_t)(_efree)));
		} else if (arm64_may_use_adr((void*)(_efree))) {
	dasm_put(Dst, 2443, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
		} else if (arm64_may_use_adrp((void*)(_efree))) {
	dasm_put(Dst, 2447, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
			if (((uintptr_t)(_efree)) & 0xfff) {
	dasm_put(Dst, 2451, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
			}
		} else if ((uintptr_t)(_efree) & 0xffff) {
	dasm_put(Dst, 2456, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
			if (((uintptr_t)(_efree) >> 16) & 0xffff) {
	dasm_put(Dst, 2460, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
			}
			if (((uintptr_t)(_efree) >> 32) & 0xffff) {
	dasm_put(Dst, 2464, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
	dasm_put(Dst, 2468, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
			if (((uintptr_t)(_efree) >> 32) & 0xffff) {
	dasm_put(Dst, 2472, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 2476, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
		}
	dasm_put(Dst, 2480, (ZREG_X15));
		}
					break;
				} else if (type == IS_ARRAY) {
					if ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
						if (NULL && ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
		if (NULL == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 2483, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(NULL)) == 0) {
	dasm_put(Dst, 2486, (ZREG_X15));
		} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
	dasm_put(Dst, 2489, (ZREG_X15), ((uint64_t)(NULL)));
		} else if (arm64_may_use_adr((void*)(NULL))) {
	dasm_put(Dst, 2493, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
		} else if (arm64_may_use_adrp((void*)(NULL))) {
	dasm_put(Dst, 2497, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
			if (((uintptr_t)(NULL)) & 0xfff) {
	dasm_put(Dst, 2501, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
			}
		} else if ((uintptr_t)(NULL) & 0xffff) {
	dasm_put(Dst, 2506, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
			if (((uintptr_t)(NULL) >> 16) & 0xffff) {
	dasm_put(Dst, 2510, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
			}
			if (((uintptr_t)(NULL) >> 32) & 0xffff) {
	dasm_put(Dst, 2514, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
	dasm_put(Dst, 2518, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
			if (((uintptr_t)(NULL) >> 32) & 0xffff) {
	dasm_put(Dst, 2522, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 2526, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
		}
	dasm_put(Dst, 2530, (ZREG_X15), Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
						}
		if (arm64_may_use_b(zend_array_destroy)) {
	dasm_put(Dst, 2534, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
		} else {
		if (((uintptr_t)(zend_array_destroy)) == 0) {
	dasm_put(Dst, 2537, (ZREG_X15));
		} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
	dasm_put(Dst, 2540, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
		} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
	dasm_put(Dst, 2544, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
	dasm_put(Dst, 2548, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
			if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
	dasm_put(Dst, 2552, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
	dasm_put(Dst, 2557, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
			if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
	dasm_put(Dst, 2561, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
	dasm_put(Dst, 2565, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
	dasm_put(Dst, 2569, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
			if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
	dasm_put(Dst, 2573, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 2577, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
		}
	dasm_put(Dst, 2581, (ZREG_X15));
		}
					} else {
		if (arm64_may_use_b(zend_jit_array_free)) {
	dasm_put(Dst, 2584, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
		} else {
		if (((uintptr_t)(zend_jit_array_free)) == 0) {
	dasm_put(Dst, 2587, (ZREG_X15));
		} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
	dasm_put(Dst, 2590, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
		} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
	dasm_put(Dst, 2594, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
	dasm_put(Dst, 2598, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
			if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
	dasm_put(Dst, 2602, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
	dasm_put(Dst, 2607, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
			if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
	dasm_put(Dst, 2611, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
	dasm_put(Dst, 2615, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
	dasm_put(Dst, 2619, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
			if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
	dasm_put(Dst, 2623, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 2627, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
		}
	dasm_put(Dst, 2631, (ZREG_X15));
		}
					}
					break;
				} else if (type == IS_OBJECT) {
					if (NULL) {
		if (NULL == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 2634, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(NULL)) == 0) {
	dasm_put(Dst, 2637);
		} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
	dasm_put(Dst, 2639, ((uint64_t)(NULL)));
		} else if (arm64_may_use_adr((void*)(NULL))) {
	dasm_put(Dst, 2642, (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
		} else if (arm64_may_use_adrp((void*)(NULL))) {
	dasm_put(Dst, 2645, (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
			if (((uintptr_t)(NULL)) & 0xfff) {
	dasm_put(Dst, 2648, (((uintptr_t)(NULL)) & 0xfff));
			}
		} else if ((uintptr_t)(NULL) & 0xffff) {
	dasm_put(Dst, 2651, ((uintptr_t)(NULL) & 0xffff));
			if (((uintptr_t)(NULL) >> 16) & 0xffff) {
	dasm_put(Dst, 2654, (((uintptr_t)(NULL) >> 16) & 0xffff));
			}
			if (((uintptr_t)(NULL) >> 32) & 0xffff) {
	dasm_put(Dst, 2657, (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
	dasm_put(Dst, 2660, (((uintptr_t)(NULL) >> 16) & 0xffff));
			if (((uintptr_t)(NULL) >> 32) & 0xffff) {
	dasm_put(Dst, 2663, (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 2666, (((uintptr_t)(NULL) >> 32) & 0xffff));
		}
	dasm_put(Dst, 2669, Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
					}
		if (arm64_may_use_b(zend_objects_store_del)) {
	dasm_put(Dst, 2672, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
		} else {
		if (((uintptr_t)(zend_objects_store_del)) == 0) {
	dasm_put(Dst, 2675, (ZREG_X15));
		} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
	dasm_put(Dst, 2678, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
		} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
	dasm_put(Dst, 2682, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
	dasm_put(Dst, 2686, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
			if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
	dasm_put(Dst, 2690, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
	dasm_put(Dst, 2695, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
			if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
	dasm_put(Dst, 2699, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
	dasm_put(Dst, 2703, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
	dasm_put(Dst, 2707, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
			if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
	dasm_put(Dst, 2711, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 2715, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
		}
	dasm_put(Dst, 2719, (ZREG_X15));
		}
					break;
				}
			}
			if (NULL) {
		if (NULL == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 2722, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(NULL)) == 0) {
	dasm_put(Dst, 2725, (ZREG_X15));
		} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
	dasm_put(Dst, 2728, (ZREG_X15), ((uint64_t)(NULL)));
		} else if (arm64_may_use_adr((void*)(NULL))) {
	dasm_put(Dst, 2732, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
		} else if (arm64_may_use_adrp((void*)(NULL))) {
	dasm_put(Dst, 2736, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
			if (((uintptr_t)(NULL)) & 0xfff) {
	dasm_put(Dst, 2740, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
			}
		} else if ((uintptr_t)(NULL) & 0xffff) {
	dasm_put(Dst, 2745, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
			if (((uintptr_t)(NULL) >> 16) & 0xffff) {
	dasm_put(Dst, 2749, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
			}
			if (((uintptr_t)(NULL) >> 32) & 0xffff) {
	dasm_put(Dst, 2753, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
	dasm_put(Dst, 2757, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
			if (((uintptr_t)(NULL) >> 32) & 0xffff) {
	dasm_put(Dst, 2761, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 2765, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
		}
	dasm_put(Dst, 2769, (ZREG_X15), Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
			}
		if (arm64_may_use_b(rc_dtor_func)) {
	dasm_put(Dst, 2773, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
		} else {
		if (((uintptr_t)(rc_dtor_func)) == 0) {
	dasm_put(Dst, 2776, (ZREG_X15));
		} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
	dasm_put(Dst, 2779, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
		} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
	dasm_put(Dst, 2783, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
		} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
	dasm_put(Dst, 2787, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
			if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
	dasm_put(Dst, 2791, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
			}
		} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
	dasm_put(Dst, 2796, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
			if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
	dasm_put(Dst, 2800, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
			}
			if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
	dasm_put(Dst, 2804, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
	dasm_put(Dst, 2808, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
			if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
	dasm_put(Dst, 2812, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 2816, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
		}
	dasm_put(Dst, 2820, (ZREG_X15));
		}
		} while(0);
				if (0 && (((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & MAY_BE_GUARD) || (RC_MAY_BE_N(MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) && ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
	dasm_put(Dst, 2823);
				}
	dasm_put(Dst, 2826);
			}
			if (0 && (((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & MAY_BE_GUARD) || (RC_MAY_BE_N(MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) && ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
				if ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_REF|MAY_BE_GUARD)) {
					zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
	dasm_put(Dst, 2828, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
		} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
	dasm_put(Dst, 2832, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
	dasm_put(Dst, 2836, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 2840, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 2844, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
		} else {
	dasm_put(Dst, 2849, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
		}
		if (IS_REFERENCE == 0) {
	dasm_put(Dst, 2854, (ZREG_X15));
		} else {
	dasm_put(Dst, 2858, (ZREG_X15), IS_REFERENCE);
		}
		ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
	dasm_put(Dst, 2864, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
		} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
	dasm_put(Dst, 2868, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
	dasm_put(Dst, 2872, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 2876, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 2880, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 2885, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
		}
		if (IS_TYPE_COLLECTABLE == 0) {
	dasm_put(Dst, 2890, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
	dasm_put(Dst, 2893, (ZREG_X15), IS_TYPE_COLLECTABLE);
		} else {
		if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
	dasm_put(Dst, 2897, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
		} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
	dasm_put(Dst, 2901, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
			if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
	dasm_put(Dst, 2905, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 2909, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
		}
	dasm_put(Dst, 2913, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 2917);
		ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 2920, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
		} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
	dasm_put(Dst, 2924, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 2928, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 2932, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 2936, (Z_REG(ref_addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 2940, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
		}
	dasm_put(Dst, 2944);
				}
	dasm_put(Dst, 2946, (ZREG_X15));
		if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
	dasm_put(Dst, 2949, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
	dasm_put(Dst, 2952, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
		} else {
		if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
	dasm_put(Dst, 2956, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
		} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
	dasm_put(Dst, 2960, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
			if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
	dasm_put(Dst, 2964, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 2968, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
		}
	dasm_put(Dst, 2972, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 2976);
		if (arm64_may_use_b(gc_possible_root)) {
	dasm_put(Dst, 2979, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
		} else {
		if (((uintptr_t)(gc_possible_root)) == 0) {
	dasm_put(Dst, 2982, (ZREG_X15));
		} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
	dasm_put(Dst, 2985, (ZREG_X15), ((uint64_t)(gc_possible_root)));
		} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
	dasm_put(Dst, 2989, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
		} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
	dasm_put(Dst, 2993, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
			if (((uintptr_t)(gc_possible_root)) & 0xfff) {
	dasm_put(Dst, 2997, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
			}
		} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
	dasm_put(Dst, 3002, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
			if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
	dasm_put(Dst, 3006, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
			}
			if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
	dasm_put(Dst, 3010, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
	dasm_put(Dst, 3014, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
			if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
	dasm_put(Dst, 3018, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 3022, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
		}
	dasm_put(Dst, 3026, (ZREG_X15));
		}
			}
			if (0 && ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
	dasm_put(Dst, 3029);
			}
	dasm_put(Dst, 3032);
		}
#line 1889 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|9:
	//|	b ->exception_handler
	dasm_put(Dst, 3034);
#line 1891 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	return 1;
}

static int zend_jit_leave_function_stub(dasm_State **Dst)
{
	//|->leave_function_handler:
	dasm_put(Dst, 3038);
#line 1897 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	if (zend_jit_vm_kind == ZEND_VM_KIND_HYBRID) {
		//|	TST_32_WITH_CONST FCARG1w, ZEND_CALL_TOP, TMP1w
			if (ZEND_CALL_TOP == 0) {
		dasm_put(Dst, 3040);
			} else if (logical_immediate_p((uint32_t)ZEND_CALL_TOP, 32)) {
		dasm_put(Dst, 3042, ZEND_CALL_TOP);
			} else {
			if (((uint32_t)(ZEND_CALL_TOP)) <= MOVZ_IMM) {
		dasm_put(Dst, 3045, ((uint32_t)(ZEND_CALL_TOP)));
			} else if (((uint32_t)(ZEND_CALL_TOP) & 0xffff)) {
		dasm_put(Dst, 3048, ((uint32_t)(ZEND_CALL_TOP) & 0xffff));
				if ((((uint32_t)(ZEND_CALL_TOP) >> 16) & 0xffff)) {
		dasm_put(Dst, 3051, (((uint32_t)(ZEND_CALL_TOP) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 3054, (((uint32_t)(ZEND_CALL_TOP) >> 16) & 0xffff));
			}
		dasm_put(Dst, 3057);
			}
#line 1899 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	bne >1
		//|	EXT_CALL zend_jit_leave_nested_func_helper, REG0
		dasm_put(Dst, 3059);
			if (arm64_may_use_b(zend_jit_leave_nested_func_helper)) {
		dasm_put(Dst, 3062, (unsigned int)((ptrdiff_t)(zend_jit_leave_nested_func_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_leave_nested_func_helper))>>32));
			} else {
			if (((uintptr_t)(zend_jit_leave_nested_func_helper)) == 0) {
		dasm_put(Dst, 3065);
			} else if (((uintptr_t)(zend_jit_leave_nested_func_helper)) <= MOVZ_IMM) {
		dasm_put(Dst, 3067, ((uint64_t)(zend_jit_leave_nested_func_helper)));
			} else if (arm64_may_use_adr((void*)(zend_jit_leave_nested_func_helper))) {
		dasm_put(Dst, 3070, (unsigned int)((ptrdiff_t)(zend_jit_leave_nested_func_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_leave_nested_func_helper))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_leave_nested_func_helper))) {
		dasm_put(Dst, 3073, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_leave_nested_func_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_leave_nested_func_helper)))))>>32));
				if (((uintptr_t)(zend_jit_leave_nested_func_helper)) & 0xfff) {
		dasm_put(Dst, 3076, (((uintptr_t)(zend_jit_leave_nested_func_helper)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_leave_nested_func_helper) & 0xffff) {
		dasm_put(Dst, 3079, ((uintptr_t)(zend_jit_leave_nested_func_helper) & 0xffff));
				if (((uintptr_t)(zend_jit_leave_nested_func_helper) >> 16) & 0xffff) {
		dasm_put(Dst, 3082, (((uintptr_t)(zend_jit_leave_nested_func_helper) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_leave_nested_func_helper) >> 32) & 0xffff) {
		dasm_put(Dst, 3085, (((uintptr_t)(zend_jit_leave_nested_func_helper) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_leave_nested_func_helper) >> 16) & 0xffff) {
		dasm_put(Dst, 3088, (((uintptr_t)(zend_jit_leave_nested_func_helper) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_leave_nested_func_helper) >> 32) & 0xffff) {
		dasm_put(Dst, 3091, (((uintptr_t)(zend_jit_leave_nested_func_helper) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 3094, (((uintptr_t)(zend_jit_leave_nested_func_helper) >> 32) & 0xffff));
			}
		dasm_put(Dst, 3097);
			}
#line 1901 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	ADD_HYBRID_SPAD
		#ifndef ZEND_VM_HYBRID_JIT_RED_ZONE_SIZE
		dasm_put(Dst, 3099);
		#endif
#line 1902 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	JMP_IP TMP1
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 3101);
			} else {
		dasm_put(Dst, 3104, Dt1(->opline));
			}
#line 1903 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|1:
		//|	EXT_CALL zend_jit_leave_top_func_helper, REG0
		dasm_put(Dst, 3108);
			if (arm64_may_use_b(zend_jit_leave_top_func_helper)) {
		dasm_put(Dst, 3110, (unsigned int)((ptrdiff_t)(zend_jit_leave_top_func_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_leave_top_func_helper))>>32));
			} else {
			if (((uintptr_t)(zend_jit_leave_top_func_helper)) == 0) {
		dasm_put(Dst, 3113);
			} else if (((uintptr_t)(zend_jit_leave_top_func_helper)) <= MOVZ_IMM) {
		dasm_put(Dst, 3115, ((uint64_t)(zend_jit_leave_top_func_helper)));
			} else if (arm64_may_use_adr((void*)(zend_jit_leave_top_func_helper))) {
		dasm_put(Dst, 3118, (unsigned int)((ptrdiff_t)(zend_jit_leave_top_func_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_leave_top_func_helper))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_leave_top_func_helper))) {
		dasm_put(Dst, 3121, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_leave_top_func_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_leave_top_func_helper)))))>>32));
				if (((uintptr_t)(zend_jit_leave_top_func_helper)) & 0xfff) {
		dasm_put(Dst, 3124, (((uintptr_t)(zend_jit_leave_top_func_helper)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_leave_top_func_helper) & 0xffff) {
		dasm_put(Dst, 3127, ((uintptr_t)(zend_jit_leave_top_func_helper) & 0xffff));
				if (((uintptr_t)(zend_jit_leave_top_func_helper) >> 16) & 0xffff) {
		dasm_put(Dst, 3130, (((uintptr_t)(zend_jit_leave_top_func_helper) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_leave_top_func_helper) >> 32) & 0xffff) {
		dasm_put(Dst, 3133, (((uintptr_t)(zend_jit_leave_top_func_helper) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_leave_top_func_helper) >> 16) & 0xffff) {
		dasm_put(Dst, 3136, (((uintptr_t)(zend_jit_leave_top_func_helper) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_leave_top_func_helper) >> 32) & 0xffff) {
		dasm_put(Dst, 3139, (((uintptr_t)(zend_jit_leave_top_func_helper) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 3142, (((uintptr_t)(zend_jit_leave_top_func_helper) >> 32) & 0xffff));
			}
		dasm_put(Dst, 3145);
			}
#line 1905 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	ADD_HYBRID_SPAD
		#ifndef ZEND_VM_HYBRID_JIT_RED_ZONE_SIZE
		dasm_put(Dst, 3147);
		#endif
#line 1906 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	JMP_IP TMP1
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 3149);
			} else {
		dasm_put(Dst, 3152, Dt1(->opline));
			}
#line 1907 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		if (GCC_GLOBAL_REGS) {
			//|	ldp x29, x30, [sp], # SPAD    // stack alignment
			dasm_put(Dst, 3156);
#line 1910 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	mov FCARG2x, FP
			//|	ldp FP, RX, T2                // retore FP and IP
			//|	ldp x29, x30, [sp], # NR_SPAD // stack alignment
			dasm_put(Dst, 3158);
#line 1914 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	TST_32_WITH_CONST FCARG1w, ZEND_CALL_TOP, TMP1w
			if (ZEND_CALL_TOP == 0) {
		dasm_put(Dst, 3162);
			} else if (logical_immediate_p((uint32_t)ZEND_CALL_TOP, 32)) {
		dasm_put(Dst, 3164, ZEND_CALL_TOP);
			} else {
			if (((uint32_t)(ZEND_CALL_TOP)) <= MOVZ_IMM) {
		dasm_put(Dst, 3167, ((uint32_t)(ZEND_CALL_TOP)));
			} else if (((uint32_t)(ZEND_CALL_TOP) & 0xffff)) {
		dasm_put(Dst, 3170, ((uint32_t)(ZEND_CALL_TOP) & 0xffff));
				if ((((uint32_t)(ZEND_CALL_TOP) >> 16) & 0xffff)) {
		dasm_put(Dst, 3173, (((uint32_t)(ZEND_CALL_TOP) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 3176, (((uint32_t)(ZEND_CALL_TOP) >> 16) & 0xffff));
			}
		dasm_put(Dst, 3179);
			}
#line 1916 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	bne >1
		//|	EXT_JMP zend_jit_leave_nested_func_helper, REG0
		dasm_put(Dst, 3181);
			if (arm64_may_use_b(zend_jit_leave_nested_func_helper)) {
		dasm_put(Dst, 3184, (unsigned int)((ptrdiff_t)(zend_jit_leave_nested_func_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_leave_nested_func_helper))>>32));
			} else {
			if (((uintptr_t)(zend_jit_leave_nested_func_helper)) == 0) {
		dasm_put(Dst, 3187);
			} else if (((uintptr_t)(zend_jit_leave_nested_func_helper)) <= MOVZ_IMM) {
		dasm_put(Dst, 3189, ((uint64_t)(zend_jit_leave_nested_func_helper)));
			} else if (arm64_may_use_adr((void*)(zend_jit_leave_nested_func_helper))) {
		dasm_put(Dst, 3192, (unsigned int)((ptrdiff_t)(zend_jit_leave_nested_func_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_leave_nested_func_helper))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_leave_nested_func_helper))) {
		dasm_put(Dst, 3195, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_leave_nested_func_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_leave_nested_func_helper)))))>>32));
				if (((uintptr_t)(zend_jit_leave_nested_func_helper)) & 0xfff) {
		dasm_put(Dst, 3198, (((uintptr_t)(zend_jit_leave_nested_func_helper)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_leave_nested_func_helper) & 0xffff) {
		dasm_put(Dst, 3201, ((uintptr_t)(zend_jit_leave_nested_func_helper) & 0xffff));
				if (((uintptr_t)(zend_jit_leave_nested_func_helper) >> 16) & 0xffff) {
		dasm_put(Dst, 3204, (((uintptr_t)(zend_jit_leave_nested_func_helper) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_leave_nested_func_helper) >> 32) & 0xffff) {
		dasm_put(Dst, 3207, (((uintptr_t)(zend_jit_leave_nested_func_helper) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_leave_nested_func_helper) >> 16) & 0xffff) {
		dasm_put(Dst, 3210, (((uintptr_t)(zend_jit_leave_nested_func_helper) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_leave_nested_func_helper) >> 32) & 0xffff) {
		dasm_put(Dst, 3213, (((uintptr_t)(zend_jit_leave_nested_func_helper) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 3216, (((uintptr_t)(zend_jit_leave_nested_func_helper) >> 32) & 0xffff));
			}
		dasm_put(Dst, 3219);
			}
#line 1918 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|1:
		//|	EXT_JMP zend_jit_leave_top_func_helper, REG0
		dasm_put(Dst, 3221);
			if (arm64_may_use_b(zend_jit_leave_top_func_helper)) {
		dasm_put(Dst, 3223, (unsigned int)((ptrdiff_t)(zend_jit_leave_top_func_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_leave_top_func_helper))>>32));
			} else {
			if (((uintptr_t)(zend_jit_leave_top_func_helper)) == 0) {
		dasm_put(Dst, 3226);
			} else if (((uintptr_t)(zend_jit_leave_top_func_helper)) <= MOVZ_IMM) {
		dasm_put(Dst, 3228, ((uint64_t)(zend_jit_leave_top_func_helper)));
			} else if (arm64_may_use_adr((void*)(zend_jit_leave_top_func_helper))) {
		dasm_put(Dst, 3231, (unsigned int)((ptrdiff_t)(zend_jit_leave_top_func_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_leave_top_func_helper))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_leave_top_func_helper))) {
		dasm_put(Dst, 3234, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_leave_top_func_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_leave_top_func_helper)))))>>32));
				if (((uintptr_t)(zend_jit_leave_top_func_helper)) & 0xfff) {
		dasm_put(Dst, 3237, (((uintptr_t)(zend_jit_leave_top_func_helper)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_leave_top_func_helper) & 0xffff) {
		dasm_put(Dst, 3240, ((uintptr_t)(zend_jit_leave_top_func_helper) & 0xffff));
				if (((uintptr_t)(zend_jit_leave_top_func_helper) >> 16) & 0xffff) {
		dasm_put(Dst, 3243, (((uintptr_t)(zend_jit_leave_top_func_helper) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_leave_top_func_helper) >> 32) & 0xffff) {
		dasm_put(Dst, 3246, (((uintptr_t)(zend_jit_leave_top_func_helper) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_leave_top_func_helper) >> 16) & 0xffff) {
		dasm_put(Dst, 3249, (((uintptr_t)(zend_jit_leave_top_func_helper) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_leave_top_func_helper) >> 32) & 0xffff) {
		dasm_put(Dst, 3252, (((uintptr_t)(zend_jit_leave_top_func_helper) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 3255, (((uintptr_t)(zend_jit_leave_top_func_helper) >> 32) & 0xffff));
			}
		dasm_put(Dst, 3258);
			}
#line 1920 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	return 1;
}

static int zend_jit_leave_throw_stub(dasm_State **Dst)
{
	//|->leave_throw_handler:
	//|	// if (opline->opcode != ZEND_HANDLE_EXCEPTION) {
	dasm_put(Dst, 3260);
#line 1929 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	if (GCC_GLOBAL_REGS) {
		//|	ldrb TMP1w, OP:IP->opcode
		//|	cmp TMP1w, #ZEND_HANDLE_EXCEPTION
		//|	beq >5
		//|	// EG(opline_before_exception) = opline;
		//|	MEM_STORE_64_ZTS str, IP, executor_globals, opline_before_exception, TMP2
		dasm_put(Dst, 3262, Dt2(->opcode), ZEND_HANDLE_EXCEPTION);
			if (((uintptr_t)(&executor_globals.opline_before_exception)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.opline_before_exception))) {
		dasm_put(Dst, 3269, (unsigned int)((ptrdiff_t)(&executor_globals.opline_before_exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.opline_before_exception))>>32));
			} else if (((uintptr_t)(&executor_globals.opline_before_exception)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.opline_before_exception))) {
		dasm_put(Dst, 3273, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.opline_before_exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.opline_before_exception)))))>>32), (((uintptr_t)(&executor_globals.opline_before_exception)) & 0xfff));
			} else {
			if (((uintptr_t)(&executor_globals.opline_before_exception)) == 0) {
		dasm_put(Dst, 3278);
			} else if (((uintptr_t)(&executor_globals.opline_before_exception)) <= MOVZ_IMM) {
		dasm_put(Dst, 3280, ((uint64_t)(&executor_globals.opline_before_exception)));
			} else if (arm64_may_use_adr((void*)(&executor_globals.opline_before_exception))) {
		dasm_put(Dst, 3283, (unsigned int)((ptrdiff_t)(&executor_globals.opline_before_exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.opline_before_exception))>>32));
			} else if (arm64_may_use_adrp((void*)(&executor_globals.opline_before_exception))) {
		dasm_put(Dst, 3286, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.opline_before_exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.opline_before_exception)))))>>32));
				if (((uintptr_t)(&executor_globals.opline_before_exception)) & 0xfff) {
		dasm_put(Dst, 3289, (((uintptr_t)(&executor_globals.opline_before_exception)) & 0xfff));
				}
			} else if ((uintptr_t)(&executor_globals.opline_before_exception) & 0xffff) {
		dasm_put(Dst, 3292, ((uintptr_t)(&executor_globals.opline_before_exception) & 0xffff));
				if (((uintptr_t)(&executor_globals.opline_before_exception) >> 16) & 0xffff) {
		dasm_put(Dst, 3295, (((uintptr_t)(&executor_globals.opline_before_exception) >> 16) & 0xffff));
				}
				if (((uintptr_t)(&executor_globals.opline_before_exception) >> 32) & 0xffff) {
		dasm_put(Dst, 3298, (((uintptr_t)(&executor_globals.opline_before_exception) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(&executor_globals.opline_before_exception) >> 16) & 0xffff) {
		dasm_put(Dst, 3301, (((uintptr_t)(&executor_globals.opline_before_exception) >> 16) & 0xffff));
				if (((uintptr_t)(&executor_globals.opline_before_exception) >> 32) & 0xffff) {
		dasm_put(Dst, 3304, (((uintptr_t)(&executor_globals.opline_before_exception) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 3307, (((uintptr_t)(&executor_globals.opline_before_exception) >> 32) & 0xffff));
			}
		dasm_put(Dst, 3310);
			}
#line 1935 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|5:
		//|	// opline = EG(exception_op);
		//|	LOAD_IP_ADDR_ZTS executor_globals, exception_op, TMP2
		dasm_put(Dst, 3312);
			if (GCC_GLOBAL_REGS) {
			if (((uintptr_t)(&executor_globals.exception_op)) == 0) {
		dasm_put(Dst, 3314);
			} else if (((uintptr_t)(&executor_globals.exception_op)) <= MOVZ_IMM) {
		dasm_put(Dst, 3316, ((uint64_t)(&executor_globals.exception_op)));
			} else if (arm64_may_use_adr((void*)(&executor_globals.exception_op))) {
		dasm_put(Dst, 3319, (unsigned int)((ptrdiff_t)(&executor_globals.exception_op)), (unsigned int)(((ptrdiff_t)(&executor_globals.exception_op))>>32));
			} else if (arm64_may_use_adrp((void*)(&executor_globals.exception_op))) {
		dasm_put(Dst, 3322, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.exception_op))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.exception_op)))))>>32));
				if (((uintptr_t)(&executor_globals.exception_op)) & 0xfff) {
		dasm_put(Dst, 3325, (((uintptr_t)(&executor_globals.exception_op)) & 0xfff));
				}
			} else if ((uintptr_t)(&executor_globals.exception_op) & 0xffff) {
		dasm_put(Dst, 3328, ((uintptr_t)(&executor_globals.exception_op) & 0xffff));
				if (((uintptr_t)(&executor_globals.exception_op) >> 16) & 0xffff) {
		dasm_put(Dst, 3331, (((uintptr_t)(&executor_globals.exception_op) >> 16) & 0xffff));
				}
				if (((uintptr_t)(&executor_globals.exception_op) >> 32) & 0xffff) {
		dasm_put(Dst, 3334, (((uintptr_t)(&executor_globals.exception_op) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(&executor_globals.exception_op) >> 16) & 0xffff) {
		dasm_put(Dst, 3337, (((uintptr_t)(&executor_globals.exception_op) >> 16) & 0xffff));
				if (((uintptr_t)(&executor_globals.exception_op) >> 32) & 0xffff) {
		dasm_put(Dst, 3340, (((uintptr_t)(&executor_globals.exception_op) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 3343, (((uintptr_t)(&executor_globals.exception_op) >> 32) & 0xffff));
			}
			} else {
			if (((uintptr_t)(&executor_globals.exception_op)) == 0) {
		dasm_put(Dst, 3346);
			} else if (((uintptr_t)(&executor_globals.exception_op)) <= MOVZ_IMM) {
		dasm_put(Dst, 3348, ((uint64_t)(&executor_globals.exception_op)));
			} else if (arm64_may_use_adr((void*)(&executor_globals.exception_op))) {
		dasm_put(Dst, 3351, (unsigned int)((ptrdiff_t)(&executor_globals.exception_op)), (unsigned int)(((ptrdiff_t)(&executor_globals.exception_op))>>32));
			} else if (arm64_may_use_adrp((void*)(&executor_globals.exception_op))) {
		dasm_put(Dst, 3354, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.exception_op))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.exception_op)))))>>32));
				if (((uintptr_t)(&executor_globals.exception_op)) & 0xfff) {
		dasm_put(Dst, 3357, (((uintptr_t)(&executor_globals.exception_op)) & 0xfff));
				}
			} else if ((uintptr_t)(&executor_globals.exception_op) & 0xffff) {
		dasm_put(Dst, 3360, ((uintptr_t)(&executor_globals.exception_op) & 0xffff));
				if (((uintptr_t)(&executor_globals.exception_op) >> 16) & 0xffff) {
		dasm_put(Dst, 3363, (((uintptr_t)(&executor_globals.exception_op) >> 16) & 0xffff));
				}
				if (((uintptr_t)(&executor_globals.exception_op) >> 32) & 0xffff) {
		dasm_put(Dst, 3366, (((uintptr_t)(&executor_globals.exception_op) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(&executor_globals.exception_op) >> 16) & 0xffff) {
		dasm_put(Dst, 3369, (((uintptr_t)(&executor_globals.exception_op) >> 16) & 0xffff));
				if (((uintptr_t)(&executor_globals.exception_op) >> 32) & 0xffff) {
		dasm_put(Dst, 3372, (((uintptr_t)(&executor_globals.exception_op) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 3375, (((uintptr_t)(&executor_globals.exception_op) >> 32) & 0xffff));
			}
		dasm_put(Dst, 3378, Dt1(->opline));
			}
#line 1938 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	// HANDLE_EXCEPTION()
		//|	b ->exception_handler
		dasm_put(Dst, 3381);
#line 1940 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		//|	GET_IP TMP1
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 3384);
			} else {
		dasm_put(Dst, 3386, Dt1(->opline));
			}
#line 1942 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	ldrb TMP2w, OP:TMP1->opcode
		//|	cmp TMP2w, #ZEND_HANDLE_EXCEPTION
		//|	beq >5
		//|	// EG(opline_before_exception) = opline;
		//|	MEM_STORE_64_ZTS str, TMP1, executor_globals, opline_before_exception, TMP2
		dasm_put(Dst, 3389, Dt2(->opcode), ZEND_HANDLE_EXCEPTION);
			if (((uintptr_t)(&executor_globals.opline_before_exception)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.opline_before_exception))) {
		dasm_put(Dst, 3396, (unsigned int)((ptrdiff_t)(&executor_globals.opline_before_exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.opline_before_exception))>>32));
			} else if (((uintptr_t)(&executor_globals.opline_before_exception)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.opline_before_exception))) {
		dasm_put(Dst, 3400, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.opline_before_exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.opline_before_exception)))))>>32), (((uintptr_t)(&executor_globals.opline_before_exception)) & 0xfff));
			} else {
			if (((uintptr_t)(&executor_globals.opline_before_exception)) == 0) {
		dasm_put(Dst, 3405);
			} else if (((uintptr_t)(&executor_globals.opline_before_exception)) <= MOVZ_IMM) {
		dasm_put(Dst, 3407, ((uint64_t)(&executor_globals.opline_before_exception)));
			} else if (arm64_may_use_adr((void*)(&executor_globals.opline_before_exception))) {
		dasm_put(Dst, 3410, (unsigned int)((ptrdiff_t)(&executor_globals.opline_before_exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.opline_before_exception))>>32));
			} else if (arm64_may_use_adrp((void*)(&executor_globals.opline_before_exception))) {
		dasm_put(Dst, 3413, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.opline_before_exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.opline_before_exception)))))>>32));
				if (((uintptr_t)(&executor_globals.opline_before_exception)) & 0xfff) {
		dasm_put(Dst, 3416, (((uintptr_t)(&executor_globals.opline_before_exception)) & 0xfff));
				}
			} else if ((uintptr_t)(&executor_globals.opline_before_exception) & 0xffff) {
		dasm_put(Dst, 3419, ((uintptr_t)(&executor_globals.opline_before_exception) & 0xffff));
				if (((uintptr_t)(&executor_globals.opline_before_exception) >> 16) & 0xffff) {
		dasm_put(Dst, 3422, (((uintptr_t)(&executor_globals.opline_before_exception) >> 16) & 0xffff));
				}
				if (((uintptr_t)(&executor_globals.opline_before_exception) >> 32) & 0xffff) {
		dasm_put(Dst, 3425, (((uintptr_t)(&executor_globals.opline_before_exception) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(&executor_globals.opline_before_exception) >> 16) & 0xffff) {
		dasm_put(Dst, 3428, (((uintptr_t)(&executor_globals.opline_before_exception) >> 16) & 0xffff));
				if (((uintptr_t)(&executor_globals.opline_before_exception) >> 32) & 0xffff) {
		dasm_put(Dst, 3431, (((uintptr_t)(&executor_globals.opline_before_exception) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 3434, (((uintptr_t)(&executor_globals.opline_before_exception) >> 32) & 0xffff));
			}
		dasm_put(Dst, 3437);
			}
#line 1947 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|5:
		//|	// opline = EG(exception_op);
		//|	LOAD_IP_ADDR_ZTS executor_globals, exception_op, TMP2
		dasm_put(Dst, 3439);
			if (GCC_GLOBAL_REGS) {
			if (((uintptr_t)(&executor_globals.exception_op)) == 0) {
		dasm_put(Dst, 3441);
			} else if (((uintptr_t)(&executor_globals.exception_op)) <= MOVZ_IMM) {
		dasm_put(Dst, 3443, ((uint64_t)(&executor_globals.exception_op)));
			} else if (arm64_may_use_adr((void*)(&executor_globals.exception_op))) {
		dasm_put(Dst, 3446, (unsigned int)((ptrdiff_t)(&executor_globals.exception_op)), (unsigned int)(((ptrdiff_t)(&executor_globals.exception_op))>>32));
			} else if (arm64_may_use_adrp((void*)(&executor_globals.exception_op))) {
		dasm_put(Dst, 3449, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.exception_op))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.exception_op)))))>>32));
				if (((uintptr_t)(&executor_globals.exception_op)) & 0xfff) {
		dasm_put(Dst, 3452, (((uintptr_t)(&executor_globals.exception_op)) & 0xfff));
				}
			} else if ((uintptr_t)(&executor_globals.exception_op) & 0xffff) {
		dasm_put(Dst, 3455, ((uintptr_t)(&executor_globals.exception_op) & 0xffff));
				if (((uintptr_t)(&executor_globals.exception_op) >> 16) & 0xffff) {
		dasm_put(Dst, 3458, (((uintptr_t)(&executor_globals.exception_op) >> 16) & 0xffff));
				}
				if (((uintptr_t)(&executor_globals.exception_op) >> 32) & 0xffff) {
		dasm_put(Dst, 3461, (((uintptr_t)(&executor_globals.exception_op) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(&executor_globals.exception_op) >> 16) & 0xffff) {
		dasm_put(Dst, 3464, (((uintptr_t)(&executor_globals.exception_op) >> 16) & 0xffff));
				if (((uintptr_t)(&executor_globals.exception_op) >> 32) & 0xffff) {
		dasm_put(Dst, 3467, (((uintptr_t)(&executor_globals.exception_op) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 3470, (((uintptr_t)(&executor_globals.exception_op) >> 32) & 0xffff));
			}
			} else {
			if (((uintptr_t)(&executor_globals.exception_op)) == 0) {
		dasm_put(Dst, 3473);
			} else if (((uintptr_t)(&executor_globals.exception_op)) <= MOVZ_IMM) {
		dasm_put(Dst, 3475, ((uint64_t)(&executor_globals.exception_op)));
			} else if (arm64_may_use_adr((void*)(&executor_globals.exception_op))) {
		dasm_put(Dst, 3478, (unsigned int)((ptrdiff_t)(&executor_globals.exception_op)), (unsigned int)(((ptrdiff_t)(&executor_globals.exception_op))>>32));
			} else if (arm64_may_use_adrp((void*)(&executor_globals.exception_op))) {
		dasm_put(Dst, 3481, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.exception_op))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.exception_op)))))>>32));
				if (((uintptr_t)(&executor_globals.exception_op)) & 0xfff) {
		dasm_put(Dst, 3484, (((uintptr_t)(&executor_globals.exception_op)) & 0xfff));
				}
			} else if ((uintptr_t)(&executor_globals.exception_op) & 0xffff) {
		dasm_put(Dst, 3487, ((uintptr_t)(&executor_globals.exception_op) & 0xffff));
				if (((uintptr_t)(&executor_globals.exception_op) >> 16) & 0xffff) {
		dasm_put(Dst, 3490, (((uintptr_t)(&executor_globals.exception_op) >> 16) & 0xffff));
				}
				if (((uintptr_t)(&executor_globals.exception_op) >> 32) & 0xffff) {
		dasm_put(Dst, 3493, (((uintptr_t)(&executor_globals.exception_op) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(&executor_globals.exception_op) >> 16) & 0xffff) {
		dasm_put(Dst, 3496, (((uintptr_t)(&executor_globals.exception_op) >> 16) & 0xffff));
				if (((uintptr_t)(&executor_globals.exception_op) >> 32) & 0xffff) {
		dasm_put(Dst, 3499, (((uintptr_t)(&executor_globals.exception_op) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 3502, (((uintptr_t)(&executor_globals.exception_op) >> 32) & 0xffff));
			}
		dasm_put(Dst, 3505, Dt1(->opline));
			}
#line 1950 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	ldp FP, RX, T2                // retore FP and IP
		//|	ldp x29, x30, [sp], # NR_SPAD // stack alignment
		//|	mov RETVALx, #2               // ZEND_VM_LEAVE
		//|	ret
		dasm_put(Dst, 3508);
#line 1954 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	return 1;
}

static int zend_jit_icall_throw_stub(dasm_State **Dst)
{
	//|->icall_throw_handler:
	//|	// zend_rethrow_exception(zend_execute_data *execute_data)
	//|	ldr IP, EX->opline
	//|	// if (EX(opline)->opcode != ZEND_HANDLE_EXCEPTION) {
	//|	ldrb TMP1w, OP:IP->opcode
	//|	cmp TMP1w, #ZEND_HANDLE_EXCEPTION
	//|	beq >1
	//|	// EG(opline_before_exception) = opline;
	//|	MEM_STORE_64_ZTS str, IP, executor_globals, opline_before_exception, TMP2
	dasm_put(Dst, 3513, Dt1(->opline), Dt2(->opcode), ZEND_HANDLE_EXCEPTION);
		if (((uintptr_t)(&executor_globals.opline_before_exception)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.opline_before_exception))) {
	dasm_put(Dst, 3523, (unsigned int)((ptrdiff_t)(&executor_globals.opline_before_exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.opline_before_exception))>>32));
		} else if (((uintptr_t)(&executor_globals.opline_before_exception)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.opline_before_exception))) {
	dasm_put(Dst, 3527, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.opline_before_exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.opline_before_exception)))))>>32), (((uintptr_t)(&executor_globals.opline_before_exception)) & 0xfff));
		} else {
		if (((uintptr_t)(&executor_globals.opline_before_exception)) == 0) {
	dasm_put(Dst, 3532);
		} else if (((uintptr_t)(&executor_globals.opline_before_exception)) <= MOVZ_IMM) {
	dasm_put(Dst, 3534, ((uint64_t)(&executor_globals.opline_before_exception)));
		} else if (arm64_may_use_adr((void*)(&executor_globals.opline_before_exception))) {
	dasm_put(Dst, 3537, (unsigned int)((ptrdiff_t)(&executor_globals.opline_before_exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.opline_before_exception))>>32));
		} else if (arm64_may_use_adrp((void*)(&executor_globals.opline_before_exception))) {
	dasm_put(Dst, 3540, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.opline_before_exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.opline_before_exception)))))>>32));
			if (((uintptr_t)(&executor_globals.opline_before_exception)) & 0xfff) {
	dasm_put(Dst, 3543, (((uintptr_t)(&executor_globals.opline_before_exception)) & 0xfff));
			}
		} else if ((uintptr_t)(&executor_globals.opline_before_exception) & 0xffff) {
	dasm_put(Dst, 3546, ((uintptr_t)(&executor_globals.opline_before_exception) & 0xffff));
			if (((uintptr_t)(&executor_globals.opline_before_exception) >> 16) & 0xffff) {
	dasm_put(Dst, 3549, (((uintptr_t)(&executor_globals.opline_before_exception) >> 16) & 0xffff));
			}
			if (((uintptr_t)(&executor_globals.opline_before_exception) >> 32) & 0xffff) {
	dasm_put(Dst, 3552, (((uintptr_t)(&executor_globals.opline_before_exception) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(&executor_globals.opline_before_exception) >> 16) & 0xffff) {
	dasm_put(Dst, 3555, (((uintptr_t)(&executor_globals.opline_before_exception) >> 16) & 0xffff));
			if (((uintptr_t)(&executor_globals.opline_before_exception) >> 32) & 0xffff) {
	dasm_put(Dst, 3558, (((uintptr_t)(&executor_globals.opline_before_exception) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 3561, (((uintptr_t)(&executor_globals.opline_before_exception) >> 32) & 0xffff));
		}
	dasm_put(Dst, 3564);
		}
#line 1970 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|1:
	//|	// opline = EG(exception_op);
	//|	LOAD_IP_ADDR_ZTS executor_globals, exception_op, TMP2
	dasm_put(Dst, 3566);
		if (GCC_GLOBAL_REGS) {
		if (((uintptr_t)(&executor_globals.exception_op)) == 0) {
	dasm_put(Dst, 3568);
		} else if (((uintptr_t)(&executor_globals.exception_op)) <= MOVZ_IMM) {
	dasm_put(Dst, 3570, ((uint64_t)(&executor_globals.exception_op)));
		} else if (arm64_may_use_adr((void*)(&executor_globals.exception_op))) {
	dasm_put(Dst, 3573, (unsigned int)((ptrdiff_t)(&executor_globals.exception_op)), (unsigned int)(((ptrdiff_t)(&executor_globals.exception_op))>>32));
		} else if (arm64_may_use_adrp((void*)(&executor_globals.exception_op))) {
	dasm_put(Dst, 3576, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.exception_op))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.exception_op)))))>>32));
			if (((uintptr_t)(&executor_globals.exception_op)) & 0xfff) {
	dasm_put(Dst, 3579, (((uintptr_t)(&executor_globals.exception_op)) & 0xfff));
			}
		} else if ((uintptr_t)(&executor_globals.exception_op) & 0xffff) {
	dasm_put(Dst, 3582, ((uintptr_t)(&executor_globals.exception_op) & 0xffff));
			if (((uintptr_t)(&executor_globals.exception_op) >> 16) & 0xffff) {
	dasm_put(Dst, 3585, (((uintptr_t)(&executor_globals.exception_op) >> 16) & 0xffff));
			}
			if (((uintptr_t)(&executor_globals.exception_op) >> 32) & 0xffff) {
	dasm_put(Dst, 3588, (((uintptr_t)(&executor_globals.exception_op) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(&executor_globals.exception_op) >> 16) & 0xffff) {
	dasm_put(Dst, 3591, (((uintptr_t)(&executor_globals.exception_op) >> 16) & 0xffff));
			if (((uintptr_t)(&executor_globals.exception_op) >> 32) & 0xffff) {
	dasm_put(Dst, 3594, (((uintptr_t)(&executor_globals.exception_op) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 3597, (((uintptr_t)(&executor_globals.exception_op) >> 32) & 0xffff));
		}
		} else {
		if (((uintptr_t)(&executor_globals.exception_op)) == 0) {
	dasm_put(Dst, 3600);
		} else if (((uintptr_t)(&executor_globals.exception_op)) <= MOVZ_IMM) {
	dasm_put(Dst, 3602, ((uint64_t)(&executor_globals.exception_op)));
		} else if (arm64_may_use_adr((void*)(&executor_globals.exception_op))) {
	dasm_put(Dst, 3605, (unsigned int)((ptrdiff_t)(&executor_globals.exception_op)), (unsigned int)(((ptrdiff_t)(&executor_globals.exception_op))>>32));
		} else if (arm64_may_use_adrp((void*)(&executor_globals.exception_op))) {
	dasm_put(Dst, 3608, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.exception_op))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.exception_op)))))>>32));
			if (((uintptr_t)(&executor_globals.exception_op)) & 0xfff) {
	dasm_put(Dst, 3611, (((uintptr_t)(&executor_globals.exception_op)) & 0xfff));
			}
		} else if ((uintptr_t)(&executor_globals.exception_op) & 0xffff) {
	dasm_put(Dst, 3614, ((uintptr_t)(&executor_globals.exception_op) & 0xffff));
			if (((uintptr_t)(&executor_globals.exception_op) >> 16) & 0xffff) {
	dasm_put(Dst, 3617, (((uintptr_t)(&executor_globals.exception_op) >> 16) & 0xffff));
			}
			if (((uintptr_t)(&executor_globals.exception_op) >> 32) & 0xffff) {
	dasm_put(Dst, 3620, (((uintptr_t)(&executor_globals.exception_op) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(&executor_globals.exception_op) >> 16) & 0xffff) {
	dasm_put(Dst, 3623, (((uintptr_t)(&executor_globals.exception_op) >> 16) & 0xffff));
			if (((uintptr_t)(&executor_globals.exception_op) >> 32) & 0xffff) {
	dasm_put(Dst, 3626, (((uintptr_t)(&executor_globals.exception_op) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 3629, (((uintptr_t)(&executor_globals.exception_op) >> 32) & 0xffff));
		}
	dasm_put(Dst, 3632, Dt1(->opline));
		}
#line 1973 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (GCC_GLOBAL_REGS) {
	//|		str IP, EX->opline
	dasm_put(Dst, 3635, Dt1(->opline));
		}
#line 1976 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	// HANDLE_EXCEPTION()
	//|	b ->exception_handler
	dasm_put(Dst, 3638);
#line 1978 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	return 1;
}

static int zend_jit_throw_cannot_pass_by_ref_stub(dasm_State **Dst)
{
	zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_REG0, 0);

	//|->throw_cannot_pass_by_ref:
	//|	ldr REG0, EX->opline
	//|	ldr REG1w, OP:REG0->result.var
	//|	add REG1, REG1, RX
	//|	SET_Z_TYPE_INFO REG1, IS_UNDEF, TMP1w
	dasm_put(Dst, 3641, Dt1(->opline), Dt2(->result.var));
		if (((uint32_t)(IS_UNDEF)) <= MOVZ_IMM) {
	dasm_put(Dst, 3648, ((uint32_t)(IS_UNDEF)));
		} else if (((uint32_t)(IS_UNDEF) & 0xffff)) {
	dasm_put(Dst, 3651, ((uint32_t)(IS_UNDEF) & 0xffff));
			if ((((uint32_t)(IS_UNDEF) >> 16) & 0xffff)) {
	dasm_put(Dst, 3654, (((uint32_t)(IS_UNDEF) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 3657, (((uint32_t)(IS_UNDEF) >> 16) & 0xffff));
		}
#line 1991 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	// last EX(call) frame may be delayed
	//|	ldr TMP1, EX->call
	//|	cmp RX, TMP1
	//|	beq >1
	//|	ldr REG1, EX->call
	//|	str REG1, EX:RX->prev_execute_data
	//|	str RX, EX->call
	//|1:
	//|	mov RX, REG0
	//|	ldr FCARG1w, OP:REG0->op2.num
	//|	EXT_CALL zend_cannot_pass_by_reference, REG0
	dasm_put(Dst, 3660, offsetof(zval,u1.type_info), Dt1(->call), Dt1(->call), Dt1(->prev_execute_data), Dt1(->call), Dt2(->op2.num));
		if (arm64_may_use_b(zend_cannot_pass_by_reference)) {
	dasm_put(Dst, 3678, (unsigned int)((ptrdiff_t)(zend_cannot_pass_by_reference)), (unsigned int)(((ptrdiff_t)(zend_cannot_pass_by_reference))>>32));
		} else {
		if (((uintptr_t)(zend_cannot_pass_by_reference)) == 0) {
	dasm_put(Dst, 3681);
		} else if (((uintptr_t)(zend_cannot_pass_by_reference)) <= MOVZ_IMM) {
	dasm_put(Dst, 3683, ((uint64_t)(zend_cannot_pass_by_reference)));
		} else if (arm64_may_use_adr((void*)(zend_cannot_pass_by_reference))) {
	dasm_put(Dst, 3686, (unsigned int)((ptrdiff_t)(zend_cannot_pass_by_reference)), (unsigned int)(((ptrdiff_t)(zend_cannot_pass_by_reference))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_cannot_pass_by_reference))) {
	dasm_put(Dst, 3689, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_cannot_pass_by_reference))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_cannot_pass_by_reference)))))>>32));
			if (((uintptr_t)(zend_cannot_pass_by_reference)) & 0xfff) {
	dasm_put(Dst, 3692, (((uintptr_t)(zend_cannot_pass_by_reference)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_cannot_pass_by_reference) & 0xffff) {
	dasm_put(Dst, 3695, ((uintptr_t)(zend_cannot_pass_by_reference) & 0xffff));
			if (((uintptr_t)(zend_cannot_pass_by_reference) >> 16) & 0xffff) {
	dasm_put(Dst, 3698, (((uintptr_t)(zend_cannot_pass_by_reference) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_cannot_pass_by_reference) >> 32) & 0xffff) {
	dasm_put(Dst, 3701, (((uintptr_t)(zend_cannot_pass_by_reference) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_cannot_pass_by_reference) >> 16) & 0xffff) {
	dasm_put(Dst, 3704, (((uintptr_t)(zend_cannot_pass_by_reference) >> 16) & 0xffff));
			if (((uintptr_t)(zend_cannot_pass_by_reference) >> 32) & 0xffff) {
	dasm_put(Dst, 3707, (((uintptr_t)(zend_cannot_pass_by_reference) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 3710, (((uintptr_t)(zend_cannot_pass_by_reference) >> 32) & 0xffff));
		}
	dasm_put(Dst, 3713);
		}
#line 2002 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	ldrb TMP1w, OP:RX->op1_type
	//|	cmp TMP1w, #IS_TMP_VAR
	//|	bne >9
	//|	ldr REG0w, OP:RX->op1.var
	//|	add REG0, REG0, FP
	//|	ZVAL_PTR_DTOR addr, MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF, 0, 0, NULL, ZREG_TMP1, ZREG_TMP2
	dasm_put(Dst, 3715, Dt2(->op1_type), IS_TMP_VAR, Dt2(->op1.var));
		if ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
			if ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
				if (0) {
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
	dasm_put(Dst, 3725, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
		} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
	dasm_put(Dst, 3729, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
	dasm_put(Dst, 3733, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 3737, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 3741, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 3746, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
		}
		if (IS_TYPE_REFCOUNTED == 0) {
	dasm_put(Dst, 3751, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
	dasm_put(Dst, 3754, (ZREG_X15), IS_TYPE_REFCOUNTED);
		} else {
		if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
	dasm_put(Dst, 3758, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
		} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
	dasm_put(Dst, 3762, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
			if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
	dasm_put(Dst, 3766, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 3770, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
		}
	dasm_put(Dst, 3774, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 3778);
	dasm_put(Dst, 3781);
				} else {
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
	dasm_put(Dst, 3783, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
		} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
	dasm_put(Dst, 3787, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
	dasm_put(Dst, 3791, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 3795, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 3799, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 3804, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
		}
		if (IS_TYPE_REFCOUNTED == 0) {
	dasm_put(Dst, 3809, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
	dasm_put(Dst, 3812, (ZREG_X15), IS_TYPE_REFCOUNTED);
		} else {
		if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
	dasm_put(Dst, 3816, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
		} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
	dasm_put(Dst, 3820, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
			if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
	dasm_put(Dst, 3824, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 3828, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
		}
	dasm_put(Dst, 3832, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 3836);
				}
			}
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 3839, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
		} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
	dasm_put(Dst, 3843, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 3847, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 3851, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 3855, (Z_REG(addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 3859, (Z_REG(addr)), (Z_OFFSET(addr)));
		}
	dasm_put(Dst, 3863, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
			if (((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & MAY_BE_GUARD) || RC_MAY_BE_1(MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF)) {
				if (((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & MAY_BE_GUARD) || RC_MAY_BE_N(MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF)) {
					if (0 && (((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & MAY_BE_GUARD) || (RC_MAY_BE_N(MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) && ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
	dasm_put(Dst, 3871);
					} else {
	dasm_put(Dst, 3874);
					}
				}
		do {
			if (!((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & MAY_BE_GUARD)
			 && has_concrete_type((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
				zend_uchar type = concrete_type((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
				if (type == IS_STRING && !ZEND_DEBUG) {
		if (arm64_may_use_b(_efree)) {
	dasm_put(Dst, 3877, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
		} else {
		if (((uintptr_t)(_efree)) == 0) {
	dasm_put(Dst, 3880, (ZREG_X15));
		} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
	dasm_put(Dst, 3883, (ZREG_X15), ((uint64_t)(_efree)));
		} else if (arm64_may_use_adr((void*)(_efree))) {
	dasm_put(Dst, 3887, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
		} else if (arm64_may_use_adrp((void*)(_efree))) {
	dasm_put(Dst, 3891, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
			if (((uintptr_t)(_efree)) & 0xfff) {
	dasm_put(Dst, 3895, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
			}
		} else if ((uintptr_t)(_efree) & 0xffff) {
	dasm_put(Dst, 3900, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
			if (((uintptr_t)(_efree) >> 16) & 0xffff) {
	dasm_put(Dst, 3904, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
			}
			if (((uintptr_t)(_efree) >> 32) & 0xffff) {
	dasm_put(Dst, 3908, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
	dasm_put(Dst, 3912, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
			if (((uintptr_t)(_efree) >> 32) & 0xffff) {
	dasm_put(Dst, 3916, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 3920, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
		}
	dasm_put(Dst, 3924, (ZREG_X15));
		}
					break;
				} else if (type == IS_ARRAY) {
					if ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
						if (NULL && ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
		if (NULL == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 3927, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(NULL)) == 0) {
	dasm_put(Dst, 3930, (ZREG_X15));
		} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
	dasm_put(Dst, 3933, (ZREG_X15), ((uint64_t)(NULL)));
		} else if (arm64_may_use_adr((void*)(NULL))) {
	dasm_put(Dst, 3937, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
		} else if (arm64_may_use_adrp((void*)(NULL))) {
	dasm_put(Dst, 3941, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
			if (((uintptr_t)(NULL)) & 0xfff) {
	dasm_put(Dst, 3945, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
			}
		} else if ((uintptr_t)(NULL) & 0xffff) {
	dasm_put(Dst, 3950, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
			if (((uintptr_t)(NULL) >> 16) & 0xffff) {
	dasm_put(Dst, 3954, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
			}
			if (((uintptr_t)(NULL) >> 32) & 0xffff) {
	dasm_put(Dst, 3958, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
	dasm_put(Dst, 3962, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
			if (((uintptr_t)(NULL) >> 32) & 0xffff) {
	dasm_put(Dst, 3966, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 3970, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
		}
	dasm_put(Dst, 3974, (ZREG_X15), Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
						}
		if (arm64_may_use_b(zend_array_destroy)) {
	dasm_put(Dst, 3978, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
		} else {
		if (((uintptr_t)(zend_array_destroy)) == 0) {
	dasm_put(Dst, 3981, (ZREG_X15));
		} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
	dasm_put(Dst, 3984, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
		} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
	dasm_put(Dst, 3988, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
	dasm_put(Dst, 3992, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
			if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
	dasm_put(Dst, 3996, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
	dasm_put(Dst, 4001, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
			if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
	dasm_put(Dst, 4005, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
	dasm_put(Dst, 4009, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
	dasm_put(Dst, 4013, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
			if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
	dasm_put(Dst, 4017, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 4021, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
		}
	dasm_put(Dst, 4025, (ZREG_X15));
		}
					} else {
		if (arm64_may_use_b(zend_jit_array_free)) {
	dasm_put(Dst, 4028, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
		} else {
		if (((uintptr_t)(zend_jit_array_free)) == 0) {
	dasm_put(Dst, 4031, (ZREG_X15));
		} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
	dasm_put(Dst, 4034, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
		} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
	dasm_put(Dst, 4038, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
	dasm_put(Dst, 4042, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
			if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
	dasm_put(Dst, 4046, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
	dasm_put(Dst, 4051, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
			if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
	dasm_put(Dst, 4055, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
	dasm_put(Dst, 4059, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
	dasm_put(Dst, 4063, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
			if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
	dasm_put(Dst, 4067, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 4071, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
		}
	dasm_put(Dst, 4075, (ZREG_X15));
		}
					}
					break;
				} else if (type == IS_OBJECT) {
					if (NULL) {
		if (NULL == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 4078, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(NULL)) == 0) {
	dasm_put(Dst, 4081);
		} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
	dasm_put(Dst, 4083, ((uint64_t)(NULL)));
		} else if (arm64_may_use_adr((void*)(NULL))) {
	dasm_put(Dst, 4086, (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
		} else if (arm64_may_use_adrp((void*)(NULL))) {
	dasm_put(Dst, 4089, (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
			if (((uintptr_t)(NULL)) & 0xfff) {
	dasm_put(Dst, 4092, (((uintptr_t)(NULL)) & 0xfff));
			}
		} else if ((uintptr_t)(NULL) & 0xffff) {
	dasm_put(Dst, 4095, ((uintptr_t)(NULL) & 0xffff));
			if (((uintptr_t)(NULL) >> 16) & 0xffff) {
	dasm_put(Dst, 4098, (((uintptr_t)(NULL) >> 16) & 0xffff));
			}
			if (((uintptr_t)(NULL) >> 32) & 0xffff) {
	dasm_put(Dst, 4101, (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
	dasm_put(Dst, 4104, (((uintptr_t)(NULL) >> 16) & 0xffff));
			if (((uintptr_t)(NULL) >> 32) & 0xffff) {
	dasm_put(Dst, 4107, (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 4110, (((uintptr_t)(NULL) >> 32) & 0xffff));
		}
	dasm_put(Dst, 4113, Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
					}
		if (arm64_may_use_b(zend_objects_store_del)) {
	dasm_put(Dst, 4116, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
		} else {
		if (((uintptr_t)(zend_objects_store_del)) == 0) {
	dasm_put(Dst, 4119, (ZREG_X15));
		} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
	dasm_put(Dst, 4122, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
		} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
	dasm_put(Dst, 4126, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
	dasm_put(Dst, 4130, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
			if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
	dasm_put(Dst, 4134, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
	dasm_put(Dst, 4139, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
			if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
	dasm_put(Dst, 4143, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
	dasm_put(Dst, 4147, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
	dasm_put(Dst, 4151, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
			if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
	dasm_put(Dst, 4155, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 4159, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
		}
	dasm_put(Dst, 4163, (ZREG_X15));
		}
					break;
				}
			}
			if (NULL) {
		if (NULL == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 4166, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(NULL)) == 0) {
	dasm_put(Dst, 4169, (ZREG_X15));
		} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
	dasm_put(Dst, 4172, (ZREG_X15), ((uint64_t)(NULL)));
		} else if (arm64_may_use_adr((void*)(NULL))) {
	dasm_put(Dst, 4176, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
		} else if (arm64_may_use_adrp((void*)(NULL))) {
	dasm_put(Dst, 4180, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
			if (((uintptr_t)(NULL)) & 0xfff) {
	dasm_put(Dst, 4184, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
			}
		} else if ((uintptr_t)(NULL) & 0xffff) {
	dasm_put(Dst, 4189, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
			if (((uintptr_t)(NULL) >> 16) & 0xffff) {
	dasm_put(Dst, 4193, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
			}
			if (((uintptr_t)(NULL) >> 32) & 0xffff) {
	dasm_put(Dst, 4197, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
	dasm_put(Dst, 4201, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
			if (((uintptr_t)(NULL) >> 32) & 0xffff) {
	dasm_put(Dst, 4205, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 4209, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
		}
	dasm_put(Dst, 4213, (ZREG_X15), Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
			}
		if (arm64_may_use_b(rc_dtor_func)) {
	dasm_put(Dst, 4217, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
		} else {
		if (((uintptr_t)(rc_dtor_func)) == 0) {
	dasm_put(Dst, 4220, (ZREG_X15));
		} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
	dasm_put(Dst, 4223, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
		} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
	dasm_put(Dst, 4227, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
		} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
	dasm_put(Dst, 4231, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
			if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
	dasm_put(Dst, 4235, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
			}
		} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
	dasm_put(Dst, 4240, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
			if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
	dasm_put(Dst, 4244, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
			}
			if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
	dasm_put(Dst, 4248, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
	dasm_put(Dst, 4252, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
			if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
	dasm_put(Dst, 4256, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 4260, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
		}
	dasm_put(Dst, 4264, (ZREG_X15));
		}
		} while(0);
				if (0 && (((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & MAY_BE_GUARD) || (RC_MAY_BE_N(MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) && ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
	dasm_put(Dst, 4267);
				}
	dasm_put(Dst, 4270);
			}
			if (0 && (((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & MAY_BE_GUARD) || (RC_MAY_BE_N(MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) && ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
				if ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_REF|MAY_BE_GUARD)) {
					zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
	dasm_put(Dst, 4272, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
		} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
	dasm_put(Dst, 4276, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
	dasm_put(Dst, 4280, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 4284, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 4288, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
		} else {
	dasm_put(Dst, 4293, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
		}
		if (IS_REFERENCE == 0) {
	dasm_put(Dst, 4298, (ZREG_X15));
		} else {
	dasm_put(Dst, 4302, (ZREG_X15), IS_REFERENCE);
		}
		ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
	dasm_put(Dst, 4308, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
		} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
	dasm_put(Dst, 4312, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
	dasm_put(Dst, 4316, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 4320, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 4324, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 4329, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
		}
		if (IS_TYPE_COLLECTABLE == 0) {
	dasm_put(Dst, 4334, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
	dasm_put(Dst, 4337, (ZREG_X15), IS_TYPE_COLLECTABLE);
		} else {
		if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
	dasm_put(Dst, 4341, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
		} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
	dasm_put(Dst, 4345, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
			if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
	dasm_put(Dst, 4349, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 4353, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
		}
	dasm_put(Dst, 4357, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 4361);
		ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 4364, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
		} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
	dasm_put(Dst, 4368, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 4372, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 4376, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 4380, (Z_REG(ref_addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 4384, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
		}
	dasm_put(Dst, 4388);
				}
	dasm_put(Dst, 4390, (ZREG_X15));
		if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
	dasm_put(Dst, 4393, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
	dasm_put(Dst, 4396, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
		} else {
		if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
	dasm_put(Dst, 4400, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
		} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
	dasm_put(Dst, 4404, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
			if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
	dasm_put(Dst, 4408, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 4412, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
		}
	dasm_put(Dst, 4416, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 4420);
		if (arm64_may_use_b(gc_possible_root)) {
	dasm_put(Dst, 4423, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
		} else {
		if (((uintptr_t)(gc_possible_root)) == 0) {
	dasm_put(Dst, 4426, (ZREG_X15));
		} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
	dasm_put(Dst, 4429, (ZREG_X15), ((uint64_t)(gc_possible_root)));
		} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
	dasm_put(Dst, 4433, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
		} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
	dasm_put(Dst, 4437, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
			if (((uintptr_t)(gc_possible_root)) & 0xfff) {
	dasm_put(Dst, 4441, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
			}
		} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
	dasm_put(Dst, 4446, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
			if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
	dasm_put(Dst, 4450, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
			}
			if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
	dasm_put(Dst, 4454, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
	dasm_put(Dst, 4458, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
			if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
	dasm_put(Dst, 4462, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 4466, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
		}
	dasm_put(Dst, 4470, (ZREG_X15));
		}
			}
			if (0 && ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
	dasm_put(Dst, 4473);
			}
	dasm_put(Dst, 4476);
		}
#line 2008 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|9:
	//|	b ->exception_handler
	dasm_put(Dst, 4478);
#line 2010 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	return 1;
}

static int zend_jit_undefined_offset_ex_stub(dasm_State **Dst)
{
	//|->undefined_offset_ex:
	//|	SAVE_IP
	dasm_put(Dst, 4482);
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 4484, Dt1(->opline));
		}
#line 2018 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	b ->undefined_offset
	dasm_put(Dst, 4487);
#line 2019 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	return 1;
}

static int zend_jit_undefined_offset_stub(dasm_State **Dst)
{
	//|->undefined_offset:
	dasm_put(Dst, 4490);
#line 2026 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
#ifdef __APPLE__
	//|	stp x29, x30, [sp, # -16]!
	//|	mov x29, sp
	dasm_put(Dst, 4492);
#line 2029 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
#endif
	//|	//sub r4, 8
	//|	ldr REG0, EX->opline
	//|	ldr REG1w, OP:REG0->result.var
	//|	add REG1, REG1, FP
	//|	SET_Z_TYPE_INFO REG1, IS_NULL, TMP1w
	dasm_put(Dst, 4495, Dt1(->opline), Dt2(->result.var));
		if (((uint32_t)(IS_NULL)) <= MOVZ_IMM) {
	dasm_put(Dst, 4501, ((uint32_t)(IS_NULL)));
		} else if (((uint32_t)(IS_NULL) & 0xffff)) {
	dasm_put(Dst, 4504, ((uint32_t)(IS_NULL) & 0xffff));
			if ((((uint32_t)(IS_NULL) >> 16) & 0xffff)) {
	dasm_put(Dst, 4507, (((uint32_t)(IS_NULL) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 4510, (((uint32_t)(IS_NULL) >> 16) & 0xffff));
		}
#line 2035 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	ldrb REG1w, OP:REG0->op2_type
	//|	cmp REG1w, #IS_CONST
	//|	bne >2
	//|	ldrsw REG1, OP:REG0->op2.constant
	//|	add REG0, REG0, REG1
	//|	b >3
	//|2:
	//|	ldr REG0w, OP:REG0->op2.var
	//|	add REG0, REG0, FP
	//|3:
	//|	mov CARG1, #E_WARNING
	//|	LOAD_ADDR CARG2, "Undefined array key " ZEND_LONG_FMT
	dasm_put(Dst, 4513, offsetof(zval,u1.type_info), Dt2(->op2_type), IS_CONST, Dt2(->op2.constant), Dt2(->op2.var), E_WARNING);
		if (((uintptr_t)("Undefined array key " ZEND_LONG_FMT)) == 0) {
	dasm_put(Dst, 4534);
		} else if (((uintptr_t)("Undefined array key " ZEND_LONG_FMT)) <= MOVZ_IMM) {
	dasm_put(Dst, 4536, ((uint64_t)("Undefined array key " ZEND_LONG_FMT)));
		} else if (arm64_may_use_adr((void*)("Undefined array key " ZEND_LONG_FMT))) {
	dasm_put(Dst, 4539, (unsigned int)((ptrdiff_t)("Undefined array key " ZEND_LONG_FMT)), (unsigned int)(((ptrdiff_t)("Undefined array key " ZEND_LONG_FMT))>>32));
		} else if (arm64_may_use_adrp((void*)("Undefined array key " ZEND_LONG_FMT))) {
	dasm_put(Dst, 4542, (unsigned int)((ptrdiff_t)((((uintptr_t)("Undefined array key " ZEND_LONG_FMT))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)("Undefined array key " ZEND_LONG_FMT)))))>>32));
			if (((uintptr_t)("Undefined array key " ZEND_LONG_FMT)) & 0xfff) {
	dasm_put(Dst, 4545, (((uintptr_t)("Undefined array key " ZEND_LONG_FMT)) & 0xfff));
			}
		} else if ((uintptr_t)("Undefined array key " ZEND_LONG_FMT) & 0xffff) {
	dasm_put(Dst, 4548, ((uintptr_t)("Undefined array key " ZEND_LONG_FMT) & 0xffff));
			if (((uintptr_t)("Undefined array key " ZEND_LONG_FMT) >> 16) & 0xffff) {
	dasm_put(Dst, 4551, (((uintptr_t)("Undefined array key " ZEND_LONG_FMT) >> 16) & 0xffff));
			}
			if (((uintptr_t)("Undefined array key " ZEND_LONG_FMT) >> 32) & 0xffff) {
	dasm_put(Dst, 4554, (((uintptr_t)("Undefined array key " ZEND_LONG_FMT) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)("Undefined array key " ZEND_LONG_FMT) >> 16) & 0xffff) {
	dasm_put(Dst, 4557, (((uintptr_t)("Undefined array key " ZEND_LONG_FMT) >> 16) & 0xffff));
			if (((uintptr_t)("Undefined array key " ZEND_LONG_FMT) >> 32) & 0xffff) {
	dasm_put(Dst, 4560, (((uintptr_t)("Undefined array key " ZEND_LONG_FMT) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 4563, (((uintptr_t)("Undefined array key " ZEND_LONG_FMT) >> 32) & 0xffff));
		}
#line 2047 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	ldr CARG3, [REG0]
	dasm_put(Dst, 4566);
#line 2048 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
#ifdef __APPLE__
	//|	str CARG3, [sp, #-16]!
	//|	EXT_CALL zend_error, REG0
	dasm_put(Dst, 4568);
		if (arm64_may_use_b(zend_error)) {
	dasm_put(Dst, 4570, (unsigned int)((ptrdiff_t)(zend_error)), (unsigned int)(((ptrdiff_t)(zend_error))>>32));
		} else {
		if (((uintptr_t)(zend_error)) == 0) {
	dasm_put(Dst, 4573);
		} else if (((uintptr_t)(zend_error)) <= MOVZ_IMM) {
	dasm_put(Dst, 4575, ((uint64_t)(zend_error)));
		} else if (arm64_may_use_adr((void*)(zend_error))) {
	dasm_put(Dst, 4578, (unsigned int)((ptrdiff_t)(zend_error)), (unsigned int)(((ptrdiff_t)(zend_error))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_error))) {
	dasm_put(Dst, 4581, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_error))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_error)))))>>32));
			if (((uintptr_t)(zend_error)) & 0xfff) {
	dasm_put(Dst, 4584, (((uintptr_t)(zend_error)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_error) & 0xffff) {
	dasm_put(Dst, 4587, ((uintptr_t)(zend_error) & 0xffff));
			if (((uintptr_t)(zend_error) >> 16) & 0xffff) {
	dasm_put(Dst, 4590, (((uintptr_t)(zend_error) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_error) >> 32) & 0xffff) {
	dasm_put(Dst, 4593, (((uintptr_t)(zend_error) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_error) >> 16) & 0xffff) {
	dasm_put(Dst, 4596, (((uintptr_t)(zend_error) >> 16) & 0xffff));
			if (((uintptr_t)(zend_error) >> 32) & 0xffff) {
	dasm_put(Dst, 4599, (((uintptr_t)(zend_error) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 4602, (((uintptr_t)(zend_error) >> 32) & 0xffff));
		}
	dasm_put(Dst, 4605);
		}
#line 2051 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	add sp, sp, #16
	//|	ldp x29, x30, [sp], #16
	//|	ret
	dasm_put(Dst, 4607);
#line 2054 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
#else
	//|	EXT_JMP zend_error, REG0 // tail call
		if (arm64_may_use_b(zend_error)) {
	dasm_put(Dst, 4611, (unsigned int)((ptrdiff_t)(zend_error)), (unsigned int)(((ptrdiff_t)(zend_error))>>32));
		} else {
		if (((uintptr_t)(zend_error)) == 0) {
	dasm_put(Dst, 4614);
		} else if (((uintptr_t)(zend_error)) <= MOVZ_IMM) {
	dasm_put(Dst, 4616, ((uint64_t)(zend_error)));
		} else if (arm64_may_use_adr((void*)(zend_error))) {
	dasm_put(Dst, 4619, (unsigned int)((ptrdiff_t)(zend_error)), (unsigned int)(((ptrdiff_t)(zend_error))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_error))) {
	dasm_put(Dst, 4622, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_error))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_error)))))>>32));
			if (((uintptr_t)(zend_error)) & 0xfff) {
	dasm_put(Dst, 4625, (((uintptr_t)(zend_error)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_error) & 0xffff) {
	dasm_put(Dst, 4628, ((uintptr_t)(zend_error) & 0xffff));
			if (((uintptr_t)(zend_error) >> 16) & 0xffff) {
	dasm_put(Dst, 4631, (((uintptr_t)(zend_error) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_error) >> 32) & 0xffff) {
	dasm_put(Dst, 4634, (((uintptr_t)(zend_error) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_error) >> 16) & 0xffff) {
	dasm_put(Dst, 4637, (((uintptr_t)(zend_error) >> 16) & 0xffff));
			if (((uintptr_t)(zend_error) >> 32) & 0xffff) {
	dasm_put(Dst, 4640, (((uintptr_t)(zend_error) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 4643, (((uintptr_t)(zend_error) >> 32) & 0xffff));
		}
	dasm_put(Dst, 4646);
		}
#line 2056 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	//add r4, 8 // stack alignment
	//|	//ret
#endif

	return 1;
}

static int zend_jit_undefined_index_ex_stub(dasm_State **Dst)
{
	//|->undefined_index_ex:
	//|	SAVE_IP
	dasm_put(Dst, 4648);
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 4650, Dt1(->opline));
		}
#line 2067 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	b ->undefined_index
	dasm_put(Dst, 4653);
#line 2068 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	return 1;
}

static int zend_jit_undefined_index_stub(dasm_State **Dst)
{
	//|->undefined_index:
	dasm_put(Dst, 4656);
#line 2075 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
#ifdef __APPLE__
	//|	stp x29, x30, [sp, # -16]!
	//|	mov x29, sp
	dasm_put(Dst, 4658);
#line 2078 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
#endif
	//|	//sub r4, 8
	//|	ldr REG0, EX->opline
	//|	ldr REG1w, OP:REG0->result.var
	//|	add REG1, REG1, FP
	//|	SET_Z_TYPE_INFO REG1, IS_NULL, TMP1w
	dasm_put(Dst, 4661, Dt1(->opline), Dt2(->result.var));
		if (((uint32_t)(IS_NULL)) <= MOVZ_IMM) {
	dasm_put(Dst, 4667, ((uint32_t)(IS_NULL)));
		} else if (((uint32_t)(IS_NULL) & 0xffff)) {
	dasm_put(Dst, 4670, ((uint32_t)(IS_NULL) & 0xffff));
			if ((((uint32_t)(IS_NULL) >> 16) & 0xffff)) {
	dasm_put(Dst, 4673, (((uint32_t)(IS_NULL) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 4676, (((uint32_t)(IS_NULL) >> 16) & 0xffff));
		}
#line 2084 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	ldrb REG1w, OP:REG0->op2_type
	//|	cmp REG1w, #IS_CONST
	//|	bne >2
	//|	ldrsw REG1, OP:REG0->op2.constant
	//|	add REG0, REG0, REG1
	//|	b >3
	//|2:
	//|	ldr REG0w, OP:REG0->op2.var
	//|	add REG0, REG0, FP
	//|3:
	//|	mov CARG1, #E_WARNING
	//|	LOAD_ADDR CARG2, "Undefined array key \"%s\""
	dasm_put(Dst, 4679, offsetof(zval,u1.type_info), Dt2(->op2_type), IS_CONST, Dt2(->op2.constant), Dt2(->op2.var), E_WARNING);
		if (((uintptr_t)("Undefined array key \"%s\"")) == 0) {
	dasm_put(Dst, 4700);
		} else if (((uintptr_t)("Undefined array key \"%s\"")) <= MOVZ_IMM) {
	dasm_put(Dst, 4702, ((uint64_t)("Undefined array key \"%s\"")));
		} else if (arm64_may_use_adr((void*)("Undefined array key \"%s\""))) {
	dasm_put(Dst, 4705, (unsigned int)((ptrdiff_t)("Undefined array key \"%s\"")), (unsigned int)(((ptrdiff_t)("Undefined array key \"%s\""))>>32));
		} else if (arm64_may_use_adrp((void*)("Undefined array key \"%s\""))) {
	dasm_put(Dst, 4708, (unsigned int)((ptrdiff_t)((((uintptr_t)("Undefined array key \"%s\""))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)("Undefined array key \"%s\"")))))>>32));
			if (((uintptr_t)("Undefined array key \"%s\"")) & 0xfff) {
	dasm_put(Dst, 4711, (((uintptr_t)("Undefined array key \"%s\"")) & 0xfff));
			}
		} else if ((uintptr_t)("Undefined array key \"%s\"") & 0xffff) {
	dasm_put(Dst, 4714, ((uintptr_t)("Undefined array key \"%s\"") & 0xffff));
			if (((uintptr_t)("Undefined array key \"%s\"") >> 16) & 0xffff) {
	dasm_put(Dst, 4717, (((uintptr_t)("Undefined array key \"%s\"") >> 16) & 0xffff));
			}
			if (((uintptr_t)("Undefined array key \"%s\"") >> 32) & 0xffff) {
	dasm_put(Dst, 4720, (((uintptr_t)("Undefined array key \"%s\"") >> 32) & 0xffff));
			}
		} else if (((uintptr_t)("Undefined array key \"%s\"") >> 16) & 0xffff) {
	dasm_put(Dst, 4723, (((uintptr_t)("Undefined array key \"%s\"") >> 16) & 0xffff));
			if (((uintptr_t)("Undefined array key \"%s\"") >> 32) & 0xffff) {
	dasm_put(Dst, 4726, (((uintptr_t)("Undefined array key \"%s\"") >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 4729, (((uintptr_t)("Undefined array key \"%s\"") >> 32) & 0xffff));
		}
#line 2096 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	ldr CARG3, [REG0]
	//|	add CARG3, CARG3, #offsetof(zend_string, val)
	dasm_put(Dst, 4732, offsetof(zend_string, val));
#line 2098 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
#ifdef __APPLE__
	//|	str CARG3, [sp, #-16]!
	//|	EXT_CALL zend_error, REG0
	dasm_put(Dst, 4736);
		if (arm64_may_use_b(zend_error)) {
	dasm_put(Dst, 4738, (unsigned int)((ptrdiff_t)(zend_error)), (unsigned int)(((ptrdiff_t)(zend_error))>>32));
		} else {
		if (((uintptr_t)(zend_error)) == 0) {
	dasm_put(Dst, 4741);
		} else if (((uintptr_t)(zend_error)) <= MOVZ_IMM) {
	dasm_put(Dst, 4743, ((uint64_t)(zend_error)));
		} else if (arm64_may_use_adr((void*)(zend_error))) {
	dasm_put(Dst, 4746, (unsigned int)((ptrdiff_t)(zend_error)), (unsigned int)(((ptrdiff_t)(zend_error))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_error))) {
	dasm_put(Dst, 4749, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_error))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_error)))))>>32));
			if (((uintptr_t)(zend_error)) & 0xfff) {
	dasm_put(Dst, 4752, (((uintptr_t)(zend_error)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_error) & 0xffff) {
	dasm_put(Dst, 4755, ((uintptr_t)(zend_error) & 0xffff));
			if (((uintptr_t)(zend_error) >> 16) & 0xffff) {
	dasm_put(Dst, 4758, (((uintptr_t)(zend_error) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_error) >> 32) & 0xffff) {
	dasm_put(Dst, 4761, (((uintptr_t)(zend_error) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_error) >> 16) & 0xffff) {
	dasm_put(Dst, 4764, (((uintptr_t)(zend_error) >> 16) & 0xffff));
			if (((uintptr_t)(zend_error) >> 32) & 0xffff) {
	dasm_put(Dst, 4767, (((uintptr_t)(zend_error) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 4770, (((uintptr_t)(zend_error) >> 32) & 0xffff));
		}
	dasm_put(Dst, 4773);
		}
#line 2101 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	add sp, sp, #16
	//|	ldp x29, x30, [sp], #16
	//|	ret
	dasm_put(Dst, 4775);
#line 2104 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
#else
	//|	EXT_JMP zend_error, REG0 // tail call
		if (arm64_may_use_b(zend_error)) {
	dasm_put(Dst, 4779, (unsigned int)((ptrdiff_t)(zend_error)), (unsigned int)(((ptrdiff_t)(zend_error))>>32));
		} else {
		if (((uintptr_t)(zend_error)) == 0) {
	dasm_put(Dst, 4782);
		} else if (((uintptr_t)(zend_error)) <= MOVZ_IMM) {
	dasm_put(Dst, 4784, ((uint64_t)(zend_error)));
		} else if (arm64_may_use_adr((void*)(zend_error))) {
	dasm_put(Dst, 4787, (unsigned int)((ptrdiff_t)(zend_error)), (unsigned int)(((ptrdiff_t)(zend_error))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_error))) {
	dasm_put(Dst, 4790, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_error))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_error)))))>>32));
			if (((uintptr_t)(zend_error)) & 0xfff) {
	dasm_put(Dst, 4793, (((uintptr_t)(zend_error)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_error) & 0xffff) {
	dasm_put(Dst, 4796, ((uintptr_t)(zend_error) & 0xffff));
			if (((uintptr_t)(zend_error) >> 16) & 0xffff) {
	dasm_put(Dst, 4799, (((uintptr_t)(zend_error) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_error) >> 32) & 0xffff) {
	dasm_put(Dst, 4802, (((uintptr_t)(zend_error) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_error) >> 16) & 0xffff) {
	dasm_put(Dst, 4805, (((uintptr_t)(zend_error) >> 16) & 0xffff));
			if (((uintptr_t)(zend_error) >> 32) & 0xffff) {
	dasm_put(Dst, 4808, (((uintptr_t)(zend_error) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 4811, (((uintptr_t)(zend_error) >> 32) & 0xffff));
		}
	dasm_put(Dst, 4814);
		}
#line 2106 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	//add r4, 8
	//|	//ret
#endif

	return 1;
}

static int zend_jit_cannot_add_element_ex_stub(dasm_State **Dst)
{
	//|->cannot_add_element_ex:
	//|	SAVE_IP
	dasm_put(Dst, 4816);
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 4818, Dt1(->opline));
		}
#line 2117 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	b ->cannot_add_element
	dasm_put(Dst, 4821);
#line 2118 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	return 1;
}

static int zend_jit_cannot_add_element_stub(dasm_State **Dst)
{
	//|->cannot_add_element:
	//|	// sub r4, 8
	//|	ldr REG0, EX->opline
	//|	ldrb TMP1w, OP:REG0->result_type
	//|	cmp TMP1w, #IS_UNUSED
	//|	beq >1
	//|	ldr REG0w, OP:REG0->result.var
	//|	add REG0, REG0, FP
	//|	SET_Z_TYPE_INFO REG0, IS_NULL, TMP1w
	dasm_put(Dst, 4824, Dt1(->opline), Dt2(->result_type), IS_UNUSED, Dt2(->result.var));
		if (((uint32_t)(IS_NULL)) <= MOVZ_IMM) {
	dasm_put(Dst, 4837, ((uint32_t)(IS_NULL)));
		} else if (((uint32_t)(IS_NULL) & 0xffff)) {
	dasm_put(Dst, 4840, ((uint32_t)(IS_NULL) & 0xffff));
			if ((((uint32_t)(IS_NULL) >> 16) & 0xffff)) {
	dasm_put(Dst, 4843, (((uint32_t)(IS_NULL) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 4846, (((uint32_t)(IS_NULL) >> 16) & 0xffff));
		}
#line 2133 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|1:
	//|	mov CARG1, xzr
	//|	LOAD_ADDR CARG2, "Cannot add element to the array as the next element is already occupied"
	dasm_put(Dst, 4849, offsetof(zval,u1.type_info));
		if (((uintptr_t)("Cannot add element to the array as the next element is already occupied")) == 0) {
	dasm_put(Dst, 4854);
		} else if (((uintptr_t)("Cannot add element to the array as the next element is already occupied")) <= MOVZ_IMM) {
	dasm_put(Dst, 4856, ((uint64_t)("Cannot add element to the array as the next element is already occupied")));
		} else if (arm64_may_use_adr((void*)("Cannot add element to the array as the next element is already occupied"))) {
	dasm_put(Dst, 4859, (unsigned int)((ptrdiff_t)("Cannot add element to the array as the next element is already occupied")), (unsigned int)(((ptrdiff_t)("Cannot add element to the array as the next element is already occupied"))>>32));
		} else if (arm64_may_use_adrp((void*)("Cannot add element to the array as the next element is already occupied"))) {
	dasm_put(Dst, 4862, (unsigned int)((ptrdiff_t)((((uintptr_t)("Cannot add element to the array as the next element is already occupied"))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)("Cannot add element to the array as the next element is already occupied")))))>>32));
			if (((uintptr_t)("Cannot add element to the array as the next element is already occupied")) & 0xfff) {
	dasm_put(Dst, 4865, (((uintptr_t)("Cannot add element to the array as the next element is already occupied")) & 0xfff));
			}
		} else if ((uintptr_t)("Cannot add element to the array as the next element is already occupied") & 0xffff) {
	dasm_put(Dst, 4868, ((uintptr_t)("Cannot add element to the array as the next element is already occupied") & 0xffff));
			if (((uintptr_t)("Cannot add element to the array as the next element is already occupied") >> 16) & 0xffff) {
	dasm_put(Dst, 4871, (((uintptr_t)("Cannot add element to the array as the next element is already occupied") >> 16) & 0xffff));
			}
			if (((uintptr_t)("Cannot add element to the array as the next element is already occupied") >> 32) & 0xffff) {
	dasm_put(Dst, 4874, (((uintptr_t)("Cannot add element to the array as the next element is already occupied") >> 32) & 0xffff));
			}
		} else if (((uintptr_t)("Cannot add element to the array as the next element is already occupied") >> 16) & 0xffff) {
	dasm_put(Dst, 4877, (((uintptr_t)("Cannot add element to the array as the next element is already occupied") >> 16) & 0xffff));
			if (((uintptr_t)("Cannot add element to the array as the next element is already occupied") >> 32) & 0xffff) {
	dasm_put(Dst, 4880, (((uintptr_t)("Cannot add element to the array as the next element is already occupied") >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 4883, (((uintptr_t)("Cannot add element to the array as the next element is already occupied") >> 32) & 0xffff));
		}
#line 2136 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	EXT_JMP zend_throw_error, REG0 // tail call
		if (arm64_may_use_b(zend_throw_error)) {
	dasm_put(Dst, 4886, (unsigned int)((ptrdiff_t)(zend_throw_error)), (unsigned int)(((ptrdiff_t)(zend_throw_error))>>32));
		} else {
		if (((uintptr_t)(zend_throw_error)) == 0) {
	dasm_put(Dst, 4889);
		} else if (((uintptr_t)(zend_throw_error)) <= MOVZ_IMM) {
	dasm_put(Dst, 4891, ((uint64_t)(zend_throw_error)));
		} else if (arm64_may_use_adr((void*)(zend_throw_error))) {
	dasm_put(Dst, 4894, (unsigned int)((ptrdiff_t)(zend_throw_error)), (unsigned int)(((ptrdiff_t)(zend_throw_error))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_throw_error))) {
	dasm_put(Dst, 4897, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_throw_error))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_throw_error)))))>>32));
			if (((uintptr_t)(zend_throw_error)) & 0xfff) {
	dasm_put(Dst, 4900, (((uintptr_t)(zend_throw_error)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_throw_error) & 0xffff) {
	dasm_put(Dst, 4903, ((uintptr_t)(zend_throw_error) & 0xffff));
			if (((uintptr_t)(zend_throw_error) >> 16) & 0xffff) {
	dasm_put(Dst, 4906, (((uintptr_t)(zend_throw_error) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_throw_error) >> 32) & 0xffff) {
	dasm_put(Dst, 4909, (((uintptr_t)(zend_throw_error) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_throw_error) >> 16) & 0xffff) {
	dasm_put(Dst, 4912, (((uintptr_t)(zend_throw_error) >> 16) & 0xffff));
			if (((uintptr_t)(zend_throw_error) >> 32) & 0xffff) {
	dasm_put(Dst, 4915, (((uintptr_t)(zend_throw_error) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 4918, (((uintptr_t)(zend_throw_error) >> 32) & 0xffff));
		}
	dasm_put(Dst, 4921);
		}
#line 2137 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	// add r4, 8
	//|	//ret

	return 1;
}

static int zend_jit_undefined_function_stub(dasm_State **Dst)
{
	//|->undefined_function:
	//|	ldr REG0, EX->opline
	//|	mov CARG1, xzr
	//|	LOAD_ADDR CARG2, "Call to undefined function %s()"
	dasm_put(Dst, 4923, Dt1(->opline));
		if (((uintptr_t)("Call to undefined function %s()")) == 0) {
	dasm_put(Dst, 4928);
		} else if (((uintptr_t)("Call to undefined function %s()")) <= MOVZ_IMM) {
	dasm_put(Dst, 4930, ((uint64_t)("Call to undefined function %s()")));
		} else if (arm64_may_use_adr((void*)("Call to undefined function %s()"))) {
	dasm_put(Dst, 4933, (unsigned int)((ptrdiff_t)("Call to undefined function %s()")), (unsigned int)(((ptrdiff_t)("Call to undefined function %s()"))>>32));
		} else if (arm64_may_use_adrp((void*)("Call to undefined function %s()"))) {
	dasm_put(Dst, 4936, (unsigned int)((ptrdiff_t)((((uintptr_t)("Call to undefined function %s()"))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)("Call to undefined function %s()")))))>>32));
			if (((uintptr_t)("Call to undefined function %s()")) & 0xfff) {
	dasm_put(Dst, 4939, (((uintptr_t)("Call to undefined function %s()")) & 0xfff));
			}
		} else if ((uintptr_t)("Call to undefined function %s()") & 0xffff) {
	dasm_put(Dst, 4942, ((uintptr_t)("Call to undefined function %s()") & 0xffff));
			if (((uintptr_t)("Call to undefined function %s()") >> 16) & 0xffff) {
	dasm_put(Dst, 4945, (((uintptr_t)("Call to undefined function %s()") >> 16) & 0xffff));
			}
			if (((uintptr_t)("Call to undefined function %s()") >> 32) & 0xffff) {
	dasm_put(Dst, 4948, (((uintptr_t)("Call to undefined function %s()") >> 32) & 0xffff));
			}
		} else if (((uintptr_t)("Call to undefined function %s()") >> 16) & 0xffff) {
	dasm_put(Dst, 4951, (((uintptr_t)("Call to undefined function %s()") >> 16) & 0xffff));
			if (((uintptr_t)("Call to undefined function %s()") >> 32) & 0xffff) {
	dasm_put(Dst, 4954, (((uintptr_t)("Call to undefined function %s()") >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 4957, (((uintptr_t)("Call to undefined function %s()") >> 32) & 0xffff));
		}
#line 2149 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	ldrsw CARG3, [REG0, #offsetof(zend_op, op2.constant)]
	//|	ldr CARG3, [REG0, CARG3]
	//|	add CARG3, CARG3, #offsetof(zend_string, val)
	dasm_put(Dst, 4960, offsetof(zend_op, op2.constant), offsetof(zend_string, val));
#line 2152 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
#ifdef __APPLE__
	//|	str CARG3, [sp, #-16]!
	dasm_put(Dst, 4966);
#line 2154 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
#endif
	//|	EXT_CALL zend_throw_error, REG0
		if (arm64_may_use_b(zend_throw_error)) {
	dasm_put(Dst, 4968, (unsigned int)((ptrdiff_t)(zend_throw_error)), (unsigned int)(((ptrdiff_t)(zend_throw_error))>>32));
		} else {
		if (((uintptr_t)(zend_throw_error)) == 0) {
	dasm_put(Dst, 4971);
		} else if (((uintptr_t)(zend_throw_error)) <= MOVZ_IMM) {
	dasm_put(Dst, 4973, ((uint64_t)(zend_throw_error)));
		} else if (arm64_may_use_adr((void*)(zend_throw_error))) {
	dasm_put(Dst, 4976, (unsigned int)((ptrdiff_t)(zend_throw_error)), (unsigned int)(((ptrdiff_t)(zend_throw_error))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_throw_error))) {
	dasm_put(Dst, 4979, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_throw_error))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_throw_error)))))>>32));
			if (((uintptr_t)(zend_throw_error)) & 0xfff) {
	dasm_put(Dst, 4982, (((uintptr_t)(zend_throw_error)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_throw_error) & 0xffff) {
	dasm_put(Dst, 4985, ((uintptr_t)(zend_throw_error) & 0xffff));
			if (((uintptr_t)(zend_throw_error) >> 16) & 0xffff) {
	dasm_put(Dst, 4988, (((uintptr_t)(zend_throw_error) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_throw_error) >> 32) & 0xffff) {
	dasm_put(Dst, 4991, (((uintptr_t)(zend_throw_error) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_throw_error) >> 16) & 0xffff) {
	dasm_put(Dst, 4994, (((uintptr_t)(zend_throw_error) >> 16) & 0xffff));
			if (((uintptr_t)(zend_throw_error) >> 32) & 0xffff) {
	dasm_put(Dst, 4997, (((uintptr_t)(zend_throw_error) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 5000, (((uintptr_t)(zend_throw_error) >> 32) & 0xffff));
		}
	dasm_put(Dst, 5003);
		}
#line 2156 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
#ifdef __APPLE__
	//|	add sp, sp, #16
	dasm_put(Dst, 5005);
#line 2158 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
#endif
	//|	b ->exception_handler
	dasm_put(Dst, 5007);
#line 2160 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	return 1;
}

static int zend_jit_negative_shift_stub(dasm_State **Dst)
{
	//|->negative_shift:
	//|	ldr RX, EX->opline
	//|	LOAD_ADDR CARG1, zend_ce_arithmetic_error
	dasm_put(Dst, 5010, Dt1(->opline));
		if (((uintptr_t)(zend_ce_arithmetic_error)) == 0) {
	dasm_put(Dst, 5014);
		} else if (((uintptr_t)(zend_ce_arithmetic_error)) <= MOVZ_IMM) {
	dasm_put(Dst, 5016, ((uint64_t)(zend_ce_arithmetic_error)));
		} else if (arm64_may_use_adr((void*)(zend_ce_arithmetic_error))) {
	dasm_put(Dst, 5019, (unsigned int)((ptrdiff_t)(zend_ce_arithmetic_error)), (unsigned int)(((ptrdiff_t)(zend_ce_arithmetic_error))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_ce_arithmetic_error))) {
	dasm_put(Dst, 5022, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_ce_arithmetic_error))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_ce_arithmetic_error)))))>>32));
			if (((uintptr_t)(zend_ce_arithmetic_error)) & 0xfff) {
	dasm_put(Dst, 5025, (((uintptr_t)(zend_ce_arithmetic_error)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_ce_arithmetic_error) & 0xffff) {
	dasm_put(Dst, 5028, ((uintptr_t)(zend_ce_arithmetic_error) & 0xffff));
			if (((uintptr_t)(zend_ce_arithmetic_error) >> 16) & 0xffff) {
	dasm_put(Dst, 5031, (((uintptr_t)(zend_ce_arithmetic_error) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_ce_arithmetic_error) >> 32) & 0xffff) {
	dasm_put(Dst, 5034, (((uintptr_t)(zend_ce_arithmetic_error) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_ce_arithmetic_error) >> 16) & 0xffff) {
	dasm_put(Dst, 5037, (((uintptr_t)(zend_ce_arithmetic_error) >> 16) & 0xffff));
			if (((uintptr_t)(zend_ce_arithmetic_error) >> 32) & 0xffff) {
	dasm_put(Dst, 5040, (((uintptr_t)(zend_ce_arithmetic_error) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 5043, (((uintptr_t)(zend_ce_arithmetic_error) >> 32) & 0xffff));
		}
#line 2168 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	LOAD_ADDR CARG2, "Bit shift by negative number"
		if (((uintptr_t)("Bit shift by negative number")) == 0) {
	dasm_put(Dst, 5046);
		} else if (((uintptr_t)("Bit shift by negative number")) <= MOVZ_IMM) {
	dasm_put(Dst, 5048, ((uint64_t)("Bit shift by negative number")));
		} else if (arm64_may_use_adr((void*)("Bit shift by negative number"))) {
	dasm_put(Dst, 5051, (unsigned int)((ptrdiff_t)("Bit shift by negative number")), (unsigned int)(((ptrdiff_t)("Bit shift by negative number"))>>32));
		} else if (arm64_may_use_adrp((void*)("Bit shift by negative number"))) {
	dasm_put(Dst, 5054, (unsigned int)((ptrdiff_t)((((uintptr_t)("Bit shift by negative number"))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)("Bit shift by negative number")))))>>32));
			if (((uintptr_t)("Bit shift by negative number")) & 0xfff) {
	dasm_put(Dst, 5057, (((uintptr_t)("Bit shift by negative number")) & 0xfff));
			}
		} else if ((uintptr_t)("Bit shift by negative number") & 0xffff) {
	dasm_put(Dst, 5060, ((uintptr_t)("Bit shift by negative number") & 0xffff));
			if (((uintptr_t)("Bit shift by negative number") >> 16) & 0xffff) {
	dasm_put(Dst, 5063, (((uintptr_t)("Bit shift by negative number") >> 16) & 0xffff));
			}
			if (((uintptr_t)("Bit shift by negative number") >> 32) & 0xffff) {
	dasm_put(Dst, 5066, (((uintptr_t)("Bit shift by negative number") >> 32) & 0xffff));
			}
		} else if (((uintptr_t)("Bit shift by negative number") >> 16) & 0xffff) {
	dasm_put(Dst, 5069, (((uintptr_t)("Bit shift by negative number") >> 16) & 0xffff));
			if (((uintptr_t)("Bit shift by negative number") >> 32) & 0xffff) {
	dasm_put(Dst, 5072, (((uintptr_t)("Bit shift by negative number") >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 5075, (((uintptr_t)("Bit shift by negative number") >> 32) & 0xffff));
		}
#line 2169 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	EXT_CALL zend_throw_error, REG0
		if (arm64_may_use_b(zend_throw_error)) {
	dasm_put(Dst, 5078, (unsigned int)((ptrdiff_t)(zend_throw_error)), (unsigned int)(((ptrdiff_t)(zend_throw_error))>>32));
		} else {
		if (((uintptr_t)(zend_throw_error)) == 0) {
	dasm_put(Dst, 5081);
		} else if (((uintptr_t)(zend_throw_error)) <= MOVZ_IMM) {
	dasm_put(Dst, 5083, ((uint64_t)(zend_throw_error)));
		} else if (arm64_may_use_adr((void*)(zend_throw_error))) {
	dasm_put(Dst, 5086, (unsigned int)((ptrdiff_t)(zend_throw_error)), (unsigned int)(((ptrdiff_t)(zend_throw_error))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_throw_error))) {
	dasm_put(Dst, 5089, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_throw_error))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_throw_error)))))>>32));
			if (((uintptr_t)(zend_throw_error)) & 0xfff) {
	dasm_put(Dst, 5092, (((uintptr_t)(zend_throw_error)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_throw_error) & 0xffff) {
	dasm_put(Dst, 5095, ((uintptr_t)(zend_throw_error) & 0xffff));
			if (((uintptr_t)(zend_throw_error) >> 16) & 0xffff) {
	dasm_put(Dst, 5098, (((uintptr_t)(zend_throw_error) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_throw_error) >> 32) & 0xffff) {
	dasm_put(Dst, 5101, (((uintptr_t)(zend_throw_error) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_throw_error) >> 16) & 0xffff) {
	dasm_put(Dst, 5104, (((uintptr_t)(zend_throw_error) >> 16) & 0xffff));
			if (((uintptr_t)(zend_throw_error) >> 32) & 0xffff) {
	dasm_put(Dst, 5107, (((uintptr_t)(zend_throw_error) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 5110, (((uintptr_t)(zend_throw_error) >> 32) & 0xffff));
		}
	dasm_put(Dst, 5113);
		}
#line 2170 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	b ->exception_handler_free_op1_op2
	dasm_put(Dst, 5115);
#line 2171 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	return 1;
}

static int zend_jit_mod_by_zero_stub(dasm_State **Dst)
{
	//|->mod_by_zero:
	//|	ldr RX, EX->opline
	//|	LOAD_ADDR CARG1, zend_ce_division_by_zero_error
	dasm_put(Dst, 5118, Dt1(->opline));
		if (((uintptr_t)(zend_ce_division_by_zero_error)) == 0) {
	dasm_put(Dst, 5122);
		} else if (((uintptr_t)(zend_ce_division_by_zero_error)) <= MOVZ_IMM) {
	dasm_put(Dst, 5124, ((uint64_t)(zend_ce_division_by_zero_error)));
		} else if (arm64_may_use_adr((void*)(zend_ce_division_by_zero_error))) {
	dasm_put(Dst, 5127, (unsigned int)((ptrdiff_t)(zend_ce_division_by_zero_error)), (unsigned int)(((ptrdiff_t)(zend_ce_division_by_zero_error))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_ce_division_by_zero_error))) {
	dasm_put(Dst, 5130, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_ce_division_by_zero_error))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_ce_division_by_zero_error)))))>>32));
			if (((uintptr_t)(zend_ce_division_by_zero_error)) & 0xfff) {
	dasm_put(Dst, 5133, (((uintptr_t)(zend_ce_division_by_zero_error)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_ce_division_by_zero_error) & 0xffff) {
	dasm_put(Dst, 5136, ((uintptr_t)(zend_ce_division_by_zero_error) & 0xffff));
			if (((uintptr_t)(zend_ce_division_by_zero_error) >> 16) & 0xffff) {
	dasm_put(Dst, 5139, (((uintptr_t)(zend_ce_division_by_zero_error) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_ce_division_by_zero_error) >> 32) & 0xffff) {
	dasm_put(Dst, 5142, (((uintptr_t)(zend_ce_division_by_zero_error) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_ce_division_by_zero_error) >> 16) & 0xffff) {
	dasm_put(Dst, 5145, (((uintptr_t)(zend_ce_division_by_zero_error) >> 16) & 0xffff));
			if (((uintptr_t)(zend_ce_division_by_zero_error) >> 32) & 0xffff) {
	dasm_put(Dst, 5148, (((uintptr_t)(zend_ce_division_by_zero_error) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 5151, (((uintptr_t)(zend_ce_division_by_zero_error) >> 32) & 0xffff));
		}
#line 2179 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	LOAD_ADDR CARG2, "Modulo by zero"
		if (((uintptr_t)("Modulo by zero")) == 0) {
	dasm_put(Dst, 5154);
		} else if (((uintptr_t)("Modulo by zero")) <= MOVZ_IMM) {
	dasm_put(Dst, 5156, ((uint64_t)("Modulo by zero")));
		} else if (arm64_may_use_adr((void*)("Modulo by zero"))) {
	dasm_put(Dst, 5159, (unsigned int)((ptrdiff_t)("Modulo by zero")), (unsigned int)(((ptrdiff_t)("Modulo by zero"))>>32));
		} else if (arm64_may_use_adrp((void*)("Modulo by zero"))) {
	dasm_put(Dst, 5162, (unsigned int)((ptrdiff_t)((((uintptr_t)("Modulo by zero"))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)("Modulo by zero")))))>>32));
			if (((uintptr_t)("Modulo by zero")) & 0xfff) {
	dasm_put(Dst, 5165, (((uintptr_t)("Modulo by zero")) & 0xfff));
			}
		} else if ((uintptr_t)("Modulo by zero") & 0xffff) {
	dasm_put(Dst, 5168, ((uintptr_t)("Modulo by zero") & 0xffff));
			if (((uintptr_t)("Modulo by zero") >> 16) & 0xffff) {
	dasm_put(Dst, 5171, (((uintptr_t)("Modulo by zero") >> 16) & 0xffff));
			}
			if (((uintptr_t)("Modulo by zero") >> 32) & 0xffff) {
	dasm_put(Dst, 5174, (((uintptr_t)("Modulo by zero") >> 32) & 0xffff));
			}
		} else if (((uintptr_t)("Modulo by zero") >> 16) & 0xffff) {
	dasm_put(Dst, 5177, (((uintptr_t)("Modulo by zero") >> 16) & 0xffff));
			if (((uintptr_t)("Modulo by zero") >> 32) & 0xffff) {
	dasm_put(Dst, 5180, (((uintptr_t)("Modulo by zero") >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 5183, (((uintptr_t)("Modulo by zero") >> 32) & 0xffff));
		}
#line 2180 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	EXT_CALL zend_throw_error, REG0
		if (arm64_may_use_b(zend_throw_error)) {
	dasm_put(Dst, 5186, (unsigned int)((ptrdiff_t)(zend_throw_error)), (unsigned int)(((ptrdiff_t)(zend_throw_error))>>32));
		} else {
		if (((uintptr_t)(zend_throw_error)) == 0) {
	dasm_put(Dst, 5189);
		} else if (((uintptr_t)(zend_throw_error)) <= MOVZ_IMM) {
	dasm_put(Dst, 5191, ((uint64_t)(zend_throw_error)));
		} else if (arm64_may_use_adr((void*)(zend_throw_error))) {
	dasm_put(Dst, 5194, (unsigned int)((ptrdiff_t)(zend_throw_error)), (unsigned int)(((ptrdiff_t)(zend_throw_error))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_throw_error))) {
	dasm_put(Dst, 5197, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_throw_error))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_throw_error)))))>>32));
			if (((uintptr_t)(zend_throw_error)) & 0xfff) {
	dasm_put(Dst, 5200, (((uintptr_t)(zend_throw_error)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_throw_error) & 0xffff) {
	dasm_put(Dst, 5203, ((uintptr_t)(zend_throw_error) & 0xffff));
			if (((uintptr_t)(zend_throw_error) >> 16) & 0xffff) {
	dasm_put(Dst, 5206, (((uintptr_t)(zend_throw_error) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_throw_error) >> 32) & 0xffff) {
	dasm_put(Dst, 5209, (((uintptr_t)(zend_throw_error) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_throw_error) >> 16) & 0xffff) {
	dasm_put(Dst, 5212, (((uintptr_t)(zend_throw_error) >> 16) & 0xffff));
			if (((uintptr_t)(zend_throw_error) >> 32) & 0xffff) {
	dasm_put(Dst, 5215, (((uintptr_t)(zend_throw_error) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 5218, (((uintptr_t)(zend_throw_error) >> 32) & 0xffff));
		}
	dasm_put(Dst, 5221);
		}
#line 2181 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	b ->exception_handler_free_op1_op2
	dasm_put(Dst, 5223);
#line 2182 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	return 1;
}

static int zend_jit_invalid_this_stub(dasm_State **Dst)
{
	//|->invalid_this:
	//|	UNDEF_OPLINE_RESULT TMP1w
	dasm_put(Dst, 5226, Dt1(->opline), Dt2(->result.var));
		if (((uint32_t)(IS_UNDEF)) <= MOVZ_IMM) {
	dasm_put(Dst, 5233, ((uint32_t)(IS_UNDEF)));
		} else if (((uint32_t)(IS_UNDEF) & 0xffff)) {
	dasm_put(Dst, 5236, ((uint32_t)(IS_UNDEF) & 0xffff));
			if ((((uint32_t)(IS_UNDEF) >> 16) & 0xffff)) {
	dasm_put(Dst, 5239, (((uint32_t)(IS_UNDEF) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 5242, (((uint32_t)(IS_UNDEF) >> 16) & 0xffff));
		}
#line 2189 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	mov CARG1, xzr
	//|	LOAD_ADDR CARG2, "Using $this when not in object context"
	dasm_put(Dst, 5245, offsetof(zval,u1.type_info));
		if (((uintptr_t)("Using $this when not in object context")) == 0) {
	dasm_put(Dst, 5249);
		} else if (((uintptr_t)("Using $this when not in object context")) <= MOVZ_IMM) {
	dasm_put(Dst, 5251, ((uint64_t)("Using $this when not in object context")));
		} else if (arm64_may_use_adr((void*)("Using $this when not in object context"))) {
	dasm_put(Dst, 5254, (unsigned int)((ptrdiff_t)("Using $this when not in object context")), (unsigned int)(((ptrdiff_t)("Using $this when not in object context"))>>32));
		} else if (arm64_may_use_adrp((void*)("Using $this when not in object context"))) {
	dasm_put(Dst, 5257, (unsigned int)((ptrdiff_t)((((uintptr_t)("Using $this when not in object context"))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)("Using $this when not in object context")))))>>32));
			if (((uintptr_t)("Using $this when not in object context")) & 0xfff) {
	dasm_put(Dst, 5260, (((uintptr_t)("Using $this when not in object context")) & 0xfff));
			}
		} else if ((uintptr_t)("Using $this when not in object context") & 0xffff) {
	dasm_put(Dst, 5263, ((uintptr_t)("Using $this when not in object context") & 0xffff));
			if (((uintptr_t)("Using $this when not in object context") >> 16) & 0xffff) {
	dasm_put(Dst, 5266, (((uintptr_t)("Using $this when not in object context") >> 16) & 0xffff));
			}
			if (((uintptr_t)("Using $this when not in object context") >> 32) & 0xffff) {
	dasm_put(Dst, 5269, (((uintptr_t)("Using $this when not in object context") >> 32) & 0xffff));
			}
		} else if (((uintptr_t)("Using $this when not in object context") >> 16) & 0xffff) {
	dasm_put(Dst, 5272, (((uintptr_t)("Using $this when not in object context") >> 16) & 0xffff));
			if (((uintptr_t)("Using $this when not in object context") >> 32) & 0xffff) {
	dasm_put(Dst, 5275, (((uintptr_t)("Using $this when not in object context") >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 5278, (((uintptr_t)("Using $this when not in object context") >> 32) & 0xffff));
		}
#line 2191 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	EXT_CALL zend_throw_error, REG0
		if (arm64_may_use_b(zend_throw_error)) {
	dasm_put(Dst, 5281, (unsigned int)((ptrdiff_t)(zend_throw_error)), (unsigned int)(((ptrdiff_t)(zend_throw_error))>>32));
		} else {
		if (((uintptr_t)(zend_throw_error)) == 0) {
	dasm_put(Dst, 5284);
		} else if (((uintptr_t)(zend_throw_error)) <= MOVZ_IMM) {
	dasm_put(Dst, 5286, ((uint64_t)(zend_throw_error)));
		} else if (arm64_may_use_adr((void*)(zend_throw_error))) {
	dasm_put(Dst, 5289, (unsigned int)((ptrdiff_t)(zend_throw_error)), (unsigned int)(((ptrdiff_t)(zend_throw_error))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_throw_error))) {
	dasm_put(Dst, 5292, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_throw_error))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_throw_error)))))>>32));
			if (((uintptr_t)(zend_throw_error)) & 0xfff) {
	dasm_put(Dst, 5295, (((uintptr_t)(zend_throw_error)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_throw_error) & 0xffff) {
	dasm_put(Dst, 5298, ((uintptr_t)(zend_throw_error) & 0xffff));
			if (((uintptr_t)(zend_throw_error) >> 16) & 0xffff) {
	dasm_put(Dst, 5301, (((uintptr_t)(zend_throw_error) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_throw_error) >> 32) & 0xffff) {
	dasm_put(Dst, 5304, (((uintptr_t)(zend_throw_error) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_throw_error) >> 16) & 0xffff) {
	dasm_put(Dst, 5307, (((uintptr_t)(zend_throw_error) >> 16) & 0xffff));
			if (((uintptr_t)(zend_throw_error) >> 32) & 0xffff) {
	dasm_put(Dst, 5310, (((uintptr_t)(zend_throw_error) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 5313, (((uintptr_t)(zend_throw_error) >> 32) & 0xffff));
		}
	dasm_put(Dst, 5316);
		}
#line 2192 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	b ->exception_handler
	dasm_put(Dst, 5318);
#line 2193 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	return 1;
}

static int zend_jit_hybrid_runtime_jit_stub(dasm_State **Dst)
{
	if (zend_jit_vm_kind != ZEND_VM_KIND_HYBRID) {
		return 1;
	}

	//|->hybrid_runtime_jit:
	//|	EXT_CALL zend_runtime_jit, REG0
	dasm_put(Dst, 5321);
		if (arm64_may_use_b(zend_runtime_jit)) {
	dasm_put(Dst, 5323, (unsigned int)((ptrdiff_t)(zend_runtime_jit)), (unsigned int)(((ptrdiff_t)(zend_runtime_jit))>>32));
		} else {
		if (((uintptr_t)(zend_runtime_jit)) == 0) {
	dasm_put(Dst, 5326);
		} else if (((uintptr_t)(zend_runtime_jit)) <= MOVZ_IMM) {
	dasm_put(Dst, 5328, ((uint64_t)(zend_runtime_jit)));
		} else if (arm64_may_use_adr((void*)(zend_runtime_jit))) {
	dasm_put(Dst, 5331, (unsigned int)((ptrdiff_t)(zend_runtime_jit)), (unsigned int)(((ptrdiff_t)(zend_runtime_jit))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_runtime_jit))) {
	dasm_put(Dst, 5334, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_runtime_jit))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_runtime_jit)))))>>32));
			if (((uintptr_t)(zend_runtime_jit)) & 0xfff) {
	dasm_put(Dst, 5337, (((uintptr_t)(zend_runtime_jit)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_runtime_jit) & 0xffff) {
	dasm_put(Dst, 5340, ((uintptr_t)(zend_runtime_jit) & 0xffff));
			if (((uintptr_t)(zend_runtime_jit) >> 16) & 0xffff) {
	dasm_put(Dst, 5343, (((uintptr_t)(zend_runtime_jit) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_runtime_jit) >> 32) & 0xffff) {
	dasm_put(Dst, 5346, (((uintptr_t)(zend_runtime_jit) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_runtime_jit) >> 16) & 0xffff) {
	dasm_put(Dst, 5349, (((uintptr_t)(zend_runtime_jit) >> 16) & 0xffff));
			if (((uintptr_t)(zend_runtime_jit) >> 32) & 0xffff) {
	dasm_put(Dst, 5352, (((uintptr_t)(zend_runtime_jit) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 5355, (((uintptr_t)(zend_runtime_jit) >> 32) & 0xffff));
		}
	dasm_put(Dst, 5358);
		}
#line 2205 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	JMP_IP TMP1
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 5360);
		} else {
	dasm_put(Dst, 5363, Dt1(->opline));
		}
#line 2206 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	return 1;
}

static int zend_jit_hybrid_profile_jit_stub(dasm_State **Dst)
{
	if (zend_jit_vm_kind != ZEND_VM_KIND_HYBRID) {
		return 1;
	}

	//|->hybrid_profile_jit:
	//|	// ++zend_jit_profile_counter;
	//|	LOAD_ADDR REG0, &zend_jit_profile_counter
	dasm_put(Dst, 5367);
		if (((uintptr_t)(&zend_jit_profile_counter)) == 0) {
	dasm_put(Dst, 5369);
		} else if (((uintptr_t)(&zend_jit_profile_counter)) <= MOVZ_IMM) {
	dasm_put(Dst, 5371, ((uint64_t)(&zend_jit_profile_counter)));
		} else if (arm64_may_use_adr((void*)(&zend_jit_profile_counter))) {
	dasm_put(Dst, 5374, (unsigned int)((ptrdiff_t)(&zend_jit_profile_counter)), (unsigned int)(((ptrdiff_t)(&zend_jit_profile_counter))>>32));
		} else if (arm64_may_use_adrp((void*)(&zend_jit_profile_counter))) {
	dasm_put(Dst, 5377, (unsigned int)((ptrdiff_t)((((uintptr_t)(&zend_jit_profile_counter))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&zend_jit_profile_counter)))))>>32));
			if (((uintptr_t)(&zend_jit_profile_counter)) & 0xfff) {
	dasm_put(Dst, 5380, (((uintptr_t)(&zend_jit_profile_counter)) & 0xfff));
			}
		} else if ((uintptr_t)(&zend_jit_profile_counter) & 0xffff) {
	dasm_put(Dst, 5383, ((uintptr_t)(&zend_jit_profile_counter) & 0xffff));
			if (((uintptr_t)(&zend_jit_profile_counter) >> 16) & 0xffff) {
	dasm_put(Dst, 5386, (((uintptr_t)(&zend_jit_profile_counter) >> 16) & 0xffff));
			}
			if (((uintptr_t)(&zend_jit_profile_counter) >> 32) & 0xffff) {
	dasm_put(Dst, 5389, (((uintptr_t)(&zend_jit_profile_counter) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(&zend_jit_profile_counter) >> 16) & 0xffff) {
	dasm_put(Dst, 5392, (((uintptr_t)(&zend_jit_profile_counter) >> 16) & 0xffff));
			if (((uintptr_t)(&zend_jit_profile_counter) >> 32) & 0xffff) {
	dasm_put(Dst, 5395, (((uintptr_t)(&zend_jit_profile_counter) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 5398, (((uintptr_t)(&zend_jit_profile_counter) >> 32) & 0xffff));
		}
#line 2218 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	ldr TMP1, [REG0]
	//|	add TMP1, TMP1, #1
	//|	str TMP1, [REG0]
	//|	// op_array = (zend_op_array*)EX(func);
	//|	ldr REG0, EX->func
	//|	// run_time_cache = EX(run_time_cache);
	//|	ldr REG2, EX->run_time_cache
	//|	// jit_extension = (const void*)ZEND_FUNC_INFO(op_array);
	//|	ldr REG0, [REG0, #offsetof(zend_op_array, reserved[zend_func_info_rid])]
	//|	// ++ZEND_COUNTER_INFO(op_array)
	dasm_put(Dst, 5401, Dt1(->func), Dt1(->run_time_cache), offsetof(zend_op_array, reserved[zend_func_info_rid]));
		if ((zend_jit_profile_counter_rid * sizeof(void*)) > LDR_STR_PIMM64) {
#line 2229 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|		LOAD_32BIT_VAL TMP1, (zend_jit_profile_counter_rid * sizeof(void*))
		if (((uint32_t)((zend_jit_profile_counter_rid * sizeof(void*)))) <= MOVZ_IMM) {
	dasm_put(Dst, 5411, ((uint32_t)((zend_jit_profile_counter_rid * sizeof(void*)))));
		} else if (((uint32_t)((zend_jit_profile_counter_rid * sizeof(void*))) & 0xffff)) {
	dasm_put(Dst, 5414, ((uint32_t)((zend_jit_profile_counter_rid * sizeof(void*))) & 0xffff));
			if ((((uint32_t)((zend_jit_profile_counter_rid * sizeof(void*))) >> 16) & 0xffff)) {
	dasm_put(Dst, 5417, (((uint32_t)((zend_jit_profile_counter_rid * sizeof(void*))) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 5420, (((uint32_t)((zend_jit_profile_counter_rid * sizeof(void*))) >> 16) & 0xffff));
		}
#line 2230 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|		ldr TMP2, [REG2, TMP1]
	//|		add TMP2, TMP2, #1
	//|		str TMP2, [REG2, TMP1]
	dasm_put(Dst, 5423);
		} else {
#line 2234 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|		ldr TMP2, [REG2, #(zend_jit_profile_counter_rid * sizeof(void*))]
	//|		add TMP2, TMP2, #1
	//|		str TMP2, [REG2, #(zend_jit_profile_counter_rid * sizeof(void*))]
	dasm_put(Dst, 5427, (zend_jit_profile_counter_rid * sizeof(void*)), (zend_jit_profile_counter_rid * sizeof(void*)));
		}
#line 2238 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	// return ((zend_vm_opcode_handler_t)jit_extension->orig_handler)()
	//|	ldr TMP1, [REG0, #offsetof(zend_jit_op_array_extension, orig_handler)]
	//|	br TMP1
	dasm_put(Dst, 5433, offsetof(zend_jit_op_array_extension, orig_handler));
#line 2241 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	return 1;
}

static int zend_jit_hybrid_hot_code_stub(dasm_State **Dst)
{
	if (zend_jit_vm_kind != ZEND_VM_KIND_HYBRID) {
		return 1;
	}

	//|->hybrid_hot_code:
	dasm_put(Dst, 5437);
		ZEND_ASSERT(ZEND_JIT_COUNTER_INIT <= MOVZ_IMM);
#line 2252 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	movz TMP1w, #ZEND_JIT_COUNTER_INIT
	//|	strh TMP1w, [REG2]
	//|	mov FCARG1x, FP
	//|	GET_IP FCARG2x
	dasm_put(Dst, 5439, ZEND_JIT_COUNTER_INIT);
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 5444);
		} else {
	dasm_put(Dst, 5446, Dt1(->opline));
		}
#line 2256 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	EXT_CALL zend_jit_hot_func, REG0
		if (arm64_may_use_b(zend_jit_hot_func)) {
	dasm_put(Dst, 5449, (unsigned int)((ptrdiff_t)(zend_jit_hot_func)), (unsigned int)(((ptrdiff_t)(zend_jit_hot_func))>>32));
		} else {
		if (((uintptr_t)(zend_jit_hot_func)) == 0) {
	dasm_put(Dst, 5452);
		} else if (((uintptr_t)(zend_jit_hot_func)) <= MOVZ_IMM) {
	dasm_put(Dst, 5454, ((uint64_t)(zend_jit_hot_func)));
		} else if (arm64_may_use_adr((void*)(zend_jit_hot_func))) {
	dasm_put(Dst, 5457, (unsigned int)((ptrdiff_t)(zend_jit_hot_func)), (unsigned int)(((ptrdiff_t)(zend_jit_hot_func))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_jit_hot_func))) {
	dasm_put(Dst, 5460, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_hot_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_hot_func)))))>>32));
			if (((uintptr_t)(zend_jit_hot_func)) & 0xfff) {
	dasm_put(Dst, 5463, (((uintptr_t)(zend_jit_hot_func)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_jit_hot_func) & 0xffff) {
	dasm_put(Dst, 5466, ((uintptr_t)(zend_jit_hot_func) & 0xffff));
			if (((uintptr_t)(zend_jit_hot_func) >> 16) & 0xffff) {
	dasm_put(Dst, 5469, (((uintptr_t)(zend_jit_hot_func) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_jit_hot_func) >> 32) & 0xffff) {
	dasm_put(Dst, 5472, (((uintptr_t)(zend_jit_hot_func) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_jit_hot_func) >> 16) & 0xffff) {
	dasm_put(Dst, 5475, (((uintptr_t)(zend_jit_hot_func) >> 16) & 0xffff));
			if (((uintptr_t)(zend_jit_hot_func) >> 32) & 0xffff) {
	dasm_put(Dst, 5478, (((uintptr_t)(zend_jit_hot_func) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 5481, (((uintptr_t)(zend_jit_hot_func) >> 32) & 0xffff));
		}
	dasm_put(Dst, 5484);
		}
#line 2257 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	JMP_IP TMP1
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 5486);
		} else {
	dasm_put(Dst, 5489, Dt1(->opline));
		}
#line 2258 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	return 1;
}

/*
 * This code is based Mike Pall's "Hashed profile counters" idea, implemented
 * in LuaJIT. The full description may be found in "LuaJIT 2.0 intellectual
 * property disclosure and research opportunities" email
 * at http://lua-users.org/lists/lua-l/2009-11/msg00089.html
 *
 * In addition we use a variation of Knuth's multiplicative hash function
 * described at https://code.i-harness.com/en/q/a21ce
 *
 * uint64_t hash(uint64_t x) {
 *    x = (x ^ (x >> 30)) * 0xbf58476d1ce4e5b9;
 *    x = (x ^ (x >> 27)) * 0x94d049bb133111eb;
 *    x = x ^ (x >> 31);
 *    return x;
 * }
 *
 * uint_32_t hash(uint32_t x) {
 *    x = ((x >> 16) ^ x) * 0x45d9f3b;
 *    x = ((x >> 16) ^ x) * 0x45d9f3b;
 *    x = (x >> 16) ^ x;
 *    return x;
 * }
 *
 */
static int zend_jit_hybrid_hot_counter_stub(dasm_State **Dst, uint32_t cost)
{
	//|	ldr REG0, EX->func
	//|	ldr REG1, [REG0, #offsetof(zend_op_array, reserved[zend_func_info_rid])]
	//|	ldr REG2, [REG1, #offsetof(zend_jit_op_array_hot_extension, counter)]
	//|	ldrh TMP2w, [REG2]
	//|	ADD_SUB_32_WITH_CONST subs, TMP2w, TMP2w, cost, TMP1w
	dasm_put(Dst, 5493, Dt1(->func), offsetof(zend_op_array, reserved[zend_func_info_rid]), offsetof(zend_jit_op_array_hot_extension, counter));
		if (cost == 0) {
	dasm_put(Dst, 5501);
		} else if (arm64_may_encode_imm12((int64_t)(cost))) {
	dasm_put(Dst, 5503, cost);
		} else {
		if (((uint32_t)(cost)) <= MOVZ_IMM) {
	dasm_put(Dst, 5506, ((uint32_t)(cost)));
		} else if (((uint32_t)(cost) & 0xffff)) {
	dasm_put(Dst, 5509, ((uint32_t)(cost) & 0xffff));
			if ((((uint32_t)(cost) >> 16) & 0xffff)) {
	dasm_put(Dst, 5512, (((uint32_t)(cost) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 5515, (((uint32_t)(cost) >> 16) & 0xffff));
		}
	dasm_put(Dst, 5518);
		}
#line 2292 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	strh TMP2w, [REG2]
	//|	ble ->hybrid_hot_code
	//|	GET_IP REG2
	dasm_put(Dst, 5520);
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 5524);
		} else {
	dasm_put(Dst, 5526, Dt1(->opline));
		}
#line 2295 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	ldr TMP1, [REG0, #offsetof(zend_op_array, opcodes)]
	//|	sub REG2, REG2, TMP1
	//|	// divide by sizeof(zend_op)
	dasm_put(Dst, 5529, offsetof(zend_op_array, opcodes));
		ZEND_ASSERT(sizeof(zend_op) == 32);
#line 2299 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	add TMP1, REG1, REG2, asr #2
	//|	ldr TMP1, [TMP1, #offsetof(zend_jit_op_array_hot_extension, orig_handlers)]
	//|	br TMP1
	dasm_put(Dst, 5533, offsetof(zend_jit_op_array_hot_extension, orig_handlers));
#line 2302 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	return 1;
}

static int zend_jit_hybrid_func_hot_counter_stub(dasm_State **Dst)
{
	if (zend_jit_vm_kind != ZEND_VM_KIND_HYBRID || !JIT_G(hot_func)) {
		return 1;
	}

	//|->hybrid_func_hot_counter:
	dasm_put(Dst, 5538);
#line 2312 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	return zend_jit_hybrid_hot_counter_stub(Dst,
		((ZEND_JIT_COUNTER_INIT + JIT_G(hot_func) - 1) / JIT_G(hot_func)));
}

static int zend_jit_hybrid_loop_hot_counter_stub(dasm_State **Dst)
{
	if (zend_jit_vm_kind != ZEND_VM_KIND_HYBRID || !JIT_G(hot_loop)) {
		return 1;
	}

	//|->hybrid_loop_hot_counter:
	dasm_put(Dst, 5540);
#line 2324 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	return zend_jit_hybrid_hot_counter_stub(Dst,
		((ZEND_JIT_COUNTER_INIT + JIT_G(hot_loop) - 1) / JIT_G(hot_loop)));
}

static int zend_jit_hybrid_hot_trace_stub(dasm_State **Dst)
{
	if (zend_jit_vm_kind != ZEND_VM_KIND_HYBRID) {
		return 1;
	}

	// On entry from counter stub:
	//   REG2 -> zend_op_trace_info.counter

	//|->hybrid_hot_trace:
	//|	mov TMP1w, #ZEND_JIT_COUNTER_INIT
	//|	strh TMP1w, [REG2]
	//|	mov FCARG1x, FP
	//|	GET_IP FCARG2x
	dasm_put(Dst, 5542, ZEND_JIT_COUNTER_INIT);
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 5548);
		} else {
	dasm_put(Dst, 5550, Dt1(->opline));
		}
#line 2343 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	EXT_CALL zend_jit_trace_hot_root, REG0
		if (arm64_may_use_b(zend_jit_trace_hot_root)) {
	dasm_put(Dst, 5553, (unsigned int)((ptrdiff_t)(zend_jit_trace_hot_root)), (unsigned int)(((ptrdiff_t)(zend_jit_trace_hot_root))>>32));
		} else {
		if (((uintptr_t)(zend_jit_trace_hot_root)) == 0) {
	dasm_put(Dst, 5556);
		} else if (((uintptr_t)(zend_jit_trace_hot_root)) <= MOVZ_IMM) {
	dasm_put(Dst, 5558, ((uint64_t)(zend_jit_trace_hot_root)));
		} else if (arm64_may_use_adr((void*)(zend_jit_trace_hot_root))) {
	dasm_put(Dst, 5561, (unsigned int)((ptrdiff_t)(zend_jit_trace_hot_root)), (unsigned int)(((ptrdiff_t)(zend_jit_trace_hot_root))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_jit_trace_hot_root))) {
	dasm_put(Dst, 5564, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_trace_hot_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_trace_hot_root)))))>>32));
			if (((uintptr_t)(zend_jit_trace_hot_root)) & 0xfff) {
	dasm_put(Dst, 5567, (((uintptr_t)(zend_jit_trace_hot_root)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_jit_trace_hot_root) & 0xffff) {
	dasm_put(Dst, 5570, ((uintptr_t)(zend_jit_trace_hot_root) & 0xffff));
			if (((uintptr_t)(zend_jit_trace_hot_root) >> 16) & 0xffff) {
	dasm_put(Dst, 5573, (((uintptr_t)(zend_jit_trace_hot_root) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_jit_trace_hot_root) >> 32) & 0xffff) {
	dasm_put(Dst, 5576, (((uintptr_t)(zend_jit_trace_hot_root) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_jit_trace_hot_root) >> 16) & 0xffff) {
	dasm_put(Dst, 5579, (((uintptr_t)(zend_jit_trace_hot_root) >> 16) & 0xffff));
			if (((uintptr_t)(zend_jit_trace_hot_root) >> 32) & 0xffff) {
	dasm_put(Dst, 5582, (((uintptr_t)(zend_jit_trace_hot_root) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 5585, (((uintptr_t)(zend_jit_trace_hot_root) >> 32) & 0xffff));
		}
	dasm_put(Dst, 5588);
		}
#line 2344 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	tbnz RETVALw, #31, >1  // Result is < 0 on failure.
	//|	MEM_LOAD_64_ZTS ldr, FP, executor_globals, current_execute_data, REG0
	dasm_put(Dst, 5590);
		if (((uintptr_t)(&executor_globals.current_execute_data)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.current_execute_data))) {
	dasm_put(Dst, 5593, (unsigned int)((ptrdiff_t)(&executor_globals.current_execute_data)), (unsigned int)(((ptrdiff_t)(&executor_globals.current_execute_data))>>32));
		} else if (((uintptr_t)(&executor_globals.current_execute_data)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.current_execute_data))) {
	dasm_put(Dst, 5597, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data)))))>>32), (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff));
		} else {
		if (((uintptr_t)(&executor_globals.current_execute_data)) == 0) {
	dasm_put(Dst, 5602);
		} else if (((uintptr_t)(&executor_globals.current_execute_data)) <= MOVZ_IMM) {
	dasm_put(Dst, 5604, ((uint64_t)(&executor_globals.current_execute_data)));
		} else if (arm64_may_use_adr((void*)(&executor_globals.current_execute_data))) {
	dasm_put(Dst, 5607, (unsigned int)((ptrdiff_t)(&executor_globals.current_execute_data)), (unsigned int)(((ptrdiff_t)(&executor_globals.current_execute_data))>>32));
		} else if (arm64_may_use_adrp((void*)(&executor_globals.current_execute_data))) {
	dasm_put(Dst, 5610, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data)))))>>32));
			if (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff) {
	dasm_put(Dst, 5613, (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff));
			}
		} else if ((uintptr_t)(&executor_globals.current_execute_data) & 0xffff) {
	dasm_put(Dst, 5616, ((uintptr_t)(&executor_globals.current_execute_data) & 0xffff));
			if (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff) {
	dasm_put(Dst, 5619, (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff));
			}
			if (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff) {
	dasm_put(Dst, 5622, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff) {
	dasm_put(Dst, 5625, (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff));
			if (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff) {
	dasm_put(Dst, 5628, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 5631, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
		}
	dasm_put(Dst, 5634);
		}
#line 2346 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	LOAD_IP
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 5636, Dt1(->opline));
		}
#line 2347 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	JMP_IP TMP1
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 5639);
		} else {
	dasm_put(Dst, 5642, Dt1(->opline));
		}
#line 2348 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|1:
	//|	EXT_JMP zend_jit_halt_op->handler, REG0
	dasm_put(Dst, 5646);
		if (arm64_may_use_b(zend_jit_halt_op->handler)) {
	dasm_put(Dst, 5648, (unsigned int)((ptrdiff_t)(zend_jit_halt_op->handler)), (unsigned int)(((ptrdiff_t)(zend_jit_halt_op->handler))>>32));
		} else {
		if (((uintptr_t)(zend_jit_halt_op->handler)) == 0) {
	dasm_put(Dst, 5651);
		} else if (((uintptr_t)(zend_jit_halt_op->handler)) <= MOVZ_IMM) {
	dasm_put(Dst, 5653, ((uint64_t)(zend_jit_halt_op->handler)));
		} else if (arm64_may_use_adr((void*)(zend_jit_halt_op->handler))) {
	dasm_put(Dst, 5656, (unsigned int)((ptrdiff_t)(zend_jit_halt_op->handler)), (unsigned int)(((ptrdiff_t)(zend_jit_halt_op->handler))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_jit_halt_op->handler))) {
	dasm_put(Dst, 5659, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_halt_op->handler))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_halt_op->handler)))))>>32));
			if (((uintptr_t)(zend_jit_halt_op->handler)) & 0xfff) {
	dasm_put(Dst, 5662, (((uintptr_t)(zend_jit_halt_op->handler)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_jit_halt_op->handler) & 0xffff) {
	dasm_put(Dst, 5665, ((uintptr_t)(zend_jit_halt_op->handler) & 0xffff));
			if (((uintptr_t)(zend_jit_halt_op->handler) >> 16) & 0xffff) {
	dasm_put(Dst, 5668, (((uintptr_t)(zend_jit_halt_op->handler) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_jit_halt_op->handler) >> 32) & 0xffff) {
	dasm_put(Dst, 5671, (((uintptr_t)(zend_jit_halt_op->handler) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_jit_halt_op->handler) >> 16) & 0xffff) {
	dasm_put(Dst, 5674, (((uintptr_t)(zend_jit_halt_op->handler) >> 16) & 0xffff));
			if (((uintptr_t)(zend_jit_halt_op->handler) >> 32) & 0xffff) {
	dasm_put(Dst, 5677, (((uintptr_t)(zend_jit_halt_op->handler) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 5680, (((uintptr_t)(zend_jit_halt_op->handler) >> 32) & 0xffff));
		}
	dasm_put(Dst, 5683);
		}
#line 2350 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	return 1;
}

static int zend_jit_hybrid_trace_counter_stub(dasm_State **Dst, uint32_t cost)
{
	//|	ldr REG0, EX->func
	//|	ldr REG1, [REG0, #offsetof(zend_op_array, reserved[zend_func_info_rid])]
	//|	ldr REG1, [REG1, #offsetof(zend_jit_op_array_trace_extension, offset)]
	//|	add TMP1, REG1, IP
	//|	ldr REG2, [TMP1, #offsetof(zend_op_trace_info, counter)]
	//|	ldrh TMP2w, [REG2]
	//|	ADD_SUB_32_WITH_CONST subs, TMP2w, TMP2w, cost, TMP1w
	dasm_put(Dst, 5685, Dt1(->func), offsetof(zend_op_array, reserved[zend_func_info_rid]), offsetof(zend_jit_op_array_trace_extension, offset), offsetof(zend_op_trace_info, counter));
		if (cost == 0) {
	dasm_put(Dst, 5696);
		} else if (arm64_may_encode_imm12((int64_t)(cost))) {
	dasm_put(Dst, 5698, cost);
		} else {
		if (((uint32_t)(cost)) <= MOVZ_IMM) {
	dasm_put(Dst, 5701, ((uint32_t)(cost)));
		} else if (((uint32_t)(cost) & 0xffff)) {
	dasm_put(Dst, 5704, ((uint32_t)(cost) & 0xffff));
			if ((((uint32_t)(cost) >> 16) & 0xffff)) {
	dasm_put(Dst, 5707, (((uint32_t)(cost) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 5710, (((uint32_t)(cost) >> 16) & 0xffff));
		}
	dasm_put(Dst, 5713);
		}
#line 2363 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	strh TMP2w, [REG2]
	//|	ble ->hybrid_hot_trace
	dasm_put(Dst, 5715);
#line 2365 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	// Note: "REG1 + IP" is re-calculated as TMP1 is used as temporary register by the prior
	// ADD_SUB_32_WITH_CONST. Will optimize in the future if more temporary registers are available.
	//|	add TMP1, REG1, IP
	//|	ldr TMP2, [TMP1, #offsetof(zend_op_trace_info, orig_handler)]
	//|	br TMP2
	dasm_put(Dst, 5719, offsetof(zend_op_trace_info, orig_handler));
#line 2370 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	return 1;
}

static int zend_jit_hybrid_func_trace_counter_stub(dasm_State **Dst)
{
	if (zend_jit_vm_kind != ZEND_VM_KIND_HYBRID || !JIT_G(hot_func)) {
		return 1;
	}

	//|->hybrid_func_trace_counter:
	dasm_put(Dst, 5724);
#line 2381 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	return zend_jit_hybrid_trace_counter_stub(Dst,
		((ZEND_JIT_COUNTER_INIT + JIT_G(hot_func) - 1)  / JIT_G(hot_func)));
}

static int zend_jit_hybrid_ret_trace_counter_stub(dasm_State **Dst)
{
	if (zend_jit_vm_kind != ZEND_VM_KIND_HYBRID || !JIT_G(hot_return)) {
		return 1;
	}

	//|->hybrid_ret_trace_counter:
	dasm_put(Dst, 5726);
#line 2393 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	return zend_jit_hybrid_trace_counter_stub(Dst,
		((ZEND_JIT_COUNTER_INIT + JIT_G(hot_return) - 1) / JIT_G(hot_return)));
}

static int zend_jit_hybrid_loop_trace_counter_stub(dasm_State **Dst)
{
	if (zend_jit_vm_kind != ZEND_VM_KIND_HYBRID || !JIT_G(hot_loop)) {
		return 1;
	}

	//|->hybrid_loop_trace_counter:
	dasm_put(Dst, 5728);
#line 2405 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	return zend_jit_hybrid_trace_counter_stub(Dst,
		((ZEND_JIT_COUNTER_INIT + JIT_G(hot_loop) - 1) / JIT_G(hot_loop)));
}

static int zend_jit_trace_halt_stub(dasm_State **Dst)
{
	//|->trace_halt:
	dasm_put(Dst, 5730);
#line 2413 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	if (zend_jit_vm_kind == ZEND_VM_KIND_HYBRID) {
		//|	ADD_HYBRID_SPAD
		#ifndef ZEND_VM_HYBRID_JIT_RED_ZONE_SIZE
		dasm_put(Dst, 5732);
		#endif
#line 2415 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	EXT_JMP zend_jit_halt_op->handler, REG0
			if (arm64_may_use_b(zend_jit_halt_op->handler)) {
		dasm_put(Dst, 5734, (unsigned int)((ptrdiff_t)(zend_jit_halt_op->handler)), (unsigned int)(((ptrdiff_t)(zend_jit_halt_op->handler))>>32));
			} else {
			if (((uintptr_t)(zend_jit_halt_op->handler)) == 0) {
		dasm_put(Dst, 5737);
			} else if (((uintptr_t)(zend_jit_halt_op->handler)) <= MOVZ_IMM) {
		dasm_put(Dst, 5739, ((uint64_t)(zend_jit_halt_op->handler)));
			} else if (arm64_may_use_adr((void*)(zend_jit_halt_op->handler))) {
		dasm_put(Dst, 5742, (unsigned int)((ptrdiff_t)(zend_jit_halt_op->handler)), (unsigned int)(((ptrdiff_t)(zend_jit_halt_op->handler))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_halt_op->handler))) {
		dasm_put(Dst, 5745, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_halt_op->handler))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_halt_op->handler)))))>>32));
				if (((uintptr_t)(zend_jit_halt_op->handler)) & 0xfff) {
		dasm_put(Dst, 5748, (((uintptr_t)(zend_jit_halt_op->handler)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_halt_op->handler) & 0xffff) {
		dasm_put(Dst, 5751, ((uintptr_t)(zend_jit_halt_op->handler) & 0xffff));
				if (((uintptr_t)(zend_jit_halt_op->handler) >> 16) & 0xffff) {
		dasm_put(Dst, 5754, (((uintptr_t)(zend_jit_halt_op->handler) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_halt_op->handler) >> 32) & 0xffff) {
		dasm_put(Dst, 5757, (((uintptr_t)(zend_jit_halt_op->handler) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_halt_op->handler) >> 16) & 0xffff) {
		dasm_put(Dst, 5760, (((uintptr_t)(zend_jit_halt_op->handler) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_halt_op->handler) >> 32) & 0xffff) {
		dasm_put(Dst, 5763, (((uintptr_t)(zend_jit_halt_op->handler) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 5766, (((uintptr_t)(zend_jit_halt_op->handler) >> 32) & 0xffff));
			}
		dasm_put(Dst, 5769);
			}
#line 2416 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else if (GCC_GLOBAL_REGS) {
		//|	ldp x29, x30, [sp], # SPAD    // stack alignment
		//|	mov IP, xzr                   // PC must be zero
		//|	ret
		dasm_put(Dst, 5771);
#line 2420 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		//|	ldp FP, RX, T2                // retore FP and IP
		//|	ldp x29, x30, [sp], # NR_SPAD // stack alignment
		//|	movn RETVALx, #0              // ZEND_VM_RETURN (-1)
		//|	ret
		dasm_put(Dst, 5775);
#line 2425 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	return 1;
}

static int zend_jit_trace_exit_stub(dasm_State **Dst)
{
	//|->trace_exit:
	//|
	//|	// Save CPU registers(32 GP regs + 32 FP regs) on stack in the order of d31 to x0
	//|
	//|	stp d30, d31, [sp, #-16]!
	//|	stp d28, d29, [sp, #-16]!
	//|	stp d26, d27, [sp, #-16]!
	//|	stp d24, d25, [sp, #-16]!
	//|	stp d22, d23, [sp, #-16]!
	//|	stp d20, d21, [sp, #-16]!
	//|	stp d18, d19, [sp, #-16]!
	//|	stp d16, d17, [sp, #-16]!
	//|	//stp d14, d15, [sp, #-16]!     // we don't use preserved registers yet
	//|	//stp d12, d13, [sp, #-16]!
	//|	//stp d10, d11, [sp, #-16]!
	//|	//stp d8, d9, [sp, #-16]!
	//|	stp d6, d7, [sp, #(-16*5)]!
	//|	stp d4, d5, [sp, #-16]!
	//|	stp d2, d3, [sp, #-16]!
	//|	stp d0, d1, [sp, #-16]!
	//|
	//|	//str x30, [sp, #-16]!          // we don't use callee-saved registers yet (x31 can be omitted)
	//|	stp x28, x29, [sp, #(-16*2)]!   // we have to store RX (x28)
	//|	//stp x26, x27, [sp, #-16]!     // we don't use callee-saved registers yet
	//|	//stp x24, x25, [sp, #-16]!
	//|	//stp x22, x23, [sp, #-16]!
	//|	//stp x20, x21, [sp, #-16]!
	//|	//stp x18, x19, [sp, #-16]!
	//|	//stp x16, x17, [sp, #-16]!     // we don't need temporary registers
	//|	stp x14, x15, [sp, #-(16*7)]!
	//|	stp x12, x13, [sp, #-16]!
	//|	stp x10, x11, [sp, #-16]!
	//|	stp x8, x9, [sp, #-16]!
	//|	stp x6, x7, [sp, #-16]!
	//|	stp x4, x5, [sp, #-16]!
	//|	stp x2, x3, [sp, #-16]!
	//|	stp x0, x1, [sp, #-16]!
	//|
	//|	mov FCARG1w, TMP1w              // exit_num
	//|	mov FCARG2x, sp
	//|
	//|	// EX(opline) = opline
	//|	SAVE_IP
	dasm_put(Dst, 5780);
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 5805, Dt1(->opline));
		}
#line 2474 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	// zend_jit_trace_exit(trace_num, exit_num)
	//|	EXT_CALL zend_jit_trace_exit, REG0
		if (arm64_may_use_b(zend_jit_trace_exit)) {
	dasm_put(Dst, 5808, (unsigned int)((ptrdiff_t)(zend_jit_trace_exit)), (unsigned int)(((ptrdiff_t)(zend_jit_trace_exit))>>32));
		} else {
		if (((uintptr_t)(zend_jit_trace_exit)) == 0) {
	dasm_put(Dst, 5811);
		} else if (((uintptr_t)(zend_jit_trace_exit)) <= MOVZ_IMM) {
	dasm_put(Dst, 5813, ((uint64_t)(zend_jit_trace_exit)));
		} else if (arm64_may_use_adr((void*)(zend_jit_trace_exit))) {
	dasm_put(Dst, 5816, (unsigned int)((ptrdiff_t)(zend_jit_trace_exit)), (unsigned int)(((ptrdiff_t)(zend_jit_trace_exit))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_jit_trace_exit))) {
	dasm_put(Dst, 5819, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_trace_exit))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_trace_exit)))))>>32));
			if (((uintptr_t)(zend_jit_trace_exit)) & 0xfff) {
	dasm_put(Dst, 5822, (((uintptr_t)(zend_jit_trace_exit)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_jit_trace_exit) & 0xffff) {
	dasm_put(Dst, 5825, ((uintptr_t)(zend_jit_trace_exit) & 0xffff));
			if (((uintptr_t)(zend_jit_trace_exit) >> 16) & 0xffff) {
	dasm_put(Dst, 5828, (((uintptr_t)(zend_jit_trace_exit) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_jit_trace_exit) >> 32) & 0xffff) {
	dasm_put(Dst, 5831, (((uintptr_t)(zend_jit_trace_exit) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_jit_trace_exit) >> 16) & 0xffff) {
	dasm_put(Dst, 5834, (((uintptr_t)(zend_jit_trace_exit) >> 16) & 0xffff));
			if (((uintptr_t)(zend_jit_trace_exit) >> 32) & 0xffff) {
	dasm_put(Dst, 5837, (((uintptr_t)(zend_jit_trace_exit) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 5840, (((uintptr_t)(zend_jit_trace_exit) >> 32) & 0xffff));
		}
	dasm_put(Dst, 5843);
		}
#line 2476 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|
	//|	add sp, sp, #(32 * 16)          // restore sp
	//|
	dasm_put(Dst, 5845);
#line 2479 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	//|	tst RETVALw, RETVALw
	//|	bne >1  // not zero
	dasm_put(Dst, 5847);
#line 2482 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	//|	// execute_data = EG(current_execute_data)
	//|	MEM_LOAD_64_ZTS ldr, FP, executor_globals, current_execute_data, REG0
		if (((uintptr_t)(&executor_globals.current_execute_data)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.current_execute_data))) {
	dasm_put(Dst, 5851, (unsigned int)((ptrdiff_t)(&executor_globals.current_execute_data)), (unsigned int)(((ptrdiff_t)(&executor_globals.current_execute_data))>>32));
		} else if (((uintptr_t)(&executor_globals.current_execute_data)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.current_execute_data))) {
	dasm_put(Dst, 5855, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data)))))>>32), (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff));
		} else {
		if (((uintptr_t)(&executor_globals.current_execute_data)) == 0) {
	dasm_put(Dst, 5860);
		} else if (((uintptr_t)(&executor_globals.current_execute_data)) <= MOVZ_IMM) {
	dasm_put(Dst, 5862, ((uint64_t)(&executor_globals.current_execute_data)));
		} else if (arm64_may_use_adr((void*)(&executor_globals.current_execute_data))) {
	dasm_put(Dst, 5865, (unsigned int)((ptrdiff_t)(&executor_globals.current_execute_data)), (unsigned int)(((ptrdiff_t)(&executor_globals.current_execute_data))>>32));
		} else if (arm64_may_use_adrp((void*)(&executor_globals.current_execute_data))) {
	dasm_put(Dst, 5868, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data)))))>>32));
			if (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff) {
	dasm_put(Dst, 5871, (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff));
			}
		} else if ((uintptr_t)(&executor_globals.current_execute_data) & 0xffff) {
	dasm_put(Dst, 5874, ((uintptr_t)(&executor_globals.current_execute_data) & 0xffff));
			if (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff) {
	dasm_put(Dst, 5877, (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff));
			}
			if (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff) {
	dasm_put(Dst, 5880, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff) {
	dasm_put(Dst, 5883, (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff));
			if (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff) {
	dasm_put(Dst, 5886, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 5889, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
		}
	dasm_put(Dst, 5892);
		}
#line 2485 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	// opline = EX(opline)
	//|	LOAD_IP
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 5894, Dt1(->opline));
		}
#line 2487 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	if (zend_jit_vm_kind == ZEND_VM_KIND_HYBRID) {
		//|	ADD_HYBRID_SPAD
		#ifndef ZEND_VM_HYBRID_JIT_RED_ZONE_SIZE
		dasm_put(Dst, 5897);
		#endif
#line 2490 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	JMP_IP TMP1
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 5899);
			} else {
		dasm_put(Dst, 5902, Dt1(->opline));
			}
#line 2491 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else if (GCC_GLOBAL_REGS) {
		//|	ldp x29, x30, [sp], # SPAD    // stack alignment
		//|	JMP_IP TMP1
		dasm_put(Dst, 5906);
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 5908);
			} else {
		dasm_put(Dst, 5911, Dt1(->opline));
			}
#line 2494 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		//|	ldp FP, RX, T2                // retore FP and IP
		//|	ldp x29, x30, [sp], # NR_SPAD // stack alignment
		//|	mov RETVALx, #1               // ZEND_VM_ENTER
		//|	ret
		dasm_put(Dst, 5915);
#line 2499 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	//|1:
	//|	blt ->trace_halt
	dasm_put(Dst, 5920);
#line 2503 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	//|	// execute_data = EG(current_execute_data)
	//|	MEM_LOAD_64_ZTS ldr, FP, executor_globals, current_execute_data, REG0
		if (((uintptr_t)(&executor_globals.current_execute_data)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.current_execute_data))) {
	dasm_put(Dst, 5924, (unsigned int)((ptrdiff_t)(&executor_globals.current_execute_data)), (unsigned int)(((ptrdiff_t)(&executor_globals.current_execute_data))>>32));
		} else if (((uintptr_t)(&executor_globals.current_execute_data)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.current_execute_data))) {
	dasm_put(Dst, 5928, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data)))))>>32), (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff));
		} else {
		if (((uintptr_t)(&executor_globals.current_execute_data)) == 0) {
	dasm_put(Dst, 5933);
		} else if (((uintptr_t)(&executor_globals.current_execute_data)) <= MOVZ_IMM) {
	dasm_put(Dst, 5935, ((uint64_t)(&executor_globals.current_execute_data)));
		} else if (arm64_may_use_adr((void*)(&executor_globals.current_execute_data))) {
	dasm_put(Dst, 5938, (unsigned int)((ptrdiff_t)(&executor_globals.current_execute_data)), (unsigned int)(((ptrdiff_t)(&executor_globals.current_execute_data))>>32));
		} else if (arm64_may_use_adrp((void*)(&executor_globals.current_execute_data))) {
	dasm_put(Dst, 5941, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data)))))>>32));
			if (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff) {
	dasm_put(Dst, 5944, (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff));
			}
		} else if ((uintptr_t)(&executor_globals.current_execute_data) & 0xffff) {
	dasm_put(Dst, 5947, ((uintptr_t)(&executor_globals.current_execute_data) & 0xffff));
			if (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff) {
	dasm_put(Dst, 5950, (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff));
			}
			if (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff) {
	dasm_put(Dst, 5953, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff) {
	dasm_put(Dst, 5956, (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff));
			if (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff) {
	dasm_put(Dst, 5959, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 5962, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
		}
	dasm_put(Dst, 5965);
		}
#line 2506 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	// opline = EX(opline)
	//|	LOAD_IP
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 5967, Dt1(->opline));
		}
#line 2508 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	//|	// check for interrupt (try to avoid this ???)
	//|	MEM_LOAD_8_ZTS ldrb, TMP1w, executor_globals, vm_interrupt, TMP1
		if (((uintptr_t)(&executor_globals.vm_interrupt)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.vm_interrupt))) {
	dasm_put(Dst, 5970, (unsigned int)((ptrdiff_t)(&executor_globals.vm_interrupt)), (unsigned int)(((ptrdiff_t)(&executor_globals.vm_interrupt))>>32));
		} else if (((uintptr_t)(&executor_globals.vm_interrupt)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.vm_interrupt))) {
	dasm_put(Dst, 5974, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_interrupt))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_interrupt)))))>>32), (((uintptr_t)(&executor_globals.vm_interrupt)) & 0xfff));
		} else {
		if (((uintptr_t)(&executor_globals.vm_interrupt)) == 0) {
	dasm_put(Dst, 5979);
		} else if (((uintptr_t)(&executor_globals.vm_interrupt)) <= MOVZ_IMM) {
	dasm_put(Dst, 5981, ((uint64_t)(&executor_globals.vm_interrupt)));
		} else if (arm64_may_use_adr((void*)(&executor_globals.vm_interrupt))) {
	dasm_put(Dst, 5984, (unsigned int)((ptrdiff_t)(&executor_globals.vm_interrupt)), (unsigned int)(((ptrdiff_t)(&executor_globals.vm_interrupt))>>32));
		} else if (arm64_may_use_adrp((void*)(&executor_globals.vm_interrupt))) {
	dasm_put(Dst, 5987, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_interrupt))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_interrupt)))))>>32));
			if (((uintptr_t)(&executor_globals.vm_interrupt)) & 0xfff) {
	dasm_put(Dst, 5990, (((uintptr_t)(&executor_globals.vm_interrupt)) & 0xfff));
			}
		} else if ((uintptr_t)(&executor_globals.vm_interrupt) & 0xffff) {
	dasm_put(Dst, 5993, ((uintptr_t)(&executor_globals.vm_interrupt) & 0xffff));
			if (((uintptr_t)(&executor_globals.vm_interrupt) >> 16) & 0xffff) {
	dasm_put(Dst, 5996, (((uintptr_t)(&executor_globals.vm_interrupt) >> 16) & 0xffff));
			}
			if (((uintptr_t)(&executor_globals.vm_interrupt) >> 32) & 0xffff) {
	dasm_put(Dst, 5999, (((uintptr_t)(&executor_globals.vm_interrupt) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(&executor_globals.vm_interrupt) >> 16) & 0xffff) {
	dasm_put(Dst, 6002, (((uintptr_t)(&executor_globals.vm_interrupt) >> 16) & 0xffff));
			if (((uintptr_t)(&executor_globals.vm_interrupt) >> 32) & 0xffff) {
	dasm_put(Dst, 6005, (((uintptr_t)(&executor_globals.vm_interrupt) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 6008, (((uintptr_t)(&executor_globals.vm_interrupt) >> 32) & 0xffff));
		}
	dasm_put(Dst, 6011);
		}
#line 2511 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	cbnz TMP1w, ->interrupt_handler
	dasm_put(Dst, 6013);
#line 2512 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	if (zend_jit_vm_kind == ZEND_VM_KIND_HYBRID) {
		//|	ADD_HYBRID_SPAD
		#ifndef ZEND_VM_HYBRID_JIT_RED_ZONE_SIZE
		dasm_put(Dst, 6016);
		#endif
#line 2515 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	ldr REG0, EX->func
		//|	ldr REG0, [REG0, #offsetof(zend_op_array, reserved[zend_func_info_rid])]
		//|	ldr REG0, [REG0, #offsetof(zend_jit_op_array_trace_extension, offset)]
		//|	ldr REG0, [IP, REG0]
		//|	br REG0
		dasm_put(Dst, 6018, Dt1(->func), offsetof(zend_op_array, reserved[zend_func_info_rid]), offsetof(zend_jit_op_array_trace_extension, offset));
#line 2520 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else if (GCC_GLOBAL_REGS) {
		//|	ldp x29, x30, [sp], # SPAD    // stack alignment
		//|	ldr REG0, EX->func
		//|	ldr REG0, [REG0, #offsetof(zend_op_array, reserved[zend_func_info_rid])]
		//|	ldr REG0, [REG0, #offsetof(zend_jit_op_array_trace_extension, offset)]
		//|	ldr REG0, [IP, REG0]
		//|	br REG0
		dasm_put(Dst, 6027, Dt1(->func), offsetof(zend_op_array, reserved[zend_func_info_rid]), offsetof(zend_jit_op_array_trace_extension, offset));
#line 2527 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		//|	ldr IP, EX->opline
		//|	mov FCARG1x, FP
		//|	ldr REG0, EX->func
		//|	ldr REG0, [REG0, #offsetof(zend_op_array, reserved[zend_func_info_rid])]
		//|	ldr REG0, [REG0, #offsetof(zend_jit_op_array_trace_extension, offset)]
		//|	ldr REG0, [IP, REG0]
		//|	blr REG0
		//|
		//|	tst RETVALw, RETVALw
		//|	blt ->trace_halt
		//|
		//|	ldp FP, RX, T2                // retore FP and IP
		//|	ldp x29, x30, [sp], # NR_SPAD // stack alignment
		//|	mov RETVALx, #1               // ZEND_VM_ENTER
		//|	ret
		dasm_put(Dst, 6037, Dt1(->opline), Dt1(->func), offsetof(zend_op_array, reserved[zend_func_info_rid]), offsetof(zend_jit_op_array_trace_extension, offset));
#line 2543 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	return 1;
}

static int zend_jit_trace_escape_stub(dasm_State **Dst)
{
	//|->trace_escape:
	//|
	dasm_put(Dst, 6056);
#line 2552 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	if (zend_jit_vm_kind == ZEND_VM_KIND_HYBRID) {
		//|	ADD_HYBRID_SPAD
		#ifndef ZEND_VM_HYBRID_JIT_RED_ZONE_SIZE
		dasm_put(Dst, 6058);
		#endif
#line 2554 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	JMP_IP, TMP1
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 6060);
			} else {
		dasm_put(Dst, 6063, Dt1(->opline));
			}
#line 2555 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else if (GCC_GLOBAL_REGS) {
		//|	ldp x29, x30, [sp], # SPAD    // stack alignment
		//|	JMP_IP, TMP1
		dasm_put(Dst, 6067);
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 6069);
			} else {
		dasm_put(Dst, 6072, Dt1(->opline));
			}
#line 2558 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		//|	ldp FP, RX, T2                // retore FP and IP
		//|	ldp x29, x30, [sp], # NR_SPAD // stack alignment
		//|	mov RETVALx, #1               // ZEND_VM_ENTER
		//|	ret
		dasm_put(Dst, 6076);
#line 2563 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	return 1;
}

/* Keep 32 exit points in a single code block */
#define ZEND_JIT_EXIT_POINTS_SPACING    4 // bl = bytes
#define ZEND_JIT_EXIT_POINTS_PER_GROUP 32 // number of continuous exit points

static int zend_jit_trace_exit_group_stub(dasm_State **Dst, uint32_t n)
{
	uint32_t i;

	//|	bl >2
	//|1:
	dasm_put(Dst, 6081);
#line 2578 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	for (i = 1; i < ZEND_JIT_EXIT_POINTS_PER_GROUP; i++) {
		//|	bl >2
		dasm_put(Dst, 6085);
#line 2580 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	//|2:
	//|	adr TMP1, <1
	//|	sub TMP1, lr, TMP1
	//|	lsr TMP1, TMP1, #2
	dasm_put(Dst, 6088);
#line 2585 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	if (n) {
		//|	ADD_SUB_32_WITH_CONST add, TMP1w, TMP1w, n, TMP2w
			if (n == 0) {
		dasm_put(Dst, 6094);
			} else if (arm64_may_encode_imm12((int64_t)(n))) {
		dasm_put(Dst, 6096, n);
			} else {
			if (((uint32_t)(n)) <= MOVZ_IMM) {
		dasm_put(Dst, 6099, ((uint32_t)(n)));
			} else if (((uint32_t)(n) & 0xffff)) {
		dasm_put(Dst, 6102, ((uint32_t)(n) & 0xffff));
				if ((((uint32_t)(n) >> 16) & 0xffff)) {
		dasm_put(Dst, 6105, (((uint32_t)(n) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 6108, (((uint32_t)(n) >> 16) & 0xffff));
			}
		dasm_put(Dst, 6111);
			}
#line 2587 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	//|	b ->trace_exit // pass exit_num in TMP1w
	dasm_put(Dst, 6113);
#line 2589 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	return 1;
}

#ifdef CONTEXT_THREADED_JIT
static int zend_jit_context_threaded_call_stub(dasm_State **Dst)
{
	//|->context_threaded_call:
	//|	NIY_STUB	// TODO
	dasm_put(Dst, 6116);
		//ZEND_ASSERT(0);
	dasm_put(Dst, 6118);
#line 2598 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	return 1;
}
#endif

static int zend_jit_assign_const_stub(dasm_State **Dst)
{
	zend_jit_addr var_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, 0);
	zend_jit_addr val_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG2, 0);
	uint32_t val_info = MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN;

	//|->assign_const:
	//|	stp x29, x30, [sp, #-32]!
	//|	mov x29, sp
	dasm_put(Dst, 6120);
#line 2611 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	if (!zend_jit_assign_to_variable(
			Dst, NULL,
			var_addr, var_addr, -1, -1,
			IS_CONST, val_addr, val_info,
			0, 0)) {
		return 0;
	}
	//|	ldp x29, x30, [sp], #32
	//|	ret
	dasm_put(Dst, 6124);
#line 2620 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	return 1;
}

static int zend_jit_assign_tmp_stub(dasm_State **Dst)
{
	zend_jit_addr var_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, 0);
	zend_jit_addr val_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG2, 0);
	uint32_t val_info = MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN;

	//|->assign_tmp:
	//|	stp x29, x30, [sp, #-32]!
	//|	mov x29, sp
	dasm_put(Dst, 6127);
#line 2632 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	if (!zend_jit_assign_to_variable(
			Dst, NULL,
			var_addr, var_addr, -1, -1,
			IS_TMP_VAR, val_addr, val_info,
			0, 0)) {
		return 0;
	}
	//|	ldp x29, x30, [sp], #32
	//|	ret
	dasm_put(Dst, 6131);
#line 2641 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	return 1;
}

static int zend_jit_assign_var_stub(dasm_State **Dst)
{
	zend_jit_addr var_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, 0);
	zend_jit_addr val_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG2, 0);
	uint32_t val_info = MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF;

	//|->assign_var:
	//|	stp x29, x30, [sp, #-32]!
	//|	mov x29, sp
	dasm_put(Dst, 6134);
#line 2653 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	if (!zend_jit_assign_to_variable(
			Dst, NULL,
			var_addr, var_addr, -1, -1,
			IS_VAR, val_addr, val_info,
			0, 0)) {
		return 0;
	}
	//|	ldp x29, x30, [sp], #32
	//|	ret
	dasm_put(Dst, 6138);
#line 2662 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	return 1;
}

static int zend_jit_assign_cv_noref_stub(dasm_State **Dst)
{
	zend_jit_addr var_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, 0);
	zend_jit_addr val_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG2, 0);
	uint32_t val_info = MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN/*|MAY_BE_UNDEF*/;

	//|->assign_cv_noref:
	//|	stp x29, x30, [sp, #-32]!
	//|	mov x29, sp
	dasm_put(Dst, 6141);
#line 2674 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	if (!zend_jit_assign_to_variable(
			Dst, NULL,
			var_addr, var_addr, -1, -1,
			IS_CV, val_addr, val_info,
			0, 0)) {
		return 0;
	}
	//|	ldp x29, x30, [sp], #32
	//|	ret
	dasm_put(Dst, 6145);
#line 2683 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	return 1;
}

static int zend_jit_assign_cv_stub(dasm_State **Dst)
{
	zend_jit_addr var_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, 0);
	zend_jit_addr val_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG2, 0);
	uint32_t val_info = MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF/*|MAY_BE_UNDEF*/;

	//|->assign_cv:
	//|	stp x29, x30, [sp, #-32]!
	//|	mov x29, sp
	dasm_put(Dst, 6148);
#line 2695 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	if (!zend_jit_assign_to_variable(
			Dst, NULL,
			var_addr, var_addr, -1, -1,
			IS_CV, val_addr, val_info,
			0, 0)) {
		return 0;
	}
	//|	ldp x29, x30, [sp], #32
	//|	ret
	dasm_put(Dst, 6152);
#line 2704 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	return 1;
}

static const zend_jit_stub zend_jit_stubs[] = {
	JIT_STUB(interrupt_handler,         SP_ADJ_JIT,  SP_ADJ_VM),
	JIT_STUB(exception_handler,         SP_ADJ_JIT,  SP_ADJ_VM),
	JIT_STUB(exception_handler_undef,   SP_ADJ_JIT,  SP_ADJ_VM),
	JIT_STUB(exception_handler_free_op1_op2, SP_ADJ_JIT,  SP_ADJ_VM),
	JIT_STUB(exception_handler_free_op2,     SP_ADJ_JIT,  SP_ADJ_VM),
	JIT_STUB(leave_function,            SP_ADJ_JIT,  SP_ADJ_VM),
	JIT_STUB(leave_throw,               SP_ADJ_JIT,  SP_ADJ_VM),
	JIT_STUB(icall_throw,               SP_ADJ_JIT,  SP_ADJ_VM),
	JIT_STUB(throw_cannot_pass_by_ref,  SP_ADJ_JIT,  SP_ADJ_VM),
	JIT_STUB(undefined_offset,          SP_ADJ_JIT,  SP_ADJ_VM),
	JIT_STUB(undefined_index,           SP_ADJ_JIT,  SP_ADJ_VM),
	JIT_STUB(cannot_add_element,        SP_ADJ_JIT,  SP_ADJ_VM),
	JIT_STUB(undefined_offset_ex,       SP_ADJ_JIT,  SP_ADJ_VM),
	JIT_STUB(undefined_index_ex,        SP_ADJ_JIT,  SP_ADJ_VM),
	JIT_STUB(cannot_add_element_ex,     SP_ADJ_JIT,  SP_ADJ_VM),
	JIT_STUB(undefined_function,        SP_ADJ_JIT,  SP_ADJ_VM),
	JIT_STUB(negative_shift,            SP_ADJ_JIT,  SP_ADJ_VM),
	JIT_STUB(mod_by_zero,               SP_ADJ_JIT,  SP_ADJ_VM),
	JIT_STUB(invalid_this,              SP_ADJ_JIT,  SP_ADJ_VM),
	JIT_STUB(trace_halt,                SP_ADJ_JIT,  SP_ADJ_VM),
	JIT_STUB(trace_exit,                SP_ADJ_JIT,  SP_ADJ_VM),
	JIT_STUB(trace_escape,              SP_ADJ_JIT,  SP_ADJ_VM),
	JIT_STUB(hybrid_runtime_jit,        SP_ADJ_VM,   SP_ADJ_NONE),
	JIT_STUB(hybrid_profile_jit,        SP_ADJ_VM,   SP_ADJ_NONE),
	JIT_STUB(hybrid_hot_code,           SP_ADJ_VM,   SP_ADJ_NONE),
	JIT_STUB(hybrid_func_hot_counter,   SP_ADJ_VM,   SP_ADJ_NONE),
	JIT_STUB(hybrid_loop_hot_counter,   SP_ADJ_VM,   SP_ADJ_NONE),
	JIT_STUB(hybrid_hot_trace,          SP_ADJ_VM,   SP_ADJ_NONE),
	JIT_STUB(hybrid_func_trace_counter, SP_ADJ_VM,   SP_ADJ_NONE),
	JIT_STUB(hybrid_ret_trace_counter,  SP_ADJ_VM,   SP_ADJ_NONE),
	JIT_STUB(hybrid_loop_trace_counter, SP_ADJ_VM,   SP_ADJ_NONE),
	JIT_STUB(assign_const,              SP_ADJ_RET,  SP_ADJ_ASSIGN),
	JIT_STUB(assign_tmp,                SP_ADJ_RET,  SP_ADJ_ASSIGN),
	JIT_STUB(assign_var,                SP_ADJ_RET,  SP_ADJ_ASSIGN),
	JIT_STUB(assign_cv_noref,           SP_ADJ_RET,  SP_ADJ_ASSIGN),
	JIT_STUB(assign_cv,                 SP_ADJ_RET,  SP_ADJ_ASSIGN),
#ifdef CONTEXT_THREADED_JIT
	JIT_STUB(context_threaded_call,     SP_ADJ_NONE, SP_ADJ_NONE),
#endif
};

#ifdef HAVE_GDB
# if 0
typedef struct _Unwind_Context _Unwind_Context;
typedef int (*_Unwind_Trace_Fn)(_Unwind_Context *, void *);
extern int _Unwind_Backtrace(_Unwind_Trace_Fn, void *);
extern uintptr_t _Unwind_GetCFA(_Unwind_Context *);

typedef struct _zend_jit_unwind_arg {
	int cnt;
	uintptr_t cfa[3];
} zend_jit_unwind_arg;

static int zend_jit_unwind_cb(_Unwind_Context *ctx, void *a)
{
	zend_jit_unwind_arg *arg = (zend_jit_unwind_arg*)a;
	arg->cfa[arg->cnt] = _Unwind_GetCFA(ctx);
	arg->cnt++;
	if (arg->cnt == 3) {
		return 5; // _URC_END_OF_STACK
	}
	return 0;     // _URC_NO_REASON;
}

static void ZEND_FASTCALL zend_jit_touch_vm_stack_data(void *vm_stack_data)
{
	zend_jit_unwind_arg arg;

	memset(&arg, 0, sizeof(arg));
	_Unwind_Backtrace(zend_jit_unwind_cb, &arg);
	if (arg.cnt == 3) {
		sp_adj[SP_ADJ_VM] = arg.cfa[2] - arg.cfa[1];
	}
}
# else
static void ZEND_FASTCALL zend_jit_touch_vm_stack_data(void *vm_stack_data)
{
	uintptr_t ret;

	__asm__ (
		"ldr %0, [x29]\n\t"
		"sub %0 ,%0, x29"
		: "=r"(ret));

	sp_adj[SP_ADJ_VM] = ret;
}
# endif

extern void (ZEND_FASTCALL *zend_touch_vm_stack_data)(void *vm_stack_data);

static zend_never_inline void zend_jit_set_sp_adj_vm(void)
{
	void (ZEND_FASTCALL *orig_zend_touch_vm_stack_data)(void *);

	orig_zend_touch_vm_stack_data = zend_touch_vm_stack_data;
	zend_touch_vm_stack_data = zend_jit_touch_vm_stack_data;
	execute_ex(NULL);                                        // set sp_adj[SP_ADJ_VM]
	zend_touch_vm_stack_data = orig_zend_touch_vm_stack_data;
}
#endif

static int zend_jit_setup(void)
{
	allowed_opt_flags = 0;

#if ZTS
	tsrm_ls_cache_tcb_offset = tsrm_get_ls_cache_tcb_offset();
	ZEND_ASSERT(tsrm_ls_cache_tcb_offset != 0);
#endif

    memset(sp_adj, 0, sizeof(sp_adj));
#ifdef HAVE_GDB
	sp_adj[SP_ADJ_RET] = 0;
	sp_adj[SP_ADJ_ASSIGN] = 32;
	if (zend_jit_vm_kind == ZEND_VM_KIND_HYBRID) {
		zend_jit_set_sp_adj_vm();                                // set sp_adj[SP_ADJ_VM]
#ifndef ZEND_VM_HYBRID_JIT_RED_ZONE_SIZE
		 sp_adj[SP_ADJ_JIT] = sp_adj[SP_ADJ_VM] + 32; // sub r4, 32
#else
		 sp_adj[SP_ADJ_JIT] = sp_adj[SP_ADJ_VM];
#endif
	} else if (GCC_GLOBAL_REGS) {
		 sp_adj[SP_ADJ_JIT] = sp_adj[SP_ADJ_RET] + 0x20;       // sub r4, 0x20
	} else {
		 sp_adj[SP_ADJ_JIT] = sp_adj[SP_ADJ_RET] + 0x30;    // sub r4, 0x30
	}
#endif

	return SUCCESS;
}

static ZEND_ATTRIBUTE_UNUSED int zend_jit_trap(dasm_State **Dst)
{
	//|	brk #0
	dasm_put(Dst, 6155);
#line 2842 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	return 1;
}

static int zend_jit_align_func(dasm_State **Dst)
{
	reuse_ip = 0;
	delayed_call_chain = 0;
	last_valid_opline = NULL;
	use_last_vald_opline = 0;
	track_last_valid_opline = 0;
	jit_return_label = -1;
	//|.align 16
	dasm_put(Dst, 6157);
#line 2854 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	return 1;
}

static int zend_jit_prologue(dasm_State **Dst)
{
	if (zend_jit_vm_kind == ZEND_VM_KIND_HYBRID) {
		//|	SUB_HYBRID_SPAD
		#ifndef ZEND_VM_HYBRID_JIT_RED_ZONE_SIZE
		dasm_put(Dst, 6159);
		#endif
#line 2861 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else if (GCC_GLOBAL_REGS) {
		//|	stp x29, x30, [sp, # -SPAD]!    // stack alignment
		//|//	mov x29, sp
		dasm_put(Dst, 6161);
#line 2864 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		//|	stp x29, x30, [sp, # -NR_SPAD]! // stack alignment
		//|//	mov	x29, sp
		//|	stp FP, RX, T2                  // save FP and IP
		//|	mov FP, FCARG1x
		dasm_put(Dst, 6163);
#line 2869 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	return 1;
}

static int zend_jit_label(dasm_State **Dst, unsigned int label)
{
	//|=>label:
	dasm_put(Dst, 6167, label);
#line 2876 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	return 1;
}

static int zend_jit_save_call_chain(dasm_State **Dst, uint32_t call_level)
{
	//|	// call->prev_execute_data = EX(call);
	if (call_level == 1) {
		//|	str xzr, EX:RX->prev_execute_data
		dasm_put(Dst, 6169, Dt1(->prev_execute_data));
#line 2884 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		//|	ldr REG0, EX->call
		//|	str REG0, EX:RX->prev_execute_data
		dasm_put(Dst, 6172, Dt1(->call), Dt1(->prev_execute_data));
#line 2887 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	//|	// EX(call) = call;
	//|	str RX, EX->call
	dasm_put(Dst, 6177, Dt1(->call));
#line 2890 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	delayed_call_chain = 0;

	return 1;
}

static int zend_jit_set_ip(dasm_State **Dst, const zend_op *opline)
{
	if (last_valid_opline == opline) {
		zend_jit_use_last_valid_opline();
	} else if (GCC_GLOBAL_REGS && last_valid_opline) {
		zend_jit_use_last_valid_opline();
		//|	LOAD_64BIT_VAL TMP1, (opline - last_valid_opline) * sizeof(zend_op)
			if (((uint64_t)((opline - last_valid_opline) * sizeof(zend_op))) == 0) {
		dasm_put(Dst, 6180);
			} else if (((uint64_t)((opline - last_valid_opline) * sizeof(zend_op))) <= MOVZ_IMM) {
		dasm_put(Dst, 6182, ((uint64_t)((opline - last_valid_opline) * sizeof(zend_op))));
			} else if (~((uint64_t)((opline - last_valid_opline) * sizeof(zend_op))) <= MOVZ_IMM) {
		dasm_put(Dst, 6185, (~((uint64_t)((opline - last_valid_opline) * sizeof(zend_op)))));
			} else if ((uint64_t)((opline - last_valid_opline) * sizeof(zend_op)) & 0xffff) {
		dasm_put(Dst, 6188, ((uint64_t)((opline - last_valid_opline) * sizeof(zend_op)) & 0xffff));
				if (((uint64_t)((opline - last_valid_opline) * sizeof(zend_op)) >> 16) & 0xffff) {
		dasm_put(Dst, 6191, (((uint64_t)((opline - last_valid_opline) * sizeof(zend_op)) >> 16) & 0xffff));
				}
				if (((uint64_t)((opline - last_valid_opline) * sizeof(zend_op)) >> 32) & 0xffff) {
		dasm_put(Dst, 6194, (((uint64_t)((opline - last_valid_opline) * sizeof(zend_op)) >> 32) & 0xffff));
				}
				if ((((uint64_t)((opline - last_valid_opline) * sizeof(zend_op)) >> 48) & 0xffff)) {
		dasm_put(Dst, 6197, (((uint64_t)((opline - last_valid_opline) * sizeof(zend_op)) >> 48) & 0xffff));
				}
			} else if (((uint64_t)((opline - last_valid_opline) * sizeof(zend_op)) >> 16) & 0xffff) {
		dasm_put(Dst, 6200, (((uint64_t)((opline - last_valid_opline) * sizeof(zend_op)) >> 16) & 0xffff));
				if (((uint64_t)((opline - last_valid_opline) * sizeof(zend_op)) >> 32) & 0xffff) {
		dasm_put(Dst, 6203, (((uint64_t)((opline - last_valid_opline) * sizeof(zend_op)) >> 32) & 0xffff));
				}
				if ((((uint64_t)((opline - last_valid_opline) * sizeof(zend_op)) >> 48) & 0xffff)) {
		dasm_put(Dst, 6206, (((uint64_t)((opline - last_valid_opline) * sizeof(zend_op)) >> 48) & 0xffff));
				}
			} else if (((uint64_t)((opline - last_valid_opline) * sizeof(zend_op)) >> 32) & 0xffff) {
		dasm_put(Dst, 6209, (((uint64_t)((opline - last_valid_opline) * sizeof(zend_op)) >> 32) & 0xffff));
				if ((((uint64_t)((opline - last_valid_opline) * sizeof(zend_op)) >> 48) & 0xffff)) {
		dasm_put(Dst, 6212, (((uint64_t)((opline - last_valid_opline) * sizeof(zend_op)) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 6215, (((uint64_t)((opline - last_valid_opline) * sizeof(zend_op)) >> 48) & 0xffff));
			}
#line 2903 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	ADD_IP TMP1, TMP2
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 6218);
			} else {
		dasm_put(Dst, 6220, Dt1(->opline), Dt1(->opline));
			}
#line 2904 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		//|	LOAD_IP_ADDR opline
			if (GCC_GLOBAL_REGS) {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 6226);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 6228, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 6231, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 6234, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 6237, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 6240, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 6243, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 6246, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 6249, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 6252, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 6255, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 6258);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 6260, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 6263, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 6266, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 6269, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 6272, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 6275, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 6278, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 6281, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 6284, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 6287, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 6290, Dt1(->opline));
			}
#line 2906 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	zend_jit_set_last_valid_opline(opline);

	return 1;
}

static int zend_jit_set_ip_ex(dasm_State **Dst, const zend_op *opline, bool set_ip_reg)
{
	return zend_jit_set_ip(Dst, opline);
}

static int zend_jit_set_valid_ip(dasm_State **Dst, const zend_op *opline)
{
	if (delayed_call_chain) {
		if (!zend_jit_save_call_chain(Dst, delayed_call_level)) {
			return 0;
		}
	}
	if (!zend_jit_set_ip(Dst, opline)) {
		return 0;
	}
	reuse_ip = 0;
	return 1;
}

static int zend_jit_check_timeout(dasm_State **Dst, const zend_op *opline, const void *exit_addr)
{
	//|	MEM_LOAD_8_ZTS ldrb, TMP1w, executor_globals, vm_interrupt, TMP1
		if (((uintptr_t)(&executor_globals.vm_interrupt)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.vm_interrupt))) {
	dasm_put(Dst, 6293, (unsigned int)((ptrdiff_t)(&executor_globals.vm_interrupt)), (unsigned int)(((ptrdiff_t)(&executor_globals.vm_interrupt))>>32));
		} else if (((uintptr_t)(&executor_globals.vm_interrupt)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.vm_interrupt))) {
	dasm_put(Dst, 6297, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_interrupt))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_interrupt)))))>>32), (((uintptr_t)(&executor_globals.vm_interrupt)) & 0xfff));
		} else {
		if (((uintptr_t)(&executor_globals.vm_interrupt)) == 0) {
	dasm_put(Dst, 6302);
		} else if (((uintptr_t)(&executor_globals.vm_interrupt)) <= MOVZ_IMM) {
	dasm_put(Dst, 6304, ((uint64_t)(&executor_globals.vm_interrupt)));
		} else if (arm64_may_use_adr((void*)(&executor_globals.vm_interrupt))) {
	dasm_put(Dst, 6307, (unsigned int)((ptrdiff_t)(&executor_globals.vm_interrupt)), (unsigned int)(((ptrdiff_t)(&executor_globals.vm_interrupt))>>32));
		} else if (arm64_may_use_adrp((void*)(&executor_globals.vm_interrupt))) {
	dasm_put(Dst, 6310, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_interrupt))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_interrupt)))))>>32));
			if (((uintptr_t)(&executor_globals.vm_interrupt)) & 0xfff) {
	dasm_put(Dst, 6313, (((uintptr_t)(&executor_globals.vm_interrupt)) & 0xfff));
			}
		} else if ((uintptr_t)(&executor_globals.vm_interrupt) & 0xffff) {
	dasm_put(Dst, 6316, ((uintptr_t)(&executor_globals.vm_interrupt) & 0xffff));
			if (((uintptr_t)(&executor_globals.vm_interrupt) >> 16) & 0xffff) {
	dasm_put(Dst, 6319, (((uintptr_t)(&executor_globals.vm_interrupt) >> 16) & 0xffff));
			}
			if (((uintptr_t)(&executor_globals.vm_interrupt) >> 32) & 0xffff) {
	dasm_put(Dst, 6322, (((uintptr_t)(&executor_globals.vm_interrupt) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(&executor_globals.vm_interrupt) >> 16) & 0xffff) {
	dasm_put(Dst, 6325, (((uintptr_t)(&executor_globals.vm_interrupt) >> 16) & 0xffff));
			if (((uintptr_t)(&executor_globals.vm_interrupt) >> 32) & 0xffff) {
	dasm_put(Dst, 6328, (((uintptr_t)(&executor_globals.vm_interrupt) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 6331, (((uintptr_t)(&executor_globals.vm_interrupt) >> 32) & 0xffff));
		}
	dasm_put(Dst, 6334);
		}
#line 2934 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	if (exit_addr) {
		//|	cbnz TMP1w, &exit_addr
		dasm_put(Dst, 6336, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 2936 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else if (last_valid_opline == opline) {
			zend_jit_use_last_valid_opline();
		//|	cbnz TMP1w, ->interrupt_handler
		dasm_put(Dst, 6339);
#line 2939 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		//|	cbnz TMP1w, >1
		//|.cold_code
		dasm_put(Dst, 6342);
#line 2942 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|1:
		//|	LOAD_IP_ADDR opline
		dasm_put(Dst, 6345);
			if (GCC_GLOBAL_REGS) {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 6347);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 6349, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 6352, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 6355, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 6358, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 6361, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 6364, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 6367, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 6370, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 6373, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 6376, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 6379);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 6381, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 6384, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 6387, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 6390, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 6393, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 6396, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 6399, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 6402, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 6405, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 6408, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 6411, Dt1(->opline));
			}
#line 2944 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	b ->interrupt_handler
		//|.code
		dasm_put(Dst, 6414);
#line 2946 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	return 1;
}

static int zend_jit_trace_end_loop(dasm_State **Dst, int loop_label, const void *timeout_exit_addr)
{
	if (timeout_exit_addr) {
		//|	MEM_LOAD_8_ZTS ldrb, TMP1w, executor_globals, vm_interrupt, TMP1
			if (((uintptr_t)(&executor_globals.vm_interrupt)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.vm_interrupt))) {
		dasm_put(Dst, 6417, (unsigned int)((ptrdiff_t)(&executor_globals.vm_interrupt)), (unsigned int)(((ptrdiff_t)(&executor_globals.vm_interrupt))>>32));
			} else if (((uintptr_t)(&executor_globals.vm_interrupt)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.vm_interrupt))) {
		dasm_put(Dst, 6421, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_interrupt))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_interrupt)))))>>32), (((uintptr_t)(&executor_globals.vm_interrupt)) & 0xfff));
			} else {
			if (((uintptr_t)(&executor_globals.vm_interrupt)) == 0) {
		dasm_put(Dst, 6426);
			} else if (((uintptr_t)(&executor_globals.vm_interrupt)) <= MOVZ_IMM) {
		dasm_put(Dst, 6428, ((uint64_t)(&executor_globals.vm_interrupt)));
			} else if (arm64_may_use_adr((void*)(&executor_globals.vm_interrupt))) {
		dasm_put(Dst, 6431, (unsigned int)((ptrdiff_t)(&executor_globals.vm_interrupt)), (unsigned int)(((ptrdiff_t)(&executor_globals.vm_interrupt))>>32));
			} else if (arm64_may_use_adrp((void*)(&executor_globals.vm_interrupt))) {
		dasm_put(Dst, 6434, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_interrupt))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_interrupt)))))>>32));
				if (((uintptr_t)(&executor_globals.vm_interrupt)) & 0xfff) {
		dasm_put(Dst, 6437, (((uintptr_t)(&executor_globals.vm_interrupt)) & 0xfff));
				}
			} else if ((uintptr_t)(&executor_globals.vm_interrupt) & 0xffff) {
		dasm_put(Dst, 6440, ((uintptr_t)(&executor_globals.vm_interrupt) & 0xffff));
				if (((uintptr_t)(&executor_globals.vm_interrupt) >> 16) & 0xffff) {
		dasm_put(Dst, 6443, (((uintptr_t)(&executor_globals.vm_interrupt) >> 16) & 0xffff));
				}
				if (((uintptr_t)(&executor_globals.vm_interrupt) >> 32) & 0xffff) {
		dasm_put(Dst, 6446, (((uintptr_t)(&executor_globals.vm_interrupt) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(&executor_globals.vm_interrupt) >> 16) & 0xffff) {
		dasm_put(Dst, 6449, (((uintptr_t)(&executor_globals.vm_interrupt) >> 16) & 0xffff));
				if (((uintptr_t)(&executor_globals.vm_interrupt) >> 32) & 0xffff) {
		dasm_put(Dst, 6452, (((uintptr_t)(&executor_globals.vm_interrupt) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 6455, (((uintptr_t)(&executor_globals.vm_interrupt) >> 32) & 0xffff));
			}
		dasm_put(Dst, 6458);
			}
#line 2954 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	cbz TMP1w, =>loop_label
		//|	b &timeout_exit_addr
		dasm_put(Dst, 6460, loop_label, (unsigned int)((ptrdiff_t)(timeout_exit_addr)), (unsigned int)(((ptrdiff_t)(timeout_exit_addr))>>32));
#line 2956 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		//|	b =>loop_label
		dasm_put(Dst, 6465, loop_label);
#line 2958 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	return 1;
}

static int zend_jit_check_exception(dasm_State **Dst)
{
	//|	MEM_LOAD_64_ZTS ldr, TMP2, executor_globals, exception, TMP1
		if (((uintptr_t)(&executor_globals.exception)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.exception))) {
	dasm_put(Dst, 6468, (unsigned int)((ptrdiff_t)(&executor_globals.exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.exception))>>32));
		} else if (((uintptr_t)(&executor_globals.exception)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.exception))) {
	dasm_put(Dst, 6472, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.exception)))))>>32), (((uintptr_t)(&executor_globals.exception)) & 0xfff));
		} else {
		if (((uintptr_t)(&executor_globals.exception)) == 0) {
	dasm_put(Dst, 6477);
		} else if (((uintptr_t)(&executor_globals.exception)) <= MOVZ_IMM) {
	dasm_put(Dst, 6479, ((uint64_t)(&executor_globals.exception)));
		} else if (arm64_may_use_adr((void*)(&executor_globals.exception))) {
	dasm_put(Dst, 6482, (unsigned int)((ptrdiff_t)(&executor_globals.exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.exception))>>32));
		} else if (arm64_may_use_adrp((void*)(&executor_globals.exception))) {
	dasm_put(Dst, 6485, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.exception)))))>>32));
			if (((uintptr_t)(&executor_globals.exception)) & 0xfff) {
	dasm_put(Dst, 6488, (((uintptr_t)(&executor_globals.exception)) & 0xfff));
			}
		} else if ((uintptr_t)(&executor_globals.exception) & 0xffff) {
	dasm_put(Dst, 6491, ((uintptr_t)(&executor_globals.exception) & 0xffff));
			if (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff) {
	dasm_put(Dst, 6494, (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff));
			}
			if (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff) {
	dasm_put(Dst, 6497, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff) {
	dasm_put(Dst, 6500, (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff));
			if (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff) {
	dasm_put(Dst, 6503, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 6506, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
		}
	dasm_put(Dst, 6509);
		}
#line 2965 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	cbnz TMP2, ->exception_handler
	dasm_put(Dst, 6511);
#line 2966 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	return 1;
}

static int zend_jit_check_exception_undef_result(dasm_State **Dst, const zend_op *opline)
{
	if (opline->result_type & (IS_TMP_VAR|IS_VAR)) {
		//|	MEM_LOAD_64_ZTS ldr, TMP2, executor_globals, exception, TMP1
			if (((uintptr_t)(&executor_globals.exception)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.exception))) {
		dasm_put(Dst, 6514, (unsigned int)((ptrdiff_t)(&executor_globals.exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.exception))>>32));
			} else if (((uintptr_t)(&executor_globals.exception)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.exception))) {
		dasm_put(Dst, 6518, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.exception)))))>>32), (((uintptr_t)(&executor_globals.exception)) & 0xfff));
			} else {
			if (((uintptr_t)(&executor_globals.exception)) == 0) {
		dasm_put(Dst, 6523);
			} else if (((uintptr_t)(&executor_globals.exception)) <= MOVZ_IMM) {
		dasm_put(Dst, 6525, ((uint64_t)(&executor_globals.exception)));
			} else if (arm64_may_use_adr((void*)(&executor_globals.exception))) {
		dasm_put(Dst, 6528, (unsigned int)((ptrdiff_t)(&executor_globals.exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.exception))>>32));
			} else if (arm64_may_use_adrp((void*)(&executor_globals.exception))) {
		dasm_put(Dst, 6531, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.exception)))))>>32));
				if (((uintptr_t)(&executor_globals.exception)) & 0xfff) {
		dasm_put(Dst, 6534, (((uintptr_t)(&executor_globals.exception)) & 0xfff));
				}
			} else if ((uintptr_t)(&executor_globals.exception) & 0xffff) {
		dasm_put(Dst, 6537, ((uintptr_t)(&executor_globals.exception) & 0xffff));
				if (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff) {
		dasm_put(Dst, 6540, (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff));
				}
				if (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff) {
		dasm_put(Dst, 6543, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff) {
		dasm_put(Dst, 6546, (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff));
				if (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff) {
		dasm_put(Dst, 6549, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 6552, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
			}
		dasm_put(Dst, 6555);
			}
#line 2973 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	cbnz TMP2, ->exception_handler_undef
		dasm_put(Dst, 6557);
#line 2974 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		return 1;
	}
	return zend_jit_check_exception(Dst);
}

static int zend_jit_trace_begin(dasm_State **Dst, uint32_t trace_num, zend_jit_trace_info *parent, uint32_t exit_num)
{

	current_trace_num = trace_num;

	//|	// EG(jit_trace_num) = trace_num;
	//|	LOAD_32BIT_VAL TMP1w, trace_num
		if (((uint32_t)(trace_num)) <= MOVZ_IMM) {
	dasm_put(Dst, 6560, ((uint32_t)(trace_num)));
		} else if (((uint32_t)(trace_num) & 0xffff)) {
	dasm_put(Dst, 6563, ((uint32_t)(trace_num) & 0xffff));
			if ((((uint32_t)(trace_num) >> 16) & 0xffff)) {
	dasm_put(Dst, 6566, (((uint32_t)(trace_num) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 6569, (((uint32_t)(trace_num) >> 16) & 0xffff));
		}
#line 2986 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	MEM_STORE_32_ZTS str, TMP1w, executor_globals, jit_trace_num, TMP2
		if (((uintptr_t)(&executor_globals.jit_trace_num)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.jit_trace_num))) {
	dasm_put(Dst, 6572, (unsigned int)((ptrdiff_t)(&executor_globals.jit_trace_num)), (unsigned int)(((ptrdiff_t)(&executor_globals.jit_trace_num))>>32));
		} else if (((uintptr_t)(&executor_globals.jit_trace_num)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.jit_trace_num))) {
	dasm_put(Dst, 6576, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.jit_trace_num))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.jit_trace_num)))))>>32), (((uintptr_t)(&executor_globals.jit_trace_num)) & 0xfff));
		} else {
		if (((uintptr_t)(&executor_globals.jit_trace_num)) == 0) {
	dasm_put(Dst, 6581);
		} else if (((uintptr_t)(&executor_globals.jit_trace_num)) <= MOVZ_IMM) {
	dasm_put(Dst, 6583, ((uint64_t)(&executor_globals.jit_trace_num)));
		} else if (arm64_may_use_adr((void*)(&executor_globals.jit_trace_num))) {
	dasm_put(Dst, 6586, (unsigned int)((ptrdiff_t)(&executor_globals.jit_trace_num)), (unsigned int)(((ptrdiff_t)(&executor_globals.jit_trace_num))>>32));
		} else if (arm64_may_use_adrp((void*)(&executor_globals.jit_trace_num))) {
	dasm_put(Dst, 6589, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.jit_trace_num))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.jit_trace_num)))))>>32));
			if (((uintptr_t)(&executor_globals.jit_trace_num)) & 0xfff) {
	dasm_put(Dst, 6592, (((uintptr_t)(&executor_globals.jit_trace_num)) & 0xfff));
			}
		} else if ((uintptr_t)(&executor_globals.jit_trace_num) & 0xffff) {
	dasm_put(Dst, 6595, ((uintptr_t)(&executor_globals.jit_trace_num) & 0xffff));
			if (((uintptr_t)(&executor_globals.jit_trace_num) >> 16) & 0xffff) {
	dasm_put(Dst, 6598, (((uintptr_t)(&executor_globals.jit_trace_num) >> 16) & 0xffff));
			}
			if (((uintptr_t)(&executor_globals.jit_trace_num) >> 32) & 0xffff) {
	dasm_put(Dst, 6601, (((uintptr_t)(&executor_globals.jit_trace_num) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(&executor_globals.jit_trace_num) >> 16) & 0xffff) {
	dasm_put(Dst, 6604, (((uintptr_t)(&executor_globals.jit_trace_num) >> 16) & 0xffff));
			if (((uintptr_t)(&executor_globals.jit_trace_num) >> 32) & 0xffff) {
	dasm_put(Dst, 6607, (((uintptr_t)(&executor_globals.jit_trace_num) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 6610, (((uintptr_t)(&executor_globals.jit_trace_num) >> 32) & 0xffff));
		}
	dasm_put(Dst, 6613);
		}
#line 2987 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	return 1;
}

static int zend_jit_trace_end(dasm_State **Dst, zend_jit_trace_info *t)
{
	uint32_t i;
	const void *exit_addr;

	/* Emit veneers table for exit points (B instruction for each exit number) */
	//|.cold_code
	dasm_put(Dst, 6615);
#line 2998 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	for (i = 0; i < t->exit_count; i++) {
		exit_addr = zend_jit_trace_get_exit_addr(i);
		if (!exit_addr) {
			return 0;
		}
		//|	b &exit_addr
		dasm_put(Dst, 6616, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 3004 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	//|=>1: // end of the code
	//|.code
	dasm_put(Dst, 6619, 1);
#line 3007 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	return 1;
}

static int zend_jit_patch(const void *code, size_t size, uint32_t jmp_table_size, const void *from_addr, const void *to_addr)
{
	int ret = 0;
	uint8_t *p, *end;
	const void *veneer = NULL;
	ptrdiff_t delta;

	if (jmp_table_size) {
		const void **jmp_slot = (const void **)((char*)code + ZEND_MM_ALIGNED_SIZE_EX(size, sizeof(void*)));

		do {
			if (*jmp_slot == from_addr) {
				*jmp_slot = to_addr;
				ret++;
			}
			jmp_slot++;
		} while (--jmp_table_size);
	}

	end = (uint8_t*)code;
	p = end + size;
	while (p > end) {
		uint32_t *ins_ptr;
		uint32_t ins;

		p -= 4;
		ins_ptr = (uint32_t*)p;
		ins = *ins_ptr;
		if ((ins & 0xfc000000u) == 0x14000000u) {
			// B (imm26:0..25)
			delta = (uint32_t*)from_addr - ins_ptr;
			if (((ins ^ (uint32_t)delta) & 0x01ffffffu) == 0) {
				delta = (uint32_t*)to_addr - ins_ptr;
				if (((delta + 0x02000000) >> 26) != 0) {
					abort(); // brnach target out of range
				}
				*ins_ptr = (ins & 0xfc000000u) | ((uint32_t)delta & 0x03ffffffu);
				ret++;
				if (!veneer) {
					veneer = p;
				}
			}
		} else if ((ins & 0xff000000u) == 0x54000000u ||
		           (ins & 0x7e000000u) == 0x34000000u) {
			// B.cond, CBZ, CBNZ (imm19:5..23)
			delta = (uint32_t*)from_addr - ins_ptr;
			if (((ins ^ ((uint32_t)delta << 5)) & 0x00ffffe0u) == 0) {
				delta = (uint32_t*)to_addr - ins_ptr;
				if (((delta + 0x40000) >> 19) != 0) {
					if (veneer) {
						delta = (uint32_t*)veneer - ins_ptr;
						if (((delta + 0x40000) >> 19) != 0) {
							abort(); // brnach target out of range
						}
					} else {
						abort(); // brnach target out of range
					}
				}
				*ins_ptr = (ins & 0xff00001fu) | (((uint32_t)delta & 0x7ffffu) << 5);
				ret++;
			}
		} else if ((ins & 0x7e000000u) == 0x36000000u) {
			// TBZ, TBNZ (imm14:5..18)
			delta = (uint32_t*)from_addr - ins_ptr;
			if (((ins ^ ((uint32_t)delta << 5)) & 0x0007ffe0u) == 0) {
				delta = (uint32_t*)to_addr - ins_ptr;
				if (((delta + 0x2000) >> 14) != 0) {
					if (veneer) {
						delta = (uint32_t*)veneer - ins_ptr;
						if (((delta + 0x2000) >> 14) != 0) {
							abort(); // brnach target out of range
						}
					} else {
						abort(); // brnach target out of range
					}
				}
				*ins_ptr = (ins & 0xfff8001fu) | (((uint32_t)delta & 0x3fffu) << 5);
				ret++;
			}
		}
	}

	JIT_CACHE_FLUSH(code, (char*)code + size);

#ifdef HAVE_VALGRIND
	VALGRIND_DISCARD_TRANSLATIONS(code, size);
#endif

	return ret;
}

static int zend_jit_link_side_trace(const void *code, size_t size, uint32_t jmp_table_size, uint32_t exit_num, const void *addr)
{
	return zend_jit_patch(code, size, jmp_table_size, zend_jit_trace_get_exit_addr(exit_num), addr);
}

static int zend_jit_trace_link_to_root(dasm_State **Dst, zend_jit_trace_info *t, const void *timeout_exit_addr)
{
	const void *link_addr;
	size_t prologue_size;

	/* Skip prologue. */
	// TODO: don't hardcode this ???
	if (zend_jit_vm_kind == ZEND_VM_KIND_HYBRID) {
#ifdef ZEND_VM_HYBRID_JIT_RED_ZONE_SIZE
		prologue_size = 0;
#else
		// sub sp, sp, #0x20
		prologue_size = 4;
#endif
	} else if (GCC_GLOBAL_REGS) {
		// stp x29, x30, [sp, # -SPAD]!
		prologue_size = 4;
	} else {
		// stp x29, x30, [sp, # -NR_SPAD]! // stack alignment
		// stp FP, RX, T2
		// mov FP, FCARG1x
		prologue_size = 12;
	}
	link_addr = (const void*)((const char*)t->code_start + prologue_size);

	if (timeout_exit_addr) {
		/* Check timeout for links to LOOP */
		//|	MEM_LOAD_8_ZTS ldrb, TMP1w, executor_globals, vm_interrupt, TMP1
			if (((uintptr_t)(&executor_globals.vm_interrupt)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.vm_interrupt))) {
		dasm_put(Dst, 6621, (unsigned int)((ptrdiff_t)(&executor_globals.vm_interrupt)), (unsigned int)(((ptrdiff_t)(&executor_globals.vm_interrupt))>>32));
			} else if (((uintptr_t)(&executor_globals.vm_interrupt)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.vm_interrupt))) {
		dasm_put(Dst, 6625, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_interrupt))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_interrupt)))))>>32), (((uintptr_t)(&executor_globals.vm_interrupt)) & 0xfff));
			} else {
			if (((uintptr_t)(&executor_globals.vm_interrupt)) == 0) {
		dasm_put(Dst, 6630);
			} else if (((uintptr_t)(&executor_globals.vm_interrupt)) <= MOVZ_IMM) {
		dasm_put(Dst, 6632, ((uint64_t)(&executor_globals.vm_interrupt)));
			} else if (arm64_may_use_adr((void*)(&executor_globals.vm_interrupt))) {
		dasm_put(Dst, 6635, (unsigned int)((ptrdiff_t)(&executor_globals.vm_interrupt)), (unsigned int)(((ptrdiff_t)(&executor_globals.vm_interrupt))>>32));
			} else if (arm64_may_use_adrp((void*)(&executor_globals.vm_interrupt))) {
		dasm_put(Dst, 6638, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_interrupt))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_interrupt)))))>>32));
				if (((uintptr_t)(&executor_globals.vm_interrupt)) & 0xfff) {
		dasm_put(Dst, 6641, (((uintptr_t)(&executor_globals.vm_interrupt)) & 0xfff));
				}
			} else if ((uintptr_t)(&executor_globals.vm_interrupt) & 0xffff) {
		dasm_put(Dst, 6644, ((uintptr_t)(&executor_globals.vm_interrupt) & 0xffff));
				if (((uintptr_t)(&executor_globals.vm_interrupt) >> 16) & 0xffff) {
		dasm_put(Dst, 6647, (((uintptr_t)(&executor_globals.vm_interrupt) >> 16) & 0xffff));
				}
				if (((uintptr_t)(&executor_globals.vm_interrupt) >> 32) & 0xffff) {
		dasm_put(Dst, 6650, (((uintptr_t)(&executor_globals.vm_interrupt) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(&executor_globals.vm_interrupt) >> 16) & 0xffff) {
		dasm_put(Dst, 6653, (((uintptr_t)(&executor_globals.vm_interrupt) >> 16) & 0xffff));
				if (((uintptr_t)(&executor_globals.vm_interrupt) >> 32) & 0xffff) {
		dasm_put(Dst, 6656, (((uintptr_t)(&executor_globals.vm_interrupt) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 6659, (((uintptr_t)(&executor_globals.vm_interrupt) >> 32) & 0xffff));
			}
		dasm_put(Dst, 6662);
			}
#line 3134 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	cbz TMP1w, &link_addr
		//|	b &timeout_exit_addr
		dasm_put(Dst, 6664, (unsigned int)((ptrdiff_t)(link_addr)), (unsigned int)(((ptrdiff_t)(link_addr))>>32), (unsigned int)((ptrdiff_t)(timeout_exit_addr)), (unsigned int)(((ptrdiff_t)(timeout_exit_addr))>>32));
#line 3136 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		//|	b &link_addr
		dasm_put(Dst, 6669, (unsigned int)((ptrdiff_t)(link_addr)), (unsigned int)(((ptrdiff_t)(link_addr))>>32));
#line 3138 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	return 1;
}

static int zend_jit_trace_return(dasm_State **Dst, bool original_handler, const zend_op *opline)
{
	if (zend_jit_vm_kind == ZEND_VM_KIND_HYBRID) {
		//|	ADD_HYBRID_SPAD
		#ifndef ZEND_VM_HYBRID_JIT_RED_ZONE_SIZE
		dasm_put(Dst, 6672);
		#endif
#line 3146 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (!original_handler) {
			//|	JMP_IP TMP1
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 6674);
				} else {
			dasm_put(Dst, 6677, Dt1(->opline));
				}
#line 3148 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	ldr REG0, EX->func
			//|	ldr REG0, [REG0, #offsetof(zend_op_array, reserved[zend_func_info_rid])]
			//|	ldr REG0, [REG0, #offsetof(zend_jit_op_array_trace_extension, offset)]
			//|	ldr REG0, [IP, REG0]
			//|	br REG0
			dasm_put(Dst, 6681, Dt1(->func), offsetof(zend_op_array, reserved[zend_func_info_rid]), offsetof(zend_jit_op_array_trace_extension, offset));
#line 3154 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else if (GCC_GLOBAL_REGS) {
		//|	ldp x29, x30, [sp], # SPAD // stack alignment
		dasm_put(Dst, 6690);
#line 3157 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (!original_handler) {
			//|	JMP_IP TMP1
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 6692);
				} else {
			dasm_put(Dst, 6695, Dt1(->opline));
				}
#line 3159 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	ldr REG0, EX->func
			//|	ldr REG0, [REG0, #offsetof(zend_op_array, reserved[zend_func_info_rid])]
			//|	ldr REG0, [REG0, #offsetof(zend_jit_op_array_trace_extension, offset)]
			//|	ldr REG0, [IP, REG0]
			//|	br REG0
			dasm_put(Dst, 6699, Dt1(->func), offsetof(zend_op_array, reserved[zend_func_info_rid]), offsetof(zend_jit_op_array_trace_extension, offset));
#line 3165 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else {
		if (original_handler) {
			//|	mov FCARG1x, FP
			//|	ldr REG0, EX->func
			//|	ldr REG0, [REG0, #offsetof(zend_op_array, reserved[zend_func_info_rid])]
			//|	ldr REG0, [REG0, #offsetof(zend_jit_op_array_trace_extension, offset)]
			//|	ldr REG0, [IP, REG0]
			//|	blr REG0
			dasm_put(Dst, 6708, Dt1(->func), offsetof(zend_op_array, reserved[zend_func_info_rid]), offsetof(zend_jit_op_array_trace_extension, offset));
#line 3174 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	ldp FP, RX, T2                // retore FP and IP
		//|	ldp x29, x30, [sp], # NR_SPAD // stack alignment
		dasm_put(Dst, 6718);
#line 3177 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (!original_handler || !opline ||
		    (opline->opcode != ZEND_RETURN
		  && opline->opcode != ZEND_RETURN_BY_REF
		  && opline->opcode != ZEND_GENERATOR_RETURN
		  && opline->opcode != ZEND_GENERATOR_CREATE
		  && opline->opcode != ZEND_YIELD
		  && opline->opcode != ZEND_YIELD_FROM)) {
			//|	mov RETVALx, #2               // ZEND_VM_LEAVE
			dasm_put(Dst, 6721);
#line 3185 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	ret
		dasm_put(Dst, 6723);
#line 3187 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	return 1;
}

static int zend_jit_type_guard(dasm_State **Dst, const zend_op *opline, uint32_t var, uint8_t type)
{
	int32_t exit_point = zend_jit_trace_get_exit_point(opline, 0);
	const void *exit_addr = zend_jit_trace_get_exit_addr(exit_point);
	zend_jit_addr var_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, var);

	if (!exit_addr) {
		return 0;
	}

	//|	IF_NOT_ZVAL_TYPE var_addr, type, &exit_addr, ZREG_TMP1
		ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
	dasm_put(Dst, 6725, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type))));
		} else if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
	dasm_put(Dst, 6729, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
	dasm_put(Dst, 6733, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 6737, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 6741, (ZREG_X15), (Z_REG(var_addr)), (ZREG_X15));
		} else {
	dasm_put(Dst, 6746, (ZREG_X15), (Z_REG(var_addr)), (Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)));
		}
		if (type == 0) {
	dasm_put(Dst, 6751, (ZREG_X15), (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
		} else {
	dasm_put(Dst, 6755, (ZREG_X15), type, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
		}
#line 3202 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	return 1;
}

static int zend_jit_scalar_type_guard(dasm_State **Dst, const zend_op *opline, uint32_t var)
{
	int32_t exit_point = zend_jit_trace_get_exit_point(opline, 0);
	const void *exit_addr = zend_jit_trace_get_exit_addr(exit_point);

	if (!exit_addr) {
		return 0;
	}
	//|	MEM_ACCESS_8_WITH_UOFFSET ldrb, TMP1w, FP, var+offsetof(zval, u1.v.type), TMP1
		if (((uintptr_t)(var+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(var+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
	dasm_put(Dst, 6761, ((uint32_t)(var+offsetof(zval, u1.v.type))));
		} else if (((uint32_t)(var+offsetof(zval, u1.v.type)) & 0xffff)) {
	dasm_put(Dst, 6764, ((uint32_t)(var+offsetof(zval, u1.v.type)) & 0xffff));
			if ((((uint32_t)(var+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
	dasm_put(Dst, 6767, (((uint32_t)(var+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 6770, (((uint32_t)(var+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 6773);
		} else {
	dasm_put(Dst, 6775, (var+offsetof(zval, u1.v.type)));
		}
#line 3215 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	cmp TMP1w, #IS_STRING
	//|	bhs &exit_addr
	dasm_put(Dst, 6778, IS_STRING, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 3217 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	return 1;
}
static int zend_jit_packed_guard(dasm_State **Dst, const zend_op *opline, uint32_t var, uint32_t op_info)
{
	int32_t exit_point = zend_jit_trace_get_exit_point(opline, ZEND_JIT_EXIT_PACKED_GUARD);
	const void *exit_addr = zend_jit_trace_get_exit_addr(exit_point);
	zend_jit_addr var_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, var);

	if (!exit_addr) {
		return 0;
	}

	//|	GET_ZVAL_LVAL ZREG_FCARG1, var_addr, TMP1
		if (Z_MODE(var_addr) == IS_CONST_ZVAL) {
			if (Z_LVAL_P(Z_ZV(var_addr)) == 0) {
	dasm_put(Dst, 6783, (ZREG_FCARG1));
			} else {
		if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr)))) == 0) {
	dasm_put(Dst, 6786, (ZREG_FCARG1));
		} else if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr)))) <= MOVZ_IMM) {
	dasm_put(Dst, 6789, (ZREG_FCARG1), ((uint64_t)(Z_LVAL_P(Z_ZV(var_addr)))));
		} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(var_addr)))) <= MOVZ_IMM) {
	dasm_put(Dst, 6793, (ZREG_FCARG1), (~((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))))));
		} else if ((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) & 0xffff) {
	dasm_put(Dst, 6797, (ZREG_FCARG1), ((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) & 0xffff));
			if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 16) & 0xffff) {
	dasm_put(Dst, 6801, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 16) & 0xffff));
			}
			if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff) {
	dasm_put(Dst, 6805, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff));
			}
			if ((((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff)) {
	dasm_put(Dst, 6809, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff));
			}
		} else if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 16) & 0xffff) {
	dasm_put(Dst, 6813, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 16) & 0xffff));
			if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff) {
	dasm_put(Dst, 6817, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff));
			}
			if ((((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff)) {
	dasm_put(Dst, 6821, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff));
			}
		} else if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff) {
	dasm_put(Dst, 6825, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff));
			if ((((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff)) {
	dasm_put(Dst, 6829, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff));
			}
		} else {
	dasm_put(Dst, 6833, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff));
		}
			}
		} else if (Z_MODE(var_addr) == IS_MEM_ZVAL) {
		if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 6837, ((uint32_t)(Z_OFFSET(var_addr))));
		} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
	dasm_put(Dst, 6840, ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 6843, (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 6846, (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 6849, (ZREG_FCARG1), (Z_REG(var_addr)));
		} else {
	dasm_put(Dst, 6853, (ZREG_FCARG1), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
		}
		} else if (Z_MODE(var_addr) == IS_REG) {
			if (ZREG_FCARG1 != Z_REG(var_addr)) {
	dasm_put(Dst, 6858, (ZREG_FCARG1), (Z_REG(var_addr)));
			}
		} else {
			ZEND_UNREACHABLE();
		}
#line 3231 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	if (op_info & MAY_BE_ARRAY_PACKED) {
		//|	ldr TMP1w, [FCARG1x, #offsetof(zend_array, u.flags)]
		//|	TST_32_WITH_CONST TMP1w, HASH_FLAG_PACKED, TMP2w
		dasm_put(Dst, 6862, offsetof(zend_array, u.flags));
			if (HASH_FLAG_PACKED == 0) {
		dasm_put(Dst, 6865);
			} else if (logical_immediate_p((uint32_t)HASH_FLAG_PACKED, 32)) {
		dasm_put(Dst, 6867, HASH_FLAG_PACKED);
			} else {
			if (((uint32_t)(HASH_FLAG_PACKED)) <= MOVZ_IMM) {
		dasm_put(Dst, 6870, ((uint32_t)(HASH_FLAG_PACKED)));
			} else if (((uint32_t)(HASH_FLAG_PACKED) & 0xffff)) {
		dasm_put(Dst, 6873, ((uint32_t)(HASH_FLAG_PACKED) & 0xffff));
				if ((((uint32_t)(HASH_FLAG_PACKED) >> 16) & 0xffff)) {
		dasm_put(Dst, 6876, (((uint32_t)(HASH_FLAG_PACKED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 6879, (((uint32_t)(HASH_FLAG_PACKED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 6882);
			}
#line 3234 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	beq &exit_addr
		dasm_put(Dst, 6884, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 3235 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		//|	ldr TMP1w, [FCARG1x, #offsetof(zend_array, u.flags)]
		//|	TST_32_WITH_CONST TMP1w, HASH_FLAG_PACKED, TMP2w
		dasm_put(Dst, 6887, offsetof(zend_array, u.flags));
			if (HASH_FLAG_PACKED == 0) {
		dasm_put(Dst, 6890);
			} else if (logical_immediate_p((uint32_t)HASH_FLAG_PACKED, 32)) {
		dasm_put(Dst, 6892, HASH_FLAG_PACKED);
			} else {
			if (((uint32_t)(HASH_FLAG_PACKED)) <= MOVZ_IMM) {
		dasm_put(Dst, 6895, ((uint32_t)(HASH_FLAG_PACKED)));
			} else if (((uint32_t)(HASH_FLAG_PACKED) & 0xffff)) {
		dasm_put(Dst, 6898, ((uint32_t)(HASH_FLAG_PACKED) & 0xffff));
				if ((((uint32_t)(HASH_FLAG_PACKED) >> 16) & 0xffff)) {
		dasm_put(Dst, 6901, (((uint32_t)(HASH_FLAG_PACKED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 6904, (((uint32_t)(HASH_FLAG_PACKED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 6907);
			}
#line 3238 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	bne &exit_addr
		dasm_put(Dst, 6909, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 3239 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	return 1;
}

static int zend_jit_trace_handler(dasm_State **Dst, const zend_op_array *op_array, const zend_op *opline, int may_throw, zend_jit_trace_rec *trace)
{
	zend_jit_op_array_trace_extension *jit_extension =
		(zend_jit_op_array_trace_extension*)ZEND_FUNC_INFO(op_array);
	size_t offset = jit_extension->offset;
	const void *handler =
		(zend_vm_opcode_handler_t)ZEND_OP_TRACE_INFO(opline, offset)->call_handler;

	if (!zend_jit_set_valid_ip(Dst, opline)) {
		return 0;
	}
	if (!GCC_GLOBAL_REGS) {
		//|	mov FCARG1x, FP
		dasm_put(Dst, 6912);
#line 3257 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	//|	EXT_CALL handler, REG0
		if (arm64_may_use_b(handler)) {
	dasm_put(Dst, 6914, (unsigned int)((ptrdiff_t)(handler)), (unsigned int)(((ptrdiff_t)(handler))>>32));
		} else {
		if (((uintptr_t)(handler)) == 0) {
	dasm_put(Dst, 6917);
		} else if (((uintptr_t)(handler)) <= MOVZ_IMM) {
	dasm_put(Dst, 6919, ((uint64_t)(handler)));
		} else if (arm64_may_use_adr((void*)(handler))) {
	dasm_put(Dst, 6922, (unsigned int)((ptrdiff_t)(handler)), (unsigned int)(((ptrdiff_t)(handler))>>32));
		} else if (arm64_may_use_adrp((void*)(handler))) {
	dasm_put(Dst, 6925, (unsigned int)((ptrdiff_t)((((uintptr_t)(handler))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(handler)))))>>32));
			if (((uintptr_t)(handler)) & 0xfff) {
	dasm_put(Dst, 6928, (((uintptr_t)(handler)) & 0xfff));
			}
		} else if ((uintptr_t)(handler) & 0xffff) {
	dasm_put(Dst, 6931, ((uintptr_t)(handler) & 0xffff));
			if (((uintptr_t)(handler) >> 16) & 0xffff) {
	dasm_put(Dst, 6934, (((uintptr_t)(handler) >> 16) & 0xffff));
			}
			if (((uintptr_t)(handler) >> 32) & 0xffff) {
	dasm_put(Dst, 6937, (((uintptr_t)(handler) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(handler) >> 16) & 0xffff) {
	dasm_put(Dst, 6940, (((uintptr_t)(handler) >> 16) & 0xffff));
			if (((uintptr_t)(handler) >> 32) & 0xffff) {
	dasm_put(Dst, 6943, (((uintptr_t)(handler) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 6946, (((uintptr_t)(handler) >> 32) & 0xffff));
		}
	dasm_put(Dst, 6949);
		}
#line 3259 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	if (may_throw
	 && opline->opcode != ZEND_RETURN
	 && opline->opcode != ZEND_RETURN_BY_REF) {
		//|	MEM_LOAD_64_ZTS ldr, REG0, executor_globals, exception, TMP1
			if (((uintptr_t)(&executor_globals.exception)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.exception))) {
		dasm_put(Dst, 6951, (unsigned int)((ptrdiff_t)(&executor_globals.exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.exception))>>32));
			} else if (((uintptr_t)(&executor_globals.exception)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.exception))) {
		dasm_put(Dst, 6955, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.exception)))))>>32), (((uintptr_t)(&executor_globals.exception)) & 0xfff));
			} else {
			if (((uintptr_t)(&executor_globals.exception)) == 0) {
		dasm_put(Dst, 6960);
			} else if (((uintptr_t)(&executor_globals.exception)) <= MOVZ_IMM) {
		dasm_put(Dst, 6962, ((uint64_t)(&executor_globals.exception)));
			} else if (arm64_may_use_adr((void*)(&executor_globals.exception))) {
		dasm_put(Dst, 6965, (unsigned int)((ptrdiff_t)(&executor_globals.exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.exception))>>32));
			} else if (arm64_may_use_adrp((void*)(&executor_globals.exception))) {
		dasm_put(Dst, 6968, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.exception)))))>>32));
				if (((uintptr_t)(&executor_globals.exception)) & 0xfff) {
		dasm_put(Dst, 6971, (((uintptr_t)(&executor_globals.exception)) & 0xfff));
				}
			} else if ((uintptr_t)(&executor_globals.exception) & 0xffff) {
		dasm_put(Dst, 6974, ((uintptr_t)(&executor_globals.exception) & 0xffff));
				if (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff) {
		dasm_put(Dst, 6977, (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff));
				}
				if (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff) {
		dasm_put(Dst, 6980, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff) {
		dasm_put(Dst, 6983, (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff));
				if (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff) {
		dasm_put(Dst, 6986, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 6989, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
			}
		dasm_put(Dst, 6992);
			}
#line 3263 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	cbnz REG0, ->exception_handler
		dasm_put(Dst, 6994);
#line 3264 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	while (trace->op != ZEND_JIT_TRACE_VM && trace->op != ZEND_JIT_TRACE_END) {
		trace++;
	}

	if (!GCC_GLOBAL_REGS
	 && (trace->op != ZEND_JIT_TRACE_END || trace->stop != ZEND_JIT_TRACE_STOP_RETURN)) {
		if (opline->opcode == ZEND_RETURN ||
		    opline->opcode == ZEND_RETURN_BY_REF ||
		    opline->opcode == ZEND_DO_UCALL ||
		    opline->opcode == ZEND_DO_FCALL_BY_NAME ||
		    opline->opcode == ZEND_DO_FCALL ||
		    opline->opcode == ZEND_GENERATOR_CREATE) {
			//|	MEM_LOAD_64_ZTS ldr, FP, executor_globals, current_execute_data, TMP1
				if (((uintptr_t)(&executor_globals.current_execute_data)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.current_execute_data))) {
			dasm_put(Dst, 6997, (unsigned int)((ptrdiff_t)(&executor_globals.current_execute_data)), (unsigned int)(((ptrdiff_t)(&executor_globals.current_execute_data))>>32));
				} else if (((uintptr_t)(&executor_globals.current_execute_data)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.current_execute_data))) {
			dasm_put(Dst, 7001, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data)))))>>32), (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff));
				} else {
				if (((uintptr_t)(&executor_globals.current_execute_data)) == 0) {
			dasm_put(Dst, 7006);
				} else if (((uintptr_t)(&executor_globals.current_execute_data)) <= MOVZ_IMM) {
			dasm_put(Dst, 7008, ((uint64_t)(&executor_globals.current_execute_data)));
				} else if (arm64_may_use_adr((void*)(&executor_globals.current_execute_data))) {
			dasm_put(Dst, 7011, (unsigned int)((ptrdiff_t)(&executor_globals.current_execute_data)), (unsigned int)(((ptrdiff_t)(&executor_globals.current_execute_data))>>32));
				} else if (arm64_may_use_adrp((void*)(&executor_globals.current_execute_data))) {
			dasm_put(Dst, 7014, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data)))))>>32));
					if (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff) {
			dasm_put(Dst, 7017, (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff));
					}
				} else if ((uintptr_t)(&executor_globals.current_execute_data) & 0xffff) {
			dasm_put(Dst, 7020, ((uintptr_t)(&executor_globals.current_execute_data) & 0xffff));
					if (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff) {
			dasm_put(Dst, 7023, (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff));
					}
					if (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff) {
			dasm_put(Dst, 7026, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff) {
			dasm_put(Dst, 7029, (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff));
					if (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff) {
			dasm_put(Dst, 7032, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 7035, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
				}
			dasm_put(Dst, 7038);
				}
#line 3279 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	if (zend_jit_trace_may_exit(op_array, opline)) {
		if (opline->opcode == ZEND_RETURN ||
		    opline->opcode == ZEND_RETURN_BY_REF ||
		    opline->opcode == ZEND_GENERATOR_CREATE) {

			if (zend_jit_vm_kind == ZEND_VM_KIND_HYBRID) {
#if 0
				/* this check should be handled by the following OPLINE guard or jmp [IP] */
				//|	LOAD_ADDR TMP1, zend_jit_halt_op
					if (((uintptr_t)(zend_jit_halt_op)) == 0) {
				dasm_put(Dst, 7040);
					} else if (((uintptr_t)(zend_jit_halt_op)) <= MOVZ_IMM) {
				dasm_put(Dst, 7042, ((uint64_t)(zend_jit_halt_op)));
					} else if (arm64_may_use_adr((void*)(zend_jit_halt_op))) {
				dasm_put(Dst, 7045, (unsigned int)((ptrdiff_t)(zend_jit_halt_op)), (unsigned int)(((ptrdiff_t)(zend_jit_halt_op))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_halt_op))) {
				dasm_put(Dst, 7048, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_halt_op))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_halt_op)))))>>32));
						if (((uintptr_t)(zend_jit_halt_op)) & 0xfff) {
				dasm_put(Dst, 7051, (((uintptr_t)(zend_jit_halt_op)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_halt_op) & 0xffff) {
				dasm_put(Dst, 7054, ((uintptr_t)(zend_jit_halt_op) & 0xffff));
						if (((uintptr_t)(zend_jit_halt_op) >> 16) & 0xffff) {
				dasm_put(Dst, 7057, (((uintptr_t)(zend_jit_halt_op) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_halt_op) >> 32) & 0xffff) {
				dasm_put(Dst, 7060, (((uintptr_t)(zend_jit_halt_op) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_halt_op) >> 16) & 0xffff) {
				dasm_put(Dst, 7063, (((uintptr_t)(zend_jit_halt_op) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_halt_op) >> 32) & 0xffff) {
				dasm_put(Dst, 7066, (((uintptr_t)(zend_jit_halt_op) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 7069, (((uintptr_t)(zend_jit_halt_op) >> 32) & 0xffff));
					}
#line 3291 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	cmp IP, TMP1
				//|	beq ->trace_halt
				dasm_put(Dst, 7072);
#line 3293 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
#endif
			} else if (GCC_GLOBAL_REGS) {
				//|	cbz IP, ->trace_halt
				dasm_put(Dst, 7076);
#line 3296 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	tst RETVALw, RETVALw
				//|	blt ->trace_halt
				dasm_put(Dst, 7079);
#line 3299 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else if (opline->opcode == ZEND_EXIT ||
		           opline->opcode == ZEND_GENERATOR_RETURN ||
		           opline->opcode == ZEND_YIELD ||
		           opline->opcode == ZEND_YIELD_FROM) {
			//|	b ->trace_halt
			dasm_put(Dst, 7083);
#line 3305 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (trace->op != ZEND_JIT_TRACE_END ||
		    (trace->stop != ZEND_JIT_TRACE_STOP_RETURN &&
		     trace->stop != ZEND_JIT_TRACE_STOP_INTERPRETER)) {

			const zend_op *next_opline = trace->opline;
			const zend_op *exit_opline = NULL;
			uint32_t exit_point;
			const void *exit_addr;
			uint32_t old_info = 0;
			uint32_t old_res_info = 0;
			zend_jit_trace_stack *stack = JIT_G(current_frame)->stack;

			if (zend_is_smart_branch(opline)) {
				bool exit_if_true = 0;
				exit_opline = zend_jit_trace_get_exit_opline(trace, opline + 1, &exit_if_true);
			} else {
				switch (opline->opcode) {
					case ZEND_JMPZ:
					case ZEND_JMPNZ:
					case ZEND_JMPZ_EX:
					case ZEND_JMPNZ_EX:
					case ZEND_JMP_SET:
					case ZEND_COALESCE:
					case ZEND_JMP_NULL:
					case ZEND_FE_RESET_R:
					case ZEND_FE_RESET_RW:
						exit_opline = (trace->opline == opline + 1) ?
							OP_JMP_ADDR(opline, opline->op2) :
							opline + 1;
						break;
					case ZEND_JMPZNZ:
						exit_opline = (trace->opline == OP_JMP_ADDR(opline, opline->op2)) ?
							ZEND_OFFSET_TO_OPLINE(opline, opline->extended_value) :
							OP_JMP_ADDR(opline, opline->op2);
						break;
					case ZEND_FE_FETCH_R:
					case ZEND_FE_FETCH_RW:
						exit_opline = (trace->opline == opline + 1) ?
							ZEND_OFFSET_TO_OPLINE(opline, opline->extended_value) :
							opline + 1;
						break;

				}
			}

			switch (opline->opcode) {
				case ZEND_FE_FETCH_R:
				case ZEND_FE_FETCH_RW:
					if (opline->op2_type != IS_UNUSED) {
						old_info = STACK_INFO(stack, EX_VAR_TO_NUM(opline->op2.var));
						SET_STACK_TYPE(stack, EX_VAR_TO_NUM(opline->op2.var), IS_UNKNOWN, 1);
					}
					break;
			}

			if (opline->result_type == IS_VAR || opline->result_type == IS_TMP_VAR) {
				old_res_info = STACK_INFO(stack, EX_VAR_TO_NUM(opline->result.var));
				SET_STACK_TYPE(stack, EX_VAR_TO_NUM(opline->result.var), IS_UNKNOWN, 1);
			}
			exit_point = zend_jit_trace_get_exit_point(exit_opline, 0);
			exit_addr = zend_jit_trace_get_exit_addr(exit_point);

			if (opline->result_type == IS_VAR || opline->result_type == IS_TMP_VAR) {
				SET_STACK_INFO(stack, EX_VAR_TO_NUM(opline->result.var), old_res_info);
			}
			switch (opline->opcode) {
				case ZEND_FE_FETCH_R:
				case ZEND_FE_FETCH_RW:
					if (opline->op2_type != IS_UNUSED) {
						SET_STACK_INFO(stack, EX_VAR_TO_NUM(opline->op2.var), old_info);
					}
					break;
			}

			if (!exit_addr) {
				return 0;
			}
			//|	CMP_IP next_opline, TMP1, TMP2
				if (((uintptr_t)(next_opline)) == 0) {
			dasm_put(Dst, 7086);
				} else if (((uintptr_t)(next_opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 7088, ((uint64_t)(next_opline)));
				} else if (arm64_may_use_adr((void*)(next_opline))) {
			dasm_put(Dst, 7091, (unsigned int)((ptrdiff_t)(next_opline)), (unsigned int)(((ptrdiff_t)(next_opline))>>32));
				} else if (arm64_may_use_adrp((void*)(next_opline))) {
			dasm_put(Dst, 7094, (unsigned int)((ptrdiff_t)((((uintptr_t)(next_opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(next_opline)))))>>32));
					if (((uintptr_t)(next_opline)) & 0xfff) {
			dasm_put(Dst, 7097, (((uintptr_t)(next_opline)) & 0xfff));
					}
				} else if ((uintptr_t)(next_opline) & 0xffff) {
			dasm_put(Dst, 7100, ((uintptr_t)(next_opline) & 0xffff));
					if (((uintptr_t)(next_opline) >> 16) & 0xffff) {
			dasm_put(Dst, 7103, (((uintptr_t)(next_opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(next_opline) >> 32) & 0xffff) {
			dasm_put(Dst, 7106, (((uintptr_t)(next_opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(next_opline) >> 16) & 0xffff) {
			dasm_put(Dst, 7109, (((uintptr_t)(next_opline) >> 16) & 0xffff));
					if (((uintptr_t)(next_opline) >> 32) & 0xffff) {
			dasm_put(Dst, 7112, (((uintptr_t)(next_opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 7115, (((uintptr_t)(next_opline) >> 32) & 0xffff));
				}
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 7118);
				} else {
			dasm_put(Dst, 7120, Dt1(->opline));
				}
#line 3384 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	bne &exit_addr
			dasm_put(Dst, 7124, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 3385 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	zend_jit_set_last_valid_opline(trace->opline);

	return 1;
}

static int zend_jit_handler(dasm_State **Dst, const zend_op *opline, int may_throw)
{
	const void *handler;

	if (zend_jit_vm_kind == ZEND_VM_KIND_HYBRID) {
		handler = zend_get_opcode_handler_func(opline);
	} else {
		handler = opline->handler;
	}

	if (!zend_jit_set_valid_ip(Dst, opline)) {
		return 0;
	}
	if (!GCC_GLOBAL_REGS) {
		//|	mov FCARG1x, FP
		dasm_put(Dst, 7127);
#line 3408 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	//|	EXT_CALL handler, REG0
		if (arm64_may_use_b(handler)) {
	dasm_put(Dst, 7129, (unsigned int)((ptrdiff_t)(handler)), (unsigned int)(((ptrdiff_t)(handler))>>32));
		} else {
		if (((uintptr_t)(handler)) == 0) {
	dasm_put(Dst, 7132);
		} else if (((uintptr_t)(handler)) <= MOVZ_IMM) {
	dasm_put(Dst, 7134, ((uint64_t)(handler)));
		} else if (arm64_may_use_adr((void*)(handler))) {
	dasm_put(Dst, 7137, (unsigned int)((ptrdiff_t)(handler)), (unsigned int)(((ptrdiff_t)(handler))>>32));
		} else if (arm64_may_use_adrp((void*)(handler))) {
	dasm_put(Dst, 7140, (unsigned int)((ptrdiff_t)((((uintptr_t)(handler))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(handler)))))>>32));
			if (((uintptr_t)(handler)) & 0xfff) {
	dasm_put(Dst, 7143, (((uintptr_t)(handler)) & 0xfff));
			}
		} else if ((uintptr_t)(handler) & 0xffff) {
	dasm_put(Dst, 7146, ((uintptr_t)(handler) & 0xffff));
			if (((uintptr_t)(handler) >> 16) & 0xffff) {
	dasm_put(Dst, 7149, (((uintptr_t)(handler) >> 16) & 0xffff));
			}
			if (((uintptr_t)(handler) >> 32) & 0xffff) {
	dasm_put(Dst, 7152, (((uintptr_t)(handler) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(handler) >> 16) & 0xffff) {
	dasm_put(Dst, 7155, (((uintptr_t)(handler) >> 16) & 0xffff));
			if (((uintptr_t)(handler) >> 32) & 0xffff) {
	dasm_put(Dst, 7158, (((uintptr_t)(handler) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 7161, (((uintptr_t)(handler) >> 32) & 0xffff));
		}
	dasm_put(Dst, 7164);
		}
#line 3410 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	if (may_throw) {
		zend_jit_check_exception(Dst);
	}

	/* Skip the following OP_DATA */
	switch (opline->opcode) {
		case ZEND_ASSIGN_DIM:
		case ZEND_ASSIGN_OBJ:
		case ZEND_ASSIGN_STATIC_PROP:
		case ZEND_ASSIGN_DIM_OP:
		case ZEND_ASSIGN_OBJ_OP:
		case ZEND_ASSIGN_STATIC_PROP_OP:
		case ZEND_ASSIGN_STATIC_PROP_REF:
		case ZEND_ASSIGN_OBJ_REF:
			zend_jit_set_last_valid_opline(opline + 2);
			break;
		default:
			zend_jit_set_last_valid_opline(opline + 1);
			break;
	}

	return 1;
}

static int zend_jit_tail_handler(dasm_State **Dst, const zend_op *opline)
{
	if (!zend_jit_set_valid_ip(Dst, opline)) {
		return 0;
	}
	if (zend_jit_vm_kind == ZEND_VM_KIND_HYBRID) {
		if (opline->opcode == ZEND_DO_UCALL ||
		    opline->opcode == ZEND_DO_FCALL_BY_NAME ||
		    opline->opcode == ZEND_DO_FCALL ||
		    opline->opcode == ZEND_RETURN) {

			/* Use inlined HYBRID VM handler */
			const void *handler = opline->handler;

			//|	ADD_HYBRID_SPAD
			#ifndef ZEND_VM_HYBRID_JIT_RED_ZONE_SIZE
			dasm_put(Dst, 7166);
			#endif
#line 3449 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	EXT_JMP handler, REG0
				if (arm64_may_use_b(handler)) {
			dasm_put(Dst, 7168, (unsigned int)((ptrdiff_t)(handler)), (unsigned int)(((ptrdiff_t)(handler))>>32));
				} else {
				if (((uintptr_t)(handler)) == 0) {
			dasm_put(Dst, 7171);
				} else if (((uintptr_t)(handler)) <= MOVZ_IMM) {
			dasm_put(Dst, 7173, ((uint64_t)(handler)));
				} else if (arm64_may_use_adr((void*)(handler))) {
			dasm_put(Dst, 7176, (unsigned int)((ptrdiff_t)(handler)), (unsigned int)(((ptrdiff_t)(handler))>>32));
				} else if (arm64_may_use_adrp((void*)(handler))) {
			dasm_put(Dst, 7179, (unsigned int)((ptrdiff_t)((((uintptr_t)(handler))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(handler)))))>>32));
					if (((uintptr_t)(handler)) & 0xfff) {
			dasm_put(Dst, 7182, (((uintptr_t)(handler)) & 0xfff));
					}
				} else if ((uintptr_t)(handler) & 0xffff) {
			dasm_put(Dst, 7185, ((uintptr_t)(handler) & 0xffff));
					if (((uintptr_t)(handler) >> 16) & 0xffff) {
			dasm_put(Dst, 7188, (((uintptr_t)(handler) >> 16) & 0xffff));
					}
					if (((uintptr_t)(handler) >> 32) & 0xffff) {
			dasm_put(Dst, 7191, (((uintptr_t)(handler) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(handler) >> 16) & 0xffff) {
			dasm_put(Dst, 7194, (((uintptr_t)(handler) >> 16) & 0xffff));
					if (((uintptr_t)(handler) >> 32) & 0xffff) {
			dasm_put(Dst, 7197, (((uintptr_t)(handler) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 7200, (((uintptr_t)(handler) >> 32) & 0xffff));
				}
			dasm_put(Dst, 7203);
				}
#line 3450 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			const void *handler = zend_get_opcode_handler_func(opline);

			//|	EXT_CALL handler, REG0
				if (arm64_may_use_b(handler)) {
			dasm_put(Dst, 7205, (unsigned int)((ptrdiff_t)(handler)), (unsigned int)(((ptrdiff_t)(handler))>>32));
				} else {
				if (((uintptr_t)(handler)) == 0) {
			dasm_put(Dst, 7208);
				} else if (((uintptr_t)(handler)) <= MOVZ_IMM) {
			dasm_put(Dst, 7210, ((uint64_t)(handler)));
				} else if (arm64_may_use_adr((void*)(handler))) {
			dasm_put(Dst, 7213, (unsigned int)((ptrdiff_t)(handler)), (unsigned int)(((ptrdiff_t)(handler))>>32));
				} else if (arm64_may_use_adrp((void*)(handler))) {
			dasm_put(Dst, 7216, (unsigned int)((ptrdiff_t)((((uintptr_t)(handler))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(handler)))))>>32));
					if (((uintptr_t)(handler)) & 0xfff) {
			dasm_put(Dst, 7219, (((uintptr_t)(handler)) & 0xfff));
					}
				} else if ((uintptr_t)(handler) & 0xffff) {
			dasm_put(Dst, 7222, ((uintptr_t)(handler) & 0xffff));
					if (((uintptr_t)(handler) >> 16) & 0xffff) {
			dasm_put(Dst, 7225, (((uintptr_t)(handler) >> 16) & 0xffff));
					}
					if (((uintptr_t)(handler) >> 32) & 0xffff) {
			dasm_put(Dst, 7228, (((uintptr_t)(handler) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(handler) >> 16) & 0xffff) {
			dasm_put(Dst, 7231, (((uintptr_t)(handler) >> 16) & 0xffff));
					if (((uintptr_t)(handler) >> 32) & 0xffff) {
			dasm_put(Dst, 7234, (((uintptr_t)(handler) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 7237, (((uintptr_t)(handler) >> 32) & 0xffff));
				}
			dasm_put(Dst, 7240);
				}
#line 3454 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	ADD_HYBRID_SPAD
			#ifndef ZEND_VM_HYBRID_JIT_RED_ZONE_SIZE
			dasm_put(Dst, 7242);
			#endif
#line 3455 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	JMP_IP TMP1
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 7244);
				} else {
			dasm_put(Dst, 7247, Dt1(->opline));
				}
#line 3456 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else {
		const void *handler = opline->handler;

		if (GCC_GLOBAL_REGS) {
			//|	ldp x29, x30, [sp], # SPAD // stack alignment
			dasm_put(Dst, 7251);
#line 3462 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	mov FCARG1x, FP
			//|	ldp FP, RX, T2                // retore FP and IP
			//|	ldp x29, x30, [sp], # NR_SPAD // stack alignment
			dasm_put(Dst, 7253);
#line 3466 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	EXT_JMP handler, REG0
			if (arm64_may_use_b(handler)) {
		dasm_put(Dst, 7257, (unsigned int)((ptrdiff_t)(handler)), (unsigned int)(((ptrdiff_t)(handler))>>32));
			} else {
			if (((uintptr_t)(handler)) == 0) {
		dasm_put(Dst, 7260);
			} else if (((uintptr_t)(handler)) <= MOVZ_IMM) {
		dasm_put(Dst, 7262, ((uint64_t)(handler)));
			} else if (arm64_may_use_adr((void*)(handler))) {
		dasm_put(Dst, 7265, (unsigned int)((ptrdiff_t)(handler)), (unsigned int)(((ptrdiff_t)(handler))>>32));
			} else if (arm64_may_use_adrp((void*)(handler))) {
		dasm_put(Dst, 7268, (unsigned int)((ptrdiff_t)((((uintptr_t)(handler))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(handler)))))>>32));
				if (((uintptr_t)(handler)) & 0xfff) {
		dasm_put(Dst, 7271, (((uintptr_t)(handler)) & 0xfff));
				}
			} else if ((uintptr_t)(handler) & 0xffff) {
		dasm_put(Dst, 7274, ((uintptr_t)(handler) & 0xffff));
				if (((uintptr_t)(handler) >> 16) & 0xffff) {
		dasm_put(Dst, 7277, (((uintptr_t)(handler) >> 16) & 0xffff));
				}
				if (((uintptr_t)(handler) >> 32) & 0xffff) {
		dasm_put(Dst, 7280, (((uintptr_t)(handler) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(handler) >> 16) & 0xffff) {
		dasm_put(Dst, 7283, (((uintptr_t)(handler) >> 16) & 0xffff));
				if (((uintptr_t)(handler) >> 32) & 0xffff) {
		dasm_put(Dst, 7286, (((uintptr_t)(handler) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 7289, (((uintptr_t)(handler) >> 32) & 0xffff));
			}
		dasm_put(Dst, 7292);
			}
#line 3468 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	zend_jit_reset_last_valid_opline();
	return 1;
}

static int zend_jit_trace_opline_guard(dasm_State **Dst, const zend_op *opline)
{
	uint32_t exit_point = zend_jit_trace_get_exit_point(NULL, 0);
	const void *exit_addr = zend_jit_trace_get_exit_addr(exit_point);

	if (!exit_addr) {
		return 0;
	}
	//|	CMP_IP opline, TMP1, TMP2
		if (((uintptr_t)(opline)) == 0) {
	dasm_put(Dst, 7294);
		} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
	dasm_put(Dst, 7296, ((uint64_t)(opline)));
		} else if (arm64_may_use_adr((void*)(opline))) {
	dasm_put(Dst, 7299, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
		} else if (arm64_may_use_adrp((void*)(opline))) {
	dasm_put(Dst, 7302, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
			if (((uintptr_t)(opline)) & 0xfff) {
	dasm_put(Dst, 7305, (((uintptr_t)(opline)) & 0xfff));
			}
		} else if ((uintptr_t)(opline) & 0xffff) {
	dasm_put(Dst, 7308, ((uintptr_t)(opline) & 0xffff));
			if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 7311, (((uintptr_t)(opline) >> 16) & 0xffff));
			}
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 7314, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 7317, (((uintptr_t)(opline) >> 16) & 0xffff));
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 7320, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 7323, (((uintptr_t)(opline) >> 32) & 0xffff));
		}
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 7326);
		} else {
	dasm_put(Dst, 7328, Dt1(->opline));
		}
#line 3482 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	bne &exit_addr
	dasm_put(Dst, 7332, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 3483 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	zend_jit_set_last_valid_opline(opline);

	return 1;
}

static int zend_jit_jmp(dasm_State **Dst, unsigned int target_label)
{
	//|	b =>target_label
	dasm_put(Dst, 7335, target_label);
#line 3492 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	return 1;
}

static int zend_jit_cond_jmp(dasm_State **Dst, const zend_op *next_opline, unsigned int target_label)
{
	//|	CMP_IP next_opline, TMP1, TMP2
		if (((uintptr_t)(next_opline)) == 0) {
	dasm_put(Dst, 7338);
		} else if (((uintptr_t)(next_opline)) <= MOVZ_IMM) {
	dasm_put(Dst, 7340, ((uint64_t)(next_opline)));
		} else if (arm64_may_use_adr((void*)(next_opline))) {
	dasm_put(Dst, 7343, (unsigned int)((ptrdiff_t)(next_opline)), (unsigned int)(((ptrdiff_t)(next_opline))>>32));
		} else if (arm64_may_use_adrp((void*)(next_opline))) {
	dasm_put(Dst, 7346, (unsigned int)((ptrdiff_t)((((uintptr_t)(next_opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(next_opline)))))>>32));
			if (((uintptr_t)(next_opline)) & 0xfff) {
	dasm_put(Dst, 7349, (((uintptr_t)(next_opline)) & 0xfff));
			}
		} else if ((uintptr_t)(next_opline) & 0xffff) {
	dasm_put(Dst, 7352, ((uintptr_t)(next_opline) & 0xffff));
			if (((uintptr_t)(next_opline) >> 16) & 0xffff) {
	dasm_put(Dst, 7355, (((uintptr_t)(next_opline) >> 16) & 0xffff));
			}
			if (((uintptr_t)(next_opline) >> 32) & 0xffff) {
	dasm_put(Dst, 7358, (((uintptr_t)(next_opline) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(next_opline) >> 16) & 0xffff) {
	dasm_put(Dst, 7361, (((uintptr_t)(next_opline) >> 16) & 0xffff));
			if (((uintptr_t)(next_opline) >> 32) & 0xffff) {
	dasm_put(Dst, 7364, (((uintptr_t)(next_opline) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 7367, (((uintptr_t)(next_opline) >> 32) & 0xffff));
		}
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 7370);
		} else {
	dasm_put(Dst, 7372, Dt1(->opline));
		}
#line 3498 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	bne =>target_label
	dasm_put(Dst, 7376, target_label);
#line 3499 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	zend_jit_set_last_valid_opline(next_opline);

	return 1;
}

#ifdef CONTEXT_THREADED_JIT
static int zend_jit_context_threaded_call(dasm_State **Dst, const zend_op *opline, unsigned int next_block)
{
	//|	NIY	// TODO
		//ZEND_ASSERT(0);
	dasm_put(Dst, 7379);
#line 3509 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	return 1;
}
#endif

static int zend_jit_call(dasm_State **Dst, const zend_op *opline, unsigned int next_block)
{
#ifdef CONTEXT_THREADED_JIT
	return zend_jit_context_threaded_call(Dst, opline, next_block);
#else
	return zend_jit_tail_handler(Dst, opline);
#endif
}

static int zend_jit_spill_store(dasm_State **Dst, zend_jit_addr src, zend_jit_addr dst, uint32_t info, bool set_type)
{
	ZEND_ASSERT(Z_MODE(src) == IS_REG);
	ZEND_ASSERT(Z_MODE(dst) == IS_MEM_ZVAL);

	if ((info & MAY_BE_ANY) == MAY_BE_LONG) {
		//|	SET_ZVAL_LVAL_FROM_REG dst, Rx(Z_REG(src)), TMP1
			if (Z_MODE(dst) == IS_REG) {
		dasm_put(Dst, 7381, (Z_REG(dst)), (Z_REG(src)));
			} else {
				ZEND_ASSERT(Z_MODE(dst) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(dst))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(dst))) <= MOVZ_IMM) {
		dasm_put(Dst, 7385, ((uint32_t)(Z_OFFSET(dst))));
			} else if (((uint32_t)(Z_OFFSET(dst)) & 0xffff)) {
		dasm_put(Dst, 7388, ((uint32_t)(Z_OFFSET(dst)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff)) {
		dasm_put(Dst, 7391, (((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 7394, (((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 7397, (Z_REG(src)), (Z_REG(dst)));
			} else {
		dasm_put(Dst, 7401, (Z_REG(src)), (Z_REG(dst)), (Z_OFFSET(dst)));
			}
			}
#line 3529 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (set_type &&
		    (Z_REG(dst) != ZREG_FP ||
		     !JIT_G(current_frame) ||
		     STACK_MEM_TYPE(JIT_G(current_frame)->stack, EX_VAR_TO_NUM(Z_OFFSET(dst))) != IS_LONG)) {
			//|	SET_ZVAL_TYPE_INFO dst, IS_LONG, TMP1w, TMP2
				ZEND_ASSERT(Z_MODE(dst) == IS_MEM_ZVAL);
				if (((uint32_t)(IS_LONG)) <= MOVZ_IMM) {
			dasm_put(Dst, 7406, ((uint32_t)(IS_LONG)));
				} else if (((uint32_t)(IS_LONG) & 0xffff)) {
			dasm_put(Dst, 7409, ((uint32_t)(IS_LONG) & 0xffff));
					if ((((uint32_t)(IS_LONG) >> 16) & 0xffff)) {
			dasm_put(Dst, 7412, (((uint32_t)(IS_LONG) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 7415, (((uint32_t)(IS_LONG) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 7418, ((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 7421, ((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 7424, (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 7427, (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 7430, (Z_REG(dst)));
				} else {
			dasm_put(Dst, 7433, (Z_REG(dst)), (Z_OFFSET(dst)+offsetof(zval,u1.type_info)));
				}
#line 3534 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else if ((info & MAY_BE_ANY) == MAY_BE_DOUBLE) {
		//|	SET_ZVAL_DVAL dst, Z_REG(src), ZREG_TMP1
			if (Z_MODE(dst) == IS_REG) {
				if (Z_REG(src) != Z_REG(dst)) {
		dasm_put(Dst, 7437, (Z_REG(dst)-ZREG_V0), (Z_REG(src)-ZREG_V0));
				}
			} else {
				ZEND_ASSERT(Z_MODE(dst) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(dst))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(dst))) <= MOVZ_IMM) {
		dasm_put(Dst, 7441, (ZREG_X15), ((uint32_t)(Z_OFFSET(dst))));
			} else if (((uint32_t)(Z_OFFSET(dst)) & 0xffff)) {
		dasm_put(Dst, 7445, (ZREG_X15), ((uint32_t)(Z_OFFSET(dst)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff)) {
		dasm_put(Dst, 7449, (ZREG_X15), (((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 7453, (ZREG_X15), (((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 7457, (Z_REG(src)-ZREG_V0), (Z_REG(dst)), (ZREG_X15));
			} else {
		dasm_put(Dst, 7462, (Z_REG(src)-ZREG_V0), (Z_REG(dst)), (Z_OFFSET(dst)));
			}
			}
#line 3537 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (set_type &&
		    (Z_REG(dst) != ZREG_FP ||
		     !JIT_G(current_frame) ||
		     STACK_MEM_TYPE(JIT_G(current_frame)->stack, EX_VAR_TO_NUM(Z_OFFSET(dst))) != IS_DOUBLE)) {
			//|	SET_ZVAL_TYPE_INFO dst, IS_DOUBLE, TMP1w, TMP2
				ZEND_ASSERT(Z_MODE(dst) == IS_MEM_ZVAL);
				if (((uint32_t)(IS_DOUBLE)) <= MOVZ_IMM) {
			dasm_put(Dst, 7467, ((uint32_t)(IS_DOUBLE)));
				} else if (((uint32_t)(IS_DOUBLE) & 0xffff)) {
			dasm_put(Dst, 7470, ((uint32_t)(IS_DOUBLE) & 0xffff));
					if ((((uint32_t)(IS_DOUBLE) >> 16) & 0xffff)) {
			dasm_put(Dst, 7473, (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 7476, (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 7479, ((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 7482, ((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 7485, (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 7488, (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 7491, (Z_REG(dst)));
				} else {
			dasm_put(Dst, 7494, (Z_REG(dst)), (Z_OFFSET(dst)+offsetof(zval,u1.type_info)));
				}
#line 3542 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else {
		ZEND_UNREACHABLE();
	}
	return 1;
}

static int zend_jit_load_reg(dasm_State **Dst, zend_jit_addr src, zend_jit_addr dst, uint32_t info)
{
	ZEND_ASSERT(Z_MODE(src) == IS_MEM_ZVAL);
	ZEND_ASSERT(Z_MODE(dst) == IS_REG);

	if ((info & MAY_BE_ANY) == MAY_BE_LONG) {
		//|	GET_ZVAL_LVAL Z_REG(dst), src, TMP1
			if (Z_MODE(src) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(src)) == 0) {
		dasm_put(Dst, 7498, (Z_REG(dst)));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(src)))) == 0) {
		dasm_put(Dst, 7501, (Z_REG(dst)));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(src)))) <= MOVZ_IMM) {
		dasm_put(Dst, 7504, (Z_REG(dst)), ((uint64_t)(Z_LVAL_P(Z_ZV(src)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(src)))) <= MOVZ_IMM) {
		dasm_put(Dst, 7508, (Z_REG(dst)), (~((uint64_t)(Z_LVAL_P(Z_ZV(src))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(src))) & 0xffff) {
		dasm_put(Dst, 7512, (Z_REG(dst)), ((uint64_t)(Z_LVAL_P(Z_ZV(src))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(src))) >> 16) & 0xffff) {
		dasm_put(Dst, 7516, (Z_REG(dst)), (((uint64_t)(Z_LVAL_P(Z_ZV(src))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(src))) >> 32) & 0xffff) {
		dasm_put(Dst, 7520, (Z_REG(dst)), (((uint64_t)(Z_LVAL_P(Z_ZV(src))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(src))) >> 48) & 0xffff)) {
		dasm_put(Dst, 7524, (Z_REG(dst)), (((uint64_t)(Z_LVAL_P(Z_ZV(src))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(src))) >> 16) & 0xffff) {
		dasm_put(Dst, 7528, (Z_REG(dst)), (((uint64_t)(Z_LVAL_P(Z_ZV(src))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(src))) >> 32) & 0xffff) {
		dasm_put(Dst, 7532, (Z_REG(dst)), (((uint64_t)(Z_LVAL_P(Z_ZV(src))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(src))) >> 48) & 0xffff)) {
		dasm_put(Dst, 7536, (Z_REG(dst)), (((uint64_t)(Z_LVAL_P(Z_ZV(src))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(src))) >> 32) & 0xffff) {
		dasm_put(Dst, 7540, (Z_REG(dst)), (((uint64_t)(Z_LVAL_P(Z_ZV(src))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(src))) >> 48) & 0xffff)) {
		dasm_put(Dst, 7544, (Z_REG(dst)), (((uint64_t)(Z_LVAL_P(Z_ZV(src))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 7548, (Z_REG(dst)), (((uint64_t)(Z_LVAL_P(Z_ZV(src))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(src) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(src))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(src))) <= MOVZ_IMM) {
		dasm_put(Dst, 7552, ((uint32_t)(Z_OFFSET(src))));
			} else if (((uint32_t)(Z_OFFSET(src)) & 0xffff)) {
		dasm_put(Dst, 7555, ((uint32_t)(Z_OFFSET(src)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(src)) >> 16) & 0xffff)) {
		dasm_put(Dst, 7558, (((uint32_t)(Z_OFFSET(src)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 7561, (((uint32_t)(Z_OFFSET(src)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 7564, (Z_REG(dst)), (Z_REG(src)));
			} else {
		dasm_put(Dst, 7568, (Z_REG(dst)), (Z_REG(src)), (Z_OFFSET(src)));
			}
			} else if (Z_MODE(src) == IS_REG) {
				if (Z_REG(dst) != Z_REG(src)) {
		dasm_put(Dst, 7573, (Z_REG(dst)), (Z_REG(src)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 3556 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else if ((info & MAY_BE_ANY) == MAY_BE_DOUBLE) {
		//|	GET_ZVAL_DVAL Z_REG(dst), src, ZREG_TMP1
			if (Z_MODE(src) != IS_REG || Z_REG(dst) != Z_REG(src)) {
				if (Z_MODE(src) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(src))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(src)))) {
		dasm_put(Dst, 7577, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(src))), (unsigned int)(((ptrdiff_t)(Z_ZV(src)))>>32), (Z_REG(dst)-ZREG_V0), (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(src))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(src)))) {
		dasm_put(Dst, 7584, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(src)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(src))))))>>32), (Z_REG(dst)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(src))) & 0xfff));
			} else {
			if (((uintptr_t)(Z_ZV(src))) == 0) {
		dasm_put(Dst, 7592, (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(src))) <= MOVZ_IMM) {
		dasm_put(Dst, 7595, (ZREG_X15), ((uint64_t)(Z_ZV(src))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(src)))) {
		dasm_put(Dst, 7599, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(src))), (unsigned int)(((ptrdiff_t)(Z_ZV(src)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(src)))) {
		dasm_put(Dst, 7603, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(src)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(src))))))>>32));
				if (((uintptr_t)(Z_ZV(src))) & 0xfff) {
		dasm_put(Dst, 7607, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(src))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(src)) & 0xffff) {
		dasm_put(Dst, 7612, (ZREG_X15), ((uintptr_t)(Z_ZV(src)) & 0xffff));
				if (((uintptr_t)(Z_ZV(src)) >> 16) & 0xffff) {
		dasm_put(Dst, 7616, (ZREG_X15), (((uintptr_t)(Z_ZV(src)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(src)) >> 32) & 0xffff) {
		dasm_put(Dst, 7620, (ZREG_X15), (((uintptr_t)(Z_ZV(src)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(src)) >> 16) & 0xffff) {
		dasm_put(Dst, 7624, (ZREG_X15), (((uintptr_t)(Z_ZV(src)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(src)) >> 32) & 0xffff) {
		dasm_put(Dst, 7628, (ZREG_X15), (((uintptr_t)(Z_ZV(src)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 7632, (ZREG_X15), (((uintptr_t)(Z_ZV(src)) >> 32) & 0xffff));
			}
		dasm_put(Dst, 7636, (Z_REG(dst)-ZREG_V0), (ZREG_X15));
			}
				} else if (Z_MODE(src) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(src))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(src))) <= MOVZ_IMM) {
		dasm_put(Dst, 7640, (ZREG_X15), ((uint32_t)(Z_OFFSET(src))));
			} else if (((uint32_t)(Z_OFFSET(src)) & 0xffff)) {
		dasm_put(Dst, 7644, (ZREG_X15), ((uint32_t)(Z_OFFSET(src)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(src)) >> 16) & 0xffff)) {
		dasm_put(Dst, 7648, (ZREG_X15), (((uint32_t)(Z_OFFSET(src)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 7652, (ZREG_X15), (((uint32_t)(Z_OFFSET(src)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 7656, (Z_REG(dst)-ZREG_V0), (Z_REG(src)), (ZREG_X15));
			} else {
		dasm_put(Dst, 7661, (Z_REG(dst)-ZREG_V0), (Z_REG(src)), (Z_OFFSET(src)));
			}
				} else if (Z_MODE(src) == IS_REG) {
		dasm_put(Dst, 7666, (Z_REG(dst)-ZREG_V0), (Z_REG(src)-ZREG_V0));
				} else {
					ZEND_UNREACHABLE();
				}
			}
#line 3558 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		ZEND_UNREACHABLE();
	}
	return 1;
}

static int zend_jit_store_var(dasm_State **Dst, uint32_t info, int var, zend_reg reg, bool set_type)
{
	zend_jit_addr src = ZEND_ADDR_REG(reg);
	zend_jit_addr dst = ZEND_ADDR_MEM_ZVAL(ZREG_FP, EX_NUM_TO_VAR(var));

	return zend_jit_spill_store(Dst, src, dst, info, set_type);
}

static int zend_jit_store_var_type(dasm_State **Dst, int var, uint32_t type)
{
	zend_jit_addr dst = ZEND_ADDR_MEM_ZVAL(ZREG_FP, EX_NUM_TO_VAR(var));

	//|	SET_ZVAL_TYPE_INFO dst, type, TMP1w, TMP2
		ZEND_ASSERT(Z_MODE(dst) == IS_MEM_ZVAL);
		if (((uint32_t)(type)) <= MOVZ_IMM) {
	dasm_put(Dst, 7670, ((uint32_t)(type)));
		} else if (((uint32_t)(type) & 0xffff)) {
	dasm_put(Dst, 7673, ((uint32_t)(type) & 0xffff));
			if ((((uint32_t)(type) >> 16) & 0xffff)) {
	dasm_put(Dst, 7676, (((uint32_t)(type) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 7679, (((uint32_t)(type) >> 16) & 0xffff));
		}
		if (((uintptr_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
		if (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
	dasm_put(Dst, 7682, ((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info))));
		} else if (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) & 0xffff)) {
	dasm_put(Dst, 7685, ((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
	dasm_put(Dst, 7688, (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 7691, (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 7694, (Z_REG(dst)));
		} else {
	dasm_put(Dst, 7697, (Z_REG(dst)), (Z_OFFSET(dst)+offsetof(zval,u1.type_info)));
		}
#line 3577 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	return 1;
}

static int zend_jit_store_var_if_necessary(dasm_State **Dst, int var, zend_jit_addr src, uint32_t info)
{
	if (Z_MODE(src) == IS_REG && Z_STORE(src)) {
		zend_jit_addr dst = ZEND_ADDR_MEM_ZVAL(ZREG_FP, var);
		return zend_jit_spill_store(Dst, src, dst, info, 1);
	}
	return 1;
}

static int zend_jit_store_var_if_necessary_ex(dasm_State **Dst, int var, zend_jit_addr src, uint32_t info, zend_jit_addr old, uint32_t old_info)
{
	if (Z_MODE(src) == IS_REG && Z_STORE(src)) {
		zend_jit_addr dst = ZEND_ADDR_MEM_ZVAL(ZREG_FP, var);
		bool set_type = 1;

		if ((info & (MAY_BE_ANY|MAY_BE_REF|MAY_BE_UNDEF)) ==
		    (old_info & (MAY_BE_ANY|MAY_BE_REF|MAY_BE_UNDEF))) {
			if (Z_MODE(old) != IS_REG || Z_LOAD(old) || Z_STORE(old)) {
				set_type = 0;
			}
		}
		return zend_jit_spill_store(Dst, src, dst, info, set_type);
	}
	return 1;
}

static int zend_jit_load_var(dasm_State **Dst, uint32_t info, int var, zend_reg reg)
{
	zend_jit_addr src = ZEND_ADDR_MEM_ZVAL(ZREG_FP, EX_NUM_TO_VAR(var));
	zend_jit_addr dst = ZEND_ADDR_REG(reg);

	return zend_jit_load_reg(Dst, src, dst, info);
}

static int zend_jit_invalidate_var_if_necessary(dasm_State **Dst, zend_uchar op_type, zend_jit_addr addr, znode_op op)
{
	if ((op_type & (IS_TMP_VAR|IS_VAR)) && Z_MODE(addr) == IS_REG && !Z_LOAD(addr) && !Z_STORE(addr)) {
		zend_jit_addr dst = ZEND_ADDR_MEM_ZVAL(ZREG_FP, op.var);
		//|	SET_ZVAL_TYPE_INFO dst, IS_UNDEF, TMP1w, TMP2
			ZEND_ASSERT(Z_MODE(dst) == IS_MEM_ZVAL);
			if (((uint32_t)(IS_UNDEF)) <= MOVZ_IMM) {
		dasm_put(Dst, 7701, ((uint32_t)(IS_UNDEF)));
			} else if (((uint32_t)(IS_UNDEF) & 0xffff)) {
		dasm_put(Dst, 7704, ((uint32_t)(IS_UNDEF) & 0xffff));
				if ((((uint32_t)(IS_UNDEF) >> 16) & 0xffff)) {
		dasm_put(Dst, 7707, (((uint32_t)(IS_UNDEF) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 7710, (((uint32_t)(IS_UNDEF) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 7713, ((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 7716, ((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 7719, (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 7722, (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 7725, (Z_REG(dst)));
			} else {
		dasm_put(Dst, 7728, (Z_REG(dst)), (Z_OFFSET(dst)+offsetof(zval,u1.type_info)));
			}
#line 3619 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	return 1;
}

static int zend_jit_update_regs(dasm_State **Dst, uint32_t var, zend_jit_addr src, zend_jit_addr dst, uint32_t info)
{
	if (!zend_jit_same_addr(src, dst)) {
		if (Z_MODE(src) == IS_REG) {
			if (Z_MODE(dst) == IS_REG) {
				if ((info & MAY_BE_ANY) == MAY_BE_LONG) {
					//|	mov Rx(Z_REG(dst)), Rx(Z_REG(src))
					dasm_put(Dst, 7732, (Z_REG(dst)), (Z_REG(src)));
#line 3630 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else if ((info & MAY_BE_ANY) == MAY_BE_DOUBLE) {
					//|	fmov Rd(Z_REG(dst)-ZREG_V0), Rd(Z_REG(src)-ZREG_V0)
					dasm_put(Dst, 7736, (Z_REG(dst)-ZREG_V0), (Z_REG(src)-ZREG_V0));
#line 3632 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					ZEND_UNREACHABLE();
				}
				if (!Z_LOAD(src) && !Z_STORE(src) && Z_STORE(dst)) {
					zend_jit_addr var_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, var);

					if (!zend_jit_spill_store(Dst, dst, var_addr, info,
							JIT_G(trigger) != ZEND_JIT_ON_HOT_TRACE ||
							JIT_G(current_frame) == NULL ||
							STACK_MEM_TYPE(JIT_G(current_frame)->stack, EX_VAR_TO_NUM(var)) == IS_UNKNOWN ||
							(1 << STACK_MEM_TYPE(JIT_G(current_frame)->stack, EX_VAR_TO_NUM(var))) != (info & MAY_BE_ANY)
					)) {
						return 0;
					}
				}
			} else if (Z_MODE(dst) == IS_MEM_ZVAL) {
				if (!Z_LOAD(src) && !Z_STORE(src)) {
					if (!zend_jit_spill_store(Dst, src, dst, info,
							JIT_G(trigger) != ZEND_JIT_ON_HOT_TRACE ||
							JIT_G(current_frame) == NULL ||
							STACK_MEM_TYPE(JIT_G(current_frame)->stack, EX_VAR_TO_NUM(var)) == IS_UNKNOWN ||
							(1 << STACK_MEM_TYPE(JIT_G(current_frame)->stack, EX_VAR_TO_NUM(var))) != (info & MAY_BE_ANY)
					)) {
						return 0;
					}
				}
			} else {
				ZEND_UNREACHABLE();
			}
		} else if (Z_MODE(src) == IS_MEM_ZVAL) {
			if (Z_MODE(dst) == IS_REG) {
				if (!zend_jit_load_reg(Dst, src, dst, info)) {
					return 0;
				}
			} else {
				ZEND_UNREACHABLE();
			}
		} else {
			ZEND_UNREACHABLE();
		}
	} else if (Z_MODE(dst) == IS_REG && Z_STORE(dst)) {
		dst = ZEND_ADDR_MEM_ZVAL(ZREG_FP, var);
		if (!zend_jit_spill_store(Dst, src, dst, info,
				JIT_G(trigger) != ZEND_JIT_ON_HOT_TRACE ||
				JIT_G(current_frame) == NULL ||
				STACK_MEM_TYPE(JIT_G(current_frame)->stack, EX_VAR_TO_NUM(var)) == IS_UNKNOWN ||
				(1 << STACK_MEM_TYPE(JIT_G(current_frame)->stack, EX_VAR_TO_NUM(var))) != (info & MAY_BE_ANY)
		)) {
			return 0;
		}
	}
	return 1;
}

static int zend_jit_escape_if_undef_r0(dasm_State **Dst, int var, uint32_t flags, const zend_op *opline)
{
	zend_jit_addr val_addr = ZEND_ADDR_MEM_ZVAL(ZREG_REG0, 0);

	//|	IF_NOT_ZVAL_TYPE val_addr, IS_UNDEF, >1, ZREG_TMP1
		ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
	dasm_put(Dst, 7740, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))));
		} else if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
	dasm_put(Dst, 7744, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
	dasm_put(Dst, 7748, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 7752, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 7756, (ZREG_X15), (Z_REG(val_addr)), (ZREG_X15));
		} else {
	dasm_put(Dst, 7761, (ZREG_X15), (Z_REG(val_addr)), (Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)));
		}
		if (IS_UNDEF == 0) {
	dasm_put(Dst, 7766, (ZREG_X15));
		} else {
	dasm_put(Dst, 7770, (ZREG_X15), IS_UNDEF);
		}
#line 3691 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	if (flags & ZEND_JIT_EXIT_RESTORE_CALL) {
		if (!zend_jit_save_call_chain(Dst, -1)) {
			return 0;
		}
	}

	ZEND_ASSERT(opline);

	if ((opline-1)->opcode != ZEND_FETCH_CONSTANT
	 && (opline-1)->opcode != ZEND_FETCH_LIST_R
	 && ((opline-1)->op1_type & (IS_VAR|IS_TMP_VAR))
	 && !(flags & ZEND_JIT_EXIT_FREE_OP1)) {
		val_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, (opline-1)->op1.var);

		//|	IF_NOT_ZVAL_REFCOUNTED val_addr, >2, ZREG_TMP1, ZREG_TMP2
			ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 7776, (ZREG_X16), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 7780, (ZREG_X16), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 7784, (ZREG_X16), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 7788, (ZREG_X16), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 7792, (ZREG_X15), (Z_REG(val_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 7797, (ZREG_X15), (Z_REG(val_addr)), (Z_OFFSET(val_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 7802, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 7805, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 7809, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 7813, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 7817, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 7821, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 7825, (ZREG_X15), (ZREG_X16));
			}
#line 3707 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	GET_ZVAL_PTR TMP1, val_addr, TMP2
		dasm_put(Dst, 7829);
			ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 7832, ((uint32_t)(Z_OFFSET(val_addr))));
			} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
		dasm_put(Dst, 7835, ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 7838, (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 7841, (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 7844, (Z_REG(val_addr)));
			} else {
		dasm_put(Dst, 7847, (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
			}
#line 3708 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	GC_ADDREF TMP1, TMP2w
		//|2:
		dasm_put(Dst, 7851);
#line 3710 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	//|	LOAD_IP_ADDR (opline - 1)
		if (GCC_GLOBAL_REGS) {
		if (((uintptr_t)((opline - 1))) == 0) {
	dasm_put(Dst, 7856);
		} else if (((uintptr_t)((opline - 1))) <= MOVZ_IMM) {
	dasm_put(Dst, 7858, ((uint64_t)((opline - 1))));
		} else if (arm64_may_use_adr((void*)((opline - 1)))) {
	dasm_put(Dst, 7861, (unsigned int)((ptrdiff_t)((opline - 1))), (unsigned int)(((ptrdiff_t)((opline - 1)))>>32));
		} else if (arm64_may_use_adrp((void*)((opline - 1)))) {
	dasm_put(Dst, 7864, (unsigned int)((ptrdiff_t)((((uintptr_t)((opline - 1)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)((opline - 1))))))>>32));
			if (((uintptr_t)((opline - 1))) & 0xfff) {
	dasm_put(Dst, 7867, (((uintptr_t)((opline - 1))) & 0xfff));
			}
		} else if ((uintptr_t)((opline - 1)) & 0xffff) {
	dasm_put(Dst, 7870, ((uintptr_t)((opline - 1)) & 0xffff));
			if (((uintptr_t)((opline - 1)) >> 16) & 0xffff) {
	dasm_put(Dst, 7873, (((uintptr_t)((opline - 1)) >> 16) & 0xffff));
			}
			if (((uintptr_t)((opline - 1)) >> 32) & 0xffff) {
	dasm_put(Dst, 7876, (((uintptr_t)((opline - 1)) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)((opline - 1)) >> 16) & 0xffff) {
	dasm_put(Dst, 7879, (((uintptr_t)((opline - 1)) >> 16) & 0xffff));
			if (((uintptr_t)((opline - 1)) >> 32) & 0xffff) {
	dasm_put(Dst, 7882, (((uintptr_t)((opline - 1)) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 7885, (((uintptr_t)((opline - 1)) >> 32) & 0xffff));
		}
		} else {
		if (((uintptr_t)((opline - 1))) == 0) {
	dasm_put(Dst, 7888);
		} else if (((uintptr_t)((opline - 1))) <= MOVZ_IMM) {
	dasm_put(Dst, 7890, ((uint64_t)((opline - 1))));
		} else if (arm64_may_use_adr((void*)((opline - 1)))) {
	dasm_put(Dst, 7893, (unsigned int)((ptrdiff_t)((opline - 1))), (unsigned int)(((ptrdiff_t)((opline - 1)))>>32));
		} else if (arm64_may_use_adrp((void*)((opline - 1)))) {
	dasm_put(Dst, 7896, (unsigned int)((ptrdiff_t)((((uintptr_t)((opline - 1)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)((opline - 1))))))>>32));
			if (((uintptr_t)((opline - 1))) & 0xfff) {
	dasm_put(Dst, 7899, (((uintptr_t)((opline - 1))) & 0xfff));
			}
		} else if ((uintptr_t)((opline - 1)) & 0xffff) {
	dasm_put(Dst, 7902, ((uintptr_t)((opline - 1)) & 0xffff));
			if (((uintptr_t)((opline - 1)) >> 16) & 0xffff) {
	dasm_put(Dst, 7905, (((uintptr_t)((opline - 1)) >> 16) & 0xffff));
			}
			if (((uintptr_t)((opline - 1)) >> 32) & 0xffff) {
	dasm_put(Dst, 7908, (((uintptr_t)((opline - 1)) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)((opline - 1)) >> 16) & 0xffff) {
	dasm_put(Dst, 7911, (((uintptr_t)((opline - 1)) >> 16) & 0xffff));
			if (((uintptr_t)((opline - 1)) >> 32) & 0xffff) {
	dasm_put(Dst, 7914, (((uintptr_t)((opline - 1)) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 7917, (((uintptr_t)((opline - 1)) >> 32) & 0xffff));
		}
	dasm_put(Dst, 7920, Dt1(->opline));
		}
#line 3713 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	b ->trace_escape
	//|1:
	dasm_put(Dst, 7923);
#line 3715 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	return 1;
}

static int zend_jit_store_const(dasm_State **Dst, int var, zend_reg reg)
{
	zend_jit_addr dst = ZEND_ADDR_MEM_ZVAL(ZREG_FP, EX_NUM_TO_VAR(var));

	if (reg == ZREG_LONG_MIN_MINUS_1) {
		uint64_t val = 0xc3e0000000000000;
		//|	SET_ZVAL_LVAL dst, val, TMP1, TMP2
			if (val == 0) {
			if (Z_MODE(dst) == IS_REG) {
		dasm_put(Dst, 7927, (Z_REG(dst)));
			} else {
				ZEND_ASSERT(Z_MODE(dst) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(dst))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(dst))) <= MOVZ_IMM) {
		dasm_put(Dst, 7930, ((uint32_t)(Z_OFFSET(dst))));
			} else if (((uint32_t)(Z_OFFSET(dst)) & 0xffff)) {
		dasm_put(Dst, 7933, ((uint32_t)(Z_OFFSET(dst)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff)) {
		dasm_put(Dst, 7936, (((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 7939, (((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 7942, (Z_REG(dst)));
			} else {
		dasm_put(Dst, 7945, (Z_REG(dst)), (Z_OFFSET(dst)));
			}
			}
			} else {
			if (((uint64_t)(val)) == 0) {
		dasm_put(Dst, 7949);
			} else if (((uint64_t)(val)) <= MOVZ_IMM) {
		dasm_put(Dst, 7951, ((uint64_t)(val)));
			} else if (~((uint64_t)(val)) <= MOVZ_IMM) {
		dasm_put(Dst, 7954, (~((uint64_t)(val))));
			} else if ((uint64_t)(val) & 0xffff) {
		dasm_put(Dst, 7957, ((uint64_t)(val) & 0xffff));
				if (((uint64_t)(val) >> 16) & 0xffff) {
		dasm_put(Dst, 7960, (((uint64_t)(val) >> 16) & 0xffff));
				}
				if (((uint64_t)(val) >> 32) & 0xffff) {
		dasm_put(Dst, 7963, (((uint64_t)(val) >> 32) & 0xffff));
				}
				if ((((uint64_t)(val) >> 48) & 0xffff)) {
		dasm_put(Dst, 7966, (((uint64_t)(val) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(val) >> 16) & 0xffff) {
		dasm_put(Dst, 7969, (((uint64_t)(val) >> 16) & 0xffff));
				if (((uint64_t)(val) >> 32) & 0xffff) {
		dasm_put(Dst, 7972, (((uint64_t)(val) >> 32) & 0xffff));
				}
				if ((((uint64_t)(val) >> 48) & 0xffff)) {
		dasm_put(Dst, 7975, (((uint64_t)(val) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(val) >> 32) & 0xffff) {
		dasm_put(Dst, 7978, (((uint64_t)(val) >> 32) & 0xffff));
				if ((((uint64_t)(val) >> 48) & 0xffff)) {
		dasm_put(Dst, 7981, (((uint64_t)(val) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 7984, (((uint64_t)(val) >> 48) & 0xffff));
			}
			if (Z_MODE(dst) == IS_REG) {
		dasm_put(Dst, 7987, (Z_REG(dst)));
			} else {
				ZEND_ASSERT(Z_MODE(dst) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(dst))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(dst))) <= MOVZ_IMM) {
		dasm_put(Dst, 7990, ((uint32_t)(Z_OFFSET(dst))));
			} else if (((uint32_t)(Z_OFFSET(dst)) & 0xffff)) {
		dasm_put(Dst, 7993, ((uint32_t)(Z_OFFSET(dst)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff)) {
		dasm_put(Dst, 7996, (((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 7999, (((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 8002, (Z_REG(dst)));
			} else {
		dasm_put(Dst, 8005, (Z_REG(dst)), (Z_OFFSET(dst)));
			}
			}
			}
#line 3726 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	SET_ZVAL_TYPE_INFO dst, IS_DOUBLE, TMP1w, TMP2
			ZEND_ASSERT(Z_MODE(dst) == IS_MEM_ZVAL);
			if (((uint32_t)(IS_DOUBLE)) <= MOVZ_IMM) {
		dasm_put(Dst, 8009, ((uint32_t)(IS_DOUBLE)));
			} else if (((uint32_t)(IS_DOUBLE) & 0xffff)) {
		dasm_put(Dst, 8012, ((uint32_t)(IS_DOUBLE) & 0xffff));
				if ((((uint32_t)(IS_DOUBLE) >> 16) & 0xffff)) {
		dasm_put(Dst, 8015, (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 8018, (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 8021, ((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 8024, ((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 8027, (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 8030, (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 8033, (Z_REG(dst)));
			} else {
		dasm_put(Dst, 8036, (Z_REG(dst)), (Z_OFFSET(dst)+offsetof(zval,u1.type_info)));
			}
#line 3727 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else if (reg == ZREG_LONG_MIN) {
		uint64_t val = 0x8000000000000000;
		//|	SET_ZVAL_LVAL dst, val, TMP1, TMP2
			if (val == 0) {
			if (Z_MODE(dst) == IS_REG) {
		dasm_put(Dst, 8040, (Z_REG(dst)));
			} else {
				ZEND_ASSERT(Z_MODE(dst) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(dst))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(dst))) <= MOVZ_IMM) {
		dasm_put(Dst, 8043, ((uint32_t)(Z_OFFSET(dst))));
			} else if (((uint32_t)(Z_OFFSET(dst)) & 0xffff)) {
		dasm_put(Dst, 8046, ((uint32_t)(Z_OFFSET(dst)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff)) {
		dasm_put(Dst, 8049, (((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 8052, (((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 8055, (Z_REG(dst)));
			} else {
		dasm_put(Dst, 8058, (Z_REG(dst)), (Z_OFFSET(dst)));
			}
			}
			} else {
			if (((uint64_t)(val)) == 0) {
		dasm_put(Dst, 8062);
			} else if (((uint64_t)(val)) <= MOVZ_IMM) {
		dasm_put(Dst, 8064, ((uint64_t)(val)));
			} else if (~((uint64_t)(val)) <= MOVZ_IMM) {
		dasm_put(Dst, 8067, (~((uint64_t)(val))));
			} else if ((uint64_t)(val) & 0xffff) {
		dasm_put(Dst, 8070, ((uint64_t)(val) & 0xffff));
				if (((uint64_t)(val) >> 16) & 0xffff) {
		dasm_put(Dst, 8073, (((uint64_t)(val) >> 16) & 0xffff));
				}
				if (((uint64_t)(val) >> 32) & 0xffff) {
		dasm_put(Dst, 8076, (((uint64_t)(val) >> 32) & 0xffff));
				}
				if ((((uint64_t)(val) >> 48) & 0xffff)) {
		dasm_put(Dst, 8079, (((uint64_t)(val) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(val) >> 16) & 0xffff) {
		dasm_put(Dst, 8082, (((uint64_t)(val) >> 16) & 0xffff));
				if (((uint64_t)(val) >> 32) & 0xffff) {
		dasm_put(Dst, 8085, (((uint64_t)(val) >> 32) & 0xffff));
				}
				if ((((uint64_t)(val) >> 48) & 0xffff)) {
		dasm_put(Dst, 8088, (((uint64_t)(val) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(val) >> 32) & 0xffff) {
		dasm_put(Dst, 8091, (((uint64_t)(val) >> 32) & 0xffff));
				if ((((uint64_t)(val) >> 48) & 0xffff)) {
		dasm_put(Dst, 8094, (((uint64_t)(val) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 8097, (((uint64_t)(val) >> 48) & 0xffff));
			}
			if (Z_MODE(dst) == IS_REG) {
		dasm_put(Dst, 8100, (Z_REG(dst)));
			} else {
				ZEND_ASSERT(Z_MODE(dst) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(dst))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(dst))) <= MOVZ_IMM) {
		dasm_put(Dst, 8103, ((uint32_t)(Z_OFFSET(dst))));
			} else if (((uint32_t)(Z_OFFSET(dst)) & 0xffff)) {
		dasm_put(Dst, 8106, ((uint32_t)(Z_OFFSET(dst)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff)) {
		dasm_put(Dst, 8109, (((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 8112, (((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 8115, (Z_REG(dst)));
			} else {
		dasm_put(Dst, 8118, (Z_REG(dst)), (Z_OFFSET(dst)));
			}
			}
			}
#line 3730 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	SET_ZVAL_TYPE_INFO dst, IS_LONG, TMP1w, TMP2
			ZEND_ASSERT(Z_MODE(dst) == IS_MEM_ZVAL);
			if (((uint32_t)(IS_LONG)) <= MOVZ_IMM) {
		dasm_put(Dst, 8122, ((uint32_t)(IS_LONG)));
			} else if (((uint32_t)(IS_LONG) & 0xffff)) {
		dasm_put(Dst, 8125, ((uint32_t)(IS_LONG) & 0xffff));
				if ((((uint32_t)(IS_LONG) >> 16) & 0xffff)) {
		dasm_put(Dst, 8128, (((uint32_t)(IS_LONG) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 8131, (((uint32_t)(IS_LONG) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 8134, ((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 8137, ((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 8140, (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 8143, (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 8146, (Z_REG(dst)));
			} else {
		dasm_put(Dst, 8149, (Z_REG(dst)), (Z_OFFSET(dst)+offsetof(zval,u1.type_info)));
			}
#line 3731 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else if (reg == ZREG_LONG_MAX) {
		uint64_t val = 0x7fffffffffffffff;
		//|	SET_ZVAL_LVAL dst, val, TMP1, TMP2
			if (val == 0) {
			if (Z_MODE(dst) == IS_REG) {
		dasm_put(Dst, 8153, (Z_REG(dst)));
			} else {
				ZEND_ASSERT(Z_MODE(dst) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(dst))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(dst))) <= MOVZ_IMM) {
		dasm_put(Dst, 8156, ((uint32_t)(Z_OFFSET(dst))));
			} else if (((uint32_t)(Z_OFFSET(dst)) & 0xffff)) {
		dasm_put(Dst, 8159, ((uint32_t)(Z_OFFSET(dst)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff)) {
		dasm_put(Dst, 8162, (((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 8165, (((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 8168, (Z_REG(dst)));
			} else {
		dasm_put(Dst, 8171, (Z_REG(dst)), (Z_OFFSET(dst)));
			}
			}
			} else {
			if (((uint64_t)(val)) == 0) {
		dasm_put(Dst, 8175);
			} else if (((uint64_t)(val)) <= MOVZ_IMM) {
		dasm_put(Dst, 8177, ((uint64_t)(val)));
			} else if (~((uint64_t)(val)) <= MOVZ_IMM) {
		dasm_put(Dst, 8180, (~((uint64_t)(val))));
			} else if ((uint64_t)(val) & 0xffff) {
		dasm_put(Dst, 8183, ((uint64_t)(val) & 0xffff));
				if (((uint64_t)(val) >> 16) & 0xffff) {
		dasm_put(Dst, 8186, (((uint64_t)(val) >> 16) & 0xffff));
				}
				if (((uint64_t)(val) >> 32) & 0xffff) {
		dasm_put(Dst, 8189, (((uint64_t)(val) >> 32) & 0xffff));
				}
				if ((((uint64_t)(val) >> 48) & 0xffff)) {
		dasm_put(Dst, 8192, (((uint64_t)(val) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(val) >> 16) & 0xffff) {
		dasm_put(Dst, 8195, (((uint64_t)(val) >> 16) & 0xffff));
				if (((uint64_t)(val) >> 32) & 0xffff) {
		dasm_put(Dst, 8198, (((uint64_t)(val) >> 32) & 0xffff));
				}
				if ((((uint64_t)(val) >> 48) & 0xffff)) {
		dasm_put(Dst, 8201, (((uint64_t)(val) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(val) >> 32) & 0xffff) {
		dasm_put(Dst, 8204, (((uint64_t)(val) >> 32) & 0xffff));
				if ((((uint64_t)(val) >> 48) & 0xffff)) {
		dasm_put(Dst, 8207, (((uint64_t)(val) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 8210, (((uint64_t)(val) >> 48) & 0xffff));
			}
			if (Z_MODE(dst) == IS_REG) {
		dasm_put(Dst, 8213, (Z_REG(dst)));
			} else {
				ZEND_ASSERT(Z_MODE(dst) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(dst))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(dst))) <= MOVZ_IMM) {
		dasm_put(Dst, 8216, ((uint32_t)(Z_OFFSET(dst))));
			} else if (((uint32_t)(Z_OFFSET(dst)) & 0xffff)) {
		dasm_put(Dst, 8219, ((uint32_t)(Z_OFFSET(dst)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff)) {
		dasm_put(Dst, 8222, (((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 8225, (((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 8228, (Z_REG(dst)));
			} else {
		dasm_put(Dst, 8231, (Z_REG(dst)), (Z_OFFSET(dst)));
			}
			}
			}
#line 3734 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	SET_ZVAL_TYPE_INFO dst, IS_LONG, TMP1w, TMP2
			ZEND_ASSERT(Z_MODE(dst) == IS_MEM_ZVAL);
			if (((uint32_t)(IS_LONG)) <= MOVZ_IMM) {
		dasm_put(Dst, 8235, ((uint32_t)(IS_LONG)));
			} else if (((uint32_t)(IS_LONG) & 0xffff)) {
		dasm_put(Dst, 8238, ((uint32_t)(IS_LONG) & 0xffff));
				if ((((uint32_t)(IS_LONG) >> 16) & 0xffff)) {
		dasm_put(Dst, 8241, (((uint32_t)(IS_LONG) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 8244, (((uint32_t)(IS_LONG) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 8247, ((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 8250, ((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 8253, (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 8256, (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 8259, (Z_REG(dst)));
			} else {
		dasm_put(Dst, 8262, (Z_REG(dst)), (Z_OFFSET(dst)+offsetof(zval,u1.type_info)));
			}
#line 3735 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else if (reg == ZREG_LONG_MAX_PLUS_1) {
		uint64_t val = 0x43e0000000000000;
		//|	SET_ZVAL_LVAL dst, val, TMP1, TMP2
			if (val == 0) {
			if (Z_MODE(dst) == IS_REG) {
		dasm_put(Dst, 8266, (Z_REG(dst)));
			} else {
				ZEND_ASSERT(Z_MODE(dst) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(dst))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(dst))) <= MOVZ_IMM) {
		dasm_put(Dst, 8269, ((uint32_t)(Z_OFFSET(dst))));
			} else if (((uint32_t)(Z_OFFSET(dst)) & 0xffff)) {
		dasm_put(Dst, 8272, ((uint32_t)(Z_OFFSET(dst)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff)) {
		dasm_put(Dst, 8275, (((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 8278, (((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 8281, (Z_REG(dst)));
			} else {
		dasm_put(Dst, 8284, (Z_REG(dst)), (Z_OFFSET(dst)));
			}
			}
			} else {
			if (((uint64_t)(val)) == 0) {
		dasm_put(Dst, 8288);
			} else if (((uint64_t)(val)) <= MOVZ_IMM) {
		dasm_put(Dst, 8290, ((uint64_t)(val)));
			} else if (~((uint64_t)(val)) <= MOVZ_IMM) {
		dasm_put(Dst, 8293, (~((uint64_t)(val))));
			} else if ((uint64_t)(val) & 0xffff) {
		dasm_put(Dst, 8296, ((uint64_t)(val) & 0xffff));
				if (((uint64_t)(val) >> 16) & 0xffff) {
		dasm_put(Dst, 8299, (((uint64_t)(val) >> 16) & 0xffff));
				}
				if (((uint64_t)(val) >> 32) & 0xffff) {
		dasm_put(Dst, 8302, (((uint64_t)(val) >> 32) & 0xffff));
				}
				if ((((uint64_t)(val) >> 48) & 0xffff)) {
		dasm_put(Dst, 8305, (((uint64_t)(val) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(val) >> 16) & 0xffff) {
		dasm_put(Dst, 8308, (((uint64_t)(val) >> 16) & 0xffff));
				if (((uint64_t)(val) >> 32) & 0xffff) {
		dasm_put(Dst, 8311, (((uint64_t)(val) >> 32) & 0xffff));
				}
				if ((((uint64_t)(val) >> 48) & 0xffff)) {
		dasm_put(Dst, 8314, (((uint64_t)(val) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(val) >> 32) & 0xffff) {
		dasm_put(Dst, 8317, (((uint64_t)(val) >> 32) & 0xffff));
				if ((((uint64_t)(val) >> 48) & 0xffff)) {
		dasm_put(Dst, 8320, (((uint64_t)(val) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 8323, (((uint64_t)(val) >> 48) & 0xffff));
			}
			if (Z_MODE(dst) == IS_REG) {
		dasm_put(Dst, 8326, (Z_REG(dst)));
			} else {
				ZEND_ASSERT(Z_MODE(dst) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(dst))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(dst))) <= MOVZ_IMM) {
		dasm_put(Dst, 8329, ((uint32_t)(Z_OFFSET(dst))));
			} else if (((uint32_t)(Z_OFFSET(dst)) & 0xffff)) {
		dasm_put(Dst, 8332, ((uint32_t)(Z_OFFSET(dst)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff)) {
		dasm_put(Dst, 8335, (((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 8338, (((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 8341, (Z_REG(dst)));
			} else {
		dasm_put(Dst, 8344, (Z_REG(dst)), (Z_OFFSET(dst)));
			}
			}
			}
#line 3738 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	SET_ZVAL_TYPE_INFO dst, IS_DOUBLE, TMP1w, TMP2
			ZEND_ASSERT(Z_MODE(dst) == IS_MEM_ZVAL);
			if (((uint32_t)(IS_DOUBLE)) <= MOVZ_IMM) {
		dasm_put(Dst, 8348, ((uint32_t)(IS_DOUBLE)));
			} else if (((uint32_t)(IS_DOUBLE) & 0xffff)) {
		dasm_put(Dst, 8351, ((uint32_t)(IS_DOUBLE) & 0xffff));
				if ((((uint32_t)(IS_DOUBLE) >> 16) & 0xffff)) {
		dasm_put(Dst, 8354, (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 8357, (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 8360, ((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 8363, ((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 8366, (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 8369, (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 8372, (Z_REG(dst)));
			} else {
		dasm_put(Dst, 8375, (Z_REG(dst)), (Z_OFFSET(dst)+offsetof(zval,u1.type_info)));
			}
#line 3739 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else if (reg == ZREG_NULL) {
		//|	SET_ZVAL_TYPE_INFO dst, IS_NULL, TMP1w, TMP2
			ZEND_ASSERT(Z_MODE(dst) == IS_MEM_ZVAL);
			if (((uint32_t)(IS_NULL)) <= MOVZ_IMM) {
		dasm_put(Dst, 8379, ((uint32_t)(IS_NULL)));
			} else if (((uint32_t)(IS_NULL) & 0xffff)) {
		dasm_put(Dst, 8382, ((uint32_t)(IS_NULL) & 0xffff));
				if ((((uint32_t)(IS_NULL) >> 16) & 0xffff)) {
		dasm_put(Dst, 8385, (((uint32_t)(IS_NULL) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 8388, (((uint32_t)(IS_NULL) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 8391, ((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 8394, ((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 8397, (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 8400, (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 8403, (Z_REG(dst)));
			} else {
		dasm_put(Dst, 8406, (Z_REG(dst)), (Z_OFFSET(dst)+offsetof(zval,u1.type_info)));
			}
#line 3741 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else if (reg == ZREG_ZVAL_TRY_ADDREF) {
		//|	IF_NOT_ZVAL_REFCOUNTED dst, >1, ZREG_TMP1, ZREG_TMP2
			ZEND_ASSERT(Z_MODE(dst) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(dst)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(dst)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 8410, (ZREG_X16), ((uint32_t)(Z_OFFSET(dst)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(dst)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 8414, (ZREG_X16), ((uint32_t)(Z_OFFSET(dst)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(dst)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 8418, (ZREG_X16), (((uint32_t)(Z_OFFSET(dst)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 8422, (ZREG_X16), (((uint32_t)(Z_OFFSET(dst)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 8426, (ZREG_X15), (Z_REG(dst)), (ZREG_X16));
			} else {
		dasm_put(Dst, 8431, (ZREG_X15), (Z_REG(dst)), (Z_OFFSET(dst)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 8436, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 8439, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 8443, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 8447, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 8451, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 8455, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 8459, (ZREG_X15), (ZREG_X16));
			}
#line 3743 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	GET_ZVAL_PTR TMP1, dst, TMP2
		dasm_put(Dst, 8463);
			ZEND_ASSERT(Z_MODE(dst) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(dst))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(dst))) <= MOVZ_IMM) {
		dasm_put(Dst, 8466, ((uint32_t)(Z_OFFSET(dst))));
			} else if (((uint32_t)(Z_OFFSET(dst)) & 0xffff)) {
		dasm_put(Dst, 8469, ((uint32_t)(Z_OFFSET(dst)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff)) {
		dasm_put(Dst, 8472, (((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 8475, (((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 8478, (Z_REG(dst)));
			} else {
		dasm_put(Dst, 8481, (Z_REG(dst)), (Z_OFFSET(dst)));
			}
#line 3744 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	GC_ADDREF TMP1, TMP2w
		//|1:
		dasm_put(Dst, 8485);
#line 3746 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else if (reg == ZREG_ZVAL_COPY_GPR0) {
		zend_jit_addr val_addr = ZEND_ADDR_MEM_ZVAL(ZREG_REG0, 0);

		//|	ZVAL_COPY_VALUE dst, -1, val_addr, -1, ZREG_REG1, ZREG_REG2, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
			if (-1 & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
				if ((-1 & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
					if (Z_MODE(val_addr) == IS_REG) {
						if (Z_MODE(dst) != IS_REG || Z_REG(dst) != Z_REG(val_addr)) {
			if (Z_MODE(dst) == IS_REG) {
		dasm_put(Dst, 8490, (Z_REG(dst)), (Z_REG(val_addr)));
			} else {
				ZEND_ASSERT(Z_MODE(dst) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(dst))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(dst))) <= MOVZ_IMM) {
		dasm_put(Dst, 8494, (ZREG_X15), ((uint32_t)(Z_OFFSET(dst))));
			} else if (((uint32_t)(Z_OFFSET(dst)) & 0xffff)) {
		dasm_put(Dst, 8498, (ZREG_X15), ((uint32_t)(Z_OFFSET(dst)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff)) {
		dasm_put(Dst, 8502, (ZREG_X15), (((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 8506, (ZREG_X15), (((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 8510, (Z_REG(val_addr)), (Z_REG(dst)), (ZREG_X15));
			} else {
		dasm_put(Dst, 8515, (Z_REG(val_addr)), (Z_REG(dst)), (Z_OFFSET(dst)));
			}
			}
						}
					} else if (Z_MODE(dst) == IS_REG) {
			if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(val_addr)) == 0) {
		dasm_put(Dst, 8520, (Z_REG(dst)));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) == 0) {
		dasm_put(Dst, 8523, (Z_REG(dst)));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 8526, (Z_REG(dst)), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 8530, (Z_REG(dst)), (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff) {
		dasm_put(Dst, 8534, (Z_REG(dst)), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 8538, (Z_REG(dst)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 8542, (Z_REG(dst)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 8546, (Z_REG(dst)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 8550, (Z_REG(dst)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 8554, (Z_REG(dst)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 8558, (Z_REG(dst)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 8562, (Z_REG(dst)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 8566, (Z_REG(dst)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 8570, (Z_REG(dst)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 8574, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
			} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
		dasm_put(Dst, 8578, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 8582, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 8586, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 8590, (Z_REG(dst)), (Z_REG(val_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 8595, (Z_REG(dst)), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
			}
			} else if (Z_MODE(val_addr) == IS_REG) {
				if (Z_REG(dst) != Z_REG(val_addr)) {
		dasm_put(Dst, 8600, (Z_REG(dst)), (Z_REG(val_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
					} else {
			if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(val_addr)) == 0) {
		dasm_put(Dst, 8604, (ZREG_X10));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) == 0) {
		dasm_put(Dst, 8607, (ZREG_X10));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 8610, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 8614, (ZREG_X10), (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff) {
		dasm_put(Dst, 8618, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 8622, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 8626, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 8630, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 8634, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 8638, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 8642, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 8646, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 8650, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 8654, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 8658, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
			} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
		dasm_put(Dst, 8662, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 8666, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 8670, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 8674, (ZREG_X10), (Z_REG(val_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 8679, (ZREG_X10), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
			}
			} else if (Z_MODE(val_addr) == IS_REG) {
				if (ZREG_X10 != Z_REG(val_addr)) {
		dasm_put(Dst, 8684, (ZREG_X10), (Z_REG(val_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
			if (Z_MODE(dst) == IS_REG) {
		dasm_put(Dst, 8688, (Z_REG(dst)), (ZREG_X10));
			} else {
				ZEND_ASSERT(Z_MODE(dst) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(dst))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(dst))) <= MOVZ_IMM) {
		dasm_put(Dst, 8692, (ZREG_X15), ((uint32_t)(Z_OFFSET(dst))));
			} else if (((uint32_t)(Z_OFFSET(dst)) & 0xffff)) {
		dasm_put(Dst, 8696, (ZREG_X15), ((uint32_t)(Z_OFFSET(dst)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff)) {
		dasm_put(Dst, 8700, (ZREG_X15), (((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 8704, (ZREG_X15), (((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 8708, (ZREG_X10), (Z_REG(dst)), (ZREG_X15));
			} else {
		dasm_put(Dst, 8713, (ZREG_X10), (Z_REG(dst)), (Z_OFFSET(dst)));
			}
			}
					}
				} else if ((-1 & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
					if (Z_MODE(val_addr) == IS_REG) {
			if (Z_MODE(dst) == IS_REG) {
				if (Z_REG(val_addr) != Z_REG(dst)) {
		dasm_put(Dst, 8718, (Z_REG(dst)-ZREG_V0), (Z_REG(val_addr)-ZREG_V0));
				}
			} else {
				ZEND_ASSERT(Z_MODE(dst) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(dst))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(dst))) <= MOVZ_IMM) {
		dasm_put(Dst, 8722, (ZREG_X15), ((uint32_t)(Z_OFFSET(dst))));
			} else if (((uint32_t)(Z_OFFSET(dst)) & 0xffff)) {
		dasm_put(Dst, 8726, (ZREG_X15), ((uint32_t)(Z_OFFSET(dst)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff)) {
		dasm_put(Dst, 8730, (ZREG_X15), (((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 8734, (ZREG_X15), (((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 8738, (Z_REG(val_addr)-ZREG_V0), (Z_REG(dst)), (ZREG_X15));
			} else {
		dasm_put(Dst, 8743, (Z_REG(val_addr)-ZREG_V0), (Z_REG(dst)), (Z_OFFSET(dst)));
			}
			}
					} else if (Z_MODE(dst) == IS_REG) {
			if (Z_MODE(val_addr) != IS_REG || Z_REG(dst) != Z_REG(val_addr)) {
				if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
		dasm_put(Dst, 8748, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32), (Z_REG(dst)-ZREG_V0), (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
		dasm_put(Dst, 8755, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32), (Z_REG(dst)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
			} else {
			if (((uintptr_t)(Z_ZV(val_addr))) == 0) {
		dasm_put(Dst, 8763, (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(val_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 8766, (ZREG_X15), ((uint64_t)(Z_ZV(val_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
		dasm_put(Dst, 8770, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
		dasm_put(Dst, 8774, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(val_addr))) & 0xfff) {
		dasm_put(Dst, 8778, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(val_addr)) & 0xffff) {
		dasm_put(Dst, 8783, (ZREG_X15), ((uintptr_t)(Z_ZV(val_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 8787, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 8791, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 8795, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 8799, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 8803, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
			}
		dasm_put(Dst, 8807, (Z_REG(dst)-ZREG_V0), (ZREG_X15));
			}
				} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 8811, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
			} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
		dasm_put(Dst, 8815, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 8819, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 8823, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 8827, (Z_REG(dst)-ZREG_V0), (Z_REG(val_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 8832, (Z_REG(dst)-ZREG_V0), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
			}
				} else if (Z_MODE(val_addr) == IS_REG) {
		dasm_put(Dst, 8837, (Z_REG(dst)-ZREG_V0), (Z_REG(val_addr)-ZREG_V0));
				} else {
					ZEND_UNREACHABLE();
				}
			}
					} else {
			if (Z_MODE(val_addr) != IS_REG || ZREG_V0 != Z_REG(val_addr)) {
				if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
		dasm_put(Dst, 8841, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
		dasm_put(Dst, 8848, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
			} else {
			if (((uintptr_t)(Z_ZV(val_addr))) == 0) {
		dasm_put(Dst, 8856, (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(val_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 8859, (ZREG_X15), ((uint64_t)(Z_ZV(val_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
		dasm_put(Dst, 8863, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
		dasm_put(Dst, 8867, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(val_addr))) & 0xfff) {
		dasm_put(Dst, 8871, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(val_addr)) & 0xffff) {
		dasm_put(Dst, 8876, (ZREG_X15), ((uintptr_t)(Z_ZV(val_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 8880, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 8884, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 8888, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 8892, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 8896, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
			}
		dasm_put(Dst, 8900, (ZREG_V0-ZREG_V0), (ZREG_X15));
			}
				} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 8904, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
			} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
		dasm_put(Dst, 8908, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 8912, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 8916, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 8920, (ZREG_V0-ZREG_V0), (Z_REG(val_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 8925, (ZREG_V0-ZREG_V0), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
			}
				} else if (Z_MODE(val_addr) == IS_REG) {
		dasm_put(Dst, 8930, (ZREG_V0-ZREG_V0), (Z_REG(val_addr)-ZREG_V0));
				} else {
					ZEND_UNREACHABLE();
				}
			}
			if (Z_MODE(dst) == IS_REG) {
				if (ZREG_V0 != Z_REG(dst)) {
		dasm_put(Dst, 8934, (Z_REG(dst)-ZREG_V0), (ZREG_V0-ZREG_V0));
				}
			} else {
				ZEND_ASSERT(Z_MODE(dst) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(dst))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(dst))) <= MOVZ_IMM) {
		dasm_put(Dst, 8938, (ZREG_X15), ((uint32_t)(Z_OFFSET(dst))));
			} else if (((uint32_t)(Z_OFFSET(dst)) & 0xffff)) {
		dasm_put(Dst, 8942, (ZREG_X15), ((uint32_t)(Z_OFFSET(dst)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff)) {
		dasm_put(Dst, 8946, (ZREG_X15), (((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 8950, (ZREG_X15), (((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 8954, (ZREG_V0-ZREG_V0), (Z_REG(dst)), (ZREG_X15));
			} else {
		dasm_put(Dst, 8959, (ZREG_V0-ZREG_V0), (Z_REG(dst)), (Z_OFFSET(dst)));
			}
			}
					}
				// Combine the following two branches.
				// } else if (!(-1 & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
				} else {
			ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 8964, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
			} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
		dasm_put(Dst, 8968, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 8972, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 8976, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 8980, (ZREG_X10), (Z_REG(val_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 8985, (ZREG_X10), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
			}
			ZEND_ASSERT(Z_MODE(dst) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(dst))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(dst))) <= MOVZ_IMM) {
		dasm_put(Dst, 8990, (ZREG_X15), ((uint32_t)(Z_OFFSET(dst))));
			} else if (((uint32_t)(Z_OFFSET(dst)) & 0xffff)) {
		dasm_put(Dst, 8994, (ZREG_X15), ((uint32_t)(Z_OFFSET(dst)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff)) {
		dasm_put(Dst, 8998, (ZREG_X15), (((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 9002, (ZREG_X15), (((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 9006, (ZREG_X10), (Z_REG(dst)), (ZREG_X15));
			} else {
		dasm_put(Dst, 9011, (ZREG_X10), (Z_REG(dst)), (Z_OFFSET(dst)));
			}
				}
			}
			if ((-1 & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
				!(-1 & MAY_BE_GUARD) &&
				has_concrete_type(-1 & MAY_BE_ANY)) {
				if (Z_MODE(dst) == IS_MEM_ZVAL) {
					if ((-1 & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (-1 & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD))) {
						uint32_t type = concrete_type(-1);
			ZEND_ASSERT(Z_MODE(dst) == IS_MEM_ZVAL);
			if (((uint32_t)(type)) <= MOVZ_IMM) {
		dasm_put(Dst, 9016, (ZREG_X15), ((uint32_t)(type)));
			} else if (((uint32_t)(type) & 0xffff)) {
		dasm_put(Dst, 9020, (ZREG_X15), ((uint32_t)(type) & 0xffff));
				if ((((uint32_t)(type) >> 16) & 0xffff)) {
		dasm_put(Dst, 9024, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 9028, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 9032, (ZREG_X16), ((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 9036, (ZREG_X16), ((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 9040, (ZREG_X16), (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 9044, (ZREG_X16), (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 9048, (ZREG_X15), (Z_REG(dst)), (ZREG_X16));
			} else {
		dasm_put(Dst, 9053, (ZREG_X15), (Z_REG(dst)), (Z_OFFSET(dst)+offsetof(zval,u1.type_info)));
			}
					}
				}
			} else {
			ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 9058, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 9062, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 9066, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 9070, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 9074, (ZREG_X9), (Z_REG(val_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 9079, (ZREG_X9), (Z_REG(val_addr)), (Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)));
			}
			ZEND_ASSERT(Z_MODE(dst) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 9084, (ZREG_X15), ((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 9088, (ZREG_X15), ((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 9092, (ZREG_X15), (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 9096, (ZREG_X15), (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 9100, (ZREG_X9), (Z_REG(dst)), (ZREG_X15));
			} else {
		dasm_put(Dst, 9105, (ZREG_X9), (Z_REG(dst)), (Z_OFFSET(dst)+offsetof(zval,u1.type_info)));
			}
			}
#line 3750 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	TRY_ADDREF -1, REG1w, REG2, TMP1w
			if (-1 & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) {
				if (-1 & (MAY_BE_ANY-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
			if ((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT) == 0) {
		dasm_put(Dst, 9110);
			} else if (logical_immediate_p((uint32_t)(IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT), 32)) {
		dasm_put(Dst, 9112, (IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT));
			} else {
			if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))) <= MOVZ_IMM) {
		dasm_put(Dst, 9115, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))));
			} else if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff)) {
		dasm_put(Dst, 9118, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff));
				if ((((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff)) {
		dasm_put(Dst, 9121, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 9124, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 9127);
			}
		dasm_put(Dst, 9129);
				}
		dasm_put(Dst, 9132);
			}
#line 3751 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		ZEND_UNREACHABLE();
	}
	return 1;
}

static int zend_jit_free_trampoline(dasm_State **Dst)
{
	//|	// if (UNEXPECTED(func->common.fn_flags & ZEND_ACC_CALL_VIA_TRAMPOLINE))
	//|	ldr TMP1w, [REG0, #offsetof(zend_function, common.fn_flags)]
	//|	TST_32_WITH_CONST TMP1w, ZEND_ACC_CALL_VIA_TRAMPOLINE, TMP2w
	dasm_put(Dst, 9137, offsetof(zend_function, common.fn_flags));
		if (ZEND_ACC_CALL_VIA_TRAMPOLINE == 0) {
	dasm_put(Dst, 9140);
		} else if (logical_immediate_p((uint32_t)ZEND_ACC_CALL_VIA_TRAMPOLINE, 32)) {
	dasm_put(Dst, 9142, ZEND_ACC_CALL_VIA_TRAMPOLINE);
		} else {
		if (((uint32_t)(ZEND_ACC_CALL_VIA_TRAMPOLINE)) <= MOVZ_IMM) {
	dasm_put(Dst, 9145, ((uint32_t)(ZEND_ACC_CALL_VIA_TRAMPOLINE)));
		} else if (((uint32_t)(ZEND_ACC_CALL_VIA_TRAMPOLINE) & 0xffff)) {
	dasm_put(Dst, 9148, ((uint32_t)(ZEND_ACC_CALL_VIA_TRAMPOLINE) & 0xffff));
			if ((((uint32_t)(ZEND_ACC_CALL_VIA_TRAMPOLINE) >> 16) & 0xffff)) {
	dasm_put(Dst, 9151, (((uint32_t)(ZEND_ACC_CALL_VIA_TRAMPOLINE) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 9154, (((uint32_t)(ZEND_ACC_CALL_VIA_TRAMPOLINE) >> 16) & 0xffff));
		}
	dasm_put(Dst, 9157);
		}
#line 3762 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	beq >1
	//|	mov FCARG1x, REG0
	//|	EXT_CALL zend_jit_free_trampoline_helper, REG0
	dasm_put(Dst, 9159);
		if (arm64_may_use_b(zend_jit_free_trampoline_helper)) {
	dasm_put(Dst, 9163, (unsigned int)((ptrdiff_t)(zend_jit_free_trampoline_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_free_trampoline_helper))>>32));
		} else {
		if (((uintptr_t)(zend_jit_free_trampoline_helper)) == 0) {
	dasm_put(Dst, 9166);
		} else if (((uintptr_t)(zend_jit_free_trampoline_helper)) <= MOVZ_IMM) {
	dasm_put(Dst, 9168, ((uint64_t)(zend_jit_free_trampoline_helper)));
		} else if (arm64_may_use_adr((void*)(zend_jit_free_trampoline_helper))) {
	dasm_put(Dst, 9171, (unsigned int)((ptrdiff_t)(zend_jit_free_trampoline_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_free_trampoline_helper))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_jit_free_trampoline_helper))) {
	dasm_put(Dst, 9174, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_free_trampoline_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_free_trampoline_helper)))))>>32));
			if (((uintptr_t)(zend_jit_free_trampoline_helper)) & 0xfff) {
	dasm_put(Dst, 9177, (((uintptr_t)(zend_jit_free_trampoline_helper)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_jit_free_trampoline_helper) & 0xffff) {
	dasm_put(Dst, 9180, ((uintptr_t)(zend_jit_free_trampoline_helper) & 0xffff));
			if (((uintptr_t)(zend_jit_free_trampoline_helper) >> 16) & 0xffff) {
	dasm_put(Dst, 9183, (((uintptr_t)(zend_jit_free_trampoline_helper) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_jit_free_trampoline_helper) >> 32) & 0xffff) {
	dasm_put(Dst, 9186, (((uintptr_t)(zend_jit_free_trampoline_helper) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_jit_free_trampoline_helper) >> 16) & 0xffff) {
	dasm_put(Dst, 9189, (((uintptr_t)(zend_jit_free_trampoline_helper) >> 16) & 0xffff));
			if (((uintptr_t)(zend_jit_free_trampoline_helper) >> 32) & 0xffff) {
	dasm_put(Dst, 9192, (((uintptr_t)(zend_jit_free_trampoline_helper) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 9195, (((uintptr_t)(zend_jit_free_trampoline_helper) >> 32) & 0xffff));
		}
	dasm_put(Dst, 9198);
		}
#line 3765 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|1:
	dasm_put(Dst, 9200);
#line 3766 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	return 1;
}

static int zend_jit_inc_dec(dasm_State **Dst, const zend_op *opline, uint32_t op1_info, zend_jit_addr op1_addr, uint32_t op1_def_info, zend_jit_addr op1_def_addr, uint32_t res_use_info, uint32_t res_info, zend_jit_addr res_addr, int may_overflow, int may_throw)
{
	if (op1_info & ((MAY_BE_UNDEF|MAY_BE_ANY)-MAY_BE_LONG)) {
		//|	IF_NOT_ZVAL_TYPE op1_addr, IS_LONG, >2, ZREG_TMP1
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
		dasm_put(Dst, 9202, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
		dasm_put(Dst, 9206, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
		dasm_put(Dst, 9210, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 9214, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 9218, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 9223, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
			}
			if (IS_LONG == 0) {
		dasm_put(Dst, 9228, (ZREG_X15));
			} else {
		dasm_put(Dst, 9232, (ZREG_X15), IS_LONG);
			}
#line 3773 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	if (opline->opcode == ZEND_POST_INC || opline->opcode == ZEND_POST_DEC) {
		//|	ZVAL_COPY_VALUE res_addr, res_use_info, op1_addr, MAY_BE_LONG, ZREG_REG0, ZREG_REG1, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
			if (MAY_BE_LONG & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
				if ((MAY_BE_LONG & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
					if (Z_MODE(op1_addr) == IS_REG) {
						if (Z_MODE(res_addr) != IS_REG || Z_REG(res_addr) != Z_REG(op1_addr)) {
			if (Z_MODE(res_addr) == IS_REG) {
		dasm_put(Dst, 9238, (Z_REG(res_addr)), (Z_REG(op1_addr)));
			} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 9242, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 9246, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 9250, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 9254, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 9258, (Z_REG(op1_addr)), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 9263, (Z_REG(op1_addr)), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
			}
						}
					} else if (Z_MODE(res_addr) == IS_REG) {
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 9268, (Z_REG(res_addr)));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 9271, (Z_REG(res_addr)));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 9274, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 9278, (Z_REG(res_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 9282, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 9286, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 9290, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 9294, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 9298, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 9302, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 9306, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 9310, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 9314, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 9318, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 9322, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 9326, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 9330, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 9334, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 9338, (Z_REG(res_addr)), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 9343, (Z_REG(res_addr)), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (Z_REG(res_addr) != Z_REG(op1_addr)) {
		dasm_put(Dst, 9348, (Z_REG(res_addr)), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
					} else {
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 9352, (ZREG_X9));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 9355, (ZREG_X9));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 9358, (ZREG_X9), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 9362, (ZREG_X9), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 9366, (ZREG_X9), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 9370, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 9374, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 9378, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 9382, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 9386, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 9390, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 9394, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 9398, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 9402, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 9406, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 9410, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 9414, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 9418, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 9422, (ZREG_X9), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 9427, (ZREG_X9), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (ZREG_X9 != Z_REG(op1_addr)) {
		dasm_put(Dst, 9432, (ZREG_X9), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
			if (Z_MODE(res_addr) == IS_REG) {
		dasm_put(Dst, 9436, (Z_REG(res_addr)), (ZREG_X9));
			} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 9440, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 9444, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 9448, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 9452, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 9456, (ZREG_X9), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 9461, (ZREG_X9), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
			}
					}
				} else if ((MAY_BE_LONG & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
					if (Z_MODE(op1_addr) == IS_REG) {
			if (Z_MODE(res_addr) == IS_REG) {
				if (Z_REG(op1_addr) != Z_REG(res_addr)) {
		dasm_put(Dst, 9466, (Z_REG(res_addr)-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
				}
			} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 9470, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 9474, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 9478, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 9482, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 9486, (Z_REG(op1_addr)-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 9491, (Z_REG(op1_addr)-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
			}
					} else if (Z_MODE(res_addr) == IS_REG) {
			if (Z_MODE(op1_addr) != IS_REG || Z_REG(res_addr) != Z_REG(op1_addr)) {
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 9496, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 9503, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
			} else {
			if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
		dasm_put(Dst, 9511, (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 9514, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 9518, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 9522, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
		dasm_put(Dst, 9526, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
		dasm_put(Dst, 9531, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 9535, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 9539, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 9543, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 9547, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 9551, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
		dasm_put(Dst, 9555, (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
			}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 9559, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 9563, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 9567, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 9571, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 9575, (Z_REG(res_addr)-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 9580, (Z_REG(res_addr)-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
				} else if (Z_MODE(op1_addr) == IS_REG) {
		dasm_put(Dst, 9585, (Z_REG(res_addr)-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
				} else {
					ZEND_UNREACHABLE();
				}
			}
					} else {
			if (Z_MODE(op1_addr) != IS_REG || ZREG_V0 != Z_REG(op1_addr)) {
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 9589, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 9596, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
			} else {
			if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
		dasm_put(Dst, 9604, (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 9607, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 9611, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 9615, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
		dasm_put(Dst, 9619, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
		dasm_put(Dst, 9624, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 9628, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 9632, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 9636, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 9640, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 9644, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
		dasm_put(Dst, 9648, (ZREG_V0-ZREG_V0), (ZREG_X15));
			}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 9652, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 9656, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 9660, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 9664, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 9668, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 9673, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
				} else if (Z_MODE(op1_addr) == IS_REG) {
		dasm_put(Dst, 9678, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
				} else {
					ZEND_UNREACHABLE();
				}
			}
			if (Z_MODE(res_addr) == IS_REG) {
				if (ZREG_V0 != Z_REG(res_addr)) {
		dasm_put(Dst, 9682, (Z_REG(res_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
				}
			} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 9686, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 9690, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 9694, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 9698, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 9702, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 9707, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
			}
					}
				// Combine the following two branches.
				// } else if (!(MAY_BE_LONG & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
				} else {
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 9712, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 9716, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 9720, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 9724, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 9728, (ZREG_X9), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 9733, (ZREG_X9), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 9738, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 9742, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 9746, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 9750, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 9754, (ZREG_X9), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 9759, (ZREG_X9), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
				}
			}
			if ((MAY_BE_LONG & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
				!(MAY_BE_LONG & MAY_BE_GUARD) &&
				has_concrete_type(MAY_BE_LONG & MAY_BE_ANY)) {
				if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
					if ((res_use_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (MAY_BE_LONG & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD))) {
						uint32_t type = concrete_type(MAY_BE_LONG);
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uint32_t)(type)) <= MOVZ_IMM) {
		dasm_put(Dst, 9764, (ZREG_X15), ((uint32_t)(type)));
			} else if (((uint32_t)(type) & 0xffff)) {
		dasm_put(Dst, 9768, (ZREG_X15), ((uint32_t)(type) & 0xffff));
				if ((((uint32_t)(type) >> 16) & 0xffff)) {
		dasm_put(Dst, 9772, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 9776, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 9780, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 9784, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 9788, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 9792, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 9796, (ZREG_X15), (Z_REG(res_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 9801, (ZREG_X15), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
			}
					}
				}
			} else {
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 9806, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 9810, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 9814, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 9818, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 9822, (ZREG_X8), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 9827, (ZREG_X8), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)));
			}
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 9832, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 9836, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 9840, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 9844, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 9848, (ZREG_X8), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 9853, (ZREG_X8), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
			}
			}
#line 3776 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	if (!zend_jit_update_regs(Dst, opline->op1.var, op1_addr, op1_def_addr, MAY_BE_LONG)) {
		return 0;
	}
	if (opline->opcode == ZEND_PRE_INC || opline->opcode == ZEND_POST_INC) {
		//|	LONG_ADD_SUB_WITH_IMM adds, op1_def_addr, Z_L(1), TMP1, TMP2
			ZEND_ASSERT(arm64_may_encode_imm12((int64_t)(Z_L(1))));
			if (Z_MODE(op1_def_addr) == IS_MEM_ZVAL) {
				if (((uint32_t)(Z_OFFSET(op1_def_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_def_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 9858, ((uint32_t)(Z_OFFSET(op1_def_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff)) {
		dasm_put(Dst, 9861, ((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 9864, (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 9867, (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 9870, (Z_REG(op1_def_addr)), Z_L(1), (Z_REG(op1_def_addr)));
				} else {
		dasm_put(Dst, 9877, (Z_REG(op1_def_addr)), Z_OFFSET(op1_def_addr), Z_L(1), (Z_REG(op1_def_addr)), Z_OFFSET(op1_def_addr));
				}
			} else if (Z_MODE(op1_def_addr) == IS_REG) {
		dasm_put(Dst, 9886, (Z_REG(op1_def_addr)), (Z_REG(op1_def_addr)), Z_L(1));
			} else {
				ZEND_UNREACHABLE();
			}
#line 3782 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		//|	LONG_ADD_SUB_WITH_IMM subs, op1_def_addr, Z_L(1), TMP1, TMP2
			ZEND_ASSERT(arm64_may_encode_imm12((int64_t)(Z_L(1))));
			if (Z_MODE(op1_def_addr) == IS_MEM_ZVAL) {
				if (((uint32_t)(Z_OFFSET(op1_def_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_def_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 9891, ((uint32_t)(Z_OFFSET(op1_def_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff)) {
		dasm_put(Dst, 9894, ((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 9897, (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 9900, (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 9903, (Z_REG(op1_def_addr)), Z_L(1), (Z_REG(op1_def_addr)));
				} else {
		dasm_put(Dst, 9910, (Z_REG(op1_def_addr)), Z_OFFSET(op1_def_addr), Z_L(1), (Z_REG(op1_def_addr)), Z_OFFSET(op1_def_addr));
				}
			} else if (Z_MODE(op1_def_addr) == IS_REG) {
		dasm_put(Dst, 9919, (Z_REG(op1_def_addr)), (Z_REG(op1_def_addr)), Z_L(1));
			} else {
				ZEND_UNREACHABLE();
			}
#line 3784 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	if (may_overflow &&
	    (((op1_def_info & MAY_BE_GUARD) && (op1_def_info & MAY_BE_LONG)) ||
	     ((opline->result_type != IS_UNUSED && (res_info & MAY_BE_GUARD) && (res_info & MAY_BE_LONG))))) {
		int32_t exit_point;
		const void *exit_addr;
		zend_jit_trace_stack *stack;
		uint32_t old_op1_info, old_res_info = 0;

		stack = JIT_G(current_frame)->stack;
		old_op1_info = STACK_INFO(stack, EX_VAR_TO_NUM(opline->op1.var));
		SET_STACK_TYPE(stack, EX_VAR_TO_NUM(opline->op1.var), IS_DOUBLE, 0);
		if (opline->opcode == ZEND_PRE_INC || opline->opcode == ZEND_POST_INC) {
			SET_STACK_REG(stack, EX_VAR_TO_NUM(opline->op1.var), ZREG_LONG_MAX_PLUS_1);
		} else {
			SET_STACK_REG(stack, EX_VAR_TO_NUM(opline->op1.var), ZREG_LONG_MIN_MINUS_1);
		}
		if (opline->result_type != IS_UNUSED) {
			old_res_info = STACK_INFO(stack, EX_VAR_TO_NUM(opline->result.var));
			if (opline->opcode == ZEND_PRE_INC) {
				SET_STACK_TYPE(stack, EX_VAR_TO_NUM(opline->result.var), IS_DOUBLE, 0);
				SET_STACK_REG(stack, EX_VAR_TO_NUM(opline->result.var), ZREG_LONG_MAX_PLUS_1);
			} else if (opline->opcode == ZEND_PRE_DEC) {
				SET_STACK_TYPE(stack, EX_VAR_TO_NUM(opline->result.var), IS_DOUBLE, 0);
				SET_STACK_REG(stack, EX_VAR_TO_NUM(opline->result.var), ZREG_LONG_MIN_MINUS_1);
			} else if (opline->opcode == ZEND_POST_INC) {
				SET_STACK_TYPE(stack, EX_VAR_TO_NUM(opline->result.var), IS_LONG, 0);
				SET_STACK_REG(stack, EX_VAR_TO_NUM(opline->result.var), ZREG_LONG_MAX);
			} else if (opline->opcode == ZEND_POST_DEC) {
				SET_STACK_TYPE(stack, EX_VAR_TO_NUM(opline->result.var), IS_LONG, 0);
				SET_STACK_REG(stack, EX_VAR_TO_NUM(opline->result.var), ZREG_LONG_MIN);
			}
		}

		exit_point = zend_jit_trace_get_exit_point(opline + 1, 0);
		exit_addr = zend_jit_trace_get_exit_addr(exit_point);
		if (!exit_addr) {
			return 0;
		}
		//|	bvs &exit_addr
		dasm_put(Dst, 9924, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 3825 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

		if ((opline->opcode == ZEND_PRE_INC || opline->opcode == ZEND_PRE_DEC) &&
		    opline->result_type != IS_UNUSED) {
			//|	ZVAL_COPY_VALUE res_addr, res_use_info, op1_def_addr, MAY_BE_LONG, ZREG_REG0, ZREG_REG1, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
				if (MAY_BE_LONG & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
					if ((MAY_BE_LONG & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
						if (Z_MODE(op1_def_addr) == IS_REG) {
							if (Z_MODE(res_addr) != IS_REG || Z_REG(res_addr) != Z_REG(op1_def_addr)) {
				if (Z_MODE(res_addr) == IS_REG) {
			dasm_put(Dst, 9927, (Z_REG(res_addr)), (Z_REG(op1_def_addr)));
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 9931, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 9935, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 9939, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 9943, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 9947, (Z_REG(op1_def_addr)), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 9952, (Z_REG(op1_def_addr)), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
							}
						} else if (Z_MODE(res_addr) == IS_REG) {
				if (Z_MODE(op1_def_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(op1_def_addr)) == 0) {
			dasm_put(Dst, 9957, (Z_REG(res_addr)));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr)))) == 0) {
			dasm_put(Dst, 9960, (Z_REG(res_addr)));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 9963, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 9967, (Z_REG(res_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) & 0xffff) {
			dasm_put(Dst, 9971, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 9975, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 9979, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 9983, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 9987, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 9991, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 9995, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 9999, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 10003, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 10007, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(op1_def_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_def_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_def_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 10011, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff)) {
			dasm_put(Dst, 10015, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 10019, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 10023, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 10027, (Z_REG(res_addr)), (Z_REG(op1_def_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 10032, (Z_REG(res_addr)), (Z_REG(op1_def_addr)), (Z_OFFSET(op1_def_addr)));
				}
				} else if (Z_MODE(op1_def_addr) == IS_REG) {
					if (Z_REG(res_addr) != Z_REG(op1_def_addr)) {
			dasm_put(Dst, 10037, (Z_REG(res_addr)), (Z_REG(op1_def_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
						} else {
				if (Z_MODE(op1_def_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(op1_def_addr)) == 0) {
			dasm_put(Dst, 10041, (ZREG_X9));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr)))) == 0) {
			dasm_put(Dst, 10044, (ZREG_X9));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 10047, (ZREG_X9), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 10051, (ZREG_X9), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) & 0xffff) {
			dasm_put(Dst, 10055, (ZREG_X9), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 10059, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 10063, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 10067, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 10071, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 10075, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 10079, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 10083, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 10087, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 10091, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(op1_def_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_def_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_def_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 10095, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff)) {
			dasm_put(Dst, 10099, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 10103, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 10107, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 10111, (ZREG_X9), (Z_REG(op1_def_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 10116, (ZREG_X9), (Z_REG(op1_def_addr)), (Z_OFFSET(op1_def_addr)));
				}
				} else if (Z_MODE(op1_def_addr) == IS_REG) {
					if (ZREG_X9 != Z_REG(op1_def_addr)) {
			dasm_put(Dst, 10121, (ZREG_X9), (Z_REG(op1_def_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
				if (Z_MODE(res_addr) == IS_REG) {
			dasm_put(Dst, 10125, (Z_REG(res_addr)), (ZREG_X9));
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 10129, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 10133, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 10137, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 10141, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 10145, (ZREG_X9), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 10150, (ZREG_X9), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
						}
					} else if ((MAY_BE_LONG & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
						if (Z_MODE(op1_def_addr) == IS_REG) {
				if (Z_MODE(res_addr) == IS_REG) {
					if (Z_REG(op1_def_addr) != Z_REG(res_addr)) {
			dasm_put(Dst, 10155, (Z_REG(res_addr)-ZREG_V0), (Z_REG(op1_def_addr)-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 10159, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 10163, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 10167, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 10171, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 10175, (Z_REG(op1_def_addr)-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 10180, (Z_REG(op1_def_addr)-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
						} else if (Z_MODE(res_addr) == IS_REG) {
				if (Z_MODE(op1_def_addr) != IS_REG || Z_REG(res_addr) != Z_REG(op1_def_addr)) {
					if (Z_MODE(op1_def_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_def_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_def_addr)))) {
			dasm_put(Dst, 10185, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_def_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_def_addr)))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(op1_def_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_def_addr)))) {
			dasm_put(Dst, 10192, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_def_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_def_addr))))))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(op1_def_addr))) == 0) {
			dasm_put(Dst, 10200, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(op1_def_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 10203, (ZREG_X15), ((uint64_t)(Z_ZV(op1_def_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_def_addr)))) {
			dasm_put(Dst, 10207, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_def_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_def_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_def_addr)))) {
			dasm_put(Dst, 10211, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_def_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_def_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_def_addr))) & 0xfff) {
			dasm_put(Dst, 10215, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_def_addr)) & 0xffff) {
			dasm_put(Dst, 10220, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_def_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_def_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 10224, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 10228, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_def_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 10232, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 10236, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 10240, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 10244, (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(op1_def_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_def_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_def_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 10248, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff)) {
			dasm_put(Dst, 10252, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 10256, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 10260, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 10264, (Z_REG(res_addr)-ZREG_V0), (Z_REG(op1_def_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 10269, (Z_REG(res_addr)-ZREG_V0), (Z_REG(op1_def_addr)), (Z_OFFSET(op1_def_addr)));
				}
					} else if (Z_MODE(op1_def_addr) == IS_REG) {
			dasm_put(Dst, 10274, (Z_REG(res_addr)-ZREG_V0), (Z_REG(op1_def_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
						} else {
				if (Z_MODE(op1_def_addr) != IS_REG || ZREG_V0 != Z_REG(op1_def_addr)) {
					if (Z_MODE(op1_def_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_def_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_def_addr)))) {
			dasm_put(Dst, 10278, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_def_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_def_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(op1_def_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_def_addr)))) {
			dasm_put(Dst, 10285, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_def_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_def_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(op1_def_addr))) == 0) {
			dasm_put(Dst, 10293, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(op1_def_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 10296, (ZREG_X15), ((uint64_t)(Z_ZV(op1_def_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_def_addr)))) {
			dasm_put(Dst, 10300, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_def_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_def_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_def_addr)))) {
			dasm_put(Dst, 10304, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_def_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_def_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_def_addr))) & 0xfff) {
			dasm_put(Dst, 10308, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_def_addr)) & 0xffff) {
			dasm_put(Dst, 10313, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_def_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_def_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 10317, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 10321, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_def_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 10325, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 10329, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 10333, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 10337, (ZREG_V0-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(op1_def_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_def_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_def_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 10341, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff)) {
			dasm_put(Dst, 10345, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 10349, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 10353, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 10357, (ZREG_V0-ZREG_V0), (Z_REG(op1_def_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 10362, (ZREG_V0-ZREG_V0), (Z_REG(op1_def_addr)), (Z_OFFSET(op1_def_addr)));
				}
					} else if (Z_MODE(op1_def_addr) == IS_REG) {
			dasm_put(Dst, 10367, (ZREG_V0-ZREG_V0), (Z_REG(op1_def_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
				if (Z_MODE(res_addr) == IS_REG) {
					if (ZREG_V0 != Z_REG(res_addr)) {
			dasm_put(Dst, 10371, (Z_REG(res_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 10375, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 10379, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 10383, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 10387, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 10391, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 10396, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
						}
					// Combine the following two branches.
					// } else if (!(MAY_BE_LONG & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
					} else {
				ZEND_ASSERT(Z_MODE(op1_def_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_def_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_def_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 10401, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff)) {
			dasm_put(Dst, 10405, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 10409, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 10413, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 10417, (ZREG_X9), (Z_REG(op1_def_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 10422, (ZREG_X9), (Z_REG(op1_def_addr)), (Z_OFFSET(op1_def_addr)));
				}
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 10427, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 10431, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 10435, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 10439, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 10443, (ZREG_X9), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 10448, (ZREG_X9), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
					}
				}
				if ((MAY_BE_LONG & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
					!(MAY_BE_LONG & MAY_BE_GUARD) &&
					has_concrete_type(MAY_BE_LONG & MAY_BE_ANY)) {
					if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
						if ((res_use_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (MAY_BE_LONG & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD))) {
							uint32_t type = concrete_type(MAY_BE_LONG);
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(type)) <= MOVZ_IMM) {
			dasm_put(Dst, 10453, (ZREG_X15), ((uint32_t)(type)));
				} else if (((uint32_t)(type) & 0xffff)) {
			dasm_put(Dst, 10457, (ZREG_X15), ((uint32_t)(type) & 0xffff));
					if ((((uint32_t)(type) >> 16) & 0xffff)) {
			dasm_put(Dst, 10461, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 10465, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 10469, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 10473, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 10477, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 10481, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 10485, (ZREG_X15), (Z_REG(res_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 10490, (ZREG_X15), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
						}
					}
				} else {
				ZEND_ASSERT(Z_MODE(op1_def_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 10495, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 10499, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 10503, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 10507, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 10511, (ZREG_X8), (Z_REG(op1_def_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 10516, (ZREG_X8), (Z_REG(op1_def_addr)), (Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info)));
				}
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 10521, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 10525, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 10529, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 10533, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 10537, (ZREG_X8), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 10542, (ZREG_X8), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
				}
#line 3829 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}

		SET_STACK_INFO(stack, EX_VAR_TO_NUM(opline->op1.var), old_op1_info);
		if (opline->result_type != IS_UNUSED) {
			SET_STACK_INFO(stack, EX_VAR_TO_NUM(opline->result.var), old_res_info);
		}
	} else if (may_overflow) {
		//|	bvs >1
		dasm_put(Dst, 10547);
#line 3837 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if ((opline->opcode == ZEND_PRE_INC || opline->opcode == ZEND_PRE_DEC) &&
		    opline->result_type != IS_UNUSED) {
			//|	ZVAL_COPY_VALUE res_addr, res_use_info, op1_def_addr, MAY_BE_LONG, ZREG_REG0, ZREG_REG1, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
				if (MAY_BE_LONG & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
					if ((MAY_BE_LONG & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
						if (Z_MODE(op1_def_addr) == IS_REG) {
							if (Z_MODE(res_addr) != IS_REG || Z_REG(res_addr) != Z_REG(op1_def_addr)) {
				if (Z_MODE(res_addr) == IS_REG) {
			dasm_put(Dst, 10550, (Z_REG(res_addr)), (Z_REG(op1_def_addr)));
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 10554, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 10558, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 10562, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 10566, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 10570, (Z_REG(op1_def_addr)), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 10575, (Z_REG(op1_def_addr)), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
							}
						} else if (Z_MODE(res_addr) == IS_REG) {
				if (Z_MODE(op1_def_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(op1_def_addr)) == 0) {
			dasm_put(Dst, 10580, (Z_REG(res_addr)));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr)))) == 0) {
			dasm_put(Dst, 10583, (Z_REG(res_addr)));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 10586, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 10590, (Z_REG(res_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) & 0xffff) {
			dasm_put(Dst, 10594, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 10598, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 10602, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 10606, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 10610, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 10614, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 10618, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 10622, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 10626, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 10630, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(op1_def_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_def_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_def_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 10634, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff)) {
			dasm_put(Dst, 10638, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 10642, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 10646, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 10650, (Z_REG(res_addr)), (Z_REG(op1_def_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 10655, (Z_REG(res_addr)), (Z_REG(op1_def_addr)), (Z_OFFSET(op1_def_addr)));
				}
				} else if (Z_MODE(op1_def_addr) == IS_REG) {
					if (Z_REG(res_addr) != Z_REG(op1_def_addr)) {
			dasm_put(Dst, 10660, (Z_REG(res_addr)), (Z_REG(op1_def_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
						} else {
				if (Z_MODE(op1_def_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(op1_def_addr)) == 0) {
			dasm_put(Dst, 10664, (ZREG_X9));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr)))) == 0) {
			dasm_put(Dst, 10667, (ZREG_X9));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 10670, (ZREG_X9), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 10674, (ZREG_X9), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) & 0xffff) {
			dasm_put(Dst, 10678, (ZREG_X9), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 10682, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 10686, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 10690, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 10694, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 10698, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 10702, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 10706, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 10710, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 10714, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(op1_def_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_def_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_def_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 10718, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff)) {
			dasm_put(Dst, 10722, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 10726, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 10730, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 10734, (ZREG_X9), (Z_REG(op1_def_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 10739, (ZREG_X9), (Z_REG(op1_def_addr)), (Z_OFFSET(op1_def_addr)));
				}
				} else if (Z_MODE(op1_def_addr) == IS_REG) {
					if (ZREG_X9 != Z_REG(op1_def_addr)) {
			dasm_put(Dst, 10744, (ZREG_X9), (Z_REG(op1_def_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
				if (Z_MODE(res_addr) == IS_REG) {
			dasm_put(Dst, 10748, (Z_REG(res_addr)), (ZREG_X9));
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 10752, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 10756, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 10760, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 10764, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 10768, (ZREG_X9), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 10773, (ZREG_X9), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
						}
					} else if ((MAY_BE_LONG & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
						if (Z_MODE(op1_def_addr) == IS_REG) {
				if (Z_MODE(res_addr) == IS_REG) {
					if (Z_REG(op1_def_addr) != Z_REG(res_addr)) {
			dasm_put(Dst, 10778, (Z_REG(res_addr)-ZREG_V0), (Z_REG(op1_def_addr)-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 10782, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 10786, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 10790, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 10794, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 10798, (Z_REG(op1_def_addr)-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 10803, (Z_REG(op1_def_addr)-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
						} else if (Z_MODE(res_addr) == IS_REG) {
				if (Z_MODE(op1_def_addr) != IS_REG || Z_REG(res_addr) != Z_REG(op1_def_addr)) {
					if (Z_MODE(op1_def_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_def_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_def_addr)))) {
			dasm_put(Dst, 10808, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_def_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_def_addr)))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(op1_def_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_def_addr)))) {
			dasm_put(Dst, 10815, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_def_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_def_addr))))))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(op1_def_addr))) == 0) {
			dasm_put(Dst, 10823, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(op1_def_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 10826, (ZREG_X15), ((uint64_t)(Z_ZV(op1_def_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_def_addr)))) {
			dasm_put(Dst, 10830, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_def_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_def_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_def_addr)))) {
			dasm_put(Dst, 10834, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_def_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_def_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_def_addr))) & 0xfff) {
			dasm_put(Dst, 10838, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_def_addr)) & 0xffff) {
			dasm_put(Dst, 10843, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_def_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_def_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 10847, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 10851, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_def_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 10855, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 10859, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 10863, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 10867, (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(op1_def_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_def_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_def_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 10871, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff)) {
			dasm_put(Dst, 10875, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 10879, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 10883, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 10887, (Z_REG(res_addr)-ZREG_V0), (Z_REG(op1_def_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 10892, (Z_REG(res_addr)-ZREG_V0), (Z_REG(op1_def_addr)), (Z_OFFSET(op1_def_addr)));
				}
					} else if (Z_MODE(op1_def_addr) == IS_REG) {
			dasm_put(Dst, 10897, (Z_REG(res_addr)-ZREG_V0), (Z_REG(op1_def_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
						} else {
				if (Z_MODE(op1_def_addr) != IS_REG || ZREG_V0 != Z_REG(op1_def_addr)) {
					if (Z_MODE(op1_def_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_def_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_def_addr)))) {
			dasm_put(Dst, 10901, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_def_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_def_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(op1_def_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_def_addr)))) {
			dasm_put(Dst, 10908, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_def_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_def_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(op1_def_addr))) == 0) {
			dasm_put(Dst, 10916, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(op1_def_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 10919, (ZREG_X15), ((uint64_t)(Z_ZV(op1_def_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_def_addr)))) {
			dasm_put(Dst, 10923, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_def_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_def_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_def_addr)))) {
			dasm_put(Dst, 10927, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_def_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_def_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_def_addr))) & 0xfff) {
			dasm_put(Dst, 10931, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_def_addr)) & 0xffff) {
			dasm_put(Dst, 10936, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_def_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_def_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 10940, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 10944, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_def_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 10948, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 10952, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 10956, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 10960, (ZREG_V0-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(op1_def_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_def_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_def_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 10964, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff)) {
			dasm_put(Dst, 10968, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 10972, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 10976, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 10980, (ZREG_V0-ZREG_V0), (Z_REG(op1_def_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 10985, (ZREG_V0-ZREG_V0), (Z_REG(op1_def_addr)), (Z_OFFSET(op1_def_addr)));
				}
					} else if (Z_MODE(op1_def_addr) == IS_REG) {
			dasm_put(Dst, 10990, (ZREG_V0-ZREG_V0), (Z_REG(op1_def_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
				if (Z_MODE(res_addr) == IS_REG) {
					if (ZREG_V0 != Z_REG(res_addr)) {
			dasm_put(Dst, 10994, (Z_REG(res_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 10998, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 11002, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 11006, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 11010, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 11014, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 11019, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
						}
					// Combine the following two branches.
					// } else if (!(MAY_BE_LONG & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
					} else {
				ZEND_ASSERT(Z_MODE(op1_def_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_def_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_def_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 11024, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff)) {
			dasm_put(Dst, 11028, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 11032, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 11036, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 11040, (ZREG_X9), (Z_REG(op1_def_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 11045, (ZREG_X9), (Z_REG(op1_def_addr)), (Z_OFFSET(op1_def_addr)));
				}
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 11050, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 11054, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 11058, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 11062, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 11066, (ZREG_X9), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 11071, (ZREG_X9), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
					}
				}
				if ((MAY_BE_LONG & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
					!(MAY_BE_LONG & MAY_BE_GUARD) &&
					has_concrete_type(MAY_BE_LONG & MAY_BE_ANY)) {
					if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
						if ((res_use_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (MAY_BE_LONG & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD))) {
							uint32_t type = concrete_type(MAY_BE_LONG);
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(type)) <= MOVZ_IMM) {
			dasm_put(Dst, 11076, (ZREG_X15), ((uint32_t)(type)));
				} else if (((uint32_t)(type) & 0xffff)) {
			dasm_put(Dst, 11080, (ZREG_X15), ((uint32_t)(type) & 0xffff));
					if ((((uint32_t)(type) >> 16) & 0xffff)) {
			dasm_put(Dst, 11084, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 11088, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 11092, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 11096, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 11100, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 11104, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 11108, (ZREG_X15), (Z_REG(res_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 11113, (ZREG_X15), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
						}
					}
				} else {
				ZEND_ASSERT(Z_MODE(op1_def_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 11118, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 11122, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 11126, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 11130, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 11134, (ZREG_X8), (Z_REG(op1_def_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 11139, (ZREG_X8), (Z_REG(op1_def_addr)), (Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info)));
				}
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 11144, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 11148, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 11152, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 11156, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 11160, (ZREG_X8), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 11165, (ZREG_X8), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
				}
#line 3840 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|.cold_code
		dasm_put(Dst, 11170);
#line 3842 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|1:
		dasm_put(Dst, 11171);
#line 3843 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (opline->opcode == ZEND_PRE_INC || opline->opcode == ZEND_POST_INC) {
			uint64_t val = 0x43e0000000000000;
			if (Z_MODE(op1_def_addr) == IS_REG) {
				//|	LOAD_64BIT_VAL TMP1, val
					if (((uint64_t)(val)) == 0) {
				dasm_put(Dst, 11173);
					} else if (((uint64_t)(val)) <= MOVZ_IMM) {
				dasm_put(Dst, 11175, ((uint64_t)(val)));
					} else if (~((uint64_t)(val)) <= MOVZ_IMM) {
				dasm_put(Dst, 11178, (~((uint64_t)(val))));
					} else if ((uint64_t)(val) & 0xffff) {
				dasm_put(Dst, 11181, ((uint64_t)(val) & 0xffff));
						if (((uint64_t)(val) >> 16) & 0xffff) {
				dasm_put(Dst, 11184, (((uint64_t)(val) >> 16) & 0xffff));
						}
						if (((uint64_t)(val) >> 32) & 0xffff) {
				dasm_put(Dst, 11187, (((uint64_t)(val) >> 32) & 0xffff));
						}
						if ((((uint64_t)(val) >> 48) & 0xffff)) {
				dasm_put(Dst, 11190, (((uint64_t)(val) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(val) >> 16) & 0xffff) {
				dasm_put(Dst, 11193, (((uint64_t)(val) >> 16) & 0xffff));
						if (((uint64_t)(val) >> 32) & 0xffff) {
				dasm_put(Dst, 11196, (((uint64_t)(val) >> 32) & 0xffff));
						}
						if ((((uint64_t)(val) >> 48) & 0xffff)) {
				dasm_put(Dst, 11199, (((uint64_t)(val) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(val) >> 32) & 0xffff) {
				dasm_put(Dst, 11202, (((uint64_t)(val) >> 32) & 0xffff));
						if ((((uint64_t)(val) >> 48) & 0xffff)) {
				dasm_put(Dst, 11205, (((uint64_t)(val) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 11208, (((uint64_t)(val) >> 48) & 0xffff));
					}
#line 3847 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	fmov Rd(Z_REG(op1_def_addr)-ZREG_V0), TMP1
				dasm_put(Dst, 11211, (Z_REG(op1_def_addr)-ZREG_V0));
#line 3848 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	SET_ZVAL_LVAL op1_def_addr, val, TMP2, TMP1
					if (val == 0) {
					if (Z_MODE(op1_def_addr) == IS_REG) {
				dasm_put(Dst, 11214, (Z_REG(op1_def_addr)));
					} else {
						ZEND_ASSERT(Z_MODE(op1_def_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_def_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(op1_def_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 11217, ((uint32_t)(Z_OFFSET(op1_def_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff)) {
				dasm_put(Dst, 11220, ((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 11223, (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 11226, (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 11229, (Z_REG(op1_def_addr)));
					} else {
				dasm_put(Dst, 11232, (Z_REG(op1_def_addr)), (Z_OFFSET(op1_def_addr)));
					}
					}
					} else {
					if (((uint64_t)(val)) == 0) {
				dasm_put(Dst, 11236);
					} else if (((uint64_t)(val)) <= MOVZ_IMM) {
				dasm_put(Dst, 11238, ((uint64_t)(val)));
					} else if (~((uint64_t)(val)) <= MOVZ_IMM) {
				dasm_put(Dst, 11241, (~((uint64_t)(val))));
					} else if ((uint64_t)(val) & 0xffff) {
				dasm_put(Dst, 11244, ((uint64_t)(val) & 0xffff));
						if (((uint64_t)(val) >> 16) & 0xffff) {
				dasm_put(Dst, 11247, (((uint64_t)(val) >> 16) & 0xffff));
						}
						if (((uint64_t)(val) >> 32) & 0xffff) {
				dasm_put(Dst, 11250, (((uint64_t)(val) >> 32) & 0xffff));
						}
						if ((((uint64_t)(val) >> 48) & 0xffff)) {
				dasm_put(Dst, 11253, (((uint64_t)(val) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(val) >> 16) & 0xffff) {
				dasm_put(Dst, 11256, (((uint64_t)(val) >> 16) & 0xffff));
						if (((uint64_t)(val) >> 32) & 0xffff) {
				dasm_put(Dst, 11259, (((uint64_t)(val) >> 32) & 0xffff));
						}
						if ((((uint64_t)(val) >> 48) & 0xffff)) {
				dasm_put(Dst, 11262, (((uint64_t)(val) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(val) >> 32) & 0xffff) {
				dasm_put(Dst, 11265, (((uint64_t)(val) >> 32) & 0xffff));
						if ((((uint64_t)(val) >> 48) & 0xffff)) {
				dasm_put(Dst, 11268, (((uint64_t)(val) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 11271, (((uint64_t)(val) >> 48) & 0xffff));
					}
					if (Z_MODE(op1_def_addr) == IS_REG) {
				dasm_put(Dst, 11274, (Z_REG(op1_def_addr)));
					} else {
						ZEND_ASSERT(Z_MODE(op1_def_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_def_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(op1_def_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 11277, ((uint32_t)(Z_OFFSET(op1_def_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff)) {
				dasm_put(Dst, 11280, ((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 11283, (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 11286, (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 11289, (Z_REG(op1_def_addr)));
					} else {
				dasm_put(Dst, 11292, (Z_REG(op1_def_addr)), (Z_OFFSET(op1_def_addr)));
					}
					}
					}
#line 3850 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else {
			uint64_t val = 0xc3e0000000000000;
			if (Z_MODE(op1_def_addr) == IS_REG) {
				//|	LOAD_64BIT_VAL TMP1, val
					if (((uint64_t)(val)) == 0) {
				dasm_put(Dst, 11296);
					} else if (((uint64_t)(val)) <= MOVZ_IMM) {
				dasm_put(Dst, 11298, ((uint64_t)(val)));
					} else if (~((uint64_t)(val)) <= MOVZ_IMM) {
				dasm_put(Dst, 11301, (~((uint64_t)(val))));
					} else if ((uint64_t)(val) & 0xffff) {
				dasm_put(Dst, 11304, ((uint64_t)(val) & 0xffff));
						if (((uint64_t)(val) >> 16) & 0xffff) {
				dasm_put(Dst, 11307, (((uint64_t)(val) >> 16) & 0xffff));
						}
						if (((uint64_t)(val) >> 32) & 0xffff) {
				dasm_put(Dst, 11310, (((uint64_t)(val) >> 32) & 0xffff));
						}
						if ((((uint64_t)(val) >> 48) & 0xffff)) {
				dasm_put(Dst, 11313, (((uint64_t)(val) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(val) >> 16) & 0xffff) {
				dasm_put(Dst, 11316, (((uint64_t)(val) >> 16) & 0xffff));
						if (((uint64_t)(val) >> 32) & 0xffff) {
				dasm_put(Dst, 11319, (((uint64_t)(val) >> 32) & 0xffff));
						}
						if ((((uint64_t)(val) >> 48) & 0xffff)) {
				dasm_put(Dst, 11322, (((uint64_t)(val) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(val) >> 32) & 0xffff) {
				dasm_put(Dst, 11325, (((uint64_t)(val) >> 32) & 0xffff));
						if ((((uint64_t)(val) >> 48) & 0xffff)) {
				dasm_put(Dst, 11328, (((uint64_t)(val) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 11331, (((uint64_t)(val) >> 48) & 0xffff));
					}
#line 3855 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	fmov Rd(Z_REG(op1_def_addr)-ZREG_V0), TMP1
				dasm_put(Dst, 11334, (Z_REG(op1_def_addr)-ZREG_V0));
#line 3856 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	SET_ZVAL_LVAL op1_def_addr, val, TMP2, TMP1
					if (val == 0) {
					if (Z_MODE(op1_def_addr) == IS_REG) {
				dasm_put(Dst, 11337, (Z_REG(op1_def_addr)));
					} else {
						ZEND_ASSERT(Z_MODE(op1_def_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_def_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(op1_def_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 11340, ((uint32_t)(Z_OFFSET(op1_def_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff)) {
				dasm_put(Dst, 11343, ((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 11346, (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 11349, (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 11352, (Z_REG(op1_def_addr)));
					} else {
				dasm_put(Dst, 11355, (Z_REG(op1_def_addr)), (Z_OFFSET(op1_def_addr)));
					}
					}
					} else {
					if (((uint64_t)(val)) == 0) {
				dasm_put(Dst, 11359);
					} else if (((uint64_t)(val)) <= MOVZ_IMM) {
				dasm_put(Dst, 11361, ((uint64_t)(val)));
					} else if (~((uint64_t)(val)) <= MOVZ_IMM) {
				dasm_put(Dst, 11364, (~((uint64_t)(val))));
					} else if ((uint64_t)(val) & 0xffff) {
				dasm_put(Dst, 11367, ((uint64_t)(val) & 0xffff));
						if (((uint64_t)(val) >> 16) & 0xffff) {
				dasm_put(Dst, 11370, (((uint64_t)(val) >> 16) & 0xffff));
						}
						if (((uint64_t)(val) >> 32) & 0xffff) {
				dasm_put(Dst, 11373, (((uint64_t)(val) >> 32) & 0xffff));
						}
						if ((((uint64_t)(val) >> 48) & 0xffff)) {
				dasm_put(Dst, 11376, (((uint64_t)(val) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(val) >> 16) & 0xffff) {
				dasm_put(Dst, 11379, (((uint64_t)(val) >> 16) & 0xffff));
						if (((uint64_t)(val) >> 32) & 0xffff) {
				dasm_put(Dst, 11382, (((uint64_t)(val) >> 32) & 0xffff));
						}
						if ((((uint64_t)(val) >> 48) & 0xffff)) {
				dasm_put(Dst, 11385, (((uint64_t)(val) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(val) >> 32) & 0xffff) {
				dasm_put(Dst, 11388, (((uint64_t)(val) >> 32) & 0xffff));
						if ((((uint64_t)(val) >> 48) & 0xffff)) {
				dasm_put(Dst, 11391, (((uint64_t)(val) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 11394, (((uint64_t)(val) >> 48) & 0xffff));
					}
					if (Z_MODE(op1_def_addr) == IS_REG) {
				dasm_put(Dst, 11397, (Z_REG(op1_def_addr)));
					} else {
						ZEND_ASSERT(Z_MODE(op1_def_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_def_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(op1_def_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 11400, ((uint32_t)(Z_OFFSET(op1_def_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff)) {
				dasm_put(Dst, 11403, ((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 11406, (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 11409, (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 11412, (Z_REG(op1_def_addr)));
					} else {
				dasm_put(Dst, 11415, (Z_REG(op1_def_addr)), (Z_OFFSET(op1_def_addr)));
					}
					}
					}
#line 3858 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
		if (Z_MODE(op1_def_addr) == IS_MEM_ZVAL) {
			//|	SET_ZVAL_TYPE_INFO op1_def_addr, IS_DOUBLE, TMP1w, TMP2
				ZEND_ASSERT(Z_MODE(op1_def_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(IS_DOUBLE)) <= MOVZ_IMM) {
			dasm_put(Dst, 11419, ((uint32_t)(IS_DOUBLE)));
				} else if (((uint32_t)(IS_DOUBLE) & 0xffff)) {
			dasm_put(Dst, 11422, ((uint32_t)(IS_DOUBLE) & 0xffff));
					if ((((uint32_t)(IS_DOUBLE) >> 16) & 0xffff)) {
			dasm_put(Dst, 11425, (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 11428, (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 11431, ((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 11434, ((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 11437, (((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 11440, (((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 11443, (Z_REG(op1_def_addr)));
				} else {
			dasm_put(Dst, 11446, (Z_REG(op1_def_addr)), (Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info)));
				}
#line 3862 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if ((opline->opcode == ZEND_PRE_INC || opline->opcode == ZEND_PRE_DEC) &&
		    opline->result_type != IS_UNUSED) {
			//|	ZVAL_COPY_VALUE res_addr, res_use_info, op1_def_addr, MAY_BE_DOUBLE, ZREG_REG0, ZREG_REG1, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
				if (MAY_BE_DOUBLE & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
					if ((MAY_BE_DOUBLE & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
						if (Z_MODE(op1_def_addr) == IS_REG) {
							if (Z_MODE(res_addr) != IS_REG || Z_REG(res_addr) != Z_REG(op1_def_addr)) {
				if (Z_MODE(res_addr) == IS_REG) {
			dasm_put(Dst, 11450, (Z_REG(res_addr)), (Z_REG(op1_def_addr)));
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 11454, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 11458, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 11462, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 11466, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 11470, (Z_REG(op1_def_addr)), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 11475, (Z_REG(op1_def_addr)), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
							}
						} else if (Z_MODE(res_addr) == IS_REG) {
				if (Z_MODE(op1_def_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(op1_def_addr)) == 0) {
			dasm_put(Dst, 11480, (Z_REG(res_addr)));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr)))) == 0) {
			dasm_put(Dst, 11483, (Z_REG(res_addr)));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 11486, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 11490, (Z_REG(res_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) & 0xffff) {
			dasm_put(Dst, 11494, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 11498, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 11502, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 11506, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 11510, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 11514, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 11518, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 11522, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 11526, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 11530, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(op1_def_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_def_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_def_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 11534, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff)) {
			dasm_put(Dst, 11538, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 11542, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 11546, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 11550, (Z_REG(res_addr)), (Z_REG(op1_def_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 11555, (Z_REG(res_addr)), (Z_REG(op1_def_addr)), (Z_OFFSET(op1_def_addr)));
				}
				} else if (Z_MODE(op1_def_addr) == IS_REG) {
					if (Z_REG(res_addr) != Z_REG(op1_def_addr)) {
			dasm_put(Dst, 11560, (Z_REG(res_addr)), (Z_REG(op1_def_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
						} else {
				if (Z_MODE(op1_def_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(op1_def_addr)) == 0) {
			dasm_put(Dst, 11564, (ZREG_X9));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr)))) == 0) {
			dasm_put(Dst, 11567, (ZREG_X9));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 11570, (ZREG_X9), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 11574, (ZREG_X9), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) & 0xffff) {
			dasm_put(Dst, 11578, (ZREG_X9), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 11582, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 11586, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 11590, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 11594, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 11598, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 11602, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 11606, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 11610, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 11614, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(op1_def_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_def_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_def_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 11618, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff)) {
			dasm_put(Dst, 11622, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 11626, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 11630, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 11634, (ZREG_X9), (Z_REG(op1_def_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 11639, (ZREG_X9), (Z_REG(op1_def_addr)), (Z_OFFSET(op1_def_addr)));
				}
				} else if (Z_MODE(op1_def_addr) == IS_REG) {
					if (ZREG_X9 != Z_REG(op1_def_addr)) {
			dasm_put(Dst, 11644, (ZREG_X9), (Z_REG(op1_def_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
				if (Z_MODE(res_addr) == IS_REG) {
			dasm_put(Dst, 11648, (Z_REG(res_addr)), (ZREG_X9));
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 11652, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 11656, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 11660, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 11664, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 11668, (ZREG_X9), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 11673, (ZREG_X9), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
						}
					} else if ((MAY_BE_DOUBLE & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
						if (Z_MODE(op1_def_addr) == IS_REG) {
				if (Z_MODE(res_addr) == IS_REG) {
					if (Z_REG(op1_def_addr) != Z_REG(res_addr)) {
			dasm_put(Dst, 11678, (Z_REG(res_addr)-ZREG_V0), (Z_REG(op1_def_addr)-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 11682, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 11686, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 11690, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 11694, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 11698, (Z_REG(op1_def_addr)-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 11703, (Z_REG(op1_def_addr)-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
						} else if (Z_MODE(res_addr) == IS_REG) {
				if (Z_MODE(op1_def_addr) != IS_REG || Z_REG(res_addr) != Z_REG(op1_def_addr)) {
					if (Z_MODE(op1_def_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_def_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_def_addr)))) {
			dasm_put(Dst, 11708, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_def_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_def_addr)))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(op1_def_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_def_addr)))) {
			dasm_put(Dst, 11715, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_def_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_def_addr))))))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(op1_def_addr))) == 0) {
			dasm_put(Dst, 11723, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(op1_def_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 11726, (ZREG_X15), ((uint64_t)(Z_ZV(op1_def_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_def_addr)))) {
			dasm_put(Dst, 11730, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_def_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_def_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_def_addr)))) {
			dasm_put(Dst, 11734, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_def_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_def_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_def_addr))) & 0xfff) {
			dasm_put(Dst, 11738, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_def_addr)) & 0xffff) {
			dasm_put(Dst, 11743, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_def_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_def_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 11747, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 11751, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_def_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 11755, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 11759, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 11763, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 11767, (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(op1_def_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_def_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_def_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 11771, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff)) {
			dasm_put(Dst, 11775, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 11779, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 11783, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 11787, (Z_REG(res_addr)-ZREG_V0), (Z_REG(op1_def_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 11792, (Z_REG(res_addr)-ZREG_V0), (Z_REG(op1_def_addr)), (Z_OFFSET(op1_def_addr)));
				}
					} else if (Z_MODE(op1_def_addr) == IS_REG) {
			dasm_put(Dst, 11797, (Z_REG(res_addr)-ZREG_V0), (Z_REG(op1_def_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
						} else {
				if (Z_MODE(op1_def_addr) != IS_REG || ZREG_V0 != Z_REG(op1_def_addr)) {
					if (Z_MODE(op1_def_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_def_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_def_addr)))) {
			dasm_put(Dst, 11801, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_def_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_def_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(op1_def_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_def_addr)))) {
			dasm_put(Dst, 11808, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_def_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_def_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(op1_def_addr))) == 0) {
			dasm_put(Dst, 11816, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(op1_def_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 11819, (ZREG_X15), ((uint64_t)(Z_ZV(op1_def_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_def_addr)))) {
			dasm_put(Dst, 11823, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_def_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_def_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_def_addr)))) {
			dasm_put(Dst, 11827, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_def_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_def_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_def_addr))) & 0xfff) {
			dasm_put(Dst, 11831, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_def_addr)) & 0xffff) {
			dasm_put(Dst, 11836, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_def_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_def_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 11840, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 11844, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_def_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 11848, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 11852, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 11856, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 11860, (ZREG_V0-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(op1_def_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_def_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_def_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 11864, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff)) {
			dasm_put(Dst, 11868, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 11872, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 11876, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 11880, (ZREG_V0-ZREG_V0), (Z_REG(op1_def_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 11885, (ZREG_V0-ZREG_V0), (Z_REG(op1_def_addr)), (Z_OFFSET(op1_def_addr)));
				}
					} else if (Z_MODE(op1_def_addr) == IS_REG) {
			dasm_put(Dst, 11890, (ZREG_V0-ZREG_V0), (Z_REG(op1_def_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
				if (Z_MODE(res_addr) == IS_REG) {
					if (ZREG_V0 != Z_REG(res_addr)) {
			dasm_put(Dst, 11894, (Z_REG(res_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 11898, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 11902, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 11906, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 11910, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 11914, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 11919, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
						}
					// Combine the following two branches.
					// } else if (!(MAY_BE_DOUBLE & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
					} else {
				ZEND_ASSERT(Z_MODE(op1_def_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_def_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_def_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 11924, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff)) {
			dasm_put(Dst, 11928, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 11932, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 11936, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 11940, (ZREG_X9), (Z_REG(op1_def_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 11945, (ZREG_X9), (Z_REG(op1_def_addr)), (Z_OFFSET(op1_def_addr)));
				}
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 11950, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 11954, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 11958, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 11962, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 11966, (ZREG_X9), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 11971, (ZREG_X9), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
					}
				}
				if ((MAY_BE_DOUBLE & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
					!(MAY_BE_DOUBLE & MAY_BE_GUARD) &&
					has_concrete_type(MAY_BE_DOUBLE & MAY_BE_ANY)) {
					if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
						if ((res_use_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (MAY_BE_DOUBLE & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD))) {
							uint32_t type = concrete_type(MAY_BE_DOUBLE);
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(type)) <= MOVZ_IMM) {
			dasm_put(Dst, 11976, (ZREG_X15), ((uint32_t)(type)));
				} else if (((uint32_t)(type) & 0xffff)) {
			dasm_put(Dst, 11980, (ZREG_X15), ((uint32_t)(type) & 0xffff));
					if ((((uint32_t)(type) >> 16) & 0xffff)) {
			dasm_put(Dst, 11984, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 11988, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 11992, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 11996, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 12000, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 12004, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 12008, (ZREG_X15), (Z_REG(res_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 12013, (ZREG_X15), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
						}
					}
				} else {
				ZEND_ASSERT(Z_MODE(op1_def_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 12018, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 12022, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 12026, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 12030, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 12034, (ZREG_X8), (Z_REG(op1_def_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 12039, (ZREG_X8), (Z_REG(op1_def_addr)), (Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info)));
				}
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 12044, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 12048, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 12052, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 12056, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 12060, (ZREG_X8), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 12065, (ZREG_X8), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
				}
#line 3866 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	b >3
		//|.code
		dasm_put(Dst, 12070);
#line 3869 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		if ((opline->opcode == ZEND_PRE_INC || opline->opcode == ZEND_PRE_DEC) &&
		    opline->result_type != IS_UNUSED) {
			//|	ZVAL_COPY_VALUE res_addr, res_use_info, op1_def_addr, MAY_BE_LONG, ZREG_REG0, ZREG_REG1, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
				if (MAY_BE_LONG & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
					if ((MAY_BE_LONG & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
						if (Z_MODE(op1_def_addr) == IS_REG) {
							if (Z_MODE(res_addr) != IS_REG || Z_REG(res_addr) != Z_REG(op1_def_addr)) {
				if (Z_MODE(res_addr) == IS_REG) {
			dasm_put(Dst, 12073, (Z_REG(res_addr)), (Z_REG(op1_def_addr)));
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 12077, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 12081, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 12085, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 12089, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 12093, (Z_REG(op1_def_addr)), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 12098, (Z_REG(op1_def_addr)), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
							}
						} else if (Z_MODE(res_addr) == IS_REG) {
				if (Z_MODE(op1_def_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(op1_def_addr)) == 0) {
			dasm_put(Dst, 12103, (Z_REG(res_addr)));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr)))) == 0) {
			dasm_put(Dst, 12106, (Z_REG(res_addr)));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 12109, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 12113, (Z_REG(res_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) & 0xffff) {
			dasm_put(Dst, 12117, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 12121, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 12125, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 12129, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 12133, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 12137, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 12141, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 12145, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 12149, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 12153, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(op1_def_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_def_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_def_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 12157, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff)) {
			dasm_put(Dst, 12161, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 12165, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 12169, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 12173, (Z_REG(res_addr)), (Z_REG(op1_def_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 12178, (Z_REG(res_addr)), (Z_REG(op1_def_addr)), (Z_OFFSET(op1_def_addr)));
				}
				} else if (Z_MODE(op1_def_addr) == IS_REG) {
					if (Z_REG(res_addr) != Z_REG(op1_def_addr)) {
			dasm_put(Dst, 12183, (Z_REG(res_addr)), (Z_REG(op1_def_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
						} else {
				if (Z_MODE(op1_def_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(op1_def_addr)) == 0) {
			dasm_put(Dst, 12187, (ZREG_X9));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr)))) == 0) {
			dasm_put(Dst, 12190, (ZREG_X9));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 12193, (ZREG_X9), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 12197, (ZREG_X9), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) & 0xffff) {
			dasm_put(Dst, 12201, (ZREG_X9), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 12205, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 12209, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 12213, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 12217, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 12221, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 12225, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 12229, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 12233, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 12237, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(op1_def_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_def_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_def_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 12241, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff)) {
			dasm_put(Dst, 12245, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 12249, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 12253, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 12257, (ZREG_X9), (Z_REG(op1_def_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 12262, (ZREG_X9), (Z_REG(op1_def_addr)), (Z_OFFSET(op1_def_addr)));
				}
				} else if (Z_MODE(op1_def_addr) == IS_REG) {
					if (ZREG_X9 != Z_REG(op1_def_addr)) {
			dasm_put(Dst, 12267, (ZREG_X9), (Z_REG(op1_def_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
				if (Z_MODE(res_addr) == IS_REG) {
			dasm_put(Dst, 12271, (Z_REG(res_addr)), (ZREG_X9));
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 12275, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 12279, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 12283, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 12287, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 12291, (ZREG_X9), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 12296, (ZREG_X9), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
						}
					} else if ((MAY_BE_LONG & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
						if (Z_MODE(op1_def_addr) == IS_REG) {
				if (Z_MODE(res_addr) == IS_REG) {
					if (Z_REG(op1_def_addr) != Z_REG(res_addr)) {
			dasm_put(Dst, 12301, (Z_REG(res_addr)-ZREG_V0), (Z_REG(op1_def_addr)-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 12305, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 12309, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 12313, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 12317, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 12321, (Z_REG(op1_def_addr)-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 12326, (Z_REG(op1_def_addr)-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
						} else if (Z_MODE(res_addr) == IS_REG) {
				if (Z_MODE(op1_def_addr) != IS_REG || Z_REG(res_addr) != Z_REG(op1_def_addr)) {
					if (Z_MODE(op1_def_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_def_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_def_addr)))) {
			dasm_put(Dst, 12331, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_def_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_def_addr)))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(op1_def_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_def_addr)))) {
			dasm_put(Dst, 12338, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_def_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_def_addr))))))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(op1_def_addr))) == 0) {
			dasm_put(Dst, 12346, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(op1_def_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 12349, (ZREG_X15), ((uint64_t)(Z_ZV(op1_def_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_def_addr)))) {
			dasm_put(Dst, 12353, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_def_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_def_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_def_addr)))) {
			dasm_put(Dst, 12357, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_def_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_def_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_def_addr))) & 0xfff) {
			dasm_put(Dst, 12361, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_def_addr)) & 0xffff) {
			dasm_put(Dst, 12366, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_def_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_def_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 12370, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 12374, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_def_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 12378, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 12382, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 12386, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 12390, (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(op1_def_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_def_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_def_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 12394, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff)) {
			dasm_put(Dst, 12398, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 12402, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 12406, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 12410, (Z_REG(res_addr)-ZREG_V0), (Z_REG(op1_def_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 12415, (Z_REG(res_addr)-ZREG_V0), (Z_REG(op1_def_addr)), (Z_OFFSET(op1_def_addr)));
				}
					} else if (Z_MODE(op1_def_addr) == IS_REG) {
			dasm_put(Dst, 12420, (Z_REG(res_addr)-ZREG_V0), (Z_REG(op1_def_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
						} else {
				if (Z_MODE(op1_def_addr) != IS_REG || ZREG_V0 != Z_REG(op1_def_addr)) {
					if (Z_MODE(op1_def_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_def_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_def_addr)))) {
			dasm_put(Dst, 12424, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_def_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_def_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(op1_def_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_def_addr)))) {
			dasm_put(Dst, 12431, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_def_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_def_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(op1_def_addr))) == 0) {
			dasm_put(Dst, 12439, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(op1_def_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 12442, (ZREG_X15), ((uint64_t)(Z_ZV(op1_def_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_def_addr)))) {
			dasm_put(Dst, 12446, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_def_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_def_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_def_addr)))) {
			dasm_put(Dst, 12450, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_def_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_def_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_def_addr))) & 0xfff) {
			dasm_put(Dst, 12454, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_def_addr)) & 0xffff) {
			dasm_put(Dst, 12459, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_def_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_def_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 12463, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 12467, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_def_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 12471, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 12475, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 12479, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 12483, (ZREG_V0-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(op1_def_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_def_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_def_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 12487, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff)) {
			dasm_put(Dst, 12491, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 12495, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 12499, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 12503, (ZREG_V0-ZREG_V0), (Z_REG(op1_def_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 12508, (ZREG_V0-ZREG_V0), (Z_REG(op1_def_addr)), (Z_OFFSET(op1_def_addr)));
				}
					} else if (Z_MODE(op1_def_addr) == IS_REG) {
			dasm_put(Dst, 12513, (ZREG_V0-ZREG_V0), (Z_REG(op1_def_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
				if (Z_MODE(res_addr) == IS_REG) {
					if (ZREG_V0 != Z_REG(res_addr)) {
			dasm_put(Dst, 12517, (Z_REG(res_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 12521, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 12525, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 12529, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 12533, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 12537, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 12542, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
						}
					// Combine the following two branches.
					// } else if (!(MAY_BE_LONG & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
					} else {
				ZEND_ASSERT(Z_MODE(op1_def_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_def_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_def_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 12547, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff)) {
			dasm_put(Dst, 12551, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 12555, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 12559, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 12563, (ZREG_X9), (Z_REG(op1_def_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 12568, (ZREG_X9), (Z_REG(op1_def_addr)), (Z_OFFSET(op1_def_addr)));
				}
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 12573, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 12577, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 12581, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 12585, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 12589, (ZREG_X9), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 12594, (ZREG_X9), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
					}
				}
				if ((MAY_BE_LONG & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
					!(MAY_BE_LONG & MAY_BE_GUARD) &&
					has_concrete_type(MAY_BE_LONG & MAY_BE_ANY)) {
					if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
						if ((res_use_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (MAY_BE_LONG & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD))) {
							uint32_t type = concrete_type(MAY_BE_LONG);
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(type)) <= MOVZ_IMM) {
			dasm_put(Dst, 12599, (ZREG_X15), ((uint32_t)(type)));
				} else if (((uint32_t)(type) & 0xffff)) {
			dasm_put(Dst, 12603, (ZREG_X15), ((uint32_t)(type) & 0xffff));
					if ((((uint32_t)(type) >> 16) & 0xffff)) {
			dasm_put(Dst, 12607, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 12611, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 12615, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 12619, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 12623, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 12627, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 12631, (ZREG_X15), (Z_REG(res_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 12636, (ZREG_X15), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
						}
					}
				} else {
				ZEND_ASSERT(Z_MODE(op1_def_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 12641, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 12645, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 12649, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 12653, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 12657, (ZREG_X8), (Z_REG(op1_def_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 12662, (ZREG_X8), (Z_REG(op1_def_addr)), (Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info)));
				}
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 12667, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 12671, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 12675, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 12679, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 12683, (ZREG_X8), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 12688, (ZREG_X8), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
				}
#line 3873 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}
	if (op1_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-MAY_BE_LONG)) {
		//|.cold_code
		dasm_put(Dst, 12693);
#line 3877 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|2:
		dasm_put(Dst, 12694);
#line 3878 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (op1_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-(MAY_BE_LONG|MAY_BE_DOUBLE))) {
			//|	SET_EX_OPLINE opline, REG0
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 12696, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 12699);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 12701, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 12704, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 12707, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 12710, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 12713, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 12716, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 12719, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 12722, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 12725, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 12728, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 12731, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
#line 3880 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (op1_info & MAY_BE_UNDEF) {
				//|	IF_NOT_ZVAL_TYPE op1_addr, IS_UNDEF, >2, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 12734, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 12738, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 12742, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 12746, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 12750, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 12755, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_UNDEF == 0) {
				dasm_put(Dst, 12760, (ZREG_X15));
					} else {
				dasm_put(Dst, 12764, (ZREG_X15), IS_UNDEF);
					}
#line 3882 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	// zend_error(E_WARNING, "Undefined variable $%s", ZSTR_VAL(CV_DEF_OF(EX_VAR_TO_NUM(opline->op1.var))));
				//|	LOAD_32BIT_VAL FCARG1w, opline->op1.var
					if (((uint32_t)(opline->op1.var)) <= MOVZ_IMM) {
				dasm_put(Dst, 12770, ((uint32_t)(opline->op1.var)));
					} else if (((uint32_t)(opline->op1.var) & 0xffff)) {
				dasm_put(Dst, 12773, ((uint32_t)(opline->op1.var) & 0xffff));
						if ((((uint32_t)(opline->op1.var) >> 16) & 0xffff)) {
				dasm_put(Dst, 12776, (((uint32_t)(opline->op1.var) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 12779, (((uint32_t)(opline->op1.var) >> 16) & 0xffff));
					}
#line 3884 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	EXT_CALL zend_jit_undefined_op_helper, REG0
					if (arm64_may_use_b(zend_jit_undefined_op_helper)) {
				dasm_put(Dst, 12782, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
					} else {
					if (((uintptr_t)(zend_jit_undefined_op_helper)) == 0) {
				dasm_put(Dst, 12785);
					} else if (((uintptr_t)(zend_jit_undefined_op_helper)) <= MOVZ_IMM) {
				dasm_put(Dst, 12787, ((uint64_t)(zend_jit_undefined_op_helper)));
					} else if (arm64_may_use_adr((void*)(zend_jit_undefined_op_helper))) {
				dasm_put(Dst, 12790, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_undefined_op_helper))) {
				dasm_put(Dst, 12793, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper)))))>>32));
						if (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff) {
				dasm_put(Dst, 12796, (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff) {
				dasm_put(Dst, 12799, ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff));
						if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 12802, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 12805, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 12808, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 12811, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 12814, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
					}
				dasm_put(Dst, 12817);
					}
#line 3885 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	SET_ZVAL_TYPE_INFO op1_addr, IS_NULL, TMP1w, TMP2
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uint32_t)(IS_NULL)) <= MOVZ_IMM) {
				dasm_put(Dst, 12819, ((uint32_t)(IS_NULL)));
					} else if (((uint32_t)(IS_NULL) & 0xffff)) {
				dasm_put(Dst, 12822, ((uint32_t)(IS_NULL) & 0xffff));
						if ((((uint32_t)(IS_NULL) >> 16) & 0xffff)) {
				dasm_put(Dst, 12825, (((uint32_t)(IS_NULL) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 12828, (((uint32_t)(IS_NULL) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 12831, ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 12834, ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 12837, (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 12840, (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 12843, (Z_REG(op1_addr)));
					} else {
				dasm_put(Dst, 12846, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)));
					}
#line 3886 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				op1_info |= MAY_BE_NULL;
			}
			//|2:
			//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
			dasm_put(Dst, 12850);
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
			dasm_put(Dst, 12852);
				} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 12854, ((uint64_t)(Z_ZV(op1_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 12857, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 12860, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
			dasm_put(Dst, 12863, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
			dasm_put(Dst, 12866, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 12869, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 12872, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 12875, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 12878, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 12881, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(op1_addr)) {
				if (Z_OFFSET(op1_addr) == 0) {
			dasm_put(Dst, 12884, (Z_REG(op1_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
			dasm_put(Dst, 12887, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 12891, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 12894, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 12897, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 12900, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 12903, (Z_REG(op1_addr)));
				}
					} else {
						if (Z_REG(op1_addr) == ZREG_RSP) {
			dasm_put(Dst, 12906);
						} else {
			dasm_put(Dst, 12908, (Z_REG(op1_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 3890 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

			//|	// ZVAL_DEREF(var_ptr);
			if (op1_info & MAY_BE_REF) {
				//|	IF_NOT_Z_TYPE, FCARG1x, IS_REFERENCE, >2, TMP1w
				dasm_put(Dst, 12911, offsetof(zval, u1.v.type));
					if (IS_REFERENCE == 0) {
				dasm_put(Dst, 12914);
					} else {
				dasm_put(Dst, 12917, IS_REFERENCE);
					}
#line 3894 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	GET_Z_PTR FCARG1x, FCARG1x
				//|	ldr TMP1, [FCARG1x, #offsetof(zend_reference, sources.ptr)]
				//|	cbz TMP1, >1
				dasm_put(Dst, 12922, offsetof(zend_reference, sources.ptr));
#line 3897 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				if (RETURN_VALUE_USED(opline)) {
					//|	LOAD_ZVAL_ADDR FCARG2x, res_addr
						if (Z_MODE(res_addr) == IS_CONST_ZVAL) {
						if (((uintptr_t)(Z_ZV(res_addr))) == 0) {
					dasm_put(Dst, 12928);
						} else if (((uintptr_t)(Z_ZV(res_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 12930, ((uint64_t)(Z_ZV(res_addr))));
						} else if (arm64_may_use_adr((void*)(Z_ZV(res_addr)))) {
					dasm_put(Dst, 12933, (unsigned int)((ptrdiff_t)(Z_ZV(res_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(res_addr)))>>32));
						} else if (arm64_may_use_adrp((void*)(Z_ZV(res_addr)))) {
					dasm_put(Dst, 12936, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr))))))>>32));
							if (((uintptr_t)(Z_ZV(res_addr))) & 0xfff) {
					dasm_put(Dst, 12939, (((uintptr_t)(Z_ZV(res_addr))) & 0xfff));
							}
						} else if ((uintptr_t)(Z_ZV(res_addr)) & 0xffff) {
					dasm_put(Dst, 12942, ((uintptr_t)(Z_ZV(res_addr)) & 0xffff));
							if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 12945, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 12948, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 12951, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
							if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 12954, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 12957, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
						} else if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
							if (Z_OFFSET(res_addr)) {
						if (Z_OFFSET(res_addr) == 0) {
					dasm_put(Dst, 12960, (Z_REG(res_addr)));
						} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(res_addr)))) {
					dasm_put(Dst, 12963, (Z_REG(res_addr)), Z_OFFSET(res_addr));
						} else {
						if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 12967, ((uint32_t)(Z_OFFSET(res_addr))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
					dasm_put(Dst, 12970, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 12973, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 12976, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 12979, (Z_REG(res_addr)));
						}
							} else {
								if (Z_REG(res_addr) == ZREG_RSP) {
					dasm_put(Dst, 12982);
								} else {
					dasm_put(Dst, 12984, (Z_REG(res_addr)));
								}
							}
						} else {
							ZEND_UNREACHABLE();
						}
#line 3899 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	mov FCARG2x, xzr
					dasm_put(Dst, 12987);
#line 3901 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				if (opline->opcode == ZEND_PRE_INC) {
					//|	EXT_CALL zend_jit_pre_inc_typed_ref, REG0
						if (arm64_may_use_b(zend_jit_pre_inc_typed_ref)) {
					dasm_put(Dst, 12989, (unsigned int)((ptrdiff_t)(zend_jit_pre_inc_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_pre_inc_typed_ref))>>32));
						} else {
						if (((uintptr_t)(zend_jit_pre_inc_typed_ref)) == 0) {
					dasm_put(Dst, 12992);
						} else if (((uintptr_t)(zend_jit_pre_inc_typed_ref)) <= MOVZ_IMM) {
					dasm_put(Dst, 12994, ((uint64_t)(zend_jit_pre_inc_typed_ref)));
						} else if (arm64_may_use_adr((void*)(zend_jit_pre_inc_typed_ref))) {
					dasm_put(Dst, 12997, (unsigned int)((ptrdiff_t)(zend_jit_pre_inc_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_pre_inc_typed_ref))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_jit_pre_inc_typed_ref))) {
					dasm_put(Dst, 13000, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_pre_inc_typed_ref))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_pre_inc_typed_ref)))))>>32));
							if (((uintptr_t)(zend_jit_pre_inc_typed_ref)) & 0xfff) {
					dasm_put(Dst, 13003, (((uintptr_t)(zend_jit_pre_inc_typed_ref)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_jit_pre_inc_typed_ref) & 0xffff) {
					dasm_put(Dst, 13006, ((uintptr_t)(zend_jit_pre_inc_typed_ref) & 0xffff));
							if (((uintptr_t)(zend_jit_pre_inc_typed_ref) >> 16) & 0xffff) {
					dasm_put(Dst, 13009, (((uintptr_t)(zend_jit_pre_inc_typed_ref) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_jit_pre_inc_typed_ref) >> 32) & 0xffff) {
					dasm_put(Dst, 13012, (((uintptr_t)(zend_jit_pre_inc_typed_ref) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_jit_pre_inc_typed_ref) >> 16) & 0xffff) {
					dasm_put(Dst, 13015, (((uintptr_t)(zend_jit_pre_inc_typed_ref) >> 16) & 0xffff));
							if (((uintptr_t)(zend_jit_pre_inc_typed_ref) >> 32) & 0xffff) {
					dasm_put(Dst, 13018, (((uintptr_t)(zend_jit_pre_inc_typed_ref) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 13021, (((uintptr_t)(zend_jit_pre_inc_typed_ref) >> 32) & 0xffff));
						}
					dasm_put(Dst, 13024);
						}
#line 3904 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else if (opline->opcode == ZEND_PRE_DEC) {
					//|	EXT_CALL zend_jit_pre_dec_typed_ref, REG0
						if (arm64_may_use_b(zend_jit_pre_dec_typed_ref)) {
					dasm_put(Dst, 13026, (unsigned int)((ptrdiff_t)(zend_jit_pre_dec_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_pre_dec_typed_ref))>>32));
						} else {
						if (((uintptr_t)(zend_jit_pre_dec_typed_ref)) == 0) {
					dasm_put(Dst, 13029);
						} else if (((uintptr_t)(zend_jit_pre_dec_typed_ref)) <= MOVZ_IMM) {
					dasm_put(Dst, 13031, ((uint64_t)(zend_jit_pre_dec_typed_ref)));
						} else if (arm64_may_use_adr((void*)(zend_jit_pre_dec_typed_ref))) {
					dasm_put(Dst, 13034, (unsigned int)((ptrdiff_t)(zend_jit_pre_dec_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_pre_dec_typed_ref))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_jit_pre_dec_typed_ref))) {
					dasm_put(Dst, 13037, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_pre_dec_typed_ref))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_pre_dec_typed_ref)))))>>32));
							if (((uintptr_t)(zend_jit_pre_dec_typed_ref)) & 0xfff) {
					dasm_put(Dst, 13040, (((uintptr_t)(zend_jit_pre_dec_typed_ref)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_jit_pre_dec_typed_ref) & 0xffff) {
					dasm_put(Dst, 13043, ((uintptr_t)(zend_jit_pre_dec_typed_ref) & 0xffff));
							if (((uintptr_t)(zend_jit_pre_dec_typed_ref) >> 16) & 0xffff) {
					dasm_put(Dst, 13046, (((uintptr_t)(zend_jit_pre_dec_typed_ref) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_jit_pre_dec_typed_ref) >> 32) & 0xffff) {
					dasm_put(Dst, 13049, (((uintptr_t)(zend_jit_pre_dec_typed_ref) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_jit_pre_dec_typed_ref) >> 16) & 0xffff) {
					dasm_put(Dst, 13052, (((uintptr_t)(zend_jit_pre_dec_typed_ref) >> 16) & 0xffff));
							if (((uintptr_t)(zend_jit_pre_dec_typed_ref) >> 32) & 0xffff) {
					dasm_put(Dst, 13055, (((uintptr_t)(zend_jit_pre_dec_typed_ref) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 13058, (((uintptr_t)(zend_jit_pre_dec_typed_ref) >> 32) & 0xffff));
						}
					dasm_put(Dst, 13061);
						}
#line 3906 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else if (opline->opcode == ZEND_POST_INC) {
					//|	EXT_CALL zend_jit_post_inc_typed_ref, REG0
						if (arm64_may_use_b(zend_jit_post_inc_typed_ref)) {
					dasm_put(Dst, 13063, (unsigned int)((ptrdiff_t)(zend_jit_post_inc_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_post_inc_typed_ref))>>32));
						} else {
						if (((uintptr_t)(zend_jit_post_inc_typed_ref)) == 0) {
					dasm_put(Dst, 13066);
						} else if (((uintptr_t)(zend_jit_post_inc_typed_ref)) <= MOVZ_IMM) {
					dasm_put(Dst, 13068, ((uint64_t)(zend_jit_post_inc_typed_ref)));
						} else if (arm64_may_use_adr((void*)(zend_jit_post_inc_typed_ref))) {
					dasm_put(Dst, 13071, (unsigned int)((ptrdiff_t)(zend_jit_post_inc_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_post_inc_typed_ref))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_jit_post_inc_typed_ref))) {
					dasm_put(Dst, 13074, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_post_inc_typed_ref))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_post_inc_typed_ref)))))>>32));
							if (((uintptr_t)(zend_jit_post_inc_typed_ref)) & 0xfff) {
					dasm_put(Dst, 13077, (((uintptr_t)(zend_jit_post_inc_typed_ref)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_jit_post_inc_typed_ref) & 0xffff) {
					dasm_put(Dst, 13080, ((uintptr_t)(zend_jit_post_inc_typed_ref) & 0xffff));
							if (((uintptr_t)(zend_jit_post_inc_typed_ref) >> 16) & 0xffff) {
					dasm_put(Dst, 13083, (((uintptr_t)(zend_jit_post_inc_typed_ref) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_jit_post_inc_typed_ref) >> 32) & 0xffff) {
					dasm_put(Dst, 13086, (((uintptr_t)(zend_jit_post_inc_typed_ref) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_jit_post_inc_typed_ref) >> 16) & 0xffff) {
					dasm_put(Dst, 13089, (((uintptr_t)(zend_jit_post_inc_typed_ref) >> 16) & 0xffff));
							if (((uintptr_t)(zend_jit_post_inc_typed_ref) >> 32) & 0xffff) {
					dasm_put(Dst, 13092, (((uintptr_t)(zend_jit_post_inc_typed_ref) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 13095, (((uintptr_t)(zend_jit_post_inc_typed_ref) >> 32) & 0xffff));
						}
					dasm_put(Dst, 13098);
						}
#line 3908 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else if (opline->opcode == ZEND_POST_DEC) {
					//|	EXT_CALL zend_jit_post_dec_typed_ref, REG0
						if (arm64_may_use_b(zend_jit_post_dec_typed_ref)) {
					dasm_put(Dst, 13100, (unsigned int)((ptrdiff_t)(zend_jit_post_dec_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_post_dec_typed_ref))>>32));
						} else {
						if (((uintptr_t)(zend_jit_post_dec_typed_ref)) == 0) {
					dasm_put(Dst, 13103);
						} else if (((uintptr_t)(zend_jit_post_dec_typed_ref)) <= MOVZ_IMM) {
					dasm_put(Dst, 13105, ((uint64_t)(zend_jit_post_dec_typed_ref)));
						} else if (arm64_may_use_adr((void*)(zend_jit_post_dec_typed_ref))) {
					dasm_put(Dst, 13108, (unsigned int)((ptrdiff_t)(zend_jit_post_dec_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_post_dec_typed_ref))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_jit_post_dec_typed_ref))) {
					dasm_put(Dst, 13111, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_post_dec_typed_ref))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_post_dec_typed_ref)))))>>32));
							if (((uintptr_t)(zend_jit_post_dec_typed_ref)) & 0xfff) {
					dasm_put(Dst, 13114, (((uintptr_t)(zend_jit_post_dec_typed_ref)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_jit_post_dec_typed_ref) & 0xffff) {
					dasm_put(Dst, 13117, ((uintptr_t)(zend_jit_post_dec_typed_ref) & 0xffff));
							if (((uintptr_t)(zend_jit_post_dec_typed_ref) >> 16) & 0xffff) {
					dasm_put(Dst, 13120, (((uintptr_t)(zend_jit_post_dec_typed_ref) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_jit_post_dec_typed_ref) >> 32) & 0xffff) {
					dasm_put(Dst, 13123, (((uintptr_t)(zend_jit_post_dec_typed_ref) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_jit_post_dec_typed_ref) >> 16) & 0xffff) {
					dasm_put(Dst, 13126, (((uintptr_t)(zend_jit_post_dec_typed_ref) >> 16) & 0xffff));
							if (((uintptr_t)(zend_jit_post_dec_typed_ref) >> 32) & 0xffff) {
					dasm_put(Dst, 13129, (((uintptr_t)(zend_jit_post_dec_typed_ref) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 13132, (((uintptr_t)(zend_jit_post_dec_typed_ref) >> 32) & 0xffff));
						}
					dasm_put(Dst, 13135);
						}
#line 3910 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					ZEND_UNREACHABLE();
				}
				zend_jit_check_exception(Dst);
				//|	b >3
				//|1:
				//|	add FCARG1x, FCARG1x, #offsetof(zend_reference, val)
				//|2:
				dasm_put(Dst, 13137, offsetof(zend_reference, val));
#line 3918 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}

			if (opline->opcode == ZEND_POST_INC || opline->opcode == ZEND_POST_DEC) {
				zend_jit_addr val_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, 0);

				//|	ZVAL_COPY_VALUE res_addr, res_use_info, val_addr, op1_info, ZREG_REG0, ZREG_REG2, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
					if (op1_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
						if ((op1_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
							if (Z_MODE(val_addr) == IS_REG) {
								if (Z_MODE(res_addr) != IS_REG || Z_REG(res_addr) != Z_REG(val_addr)) {
					if (Z_MODE(res_addr) == IS_REG) {
				dasm_put(Dst, 13144, (Z_REG(res_addr)), (Z_REG(val_addr)));
					} else {
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 13148, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 13152, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 13156, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 13160, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 13164, (Z_REG(val_addr)), (Z_REG(res_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 13169, (Z_REG(val_addr)), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
					}
					}
								}
							} else if (Z_MODE(res_addr) == IS_REG) {
					if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
						if (Z_LVAL_P(Z_ZV(val_addr)) == 0) {
				dasm_put(Dst, 13174, (Z_REG(res_addr)));
						} else {
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) == 0) {
				dasm_put(Dst, 13177, (Z_REG(res_addr)));
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 13180, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))));
					} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 13184, (Z_REG(res_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))))));
					} else if ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff) {
				dasm_put(Dst, 13188, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 13192, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
						}
						if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 13196, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 13200, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 13204, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 13208, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 13212, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 13216, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 13220, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 13224, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
						}
					} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 13228, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
					} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
				dasm_put(Dst, 13232, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 13236, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 13240, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 13244, (Z_REG(res_addr)), (Z_REG(val_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 13249, (Z_REG(res_addr)), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
					}
					} else if (Z_MODE(val_addr) == IS_REG) {
						if (Z_REG(res_addr) != Z_REG(val_addr)) {
				dasm_put(Dst, 13254, (Z_REG(res_addr)), (Z_REG(val_addr)));
						}
					} else {
						ZEND_UNREACHABLE();
					}
							} else {
					if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
						if (Z_LVAL_P(Z_ZV(val_addr)) == 0) {
				dasm_put(Dst, 13258, (ZREG_X10));
						} else {
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) == 0) {
				dasm_put(Dst, 13261, (ZREG_X10));
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 13264, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))));
					} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 13268, (ZREG_X10), (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))))));
					} else if ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff) {
				dasm_put(Dst, 13272, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 13276, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
						}
						if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 13280, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 13284, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 13288, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 13292, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 13296, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 13300, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 13304, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 13308, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
						}
					} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 13312, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
					} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
				dasm_put(Dst, 13316, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 13320, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 13324, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 13328, (ZREG_X10), (Z_REG(val_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 13333, (ZREG_X10), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
					}
					} else if (Z_MODE(val_addr) == IS_REG) {
						if (ZREG_X10 != Z_REG(val_addr)) {
				dasm_put(Dst, 13338, (ZREG_X10), (Z_REG(val_addr)));
						}
					} else {
						ZEND_UNREACHABLE();
					}
					if (Z_MODE(res_addr) == IS_REG) {
				dasm_put(Dst, 13342, (Z_REG(res_addr)), (ZREG_X10));
					} else {
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 13346, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 13350, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 13354, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 13358, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 13362, (ZREG_X10), (Z_REG(res_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 13367, (ZREG_X10), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
					}
					}
							}
						} else if ((op1_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
							if (Z_MODE(val_addr) == IS_REG) {
					if (Z_MODE(res_addr) == IS_REG) {
						if (Z_REG(val_addr) != Z_REG(res_addr)) {
				dasm_put(Dst, 13372, (Z_REG(res_addr)-ZREG_V0), (Z_REG(val_addr)-ZREG_V0));
						}
					} else {
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 13376, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 13380, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 13384, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 13388, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 13392, (Z_REG(val_addr)-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 13397, (Z_REG(val_addr)-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
					}
					}
							} else if (Z_MODE(res_addr) == IS_REG) {
					if (Z_MODE(val_addr) != IS_REG || Z_REG(res_addr) != Z_REG(val_addr)) {
						if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
				dasm_put(Dst, 13402, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
					} else if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
				dasm_put(Dst, 13409, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
					} else {
					if (((uintptr_t)(Z_ZV(val_addr))) == 0) {
				dasm_put(Dst, 13417, (ZREG_X15));
					} else if (((uintptr_t)(Z_ZV(val_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 13420, (ZREG_X15), ((uint64_t)(Z_ZV(val_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
				dasm_put(Dst, 13424, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
				dasm_put(Dst, 13428, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(val_addr))) & 0xfff) {
				dasm_put(Dst, 13432, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(val_addr)) & 0xffff) {
				dasm_put(Dst, 13437, (ZREG_X15), ((uintptr_t)(Z_ZV(val_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 13441, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 13445, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 13449, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 13453, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 13457, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				dasm_put(Dst, 13461, (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
					}
						} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 13465, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
					} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
				dasm_put(Dst, 13469, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 13473, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 13477, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 13481, (Z_REG(res_addr)-ZREG_V0), (Z_REG(val_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 13486, (Z_REG(res_addr)-ZREG_V0), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
					}
						} else if (Z_MODE(val_addr) == IS_REG) {
				dasm_put(Dst, 13491, (Z_REG(res_addr)-ZREG_V0), (Z_REG(val_addr)-ZREG_V0));
						} else {
							ZEND_UNREACHABLE();
						}
					}
							} else {
					if (Z_MODE(val_addr) != IS_REG || ZREG_V0 != Z_REG(val_addr)) {
						if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
				dasm_put(Dst, 13495, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
					} else if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
				dasm_put(Dst, 13502, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
					} else {
					if (((uintptr_t)(Z_ZV(val_addr))) == 0) {
				dasm_put(Dst, 13510, (ZREG_X15));
					} else if (((uintptr_t)(Z_ZV(val_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 13513, (ZREG_X15), ((uint64_t)(Z_ZV(val_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
				dasm_put(Dst, 13517, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
				dasm_put(Dst, 13521, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(val_addr))) & 0xfff) {
				dasm_put(Dst, 13525, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(val_addr)) & 0xffff) {
				dasm_put(Dst, 13530, (ZREG_X15), ((uintptr_t)(Z_ZV(val_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 13534, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 13538, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 13542, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 13546, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 13550, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				dasm_put(Dst, 13554, (ZREG_V0-ZREG_V0), (ZREG_X15));
					}
						} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 13558, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
					} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
				dasm_put(Dst, 13562, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 13566, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 13570, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 13574, (ZREG_V0-ZREG_V0), (Z_REG(val_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 13579, (ZREG_V0-ZREG_V0), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
					}
						} else if (Z_MODE(val_addr) == IS_REG) {
				dasm_put(Dst, 13584, (ZREG_V0-ZREG_V0), (Z_REG(val_addr)-ZREG_V0));
						} else {
							ZEND_UNREACHABLE();
						}
					}
					if (Z_MODE(res_addr) == IS_REG) {
						if (ZREG_V0 != Z_REG(res_addr)) {
				dasm_put(Dst, 13588, (Z_REG(res_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
						}
					} else {
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 13592, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 13596, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 13600, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 13604, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 13608, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 13613, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
					}
					}
							}
						// Combine the following two branches.
						// } else if (!(op1_info & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
						} else {
					ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 13618, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
					} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
				dasm_put(Dst, 13622, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 13626, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 13630, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 13634, (ZREG_X10), (Z_REG(val_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 13639, (ZREG_X10), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
					}
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 13644, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 13648, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 13652, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 13656, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 13660, (ZREG_X10), (Z_REG(res_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 13665, (ZREG_X10), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
					}
						}
					}
					if ((op1_info & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
						!(op1_info & MAY_BE_GUARD) &&
						has_concrete_type(op1_info & MAY_BE_ANY)) {
						if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
							if ((res_use_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (op1_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD))) {
								uint32_t type = concrete_type(op1_info);
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uint32_t)(type)) <= MOVZ_IMM) {
				dasm_put(Dst, 13670, (ZREG_X15), ((uint32_t)(type)));
					} else if (((uint32_t)(type) & 0xffff)) {
				dasm_put(Dst, 13674, (ZREG_X15), ((uint32_t)(type) & 0xffff));
						if ((((uint32_t)(type) >> 16) & 0xffff)) {
				dasm_put(Dst, 13678, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 13682, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 13686, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 13690, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 13694, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 13698, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 13702, (ZREG_X15), (Z_REG(res_addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 13707, (ZREG_X15), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
					}
							}
						}
					} else {
					ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 13712, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 13716, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 13720, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 13724, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 13728, (ZREG_X8), (Z_REG(val_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 13733, (ZREG_X8), (Z_REG(val_addr)), (Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)));
					}
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 13738, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 13742, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 13746, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 13750, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 13754, (ZREG_X8), (Z_REG(res_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 13759, (ZREG_X8), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
					}
					}
#line 3924 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	TRY_ADDREF op1_info, REG0w, REG2, TMP1w
					if (op1_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) {
						if (op1_info & (MAY_BE_ANY-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if ((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT) == 0) {
				dasm_put(Dst, 13764);
					} else if (logical_immediate_p((uint32_t)(IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT), 32)) {
				dasm_put(Dst, 13766, (IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT));
					} else {
					if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))) <= MOVZ_IMM) {
				dasm_put(Dst, 13769, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))));
					} else if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff)) {
				dasm_put(Dst, 13772, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff));
						if ((((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff)) {
				dasm_put(Dst, 13775, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 13778, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 13781);
					}
				dasm_put(Dst, 13783);
						}
				dasm_put(Dst, 13786);
					}
#line 3925 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if (opline->opcode == ZEND_PRE_INC || opline->opcode == ZEND_POST_INC) {
				if (opline->opcode == ZEND_PRE_INC && opline->result_type != IS_UNUSED) {
					//|	LOAD_ZVAL_ADDR FCARG2x, res_addr
						if (Z_MODE(res_addr) == IS_CONST_ZVAL) {
						if (((uintptr_t)(Z_ZV(res_addr))) == 0) {
					dasm_put(Dst, 13791);
						} else if (((uintptr_t)(Z_ZV(res_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 13793, ((uint64_t)(Z_ZV(res_addr))));
						} else if (arm64_may_use_adr((void*)(Z_ZV(res_addr)))) {
					dasm_put(Dst, 13796, (unsigned int)((ptrdiff_t)(Z_ZV(res_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(res_addr)))>>32));
						} else if (arm64_may_use_adrp((void*)(Z_ZV(res_addr)))) {
					dasm_put(Dst, 13799, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr))))))>>32));
							if (((uintptr_t)(Z_ZV(res_addr))) & 0xfff) {
					dasm_put(Dst, 13802, (((uintptr_t)(Z_ZV(res_addr))) & 0xfff));
							}
						} else if ((uintptr_t)(Z_ZV(res_addr)) & 0xffff) {
					dasm_put(Dst, 13805, ((uintptr_t)(Z_ZV(res_addr)) & 0xffff));
							if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 13808, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 13811, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 13814, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
							if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 13817, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 13820, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
						} else if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
							if (Z_OFFSET(res_addr)) {
						if (Z_OFFSET(res_addr) == 0) {
					dasm_put(Dst, 13823, (Z_REG(res_addr)));
						} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(res_addr)))) {
					dasm_put(Dst, 13826, (Z_REG(res_addr)), Z_OFFSET(res_addr));
						} else {
						if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 13830, ((uint32_t)(Z_OFFSET(res_addr))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
					dasm_put(Dst, 13833, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 13836, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 13839, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 13842, (Z_REG(res_addr)));
						}
							} else {
								if (Z_REG(res_addr) == ZREG_RSP) {
					dasm_put(Dst, 13845);
								} else {
					dasm_put(Dst, 13847, (Z_REG(res_addr)));
								}
							}
						} else {
							ZEND_UNREACHABLE();
						}
#line 3929 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	EXT_CALL zend_jit_pre_inc, REG0
						if (arm64_may_use_b(zend_jit_pre_inc)) {
					dasm_put(Dst, 13850, (unsigned int)((ptrdiff_t)(zend_jit_pre_inc)), (unsigned int)(((ptrdiff_t)(zend_jit_pre_inc))>>32));
						} else {
						if (((uintptr_t)(zend_jit_pre_inc)) == 0) {
					dasm_put(Dst, 13853);
						} else if (((uintptr_t)(zend_jit_pre_inc)) <= MOVZ_IMM) {
					dasm_put(Dst, 13855, ((uint64_t)(zend_jit_pre_inc)));
						} else if (arm64_may_use_adr((void*)(zend_jit_pre_inc))) {
					dasm_put(Dst, 13858, (unsigned int)((ptrdiff_t)(zend_jit_pre_inc)), (unsigned int)(((ptrdiff_t)(zend_jit_pre_inc))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_jit_pre_inc))) {
					dasm_put(Dst, 13861, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_pre_inc))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_pre_inc)))))>>32));
							if (((uintptr_t)(zend_jit_pre_inc)) & 0xfff) {
					dasm_put(Dst, 13864, (((uintptr_t)(zend_jit_pre_inc)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_jit_pre_inc) & 0xffff) {
					dasm_put(Dst, 13867, ((uintptr_t)(zend_jit_pre_inc) & 0xffff));
							if (((uintptr_t)(zend_jit_pre_inc) >> 16) & 0xffff) {
					dasm_put(Dst, 13870, (((uintptr_t)(zend_jit_pre_inc) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_jit_pre_inc) >> 32) & 0xffff) {
					dasm_put(Dst, 13873, (((uintptr_t)(zend_jit_pre_inc) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_jit_pre_inc) >> 16) & 0xffff) {
					dasm_put(Dst, 13876, (((uintptr_t)(zend_jit_pre_inc) >> 16) & 0xffff));
							if (((uintptr_t)(zend_jit_pre_inc) >> 32) & 0xffff) {
					dasm_put(Dst, 13879, (((uintptr_t)(zend_jit_pre_inc) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 13882, (((uintptr_t)(zend_jit_pre_inc) >> 32) & 0xffff));
						}
					dasm_put(Dst, 13885);
						}
#line 3930 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	EXT_CALL increment_function, REG0
						if (arm64_may_use_b(increment_function)) {
					dasm_put(Dst, 13887, (unsigned int)((ptrdiff_t)(increment_function)), (unsigned int)(((ptrdiff_t)(increment_function))>>32));
						} else {
						if (((uintptr_t)(increment_function)) == 0) {
					dasm_put(Dst, 13890);
						} else if (((uintptr_t)(increment_function)) <= MOVZ_IMM) {
					dasm_put(Dst, 13892, ((uint64_t)(increment_function)));
						} else if (arm64_may_use_adr((void*)(increment_function))) {
					dasm_put(Dst, 13895, (unsigned int)((ptrdiff_t)(increment_function)), (unsigned int)(((ptrdiff_t)(increment_function))>>32));
						} else if (arm64_may_use_adrp((void*)(increment_function))) {
					dasm_put(Dst, 13898, (unsigned int)((ptrdiff_t)((((uintptr_t)(increment_function))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(increment_function)))))>>32));
							if (((uintptr_t)(increment_function)) & 0xfff) {
					dasm_put(Dst, 13901, (((uintptr_t)(increment_function)) & 0xfff));
							}
						} else if ((uintptr_t)(increment_function) & 0xffff) {
					dasm_put(Dst, 13904, ((uintptr_t)(increment_function) & 0xffff));
							if (((uintptr_t)(increment_function) >> 16) & 0xffff) {
					dasm_put(Dst, 13907, (((uintptr_t)(increment_function) >> 16) & 0xffff));
							}
							if (((uintptr_t)(increment_function) >> 32) & 0xffff) {
					dasm_put(Dst, 13910, (((uintptr_t)(increment_function) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(increment_function) >> 16) & 0xffff) {
					dasm_put(Dst, 13913, (((uintptr_t)(increment_function) >> 16) & 0xffff));
							if (((uintptr_t)(increment_function) >> 32) & 0xffff) {
					dasm_put(Dst, 13916, (((uintptr_t)(increment_function) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 13919, (((uintptr_t)(increment_function) >> 32) & 0xffff));
						}
					dasm_put(Dst, 13922);
						}
#line 3932 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else {
				if (opline->opcode == ZEND_PRE_DEC && opline->result_type != IS_UNUSED) {
					//|	LOAD_ZVAL_ADDR FCARG2x, res_addr
						if (Z_MODE(res_addr) == IS_CONST_ZVAL) {
						if (((uintptr_t)(Z_ZV(res_addr))) == 0) {
					dasm_put(Dst, 13924);
						} else if (((uintptr_t)(Z_ZV(res_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 13926, ((uint64_t)(Z_ZV(res_addr))));
						} else if (arm64_may_use_adr((void*)(Z_ZV(res_addr)))) {
					dasm_put(Dst, 13929, (unsigned int)((ptrdiff_t)(Z_ZV(res_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(res_addr)))>>32));
						} else if (arm64_may_use_adrp((void*)(Z_ZV(res_addr)))) {
					dasm_put(Dst, 13932, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr))))))>>32));
							if (((uintptr_t)(Z_ZV(res_addr))) & 0xfff) {
					dasm_put(Dst, 13935, (((uintptr_t)(Z_ZV(res_addr))) & 0xfff));
							}
						} else if ((uintptr_t)(Z_ZV(res_addr)) & 0xffff) {
					dasm_put(Dst, 13938, ((uintptr_t)(Z_ZV(res_addr)) & 0xffff));
							if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 13941, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 13944, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 13947, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
							if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 13950, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 13953, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
						} else if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
							if (Z_OFFSET(res_addr)) {
						if (Z_OFFSET(res_addr) == 0) {
					dasm_put(Dst, 13956, (Z_REG(res_addr)));
						} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(res_addr)))) {
					dasm_put(Dst, 13959, (Z_REG(res_addr)), Z_OFFSET(res_addr));
						} else {
						if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 13963, ((uint32_t)(Z_OFFSET(res_addr))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
					dasm_put(Dst, 13966, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 13969, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 13972, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 13975, (Z_REG(res_addr)));
						}
							} else {
								if (Z_REG(res_addr) == ZREG_RSP) {
					dasm_put(Dst, 13978);
								} else {
					dasm_put(Dst, 13980, (Z_REG(res_addr)));
								}
							}
						} else {
							ZEND_UNREACHABLE();
						}
#line 3936 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	EXT_CALL zend_jit_pre_dec, REG0
						if (arm64_may_use_b(zend_jit_pre_dec)) {
					dasm_put(Dst, 13983, (unsigned int)((ptrdiff_t)(zend_jit_pre_dec)), (unsigned int)(((ptrdiff_t)(zend_jit_pre_dec))>>32));
						} else {
						if (((uintptr_t)(zend_jit_pre_dec)) == 0) {
					dasm_put(Dst, 13986);
						} else if (((uintptr_t)(zend_jit_pre_dec)) <= MOVZ_IMM) {
					dasm_put(Dst, 13988, ((uint64_t)(zend_jit_pre_dec)));
						} else if (arm64_may_use_adr((void*)(zend_jit_pre_dec))) {
					dasm_put(Dst, 13991, (unsigned int)((ptrdiff_t)(zend_jit_pre_dec)), (unsigned int)(((ptrdiff_t)(zend_jit_pre_dec))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_jit_pre_dec))) {
					dasm_put(Dst, 13994, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_pre_dec))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_pre_dec)))))>>32));
							if (((uintptr_t)(zend_jit_pre_dec)) & 0xfff) {
					dasm_put(Dst, 13997, (((uintptr_t)(zend_jit_pre_dec)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_jit_pre_dec) & 0xffff) {
					dasm_put(Dst, 14000, ((uintptr_t)(zend_jit_pre_dec) & 0xffff));
							if (((uintptr_t)(zend_jit_pre_dec) >> 16) & 0xffff) {
					dasm_put(Dst, 14003, (((uintptr_t)(zend_jit_pre_dec) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_jit_pre_dec) >> 32) & 0xffff) {
					dasm_put(Dst, 14006, (((uintptr_t)(zend_jit_pre_dec) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_jit_pre_dec) >> 16) & 0xffff) {
					dasm_put(Dst, 14009, (((uintptr_t)(zend_jit_pre_dec) >> 16) & 0xffff));
							if (((uintptr_t)(zend_jit_pre_dec) >> 32) & 0xffff) {
					dasm_put(Dst, 14012, (((uintptr_t)(zend_jit_pre_dec) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 14015, (((uintptr_t)(zend_jit_pre_dec) >> 32) & 0xffff));
						}
					dasm_put(Dst, 14018);
						}
#line 3937 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	EXT_CALL decrement_function, REG0
						if (arm64_may_use_b(decrement_function)) {
					dasm_put(Dst, 14020, (unsigned int)((ptrdiff_t)(decrement_function)), (unsigned int)(((ptrdiff_t)(decrement_function))>>32));
						} else {
						if (((uintptr_t)(decrement_function)) == 0) {
					dasm_put(Dst, 14023);
						} else if (((uintptr_t)(decrement_function)) <= MOVZ_IMM) {
					dasm_put(Dst, 14025, ((uint64_t)(decrement_function)));
						} else if (arm64_may_use_adr((void*)(decrement_function))) {
					dasm_put(Dst, 14028, (unsigned int)((ptrdiff_t)(decrement_function)), (unsigned int)(((ptrdiff_t)(decrement_function))>>32));
						} else if (arm64_may_use_adrp((void*)(decrement_function))) {
					dasm_put(Dst, 14031, (unsigned int)((ptrdiff_t)((((uintptr_t)(decrement_function))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(decrement_function)))))>>32));
							if (((uintptr_t)(decrement_function)) & 0xfff) {
					dasm_put(Dst, 14034, (((uintptr_t)(decrement_function)) & 0xfff));
							}
						} else if ((uintptr_t)(decrement_function) & 0xffff) {
					dasm_put(Dst, 14037, ((uintptr_t)(decrement_function) & 0xffff));
							if (((uintptr_t)(decrement_function) >> 16) & 0xffff) {
					dasm_put(Dst, 14040, (((uintptr_t)(decrement_function) >> 16) & 0xffff));
							}
							if (((uintptr_t)(decrement_function) >> 32) & 0xffff) {
					dasm_put(Dst, 14043, (((uintptr_t)(decrement_function) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(decrement_function) >> 16) & 0xffff) {
					dasm_put(Dst, 14046, (((uintptr_t)(decrement_function) >> 16) & 0xffff));
							if (((uintptr_t)(decrement_function) >> 32) & 0xffff) {
					dasm_put(Dst, 14049, (((uintptr_t)(decrement_function) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 14052, (((uintptr_t)(decrement_function) >> 32) & 0xffff));
						}
					dasm_put(Dst, 14055);
						}
#line 3939 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			}
			if (may_throw) {
				zend_jit_check_exception(Dst);
			}
		} else {
			zend_reg tmp_reg;

			if (opline->opcode == ZEND_POST_INC || opline->opcode == ZEND_POST_DEC) {
				//|	ZVAL_COPY_VALUE res_addr, res_use_info, op1_addr, MAY_BE_DOUBLE, ZREG_REG0, ZREG_REG2, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
					if (MAY_BE_DOUBLE & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
						if ((MAY_BE_DOUBLE & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
							if (Z_MODE(op1_addr) == IS_REG) {
								if (Z_MODE(res_addr) != IS_REG || Z_REG(res_addr) != Z_REG(op1_addr)) {
					if (Z_MODE(res_addr) == IS_REG) {
				dasm_put(Dst, 14057, (Z_REG(res_addr)), (Z_REG(op1_addr)));
					} else {
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 14061, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 14065, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 14069, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 14073, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 14077, (Z_REG(op1_addr)), (Z_REG(res_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 14082, (Z_REG(op1_addr)), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
					}
					}
								}
							} else if (Z_MODE(res_addr) == IS_REG) {
					if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
						if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
				dasm_put(Dst, 14087, (Z_REG(res_addr)));
						} else {
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
				dasm_put(Dst, 14090, (Z_REG(res_addr)));
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 14093, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
					} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 14097, (Z_REG(res_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
					} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
				dasm_put(Dst, 14101, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 14105, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
						}
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 14109, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 14113, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 14117, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 14121, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 14125, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 14129, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 14133, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 14137, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
						}
					} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 14141, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 14145, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 14149, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 14153, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 14157, (Z_REG(res_addr)), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 14162, (Z_REG(res_addr)), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
					}
					} else if (Z_MODE(op1_addr) == IS_REG) {
						if (Z_REG(res_addr) != Z_REG(op1_addr)) {
				dasm_put(Dst, 14167, (Z_REG(res_addr)), (Z_REG(op1_addr)));
						}
					} else {
						ZEND_UNREACHABLE();
					}
							} else {
					if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
						if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
				dasm_put(Dst, 14171, (ZREG_X10));
						} else {
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
				dasm_put(Dst, 14174, (ZREG_X10));
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 14177, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
					} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 14181, (ZREG_X10), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
					} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
				dasm_put(Dst, 14185, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 14189, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
						}
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 14193, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 14197, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 14201, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 14205, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 14209, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 14213, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 14217, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 14221, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
						}
					} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 14225, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 14229, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 14233, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 14237, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 14241, (ZREG_X10), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 14246, (ZREG_X10), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
					}
					} else if (Z_MODE(op1_addr) == IS_REG) {
						if (ZREG_X10 != Z_REG(op1_addr)) {
				dasm_put(Dst, 14251, (ZREG_X10), (Z_REG(op1_addr)));
						}
					} else {
						ZEND_UNREACHABLE();
					}
					if (Z_MODE(res_addr) == IS_REG) {
				dasm_put(Dst, 14255, (Z_REG(res_addr)), (ZREG_X10));
					} else {
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 14259, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 14263, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 14267, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 14271, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 14275, (ZREG_X10), (Z_REG(res_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 14280, (ZREG_X10), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
					}
					}
							}
						} else if ((MAY_BE_DOUBLE & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
							if (Z_MODE(op1_addr) == IS_REG) {
					if (Z_MODE(res_addr) == IS_REG) {
						if (Z_REG(op1_addr) != Z_REG(res_addr)) {
				dasm_put(Dst, 14285, (Z_REG(res_addr)-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
						}
					} else {
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 14289, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 14293, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 14297, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 14301, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 14305, (Z_REG(op1_addr)-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 14310, (Z_REG(op1_addr)-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
					}
					}
							} else if (Z_MODE(res_addr) == IS_REG) {
					if (Z_MODE(op1_addr) != IS_REG || Z_REG(res_addr) != Z_REG(op1_addr)) {
						if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 14315, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
					} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 14322, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					} else {
					if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
				dasm_put(Dst, 14330, (ZREG_X15));
					} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 14333, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 14337, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 14341, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
				dasm_put(Dst, 14345, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
				dasm_put(Dst, 14350, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 14354, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 14358, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 14362, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 14366, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 14370, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				dasm_put(Dst, 14374, (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
					}
						} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 14378, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 14382, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 14386, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 14390, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 14394, (Z_REG(res_addr)-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 14399, (Z_REG(res_addr)-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
					}
						} else if (Z_MODE(op1_addr) == IS_REG) {
				dasm_put(Dst, 14404, (Z_REG(res_addr)-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
						} else {
							ZEND_UNREACHABLE();
						}
					}
							} else {
					if (Z_MODE(op1_addr) != IS_REG || ZREG_V0 != Z_REG(op1_addr)) {
						if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 14408, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
					} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 14415, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					} else {
					if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
				dasm_put(Dst, 14423, (ZREG_X15));
					} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 14426, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 14430, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 14434, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
				dasm_put(Dst, 14438, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
				dasm_put(Dst, 14443, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 14447, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 14451, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 14455, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 14459, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 14463, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				dasm_put(Dst, 14467, (ZREG_V0-ZREG_V0), (ZREG_X15));
					}
						} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 14471, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 14475, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 14479, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 14483, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 14487, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 14492, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
					}
						} else if (Z_MODE(op1_addr) == IS_REG) {
				dasm_put(Dst, 14497, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
						} else {
							ZEND_UNREACHABLE();
						}
					}
					if (Z_MODE(res_addr) == IS_REG) {
						if (ZREG_V0 != Z_REG(res_addr)) {
				dasm_put(Dst, 14501, (Z_REG(res_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
						}
					} else {
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 14505, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 14509, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 14513, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 14517, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 14521, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 14526, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
					}
					}
							}
						// Combine the following two branches.
						// } else if (!(MAY_BE_DOUBLE & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
						} else {
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 14531, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 14535, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 14539, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 14543, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 14547, (ZREG_X10), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 14552, (ZREG_X10), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
					}
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 14557, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 14561, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 14565, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 14569, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 14573, (ZREG_X10), (Z_REG(res_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 14578, (ZREG_X10), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
					}
						}
					}
					if ((MAY_BE_DOUBLE & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
						!(MAY_BE_DOUBLE & MAY_BE_GUARD) &&
						has_concrete_type(MAY_BE_DOUBLE & MAY_BE_ANY)) {
						if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
							if ((res_use_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (MAY_BE_DOUBLE & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD))) {
								uint32_t type = concrete_type(MAY_BE_DOUBLE);
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uint32_t)(type)) <= MOVZ_IMM) {
				dasm_put(Dst, 14583, (ZREG_X15), ((uint32_t)(type)));
					} else if (((uint32_t)(type) & 0xffff)) {
				dasm_put(Dst, 14587, (ZREG_X15), ((uint32_t)(type) & 0xffff));
						if ((((uint32_t)(type) >> 16) & 0xffff)) {
				dasm_put(Dst, 14591, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 14595, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 14599, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 14603, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 14607, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 14611, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 14615, (ZREG_X15), (Z_REG(res_addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 14620, (ZREG_X15), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
					}
							}
						}
					} else {
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 14625, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 14629, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 14633, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 14637, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 14641, (ZREG_X8), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 14646, (ZREG_X8), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)));
					}
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 14651, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 14655, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 14659, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 14663, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 14667, (ZREG_X8), (Z_REG(res_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 14672, (ZREG_X8), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
					}
					}
#line 3949 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if (Z_MODE(op1_def_addr) == IS_REG) {
				tmp_reg = Z_REG(op1_def_addr);
			} else if (Z_MODE(op1_addr) == IS_REG && Z_LAST_USE(op1_addr)) {
				tmp_reg = Z_REG(op1_addr);
			} else {
				tmp_reg = ZREG_FPR0;
			}
			//|	GET_ZVAL_DVAL tmp_reg, op1_addr, ZREG_TMP1
				if (Z_MODE(op1_addr) != IS_REG || tmp_reg != Z_REG(op1_addr)) {
					if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 14677, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (tmp_reg-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 14684, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (tmp_reg-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
			dasm_put(Dst, 14692, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 14695, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 14699, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 14703, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
			dasm_put(Dst, 14707, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
			dasm_put(Dst, 14712, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 14716, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 14720, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 14724, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 14728, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 14732, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 14736, (tmp_reg-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 14740, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 14744, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 14748, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 14752, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 14756, (tmp_reg-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 14761, (tmp_reg-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
					} else if (Z_MODE(op1_addr) == IS_REG) {
			dasm_put(Dst, 14766, (tmp_reg-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
#line 3958 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (opline->opcode == ZEND_PRE_INC || opline->opcode == ZEND_POST_INC) {
				uint64_t val = 0x3ff0000000000000; // 1.0
				//|	LOAD_64BIT_VAL TMP1, val
					if (((uint64_t)(val)) == 0) {
				dasm_put(Dst, 14770);
					} else if (((uint64_t)(val)) <= MOVZ_IMM) {
				dasm_put(Dst, 14772, ((uint64_t)(val)));
					} else if (~((uint64_t)(val)) <= MOVZ_IMM) {
				dasm_put(Dst, 14775, (~((uint64_t)(val))));
					} else if ((uint64_t)(val) & 0xffff) {
				dasm_put(Dst, 14778, ((uint64_t)(val) & 0xffff));
						if (((uint64_t)(val) >> 16) & 0xffff) {
				dasm_put(Dst, 14781, (((uint64_t)(val) >> 16) & 0xffff));
						}
						if (((uint64_t)(val) >> 32) & 0xffff) {
				dasm_put(Dst, 14784, (((uint64_t)(val) >> 32) & 0xffff));
						}
						if ((((uint64_t)(val) >> 48) & 0xffff)) {
				dasm_put(Dst, 14787, (((uint64_t)(val) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(val) >> 16) & 0xffff) {
				dasm_put(Dst, 14790, (((uint64_t)(val) >> 16) & 0xffff));
						if (((uint64_t)(val) >> 32) & 0xffff) {
				dasm_put(Dst, 14793, (((uint64_t)(val) >> 32) & 0xffff));
						}
						if ((((uint64_t)(val) >> 48) & 0xffff)) {
				dasm_put(Dst, 14796, (((uint64_t)(val) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(val) >> 32) & 0xffff) {
				dasm_put(Dst, 14799, (((uint64_t)(val) >> 32) & 0xffff));
						if ((((uint64_t)(val) >> 48) & 0xffff)) {
				dasm_put(Dst, 14802, (((uint64_t)(val) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 14805, (((uint64_t)(val) >> 48) & 0xffff));
					}
#line 3961 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	fmov FPTMP, TMP1
				//|	fadd Rd(tmp_reg-ZREG_V0), Rd(tmp_reg-ZREG_V0), FPTMP
				dasm_put(Dst, 14808, (tmp_reg-ZREG_V0), (tmp_reg-ZREG_V0));
#line 3963 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				uint64_t val = 0x3ff0000000000000; // 1.0
				//|	LOAD_64BIT_VAL TMP1, val
					if (((uint64_t)(val)) == 0) {
				dasm_put(Dst, 14813);
					} else if (((uint64_t)(val)) <= MOVZ_IMM) {
				dasm_put(Dst, 14815, ((uint64_t)(val)));
					} else if (~((uint64_t)(val)) <= MOVZ_IMM) {
				dasm_put(Dst, 14818, (~((uint64_t)(val))));
					} else if ((uint64_t)(val) & 0xffff) {
				dasm_put(Dst, 14821, ((uint64_t)(val) & 0xffff));
						if (((uint64_t)(val) >> 16) & 0xffff) {
				dasm_put(Dst, 14824, (((uint64_t)(val) >> 16) & 0xffff));
						}
						if (((uint64_t)(val) >> 32) & 0xffff) {
				dasm_put(Dst, 14827, (((uint64_t)(val) >> 32) & 0xffff));
						}
						if ((((uint64_t)(val) >> 48) & 0xffff)) {
				dasm_put(Dst, 14830, (((uint64_t)(val) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(val) >> 16) & 0xffff) {
				dasm_put(Dst, 14833, (((uint64_t)(val) >> 16) & 0xffff));
						if (((uint64_t)(val) >> 32) & 0xffff) {
				dasm_put(Dst, 14836, (((uint64_t)(val) >> 32) & 0xffff));
						}
						if ((((uint64_t)(val) >> 48) & 0xffff)) {
				dasm_put(Dst, 14839, (((uint64_t)(val) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(val) >> 32) & 0xffff) {
				dasm_put(Dst, 14842, (((uint64_t)(val) >> 32) & 0xffff));
						if ((((uint64_t)(val) >> 48) & 0xffff)) {
				dasm_put(Dst, 14845, (((uint64_t)(val) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 14848, (((uint64_t)(val) >> 48) & 0xffff));
					}
#line 3966 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	fmov FPTMP, TMP1
				//|	fsub Rd(tmp_reg-ZREG_V0), Rd(tmp_reg-ZREG_V0), FPTMP
				dasm_put(Dst, 14851, (tmp_reg-ZREG_V0), (tmp_reg-ZREG_V0));
#line 3968 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	SET_ZVAL_DVAL op1_def_addr, tmp_reg, ZREG_TMP1
				if (Z_MODE(op1_def_addr) == IS_REG) {
					if (tmp_reg != Z_REG(op1_def_addr)) {
			dasm_put(Dst, 14856, (Z_REG(op1_def_addr)-ZREG_V0), (tmp_reg-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(op1_def_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_def_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_def_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 14860, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff)) {
			dasm_put(Dst, 14864, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 14868, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 14872, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 14876, (tmp_reg-ZREG_V0), (Z_REG(op1_def_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 14881, (tmp_reg-ZREG_V0), (Z_REG(op1_def_addr)), (Z_OFFSET(op1_def_addr)));
				}
				}
#line 3970 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if ((opline->opcode == ZEND_PRE_INC || opline->opcode == ZEND_PRE_DEC) &&
			    opline->result_type != IS_UNUSED) {
				//|	ZVAL_COPY_VALUE res_addr, res_use_info, op1_addr, op1_def_info, ZREG_REG0, ZREG_REG1, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
					if (op1_def_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
						if ((op1_def_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
							if (Z_MODE(op1_addr) == IS_REG) {
								if (Z_MODE(res_addr) != IS_REG || Z_REG(res_addr) != Z_REG(op1_addr)) {
					if (Z_MODE(res_addr) == IS_REG) {
				dasm_put(Dst, 14886, (Z_REG(res_addr)), (Z_REG(op1_addr)));
					} else {
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 14890, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 14894, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 14898, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 14902, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 14906, (Z_REG(op1_addr)), (Z_REG(res_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 14911, (Z_REG(op1_addr)), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
					}
					}
								}
							} else if (Z_MODE(res_addr) == IS_REG) {
					if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
						if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
				dasm_put(Dst, 14916, (Z_REG(res_addr)));
						} else {
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
				dasm_put(Dst, 14919, (Z_REG(res_addr)));
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 14922, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
					} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 14926, (Z_REG(res_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
					} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
				dasm_put(Dst, 14930, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 14934, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
						}
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 14938, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 14942, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 14946, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 14950, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 14954, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 14958, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 14962, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 14966, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
						}
					} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 14970, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 14974, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 14978, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 14982, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 14986, (Z_REG(res_addr)), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 14991, (Z_REG(res_addr)), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
					}
					} else if (Z_MODE(op1_addr) == IS_REG) {
						if (Z_REG(res_addr) != Z_REG(op1_addr)) {
				dasm_put(Dst, 14996, (Z_REG(res_addr)), (Z_REG(op1_addr)));
						}
					} else {
						ZEND_UNREACHABLE();
					}
							} else {
					if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
						if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
				dasm_put(Dst, 15000, (ZREG_X9));
						} else {
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
				dasm_put(Dst, 15003, (ZREG_X9));
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 15006, (ZREG_X9), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
					} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 15010, (ZREG_X9), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
					} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
				dasm_put(Dst, 15014, (ZREG_X9), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 15018, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
						}
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 15022, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 15026, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 15030, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 15034, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 15038, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 15042, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 15046, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 15050, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
						}
					} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 15054, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 15058, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 15062, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 15066, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 15070, (ZREG_X9), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 15075, (ZREG_X9), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
					}
					} else if (Z_MODE(op1_addr) == IS_REG) {
						if (ZREG_X9 != Z_REG(op1_addr)) {
				dasm_put(Dst, 15080, (ZREG_X9), (Z_REG(op1_addr)));
						}
					} else {
						ZEND_UNREACHABLE();
					}
					if (Z_MODE(res_addr) == IS_REG) {
				dasm_put(Dst, 15084, (Z_REG(res_addr)), (ZREG_X9));
					} else {
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 15088, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 15092, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 15096, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 15100, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 15104, (ZREG_X9), (Z_REG(res_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 15109, (ZREG_X9), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
					}
					}
							}
						} else if ((op1_def_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
							if (Z_MODE(op1_addr) == IS_REG) {
					if (Z_MODE(res_addr) == IS_REG) {
						if (Z_REG(op1_addr) != Z_REG(res_addr)) {
				dasm_put(Dst, 15114, (Z_REG(res_addr)-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
						}
					} else {
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 15118, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 15122, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 15126, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 15130, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 15134, (Z_REG(op1_addr)-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 15139, (Z_REG(op1_addr)-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
					}
					}
							} else if (Z_MODE(res_addr) == IS_REG) {
					if (Z_MODE(op1_addr) != IS_REG || Z_REG(res_addr) != Z_REG(op1_addr)) {
						if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 15144, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
					} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 15151, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					} else {
					if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
				dasm_put(Dst, 15159, (ZREG_X15));
					} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 15162, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 15166, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 15170, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
				dasm_put(Dst, 15174, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
				dasm_put(Dst, 15179, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 15183, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 15187, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 15191, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 15195, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 15199, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				dasm_put(Dst, 15203, (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
					}
						} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 15207, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 15211, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 15215, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 15219, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 15223, (Z_REG(res_addr)-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 15228, (Z_REG(res_addr)-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
					}
						} else if (Z_MODE(op1_addr) == IS_REG) {
				dasm_put(Dst, 15233, (Z_REG(res_addr)-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
						} else {
							ZEND_UNREACHABLE();
						}
					}
							} else {
					if (Z_MODE(op1_addr) != IS_REG || ZREG_V0 != Z_REG(op1_addr)) {
						if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 15237, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
					} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 15244, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					} else {
					if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
				dasm_put(Dst, 15252, (ZREG_X15));
					} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 15255, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 15259, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 15263, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
				dasm_put(Dst, 15267, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
				dasm_put(Dst, 15272, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 15276, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 15280, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 15284, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 15288, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 15292, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				dasm_put(Dst, 15296, (ZREG_V0-ZREG_V0), (ZREG_X15));
					}
						} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 15300, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 15304, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 15308, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 15312, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 15316, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 15321, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
					}
						} else if (Z_MODE(op1_addr) == IS_REG) {
				dasm_put(Dst, 15326, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
						} else {
							ZEND_UNREACHABLE();
						}
					}
					if (Z_MODE(res_addr) == IS_REG) {
						if (ZREG_V0 != Z_REG(res_addr)) {
				dasm_put(Dst, 15330, (Z_REG(res_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
						}
					} else {
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 15334, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 15338, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 15342, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 15346, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 15350, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 15355, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
					}
					}
							}
						// Combine the following two branches.
						// } else if (!(op1_def_info & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
						} else {
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 15360, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 15364, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 15368, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 15372, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 15376, (ZREG_X9), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 15381, (ZREG_X9), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
					}
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 15386, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 15390, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 15394, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 15398, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 15402, (ZREG_X9), (Z_REG(res_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 15407, (ZREG_X9), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
					}
						}
					}
					if ((op1_def_info & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
						!(op1_def_info & MAY_BE_GUARD) &&
						has_concrete_type(op1_def_info & MAY_BE_ANY)) {
						if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
							if ((res_use_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (op1_def_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD))) {
								uint32_t type = concrete_type(op1_def_info);
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uint32_t)(type)) <= MOVZ_IMM) {
				dasm_put(Dst, 15412, (ZREG_X15), ((uint32_t)(type)));
					} else if (((uint32_t)(type) & 0xffff)) {
				dasm_put(Dst, 15416, (ZREG_X15), ((uint32_t)(type) & 0xffff));
						if ((((uint32_t)(type) >> 16) & 0xffff)) {
				dasm_put(Dst, 15420, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 15424, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 15428, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 15432, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 15436, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 15440, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 15444, (ZREG_X15), (Z_REG(res_addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 15449, (ZREG_X15), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
					}
							}
						}
					} else {
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 15454, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 15458, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 15462, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 15466, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 15470, (ZREG_X8), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 15475, (ZREG_X8), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)));
					}
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 15480, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 15484, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 15488, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 15492, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 15496, (ZREG_X8), (Z_REG(res_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 15501, (ZREG_X8), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
					}
					}
#line 3973 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	TRY_ADDREF op1_def_info, REG0w, REG1, TMP1w
					if (op1_def_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) {
						if (op1_def_info & (MAY_BE_ANY-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if ((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT) == 0) {
				dasm_put(Dst, 15506);
					} else if (logical_immediate_p((uint32_t)(IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT), 32)) {
				dasm_put(Dst, 15508, (IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT));
					} else {
					if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))) <= MOVZ_IMM) {
				dasm_put(Dst, 15511, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))));
					} else if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff)) {
				dasm_put(Dst, 15514, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff));
						if ((((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff)) {
				dasm_put(Dst, 15517, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 15520, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 15523);
					}
				dasm_put(Dst, 15525);
						}
				dasm_put(Dst, 15528);
					}
#line 3974 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
		//|	b >3
		//|.code
		dasm_put(Dst, 15533);
#line 3978 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	//|3:
	dasm_put(Dst, 15536);
#line 3980 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	if (!zend_jit_store_var_if_necessary_ex(Dst, opline->op1.var, op1_def_addr, op1_def_info, op1_addr, op1_info)) {
		return 0;
	}
	if (opline->result_type != IS_UNUSED) {
		if (!zend_jit_store_var_if_necessary(Dst, opline->result.var, res_addr, res_info)) {
			return 0;
		}
	}
	return 1;
}

static int zend_jit_opline_uses_reg(const zend_op  *opline, int8_t reg)
{
	if ((opline+1)->opcode == ZEND_OP_DATA
	 && ((opline+1)->op1_type & (IS_VAR|IS_TMP_VAR|IS_CV))
	 && JIT_G(current_frame)->stack[EX_VAR_TO_NUM((opline+1)->op1.var)].reg == reg) {
		return 1;
	}
	return
		((opline->result_type & (IS_VAR|IS_TMP_VAR|IS_CV)) &&
			JIT_G(current_frame)->stack[EX_VAR_TO_NUM(opline->result.var)].reg == reg) ||
		((opline->op1_type & (IS_VAR|IS_TMP_VAR|IS_CV)) &&
			JIT_G(current_frame)->stack[EX_VAR_TO_NUM(opline->op1.var)].reg == reg) ||
		((opline->op2_type & (IS_VAR|IS_TMP_VAR|IS_CV)) &&
			JIT_G(current_frame)->stack[EX_VAR_TO_NUM(opline->op2.var)].reg == reg);
}

static int zend_jit_math_long_long(dasm_State    **Dst,
                                   const zend_op  *opline,
                                   zend_uchar      opcode,
                                   zend_jit_addr   op1_addr,
                                   zend_jit_addr   op2_addr,
                                   zend_jit_addr   res_addr,
                                   uint32_t        res_info,
                                   uint32_t        res_use_info,
                                   int             may_overflow)
{
	bool same_ops = zend_jit_same_addr(op1_addr, op2_addr);
	zend_reg result_reg;
	zend_reg tmp_reg = ZREG_REG0;
	bool use_ovf_flag = 1;

	if (Z_MODE(res_addr) == IS_REG && (res_info & MAY_BE_LONG)) {
		if (may_overflow && (res_info & MAY_BE_GUARD)
		 && JIT_G(current_frame)
		 && zend_jit_opline_uses_reg(opline, Z_REG(res_addr))) {
			result_reg = ZREG_REG0;
		} else {
			result_reg = Z_REG(res_addr);
		}
	} else if (Z_MODE(op1_addr) == IS_REG && Z_LAST_USE(op1_addr) && !may_overflow) {
		result_reg = Z_REG(op1_addr);
	} else if (Z_REG(res_addr) != ZREG_REG0) {
		result_reg = ZREG_REG0;
	} else {
		/* ASSIGN_DIM_OP */
		result_reg = ZREG_FCARG1;
		tmp_reg = ZREG_FCARG1;
	}

	if (opcode == ZEND_MUL &&
			Z_MODE(op2_addr) == IS_CONST_ZVAL &&
			Z_LVAL_P(Z_ZV(op2_addr)) == 2) {
		if (Z_MODE(op1_addr) == IS_REG) {
			//|	adds Rx(result_reg), Rx(Z_REG(op1_addr)), Rx(Z_REG(op1_addr))
			dasm_put(Dst, 15538, (result_reg), (Z_REG(op1_addr)), (Z_REG(op1_addr)));
#line 4045 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	GET_ZVAL_LVAL result_reg, op1_addr, TMP1
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
			dasm_put(Dst, 15543, (result_reg));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
			dasm_put(Dst, 15546, (result_reg));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 15549, (result_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 15553, (result_reg), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
			dasm_put(Dst, 15557, (result_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 15561, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 15565, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 15569, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 15573, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 15577, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 15581, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 15585, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 15589, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 15593, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 15597, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 15600, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 15603, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 15606, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 15609, (result_reg), (Z_REG(op1_addr)));
				} else {
			dasm_put(Dst, 15613, (result_reg), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
				} else if (Z_MODE(op1_addr) == IS_REG) {
					if (result_reg != Z_REG(op1_addr)) {
			dasm_put(Dst, 15618, (result_reg), (Z_REG(op1_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 4047 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	adds Rx(result_reg), Rx(result_reg), Rx(result_reg)
			dasm_put(Dst, 15622, (result_reg), (result_reg), (result_reg));
#line 4048 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else if (opcode == ZEND_MUL &&
			Z_MODE(op2_addr) == IS_CONST_ZVAL &&
			!may_overflow &&
			zend_long_is_power_of_two(Z_LVAL_P(Z_ZV(op2_addr)))) {
		//|	GET_ZVAL_LVAL result_reg, op1_addr, TMP1
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 15627, (result_reg));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 15630, (result_reg));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 15633, (result_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 15637, (result_reg), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 15641, (result_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 15645, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 15649, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 15653, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 15657, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 15661, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 15665, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 15669, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 15673, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 15677, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 15681, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 15684, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 15687, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 15690, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 15693, (result_reg), (Z_REG(op1_addr)));
			} else {
		dasm_put(Dst, 15697, (result_reg), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (result_reg != Z_REG(op1_addr)) {
		dasm_put(Dst, 15702, (result_reg), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 4054 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	mov TMP1, #zend_long_floor_log2(Z_LVAL_P(Z_ZV(op2_addr)))
		//|	lsl Rx(result_reg), Rx(result_reg), TMP1
		dasm_put(Dst, 15706, zend_long_floor_log2(Z_LVAL_P(Z_ZV(op2_addr))), (result_reg), (result_reg));
#line 4056 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else if (opcode == ZEND_MUL &&
			Z_MODE(op1_addr) == IS_CONST_ZVAL &&
			Z_LVAL_P(Z_ZV(op1_addr)) == 2) {
		if (Z_MODE(op2_addr) == IS_REG) {
			//|	adds Rx(result_reg), Rx(Z_REG(op2_addr)), Rx(Z_REG(op2_addr))
			dasm_put(Dst, 15712, (result_reg), (Z_REG(op2_addr)), (Z_REG(op2_addr)));
#line 4061 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	GET_ZVAL_LVAL result_reg, op2_addr, TMP1
				if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
			dasm_put(Dst, 15717, (result_reg));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
			dasm_put(Dst, 15720, (result_reg));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 15723, (result_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 15727, (result_reg), (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
			dasm_put(Dst, 15731, (result_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 15735, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 15739, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 15743, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 15747, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 15751, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 15755, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 15759, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 15763, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 15767, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 15771, ((uint32_t)(Z_OFFSET(op2_addr))));
				} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
			dasm_put(Dst, 15774, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 15777, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 15780, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 15783, (result_reg), (Z_REG(op2_addr)));
				} else {
			dasm_put(Dst, 15787, (result_reg), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
				}
				} else if (Z_MODE(op2_addr) == IS_REG) {
					if (result_reg != Z_REG(op2_addr)) {
			dasm_put(Dst, 15792, (result_reg), (Z_REG(op2_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 4063 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	adds Rx(result_reg), Rx(result_reg), Rx(result_reg)
			dasm_put(Dst, 15796, (result_reg), (result_reg), (result_reg));
#line 4064 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else if (opcode == ZEND_MUL &&
			Z_MODE(op1_addr) == IS_CONST_ZVAL &&
			!may_overflow &&
			zend_long_is_power_of_two(Z_LVAL_P(Z_ZV(op1_addr)))) {
		//|	GET_ZVAL_LVAL result_reg, op2_addr, TMP1
			if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
		dasm_put(Dst, 15801, (result_reg));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
		dasm_put(Dst, 15804, (result_reg));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 15807, (result_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 15811, (result_reg), (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
		dasm_put(Dst, 15815, (result_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 15819, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 15823, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 15827, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 15831, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 15835, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 15839, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 15843, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 15847, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 15851, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 15855, ((uint32_t)(Z_OFFSET(op2_addr))));
			} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
		dasm_put(Dst, 15858, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 15861, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 15864, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 15867, (result_reg), (Z_REG(op2_addr)));
			} else {
		dasm_put(Dst, 15871, (result_reg), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
			}
			} else if (Z_MODE(op2_addr) == IS_REG) {
				if (result_reg != Z_REG(op2_addr)) {
		dasm_put(Dst, 15876, (result_reg), (Z_REG(op2_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 4070 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	mov TMP1, #zend_long_floor_log2(Z_LVAL_P(Z_ZV(op1_addr)))
		//|	lsl Rx(result_reg), Rx(result_reg), TMP1
		dasm_put(Dst, 15880, zend_long_floor_log2(Z_LVAL_P(Z_ZV(op1_addr))), (result_reg), (result_reg));
#line 4072 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else if (opcode == ZEND_DIV &&
			(Z_MODE(op2_addr) == IS_CONST_ZVAL &&
			zend_long_is_power_of_two(Z_LVAL_P(Z_ZV(op2_addr))))) {
		//|	GET_ZVAL_LVAL result_reg, op1_addr, TMP1
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 15886, (result_reg));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 15889, (result_reg));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 15892, (result_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 15896, (result_reg), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 15900, (result_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 15904, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 15908, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 15912, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 15916, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 15920, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 15924, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 15928, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 15932, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 15936, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 15940, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 15943, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 15946, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 15949, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 15952, (result_reg), (Z_REG(op1_addr)));
			} else {
		dasm_put(Dst, 15956, (result_reg), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (result_reg != Z_REG(op1_addr)) {
		dasm_put(Dst, 15961, (result_reg), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 4076 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	asr Rx(result_reg), Rx(result_reg), #zend_long_floor_log2(Z_LVAL_P(Z_ZV(op2_addr)))
		dasm_put(Dst, 15965, (result_reg), (result_reg), zend_long_floor_log2(Z_LVAL_P(Z_ZV(op2_addr))));
#line 4077 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
#if 0
	/* x86 specific optimizations through LEA instraction are not supported on ARM */
	} else if (opcode == ZEND_ADD &&
			!may_overflow &&
			Z_MODE(op1_addr) == IS_REG &&
			Z_MODE(op2_addr) == IS_CONST_ZVAL) {
		//|	NIY	// TODO: test
			//ZEND_ASSERT(0);
		dasm_put(Dst, 15970);
#line 4084 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else if (opcode == ZEND_ADD &&
			!may_overflow &&
			Z_MODE(op2_addr) == IS_REG &&
			Z_MODE(op1_addr) == IS_CONST_ZVAL) {
		//|	NIY	// TODO: test
			//ZEND_ASSERT(0);
		dasm_put(Dst, 15972);
#line 4089 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else if (opcode == ZEND_SUB &&
			!may_overflow &&
			Z_MODE(op1_addr) == IS_REG &&
			Z_MODE(op2_addr) == IS_CONST_ZVAL) {
		//|	NIY	// TODO: test
			//ZEND_ASSERT(0);
		dasm_put(Dst, 15974);
#line 4094 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
#endif
	} else if (opcode == ZEND_MUL) {
		//|	GET_ZVAL_LVAL ZREG_TMP1, op1_addr, TMP1
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 15976, (ZREG_X15));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 15979, (ZREG_X15));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 15982, (ZREG_X15), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 15986, (ZREG_X15), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 15990, (ZREG_X15), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 15994, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 15998, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 16002, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 16006, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 16010, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 16014, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 16018, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 16022, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 16026, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 16030, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 16033, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 16036, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 16039, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 16042, (ZREG_X15), (Z_REG(op1_addr)));
			} else {
		dasm_put(Dst, 16046, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (ZREG_X15 != Z_REG(op1_addr)) {
		dasm_put(Dst, 16051, (ZREG_X15), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 4097 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	GET_ZVAL_LVAL ZREG_TMP2, op2_addr, TMP2
			if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
		dasm_put(Dst, 16055, (ZREG_X16));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
		dasm_put(Dst, 16058, (ZREG_X16));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 16061, (ZREG_X16), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 16065, (ZREG_X16), (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
		dasm_put(Dst, 16069, (ZREG_X16), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 16073, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 16077, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 16081, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 16085, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 16089, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 16093, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 16097, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 16101, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 16105, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 16109, ((uint32_t)(Z_OFFSET(op2_addr))));
			} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
		dasm_put(Dst, 16112, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 16115, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 16118, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 16121, (ZREG_X16), (Z_REG(op2_addr)));
			} else {
		dasm_put(Dst, 16125, (ZREG_X16), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
			}
			} else if (Z_MODE(op2_addr) == IS_REG) {
				if (ZREG_X16 != Z_REG(op2_addr)) {
		dasm_put(Dst, 16130, (ZREG_X16), (Z_REG(op2_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 4098 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	mul Rx(result_reg), TMP1, TMP2
		dasm_put(Dst, 16134, (result_reg));
#line 4099 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if(may_overflow) {
			/* Use 'smulh' to get the upper 64 bits fo the 128-bit result.
			 * For signed multiplication, the top 65 bits of the result will contain
			 * either all zeros or all ones if no overflow occurred.
			 * Flag: bne -> overflow. beq -> no overflow.
			 */
			use_ovf_flag = 0;
			//|	smulh TMP1, TMP1, TMP2
			//|	cmp TMP1, Rx(result_reg), asr #63
			dasm_put(Dst, 16137, (result_reg));
#line 4108 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else {
		//|	GET_ZVAL_LVAL result_reg, op1_addr, TMP1
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 16141, (result_reg));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 16144, (result_reg));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 16147, (result_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 16151, (result_reg), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 16155, (result_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 16159, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 16163, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 16167, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 16171, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 16175, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 16179, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 16183, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 16187, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 16191, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 16195, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 16198, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 16201, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 16204, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 16207, (result_reg), (Z_REG(op1_addr)));
			} else {
		dasm_put(Dst, 16211, (result_reg), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (result_reg != Z_REG(op1_addr)) {
		dasm_put(Dst, 16216, (result_reg), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 4111 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if ((opcode == ZEND_ADD || opcode == ZEND_SUB)
		 && Z_MODE(op2_addr) == IS_CONST_ZVAL
		 && Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
			/* +/- 0 */
			may_overflow = 0;
		} else if (same_ops && opcode != ZEND_DIV) {
			//|	LONG_MATH_REG opcode, Rx(result_reg), Rx(result_reg), Rx(result_reg)
				switch (opcode) {
					case ZEND_ADD:
			dasm_put(Dst, 16220, (result_reg), (result_reg), (result_reg));
						break;
					case ZEND_SUB:
			dasm_put(Dst, 16225, (result_reg), (result_reg), (result_reg));
						break;
					case ZEND_BW_OR:
			dasm_put(Dst, 16230, (result_reg), (result_reg), (result_reg));
						break;
					case ZEND_BW_AND:
			dasm_put(Dst, 16235, (result_reg), (result_reg), (result_reg));
						break;
					case ZEND_BW_XOR:
			dasm_put(Dst, 16240, (result_reg), (result_reg), (result_reg));
						break;
					default:
						ZEND_UNREACHABLE();
				}
#line 4118 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	LONG_MATH opcode, result_reg, op2_addr, TMP1
				switch (opcode) {
					case ZEND_ADD:
				if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
			dasm_put(Dst, 16245, (result_reg), (result_reg));
				} else if (arm64_may_encode_imm12((int64_t)(Z_LVAL_P(Z_ZV(op2_addr))))) {
			dasm_put(Dst, 16249, (result_reg), (result_reg), Z_LVAL_P(Z_ZV(op2_addr)));
				} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
			dasm_put(Dst, 16254);
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 16256, ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 16259, (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
			dasm_put(Dst, 16262, ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 16265, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 16268, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 16271, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 16274, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 16277, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 16280, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 16283, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 16286, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 16289, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			dasm_put(Dst, 16292, (result_reg), (result_reg));
				}
				} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 16296, ((uint32_t)(Z_OFFSET(op2_addr))));
				} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
			dasm_put(Dst, 16299, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 16302, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 16305, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 16308, (Z_REG(op2_addr)));
				} else {
			dasm_put(Dst, 16311, (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
				}
			dasm_put(Dst, 16315, (result_reg), (result_reg));
				} else if (Z_MODE(op2_addr) == IS_REG) {
			dasm_put(Dst, 16319, (result_reg), (result_reg), (Z_REG(op2_addr)));
				} else {
					ZEND_UNREACHABLE();
				}
						break;
					case ZEND_SUB:
				if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
			dasm_put(Dst, 16324, (result_reg), (result_reg));
				} else if (arm64_may_encode_imm12((int64_t)(Z_LVAL_P(Z_ZV(op2_addr))))) {
			dasm_put(Dst, 16328, (result_reg), (result_reg), Z_LVAL_P(Z_ZV(op2_addr)));
				} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
			dasm_put(Dst, 16333);
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 16335, ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 16338, (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
			dasm_put(Dst, 16341, ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 16344, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 16347, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 16350, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 16353, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 16356, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 16359, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 16362, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 16365, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 16368, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			dasm_put(Dst, 16371, (result_reg), (result_reg));
				}
				} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 16375, ((uint32_t)(Z_OFFSET(op2_addr))));
				} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
			dasm_put(Dst, 16378, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 16381, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 16384, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 16387, (Z_REG(op2_addr)));
				} else {
			dasm_put(Dst, 16390, (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
				}
			dasm_put(Dst, 16394, (result_reg), (result_reg));
				} else if (Z_MODE(op2_addr) == IS_REG) {
			dasm_put(Dst, 16398, (result_reg), (result_reg), (Z_REG(op2_addr)));
				} else {
					ZEND_UNREACHABLE();
				}
						break;
					case ZEND_BW_OR:
				if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
			dasm_put(Dst, 16403, (result_reg), (result_reg));
				} else if (logical_immediate_p(Z_LVAL_P(Z_ZV(op2_addr)), 64)) {
			dasm_put(Dst, 16407, (result_reg), (result_reg), (unsigned int)(Z_LVAL_P(Z_ZV(op2_addr))), (unsigned int)((unsigned long long)(Z_LVAL_P(Z_ZV(op2_addr)))>>32));
				} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
			dasm_put(Dst, 16412);
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 16414, ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 16417, (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
			dasm_put(Dst, 16420, ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 16423, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 16426, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 16429, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 16432, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 16435, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 16438, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 16441, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 16444, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 16447, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			dasm_put(Dst, 16450, (result_reg), (result_reg));
				}
				} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 16454, ((uint32_t)(Z_OFFSET(op2_addr))));
				} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
			dasm_put(Dst, 16457, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 16460, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 16463, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 16466, (Z_REG(op2_addr)));
				} else {
			dasm_put(Dst, 16469, (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
				}
			dasm_put(Dst, 16473, (result_reg), (result_reg));
				} else if (Z_MODE(op2_addr) == IS_REG) {
			dasm_put(Dst, 16477, (result_reg), (result_reg), (Z_REG(op2_addr)));
				} else {
					ZEND_UNREACHABLE();
				}
						break;
					case ZEND_BW_AND:
				if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
			dasm_put(Dst, 16482, (result_reg), (result_reg));
				} else if (logical_immediate_p(Z_LVAL_P(Z_ZV(op2_addr)), 64)) {
			dasm_put(Dst, 16486, (result_reg), (result_reg), (unsigned int)(Z_LVAL_P(Z_ZV(op2_addr))), (unsigned int)((unsigned long long)(Z_LVAL_P(Z_ZV(op2_addr)))>>32));
				} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
			dasm_put(Dst, 16491);
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 16493, ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 16496, (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
			dasm_put(Dst, 16499, ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 16502, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 16505, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 16508, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 16511, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 16514, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 16517, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 16520, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 16523, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 16526, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			dasm_put(Dst, 16529, (result_reg), (result_reg));
				}
				} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 16533, ((uint32_t)(Z_OFFSET(op2_addr))));
				} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
			dasm_put(Dst, 16536, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 16539, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 16542, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 16545, (Z_REG(op2_addr)));
				} else {
			dasm_put(Dst, 16548, (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
				}
			dasm_put(Dst, 16552, (result_reg), (result_reg));
				} else if (Z_MODE(op2_addr) == IS_REG) {
			dasm_put(Dst, 16556, (result_reg), (result_reg), (Z_REG(op2_addr)));
				} else {
					ZEND_UNREACHABLE();
				}
						break;
					case ZEND_BW_XOR:
				if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
			dasm_put(Dst, 16561, (result_reg), (result_reg));
				} else if (logical_immediate_p(Z_LVAL_P(Z_ZV(op2_addr)), 64)) {
			dasm_put(Dst, 16565, (result_reg), (result_reg), (unsigned int)(Z_LVAL_P(Z_ZV(op2_addr))), (unsigned int)((unsigned long long)(Z_LVAL_P(Z_ZV(op2_addr)))>>32));
				} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
			dasm_put(Dst, 16570);
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 16572, ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 16575, (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
			dasm_put(Dst, 16578, ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 16581, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 16584, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 16587, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 16590, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 16593, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 16596, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 16599, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 16602, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 16605, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			dasm_put(Dst, 16608, (result_reg), (result_reg));
				}
				} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 16612, ((uint32_t)(Z_OFFSET(op2_addr))));
				} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
			dasm_put(Dst, 16615, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 16618, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 16621, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 16624, (Z_REG(op2_addr)));
				} else {
			dasm_put(Dst, 16627, (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
				}
			dasm_put(Dst, 16631, (result_reg), (result_reg));
				} else if (Z_MODE(op2_addr) == IS_REG) {
			dasm_put(Dst, 16635, (result_reg), (result_reg), (Z_REG(op2_addr)));
				} else {
					ZEND_UNREACHABLE();
				}
						break;
					default:
						ZEND_UNREACHABLE();
				}
#line 4120 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}
	if (may_overflow) {
		if (res_info & MAY_BE_GUARD) {
			int32_t exit_point = zend_jit_trace_get_exit_point(opline, 0);
			const void *exit_addr = zend_jit_trace_get_exit_addr(exit_point);
			if (!exit_addr) {
				return 0;
			}
			if ((res_info & MAY_BE_ANY) == MAY_BE_LONG) {
				if (use_ovf_flag) {
					//|	bvs &exit_addr
					dasm_put(Dst, 16640, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 4132 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	bne &exit_addr
					dasm_put(Dst, 16643, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 4134 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				if (Z_MODE(res_addr) == IS_REG && result_reg != Z_REG(res_addr)) {
					//|	mov Rx(Z_REG(res_addr)), Rx(result_reg)
					dasm_put(Dst, 16646, (Z_REG(res_addr)), (result_reg));
#line 4137 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else if ((res_info & MAY_BE_ANY) == MAY_BE_DOUBLE) {
				if (use_ovf_flag) {
					//|	bvc &exit_addr
					dasm_put(Dst, 16650, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 4141 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	beq &exit_addr
					dasm_put(Dst, 16653, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 4143 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else {
				ZEND_UNREACHABLE();
			}
		} else {
			if (res_info & MAY_BE_LONG) {
				if (use_ovf_flag) {
					//|	bvs >1
					dasm_put(Dst, 16656);
#line 4151 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	bne >1
					dasm_put(Dst, 16659);
#line 4153 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else {
				if (use_ovf_flag) {
					//|	bvc >1
					dasm_put(Dst, 16662);
#line 4157 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	beq >1
					dasm_put(Dst, 16665);
#line 4159 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			}
		}
	}

	if (Z_MODE(res_addr) == IS_MEM_ZVAL && (res_info & MAY_BE_LONG)) {
		//|	SET_ZVAL_LVAL_FROM_REG res_addr, Rx(result_reg), TMP1
			if (Z_MODE(res_addr) == IS_REG) {
		dasm_put(Dst, 16668, (Z_REG(res_addr)), (result_reg));
			} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 16672, ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 16675, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 16678, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 16681, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 16684, (result_reg), (Z_REG(res_addr)));
			} else {
		dasm_put(Dst, 16688, (result_reg), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
			}
#line 4166 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (Z_MODE(op1_addr) != IS_MEM_ZVAL || Z_REG(op1_addr) != Z_REG(res_addr) || Z_OFFSET(op1_addr) != Z_OFFSET(res_addr)) {
			if ((res_use_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_REF|MAY_BE_GUARD)) != MAY_BE_LONG) {
				//|	SET_ZVAL_TYPE_INFO res_addr, IS_LONG, TMP1w, TMP2
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uint32_t)(IS_LONG)) <= MOVZ_IMM) {
				dasm_put(Dst, 16693, ((uint32_t)(IS_LONG)));
					} else if (((uint32_t)(IS_LONG) & 0xffff)) {
				dasm_put(Dst, 16696, ((uint32_t)(IS_LONG) & 0xffff));
						if ((((uint32_t)(IS_LONG) >> 16) & 0xffff)) {
				dasm_put(Dst, 16699, (((uint32_t)(IS_LONG) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 16702, (((uint32_t)(IS_LONG) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 16705, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 16708, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 16711, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 16714, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 16717, (Z_REG(res_addr)));
					} else {
				dasm_put(Dst, 16720, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
					}
#line 4169 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
	}

	if (may_overflow && (!(res_info & MAY_BE_GUARD) || (res_info & MAY_BE_ANY) == MAY_BE_DOUBLE)) {
		zend_reg tmp_reg1 = ZREG_FPR0;
		zend_reg tmp_reg2 = ZREG_FPR1;

		if (res_info & MAY_BE_LONG) {
			//|.cold_code
			dasm_put(Dst, 16724);
#line 4179 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|1:
			dasm_put(Dst, 16725);
#line 4180 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}

		do {
			if ((Z_MODE(op1_addr) == IS_CONST_ZVAL && Z_LVAL_P(Z_ZV(op1_addr)) == 1) ||
			    (Z_MODE(op2_addr) == IS_CONST_ZVAL && Z_LVAL_P(Z_ZV(op2_addr)) == 1)) {
				if (opcode == ZEND_ADD) {
					uint64_t val = 0x43e0000000000000;
					if (Z_MODE(res_addr) == IS_REG) {
						//|	LOAD_64BIT_VAL TMP1, val
							if (((uint64_t)(val)) == 0) {
						dasm_put(Dst, 16727);
							} else if (((uint64_t)(val)) <= MOVZ_IMM) {
						dasm_put(Dst, 16729, ((uint64_t)(val)));
							} else if (~((uint64_t)(val)) <= MOVZ_IMM) {
						dasm_put(Dst, 16732, (~((uint64_t)(val))));
							} else if ((uint64_t)(val) & 0xffff) {
						dasm_put(Dst, 16735, ((uint64_t)(val) & 0xffff));
								if (((uint64_t)(val) >> 16) & 0xffff) {
						dasm_put(Dst, 16738, (((uint64_t)(val) >> 16) & 0xffff));
								}
								if (((uint64_t)(val) >> 32) & 0xffff) {
						dasm_put(Dst, 16741, (((uint64_t)(val) >> 32) & 0xffff));
								}
								if ((((uint64_t)(val) >> 48) & 0xffff)) {
						dasm_put(Dst, 16744, (((uint64_t)(val) >> 48) & 0xffff));
								}
							} else if (((uint64_t)(val) >> 16) & 0xffff) {
						dasm_put(Dst, 16747, (((uint64_t)(val) >> 16) & 0xffff));
								if (((uint64_t)(val) >> 32) & 0xffff) {
						dasm_put(Dst, 16750, (((uint64_t)(val) >> 32) & 0xffff));
								}
								if ((((uint64_t)(val) >> 48) & 0xffff)) {
						dasm_put(Dst, 16753, (((uint64_t)(val) >> 48) & 0xffff));
								}
							} else if (((uint64_t)(val) >> 32) & 0xffff) {
						dasm_put(Dst, 16756, (((uint64_t)(val) >> 32) & 0xffff));
								if ((((uint64_t)(val) >> 48) & 0xffff)) {
						dasm_put(Dst, 16759, (((uint64_t)(val) >> 48) & 0xffff));
								}
							} else {
						dasm_put(Dst, 16762, (((uint64_t)(val) >> 48) & 0xffff));
							}
#line 4189 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						//|	fmov Rd(Z_REG(res_addr)-ZREG_V0), TMP1
						dasm_put(Dst, 16765, (Z_REG(res_addr)-ZREG_V0));
#line 4190 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	SET_ZVAL_LVAL res_addr, val, TMP2, TMP1
							if (val == 0) {
							if (Z_MODE(res_addr) == IS_REG) {
						dasm_put(Dst, 16768, (Z_REG(res_addr)));
							} else {
								ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
							if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
							if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
						dasm_put(Dst, 16771, ((uint32_t)(Z_OFFSET(res_addr))));
							} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
						dasm_put(Dst, 16774, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
						dasm_put(Dst, 16777, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 16780, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 16783, (Z_REG(res_addr)));
							} else {
						dasm_put(Dst, 16786, (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
							}
							}
							} else {
							if (((uint64_t)(val)) == 0) {
						dasm_put(Dst, 16790);
							} else if (((uint64_t)(val)) <= MOVZ_IMM) {
						dasm_put(Dst, 16792, ((uint64_t)(val)));
							} else if (~((uint64_t)(val)) <= MOVZ_IMM) {
						dasm_put(Dst, 16795, (~((uint64_t)(val))));
							} else if ((uint64_t)(val) & 0xffff) {
						dasm_put(Dst, 16798, ((uint64_t)(val) & 0xffff));
								if (((uint64_t)(val) >> 16) & 0xffff) {
						dasm_put(Dst, 16801, (((uint64_t)(val) >> 16) & 0xffff));
								}
								if (((uint64_t)(val) >> 32) & 0xffff) {
						dasm_put(Dst, 16804, (((uint64_t)(val) >> 32) & 0xffff));
								}
								if ((((uint64_t)(val) >> 48) & 0xffff)) {
						dasm_put(Dst, 16807, (((uint64_t)(val) >> 48) & 0xffff));
								}
							} else if (((uint64_t)(val) >> 16) & 0xffff) {
						dasm_put(Dst, 16810, (((uint64_t)(val) >> 16) & 0xffff));
								if (((uint64_t)(val) >> 32) & 0xffff) {
						dasm_put(Dst, 16813, (((uint64_t)(val) >> 32) & 0xffff));
								}
								if ((((uint64_t)(val) >> 48) & 0xffff)) {
						dasm_put(Dst, 16816, (((uint64_t)(val) >> 48) & 0xffff));
								}
							} else if (((uint64_t)(val) >> 32) & 0xffff) {
						dasm_put(Dst, 16819, (((uint64_t)(val) >> 32) & 0xffff));
								if ((((uint64_t)(val) >> 48) & 0xffff)) {
						dasm_put(Dst, 16822, (((uint64_t)(val) >> 48) & 0xffff));
								}
							} else {
						dasm_put(Dst, 16825, (((uint64_t)(val) >> 48) & 0xffff));
							}
							if (Z_MODE(res_addr) == IS_REG) {
						dasm_put(Dst, 16828, (Z_REG(res_addr)));
							} else {
								ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
							if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
							if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
						dasm_put(Dst, 16831, ((uint32_t)(Z_OFFSET(res_addr))));
							} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
						dasm_put(Dst, 16834, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
						dasm_put(Dst, 16837, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 16840, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 16843, (Z_REG(res_addr)));
							} else {
						dasm_put(Dst, 16846, (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
							}
							}
							}
#line 4192 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					break;
				} else if (opcode == ZEND_SUB) {
					uint64_t val = 0xc3e0000000000000;
					if (Z_MODE(res_addr) == IS_REG) {
						//|	LOAD_64BIT_VAL TMP1, val
							if (((uint64_t)(val)) == 0) {
						dasm_put(Dst, 16850);
							} else if (((uint64_t)(val)) <= MOVZ_IMM) {
						dasm_put(Dst, 16852, ((uint64_t)(val)));
							} else if (~((uint64_t)(val)) <= MOVZ_IMM) {
						dasm_put(Dst, 16855, (~((uint64_t)(val))));
							} else if ((uint64_t)(val) & 0xffff) {
						dasm_put(Dst, 16858, ((uint64_t)(val) & 0xffff));
								if (((uint64_t)(val) >> 16) & 0xffff) {
						dasm_put(Dst, 16861, (((uint64_t)(val) >> 16) & 0xffff));
								}
								if (((uint64_t)(val) >> 32) & 0xffff) {
						dasm_put(Dst, 16864, (((uint64_t)(val) >> 32) & 0xffff));
								}
								if ((((uint64_t)(val) >> 48) & 0xffff)) {
						dasm_put(Dst, 16867, (((uint64_t)(val) >> 48) & 0xffff));
								}
							} else if (((uint64_t)(val) >> 16) & 0xffff) {
						dasm_put(Dst, 16870, (((uint64_t)(val) >> 16) & 0xffff));
								if (((uint64_t)(val) >> 32) & 0xffff) {
						dasm_put(Dst, 16873, (((uint64_t)(val) >> 32) & 0xffff));
								}
								if ((((uint64_t)(val) >> 48) & 0xffff)) {
						dasm_put(Dst, 16876, (((uint64_t)(val) >> 48) & 0xffff));
								}
							} else if (((uint64_t)(val) >> 32) & 0xffff) {
						dasm_put(Dst, 16879, (((uint64_t)(val) >> 32) & 0xffff));
								if ((((uint64_t)(val) >> 48) & 0xffff)) {
						dasm_put(Dst, 16882, (((uint64_t)(val) >> 48) & 0xffff));
								}
							} else {
						dasm_put(Dst, 16885, (((uint64_t)(val) >> 48) & 0xffff));
							}
#line 4198 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						//|	fmov Rd(Z_REG(res_addr)-ZREG_V0), TMP1
						dasm_put(Dst, 16888, (Z_REG(res_addr)-ZREG_V0));
#line 4199 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	SET_ZVAL_LVAL res_addr, val, TMP2, TMP1
							if (val == 0) {
							if (Z_MODE(res_addr) == IS_REG) {
						dasm_put(Dst, 16891, (Z_REG(res_addr)));
							} else {
								ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
							if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
							if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
						dasm_put(Dst, 16894, ((uint32_t)(Z_OFFSET(res_addr))));
							} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
						dasm_put(Dst, 16897, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
						dasm_put(Dst, 16900, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 16903, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 16906, (Z_REG(res_addr)));
							} else {
						dasm_put(Dst, 16909, (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
							}
							}
							} else {
							if (((uint64_t)(val)) == 0) {
						dasm_put(Dst, 16913);
							} else if (((uint64_t)(val)) <= MOVZ_IMM) {
						dasm_put(Dst, 16915, ((uint64_t)(val)));
							} else if (~((uint64_t)(val)) <= MOVZ_IMM) {
						dasm_put(Dst, 16918, (~((uint64_t)(val))));
							} else if ((uint64_t)(val) & 0xffff) {
						dasm_put(Dst, 16921, ((uint64_t)(val) & 0xffff));
								if (((uint64_t)(val) >> 16) & 0xffff) {
						dasm_put(Dst, 16924, (((uint64_t)(val) >> 16) & 0xffff));
								}
								if (((uint64_t)(val) >> 32) & 0xffff) {
						dasm_put(Dst, 16927, (((uint64_t)(val) >> 32) & 0xffff));
								}
								if ((((uint64_t)(val) >> 48) & 0xffff)) {
						dasm_put(Dst, 16930, (((uint64_t)(val) >> 48) & 0xffff));
								}
							} else if (((uint64_t)(val) >> 16) & 0xffff) {
						dasm_put(Dst, 16933, (((uint64_t)(val) >> 16) & 0xffff));
								if (((uint64_t)(val) >> 32) & 0xffff) {
						dasm_put(Dst, 16936, (((uint64_t)(val) >> 32) & 0xffff));
								}
								if ((((uint64_t)(val) >> 48) & 0xffff)) {
						dasm_put(Dst, 16939, (((uint64_t)(val) >> 48) & 0xffff));
								}
							} else if (((uint64_t)(val) >> 32) & 0xffff) {
						dasm_put(Dst, 16942, (((uint64_t)(val) >> 32) & 0xffff));
								if ((((uint64_t)(val) >> 48) & 0xffff)) {
						dasm_put(Dst, 16945, (((uint64_t)(val) >> 48) & 0xffff));
								}
							} else {
						dasm_put(Dst, 16948, (((uint64_t)(val) >> 48) & 0xffff));
							}
							if (Z_MODE(res_addr) == IS_REG) {
						dasm_put(Dst, 16951, (Z_REG(res_addr)));
							} else {
								ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
							if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
							if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
						dasm_put(Dst, 16954, ((uint32_t)(Z_OFFSET(res_addr))));
							} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
						dasm_put(Dst, 16957, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
						dasm_put(Dst, 16960, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 16963, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 16966, (Z_REG(res_addr)));
							} else {
						dasm_put(Dst, 16969, (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
							}
							}
							}
#line 4201 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					break;
				}
			}

			//|	DOUBLE_GET_ZVAL_LVAL tmp_reg1, op1_addr, tmp_reg, ZREG_TMP1
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
			dasm_put(Dst, 16973, (tmp_reg1-ZREG_V0));
				} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
			dasm_put(Dst, 16976, (tmp_reg));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 16979, (tmp_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 16983, (tmp_reg), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
			dasm_put(Dst, 16987, (tmp_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 16991, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 16995, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 16999, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 17003, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 17007, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 17011, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 17015, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 17019, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 17023, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			dasm_put(Dst, 17027, (tmp_reg1-ZREG_V0), (tmp_reg));
				}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 17031, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 17035, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 17039, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 17043, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 17047, (tmp_reg), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 17052, (tmp_reg), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
			dasm_put(Dst, 17057, (tmp_reg1-ZREG_V0), (tmp_reg));
				} else if (Z_MODE(op1_addr) == IS_REG) {
			dasm_put(Dst, 17061, (tmp_reg1-ZREG_V0), (Z_REG(op1_addr)));
				} else {
					ZEND_UNREACHABLE();
				}
#line 4207 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	DOUBLE_GET_ZVAL_LVAL tmp_reg2, op2_addr, tmp_reg, ZREG_TMP1
				if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
			dasm_put(Dst, 17065, (tmp_reg2-ZREG_V0));
				} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
			dasm_put(Dst, 17068, (tmp_reg));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 17071, (tmp_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 17075, (tmp_reg), (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
			dasm_put(Dst, 17079, (tmp_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 17083, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 17087, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 17091, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 17095, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 17099, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 17103, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 17107, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 17111, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 17115, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			dasm_put(Dst, 17119, (tmp_reg2-ZREG_V0), (tmp_reg));
				}
				} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 17123, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr))));
				} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
			dasm_put(Dst, 17127, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 17131, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 17135, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 17139, (tmp_reg), (Z_REG(op2_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 17144, (tmp_reg), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
				}
			dasm_put(Dst, 17149, (tmp_reg2-ZREG_V0), (tmp_reg));
				} else if (Z_MODE(op2_addr) == IS_REG) {
			dasm_put(Dst, 17153, (tmp_reg2-ZREG_V0), (Z_REG(op2_addr)));
				} else {
					ZEND_UNREACHABLE();
				}
#line 4208 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	DOUBLE_MATH_REG opcode, tmp_reg1, tmp_reg1, tmp_reg2
				switch (opcode) {
					case ZEND_ADD:
			dasm_put(Dst, 17157, (tmp_reg1-ZREG_V0), (tmp_reg1-ZREG_V0), (tmp_reg2-ZREG_V0));
						break;
					case ZEND_SUB:
			dasm_put(Dst, 17162, (tmp_reg1-ZREG_V0), (tmp_reg1-ZREG_V0), (tmp_reg2-ZREG_V0));
						break;
					case ZEND_MUL:
			dasm_put(Dst, 17167, (tmp_reg1-ZREG_V0), (tmp_reg1-ZREG_V0), (tmp_reg2-ZREG_V0));
						break;
					case ZEND_DIV:
			dasm_put(Dst, 17172, (tmp_reg1-ZREG_V0), (tmp_reg1-ZREG_V0), (tmp_reg2-ZREG_V0));
						break;
				}
#line 4209 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	SET_ZVAL_DVAL res_addr, tmp_reg1, ZREG_TMP1
				if (Z_MODE(res_addr) == IS_REG) {
					if (tmp_reg1 != Z_REG(res_addr)) {
			dasm_put(Dst, 17177, (Z_REG(res_addr)-ZREG_V0), (tmp_reg1-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 17181, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 17185, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 17189, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 17193, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 17197, (tmp_reg1-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 17202, (tmp_reg1-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
#line 4210 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} while (0);

		if (Z_MODE(res_addr) == IS_MEM_ZVAL
		 && (res_use_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_REF|MAY_BE_GUARD)) != MAY_BE_DOUBLE) {
			//|	SET_ZVAL_TYPE_INFO res_addr, IS_DOUBLE, TMP1w, TMP2
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(IS_DOUBLE)) <= MOVZ_IMM) {
			dasm_put(Dst, 17207, ((uint32_t)(IS_DOUBLE)));
				} else if (((uint32_t)(IS_DOUBLE) & 0xffff)) {
			dasm_put(Dst, 17210, ((uint32_t)(IS_DOUBLE) & 0xffff));
					if ((((uint32_t)(IS_DOUBLE) >> 16) & 0xffff)) {
			dasm_put(Dst, 17213, (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 17216, (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 17219, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 17222, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 17225, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 17228, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 17231, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 17234, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
#line 4215 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (res_info & MAY_BE_LONG) {
			//|	b >2
			//|.code
			dasm_put(Dst, 17238);
#line 4219 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|2:
		dasm_put(Dst, 17241);
#line 4221 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	return 1;
}

static int zend_jit_math_long_double(dasm_State    **Dst,
                                     zend_uchar      opcode,
                                     zend_jit_addr   op1_addr,
                                     zend_jit_addr   op2_addr,
                                     zend_jit_addr   res_addr,
                                     uint32_t        res_use_info)
{
	zend_reg result_reg =
		(Z_MODE(res_addr) == IS_REG) ? Z_REG(res_addr) : ZREG_FPR0;
	zend_reg op2_reg;

	//|	DOUBLE_GET_ZVAL_LVAL result_reg, op1_addr, ZREG_TMP1, ZREG_TMP2
		if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
		if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
	dasm_put(Dst, 17243, (result_reg-ZREG_V0));
		} else {
		if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
	dasm_put(Dst, 17246, (ZREG_X15));
		} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
	dasm_put(Dst, 17249, (ZREG_X15), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
		} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
	dasm_put(Dst, 17253, (ZREG_X15), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
		} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
	dasm_put(Dst, 17257, (ZREG_X15), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
	dasm_put(Dst, 17261, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
			}
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
	dasm_put(Dst, 17265, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
			}
			if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
	dasm_put(Dst, 17269, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
		} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
	dasm_put(Dst, 17273, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
	dasm_put(Dst, 17277, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
			}
			if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
	dasm_put(Dst, 17281, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
		} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
	dasm_put(Dst, 17285, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
			if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
	dasm_put(Dst, 17289, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
		} else {
	dasm_put(Dst, 17293, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
		}
	dasm_put(Dst, 17297, (result_reg-ZREG_V0), (ZREG_X15));
		}
		} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
		if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 17301, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr))));
		} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
	dasm_put(Dst, 17305, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 17309, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 17313, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 17317, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 17322, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
		}
	dasm_put(Dst, 17327, (result_reg-ZREG_V0), (ZREG_X15));
		} else if (Z_MODE(op1_addr) == IS_REG) {
	dasm_put(Dst, 17331, (result_reg-ZREG_V0), (Z_REG(op1_addr)));
		} else {
			ZEND_UNREACHABLE();
		}
#line 4238 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	if (Z_MODE(op2_addr) == IS_REG) {
		op2_reg = Z_REG(op2_addr);
	} else {
		op2_reg = ZREG_FPTMP;
		//|	GET_ZVAL_DVAL op2_reg, op2_addr, ZREG_TMP1
			if (Z_MODE(op2_addr) != IS_REG || op2_reg != Z_REG(op2_addr)) {
				if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op2_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op2_addr)))) {
		dasm_put(Dst, 17335, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op2_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op2_addr)))>>32), (op2_reg-ZREG_V0), (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op2_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op2_addr)))) {
		dasm_put(Dst, 17342, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr))))))>>32), (op2_reg-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff));
			} else {
			if (((uintptr_t)(Z_ZV(op2_addr))) == 0) {
		dasm_put(Dst, 17350, (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op2_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 17353, (ZREG_X15), ((uint64_t)(Z_ZV(op2_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op2_addr)))) {
		dasm_put(Dst, 17357, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op2_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op2_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op2_addr)))) {
		dasm_put(Dst, 17361, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff) {
		dasm_put(Dst, 17365, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff) {
		dasm_put(Dst, 17370, (ZREG_X15), ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 17374, (ZREG_X15), (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 17378, (ZREG_X15), (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 17382, (ZREG_X15), (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 17386, (ZREG_X15), (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 17390, (ZREG_X15), (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
			}
		dasm_put(Dst, 17394, (op2_reg-ZREG_V0), (ZREG_X15));
			}
				} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 17398, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr))));
			} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
		dasm_put(Dst, 17402, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 17406, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 17410, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 17414, (op2_reg-ZREG_V0), (Z_REG(op2_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 17419, (op2_reg-ZREG_V0), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
			}
				} else if (Z_MODE(op2_addr) == IS_REG) {
		dasm_put(Dst, 17424, (op2_reg-ZREG_V0), (Z_REG(op2_addr)-ZREG_V0));
				} else {
					ZEND_UNREACHABLE();
				}
			}
#line 4244 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	//|	DOUBLE_MATH_REG opcode, result_reg, result_reg, op2_reg
		switch (opcode) {
			case ZEND_ADD:
	dasm_put(Dst, 17428, (result_reg-ZREG_V0), (result_reg-ZREG_V0), (op2_reg-ZREG_V0));
				break;
			case ZEND_SUB:
	dasm_put(Dst, 17433, (result_reg-ZREG_V0), (result_reg-ZREG_V0), (op2_reg-ZREG_V0));
				break;
			case ZEND_MUL:
	dasm_put(Dst, 17438, (result_reg-ZREG_V0), (result_reg-ZREG_V0), (op2_reg-ZREG_V0));
				break;
			case ZEND_DIV:
	dasm_put(Dst, 17443, (result_reg-ZREG_V0), (result_reg-ZREG_V0), (op2_reg-ZREG_V0));
				break;
		}
#line 4247 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	//|	SET_ZVAL_DVAL res_addr, result_reg, ZREG_TMP1
		if (Z_MODE(res_addr) == IS_REG) {
			if (result_reg != Z_REG(res_addr)) {
	dasm_put(Dst, 17448, (Z_REG(res_addr)-ZREG_V0), (result_reg-ZREG_V0));
			}
		} else {
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 17452, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
		} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
	dasm_put(Dst, 17456, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 17460, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 17464, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 17468, (result_reg-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
		} else {
	dasm_put(Dst, 17473, (result_reg-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
		}
		}
#line 4249 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
		if ((res_use_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_REF|MAY_BE_GUARD)) != MAY_BE_DOUBLE) {
			//|	SET_ZVAL_TYPE_INFO res_addr, IS_DOUBLE, TMP1w, TMP2
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(IS_DOUBLE)) <= MOVZ_IMM) {
			dasm_put(Dst, 17478, ((uint32_t)(IS_DOUBLE)));
				} else if (((uint32_t)(IS_DOUBLE) & 0xffff)) {
			dasm_put(Dst, 17481, ((uint32_t)(IS_DOUBLE) & 0xffff));
					if ((((uint32_t)(IS_DOUBLE) >> 16) & 0xffff)) {
			dasm_put(Dst, 17484, (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 17487, (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 17490, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 17493, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 17496, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 17499, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 17502, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 17505, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
#line 4253 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	return 1;
}

static int zend_jit_math_double_long(dasm_State    **Dst,
                                     zend_uchar      opcode,
                                     zend_jit_addr   op1_addr,
                                     zend_jit_addr   op2_addr,
                                     zend_jit_addr   res_addr,
                                     uint32_t        res_use_info)
{
	zend_reg result_reg, op1_reg, op2_reg;

	if (zend_is_commutative(opcode)
	 && (Z_MODE(res_addr) != IS_REG || Z_MODE(op1_addr) != IS_REG || Z_REG(res_addr) != Z_REG(op1_addr))) {
		if (Z_MODE(res_addr) == IS_REG) {
			result_reg = Z_REG(res_addr);
		} else {
			result_reg = ZREG_FPR0;
		}
		//|	DOUBLE_GET_ZVAL_LVAL result_reg, op2_addr, ZREG_TMP1, ZREG_TMP2
			if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
			if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
		dasm_put(Dst, 17509, (result_reg-ZREG_V0));
			} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
		dasm_put(Dst, 17512, (ZREG_X15));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 17515, (ZREG_X15), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 17519, (ZREG_X15), (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
		dasm_put(Dst, 17523, (ZREG_X15), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 17527, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 17531, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 17535, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 17539, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 17543, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 17547, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 17551, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 17555, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 17559, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
			}
		dasm_put(Dst, 17563, (result_reg-ZREG_V0), (ZREG_X15));
			}
			} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 17567, (ZREG_X16), ((uint32_t)(Z_OFFSET(op2_addr))));
			} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
		dasm_put(Dst, 17571, (ZREG_X16), ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 17575, (ZREG_X16), (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 17579, (ZREG_X16), (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 17583, (ZREG_X15), (Z_REG(op2_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 17588, (ZREG_X15), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
			}
		dasm_put(Dst, 17593, (result_reg-ZREG_V0), (ZREG_X15));
			} else if (Z_MODE(op2_addr) == IS_REG) {
		dasm_put(Dst, 17597, (result_reg-ZREG_V0), (Z_REG(op2_addr)));
			} else {
				ZEND_UNREACHABLE();
			}
#line 4276 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (Z_MODE(op1_addr) == IS_REG) {
			op1_reg = Z_REG(op1_addr);
		} else {
			op1_reg = ZREG_FPTMP;
			//|	GET_ZVAL_DVAL op1_reg, op1_addr, ZREG_TMP1
				if (Z_MODE(op1_addr) != IS_REG || op1_reg != Z_REG(op1_addr)) {
					if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 17601, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (op1_reg-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 17608, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (op1_reg-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
			dasm_put(Dst, 17616, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 17619, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 17623, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 17627, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
			dasm_put(Dst, 17631, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
			dasm_put(Dst, 17636, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 17640, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 17644, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 17648, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 17652, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 17656, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 17660, (op1_reg-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 17664, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 17668, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 17672, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 17676, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 17680, (op1_reg-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 17685, (op1_reg-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
					} else if (Z_MODE(op1_addr) == IS_REG) {
			dasm_put(Dst, 17690, (op1_reg-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
#line 4281 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	DOUBLE_MATH_REG opcode, result_reg, result_reg, op1_reg
			switch (opcode) {
				case ZEND_ADD:
		dasm_put(Dst, 17694, (result_reg-ZREG_V0), (result_reg-ZREG_V0), (op1_reg-ZREG_V0));
					break;
				case ZEND_SUB:
		dasm_put(Dst, 17699, (result_reg-ZREG_V0), (result_reg-ZREG_V0), (op1_reg-ZREG_V0));
					break;
				case ZEND_MUL:
		dasm_put(Dst, 17704, (result_reg-ZREG_V0), (result_reg-ZREG_V0), (op1_reg-ZREG_V0));
					break;
				case ZEND_DIV:
		dasm_put(Dst, 17709, (result_reg-ZREG_V0), (result_reg-ZREG_V0), (op1_reg-ZREG_V0));
					break;
			}
#line 4283 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		if (Z_MODE(res_addr) == IS_REG) {
			result_reg = Z_REG(res_addr);
		} else if (Z_MODE(op1_addr) == IS_REG && Z_LAST_USE(op1_addr)) {
			result_reg = Z_REG(op1_addr);
		} else {
			result_reg = ZREG_FPR0;
		}

		if (Z_MODE(op1_addr) == IS_REG) {
			op1_reg = Z_REG(op1_addr);
		} else {
			//|	GET_ZVAL_DVAL result_reg, op1_addr, ZREG_TMP1
				if (Z_MODE(op1_addr) != IS_REG || result_reg != Z_REG(op1_addr)) {
					if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 17714, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (result_reg-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 17721, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (result_reg-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
			dasm_put(Dst, 17729, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 17732, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 17736, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 17740, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
			dasm_put(Dst, 17744, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
			dasm_put(Dst, 17749, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 17753, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 17757, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 17761, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 17765, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 17769, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 17773, (result_reg-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 17777, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 17781, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 17785, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 17789, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 17793, (result_reg-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 17798, (result_reg-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
					} else if (Z_MODE(op1_addr) == IS_REG) {
			dasm_put(Dst, 17803, (result_reg-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
#line 4296 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			op1_reg = result_reg;
		}
		if ((opcode == ZEND_ADD || opcode == ZEND_SUB)
		 && Z_MODE(op2_addr) == IS_CONST_ZVAL
		 && Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
			/* +/- 0 */
		} else {
			op2_reg = ZREG_FPTMP;
			//|	DOUBLE_GET_ZVAL_LVAL op2_reg, op2_addr, ZREG_TMP1, ZREG_TMP2
				if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
			dasm_put(Dst, 17807, (op2_reg-ZREG_V0));
				} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
			dasm_put(Dst, 17810, (ZREG_X15));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 17813, (ZREG_X15), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 17817, (ZREG_X15), (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
			dasm_put(Dst, 17821, (ZREG_X15), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 17825, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 17829, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 17833, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 17837, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 17841, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 17845, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 17849, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 17853, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 17857, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			dasm_put(Dst, 17861, (op2_reg-ZREG_V0), (ZREG_X15));
				}
				} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 17865, (ZREG_X16), ((uint32_t)(Z_OFFSET(op2_addr))));
				} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
			dasm_put(Dst, 17869, (ZREG_X16), ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 17873, (ZREG_X16), (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 17877, (ZREG_X16), (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 17881, (ZREG_X15), (Z_REG(op2_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 17886, (ZREG_X15), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
				}
			dasm_put(Dst, 17891, (op2_reg-ZREG_V0), (ZREG_X15));
				} else if (Z_MODE(op2_addr) == IS_REG) {
			dasm_put(Dst, 17895, (op2_reg-ZREG_V0), (Z_REG(op2_addr)));
				} else {
					ZEND_UNREACHABLE();
				}
#line 4305 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	DOUBLE_MATH_REG opcode, result_reg, op1_reg, op2_reg
				switch (opcode) {
					case ZEND_ADD:
			dasm_put(Dst, 17899, (result_reg-ZREG_V0), (op1_reg-ZREG_V0), (op2_reg-ZREG_V0));
						break;
					case ZEND_SUB:
			dasm_put(Dst, 17904, (result_reg-ZREG_V0), (op1_reg-ZREG_V0), (op2_reg-ZREG_V0));
						break;
					case ZEND_MUL:
			dasm_put(Dst, 17909, (result_reg-ZREG_V0), (op1_reg-ZREG_V0), (op2_reg-ZREG_V0));
						break;
					case ZEND_DIV:
			dasm_put(Dst, 17914, (result_reg-ZREG_V0), (op1_reg-ZREG_V0), (op2_reg-ZREG_V0));
						break;
				}
#line 4306 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	//|	SET_ZVAL_DVAL res_addr, result_reg, ZREG_TMP1
		if (Z_MODE(res_addr) == IS_REG) {
			if (result_reg != Z_REG(res_addr)) {
	dasm_put(Dst, 17919, (Z_REG(res_addr)-ZREG_V0), (result_reg-ZREG_V0));
			}
		} else {
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 17923, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
		} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
	dasm_put(Dst, 17927, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 17931, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 17935, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 17939, (result_reg-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
		} else {
	dasm_put(Dst, 17944, (result_reg-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
		}
		}
#line 4310 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
		if (Z_MODE(op1_addr) != IS_MEM_ZVAL || Z_REG(op1_addr) != Z_REG(res_addr) || Z_OFFSET(op1_addr) != Z_OFFSET(res_addr)) {
			if ((res_use_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_REF|MAY_BE_GUARD)) != MAY_BE_DOUBLE) {
				//|	SET_ZVAL_TYPE_INFO res_addr, IS_DOUBLE, TMP1w, TMP2
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uint32_t)(IS_DOUBLE)) <= MOVZ_IMM) {
				dasm_put(Dst, 17949, ((uint32_t)(IS_DOUBLE)));
					} else if (((uint32_t)(IS_DOUBLE) & 0xffff)) {
				dasm_put(Dst, 17952, ((uint32_t)(IS_DOUBLE) & 0xffff));
						if ((((uint32_t)(IS_DOUBLE) >> 16) & 0xffff)) {
				dasm_put(Dst, 17955, (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 17958, (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 17961, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 17964, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 17967, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 17970, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 17973, (Z_REG(res_addr)));
					} else {
				dasm_put(Dst, 17976, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
					}
#line 4315 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
	}

	return 1;
}

static int zend_jit_math_double_double(dasm_State    **Dst,
                                       zend_uchar      opcode,
                                       zend_jit_addr   op1_addr,
                                       zend_jit_addr   op2_addr,
                                       zend_jit_addr   res_addr,
                                       uint32_t        res_use_info)
{
	bool same_ops = zend_jit_same_addr(op1_addr, op2_addr);
	zend_reg result_reg, op1_reg, op2_reg;
	zend_jit_addr val_addr;

	if (Z_MODE(res_addr) == IS_REG) {
		result_reg = Z_REG(res_addr);
	} else if (Z_MODE(op1_addr) == IS_REG && Z_LAST_USE(op1_addr)) {
		result_reg = Z_REG(op1_addr);
	} else if (zend_is_commutative(opcode) && Z_MODE(op2_addr) == IS_REG && Z_LAST_USE(op2_addr)) {
		result_reg = Z_REG(op2_addr);
	} else {
		result_reg = ZREG_FPR0;
	}

	if (Z_MODE(op1_addr) == IS_REG) {
		op1_reg = Z_REG(op1_addr);
		val_addr = op2_addr;
	} else if (Z_MODE(op2_addr) == IS_REG && zend_is_commutative(opcode)) {
		op1_reg = Z_REG(op2_addr);
		val_addr = op1_addr;
	} else {
		//|	GET_ZVAL_DVAL result_reg, op1_addr, ZREG_TMP1
			if (Z_MODE(op1_addr) != IS_REG || result_reg != Z_REG(op1_addr)) {
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 17980, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (result_reg-ZREG_V0), (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 17987, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (result_reg-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
			} else {
			if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
		dasm_put(Dst, 17995, (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 17998, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 18002, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 18006, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
		dasm_put(Dst, 18010, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
		dasm_put(Dst, 18015, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 18019, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 18023, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 18027, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 18031, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 18035, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
		dasm_put(Dst, 18039, (result_reg-ZREG_V0), (ZREG_X15));
			}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 18043, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 18047, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 18051, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 18055, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 18059, (result_reg-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 18064, (result_reg-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
				} else if (Z_MODE(op1_addr) == IS_REG) {
		dasm_put(Dst, 18069, (result_reg-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
				} else {
					ZEND_UNREACHABLE();
				}
			}
#line 4351 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		op1_reg = result_reg;
		val_addr = op2_addr;
	}

	if ((opcode == ZEND_MUL) &&
		Z_MODE(val_addr) == IS_CONST_ZVAL && Z_DVAL_P(Z_ZV(val_addr)) == 2.0) {
		//|	DOUBLE_MATH_REG ZEND_ADD, result_reg, op1_reg, op1_reg
			switch (ZEND_ADD) {
				case ZEND_ADD:
		dasm_put(Dst, 18073, (result_reg-ZREG_V0), (op1_reg-ZREG_V0), (op1_reg-ZREG_V0));
					break;
				case ZEND_SUB:
		dasm_put(Dst, 18078, (result_reg-ZREG_V0), (op1_reg-ZREG_V0), (op1_reg-ZREG_V0));
					break;
				case ZEND_MUL:
		dasm_put(Dst, 18083, (result_reg-ZREG_V0), (op1_reg-ZREG_V0), (op1_reg-ZREG_V0));
					break;
				case ZEND_DIV:
		dasm_put(Dst, 18088, (result_reg-ZREG_V0), (op1_reg-ZREG_V0), (op1_reg-ZREG_V0));
					break;
			}
#line 4358 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		if (same_ops) {
			op2_reg = op1_reg;
		} else if (Z_MODE(val_addr) == IS_REG) {
			op2_reg = Z_REG(val_addr);
		} else {
			op2_reg = ZREG_FPTMP;
			//|	GET_ZVAL_DVAL op2_reg, val_addr, ZREG_TMP1
				if (Z_MODE(val_addr) != IS_REG || op2_reg != Z_REG(val_addr)) {
					if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 18093, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32), (op2_reg-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 18100, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32), (op2_reg-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(val_addr))) == 0) {
			dasm_put(Dst, 18108, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 18111, (ZREG_X15), ((uint64_t)(Z_ZV(val_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 18115, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 18119, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(val_addr))) & 0xfff) {
			dasm_put(Dst, 18123, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(val_addr)) & 0xffff) {
			dasm_put(Dst, 18128, (ZREG_X15), ((uintptr_t)(Z_ZV(val_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 18132, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 18136, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 18140, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 18144, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 18148, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 18152, (op2_reg-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 18156, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 18160, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 18164, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 18168, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 18172, (op2_reg-ZREG_V0), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 18177, (op2_reg-ZREG_V0), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
					} else if (Z_MODE(val_addr) == IS_REG) {
			dasm_put(Dst, 18182, (op2_reg-ZREG_V0), (Z_REG(val_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
#line 4366 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	DOUBLE_MATH_REG opcode, result_reg, op1_reg, op2_reg
			switch (opcode) {
				case ZEND_ADD:
		dasm_put(Dst, 18186, (result_reg-ZREG_V0), (op1_reg-ZREG_V0), (op2_reg-ZREG_V0));
					break;
				case ZEND_SUB:
		dasm_put(Dst, 18191, (result_reg-ZREG_V0), (op1_reg-ZREG_V0), (op2_reg-ZREG_V0));
					break;
				case ZEND_MUL:
		dasm_put(Dst, 18196, (result_reg-ZREG_V0), (op1_reg-ZREG_V0), (op2_reg-ZREG_V0));
					break;
				case ZEND_DIV:
		dasm_put(Dst, 18201, (result_reg-ZREG_V0), (op1_reg-ZREG_V0), (op2_reg-ZREG_V0));
					break;
			}
#line 4368 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	//|	SET_ZVAL_DVAL res_addr, result_reg, ZREG_TMP1
		if (Z_MODE(res_addr) == IS_REG) {
			if (result_reg != Z_REG(res_addr)) {
	dasm_put(Dst, 18206, (Z_REG(res_addr)-ZREG_V0), (result_reg-ZREG_V0));
			}
		} else {
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 18210, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
		} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
	dasm_put(Dst, 18214, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 18218, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 18222, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 18226, (result_reg-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
		} else {
	dasm_put(Dst, 18231, (result_reg-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
		}
		}
#line 4371 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
		if (Z_MODE(op1_addr) != IS_MEM_ZVAL || Z_REG(op1_addr) != Z_REG(res_addr) || Z_OFFSET(op1_addr) != Z_OFFSET(res_addr)) {
			if ((res_use_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_REF|MAY_BE_GUARD)) != MAY_BE_DOUBLE) {
				//|	SET_ZVAL_TYPE_INFO res_addr, IS_DOUBLE, TMP1w, TMP2
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uint32_t)(IS_DOUBLE)) <= MOVZ_IMM) {
				dasm_put(Dst, 18236, ((uint32_t)(IS_DOUBLE)));
					} else if (((uint32_t)(IS_DOUBLE) & 0xffff)) {
				dasm_put(Dst, 18239, ((uint32_t)(IS_DOUBLE) & 0xffff));
						if ((((uint32_t)(IS_DOUBLE) >> 16) & 0xffff)) {
				dasm_put(Dst, 18242, (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 18245, (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 18248, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 18251, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 18254, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 18257, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 18260, (Z_REG(res_addr)));
					} else {
				dasm_put(Dst, 18263, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
					}
#line 4376 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
	}
	return 1;
}

static int zend_jit_math_helper(dasm_State    **Dst,
                                const zend_op  *opline,
                                zend_uchar      opcode,
                                zend_uchar      op1_type,
                                znode_op        op1,
                                zend_jit_addr   op1_addr,
                                uint32_t        op1_info,
                                zend_uchar      op2_type,
                                znode_op        op2,
                                zend_jit_addr   op2_addr,
                                uint32_t        op2_info,
                                uint32_t        res_var,
                                zend_jit_addr   res_addr,
                                uint32_t        res_info,
                                uint32_t        res_use_info,
                                int             may_overflow,
                                int             may_throw)
/* Labels: 1,2,3,4,5,6 */
{
	bool same_ops = zend_jit_same_addr(op1_addr, op2_addr);

	if ((op1_info & MAY_BE_LONG) && (op2_info & MAY_BE_LONG) && (res_info & (MAY_BE_LONG|MAY_BE_DOUBLE))) {
		if (op1_info & (MAY_BE_ANY-MAY_BE_LONG)) {
			if (op1_info & MAY_BE_DOUBLE) {
				//|	IF_NOT_ZVAL_TYPE op1_addr, IS_LONG, >3, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 18267, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 18271, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 18275, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 18279, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 18283, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 18288, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_LONG == 0) {
				dasm_put(Dst, 18293, (ZREG_X15));
					} else {
				dasm_put(Dst, 18297, (ZREG_X15), IS_LONG);
					}
#line 4407 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	IF_NOT_ZVAL_TYPE op1_addr, IS_LONG, >6, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 18303, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 18307, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 18311, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 18315, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 18319, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 18324, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_LONG == 0) {
				dasm_put(Dst, 18329, (ZREG_X15));
					} else {
				dasm_put(Dst, 18333, (ZREG_X15), IS_LONG);
					}
#line 4409 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
		if (!same_ops && (op2_info & (MAY_BE_ANY-MAY_BE_LONG))) {
			if (op2_info & MAY_BE_DOUBLE) {
				//|	IF_NOT_ZVAL_TYPE op2_addr, IS_LONG, >1, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(op2_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 18339, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 18343, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 18347, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 18351, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 18355, (ZREG_X15), (Z_REG(op2_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 18360, (ZREG_X15), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_LONG == 0) {
				dasm_put(Dst, 18365, (ZREG_X15));
					} else {
				dasm_put(Dst, 18369, (ZREG_X15), IS_LONG);
					}
#line 4414 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|.cold_code
				dasm_put(Dst, 18375);
#line 4415 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|1:
				dasm_put(Dst, 18376);
#line 4416 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				if (op2_info & (MAY_BE_ANY-(MAY_BE_LONG|MAY_BE_DOUBLE))) {
					//|	IF_NOT_ZVAL_TYPE op2_addr, IS_DOUBLE, >6, ZREG_TMP1
						ZEND_ASSERT(Z_MODE(op2_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 18378, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 18382, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 18386, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 18390, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 18394, (ZREG_X15), (Z_REG(op2_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 18399, (ZREG_X15), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)));
						}
						if (IS_DOUBLE == 0) {
					dasm_put(Dst, 18404, (ZREG_X15));
						} else {
					dasm_put(Dst, 18408, (ZREG_X15), IS_DOUBLE);
						}
#line 4418 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				if (!zend_jit_math_long_double(Dst, opcode, op1_addr, op2_addr, res_addr, res_use_info)) {
					return 0;
				}
				//|	b >5
				//|.code
				dasm_put(Dst, 18414);
#line 4424 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	IF_NOT_ZVAL_TYPE op2_addr, IS_LONG, >6, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(op2_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 18417, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 18421, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 18425, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 18429, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 18433, (ZREG_X15), (Z_REG(op2_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 18438, (ZREG_X15), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_LONG == 0) {
				dasm_put(Dst, 18443, (ZREG_X15));
					} else {
				dasm_put(Dst, 18447, (ZREG_X15), IS_LONG);
					}
#line 4426 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
		if (!zend_jit_math_long_long(Dst, opline, opcode, op1_addr, op2_addr, res_addr, res_info, res_use_info, may_overflow)) {
			return 0;
		}
		if (op1_info & MAY_BE_DOUBLE) {
			//|.cold_code
			dasm_put(Dst, 18453);
#line 4433 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|3:
			dasm_put(Dst, 18454);
#line 4434 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (op1_info & (MAY_BE_ANY-(MAY_BE_LONG|MAY_BE_DOUBLE))) {
				//|	IF_NOT_ZVAL_TYPE op1_addr, IS_DOUBLE, >6, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 18456, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 18460, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 18464, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 18468, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 18472, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 18477, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_DOUBLE == 0) {
				dasm_put(Dst, 18482, (ZREG_X15));
					} else {
				dasm_put(Dst, 18486, (ZREG_X15), IS_DOUBLE);
					}
#line 4436 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if (op2_info & MAY_BE_DOUBLE) {
				if (!same_ops && (op2_info & (MAY_BE_ANY-MAY_BE_DOUBLE))) {
					if (!same_ops) {
						//|	IF_NOT_ZVAL_TYPE, op2_addr, IS_DOUBLE, >1, ZREG_TMP1
							ZEND_ASSERT(Z_MODE(op2_addr) == IS_MEM_ZVAL);
							if (((uintptr_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
							if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
						dasm_put(Dst, 18492, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))));
							} else if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
						dasm_put(Dst, 18496, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
						dasm_put(Dst, 18500, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 18504, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 18508, (ZREG_X15), (Z_REG(op2_addr)), (ZREG_X15));
							} else {
						dasm_put(Dst, 18513, (ZREG_X15), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)));
							}
							if (IS_DOUBLE == 0) {
						dasm_put(Dst, 18518, (ZREG_X15));
							} else {
						dasm_put(Dst, 18522, (ZREG_X15), IS_DOUBLE);
							}
#line 4441 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	IF_NOT_ZVAL_TYPE, op2_addr, IS_DOUBLE, >6, ZREG_TMP1
							ZEND_ASSERT(Z_MODE(op2_addr) == IS_MEM_ZVAL);
							if (((uintptr_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
							if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
						dasm_put(Dst, 18528, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))));
							} else if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
						dasm_put(Dst, 18532, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
						dasm_put(Dst, 18536, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 18540, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 18544, (ZREG_X15), (Z_REG(op2_addr)), (ZREG_X15));
							} else {
						dasm_put(Dst, 18549, (ZREG_X15), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)));
							}
							if (IS_DOUBLE == 0) {
						dasm_put(Dst, 18554, (ZREG_X15));
							} else {
						dasm_put(Dst, 18558, (ZREG_X15), IS_DOUBLE);
							}
#line 4443 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				}
				if (!zend_jit_math_double_double(Dst, opcode, op1_addr, op2_addr, res_addr, res_use_info)) {
					return 0;
				}
				//|	b >5
				dasm_put(Dst, 18564);
#line 4449 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if (!same_ops) {
				//|1:
				dasm_put(Dst, 18567);
#line 4452 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				if (op2_info & (MAY_BE_ANY-(MAY_BE_LONG|MAY_BE_DOUBLE))) {
					//|	IF_NOT_ZVAL_TYPE op2_addr, IS_LONG, >6, ZREG_TMP1
						ZEND_ASSERT(Z_MODE(op2_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 18569, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 18573, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 18577, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 18581, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 18585, (ZREG_X15), (Z_REG(op2_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 18590, (ZREG_X15), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)));
						}
						if (IS_LONG == 0) {
					dasm_put(Dst, 18595, (ZREG_X15));
						} else {
					dasm_put(Dst, 18599, (ZREG_X15), IS_LONG);
						}
#line 4454 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				if (!zend_jit_math_double_long(Dst, opcode, op1_addr, op2_addr, res_addr, res_use_info)) {
					return 0;
				}
				//|	b >5
				dasm_put(Dst, 18605);
#line 4459 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|.code
			dasm_put(Dst, 18608);
#line 4461 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else if ((op1_info & MAY_BE_DOUBLE) &&
	           !(op1_info & MAY_BE_LONG) &&
	           (op2_info & (MAY_BE_LONG|MAY_BE_DOUBLE)) &&
	           (res_info & MAY_BE_DOUBLE)) {
		if (op1_info & (MAY_BE_ANY-MAY_BE_DOUBLE)) {
			//|	IF_NOT_ZVAL_TYPE op1_addr, IS_DOUBLE, >6, ZREG_TMP1
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 18609, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 18613, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 18617, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 18621, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 18625, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 18630, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_DOUBLE == 0) {
			dasm_put(Dst, 18635, (ZREG_X15));
				} else {
			dasm_put(Dst, 18639, (ZREG_X15), IS_DOUBLE);
				}
#line 4468 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (op2_info & MAY_BE_DOUBLE) {
			if (!same_ops && (op2_info & (MAY_BE_ANY-MAY_BE_DOUBLE))) {
				if (!same_ops && (op2_info & MAY_BE_LONG)) {
					//|	IF_NOT_ZVAL_TYPE op2_addr, IS_DOUBLE, >1, ZREG_TMP1
						ZEND_ASSERT(Z_MODE(op2_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 18645, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 18649, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 18653, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 18657, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 18661, (ZREG_X15), (Z_REG(op2_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 18666, (ZREG_X15), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)));
						}
						if (IS_DOUBLE == 0) {
					dasm_put(Dst, 18671, (ZREG_X15));
						} else {
					dasm_put(Dst, 18675, (ZREG_X15), IS_DOUBLE);
						}
#line 4473 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	IF_NOT_ZVAL_TYPE op2_addr, IS_DOUBLE, >6, ZREG_TMP1
						ZEND_ASSERT(Z_MODE(op2_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 18681, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 18685, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 18689, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 18693, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 18697, (ZREG_X15), (Z_REG(op2_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 18702, (ZREG_X15), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)));
						}
						if (IS_DOUBLE == 0) {
					dasm_put(Dst, 18707, (ZREG_X15));
						} else {
					dasm_put(Dst, 18711, (ZREG_X15), IS_DOUBLE);
						}
#line 4475 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			}
			if (!zend_jit_math_double_double(Dst, opcode, op1_addr, op2_addr, res_addr, res_use_info)) {
				return 0;
			}
		}
		if (!same_ops && (op2_info & MAY_BE_LONG)) {
			if (op2_info & MAY_BE_DOUBLE) {
				//|.cold_code
				dasm_put(Dst, 18717);
#line 4484 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		    //|1:
		    dasm_put(Dst, 18718);
#line 4486 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (op2_info & (MAY_BE_ANY-(MAY_BE_DOUBLE|MAY_BE_LONG))) {
				//|	IF_NOT_ZVAL_TYPE op2_addr, IS_LONG, >6, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(op2_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 18720, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 18724, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 18728, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 18732, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 18736, (ZREG_X15), (Z_REG(op2_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 18741, (ZREG_X15), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_LONG == 0) {
				dasm_put(Dst, 18746, (ZREG_X15));
					} else {
				dasm_put(Dst, 18750, (ZREG_X15), IS_LONG);
					}
#line 4488 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if (!zend_jit_math_double_long(Dst, opcode, op1_addr, op2_addr, res_addr, res_use_info)) {
				return 0;
			}
			if (op2_info & MAY_BE_DOUBLE) {
				//|	b >5
				//|.code
				dasm_put(Dst, 18756);
#line 4495 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
	} else if ((op2_info & MAY_BE_DOUBLE) &&
	           !(op2_info & MAY_BE_LONG) &&
	           (op1_info & (MAY_BE_LONG|MAY_BE_DOUBLE)) &&
	           (res_info & MAY_BE_DOUBLE)) {
		if (op2_info & (MAY_BE_ANY-MAY_BE_DOUBLE)) {
			//|	IF_NOT_ZVAL_TYPE op2_addr, IS_DOUBLE, >6, ZREG_TMP1
				ZEND_ASSERT(Z_MODE(op2_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 18759, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 18763, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 18767, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 18771, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 18775, (ZREG_X15), (Z_REG(op2_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 18780, (ZREG_X15), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_DOUBLE == 0) {
			dasm_put(Dst, 18785, (ZREG_X15));
				} else {
			dasm_put(Dst, 18789, (ZREG_X15), IS_DOUBLE);
				}
#line 4503 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (op1_info & MAY_BE_DOUBLE) {
			if (!same_ops && (op1_info & (MAY_BE_ANY-MAY_BE_DOUBLE))) {
				if (!same_ops && (op1_info & MAY_BE_LONG)) {
					//|	IF_NOT_ZVAL_TYPE op1_addr, IS_DOUBLE, >1, ZREG_TMP1
						ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 18795, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 18799, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 18803, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 18807, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 18811, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 18816, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
						}
						if (IS_DOUBLE == 0) {
					dasm_put(Dst, 18821, (ZREG_X15));
						} else {
					dasm_put(Dst, 18825, (ZREG_X15), IS_DOUBLE);
						}
#line 4508 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	IF_NOT_ZVAL_TYPE op1_addr, IS_DOUBLE, >6, ZREG_TMP1
						ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 18831, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 18835, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 18839, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 18843, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 18847, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 18852, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
						}
						if (IS_DOUBLE == 0) {
					dasm_put(Dst, 18857, (ZREG_X15));
						} else {
					dasm_put(Dst, 18861, (ZREG_X15), IS_DOUBLE);
						}
#line 4510 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			}
			if (!zend_jit_math_double_double(Dst, opcode, op1_addr, op2_addr, res_addr, res_use_info)) {
				return 0;
			}
		}
		if (!same_ops && (op1_info & MAY_BE_LONG)) {
			if (op1_info & MAY_BE_DOUBLE) {
				//|.cold_code
				dasm_put(Dst, 18867);
#line 4519 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|1:
			dasm_put(Dst, 18868);
#line 4521 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (op1_info & (MAY_BE_ANY-(MAY_BE_DOUBLE|MAY_BE_LONG))) {
				//|	IF_NOT_ZVAL_TYPE op1_addr, IS_LONG, >6, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 18870, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 18874, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 18878, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 18882, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 18886, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 18891, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_LONG == 0) {
				dasm_put(Dst, 18896, (ZREG_X15));
					} else {
				dasm_put(Dst, 18900, (ZREG_X15), IS_LONG);
					}
#line 4523 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if (!zend_jit_math_long_double(Dst, opcode, op1_addr, op2_addr, res_addr, res_use_info)) {
				return 0;
			}
			if (op1_info & MAY_BE_DOUBLE) {
				//|	b >5
				//|.code
				dasm_put(Dst, 18906);
#line 4530 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
	}

	//|5:
	dasm_put(Dst, 18909);
#line 4535 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	if ((op1_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-(MAY_BE_LONG|MAY_BE_DOUBLE))) ||
		(op2_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-(MAY_BE_LONG|MAY_BE_DOUBLE)))) {
		if ((op1_info & (MAY_BE_LONG|MAY_BE_DOUBLE)) &&
		    (op2_info & (MAY_BE_LONG|MAY_BE_DOUBLE)) &&
		    (res_info & (MAY_BE_LONG|MAY_BE_DOUBLE))) {
			//|.cold_code
			dasm_put(Dst, 18911);
#line 4542 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|6:
		dasm_put(Dst, 18912);
#line 4544 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (Z_MODE(op1_addr) != IS_MEM_ZVAL || Z_REG(op1_addr) != ZREG_FCARG1) {
			if (Z_MODE(res_addr) == IS_REG) {
				zend_jit_addr real_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, res_var);
				//|	LOAD_ZVAL_ADDR FCARG1x, real_addr
					if (Z_MODE(real_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(real_addr))) == 0) {
				dasm_put(Dst, 18914);
					} else if (((uintptr_t)(Z_ZV(real_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 18916, ((uint64_t)(Z_ZV(real_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(real_addr)))) {
				dasm_put(Dst, 18919, (unsigned int)((ptrdiff_t)(Z_ZV(real_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(real_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(real_addr)))) {
				dasm_put(Dst, 18922, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(real_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(real_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(real_addr))) & 0xfff) {
				dasm_put(Dst, 18925, (((uintptr_t)(Z_ZV(real_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(real_addr)) & 0xffff) {
				dasm_put(Dst, 18928, ((uintptr_t)(Z_ZV(real_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(real_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 18931, (((uintptr_t)(Z_ZV(real_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(real_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 18934, (((uintptr_t)(Z_ZV(real_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(real_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 18937, (((uintptr_t)(Z_ZV(real_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(real_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 18940, (((uintptr_t)(Z_ZV(real_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 18943, (((uintptr_t)(Z_ZV(real_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(real_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(real_addr)) {
					if (Z_OFFSET(real_addr) == 0) {
				dasm_put(Dst, 18946, (Z_REG(real_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(real_addr)))) {
				dasm_put(Dst, 18949, (Z_REG(real_addr)), Z_OFFSET(real_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(real_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 18953, ((uint32_t)(Z_OFFSET(real_addr))));
					} else if (((uint32_t)(Z_OFFSET(real_addr)) & 0xffff)) {
				dasm_put(Dst, 18956, ((uint32_t)(Z_OFFSET(real_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(real_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 18959, (((uint32_t)(Z_OFFSET(real_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 18962, (((uint32_t)(Z_OFFSET(real_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 18965, (Z_REG(real_addr)));
					}
						} else {
							if (Z_REG(real_addr) == ZREG_RSP) {
				dasm_put(Dst, 18968);
							} else {
				dasm_put(Dst, 18970, (Z_REG(real_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 4548 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else if (Z_REG(res_addr) != ZREG_FCARG1 || Z_OFFSET(res_addr) != 0) {
				//|	LOAD_ZVAL_ADDR FCARG1x, res_addr
					if (Z_MODE(res_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(res_addr))) == 0) {
				dasm_put(Dst, 18973);
					} else if (((uintptr_t)(Z_ZV(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 18975, ((uint64_t)(Z_ZV(res_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 18978, (unsigned int)((ptrdiff_t)(Z_ZV(res_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(res_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 18981, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(res_addr))) & 0xfff) {
				dasm_put(Dst, 18984, (((uintptr_t)(Z_ZV(res_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(res_addr)) & 0xffff) {
				dasm_put(Dst, 18987, ((uintptr_t)(Z_ZV(res_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 18990, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 18993, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 18996, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 18999, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 19002, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(res_addr)) {
					if (Z_OFFSET(res_addr) == 0) {
				dasm_put(Dst, 19005, (Z_REG(res_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(res_addr)))) {
				dasm_put(Dst, 19008, (Z_REG(res_addr)), Z_OFFSET(res_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 19012, ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 19015, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 19018, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 19021, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 19024, (Z_REG(res_addr)));
					}
						} else {
							if (Z_REG(res_addr) == ZREG_RSP) {
				dasm_put(Dst, 19027);
							} else {
				dasm_put(Dst, 19029, (Z_REG(res_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 4550 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if (Z_MODE(op1_addr) == IS_REG) {
				zend_jit_addr real_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, op1.var);
				if (!zend_jit_spill_store(Dst, op1_addr, real_addr, op1_info, 1)) {
					return 0;
				}
				op1_addr = real_addr;
			}
			//|	LOAD_ZVAL_ADDR FCARG2x, op1_addr
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
			dasm_put(Dst, 19032);
				} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 19034, ((uint64_t)(Z_ZV(op1_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 19037, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 19040, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
			dasm_put(Dst, 19043, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
			dasm_put(Dst, 19046, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 19049, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 19052, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 19055, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 19058, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 19061, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(op1_addr)) {
				if (Z_OFFSET(op1_addr) == 0) {
			dasm_put(Dst, 19064, (Z_REG(op1_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
			dasm_put(Dst, 19067, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 19071, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 19074, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 19077, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 19080, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 19083, (Z_REG(op1_addr)));
				}
					} else {
						if (Z_REG(op1_addr) == ZREG_RSP) {
			dasm_put(Dst, 19086);
						} else {
			dasm_put(Dst, 19088, (Z_REG(op1_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 4559 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			if (Z_MODE(op1_addr) == IS_REG) {
				zend_jit_addr real_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, op1.var);
				if (!zend_jit_spill_store(Dst, op1_addr, real_addr, op1_info, 1)) {
					return 0;
				}
				op1_addr = real_addr;
			}
			//|	LOAD_ZVAL_ADDR FCARG2x, op1_addr
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
			dasm_put(Dst, 19091);
				} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 19093, ((uint64_t)(Z_ZV(op1_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 19096, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 19099, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
			dasm_put(Dst, 19102, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
			dasm_put(Dst, 19105, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 19108, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 19111, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 19114, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 19117, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 19120, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(op1_addr)) {
				if (Z_OFFSET(op1_addr) == 0) {
			dasm_put(Dst, 19123, (Z_REG(op1_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
			dasm_put(Dst, 19126, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 19130, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 19133, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 19136, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 19139, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 19142, (Z_REG(op1_addr)));
				}
					} else {
						if (Z_REG(op1_addr) == ZREG_RSP) {
			dasm_put(Dst, 19145);
						} else {
			dasm_put(Dst, 19147, (Z_REG(op1_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 4568 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (Z_MODE(res_addr) == IS_REG) {
				zend_jit_addr real_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, res_var);
				//|	LOAD_ZVAL_ADDR FCARG1x, real_addr
					if (Z_MODE(real_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(real_addr))) == 0) {
				dasm_put(Dst, 19150);
					} else if (((uintptr_t)(Z_ZV(real_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 19152, ((uint64_t)(Z_ZV(real_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(real_addr)))) {
				dasm_put(Dst, 19155, (unsigned int)((ptrdiff_t)(Z_ZV(real_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(real_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(real_addr)))) {
				dasm_put(Dst, 19158, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(real_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(real_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(real_addr))) & 0xfff) {
				dasm_put(Dst, 19161, (((uintptr_t)(Z_ZV(real_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(real_addr)) & 0xffff) {
				dasm_put(Dst, 19164, ((uintptr_t)(Z_ZV(real_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(real_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 19167, (((uintptr_t)(Z_ZV(real_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(real_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 19170, (((uintptr_t)(Z_ZV(real_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(real_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 19173, (((uintptr_t)(Z_ZV(real_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(real_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 19176, (((uintptr_t)(Z_ZV(real_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 19179, (((uintptr_t)(Z_ZV(real_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(real_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(real_addr)) {
					if (Z_OFFSET(real_addr) == 0) {
				dasm_put(Dst, 19182, (Z_REG(real_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(real_addr)))) {
				dasm_put(Dst, 19185, (Z_REG(real_addr)), Z_OFFSET(real_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(real_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 19189, ((uint32_t)(Z_OFFSET(real_addr))));
					} else if (((uint32_t)(Z_OFFSET(real_addr)) & 0xffff)) {
				dasm_put(Dst, 19192, ((uint32_t)(Z_OFFSET(real_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(real_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 19195, (((uint32_t)(Z_OFFSET(real_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 19198, (((uint32_t)(Z_OFFSET(real_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 19201, (Z_REG(real_addr)));
					}
						} else {
							if (Z_REG(real_addr) == ZREG_RSP) {
				dasm_put(Dst, 19204);
							} else {
				dasm_put(Dst, 19206, (Z_REG(real_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 4571 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else if (Z_REG(res_addr) != ZREG_FCARG1 || Z_OFFSET(res_addr) != 0) {
				//|	LOAD_ZVAL_ADDR FCARG1x, res_addr
					if (Z_MODE(res_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(res_addr))) == 0) {
				dasm_put(Dst, 19209);
					} else if (((uintptr_t)(Z_ZV(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 19211, ((uint64_t)(Z_ZV(res_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 19214, (unsigned int)((ptrdiff_t)(Z_ZV(res_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(res_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 19217, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(res_addr))) & 0xfff) {
				dasm_put(Dst, 19220, (((uintptr_t)(Z_ZV(res_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(res_addr)) & 0xffff) {
				dasm_put(Dst, 19223, ((uintptr_t)(Z_ZV(res_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 19226, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 19229, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 19232, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 19235, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 19238, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(res_addr)) {
					if (Z_OFFSET(res_addr) == 0) {
				dasm_put(Dst, 19241, (Z_REG(res_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(res_addr)))) {
				dasm_put(Dst, 19244, (Z_REG(res_addr)), Z_OFFSET(res_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 19248, ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 19251, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 19254, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 19257, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 19260, (Z_REG(res_addr)));
					}
						} else {
							if (Z_REG(res_addr) == ZREG_RSP) {
				dasm_put(Dst, 19263);
							} else {
				dasm_put(Dst, 19265, (Z_REG(res_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 4573 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
		if (Z_MODE(op2_addr) == IS_REG) {
			zend_jit_addr real_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, op2.var);
			if (!zend_jit_spill_store(Dst, op2_addr, real_addr, op2_info, 1)) {
				return 0;
			}
			op2_addr = real_addr;
		}
		//|	LOAD_ZVAL_ADDR CARG3, op2_addr
			if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op2_addr))) == 0) {
		dasm_put(Dst, 19268);
			} else if (((uintptr_t)(Z_ZV(op2_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 19270, ((uint64_t)(Z_ZV(op2_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op2_addr)))) {
		dasm_put(Dst, 19273, (unsigned int)((ptrdiff_t)(Z_ZV(op2_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op2_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op2_addr)))) {
		dasm_put(Dst, 19276, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff) {
		dasm_put(Dst, 19279, (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff) {
		dasm_put(Dst, 19282, ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 19285, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 19288, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 19291, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 19294, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 19297, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
			}
			} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
				if (Z_OFFSET(op2_addr)) {
			if (Z_OFFSET(op2_addr) == 0) {
		dasm_put(Dst, 19300, (Z_REG(op2_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op2_addr)))) {
		dasm_put(Dst, 19303, (Z_REG(op2_addr)), Z_OFFSET(op2_addr));
			} else {
			if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 19307, ((uint32_t)(Z_OFFSET(op2_addr))));
			} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
		dasm_put(Dst, 19310, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 19313, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 19316, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 19319, (Z_REG(op2_addr)));
			}
				} else {
					if (Z_REG(op2_addr) == ZREG_RSP) {
		dasm_put(Dst, 19322);
					} else {
		dasm_put(Dst, 19324, (Z_REG(op2_addr)));
					}
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 4583 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	SET_EX_OPLINE opline, REG0
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 19327, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 19330);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 19332, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 19335, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 19338, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 19341, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 19344, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 19347, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 19350, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 19353, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 19356, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 19359, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 19362, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
#line 4584 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (opcode == ZEND_ADD) {
			//|	EXT_CALL add_function, REG0
				if (arm64_may_use_b(add_function)) {
			dasm_put(Dst, 19365, (unsigned int)((ptrdiff_t)(add_function)), (unsigned int)(((ptrdiff_t)(add_function))>>32));
				} else {
				if (((uintptr_t)(add_function)) == 0) {
			dasm_put(Dst, 19368);
				} else if (((uintptr_t)(add_function)) <= MOVZ_IMM) {
			dasm_put(Dst, 19370, ((uint64_t)(add_function)));
				} else if (arm64_may_use_adr((void*)(add_function))) {
			dasm_put(Dst, 19373, (unsigned int)((ptrdiff_t)(add_function)), (unsigned int)(((ptrdiff_t)(add_function))>>32));
				} else if (arm64_may_use_adrp((void*)(add_function))) {
			dasm_put(Dst, 19376, (unsigned int)((ptrdiff_t)((((uintptr_t)(add_function))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(add_function)))))>>32));
					if (((uintptr_t)(add_function)) & 0xfff) {
			dasm_put(Dst, 19379, (((uintptr_t)(add_function)) & 0xfff));
					}
				} else if ((uintptr_t)(add_function) & 0xffff) {
			dasm_put(Dst, 19382, ((uintptr_t)(add_function) & 0xffff));
					if (((uintptr_t)(add_function) >> 16) & 0xffff) {
			dasm_put(Dst, 19385, (((uintptr_t)(add_function) >> 16) & 0xffff));
					}
					if (((uintptr_t)(add_function) >> 32) & 0xffff) {
			dasm_put(Dst, 19388, (((uintptr_t)(add_function) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(add_function) >> 16) & 0xffff) {
			dasm_put(Dst, 19391, (((uintptr_t)(add_function) >> 16) & 0xffff));
					if (((uintptr_t)(add_function) >> 32) & 0xffff) {
			dasm_put(Dst, 19394, (((uintptr_t)(add_function) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 19397, (((uintptr_t)(add_function) >> 32) & 0xffff));
				}
			dasm_put(Dst, 19400);
				}
#line 4586 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else if (opcode == ZEND_SUB) {
			//|	EXT_CALL sub_function, REG0
				if (arm64_may_use_b(sub_function)) {
			dasm_put(Dst, 19402, (unsigned int)((ptrdiff_t)(sub_function)), (unsigned int)(((ptrdiff_t)(sub_function))>>32));
				} else {
				if (((uintptr_t)(sub_function)) == 0) {
			dasm_put(Dst, 19405);
				} else if (((uintptr_t)(sub_function)) <= MOVZ_IMM) {
			dasm_put(Dst, 19407, ((uint64_t)(sub_function)));
				} else if (arm64_may_use_adr((void*)(sub_function))) {
			dasm_put(Dst, 19410, (unsigned int)((ptrdiff_t)(sub_function)), (unsigned int)(((ptrdiff_t)(sub_function))>>32));
				} else if (arm64_may_use_adrp((void*)(sub_function))) {
			dasm_put(Dst, 19413, (unsigned int)((ptrdiff_t)((((uintptr_t)(sub_function))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(sub_function)))))>>32));
					if (((uintptr_t)(sub_function)) & 0xfff) {
			dasm_put(Dst, 19416, (((uintptr_t)(sub_function)) & 0xfff));
					}
				} else if ((uintptr_t)(sub_function) & 0xffff) {
			dasm_put(Dst, 19419, ((uintptr_t)(sub_function) & 0xffff));
					if (((uintptr_t)(sub_function) >> 16) & 0xffff) {
			dasm_put(Dst, 19422, (((uintptr_t)(sub_function) >> 16) & 0xffff));
					}
					if (((uintptr_t)(sub_function) >> 32) & 0xffff) {
			dasm_put(Dst, 19425, (((uintptr_t)(sub_function) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(sub_function) >> 16) & 0xffff) {
			dasm_put(Dst, 19428, (((uintptr_t)(sub_function) >> 16) & 0xffff));
					if (((uintptr_t)(sub_function) >> 32) & 0xffff) {
			dasm_put(Dst, 19431, (((uintptr_t)(sub_function) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 19434, (((uintptr_t)(sub_function) >> 32) & 0xffff));
				}
			dasm_put(Dst, 19437);
				}
#line 4588 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else if (opcode == ZEND_MUL) {
			//|	EXT_CALL mul_function, REG0
				if (arm64_may_use_b(mul_function)) {
			dasm_put(Dst, 19439, (unsigned int)((ptrdiff_t)(mul_function)), (unsigned int)(((ptrdiff_t)(mul_function))>>32));
				} else {
				if (((uintptr_t)(mul_function)) == 0) {
			dasm_put(Dst, 19442);
				} else if (((uintptr_t)(mul_function)) <= MOVZ_IMM) {
			dasm_put(Dst, 19444, ((uint64_t)(mul_function)));
				} else if (arm64_may_use_adr((void*)(mul_function))) {
			dasm_put(Dst, 19447, (unsigned int)((ptrdiff_t)(mul_function)), (unsigned int)(((ptrdiff_t)(mul_function))>>32));
				} else if (arm64_may_use_adrp((void*)(mul_function))) {
			dasm_put(Dst, 19450, (unsigned int)((ptrdiff_t)((((uintptr_t)(mul_function))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(mul_function)))))>>32));
					if (((uintptr_t)(mul_function)) & 0xfff) {
			dasm_put(Dst, 19453, (((uintptr_t)(mul_function)) & 0xfff));
					}
				} else if ((uintptr_t)(mul_function) & 0xffff) {
			dasm_put(Dst, 19456, ((uintptr_t)(mul_function) & 0xffff));
					if (((uintptr_t)(mul_function) >> 16) & 0xffff) {
			dasm_put(Dst, 19459, (((uintptr_t)(mul_function) >> 16) & 0xffff));
					}
					if (((uintptr_t)(mul_function) >> 32) & 0xffff) {
			dasm_put(Dst, 19462, (((uintptr_t)(mul_function) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(mul_function) >> 16) & 0xffff) {
			dasm_put(Dst, 19465, (((uintptr_t)(mul_function) >> 16) & 0xffff));
					if (((uintptr_t)(mul_function) >> 32) & 0xffff) {
			dasm_put(Dst, 19468, (((uintptr_t)(mul_function) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 19471, (((uintptr_t)(mul_function) >> 32) & 0xffff));
				}
			dasm_put(Dst, 19474);
				}
#line 4590 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else if (opcode == ZEND_DIV) {
			//|	EXT_CALL div_function, REG0
				if (arm64_may_use_b(div_function)) {
			dasm_put(Dst, 19476, (unsigned int)((ptrdiff_t)(div_function)), (unsigned int)(((ptrdiff_t)(div_function))>>32));
				} else {
				if (((uintptr_t)(div_function)) == 0) {
			dasm_put(Dst, 19479);
				} else if (((uintptr_t)(div_function)) <= MOVZ_IMM) {
			dasm_put(Dst, 19481, ((uint64_t)(div_function)));
				} else if (arm64_may_use_adr((void*)(div_function))) {
			dasm_put(Dst, 19484, (unsigned int)((ptrdiff_t)(div_function)), (unsigned int)(((ptrdiff_t)(div_function))>>32));
				} else if (arm64_may_use_adrp((void*)(div_function))) {
			dasm_put(Dst, 19487, (unsigned int)((ptrdiff_t)((((uintptr_t)(div_function))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(div_function)))))>>32));
					if (((uintptr_t)(div_function)) & 0xfff) {
			dasm_put(Dst, 19490, (((uintptr_t)(div_function)) & 0xfff));
					}
				} else if ((uintptr_t)(div_function) & 0xffff) {
			dasm_put(Dst, 19493, ((uintptr_t)(div_function) & 0xffff));
					if (((uintptr_t)(div_function) >> 16) & 0xffff) {
			dasm_put(Dst, 19496, (((uintptr_t)(div_function) >> 16) & 0xffff));
					}
					if (((uintptr_t)(div_function) >> 32) & 0xffff) {
			dasm_put(Dst, 19499, (((uintptr_t)(div_function) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(div_function) >> 16) & 0xffff) {
			dasm_put(Dst, 19502, (((uintptr_t)(div_function) >> 16) & 0xffff));
					if (((uintptr_t)(div_function) >> 32) & 0xffff) {
			dasm_put(Dst, 19505, (((uintptr_t)(div_function) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 19508, (((uintptr_t)(div_function) >> 32) & 0xffff));
				}
			dasm_put(Dst, 19511);
				}
#line 4592 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			ZEND_UNREACHABLE();
		}
		//|	FREE_OP op1_type, op1, op1_info, 0, NULL, ZREG_TMP1, ZREG_TMP2
			if (op1_type & (IS_VAR|IS_TMP_VAR)) {
				zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, op1.var);
			if ((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
				if ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if (0) {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 19513, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 19517, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 19521, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 19525, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 19529, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 19534, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 19539, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 19542, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 19546, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 19550, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 19554, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 19558, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 19562, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 19566);
		dasm_put(Dst, 19569);
					} else {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 19571, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 19575, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 19579, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 19583, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 19587, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 19592, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 19597, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 19600, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 19604, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 19608, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 19612, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 19616, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 19620, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 19624);
					}
				}
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 19627, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
			} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
		dasm_put(Dst, 19631, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 19635, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 19639, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 19643, (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 19647, (Z_REG(addr)), (Z_OFFSET(addr)));
			}
		dasm_put(Dst, 19651, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
				if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op1_info)) {
					if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op1_info)) {
						if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 19659);
						} else {
		dasm_put(Dst, 19662);
						}
					}
			do {
				if (!((op1_info) & MAY_BE_GUARD)
				 && has_concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					zend_uchar type = concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
					if (type == IS_STRING && !ZEND_DEBUG) {
			if (arm64_may_use_b(_efree)) {
		dasm_put(Dst, 19665, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else {
			if (((uintptr_t)(_efree)) == 0) {
		dasm_put(Dst, 19668, (ZREG_X15));
			} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
		dasm_put(Dst, 19671, (ZREG_X15), ((uint64_t)(_efree)));
			} else if (arm64_may_use_adr((void*)(_efree))) {
		dasm_put(Dst, 19675, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else if (arm64_may_use_adrp((void*)(_efree))) {
		dasm_put(Dst, 19679, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
				if (((uintptr_t)(_efree)) & 0xfff) {
		dasm_put(Dst, 19683, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
				}
			} else if ((uintptr_t)(_efree) & 0xffff) {
		dasm_put(Dst, 19688, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
				if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 19692, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 19696, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 19700, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 19704, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 19708, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		dasm_put(Dst, 19712, (ZREG_X15));
			}
						break;
					} else if (type == IS_ARRAY) {
						if ((op1_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
							if (NULL && ((op1_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
			if (NULL == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 19715, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(NULL)) == 0) {
		dasm_put(Dst, 19718, (ZREG_X15));
			} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
		dasm_put(Dst, 19721, (ZREG_X15), ((uint64_t)(NULL)));
			} else if (arm64_may_use_adr((void*)(NULL))) {
		dasm_put(Dst, 19725, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
			} else if (arm64_may_use_adrp((void*)(NULL))) {
		dasm_put(Dst, 19729, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
				if (((uintptr_t)(NULL)) & 0xfff) {
		dasm_put(Dst, 19733, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
				}
			} else if ((uintptr_t)(NULL) & 0xffff) {
		dasm_put(Dst, 19738, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
				if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 19742, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				}
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 19746, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 19750, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 19754, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 19758, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		dasm_put(Dst, 19762, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
							}
			if (arm64_may_use_b(zend_array_destroy)) {
		dasm_put(Dst, 19766, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else {
			if (((uintptr_t)(zend_array_destroy)) == 0) {
		dasm_put(Dst, 19769, (ZREG_X15));
			} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
		dasm_put(Dst, 19772, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
			} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
		dasm_put(Dst, 19776, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
		dasm_put(Dst, 19780, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
				if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
		dasm_put(Dst, 19784, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
		dasm_put(Dst, 19789, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 19793, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 19797, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 19801, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 19805, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 19809, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		dasm_put(Dst, 19813, (ZREG_X15));
			}
						} else {
			if (arm64_may_use_b(zend_jit_array_free)) {
		dasm_put(Dst, 19816, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else {
			if (((uintptr_t)(zend_jit_array_free)) == 0) {
		dasm_put(Dst, 19819, (ZREG_X15));
			} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
		dasm_put(Dst, 19822, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
			} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 19826, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 19830, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
				if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
		dasm_put(Dst, 19834, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
		dasm_put(Dst, 19839, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 19843, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 19847, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 19851, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 19855, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 19859, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		dasm_put(Dst, 19863, (ZREG_X15));
			}
						}
						break;
					} else if (type == IS_OBJECT) {
						if (NULL) {
			if (NULL == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 19866, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(NULL)) == 0) {
		dasm_put(Dst, 19869);
			} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
		dasm_put(Dst, 19871, ((uint64_t)(NULL)));
			} else if (arm64_may_use_adr((void*)(NULL))) {
		dasm_put(Dst, 19874, (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
			} else if (arm64_may_use_adrp((void*)(NULL))) {
		dasm_put(Dst, 19877, (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
				if (((uintptr_t)(NULL)) & 0xfff) {
		dasm_put(Dst, 19880, (((uintptr_t)(NULL)) & 0xfff));
				}
			} else if ((uintptr_t)(NULL) & 0xffff) {
		dasm_put(Dst, 19883, ((uintptr_t)(NULL) & 0xffff));
				if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 19886, (((uintptr_t)(NULL) >> 16) & 0xffff));
				}
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 19889, (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 19892, (((uintptr_t)(NULL) >> 16) & 0xffff));
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 19895, (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 19898, (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		dasm_put(Dst, 19901, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
						}
			if (arm64_may_use_b(zend_objects_store_del)) {
		dasm_put(Dst, 19904, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else {
			if (((uintptr_t)(zend_objects_store_del)) == 0) {
		dasm_put(Dst, 19907, (ZREG_X15));
			} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
		dasm_put(Dst, 19910, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
			} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 19914, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 19918, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
				if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
		dasm_put(Dst, 19922, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
		dasm_put(Dst, 19927, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 19931, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 19935, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 19939, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 19943, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 19947, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		dasm_put(Dst, 19951, (ZREG_X15));
			}
						break;
					}
				}
				if (NULL) {
			if (NULL == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 19954, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(NULL)) == 0) {
		dasm_put(Dst, 19957, (ZREG_X15));
			} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
		dasm_put(Dst, 19960, (ZREG_X15), ((uint64_t)(NULL)));
			} else if (arm64_may_use_adr((void*)(NULL))) {
		dasm_put(Dst, 19964, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
			} else if (arm64_may_use_adrp((void*)(NULL))) {
		dasm_put(Dst, 19968, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
				if (((uintptr_t)(NULL)) & 0xfff) {
		dasm_put(Dst, 19972, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
				}
			} else if ((uintptr_t)(NULL) & 0xffff) {
		dasm_put(Dst, 19977, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
				if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 19981, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				}
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 19985, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 19989, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 19993, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 19997, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		dasm_put(Dst, 20001, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
				}
			if (arm64_may_use_b(rc_dtor_func)) {
		dasm_put(Dst, 20005, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else {
			if (((uintptr_t)(rc_dtor_func)) == 0) {
		dasm_put(Dst, 20008, (ZREG_X15));
			} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
		dasm_put(Dst, 20011, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
			} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
		dasm_put(Dst, 20015, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
		dasm_put(Dst, 20019, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
				if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
		dasm_put(Dst, 20023, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
				}
			} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
		dasm_put(Dst, 20028, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 20032, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				}
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 20036, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 20040, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 20044, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 20048, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		dasm_put(Dst, 20052, (ZREG_X15));
			}
			} while(0);
					if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 20055);
					}
		dasm_put(Dst, 20058);
				}
				if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					if ((op1_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
						zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
		dasm_put(Dst, 20060, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
		dasm_put(Dst, 20064, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
		dasm_put(Dst, 20068, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 20072, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 20076, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 20081, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
			}
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 20086, (ZREG_X15));
			} else {
		dasm_put(Dst, 20090, (ZREG_X15), IS_REFERENCE);
			}
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 20096, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 20100, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 20104, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 20108, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 20112, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 20117, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_COLLECTABLE == 0) {
		dasm_put(Dst, 20122, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
		dasm_put(Dst, 20125, (ZREG_X15), IS_TYPE_COLLECTABLE);
			} else {
			if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
		dasm_put(Dst, 20129, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
			} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
		dasm_put(Dst, 20133, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
				if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
		dasm_put(Dst, 20137, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 20141, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		dasm_put(Dst, 20145, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 20149);
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 20152, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
		dasm_put(Dst, 20156, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 20160, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 20164, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 20168, (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 20172, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
			}
		dasm_put(Dst, 20176);
					}
		dasm_put(Dst, 20178, (ZREG_X15));
			if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
		dasm_put(Dst, 20181, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
		dasm_put(Dst, 20184, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
			} else {
			if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
		dasm_put(Dst, 20188, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
			} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
		dasm_put(Dst, 20192, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
				if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
		dasm_put(Dst, 20196, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 20200, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 20204, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 20208);
			if (arm64_may_use_b(gc_possible_root)) {
		dasm_put(Dst, 20211, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else {
			if (((uintptr_t)(gc_possible_root)) == 0) {
		dasm_put(Dst, 20214, (ZREG_X15));
			} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
		dasm_put(Dst, 20217, (ZREG_X15), ((uint64_t)(gc_possible_root)));
			} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
		dasm_put(Dst, 20221, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
		dasm_put(Dst, 20225, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
				if (((uintptr_t)(gc_possible_root)) & 0xfff) {
		dasm_put(Dst, 20229, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
				}
			} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
		dasm_put(Dst, 20234, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 20238, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				}
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 20242, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 20246, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 20250, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 20254, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		dasm_put(Dst, 20258, (ZREG_X15));
			}
				}
				if (0 && ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
		dasm_put(Dst, 20261);
				}
		dasm_put(Dst, 20264);
			}
			}
#line 4596 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	FREE_OP op2_type, op2, op2_info, 0, NULL, ZREG_TMP1, ZREG_TMP2
			if (op2_type & (IS_VAR|IS_TMP_VAR)) {
				zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, op2.var);
			if ((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
				if ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if (0) {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 20266, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 20270, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 20274, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 20278, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 20282, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 20287, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 20292, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 20295, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 20299, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 20303, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 20307, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 20311, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 20315, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 20319);
		dasm_put(Dst, 20322);
					} else {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 20324, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 20328, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 20332, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 20336, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 20340, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 20345, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 20350, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 20353, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 20357, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 20361, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 20365, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 20369, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 20373, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 20377);
					}
				}
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 20380, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
			} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
		dasm_put(Dst, 20384, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 20388, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 20392, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 20396, (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 20400, (Z_REG(addr)), (Z_OFFSET(addr)));
			}
		dasm_put(Dst, 20404, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
				if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op2_info)) {
					if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op2_info)) {
						if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 20412);
						} else {
		dasm_put(Dst, 20415);
						}
					}
			do {
				if (!((op2_info) & MAY_BE_GUARD)
				 && has_concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					zend_uchar type = concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
					if (type == IS_STRING && !ZEND_DEBUG) {
			if (arm64_may_use_b(_efree)) {
		dasm_put(Dst, 20418, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else {
			if (((uintptr_t)(_efree)) == 0) {
		dasm_put(Dst, 20421, (ZREG_X15));
			} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
		dasm_put(Dst, 20424, (ZREG_X15), ((uint64_t)(_efree)));
			} else if (arm64_may_use_adr((void*)(_efree))) {
		dasm_put(Dst, 20428, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else if (arm64_may_use_adrp((void*)(_efree))) {
		dasm_put(Dst, 20432, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
				if (((uintptr_t)(_efree)) & 0xfff) {
		dasm_put(Dst, 20436, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
				}
			} else if ((uintptr_t)(_efree) & 0xffff) {
		dasm_put(Dst, 20441, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
				if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 20445, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 20449, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 20453, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 20457, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 20461, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		dasm_put(Dst, 20465, (ZREG_X15));
			}
						break;
					} else if (type == IS_ARRAY) {
						if ((op2_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
							if (NULL && ((op2_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
			if (NULL == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 20468, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(NULL)) == 0) {
		dasm_put(Dst, 20471, (ZREG_X15));
			} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
		dasm_put(Dst, 20474, (ZREG_X15), ((uint64_t)(NULL)));
			} else if (arm64_may_use_adr((void*)(NULL))) {
		dasm_put(Dst, 20478, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
			} else if (arm64_may_use_adrp((void*)(NULL))) {
		dasm_put(Dst, 20482, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
				if (((uintptr_t)(NULL)) & 0xfff) {
		dasm_put(Dst, 20486, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
				}
			} else if ((uintptr_t)(NULL) & 0xffff) {
		dasm_put(Dst, 20491, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
				if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 20495, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				}
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 20499, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 20503, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 20507, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 20511, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		dasm_put(Dst, 20515, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
							}
			if (arm64_may_use_b(zend_array_destroy)) {
		dasm_put(Dst, 20519, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else {
			if (((uintptr_t)(zend_array_destroy)) == 0) {
		dasm_put(Dst, 20522, (ZREG_X15));
			} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
		dasm_put(Dst, 20525, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
			} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
		dasm_put(Dst, 20529, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
		dasm_put(Dst, 20533, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
				if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
		dasm_put(Dst, 20537, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
		dasm_put(Dst, 20542, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 20546, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 20550, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 20554, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 20558, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 20562, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		dasm_put(Dst, 20566, (ZREG_X15));
			}
						} else {
			if (arm64_may_use_b(zend_jit_array_free)) {
		dasm_put(Dst, 20569, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else {
			if (((uintptr_t)(zend_jit_array_free)) == 0) {
		dasm_put(Dst, 20572, (ZREG_X15));
			} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
		dasm_put(Dst, 20575, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
			} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 20579, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 20583, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
				if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
		dasm_put(Dst, 20587, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
		dasm_put(Dst, 20592, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 20596, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 20600, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 20604, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 20608, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 20612, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		dasm_put(Dst, 20616, (ZREG_X15));
			}
						}
						break;
					} else if (type == IS_OBJECT) {
						if (NULL) {
			if (NULL == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 20619, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(NULL)) == 0) {
		dasm_put(Dst, 20622);
			} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
		dasm_put(Dst, 20624, ((uint64_t)(NULL)));
			} else if (arm64_may_use_adr((void*)(NULL))) {
		dasm_put(Dst, 20627, (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
			} else if (arm64_may_use_adrp((void*)(NULL))) {
		dasm_put(Dst, 20630, (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
				if (((uintptr_t)(NULL)) & 0xfff) {
		dasm_put(Dst, 20633, (((uintptr_t)(NULL)) & 0xfff));
				}
			} else if ((uintptr_t)(NULL) & 0xffff) {
		dasm_put(Dst, 20636, ((uintptr_t)(NULL) & 0xffff));
				if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 20639, (((uintptr_t)(NULL) >> 16) & 0xffff));
				}
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 20642, (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 20645, (((uintptr_t)(NULL) >> 16) & 0xffff));
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 20648, (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 20651, (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		dasm_put(Dst, 20654, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
						}
			if (arm64_may_use_b(zend_objects_store_del)) {
		dasm_put(Dst, 20657, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else {
			if (((uintptr_t)(zend_objects_store_del)) == 0) {
		dasm_put(Dst, 20660, (ZREG_X15));
			} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
		dasm_put(Dst, 20663, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
			} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 20667, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 20671, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
				if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
		dasm_put(Dst, 20675, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
		dasm_put(Dst, 20680, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 20684, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 20688, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 20692, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 20696, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 20700, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		dasm_put(Dst, 20704, (ZREG_X15));
			}
						break;
					}
				}
				if (NULL) {
			if (NULL == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 20707, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(NULL)) == 0) {
		dasm_put(Dst, 20710, (ZREG_X15));
			} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
		dasm_put(Dst, 20713, (ZREG_X15), ((uint64_t)(NULL)));
			} else if (arm64_may_use_adr((void*)(NULL))) {
		dasm_put(Dst, 20717, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
			} else if (arm64_may_use_adrp((void*)(NULL))) {
		dasm_put(Dst, 20721, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
				if (((uintptr_t)(NULL)) & 0xfff) {
		dasm_put(Dst, 20725, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
				}
			} else if ((uintptr_t)(NULL) & 0xffff) {
		dasm_put(Dst, 20730, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
				if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 20734, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				}
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 20738, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 20742, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 20746, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 20750, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		dasm_put(Dst, 20754, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
				}
			if (arm64_may_use_b(rc_dtor_func)) {
		dasm_put(Dst, 20758, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else {
			if (((uintptr_t)(rc_dtor_func)) == 0) {
		dasm_put(Dst, 20761, (ZREG_X15));
			} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
		dasm_put(Dst, 20764, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
			} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
		dasm_put(Dst, 20768, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
		dasm_put(Dst, 20772, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
				if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
		dasm_put(Dst, 20776, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
				}
			} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
		dasm_put(Dst, 20781, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 20785, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				}
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 20789, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 20793, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 20797, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 20801, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		dasm_put(Dst, 20805, (ZREG_X15));
			}
			} while(0);
					if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 20808);
					}
		dasm_put(Dst, 20811);
				}
				if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					if ((op2_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
						zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
		dasm_put(Dst, 20813, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
		dasm_put(Dst, 20817, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
		dasm_put(Dst, 20821, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 20825, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 20829, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 20834, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
			}
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 20839, (ZREG_X15));
			} else {
		dasm_put(Dst, 20843, (ZREG_X15), IS_REFERENCE);
			}
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 20849, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 20853, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 20857, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 20861, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 20865, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 20870, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_COLLECTABLE == 0) {
		dasm_put(Dst, 20875, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
		dasm_put(Dst, 20878, (ZREG_X15), IS_TYPE_COLLECTABLE);
			} else {
			if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
		dasm_put(Dst, 20882, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
			} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
		dasm_put(Dst, 20886, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
				if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
		dasm_put(Dst, 20890, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 20894, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		dasm_put(Dst, 20898, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 20902);
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 20905, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
		dasm_put(Dst, 20909, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 20913, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 20917, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 20921, (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 20925, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
			}
		dasm_put(Dst, 20929);
					}
		dasm_put(Dst, 20931, (ZREG_X15));
			if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
		dasm_put(Dst, 20934, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
		dasm_put(Dst, 20937, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
			} else {
			if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
		dasm_put(Dst, 20941, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
			} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
		dasm_put(Dst, 20945, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
				if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
		dasm_put(Dst, 20949, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 20953, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 20957, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 20961);
			if (arm64_may_use_b(gc_possible_root)) {
		dasm_put(Dst, 20964, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else {
			if (((uintptr_t)(gc_possible_root)) == 0) {
		dasm_put(Dst, 20967, (ZREG_X15));
			} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
		dasm_put(Dst, 20970, (ZREG_X15), ((uint64_t)(gc_possible_root)));
			} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
		dasm_put(Dst, 20974, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
		dasm_put(Dst, 20978, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
				if (((uintptr_t)(gc_possible_root)) & 0xfff) {
		dasm_put(Dst, 20982, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
				}
			} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
		dasm_put(Dst, 20987, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 20991, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				}
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 20995, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 20999, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 21003, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 21007, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		dasm_put(Dst, 21011, (ZREG_X15));
			}
				}
				if (0 && ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
		dasm_put(Dst, 21014);
				}
		dasm_put(Dst, 21017);
			}
			}
#line 4597 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (may_throw) {
			if (opline->opcode == ZEND_ASSIGN_DIM_OP && (opline->op2_type & (IS_VAR|IS_TMP_VAR))) {
				//|	MEM_LOAD_64_ZTS ldr, TMP2, executor_globals, exception, TMP1
					if (((uintptr_t)(&executor_globals.exception)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.exception))) {
				dasm_put(Dst, 21019, (unsigned int)((ptrdiff_t)(&executor_globals.exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.exception))>>32));
					} else if (((uintptr_t)(&executor_globals.exception)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.exception))) {
				dasm_put(Dst, 21023, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.exception)))))>>32), (((uintptr_t)(&executor_globals.exception)) & 0xfff));
					} else {
					if (((uintptr_t)(&executor_globals.exception)) == 0) {
				dasm_put(Dst, 21028);
					} else if (((uintptr_t)(&executor_globals.exception)) <= MOVZ_IMM) {
				dasm_put(Dst, 21030, ((uint64_t)(&executor_globals.exception)));
					} else if (arm64_may_use_adr((void*)(&executor_globals.exception))) {
				dasm_put(Dst, 21033, (unsigned int)((ptrdiff_t)(&executor_globals.exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.exception))>>32));
					} else if (arm64_may_use_adrp((void*)(&executor_globals.exception))) {
				dasm_put(Dst, 21036, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.exception)))))>>32));
						if (((uintptr_t)(&executor_globals.exception)) & 0xfff) {
				dasm_put(Dst, 21039, (((uintptr_t)(&executor_globals.exception)) & 0xfff));
						}
					} else if ((uintptr_t)(&executor_globals.exception) & 0xffff) {
				dasm_put(Dst, 21042, ((uintptr_t)(&executor_globals.exception) & 0xffff));
						if (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff) {
				dasm_put(Dst, 21045, (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff));
						}
						if (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff) {
				dasm_put(Dst, 21048, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff) {
				dasm_put(Dst, 21051, (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff));
						if (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff) {
				dasm_put(Dst, 21054, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 21057, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
					}
				dasm_put(Dst, 21060);
					}
#line 4600 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	cbnz TMP2, ->exception_handler_free_op2
				dasm_put(Dst, 21062);
#line 4601 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else if (Z_MODE(res_addr) == IS_MEM_ZVAL && Z_REG(res_addr) == ZREG_RX) {
				zend_jit_check_exception_undef_result(Dst, opline);
			} else {
				zend_jit_check_exception(Dst);
			}
		}
		if (Z_MODE(res_addr) == IS_REG) {
			zend_jit_addr real_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, res_var);
			if (!zend_jit_load_reg(Dst, real_addr, res_addr, res_info)) {
				return 0;
			}
		}
		if ((op1_info & (MAY_BE_LONG|MAY_BE_DOUBLE)) &&
		    (op2_info & (MAY_BE_LONG|MAY_BE_DOUBLE)) &&
		    (res_info & (MAY_BE_LONG|MAY_BE_DOUBLE))) {
			//|	b <5
			//|.code
			dasm_put(Dst, 21065);
#line 4618 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	return 1;
}

static int zend_jit_math(dasm_State **Dst, const zend_op *opline, uint32_t op1_info, zend_jit_addr op1_addr, uint32_t op2_info, zend_jit_addr op2_addr, uint32_t res_use_info, uint32_t res_info, zend_jit_addr res_addr, int may_overflow, int may_throw)
{
	ZEND_ASSERT(!(op1_info & MAY_BE_UNDEF) && !(op2_info & MAY_BE_UNDEF));
	ZEND_ASSERT((op1_info & (MAY_BE_LONG|MAY_BE_DOUBLE)) &&
	    (op2_info & (MAY_BE_LONG|MAY_BE_DOUBLE)));

	if (!zend_jit_math_helper(Dst, opline, opline->opcode, opline->op1_type, opline->op1, op1_addr, op1_info, opline->op2_type, opline->op2, op2_addr, op2_info, opline->result.var, res_addr, res_info, res_use_info, may_overflow, may_throw)) {
		return 0;
	}
	if (!zend_jit_store_var_if_necessary(Dst, opline->result.var, res_addr, res_info)) {
		return 0;
	}
	return 1;
}

static int zend_jit_add_arrays(dasm_State **Dst, const zend_op *opline, uint32_t op1_info, zend_jit_addr op1_addr, uint32_t op2_info, zend_jit_addr op2_addr, zend_jit_addr res_addr)
{
	if (Z_MODE(op2_addr) != IS_MEM_ZVAL || Z_REG(op2_addr) != ZREG_FCARG1) {
		//|	GET_ZVAL_LVAL ZREG_FCARG1, op1_addr, TMP1
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 21068, (ZREG_FCARG1));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 21071, (ZREG_FCARG1));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 21074, (ZREG_FCARG1), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 21078, (ZREG_FCARG1), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 21082, (ZREG_FCARG1), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 21086, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 21090, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 21094, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 21098, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 21102, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 21106, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 21110, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 21114, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 21118, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 21122, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 21125, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 21128, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 21131, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 21134, (ZREG_FCARG1), (Z_REG(op1_addr)));
			} else {
		dasm_put(Dst, 21138, (ZREG_FCARG1), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (ZREG_FCARG1 != Z_REG(op1_addr)) {
		dasm_put(Dst, 21143, (ZREG_FCARG1), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 4643 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	GET_ZVAL_LVAL ZREG_FCARG2, op2_addr, TMP1
			if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
		dasm_put(Dst, 21147, (ZREG_FCARG2));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
		dasm_put(Dst, 21150, (ZREG_FCARG2));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 21153, (ZREG_FCARG2), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 21157, (ZREG_FCARG2), (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
		dasm_put(Dst, 21161, (ZREG_FCARG2), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 21165, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 21169, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 21173, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 21177, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 21181, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 21185, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 21189, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 21193, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 21197, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 21201, ((uint32_t)(Z_OFFSET(op2_addr))));
			} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
		dasm_put(Dst, 21204, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 21207, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 21210, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 21213, (ZREG_FCARG2), (Z_REG(op2_addr)));
			} else {
		dasm_put(Dst, 21217, (ZREG_FCARG2), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
			}
			} else if (Z_MODE(op2_addr) == IS_REG) {
				if (ZREG_FCARG2 != Z_REG(op2_addr)) {
		dasm_put(Dst, 21222, (ZREG_FCARG2), (Z_REG(op2_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 4644 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else if (Z_MODE(op1_addr) != IS_MEM_ZVAL || Z_REG(op1_addr) != ZREG_FCARG1) {
		//|	GET_ZVAL_LVAL ZREG_FCARG2, op2_addr, TMP1
			if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
		dasm_put(Dst, 21226, (ZREG_FCARG2));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
		dasm_put(Dst, 21229, (ZREG_FCARG2));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 21232, (ZREG_FCARG2), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 21236, (ZREG_FCARG2), (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
		dasm_put(Dst, 21240, (ZREG_FCARG2), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 21244, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 21248, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 21252, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 21256, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 21260, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 21264, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 21268, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 21272, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 21276, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 21280, ((uint32_t)(Z_OFFSET(op2_addr))));
			} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
		dasm_put(Dst, 21283, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 21286, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 21289, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 21292, (ZREG_FCARG2), (Z_REG(op2_addr)));
			} else {
		dasm_put(Dst, 21296, (ZREG_FCARG2), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
			}
			} else if (Z_MODE(op2_addr) == IS_REG) {
				if (ZREG_FCARG2 != Z_REG(op2_addr)) {
		dasm_put(Dst, 21301, (ZREG_FCARG2), (Z_REG(op2_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 4646 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	GET_ZVAL_LVAL ZREG_FCARG1, op1_addr, TMP1
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 21305, (ZREG_FCARG1));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 21308, (ZREG_FCARG1));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 21311, (ZREG_FCARG1), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 21315, (ZREG_FCARG1), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 21319, (ZREG_FCARG1), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 21323, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 21327, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 21331, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 21335, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 21339, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 21343, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 21347, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 21351, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 21355, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 21359, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 21362, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 21365, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 21368, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 21371, (ZREG_FCARG1), (Z_REG(op1_addr)));
			} else {
		dasm_put(Dst, 21375, (ZREG_FCARG1), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (ZREG_FCARG1 != Z_REG(op1_addr)) {
		dasm_put(Dst, 21380, (ZREG_FCARG1), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 4647 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		//|	GET_ZVAL_LVAL ZREG_REG0, op2_addr, TMP1
			if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
		dasm_put(Dst, 21384, (ZREG_X8));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
		dasm_put(Dst, 21387, (ZREG_X8));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 21390, (ZREG_X8), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 21394, (ZREG_X8), (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
		dasm_put(Dst, 21398, (ZREG_X8), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 21402, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 21406, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 21410, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 21414, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 21418, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 21422, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 21426, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 21430, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 21434, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 21438, ((uint32_t)(Z_OFFSET(op2_addr))));
			} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
		dasm_put(Dst, 21441, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 21444, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 21447, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 21450, (ZREG_X8), (Z_REG(op2_addr)));
			} else {
		dasm_put(Dst, 21454, (ZREG_X8), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
			}
			} else if (Z_MODE(op2_addr) == IS_REG) {
				if (ZREG_X8 != Z_REG(op2_addr)) {
		dasm_put(Dst, 21459, (ZREG_X8), (Z_REG(op2_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 4649 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	GET_ZVAL_LVAL ZREG_FCARG1, op1_addr, TMP1
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 21463, (ZREG_FCARG1));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 21466, (ZREG_FCARG1));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 21469, (ZREG_FCARG1), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 21473, (ZREG_FCARG1), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 21477, (ZREG_FCARG1), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 21481, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 21485, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 21489, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 21493, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 21497, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 21501, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 21505, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 21509, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 21513, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 21517, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 21520, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 21523, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 21526, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 21529, (ZREG_FCARG1), (Z_REG(op1_addr)));
			} else {
		dasm_put(Dst, 21533, (ZREG_FCARG1), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (ZREG_FCARG1 != Z_REG(op1_addr)) {
		dasm_put(Dst, 21538, (ZREG_FCARG1), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 4650 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	mov FCARG2x, REG0
		dasm_put(Dst, 21542);
#line 4651 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	//|	EXT_CALL zend_jit_add_arrays_helper, REG0
		if (arm64_may_use_b(zend_jit_add_arrays_helper)) {
	dasm_put(Dst, 21544, (unsigned int)((ptrdiff_t)(zend_jit_add_arrays_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_add_arrays_helper))>>32));
		} else {
		if (((uintptr_t)(zend_jit_add_arrays_helper)) == 0) {
	dasm_put(Dst, 21547);
		} else if (((uintptr_t)(zend_jit_add_arrays_helper)) <= MOVZ_IMM) {
	dasm_put(Dst, 21549, ((uint64_t)(zend_jit_add_arrays_helper)));
		} else if (arm64_may_use_adr((void*)(zend_jit_add_arrays_helper))) {
	dasm_put(Dst, 21552, (unsigned int)((ptrdiff_t)(zend_jit_add_arrays_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_add_arrays_helper))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_jit_add_arrays_helper))) {
	dasm_put(Dst, 21555, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_add_arrays_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_add_arrays_helper)))))>>32));
			if (((uintptr_t)(zend_jit_add_arrays_helper)) & 0xfff) {
	dasm_put(Dst, 21558, (((uintptr_t)(zend_jit_add_arrays_helper)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_jit_add_arrays_helper) & 0xffff) {
	dasm_put(Dst, 21561, ((uintptr_t)(zend_jit_add_arrays_helper) & 0xffff));
			if (((uintptr_t)(zend_jit_add_arrays_helper) >> 16) & 0xffff) {
	dasm_put(Dst, 21564, (((uintptr_t)(zend_jit_add_arrays_helper) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_jit_add_arrays_helper) >> 32) & 0xffff) {
	dasm_put(Dst, 21567, (((uintptr_t)(zend_jit_add_arrays_helper) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_jit_add_arrays_helper) >> 16) & 0xffff) {
	dasm_put(Dst, 21570, (((uintptr_t)(zend_jit_add_arrays_helper) >> 16) & 0xffff));
			if (((uintptr_t)(zend_jit_add_arrays_helper) >> 32) & 0xffff) {
	dasm_put(Dst, 21573, (((uintptr_t)(zend_jit_add_arrays_helper) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 21576, (((uintptr_t)(zend_jit_add_arrays_helper) >> 32) & 0xffff));
		}
	dasm_put(Dst, 21579);
		}
#line 4653 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	SET_ZVAL_PTR res_addr, RETVALx, TMP1
		ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 21581, ((uint32_t)(Z_OFFSET(res_addr))));
		} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
	dasm_put(Dst, 21584, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 21587, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 21590, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 21593, (Z_REG(res_addr)));
		} else {
	dasm_put(Dst, 21596, (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
		}
#line 4654 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	SET_ZVAL_TYPE_INFO res_addr, IS_ARRAY_EX, TMP1w, TMP2
		ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
		if (((uint32_t)(IS_ARRAY_EX)) <= MOVZ_IMM) {
	dasm_put(Dst, 21600, ((uint32_t)(IS_ARRAY_EX)));
		} else if (((uint32_t)(IS_ARRAY_EX) & 0xffff)) {
	dasm_put(Dst, 21603, ((uint32_t)(IS_ARRAY_EX) & 0xffff));
			if ((((uint32_t)(IS_ARRAY_EX) >> 16) & 0xffff)) {
	dasm_put(Dst, 21606, (((uint32_t)(IS_ARRAY_EX) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 21609, (((uint32_t)(IS_ARRAY_EX) >> 16) & 0xffff));
		}
		if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
		if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
	dasm_put(Dst, 21612, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
		} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
	dasm_put(Dst, 21615, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
	dasm_put(Dst, 21618, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 21621, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 21624, (Z_REG(res_addr)));
		} else {
	dasm_put(Dst, 21627, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
		}
#line 4655 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	FREE_OP opline->op1_type, opline->op1, op1_info, 0, opline, ZREG_TMP1, ZREG_TMP2
		if (opline->op1_type & (IS_VAR|IS_TMP_VAR)) {
			zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op1.var);
		if ((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
			if ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
				if (0) {
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
	dasm_put(Dst, 21631, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
		} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
	dasm_put(Dst, 21635, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
	dasm_put(Dst, 21639, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 21643, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 21647, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 21652, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
		}
		if (IS_TYPE_REFCOUNTED == 0) {
	dasm_put(Dst, 21657, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
	dasm_put(Dst, 21660, (ZREG_X15), IS_TYPE_REFCOUNTED);
		} else {
		if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
	dasm_put(Dst, 21664, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
		} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
	dasm_put(Dst, 21668, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
			if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
	dasm_put(Dst, 21672, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 21676, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
		}
	dasm_put(Dst, 21680, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 21684);
	dasm_put(Dst, 21687);
				} else {
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
	dasm_put(Dst, 21689, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
		} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
	dasm_put(Dst, 21693, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
	dasm_put(Dst, 21697, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 21701, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 21705, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 21710, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
		}
		if (IS_TYPE_REFCOUNTED == 0) {
	dasm_put(Dst, 21715, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
	dasm_put(Dst, 21718, (ZREG_X15), IS_TYPE_REFCOUNTED);
		} else {
		if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
	dasm_put(Dst, 21722, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
		} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
	dasm_put(Dst, 21726, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
			if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
	dasm_put(Dst, 21730, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 21734, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
		}
	dasm_put(Dst, 21738, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 21742);
				}
			}
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 21745, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
		} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
	dasm_put(Dst, 21749, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 21753, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 21757, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 21761, (Z_REG(addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 21765, (Z_REG(addr)), (Z_OFFSET(addr)));
		}
	dasm_put(Dst, 21769, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
			if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op1_info)) {
				if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op1_info)) {
					if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
	dasm_put(Dst, 21777);
					} else {
	dasm_put(Dst, 21780);
					}
				}
		do {
			if (!((op1_info) & MAY_BE_GUARD)
			 && has_concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
				zend_uchar type = concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
				if (type == IS_STRING && !ZEND_DEBUG) {
		if (arm64_may_use_b(_efree)) {
	dasm_put(Dst, 21783, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
		} else {
		if (((uintptr_t)(_efree)) == 0) {
	dasm_put(Dst, 21786, (ZREG_X15));
		} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
	dasm_put(Dst, 21789, (ZREG_X15), ((uint64_t)(_efree)));
		} else if (arm64_may_use_adr((void*)(_efree))) {
	dasm_put(Dst, 21793, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
		} else if (arm64_may_use_adrp((void*)(_efree))) {
	dasm_put(Dst, 21797, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
			if (((uintptr_t)(_efree)) & 0xfff) {
	dasm_put(Dst, 21801, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
			}
		} else if ((uintptr_t)(_efree) & 0xffff) {
	dasm_put(Dst, 21806, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
			if (((uintptr_t)(_efree) >> 16) & 0xffff) {
	dasm_put(Dst, 21810, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
			}
			if (((uintptr_t)(_efree) >> 32) & 0xffff) {
	dasm_put(Dst, 21814, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
	dasm_put(Dst, 21818, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
			if (((uintptr_t)(_efree) >> 32) & 0xffff) {
	dasm_put(Dst, 21822, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 21826, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
		}
	dasm_put(Dst, 21830, (ZREG_X15));
		}
					break;
				} else if (type == IS_ARRAY) {
					if ((op1_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
						if (opline && ((op1_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
		if (opline == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 21833, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(opline)) == 0) {
	dasm_put(Dst, 21836, (ZREG_X15));
		} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
	dasm_put(Dst, 21839, (ZREG_X15), ((uint64_t)(opline)));
		} else if (arm64_may_use_adr((void*)(opline))) {
	dasm_put(Dst, 21843, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
		} else if (arm64_may_use_adrp((void*)(opline))) {
	dasm_put(Dst, 21847, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
			if (((uintptr_t)(opline)) & 0xfff) {
	dasm_put(Dst, 21851, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
			}
		} else if ((uintptr_t)(opline) & 0xffff) {
	dasm_put(Dst, 21856, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
			if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 21860, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
			}
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 21864, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 21868, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 21872, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 21876, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
		}
	dasm_put(Dst, 21880, (ZREG_X15), Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
						}
		if (arm64_may_use_b(zend_array_destroy)) {
	dasm_put(Dst, 21884, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
		} else {
		if (((uintptr_t)(zend_array_destroy)) == 0) {
	dasm_put(Dst, 21887, (ZREG_X15));
		} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
	dasm_put(Dst, 21890, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
		} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
	dasm_put(Dst, 21894, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
	dasm_put(Dst, 21898, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
			if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
	dasm_put(Dst, 21902, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
	dasm_put(Dst, 21907, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
			if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
	dasm_put(Dst, 21911, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
	dasm_put(Dst, 21915, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
	dasm_put(Dst, 21919, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
			if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
	dasm_put(Dst, 21923, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 21927, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
		}
	dasm_put(Dst, 21931, (ZREG_X15));
		}
					} else {
		if (arm64_may_use_b(zend_jit_array_free)) {
	dasm_put(Dst, 21934, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
		} else {
		if (((uintptr_t)(zend_jit_array_free)) == 0) {
	dasm_put(Dst, 21937, (ZREG_X15));
		} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
	dasm_put(Dst, 21940, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
		} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
	dasm_put(Dst, 21944, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
	dasm_put(Dst, 21948, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
			if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
	dasm_put(Dst, 21952, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
	dasm_put(Dst, 21957, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
			if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
	dasm_put(Dst, 21961, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
	dasm_put(Dst, 21965, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
	dasm_put(Dst, 21969, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
			if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
	dasm_put(Dst, 21973, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 21977, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
		}
	dasm_put(Dst, 21981, (ZREG_X15));
		}
					}
					break;
				} else if (type == IS_OBJECT) {
					if (opline) {
		if (opline == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 21984, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(opline)) == 0) {
	dasm_put(Dst, 21987);
		} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
	dasm_put(Dst, 21989, ((uint64_t)(opline)));
		} else if (arm64_may_use_adr((void*)(opline))) {
	dasm_put(Dst, 21992, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
		} else if (arm64_may_use_adrp((void*)(opline))) {
	dasm_put(Dst, 21995, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
			if (((uintptr_t)(opline)) & 0xfff) {
	dasm_put(Dst, 21998, (((uintptr_t)(opline)) & 0xfff));
			}
		} else if ((uintptr_t)(opline) & 0xffff) {
	dasm_put(Dst, 22001, ((uintptr_t)(opline) & 0xffff));
			if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 22004, (((uintptr_t)(opline) >> 16) & 0xffff));
			}
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 22007, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 22010, (((uintptr_t)(opline) >> 16) & 0xffff));
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 22013, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 22016, (((uintptr_t)(opline) >> 32) & 0xffff));
		}
	dasm_put(Dst, 22019, Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
					}
		if (arm64_may_use_b(zend_objects_store_del)) {
	dasm_put(Dst, 22022, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
		} else {
		if (((uintptr_t)(zend_objects_store_del)) == 0) {
	dasm_put(Dst, 22025, (ZREG_X15));
		} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
	dasm_put(Dst, 22028, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
		} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
	dasm_put(Dst, 22032, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
	dasm_put(Dst, 22036, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
			if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
	dasm_put(Dst, 22040, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
	dasm_put(Dst, 22045, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
			if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
	dasm_put(Dst, 22049, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
	dasm_put(Dst, 22053, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
	dasm_put(Dst, 22057, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
			if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
	dasm_put(Dst, 22061, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 22065, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
		}
	dasm_put(Dst, 22069, (ZREG_X15));
		}
					break;
				}
			}
			if (opline) {
		if (opline == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 22072, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(opline)) == 0) {
	dasm_put(Dst, 22075, (ZREG_X15));
		} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
	dasm_put(Dst, 22078, (ZREG_X15), ((uint64_t)(opline)));
		} else if (arm64_may_use_adr((void*)(opline))) {
	dasm_put(Dst, 22082, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
		} else if (arm64_may_use_adrp((void*)(opline))) {
	dasm_put(Dst, 22086, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
			if (((uintptr_t)(opline)) & 0xfff) {
	dasm_put(Dst, 22090, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
			}
		} else if ((uintptr_t)(opline) & 0xffff) {
	dasm_put(Dst, 22095, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
			if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 22099, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
			}
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 22103, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 22107, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 22111, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 22115, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
		}
	dasm_put(Dst, 22119, (ZREG_X15), Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
			}
		if (arm64_may_use_b(rc_dtor_func)) {
	dasm_put(Dst, 22123, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
		} else {
		if (((uintptr_t)(rc_dtor_func)) == 0) {
	dasm_put(Dst, 22126, (ZREG_X15));
		} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
	dasm_put(Dst, 22129, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
		} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
	dasm_put(Dst, 22133, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
		} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
	dasm_put(Dst, 22137, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
			if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
	dasm_put(Dst, 22141, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
			}
		} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
	dasm_put(Dst, 22146, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
			if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
	dasm_put(Dst, 22150, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
			}
			if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
	dasm_put(Dst, 22154, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
	dasm_put(Dst, 22158, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
			if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
	dasm_put(Dst, 22162, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 22166, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
		}
	dasm_put(Dst, 22170, (ZREG_X15));
		}
		} while(0);
				if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
	dasm_put(Dst, 22173);
				}
	dasm_put(Dst, 22176);
			}
			if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
				if ((op1_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
					zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
	dasm_put(Dst, 22178, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
		} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
	dasm_put(Dst, 22182, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
	dasm_put(Dst, 22186, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 22190, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 22194, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
		} else {
	dasm_put(Dst, 22199, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
		}
		if (IS_REFERENCE == 0) {
	dasm_put(Dst, 22204, (ZREG_X15));
		} else {
	dasm_put(Dst, 22208, (ZREG_X15), IS_REFERENCE);
		}
		ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
	dasm_put(Dst, 22214, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
		} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
	dasm_put(Dst, 22218, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
	dasm_put(Dst, 22222, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 22226, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 22230, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 22235, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
		}
		if (IS_TYPE_COLLECTABLE == 0) {
	dasm_put(Dst, 22240, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
	dasm_put(Dst, 22243, (ZREG_X15), IS_TYPE_COLLECTABLE);
		} else {
		if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
	dasm_put(Dst, 22247, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
		} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
	dasm_put(Dst, 22251, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
			if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
	dasm_put(Dst, 22255, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 22259, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
		}
	dasm_put(Dst, 22263, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 22267);
		ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 22270, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
		} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
	dasm_put(Dst, 22274, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 22278, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 22282, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 22286, (Z_REG(ref_addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 22290, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
		}
	dasm_put(Dst, 22294);
				}
	dasm_put(Dst, 22296, (ZREG_X15));
		if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
	dasm_put(Dst, 22299, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
	dasm_put(Dst, 22302, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
		} else {
		if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
	dasm_put(Dst, 22306, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
		} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
	dasm_put(Dst, 22310, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
			if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
	dasm_put(Dst, 22314, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 22318, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
		}
	dasm_put(Dst, 22322, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 22326);
		if (arm64_may_use_b(gc_possible_root)) {
	dasm_put(Dst, 22329, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
		} else {
		if (((uintptr_t)(gc_possible_root)) == 0) {
	dasm_put(Dst, 22332, (ZREG_X15));
		} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
	dasm_put(Dst, 22335, (ZREG_X15), ((uint64_t)(gc_possible_root)));
		} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
	dasm_put(Dst, 22339, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
		} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
	dasm_put(Dst, 22343, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
			if (((uintptr_t)(gc_possible_root)) & 0xfff) {
	dasm_put(Dst, 22347, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
			}
		} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
	dasm_put(Dst, 22352, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
			if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
	dasm_put(Dst, 22356, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
			}
			if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
	dasm_put(Dst, 22360, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
	dasm_put(Dst, 22364, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
			if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
	dasm_put(Dst, 22368, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 22372, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
		}
	dasm_put(Dst, 22376, (ZREG_X15));
		}
			}
			if (0 && ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
	dasm_put(Dst, 22379);
			}
	dasm_put(Dst, 22382);
		}
		}
#line 4656 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	FREE_OP opline->op2_type, opline->op2, op2_info, 0, opline, ZREG_TMP1, ZREG_TMP2
		if (opline->op2_type & (IS_VAR|IS_TMP_VAR)) {
			zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op2.var);
		if ((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
			if ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
				if (0) {
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
	dasm_put(Dst, 22384, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
		} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
	dasm_put(Dst, 22388, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
	dasm_put(Dst, 22392, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 22396, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 22400, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 22405, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
		}
		if (IS_TYPE_REFCOUNTED == 0) {
	dasm_put(Dst, 22410, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
	dasm_put(Dst, 22413, (ZREG_X15), IS_TYPE_REFCOUNTED);
		} else {
		if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
	dasm_put(Dst, 22417, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
		} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
	dasm_put(Dst, 22421, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
			if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
	dasm_put(Dst, 22425, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 22429, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
		}
	dasm_put(Dst, 22433, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 22437);
	dasm_put(Dst, 22440);
				} else {
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
	dasm_put(Dst, 22442, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
		} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
	dasm_put(Dst, 22446, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
	dasm_put(Dst, 22450, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 22454, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 22458, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 22463, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
		}
		if (IS_TYPE_REFCOUNTED == 0) {
	dasm_put(Dst, 22468, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
	dasm_put(Dst, 22471, (ZREG_X15), IS_TYPE_REFCOUNTED);
		} else {
		if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
	dasm_put(Dst, 22475, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
		} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
	dasm_put(Dst, 22479, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
			if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
	dasm_put(Dst, 22483, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 22487, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
		}
	dasm_put(Dst, 22491, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 22495);
				}
			}
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 22498, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
		} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
	dasm_put(Dst, 22502, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 22506, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 22510, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 22514, (Z_REG(addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 22518, (Z_REG(addr)), (Z_OFFSET(addr)));
		}
	dasm_put(Dst, 22522, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
			if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op2_info)) {
				if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op2_info)) {
					if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
	dasm_put(Dst, 22530);
					} else {
	dasm_put(Dst, 22533);
					}
				}
		do {
			if (!((op2_info) & MAY_BE_GUARD)
			 && has_concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
				zend_uchar type = concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
				if (type == IS_STRING && !ZEND_DEBUG) {
		if (arm64_may_use_b(_efree)) {
	dasm_put(Dst, 22536, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
		} else {
		if (((uintptr_t)(_efree)) == 0) {
	dasm_put(Dst, 22539, (ZREG_X15));
		} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
	dasm_put(Dst, 22542, (ZREG_X15), ((uint64_t)(_efree)));
		} else if (arm64_may_use_adr((void*)(_efree))) {
	dasm_put(Dst, 22546, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
		} else if (arm64_may_use_adrp((void*)(_efree))) {
	dasm_put(Dst, 22550, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
			if (((uintptr_t)(_efree)) & 0xfff) {
	dasm_put(Dst, 22554, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
			}
		} else if ((uintptr_t)(_efree) & 0xffff) {
	dasm_put(Dst, 22559, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
			if (((uintptr_t)(_efree) >> 16) & 0xffff) {
	dasm_put(Dst, 22563, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
			}
			if (((uintptr_t)(_efree) >> 32) & 0xffff) {
	dasm_put(Dst, 22567, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
	dasm_put(Dst, 22571, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
			if (((uintptr_t)(_efree) >> 32) & 0xffff) {
	dasm_put(Dst, 22575, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 22579, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
		}
	dasm_put(Dst, 22583, (ZREG_X15));
		}
					break;
				} else if (type == IS_ARRAY) {
					if ((op2_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
						if (opline && ((op2_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
		if (opline == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 22586, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(opline)) == 0) {
	dasm_put(Dst, 22589, (ZREG_X15));
		} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
	dasm_put(Dst, 22592, (ZREG_X15), ((uint64_t)(opline)));
		} else if (arm64_may_use_adr((void*)(opline))) {
	dasm_put(Dst, 22596, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
		} else if (arm64_may_use_adrp((void*)(opline))) {
	dasm_put(Dst, 22600, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
			if (((uintptr_t)(opline)) & 0xfff) {
	dasm_put(Dst, 22604, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
			}
		} else if ((uintptr_t)(opline) & 0xffff) {
	dasm_put(Dst, 22609, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
			if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 22613, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
			}
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 22617, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 22621, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 22625, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 22629, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
		}
	dasm_put(Dst, 22633, (ZREG_X15), Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
						}
		if (arm64_may_use_b(zend_array_destroy)) {
	dasm_put(Dst, 22637, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
		} else {
		if (((uintptr_t)(zend_array_destroy)) == 0) {
	dasm_put(Dst, 22640, (ZREG_X15));
		} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
	dasm_put(Dst, 22643, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
		} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
	dasm_put(Dst, 22647, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
	dasm_put(Dst, 22651, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
			if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
	dasm_put(Dst, 22655, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
	dasm_put(Dst, 22660, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
			if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
	dasm_put(Dst, 22664, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
	dasm_put(Dst, 22668, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
	dasm_put(Dst, 22672, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
			if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
	dasm_put(Dst, 22676, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 22680, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
		}
	dasm_put(Dst, 22684, (ZREG_X15));
		}
					} else {
		if (arm64_may_use_b(zend_jit_array_free)) {
	dasm_put(Dst, 22687, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
		} else {
		if (((uintptr_t)(zend_jit_array_free)) == 0) {
	dasm_put(Dst, 22690, (ZREG_X15));
		} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
	dasm_put(Dst, 22693, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
		} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
	dasm_put(Dst, 22697, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
	dasm_put(Dst, 22701, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
			if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
	dasm_put(Dst, 22705, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
	dasm_put(Dst, 22710, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
			if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
	dasm_put(Dst, 22714, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
	dasm_put(Dst, 22718, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
	dasm_put(Dst, 22722, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
			if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
	dasm_put(Dst, 22726, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 22730, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
		}
	dasm_put(Dst, 22734, (ZREG_X15));
		}
					}
					break;
				} else if (type == IS_OBJECT) {
					if (opline) {
		if (opline == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 22737, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(opline)) == 0) {
	dasm_put(Dst, 22740);
		} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
	dasm_put(Dst, 22742, ((uint64_t)(opline)));
		} else if (arm64_may_use_adr((void*)(opline))) {
	dasm_put(Dst, 22745, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
		} else if (arm64_may_use_adrp((void*)(opline))) {
	dasm_put(Dst, 22748, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
			if (((uintptr_t)(opline)) & 0xfff) {
	dasm_put(Dst, 22751, (((uintptr_t)(opline)) & 0xfff));
			}
		} else if ((uintptr_t)(opline) & 0xffff) {
	dasm_put(Dst, 22754, ((uintptr_t)(opline) & 0xffff));
			if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 22757, (((uintptr_t)(opline) >> 16) & 0xffff));
			}
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 22760, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 22763, (((uintptr_t)(opline) >> 16) & 0xffff));
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 22766, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 22769, (((uintptr_t)(opline) >> 32) & 0xffff));
		}
	dasm_put(Dst, 22772, Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
					}
		if (arm64_may_use_b(zend_objects_store_del)) {
	dasm_put(Dst, 22775, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
		} else {
		if (((uintptr_t)(zend_objects_store_del)) == 0) {
	dasm_put(Dst, 22778, (ZREG_X15));
		} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
	dasm_put(Dst, 22781, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
		} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
	dasm_put(Dst, 22785, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
	dasm_put(Dst, 22789, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
			if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
	dasm_put(Dst, 22793, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
	dasm_put(Dst, 22798, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
			if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
	dasm_put(Dst, 22802, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
	dasm_put(Dst, 22806, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
	dasm_put(Dst, 22810, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
			if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
	dasm_put(Dst, 22814, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 22818, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
		}
	dasm_put(Dst, 22822, (ZREG_X15));
		}
					break;
				}
			}
			if (opline) {
		if (opline == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 22825, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(opline)) == 0) {
	dasm_put(Dst, 22828, (ZREG_X15));
		} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
	dasm_put(Dst, 22831, (ZREG_X15), ((uint64_t)(opline)));
		} else if (arm64_may_use_adr((void*)(opline))) {
	dasm_put(Dst, 22835, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
		} else if (arm64_may_use_adrp((void*)(opline))) {
	dasm_put(Dst, 22839, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
			if (((uintptr_t)(opline)) & 0xfff) {
	dasm_put(Dst, 22843, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
			}
		} else if ((uintptr_t)(opline) & 0xffff) {
	dasm_put(Dst, 22848, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
			if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 22852, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
			}
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 22856, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 22860, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 22864, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 22868, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
		}
	dasm_put(Dst, 22872, (ZREG_X15), Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
			}
		if (arm64_may_use_b(rc_dtor_func)) {
	dasm_put(Dst, 22876, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
		} else {
		if (((uintptr_t)(rc_dtor_func)) == 0) {
	dasm_put(Dst, 22879, (ZREG_X15));
		} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
	dasm_put(Dst, 22882, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
		} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
	dasm_put(Dst, 22886, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
		} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
	dasm_put(Dst, 22890, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
			if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
	dasm_put(Dst, 22894, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
			}
		} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
	dasm_put(Dst, 22899, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
			if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
	dasm_put(Dst, 22903, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
			}
			if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
	dasm_put(Dst, 22907, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
	dasm_put(Dst, 22911, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
			if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
	dasm_put(Dst, 22915, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 22919, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
		}
	dasm_put(Dst, 22923, (ZREG_X15));
		}
		} while(0);
				if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
	dasm_put(Dst, 22926);
				}
	dasm_put(Dst, 22929);
			}
			if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
				if ((op2_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
					zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
	dasm_put(Dst, 22931, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
		} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
	dasm_put(Dst, 22935, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
	dasm_put(Dst, 22939, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 22943, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 22947, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
		} else {
	dasm_put(Dst, 22952, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
		}
		if (IS_REFERENCE == 0) {
	dasm_put(Dst, 22957, (ZREG_X15));
		} else {
	dasm_put(Dst, 22961, (ZREG_X15), IS_REFERENCE);
		}
		ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
	dasm_put(Dst, 22967, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
		} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
	dasm_put(Dst, 22971, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
	dasm_put(Dst, 22975, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 22979, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 22983, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 22988, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
		}
		if (IS_TYPE_COLLECTABLE == 0) {
	dasm_put(Dst, 22993, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
	dasm_put(Dst, 22996, (ZREG_X15), IS_TYPE_COLLECTABLE);
		} else {
		if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
	dasm_put(Dst, 23000, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
		} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
	dasm_put(Dst, 23004, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
			if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
	dasm_put(Dst, 23008, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 23012, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
		}
	dasm_put(Dst, 23016, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 23020);
		ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 23023, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
		} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
	dasm_put(Dst, 23027, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 23031, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 23035, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 23039, (Z_REG(ref_addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 23043, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
		}
	dasm_put(Dst, 23047);
				}
	dasm_put(Dst, 23049, (ZREG_X15));
		if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
	dasm_put(Dst, 23052, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
	dasm_put(Dst, 23055, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
		} else {
		if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
	dasm_put(Dst, 23059, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
		} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
	dasm_put(Dst, 23063, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
			if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
	dasm_put(Dst, 23067, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 23071, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
		}
	dasm_put(Dst, 23075, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 23079);
		if (arm64_may_use_b(gc_possible_root)) {
	dasm_put(Dst, 23082, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
		} else {
		if (((uintptr_t)(gc_possible_root)) == 0) {
	dasm_put(Dst, 23085, (ZREG_X15));
		} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
	dasm_put(Dst, 23088, (ZREG_X15), ((uint64_t)(gc_possible_root)));
		} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
	dasm_put(Dst, 23092, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
		} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
	dasm_put(Dst, 23096, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
			if (((uintptr_t)(gc_possible_root)) & 0xfff) {
	dasm_put(Dst, 23100, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
			}
		} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
	dasm_put(Dst, 23105, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
			if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
	dasm_put(Dst, 23109, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
			}
			if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
	dasm_put(Dst, 23113, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
	dasm_put(Dst, 23117, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
			if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
	dasm_put(Dst, 23121, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 23125, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
		}
	dasm_put(Dst, 23129, (ZREG_X15));
		}
			}
			if (0 && ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
	dasm_put(Dst, 23132);
			}
	dasm_put(Dst, 23135);
		}
		}
#line 4657 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	return 1;
}

static int zend_jit_long_math_helper(dasm_State    **Dst,
                                     const zend_op  *opline,
                                     zend_uchar      opcode,
                                     zend_uchar      op1_type,
                                     znode_op        op1,
                                     zend_jit_addr   op1_addr,
                                     uint32_t        op1_info,
                                     zend_ssa_range *op1_range,
                                     zend_uchar      op2_type,
                                     znode_op        op2,
                                     zend_jit_addr   op2_addr,
                                     uint32_t        op2_info,
                                     zend_ssa_range *op2_range,
                                     uint32_t        res_var,
                                     zend_jit_addr   res_addr,
                                     uint32_t        res_info,
                                     uint32_t        res_use_info,
                                     int             may_throw)
/* Labels: 6 */
{
	bool same_ops = zend_jit_same_addr(op1_addr, op2_addr);
	zend_reg result_reg;

	if (op1_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-MAY_BE_LONG)) {
		//|	IF_NOT_ZVAL_TYPE op1_addr, IS_LONG, >6, ZREG_TMP1
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
		dasm_put(Dst, 23137, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
		dasm_put(Dst, 23141, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
		dasm_put(Dst, 23145, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 23149, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 23153, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 23158, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
			}
			if (IS_LONG == 0) {
		dasm_put(Dst, 23163, (ZREG_X15));
			} else {
		dasm_put(Dst, 23167, (ZREG_X15), IS_LONG);
			}
#line 4685 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	if (!same_ops && (op2_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-MAY_BE_LONG))) {
		//|	IF_NOT_ZVAL_TYPE op2_addr, IS_LONG, >6, ZREG_TMP1
			ZEND_ASSERT(Z_MODE(op2_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
		dasm_put(Dst, 23173, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))));
			} else if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
		dasm_put(Dst, 23177, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
		dasm_put(Dst, 23181, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 23185, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 23189, (ZREG_X15), (Z_REG(op2_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 23194, (ZREG_X15), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)));
			}
			if (IS_LONG == 0) {
		dasm_put(Dst, 23199, (ZREG_X15));
			} else {
		dasm_put(Dst, 23203, (ZREG_X15), IS_LONG);
			}
#line 4688 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	if (Z_MODE(res_addr) == IS_REG) {
		if ((opline->opcode == ZEND_SL || opline->opcode == ZEND_SR)
		 && opline->op2_type != IS_CONST) {
			result_reg = ZREG_REG0;
		} else {
			result_reg = Z_REG(res_addr);
		}
	} else if (Z_MODE(op1_addr) == IS_REG && Z_LAST_USE(op1_addr)) {
		result_reg = Z_REG(op1_addr);
	} else if (Z_REG(res_addr) != ZREG_REG0) {
		result_reg = ZREG_REG0;
	} else {
		/* ASSIGN_DIM_OP */
		result_reg = ZREG_FCARG1;
	}

	if (opcode == ZEND_SL) {
		if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
			zend_long op2_lval = Z_LVAL_P(Z_ZV(op2_addr));

			if (UNEXPECTED((zend_ulong)op2_lval >= SIZEOF_ZEND_LONG * 8)) {
				if (EXPECTED(op2_lval > 0)) {
					//|	mov Rx(result_reg), xzr
					dasm_put(Dst, 23209, (result_reg));
#line 4713 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					zend_jit_invalidate_var_if_necessary(Dst, op1_type, op1_addr, op1);
					zend_jit_invalidate_var_if_necessary(Dst, op2_type, op2_addr, op2);
					//|	SET_EX_OPLINE opline, REG0
						if (opline == last_valid_opline) {
							zend_jit_use_last_valid_opline();
						if (GCC_GLOBAL_REGS) {
					dasm_put(Dst, 23212, Dt1(->opline));
						}
						} else {
						if (((uintptr_t)(opline)) == 0) {
					dasm_put(Dst, 23215);
						} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
					dasm_put(Dst, 23217, ((uint64_t)(opline)));
						} else if (arm64_may_use_adr((void*)(opline))) {
					dasm_put(Dst, 23220, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
						} else if (arm64_may_use_adrp((void*)(opline))) {
					dasm_put(Dst, 23223, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
							if (((uintptr_t)(opline)) & 0xfff) {
					dasm_put(Dst, 23226, (((uintptr_t)(opline)) & 0xfff));
							}
						} else if ((uintptr_t)(opline) & 0xffff) {
					dasm_put(Dst, 23229, ((uintptr_t)(opline) & 0xffff));
							if (((uintptr_t)(opline) >> 16) & 0xffff) {
					dasm_put(Dst, 23232, (((uintptr_t)(opline) >> 16) & 0xffff));
							}
							if (((uintptr_t)(opline) >> 32) & 0xffff) {
					dasm_put(Dst, 23235, (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
					dasm_put(Dst, 23238, (((uintptr_t)(opline) >> 16) & 0xffff));
							if (((uintptr_t)(opline) >> 32) & 0xffff) {
					dasm_put(Dst, 23241, (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 23244, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					dasm_put(Dst, 23247, Dt1(->opline));
							if (!GCC_GLOBAL_REGS) {
								zend_jit_reset_last_valid_opline();
							}
						}
#line 4717 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	b ->negative_shift
					dasm_put(Dst, 23250);
#line 4718 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else if (Z_MODE(op1_addr) == IS_REG && op2_lval == 1) {
				//|	add Rx(result_reg), Rx(Z_REG(op1_addr)), Rx(Z_REG(op1_addr))
				dasm_put(Dst, 23253, (result_reg), (Z_REG(op1_addr)), (Z_REG(op1_addr)));
#line 4721 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	GET_ZVAL_LVAL result_reg, op1_addr, TMP1
					if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
						if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
				dasm_put(Dst, 23258, (result_reg));
						} else {
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
				dasm_put(Dst, 23261, (result_reg));
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 23264, (result_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
					} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 23268, (result_reg), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
					} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
				dasm_put(Dst, 23272, (result_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 23276, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
						}
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 23280, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 23284, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 23288, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 23292, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 23296, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 23300, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 23304, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 23308, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
						}
					} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 23312, ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 23315, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 23318, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 23321, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 23324, (result_reg), (Z_REG(op1_addr)));
					} else {
				dasm_put(Dst, 23328, (result_reg), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
					}
					} else if (Z_MODE(op1_addr) == IS_REG) {
						if (result_reg != Z_REG(op1_addr)) {
				dasm_put(Dst, 23333, (result_reg), (Z_REG(op1_addr)));
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 4723 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	lsl Rx(result_reg), Rx(result_reg), #op2_lval
				dasm_put(Dst, 23337, (result_reg), (result_reg), (result_reg), (64-(op2_lval))%64, 63-(op2_lval));
#line 4724 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else {
			zend_reg op2_reg;

			if (Z_MODE(op2_addr) == IS_REG) {
				op2_reg = Z_REG(op2_addr);
			} else {
				op2_reg = ZREG_TMP2;
				//|	GET_ZVAL_LVAL ZREG_TMP2, op2_addr, TMP2
					if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
						if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
				dasm_put(Dst, 23344, (ZREG_X16));
						} else {
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
				dasm_put(Dst, 23347, (ZREG_X16));
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 23350, (ZREG_X16), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
					} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 23354, (ZREG_X16), (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
					} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
				dasm_put(Dst, 23358, (ZREG_X16), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 23362, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
						}
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 23366, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 23370, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 23374, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 23378, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 23382, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 23386, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 23390, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 23394, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
						}
					} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 23398, ((uint32_t)(Z_OFFSET(op2_addr))));
					} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
				dasm_put(Dst, 23401, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 23404, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 23407, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 23410, (ZREG_X16), (Z_REG(op2_addr)));
					} else {
				dasm_put(Dst, 23414, (ZREG_X16), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
					}
					} else if (Z_MODE(op2_addr) == IS_REG) {
						if (ZREG_X16 != Z_REG(op2_addr)) {
				dasm_put(Dst, 23419, (ZREG_X16), (Z_REG(op2_addr)));
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 4733 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if (!op2_range ||
			     op2_range->min < 0 ||
			     op2_range->max >= SIZEOF_ZEND_LONG * 8) {

				//|	cmp Rx(op2_reg), #(SIZEOF_ZEND_LONG*8)
				//|	bhs >1
				//|.cold_code
				dasm_put(Dst, 23423, (op2_reg), (SIZEOF_ZEND_LONG*8));
#line 4741 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|1:
				//|	mov Rx(result_reg), xzr
				//|	cmp Rx(op2_reg), xzr
				//|	bgt >1
				dasm_put(Dst, 23429, (result_reg), (op2_reg));
#line 4745 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				zend_jit_invalidate_var_if_necessary(Dst, op1_type, op1_addr, op1);
				zend_jit_invalidate_var_if_necessary(Dst, op2_type, op2_addr, op2);
				//|	SET_EX_OPLINE opline, REG0
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 23437, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 23440);
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 23442, ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 23445, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 23448, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 23451, (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 23454, ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 23457, (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 23460, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 23463, (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 23466, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 23469, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 23472, Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
#line 4748 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	b ->negative_shift
				//|.code
				dasm_put(Dst, 23475);
#line 4750 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	GET_ZVAL_LVAL result_reg, op1_addr, TMP1
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
			dasm_put(Dst, 23478, (result_reg));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
			dasm_put(Dst, 23481, (result_reg));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 23484, (result_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 23488, (result_reg), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
			dasm_put(Dst, 23492, (result_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 23496, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 23500, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 23504, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 23508, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 23512, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 23516, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 23520, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 23524, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 23528, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 23532, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 23535, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 23538, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 23541, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 23544, (result_reg), (Z_REG(op1_addr)));
				} else {
			dasm_put(Dst, 23548, (result_reg), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
				} else if (Z_MODE(op1_addr) == IS_REG) {
					if (result_reg != Z_REG(op1_addr)) {
			dasm_put(Dst, 23553, (result_reg), (Z_REG(op1_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 4752 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	lsl Rx(result_reg), Rx(result_reg), Rx(op2_reg)
			//|1:
			dasm_put(Dst, 23557, (result_reg), (result_reg), (op2_reg));
#line 4754 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else if (opcode == ZEND_SR) {
		//|	GET_ZVAL_LVAL result_reg, op1_addr, TMP1
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 23563, (result_reg));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 23566, (result_reg));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 23569, (result_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 23573, (result_reg), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 23577, (result_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 23581, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 23585, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 23589, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 23593, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 23597, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 23601, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 23605, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 23609, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 23613, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 23617, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 23620, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 23623, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 23626, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 23629, (result_reg), (Z_REG(op1_addr)));
			} else {
		dasm_put(Dst, 23633, (result_reg), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (result_reg != Z_REG(op1_addr)) {
		dasm_put(Dst, 23638, (result_reg), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 4757 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
			zend_long op2_lval = Z_LVAL_P(Z_ZV(op2_addr));

			if (UNEXPECTED((zend_ulong)op2_lval >= SIZEOF_ZEND_LONG * 8)) {
				if (EXPECTED(op2_lval > 0)) {
					//|	asr Rx(result_reg), Rx(result_reg), #((SIZEOF_ZEND_LONG * 8) - 1)
					dasm_put(Dst, 23642, (result_reg), (result_reg), ((SIZEOF_ZEND_LONG * 8) - 1));
#line 4763 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					zend_jit_invalidate_var_if_necessary(Dst, op1_type, op1_addr, op1);
					zend_jit_invalidate_var_if_necessary(Dst, op2_type, op2_addr, op2);
					//|	SET_EX_OPLINE opline, REG0
						if (opline == last_valid_opline) {
							zend_jit_use_last_valid_opline();
						if (GCC_GLOBAL_REGS) {
					dasm_put(Dst, 23647, Dt1(->opline));
						}
						} else {
						if (((uintptr_t)(opline)) == 0) {
					dasm_put(Dst, 23650);
						} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
					dasm_put(Dst, 23652, ((uint64_t)(opline)));
						} else if (arm64_may_use_adr((void*)(opline))) {
					dasm_put(Dst, 23655, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
						} else if (arm64_may_use_adrp((void*)(opline))) {
					dasm_put(Dst, 23658, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
							if (((uintptr_t)(opline)) & 0xfff) {
					dasm_put(Dst, 23661, (((uintptr_t)(opline)) & 0xfff));
							}
						} else if ((uintptr_t)(opline) & 0xffff) {
					dasm_put(Dst, 23664, ((uintptr_t)(opline) & 0xffff));
							if (((uintptr_t)(opline) >> 16) & 0xffff) {
					dasm_put(Dst, 23667, (((uintptr_t)(opline) >> 16) & 0xffff));
							}
							if (((uintptr_t)(opline) >> 32) & 0xffff) {
					dasm_put(Dst, 23670, (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
					dasm_put(Dst, 23673, (((uintptr_t)(opline) >> 16) & 0xffff));
							if (((uintptr_t)(opline) >> 32) & 0xffff) {
					dasm_put(Dst, 23676, (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 23679, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					dasm_put(Dst, 23682, Dt1(->opline));
							if (!GCC_GLOBAL_REGS) {
								zend_jit_reset_last_valid_opline();
							}
						}
#line 4767 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	b ->negative_shift
					dasm_put(Dst, 23685);
#line 4768 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else {
				//|	asr Rx(result_reg), Rx(result_reg), #op2_lval
				dasm_put(Dst, 23688, (result_reg), (result_reg), op2_lval);
#line 4771 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else {
			zend_reg op2_reg;

			if (Z_MODE(op2_addr) == IS_REG) {
				op2_reg = Z_REG(op2_addr);
			} else {
				op2_reg = ZREG_TMP2;
				//|	GET_ZVAL_LVAL ZREG_TMP2, op2_addr, TMP2
					if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
						if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
				dasm_put(Dst, 23693, (ZREG_X16));
						} else {
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
				dasm_put(Dst, 23696, (ZREG_X16));
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 23699, (ZREG_X16), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
					} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 23703, (ZREG_X16), (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
					} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
				dasm_put(Dst, 23707, (ZREG_X16), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 23711, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
						}
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 23715, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 23719, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 23723, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 23727, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 23731, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 23735, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 23739, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 23743, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
						}
					} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 23747, ((uint32_t)(Z_OFFSET(op2_addr))));
					} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
				dasm_put(Dst, 23750, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 23753, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 23756, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 23759, (ZREG_X16), (Z_REG(op2_addr)));
					} else {
				dasm_put(Dst, 23763, (ZREG_X16), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
					}
					} else if (Z_MODE(op2_addr) == IS_REG) {
						if (ZREG_X16 != Z_REG(op2_addr)) {
				dasm_put(Dst, 23768, (ZREG_X16), (Z_REG(op2_addr)));
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 4780 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if (!op2_range ||
			     op2_range->min < 0 ||
			     op2_range->max >= SIZEOF_ZEND_LONG * 8) {
				//|	cmp Rx(op2_reg), #(SIZEOF_ZEND_LONG*8)
				//|	bhs >1
				//|.cold_code
				dasm_put(Dst, 23772, (op2_reg), (SIZEOF_ZEND_LONG*8));
#line 4787 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|1:
				//|	cmp Rx(op2_reg), xzr
				//|	mov Rx(op2_reg), #((SIZEOF_ZEND_LONG * 8) - 1)
				//|	bgt >1
				dasm_put(Dst, 23778, (op2_reg), (op2_reg), ((SIZEOF_ZEND_LONG * 8) - 1));
#line 4791 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				zend_jit_invalidate_var_if_necessary(Dst, op1_type, op1_addr, op1);
				zend_jit_invalidate_var_if_necessary(Dst, op2_type, op2_addr, op2);
				//|	SET_EX_OPLINE opline, REG0
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 23787, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 23790);
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 23792, ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 23795, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 23798, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 23801, (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 23804, ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 23807, (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 23810, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 23813, (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 23816, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 23819, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 23822, Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
#line 4794 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	b ->negative_shift
				//|.code
				dasm_put(Dst, 23825);
#line 4796 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|1:
			//|	asr Rx(result_reg), Rx(result_reg), Rx(op2_reg)
			dasm_put(Dst, 23828, (result_reg), (result_reg), (op2_reg));
#line 4799 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else if (opcode == ZEND_MOD) {
		if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
			zend_long op2_lval = Z_LVAL_P(Z_ZV(op2_addr));

			if (op2_lval == 0) {
					zend_jit_invalidate_var_if_necessary(Dst, op1_type, op1_addr, op1);
					zend_jit_invalidate_var_if_necessary(Dst, op2_type, op2_addr, op2);
				//|	SET_EX_OPLINE opline, REG0
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 23834, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 23837);
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 23839, ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 23842, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 23845, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 23848, (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 23851, ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 23854, (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 23857, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 23860, (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 23863, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 23866, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 23869, Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
#line 4808 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	b ->mod_by_zero
				dasm_put(Dst, 23872);
#line 4809 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else if (op2_lval == -1) {
				//|	mov Rx(result_reg), xzr
				dasm_put(Dst, 23875, (result_reg));
#line 4811 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else if (zend_long_is_power_of_two(op2_lval) && op1_range && op1_range->min >= 0) {
				zval tmp;
				zend_jit_addr tmp_addr;

				/* Optimisation for mod of power of 2 */
				ZVAL_LONG(&tmp, op2_lval - 1);
				tmp_addr = ZEND_ADDR_CONST_ZVAL(&tmp);
				//|	GET_ZVAL_LVAL result_reg, op1_addr, TMP1
					if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
						if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
				dasm_put(Dst, 23878, (result_reg));
						} else {
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
				dasm_put(Dst, 23881, (result_reg));
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 23884, (result_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
					} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 23888, (result_reg), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
					} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
				dasm_put(Dst, 23892, (result_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 23896, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
						}
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 23900, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 23904, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 23908, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 23912, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 23916, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 23920, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 23924, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 23928, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
						}
					} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 23932, ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 23935, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 23938, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 23941, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 23944, (result_reg), (Z_REG(op1_addr)));
					} else {
				dasm_put(Dst, 23948, (result_reg), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
					}
					} else if (Z_MODE(op1_addr) == IS_REG) {
						if (result_reg != Z_REG(op1_addr)) {
				dasm_put(Dst, 23953, (result_reg), (Z_REG(op1_addr)));
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 4819 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	LONG_MATH ZEND_BW_AND, result_reg, tmp_addr, TMP1
					switch (ZEND_BW_AND) {
						case ZEND_ADD:
					if (Z_MODE(tmp_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(tmp_addr)) == 0) {
				dasm_put(Dst, 23957, (result_reg), (result_reg));
					} else if (arm64_may_encode_imm12((int64_t)(Z_LVAL_P(Z_ZV(tmp_addr))))) {
				dasm_put(Dst, 23961, (result_reg), (result_reg), Z_LVAL_P(Z_ZV(tmp_addr)));
					} else {
					if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr)))) == 0) {
				dasm_put(Dst, 23966);
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 23968, ((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr)))));
					} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 23971, (~((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))))));
					} else if ((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) & 0xffff) {
				dasm_put(Dst, 23974, ((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 23977, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 16) & 0xffff));
						}
						if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 23980, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 23983, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 23986, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 16) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 23989, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 23992, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 23995, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 32) & 0xffff));
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 23998, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 24001, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff));
					}
				dasm_put(Dst, 24004, (result_reg), (result_reg));
					}
					} else if (Z_MODE(tmp_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(tmp_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(tmp_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 24008, ((uint32_t)(Z_OFFSET(tmp_addr))));
					} else if (((uint32_t)(Z_OFFSET(tmp_addr)) & 0xffff)) {
				dasm_put(Dst, 24011, ((uint32_t)(Z_OFFSET(tmp_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(tmp_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 24014, (((uint32_t)(Z_OFFSET(tmp_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 24017, (((uint32_t)(Z_OFFSET(tmp_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 24020, (Z_REG(tmp_addr)));
					} else {
				dasm_put(Dst, 24023, (Z_REG(tmp_addr)), (Z_OFFSET(tmp_addr)));
					}
				dasm_put(Dst, 24027, (result_reg), (result_reg));
					} else if (Z_MODE(tmp_addr) == IS_REG) {
				dasm_put(Dst, 24031, (result_reg), (result_reg), (Z_REG(tmp_addr)));
					} else {
						ZEND_UNREACHABLE();
					}
							break;
						case ZEND_SUB:
					if (Z_MODE(tmp_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(tmp_addr)) == 0) {
				dasm_put(Dst, 24036, (result_reg), (result_reg));
					} else if (arm64_may_encode_imm12((int64_t)(Z_LVAL_P(Z_ZV(tmp_addr))))) {
				dasm_put(Dst, 24040, (result_reg), (result_reg), Z_LVAL_P(Z_ZV(tmp_addr)));
					} else {
					if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr)))) == 0) {
				dasm_put(Dst, 24045);
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 24047, ((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr)))));
					} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 24050, (~((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))))));
					} else if ((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) & 0xffff) {
				dasm_put(Dst, 24053, ((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 24056, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 16) & 0xffff));
						}
						if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 24059, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 24062, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 24065, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 16) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 24068, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 24071, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 24074, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 32) & 0xffff));
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 24077, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 24080, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff));
					}
				dasm_put(Dst, 24083, (result_reg), (result_reg));
					}
					} else if (Z_MODE(tmp_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(tmp_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(tmp_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 24087, ((uint32_t)(Z_OFFSET(tmp_addr))));
					} else if (((uint32_t)(Z_OFFSET(tmp_addr)) & 0xffff)) {
				dasm_put(Dst, 24090, ((uint32_t)(Z_OFFSET(tmp_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(tmp_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 24093, (((uint32_t)(Z_OFFSET(tmp_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 24096, (((uint32_t)(Z_OFFSET(tmp_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 24099, (Z_REG(tmp_addr)));
					} else {
				dasm_put(Dst, 24102, (Z_REG(tmp_addr)), (Z_OFFSET(tmp_addr)));
					}
				dasm_put(Dst, 24106, (result_reg), (result_reg));
					} else if (Z_MODE(tmp_addr) == IS_REG) {
				dasm_put(Dst, 24110, (result_reg), (result_reg), (Z_REG(tmp_addr)));
					} else {
						ZEND_UNREACHABLE();
					}
							break;
						case ZEND_BW_OR:
					if (Z_MODE(tmp_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(tmp_addr)) == 0) {
				dasm_put(Dst, 24115, (result_reg), (result_reg));
					} else if (logical_immediate_p(Z_LVAL_P(Z_ZV(tmp_addr)), 64)) {
				dasm_put(Dst, 24119, (result_reg), (result_reg), (unsigned int)(Z_LVAL_P(Z_ZV(tmp_addr))), (unsigned int)((unsigned long long)(Z_LVAL_P(Z_ZV(tmp_addr)))>>32));
					} else {
					if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr)))) == 0) {
				dasm_put(Dst, 24124);
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 24126, ((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr)))));
					} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 24129, (~((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))))));
					} else if ((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) & 0xffff) {
				dasm_put(Dst, 24132, ((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 24135, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 16) & 0xffff));
						}
						if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 24138, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 24141, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 24144, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 16) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 24147, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 24150, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 24153, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 32) & 0xffff));
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 24156, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 24159, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff));
					}
				dasm_put(Dst, 24162, (result_reg), (result_reg));
					}
					} else if (Z_MODE(tmp_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(tmp_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(tmp_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 24166, ((uint32_t)(Z_OFFSET(tmp_addr))));
					} else if (((uint32_t)(Z_OFFSET(tmp_addr)) & 0xffff)) {
				dasm_put(Dst, 24169, ((uint32_t)(Z_OFFSET(tmp_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(tmp_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 24172, (((uint32_t)(Z_OFFSET(tmp_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 24175, (((uint32_t)(Z_OFFSET(tmp_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 24178, (Z_REG(tmp_addr)));
					} else {
				dasm_put(Dst, 24181, (Z_REG(tmp_addr)), (Z_OFFSET(tmp_addr)));
					}
				dasm_put(Dst, 24185, (result_reg), (result_reg));
					} else if (Z_MODE(tmp_addr) == IS_REG) {
				dasm_put(Dst, 24189, (result_reg), (result_reg), (Z_REG(tmp_addr)));
					} else {
						ZEND_UNREACHABLE();
					}
							break;
						case ZEND_BW_AND:
					if (Z_MODE(tmp_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(tmp_addr)) == 0) {
				dasm_put(Dst, 24194, (result_reg), (result_reg));
					} else if (logical_immediate_p(Z_LVAL_P(Z_ZV(tmp_addr)), 64)) {
				dasm_put(Dst, 24198, (result_reg), (result_reg), (unsigned int)(Z_LVAL_P(Z_ZV(tmp_addr))), (unsigned int)((unsigned long long)(Z_LVAL_P(Z_ZV(tmp_addr)))>>32));
					} else {
					if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr)))) == 0) {
				dasm_put(Dst, 24203);
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 24205, ((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr)))));
					} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 24208, (~((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))))));
					} else if ((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) & 0xffff) {
				dasm_put(Dst, 24211, ((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 24214, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 16) & 0xffff));
						}
						if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 24217, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 24220, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 24223, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 16) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 24226, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 24229, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 24232, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 32) & 0xffff));
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 24235, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 24238, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff));
					}
				dasm_put(Dst, 24241, (result_reg), (result_reg));
					}
					} else if (Z_MODE(tmp_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(tmp_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(tmp_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 24245, ((uint32_t)(Z_OFFSET(tmp_addr))));
					} else if (((uint32_t)(Z_OFFSET(tmp_addr)) & 0xffff)) {
				dasm_put(Dst, 24248, ((uint32_t)(Z_OFFSET(tmp_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(tmp_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 24251, (((uint32_t)(Z_OFFSET(tmp_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 24254, (((uint32_t)(Z_OFFSET(tmp_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 24257, (Z_REG(tmp_addr)));
					} else {
				dasm_put(Dst, 24260, (Z_REG(tmp_addr)), (Z_OFFSET(tmp_addr)));
					}
				dasm_put(Dst, 24264, (result_reg), (result_reg));
					} else if (Z_MODE(tmp_addr) == IS_REG) {
				dasm_put(Dst, 24268, (result_reg), (result_reg), (Z_REG(tmp_addr)));
					} else {
						ZEND_UNREACHABLE();
					}
							break;
						case ZEND_BW_XOR:
					if (Z_MODE(tmp_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(tmp_addr)) == 0) {
				dasm_put(Dst, 24273, (result_reg), (result_reg));
					} else if (logical_immediate_p(Z_LVAL_P(Z_ZV(tmp_addr)), 64)) {
				dasm_put(Dst, 24277, (result_reg), (result_reg), (unsigned int)(Z_LVAL_P(Z_ZV(tmp_addr))), (unsigned int)((unsigned long long)(Z_LVAL_P(Z_ZV(tmp_addr)))>>32));
					} else {
					if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr)))) == 0) {
				dasm_put(Dst, 24282);
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 24284, ((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr)))));
					} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 24287, (~((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))))));
					} else if ((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) & 0xffff) {
				dasm_put(Dst, 24290, ((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 24293, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 16) & 0xffff));
						}
						if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 24296, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 24299, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 24302, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 16) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 24305, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 24308, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 24311, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 32) & 0xffff));
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 24314, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 24317, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff));
					}
				dasm_put(Dst, 24320, (result_reg), (result_reg));
					}
					} else if (Z_MODE(tmp_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(tmp_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(tmp_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 24324, ((uint32_t)(Z_OFFSET(tmp_addr))));
					} else if (((uint32_t)(Z_OFFSET(tmp_addr)) & 0xffff)) {
				dasm_put(Dst, 24327, ((uint32_t)(Z_OFFSET(tmp_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(tmp_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 24330, (((uint32_t)(Z_OFFSET(tmp_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 24333, (((uint32_t)(Z_OFFSET(tmp_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 24336, (Z_REG(tmp_addr)));
					} else {
				dasm_put(Dst, 24339, (Z_REG(tmp_addr)), (Z_OFFSET(tmp_addr)));
					}
				dasm_put(Dst, 24343, (result_reg), (result_reg));
					} else if (Z_MODE(tmp_addr) == IS_REG) {
				dasm_put(Dst, 24347, (result_reg), (result_reg), (Z_REG(tmp_addr)));
					} else {
						ZEND_UNREACHABLE();
					}
							break;
						default:
							ZEND_UNREACHABLE();
					}
#line 4820 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	GET_ZVAL_LVAL ZREG_TMP1, op1_addr, TMP1
					if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
						if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
				dasm_put(Dst, 24352, (ZREG_X15));
						} else {
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
				dasm_put(Dst, 24355, (ZREG_X15));
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 24358, (ZREG_X15), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
					} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 24362, (ZREG_X15), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
					} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
				dasm_put(Dst, 24366, (ZREG_X15), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 24370, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
						}
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 24374, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 24378, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 24382, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 24386, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 24390, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 24394, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 24398, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 24402, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
						}
					} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 24406, ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 24409, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 24412, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 24415, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 24418, (ZREG_X15), (Z_REG(op1_addr)));
					} else {
				dasm_put(Dst, 24422, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
					}
					} else if (Z_MODE(op1_addr) == IS_REG) {
						if (ZREG_X15 != Z_REG(op1_addr)) {
				dasm_put(Dst, 24427, (ZREG_X15), (Z_REG(op1_addr)));
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 4822 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	GET_ZVAL_LVAL ZREG_TMP2, op2_addr, TMP2
					if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
						if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
				dasm_put(Dst, 24431, (ZREG_X16));
						} else {
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
				dasm_put(Dst, 24434, (ZREG_X16));
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 24437, (ZREG_X16), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
					} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 24441, (ZREG_X16), (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
					} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
				dasm_put(Dst, 24445, (ZREG_X16), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 24449, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
						}
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 24453, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 24457, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 24461, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 24465, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 24469, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 24473, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 24477, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 24481, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
						}
					} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 24485, ((uint32_t)(Z_OFFSET(op2_addr))));
					} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
				dasm_put(Dst, 24488, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 24491, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 24494, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 24497, (ZREG_X16), (Z_REG(op2_addr)));
					} else {
				dasm_put(Dst, 24501, (ZREG_X16), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
					}
					} else if (Z_MODE(op2_addr) == IS_REG) {
						if (ZREG_X16 != Z_REG(op2_addr)) {
				dasm_put(Dst, 24506, (ZREG_X16), (Z_REG(op2_addr)));
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 4823 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	sdiv Rx(result_reg), TMP1, TMP2
				//|	msub Rx(result_reg), Rx(result_reg), TMP2, TMP1
				dasm_put(Dst, 24510, (result_reg), (result_reg), (result_reg));
#line 4825 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else {
			zend_reg op2_reg;

			if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
				//|	MEM_ACCESS_64_WITH_UOFFSET ldr, TMP2, Rx(Z_REG(op2_addr)), Z_OFFSET(op2_addr), TMP2
					if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 24516, ((uint32_t)(Z_OFFSET(op2_addr))));
					} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
				dasm_put(Dst, 24519, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 24522, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 24525, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 24528, (Z_REG(op2_addr)));
					} else {
				dasm_put(Dst, 24531, (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
					}
#line 4831 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				op2_reg = ZREG_TMP2;
			} else {
				ZEND_ASSERT(Z_MODE(op2_addr) == IS_REG);
				op2_reg = Z_REG(op2_addr);
			}

			if ((op2_type & (MAY_BE_UNDEF|MAY_BE_NULL|MAY_BE_FALSE)) || !op2_range || (op2_range->min <= 0 && op2_range->max >= 0)) {
				//|	cbz Rx(op2_reg), >1
				//|.cold_code
				dasm_put(Dst, 24535, (op2_reg));
#line 4840 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|1:
				dasm_put(Dst, 24539);
#line 4841 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				zend_jit_invalidate_var_if_necessary(Dst, op1_type, op1_addr, op1);
				zend_jit_invalidate_var_if_necessary(Dst, op2_type, op2_addr, op2);
				//|	SET_EX_OPLINE opline, REG0
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 24541, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 24544);
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 24546, ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 24549, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 24552, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 24555, (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 24558, ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 24561, (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 24564, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 24567, (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 24570, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 24573, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 24576, Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
#line 4844 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	b ->mod_by_zero
				//|.code
				dasm_put(Dst, 24579);
#line 4846 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}

			/* Prevent overflow error/crash if op1 == LONG_MIN and op2 == -1 */
			if (!op2_range || (op2_range->min <= -1 && op2_range->max >= -1)) {
				//|	cmn Rx(op2_reg), #1
				//|	beq >1
				//|.cold_code
				dasm_put(Dst, 24582, (op2_reg));
#line 4853 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|1:
				//|	SET_ZVAL_LVAL_FROM_REG res_addr, xzr, TMP1
				dasm_put(Dst, 24587);
					if (Z_MODE(res_addr) == IS_REG) {
				dasm_put(Dst, 24589, (Z_REG(res_addr)));
					} else {
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 24592, ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 24595, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 24598, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 24601, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 24604, (Z_REG(res_addr)));
					} else {
				dasm_put(Dst, 24607, (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
					}
					}
#line 4855 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
					if (Z_MODE(op1_addr) != IS_MEM_ZVAL || Z_REG(op1_addr) != Z_REG(res_addr) || Z_OFFSET(op1_addr) != Z_OFFSET(res_addr)) {
						if ((res_use_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_REF|MAY_BE_GUARD)) != MAY_BE_LONG) {
							//|	SET_ZVAL_TYPE_INFO res_addr, IS_LONG, TMP1w, TMP2
								ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
								if (((uint32_t)(IS_LONG)) <= MOVZ_IMM) {
							dasm_put(Dst, 24611, ((uint32_t)(IS_LONG)));
								} else if (((uint32_t)(IS_LONG) & 0xffff)) {
							dasm_put(Dst, 24614, ((uint32_t)(IS_LONG) & 0xffff));
									if ((((uint32_t)(IS_LONG) >> 16) & 0xffff)) {
							dasm_put(Dst, 24617, (((uint32_t)(IS_LONG) >> 16) & 0xffff));
									}
								} else {
							dasm_put(Dst, 24620, (((uint32_t)(IS_LONG) >> 16) & 0xffff));
								}
								if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
								if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
							dasm_put(Dst, 24623, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
								} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
							dasm_put(Dst, 24626, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
									if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
							dasm_put(Dst, 24629, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
									}
								} else {
							dasm_put(Dst, 24632, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
								}
							dasm_put(Dst, 24635, (Z_REG(res_addr)));
								} else {
							dasm_put(Dst, 24638, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
								}
#line 4859 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						}
					}
				}
				//|	b >5
				//|.code
				dasm_put(Dst, 24642);
#line 4864 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}

			//|	GET_ZVAL_LVAL ZREG_TMP1, op1_addr, TMP1
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
			dasm_put(Dst, 24645, (ZREG_X15));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
			dasm_put(Dst, 24648, (ZREG_X15));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 24651, (ZREG_X15), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 24655, (ZREG_X15), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
			dasm_put(Dst, 24659, (ZREG_X15), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 24663, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 24667, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 24671, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 24675, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 24679, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 24683, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 24687, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 24691, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 24695, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 24699, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 24702, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 24705, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 24708, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 24711, (ZREG_X15), (Z_REG(op1_addr)));
				} else {
			dasm_put(Dst, 24715, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
				} else if (Z_MODE(op1_addr) == IS_REG) {
					if (ZREG_X15 != Z_REG(op1_addr)) {
			dasm_put(Dst, 24720, (ZREG_X15), (Z_REG(op1_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 4867 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	sdiv Rx(result_reg), TMP1, Rx(op2_reg)
			//|	msub Rx(result_reg), Rx(result_reg), Rx(op2_reg), TMP1
			dasm_put(Dst, 24724, (result_reg), (op2_reg), (result_reg), (result_reg), (op2_reg));
#line 4869 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else if (same_ops) {
		//|	GET_ZVAL_LVAL result_reg, op1_addr, TMP1
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 24732, (result_reg));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 24735, (result_reg));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 24738, (result_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 24742, (result_reg), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 24746, (result_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 24750, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 24754, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 24758, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 24762, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 24766, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 24770, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 24774, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 24778, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 24782, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 24786, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 24789, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 24792, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 24795, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 24798, (result_reg), (Z_REG(op1_addr)));
			} else {
		dasm_put(Dst, 24802, (result_reg), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (result_reg != Z_REG(op1_addr)) {
		dasm_put(Dst, 24807, (result_reg), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 4872 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	LONG_MATH_REG opcode, Rx(result_reg), Rx(result_reg), Rx(result_reg)
			switch (opcode) {
				case ZEND_ADD:
		dasm_put(Dst, 24811, (result_reg), (result_reg), (result_reg));
					break;
				case ZEND_SUB:
		dasm_put(Dst, 24816, (result_reg), (result_reg), (result_reg));
					break;
				case ZEND_BW_OR:
		dasm_put(Dst, 24821, (result_reg), (result_reg), (result_reg));
					break;
				case ZEND_BW_AND:
		dasm_put(Dst, 24826, (result_reg), (result_reg), (result_reg));
					break;
				case ZEND_BW_XOR:
		dasm_put(Dst, 24831, (result_reg), (result_reg), (result_reg));
					break;
				default:
					ZEND_UNREACHABLE();
			}
#line 4873 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		//|	GET_ZVAL_LVAL result_reg, op1_addr, TMP1
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 24836, (result_reg));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 24839, (result_reg));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 24842, (result_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 24846, (result_reg), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 24850, (result_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 24854, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 24858, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 24862, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 24866, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 24870, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 24874, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 24878, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 24882, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 24886, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 24890, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 24893, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 24896, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 24899, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 24902, (result_reg), (Z_REG(op1_addr)));
			} else {
		dasm_put(Dst, 24906, (result_reg), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (result_reg != Z_REG(op1_addr)) {
		dasm_put(Dst, 24911, (result_reg), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 4875 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	LONG_MATH opcode, result_reg, op2_addr, TMP1
			switch (opcode) {
				case ZEND_ADD:
			if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
			if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
		dasm_put(Dst, 24915, (result_reg), (result_reg));
			} else if (arm64_may_encode_imm12((int64_t)(Z_LVAL_P(Z_ZV(op2_addr))))) {
		dasm_put(Dst, 24919, (result_reg), (result_reg), Z_LVAL_P(Z_ZV(op2_addr)));
			} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
		dasm_put(Dst, 24924);
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 24926, ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 24929, (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
		dasm_put(Dst, 24932, ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 24935, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 24938, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 24941, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 24944, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 24947, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 24950, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 24953, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 24956, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 24959, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
			}
		dasm_put(Dst, 24962, (result_reg), (result_reg));
			}
			} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 24966, ((uint32_t)(Z_OFFSET(op2_addr))));
			} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
		dasm_put(Dst, 24969, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 24972, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 24975, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 24978, (Z_REG(op2_addr)));
			} else {
		dasm_put(Dst, 24981, (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
			}
		dasm_put(Dst, 24985, (result_reg), (result_reg));
			} else if (Z_MODE(op2_addr) == IS_REG) {
		dasm_put(Dst, 24989, (result_reg), (result_reg), (Z_REG(op2_addr)));
			} else {
				ZEND_UNREACHABLE();
			}
					break;
				case ZEND_SUB:
			if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
			if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
		dasm_put(Dst, 24994, (result_reg), (result_reg));
			} else if (arm64_may_encode_imm12((int64_t)(Z_LVAL_P(Z_ZV(op2_addr))))) {
		dasm_put(Dst, 24998, (result_reg), (result_reg), Z_LVAL_P(Z_ZV(op2_addr)));
			} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
		dasm_put(Dst, 25003);
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 25005, ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 25008, (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
		dasm_put(Dst, 25011, ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 25014, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 25017, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 25020, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 25023, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 25026, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 25029, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 25032, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 25035, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 25038, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
			}
		dasm_put(Dst, 25041, (result_reg), (result_reg));
			}
			} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 25045, ((uint32_t)(Z_OFFSET(op2_addr))));
			} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
		dasm_put(Dst, 25048, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 25051, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 25054, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 25057, (Z_REG(op2_addr)));
			} else {
		dasm_put(Dst, 25060, (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
			}
		dasm_put(Dst, 25064, (result_reg), (result_reg));
			} else if (Z_MODE(op2_addr) == IS_REG) {
		dasm_put(Dst, 25068, (result_reg), (result_reg), (Z_REG(op2_addr)));
			} else {
				ZEND_UNREACHABLE();
			}
					break;
				case ZEND_BW_OR:
			if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
			if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
		dasm_put(Dst, 25073, (result_reg), (result_reg));
			} else if (logical_immediate_p(Z_LVAL_P(Z_ZV(op2_addr)), 64)) {
		dasm_put(Dst, 25077, (result_reg), (result_reg), (unsigned int)(Z_LVAL_P(Z_ZV(op2_addr))), (unsigned int)((unsigned long long)(Z_LVAL_P(Z_ZV(op2_addr)))>>32));
			} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
		dasm_put(Dst, 25082);
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 25084, ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 25087, (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
		dasm_put(Dst, 25090, ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 25093, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 25096, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 25099, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 25102, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 25105, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 25108, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 25111, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 25114, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 25117, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
			}
		dasm_put(Dst, 25120, (result_reg), (result_reg));
			}
			} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 25124, ((uint32_t)(Z_OFFSET(op2_addr))));
			} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
		dasm_put(Dst, 25127, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 25130, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 25133, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 25136, (Z_REG(op2_addr)));
			} else {
		dasm_put(Dst, 25139, (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
			}
		dasm_put(Dst, 25143, (result_reg), (result_reg));
			} else if (Z_MODE(op2_addr) == IS_REG) {
		dasm_put(Dst, 25147, (result_reg), (result_reg), (Z_REG(op2_addr)));
			} else {
				ZEND_UNREACHABLE();
			}
					break;
				case ZEND_BW_AND:
			if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
			if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
		dasm_put(Dst, 25152, (result_reg), (result_reg));
			} else if (logical_immediate_p(Z_LVAL_P(Z_ZV(op2_addr)), 64)) {
		dasm_put(Dst, 25156, (result_reg), (result_reg), (unsigned int)(Z_LVAL_P(Z_ZV(op2_addr))), (unsigned int)((unsigned long long)(Z_LVAL_P(Z_ZV(op2_addr)))>>32));
			} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
		dasm_put(Dst, 25161);
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 25163, ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 25166, (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
		dasm_put(Dst, 25169, ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 25172, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 25175, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 25178, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 25181, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 25184, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 25187, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 25190, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 25193, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 25196, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
			}
		dasm_put(Dst, 25199, (result_reg), (result_reg));
			}
			} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 25203, ((uint32_t)(Z_OFFSET(op2_addr))));
			} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
		dasm_put(Dst, 25206, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 25209, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 25212, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 25215, (Z_REG(op2_addr)));
			} else {
		dasm_put(Dst, 25218, (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
			}
		dasm_put(Dst, 25222, (result_reg), (result_reg));
			} else if (Z_MODE(op2_addr) == IS_REG) {
		dasm_put(Dst, 25226, (result_reg), (result_reg), (Z_REG(op2_addr)));
			} else {
				ZEND_UNREACHABLE();
			}
					break;
				case ZEND_BW_XOR:
			if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
			if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
		dasm_put(Dst, 25231, (result_reg), (result_reg));
			} else if (logical_immediate_p(Z_LVAL_P(Z_ZV(op2_addr)), 64)) {
		dasm_put(Dst, 25235, (result_reg), (result_reg), (unsigned int)(Z_LVAL_P(Z_ZV(op2_addr))), (unsigned int)((unsigned long long)(Z_LVAL_P(Z_ZV(op2_addr)))>>32));
			} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
		dasm_put(Dst, 25240);
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 25242, ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 25245, (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
		dasm_put(Dst, 25248, ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 25251, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 25254, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 25257, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 25260, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 25263, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 25266, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 25269, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 25272, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 25275, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
			}
		dasm_put(Dst, 25278, (result_reg), (result_reg));
			}
			} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 25282, ((uint32_t)(Z_OFFSET(op2_addr))));
			} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
		dasm_put(Dst, 25285, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 25288, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 25291, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 25294, (Z_REG(op2_addr)));
			} else {
		dasm_put(Dst, 25297, (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
			}
		dasm_put(Dst, 25301, (result_reg), (result_reg));
			} else if (Z_MODE(op2_addr) == IS_REG) {
		dasm_put(Dst, 25305, (result_reg), (result_reg), (Z_REG(op2_addr)));
			} else {
				ZEND_UNREACHABLE();
			}
					break;
				default:
					ZEND_UNREACHABLE();
			}
#line 4876 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	if (Z_MODE(res_addr) != IS_REG || Z_REG(res_addr) != result_reg) {
		//|	SET_ZVAL_LVAL_FROM_REG res_addr, Rx(result_reg), TMP1
			if (Z_MODE(res_addr) == IS_REG) {
		dasm_put(Dst, 25310, (Z_REG(res_addr)), (result_reg));
			} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 25314, ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 25317, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 25320, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 25323, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 25326, (result_reg), (Z_REG(res_addr)));
			} else {
		dasm_put(Dst, 25330, (result_reg), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
			}
#line 4880 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
		if (Z_MODE(op1_addr) != IS_MEM_ZVAL || Z_REG(op1_addr) != Z_REG(res_addr) || Z_OFFSET(op1_addr) != Z_OFFSET(res_addr)) {
			if ((res_use_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_REF|MAY_BE_GUARD)) != MAY_BE_LONG) {
				//|	SET_ZVAL_TYPE_INFO res_addr, IS_LONG, TMP1w, TMP2
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uint32_t)(IS_LONG)) <= MOVZ_IMM) {
				dasm_put(Dst, 25335, ((uint32_t)(IS_LONG)));
					} else if (((uint32_t)(IS_LONG) & 0xffff)) {
				dasm_put(Dst, 25338, ((uint32_t)(IS_LONG) & 0xffff));
						if ((((uint32_t)(IS_LONG) >> 16) & 0xffff)) {
				dasm_put(Dst, 25341, (((uint32_t)(IS_LONG) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 25344, (((uint32_t)(IS_LONG) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 25347, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 25350, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 25353, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 25356, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 25359, (Z_REG(res_addr)));
					} else {
				dasm_put(Dst, 25362, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
					}
#line 4885 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
	}

	if ((op1_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-MAY_BE_LONG)) ||
		(op2_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-MAY_BE_LONG))) {
		if ((op1_info & MAY_BE_LONG) &&
		    (op2_info & MAY_BE_LONG)) {
			//|.cold_code
			dasm_put(Dst, 25366);
#line 4894 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|6:
		dasm_put(Dst, 25367);
#line 4896 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (Z_MODE(op1_addr) != IS_MEM_ZVAL || Z_REG(op1_addr) != ZREG_FCARG1) {
			if (Z_MODE(res_addr) == IS_REG) {
				zend_jit_addr real_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, res_var);
				//|	LOAD_ZVAL_ADDR FCARG1x, real_addr
					if (Z_MODE(real_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(real_addr))) == 0) {
				dasm_put(Dst, 25369);
					} else if (((uintptr_t)(Z_ZV(real_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 25371, ((uint64_t)(Z_ZV(real_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(real_addr)))) {
				dasm_put(Dst, 25374, (unsigned int)((ptrdiff_t)(Z_ZV(real_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(real_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(real_addr)))) {
				dasm_put(Dst, 25377, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(real_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(real_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(real_addr))) & 0xfff) {
				dasm_put(Dst, 25380, (((uintptr_t)(Z_ZV(real_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(real_addr)) & 0xffff) {
				dasm_put(Dst, 25383, ((uintptr_t)(Z_ZV(real_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(real_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 25386, (((uintptr_t)(Z_ZV(real_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(real_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 25389, (((uintptr_t)(Z_ZV(real_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(real_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 25392, (((uintptr_t)(Z_ZV(real_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(real_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 25395, (((uintptr_t)(Z_ZV(real_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 25398, (((uintptr_t)(Z_ZV(real_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(real_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(real_addr)) {
					if (Z_OFFSET(real_addr) == 0) {
				dasm_put(Dst, 25401, (Z_REG(real_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(real_addr)))) {
				dasm_put(Dst, 25404, (Z_REG(real_addr)), Z_OFFSET(real_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(real_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 25408, ((uint32_t)(Z_OFFSET(real_addr))));
					} else if (((uint32_t)(Z_OFFSET(real_addr)) & 0xffff)) {
				dasm_put(Dst, 25411, ((uint32_t)(Z_OFFSET(real_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(real_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 25414, (((uint32_t)(Z_OFFSET(real_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 25417, (((uint32_t)(Z_OFFSET(real_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 25420, (Z_REG(real_addr)));
					}
						} else {
							if (Z_REG(real_addr) == ZREG_RSP) {
				dasm_put(Dst, 25423);
							} else {
				dasm_put(Dst, 25425, (Z_REG(real_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 4900 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else if (Z_REG(res_addr) != ZREG_FCARG1 || Z_OFFSET(res_addr) != 0) {
				//|	LOAD_ZVAL_ADDR FCARG1x, res_addr
					if (Z_MODE(res_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(res_addr))) == 0) {
				dasm_put(Dst, 25428);
					} else if (((uintptr_t)(Z_ZV(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 25430, ((uint64_t)(Z_ZV(res_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 25433, (unsigned int)((ptrdiff_t)(Z_ZV(res_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(res_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 25436, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(res_addr))) & 0xfff) {
				dasm_put(Dst, 25439, (((uintptr_t)(Z_ZV(res_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(res_addr)) & 0xffff) {
				dasm_put(Dst, 25442, ((uintptr_t)(Z_ZV(res_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 25445, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 25448, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 25451, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 25454, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 25457, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(res_addr)) {
					if (Z_OFFSET(res_addr) == 0) {
				dasm_put(Dst, 25460, (Z_REG(res_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(res_addr)))) {
				dasm_put(Dst, 25463, (Z_REG(res_addr)), Z_OFFSET(res_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 25467, ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 25470, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 25473, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 25476, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 25479, (Z_REG(res_addr)));
					}
						} else {
							if (Z_REG(res_addr) == ZREG_RSP) {
				dasm_put(Dst, 25482);
							} else {
				dasm_put(Dst, 25484, (Z_REG(res_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 4902 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if (Z_MODE(op1_addr) == IS_REG) {
				zend_jit_addr real_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, op1.var);
				if (!zend_jit_spill_store(Dst, op1_addr, real_addr, op1_info, 1)) {
					return 0;
				}
				op1_addr = real_addr;
			}
			//|	LOAD_ZVAL_ADDR FCARG2x, op1_addr
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
			dasm_put(Dst, 25487);
				} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 25489, ((uint64_t)(Z_ZV(op1_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 25492, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 25495, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
			dasm_put(Dst, 25498, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
			dasm_put(Dst, 25501, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 25504, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 25507, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 25510, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 25513, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 25516, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(op1_addr)) {
				if (Z_OFFSET(op1_addr) == 0) {
			dasm_put(Dst, 25519, (Z_REG(op1_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
			dasm_put(Dst, 25522, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 25526, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 25529, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 25532, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 25535, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 25538, (Z_REG(op1_addr)));
				}
					} else {
						if (Z_REG(op1_addr) == ZREG_RSP) {
			dasm_put(Dst, 25541);
						} else {
			dasm_put(Dst, 25543, (Z_REG(op1_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 4911 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			if (Z_MODE(op1_addr) == IS_REG) {
				zend_jit_addr real_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, op1.var);
				if (!zend_jit_spill_store(Dst, op1_addr, real_addr, op1_info, 1)) {
					return 0;
				}
				op1_addr = real_addr;
			}
			//|	LOAD_ZVAL_ADDR FCARG2x, op1_addr
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
			dasm_put(Dst, 25546);
				} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 25548, ((uint64_t)(Z_ZV(op1_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 25551, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 25554, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
			dasm_put(Dst, 25557, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
			dasm_put(Dst, 25560, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 25563, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 25566, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 25569, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 25572, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 25575, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(op1_addr)) {
				if (Z_OFFSET(op1_addr) == 0) {
			dasm_put(Dst, 25578, (Z_REG(op1_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
			dasm_put(Dst, 25581, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 25585, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 25588, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 25591, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 25594, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 25597, (Z_REG(op1_addr)));
				}
					} else {
						if (Z_REG(op1_addr) == ZREG_RSP) {
			dasm_put(Dst, 25600);
						} else {
			dasm_put(Dst, 25602, (Z_REG(op1_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 4920 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (Z_MODE(res_addr) == IS_REG) {
				zend_jit_addr real_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, res_var);
				//|	LOAD_ZVAL_ADDR FCARG1x, real_addr
					if (Z_MODE(real_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(real_addr))) == 0) {
				dasm_put(Dst, 25605);
					} else if (((uintptr_t)(Z_ZV(real_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 25607, ((uint64_t)(Z_ZV(real_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(real_addr)))) {
				dasm_put(Dst, 25610, (unsigned int)((ptrdiff_t)(Z_ZV(real_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(real_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(real_addr)))) {
				dasm_put(Dst, 25613, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(real_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(real_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(real_addr))) & 0xfff) {
				dasm_put(Dst, 25616, (((uintptr_t)(Z_ZV(real_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(real_addr)) & 0xffff) {
				dasm_put(Dst, 25619, ((uintptr_t)(Z_ZV(real_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(real_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 25622, (((uintptr_t)(Z_ZV(real_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(real_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 25625, (((uintptr_t)(Z_ZV(real_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(real_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 25628, (((uintptr_t)(Z_ZV(real_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(real_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 25631, (((uintptr_t)(Z_ZV(real_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 25634, (((uintptr_t)(Z_ZV(real_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(real_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(real_addr)) {
					if (Z_OFFSET(real_addr) == 0) {
				dasm_put(Dst, 25637, (Z_REG(real_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(real_addr)))) {
				dasm_put(Dst, 25640, (Z_REG(real_addr)), Z_OFFSET(real_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(real_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 25644, ((uint32_t)(Z_OFFSET(real_addr))));
					} else if (((uint32_t)(Z_OFFSET(real_addr)) & 0xffff)) {
				dasm_put(Dst, 25647, ((uint32_t)(Z_OFFSET(real_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(real_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 25650, (((uint32_t)(Z_OFFSET(real_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 25653, (((uint32_t)(Z_OFFSET(real_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 25656, (Z_REG(real_addr)));
					}
						} else {
							if (Z_REG(real_addr) == ZREG_RSP) {
				dasm_put(Dst, 25659);
							} else {
				dasm_put(Dst, 25661, (Z_REG(real_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 4923 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else if (Z_REG(res_addr) != ZREG_FCARG1 || Z_OFFSET(res_addr) != 0) {
				//|	LOAD_ZVAL_ADDR FCARG1x, res_addr
					if (Z_MODE(res_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(res_addr))) == 0) {
				dasm_put(Dst, 25664);
					} else if (((uintptr_t)(Z_ZV(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 25666, ((uint64_t)(Z_ZV(res_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 25669, (unsigned int)((ptrdiff_t)(Z_ZV(res_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(res_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 25672, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(res_addr))) & 0xfff) {
				dasm_put(Dst, 25675, (((uintptr_t)(Z_ZV(res_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(res_addr)) & 0xffff) {
				dasm_put(Dst, 25678, ((uintptr_t)(Z_ZV(res_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 25681, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 25684, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 25687, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 25690, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 25693, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(res_addr)) {
					if (Z_OFFSET(res_addr) == 0) {
				dasm_put(Dst, 25696, (Z_REG(res_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(res_addr)))) {
				dasm_put(Dst, 25699, (Z_REG(res_addr)), Z_OFFSET(res_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 25703, ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 25706, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 25709, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 25712, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 25715, (Z_REG(res_addr)));
					}
						} else {
							if (Z_REG(res_addr) == ZREG_RSP) {
				dasm_put(Dst, 25718);
							} else {
				dasm_put(Dst, 25720, (Z_REG(res_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 4925 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
		if (Z_MODE(op2_addr) == IS_REG) {
			zend_jit_addr real_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, op2.var);
			if (!zend_jit_spill_store(Dst, op2_addr, real_addr, op2_info, 1)) {
				return 0;
			}
			op2_addr = real_addr;
		}
		//|	LOAD_ZVAL_ADDR CARG3, op2_addr
			if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op2_addr))) == 0) {
		dasm_put(Dst, 25723);
			} else if (((uintptr_t)(Z_ZV(op2_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 25725, ((uint64_t)(Z_ZV(op2_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op2_addr)))) {
		dasm_put(Dst, 25728, (unsigned int)((ptrdiff_t)(Z_ZV(op2_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op2_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op2_addr)))) {
		dasm_put(Dst, 25731, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff) {
		dasm_put(Dst, 25734, (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff) {
		dasm_put(Dst, 25737, ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 25740, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 25743, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 25746, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 25749, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 25752, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
			}
			} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
				if (Z_OFFSET(op2_addr)) {
			if (Z_OFFSET(op2_addr) == 0) {
		dasm_put(Dst, 25755, (Z_REG(op2_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op2_addr)))) {
		dasm_put(Dst, 25758, (Z_REG(op2_addr)), Z_OFFSET(op2_addr));
			} else {
			if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 25762, ((uint32_t)(Z_OFFSET(op2_addr))));
			} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
		dasm_put(Dst, 25765, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 25768, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 25771, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 25774, (Z_REG(op2_addr)));
			}
				} else {
					if (Z_REG(op2_addr) == ZREG_RSP) {
		dasm_put(Dst, 25777);
					} else {
		dasm_put(Dst, 25779, (Z_REG(op2_addr)));
					}
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 4935 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	SET_EX_OPLINE opline, REG0
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 25782, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 25785);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 25787, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 25790, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 25793, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 25796, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 25799, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 25802, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 25805, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 25808, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 25811, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 25814, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 25817, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
#line 4936 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (opcode == ZEND_BW_OR) {
			//|	EXT_CALL bitwise_or_function, REG0
				if (arm64_may_use_b(bitwise_or_function)) {
			dasm_put(Dst, 25820, (unsigned int)((ptrdiff_t)(bitwise_or_function)), (unsigned int)(((ptrdiff_t)(bitwise_or_function))>>32));
				} else {
				if (((uintptr_t)(bitwise_or_function)) == 0) {
			dasm_put(Dst, 25823);
				} else if (((uintptr_t)(bitwise_or_function)) <= MOVZ_IMM) {
			dasm_put(Dst, 25825, ((uint64_t)(bitwise_or_function)));
				} else if (arm64_may_use_adr((void*)(bitwise_or_function))) {
			dasm_put(Dst, 25828, (unsigned int)((ptrdiff_t)(bitwise_or_function)), (unsigned int)(((ptrdiff_t)(bitwise_or_function))>>32));
				} else if (arm64_may_use_adrp((void*)(bitwise_or_function))) {
			dasm_put(Dst, 25831, (unsigned int)((ptrdiff_t)((((uintptr_t)(bitwise_or_function))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(bitwise_or_function)))))>>32));
					if (((uintptr_t)(bitwise_or_function)) & 0xfff) {
			dasm_put(Dst, 25834, (((uintptr_t)(bitwise_or_function)) & 0xfff));
					}
				} else if ((uintptr_t)(bitwise_or_function) & 0xffff) {
			dasm_put(Dst, 25837, ((uintptr_t)(bitwise_or_function) & 0xffff));
					if (((uintptr_t)(bitwise_or_function) >> 16) & 0xffff) {
			dasm_put(Dst, 25840, (((uintptr_t)(bitwise_or_function) >> 16) & 0xffff));
					}
					if (((uintptr_t)(bitwise_or_function) >> 32) & 0xffff) {
			dasm_put(Dst, 25843, (((uintptr_t)(bitwise_or_function) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(bitwise_or_function) >> 16) & 0xffff) {
			dasm_put(Dst, 25846, (((uintptr_t)(bitwise_or_function) >> 16) & 0xffff));
					if (((uintptr_t)(bitwise_or_function) >> 32) & 0xffff) {
			dasm_put(Dst, 25849, (((uintptr_t)(bitwise_or_function) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 25852, (((uintptr_t)(bitwise_or_function) >> 32) & 0xffff));
				}
			dasm_put(Dst, 25855);
				}
#line 4938 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else if (opcode == ZEND_BW_AND) {
			//|	EXT_CALL bitwise_and_function, REG0
				if (arm64_may_use_b(bitwise_and_function)) {
			dasm_put(Dst, 25857, (unsigned int)((ptrdiff_t)(bitwise_and_function)), (unsigned int)(((ptrdiff_t)(bitwise_and_function))>>32));
				} else {
				if (((uintptr_t)(bitwise_and_function)) == 0) {
			dasm_put(Dst, 25860);
				} else if (((uintptr_t)(bitwise_and_function)) <= MOVZ_IMM) {
			dasm_put(Dst, 25862, ((uint64_t)(bitwise_and_function)));
				} else if (arm64_may_use_adr((void*)(bitwise_and_function))) {
			dasm_put(Dst, 25865, (unsigned int)((ptrdiff_t)(bitwise_and_function)), (unsigned int)(((ptrdiff_t)(bitwise_and_function))>>32));
				} else if (arm64_may_use_adrp((void*)(bitwise_and_function))) {
			dasm_put(Dst, 25868, (unsigned int)((ptrdiff_t)((((uintptr_t)(bitwise_and_function))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(bitwise_and_function)))))>>32));
					if (((uintptr_t)(bitwise_and_function)) & 0xfff) {
			dasm_put(Dst, 25871, (((uintptr_t)(bitwise_and_function)) & 0xfff));
					}
				} else if ((uintptr_t)(bitwise_and_function) & 0xffff) {
			dasm_put(Dst, 25874, ((uintptr_t)(bitwise_and_function) & 0xffff));
					if (((uintptr_t)(bitwise_and_function) >> 16) & 0xffff) {
			dasm_put(Dst, 25877, (((uintptr_t)(bitwise_and_function) >> 16) & 0xffff));
					}
					if (((uintptr_t)(bitwise_and_function) >> 32) & 0xffff) {
			dasm_put(Dst, 25880, (((uintptr_t)(bitwise_and_function) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(bitwise_and_function) >> 16) & 0xffff) {
			dasm_put(Dst, 25883, (((uintptr_t)(bitwise_and_function) >> 16) & 0xffff));
					if (((uintptr_t)(bitwise_and_function) >> 32) & 0xffff) {
			dasm_put(Dst, 25886, (((uintptr_t)(bitwise_and_function) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 25889, (((uintptr_t)(bitwise_and_function) >> 32) & 0xffff));
				}
			dasm_put(Dst, 25892);
				}
#line 4940 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else if (opcode == ZEND_BW_XOR) {
			//|	EXT_CALL bitwise_xor_function, REG0
				if (arm64_may_use_b(bitwise_xor_function)) {
			dasm_put(Dst, 25894, (unsigned int)((ptrdiff_t)(bitwise_xor_function)), (unsigned int)(((ptrdiff_t)(bitwise_xor_function))>>32));
				} else {
				if (((uintptr_t)(bitwise_xor_function)) == 0) {
			dasm_put(Dst, 25897);
				} else if (((uintptr_t)(bitwise_xor_function)) <= MOVZ_IMM) {
			dasm_put(Dst, 25899, ((uint64_t)(bitwise_xor_function)));
				} else if (arm64_may_use_adr((void*)(bitwise_xor_function))) {
			dasm_put(Dst, 25902, (unsigned int)((ptrdiff_t)(bitwise_xor_function)), (unsigned int)(((ptrdiff_t)(bitwise_xor_function))>>32));
				} else if (arm64_may_use_adrp((void*)(bitwise_xor_function))) {
			dasm_put(Dst, 25905, (unsigned int)((ptrdiff_t)((((uintptr_t)(bitwise_xor_function))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(bitwise_xor_function)))))>>32));
					if (((uintptr_t)(bitwise_xor_function)) & 0xfff) {
			dasm_put(Dst, 25908, (((uintptr_t)(bitwise_xor_function)) & 0xfff));
					}
				} else if ((uintptr_t)(bitwise_xor_function) & 0xffff) {
			dasm_put(Dst, 25911, ((uintptr_t)(bitwise_xor_function) & 0xffff));
					if (((uintptr_t)(bitwise_xor_function) >> 16) & 0xffff) {
			dasm_put(Dst, 25914, (((uintptr_t)(bitwise_xor_function) >> 16) & 0xffff));
					}
					if (((uintptr_t)(bitwise_xor_function) >> 32) & 0xffff) {
			dasm_put(Dst, 25917, (((uintptr_t)(bitwise_xor_function) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(bitwise_xor_function) >> 16) & 0xffff) {
			dasm_put(Dst, 25920, (((uintptr_t)(bitwise_xor_function) >> 16) & 0xffff));
					if (((uintptr_t)(bitwise_xor_function) >> 32) & 0xffff) {
			dasm_put(Dst, 25923, (((uintptr_t)(bitwise_xor_function) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 25926, (((uintptr_t)(bitwise_xor_function) >> 32) & 0xffff));
				}
			dasm_put(Dst, 25929);
				}
#line 4942 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else if (opcode == ZEND_SL) {
			//|	EXT_CALL shift_left_function, REG0
				if (arm64_may_use_b(shift_left_function)) {
			dasm_put(Dst, 25931, (unsigned int)((ptrdiff_t)(shift_left_function)), (unsigned int)(((ptrdiff_t)(shift_left_function))>>32));
				} else {
				if (((uintptr_t)(shift_left_function)) == 0) {
			dasm_put(Dst, 25934);
				} else if (((uintptr_t)(shift_left_function)) <= MOVZ_IMM) {
			dasm_put(Dst, 25936, ((uint64_t)(shift_left_function)));
				} else if (arm64_may_use_adr((void*)(shift_left_function))) {
			dasm_put(Dst, 25939, (unsigned int)((ptrdiff_t)(shift_left_function)), (unsigned int)(((ptrdiff_t)(shift_left_function))>>32));
				} else if (arm64_may_use_adrp((void*)(shift_left_function))) {
			dasm_put(Dst, 25942, (unsigned int)((ptrdiff_t)((((uintptr_t)(shift_left_function))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(shift_left_function)))))>>32));
					if (((uintptr_t)(shift_left_function)) & 0xfff) {
			dasm_put(Dst, 25945, (((uintptr_t)(shift_left_function)) & 0xfff));
					}
				} else if ((uintptr_t)(shift_left_function) & 0xffff) {
			dasm_put(Dst, 25948, ((uintptr_t)(shift_left_function) & 0xffff));
					if (((uintptr_t)(shift_left_function) >> 16) & 0xffff) {
			dasm_put(Dst, 25951, (((uintptr_t)(shift_left_function) >> 16) & 0xffff));
					}
					if (((uintptr_t)(shift_left_function) >> 32) & 0xffff) {
			dasm_put(Dst, 25954, (((uintptr_t)(shift_left_function) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(shift_left_function) >> 16) & 0xffff) {
			dasm_put(Dst, 25957, (((uintptr_t)(shift_left_function) >> 16) & 0xffff));
					if (((uintptr_t)(shift_left_function) >> 32) & 0xffff) {
			dasm_put(Dst, 25960, (((uintptr_t)(shift_left_function) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 25963, (((uintptr_t)(shift_left_function) >> 32) & 0xffff));
				}
			dasm_put(Dst, 25966);
				}
#line 4944 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else if (opcode == ZEND_SR) {
			//|	EXT_CALL shift_right_function, REG0
				if (arm64_may_use_b(shift_right_function)) {
			dasm_put(Dst, 25968, (unsigned int)((ptrdiff_t)(shift_right_function)), (unsigned int)(((ptrdiff_t)(shift_right_function))>>32));
				} else {
				if (((uintptr_t)(shift_right_function)) == 0) {
			dasm_put(Dst, 25971);
				} else if (((uintptr_t)(shift_right_function)) <= MOVZ_IMM) {
			dasm_put(Dst, 25973, ((uint64_t)(shift_right_function)));
				} else if (arm64_may_use_adr((void*)(shift_right_function))) {
			dasm_put(Dst, 25976, (unsigned int)((ptrdiff_t)(shift_right_function)), (unsigned int)(((ptrdiff_t)(shift_right_function))>>32));
				} else if (arm64_may_use_adrp((void*)(shift_right_function))) {
			dasm_put(Dst, 25979, (unsigned int)((ptrdiff_t)((((uintptr_t)(shift_right_function))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(shift_right_function)))))>>32));
					if (((uintptr_t)(shift_right_function)) & 0xfff) {
			dasm_put(Dst, 25982, (((uintptr_t)(shift_right_function)) & 0xfff));
					}
				} else if ((uintptr_t)(shift_right_function) & 0xffff) {
			dasm_put(Dst, 25985, ((uintptr_t)(shift_right_function) & 0xffff));
					if (((uintptr_t)(shift_right_function) >> 16) & 0xffff) {
			dasm_put(Dst, 25988, (((uintptr_t)(shift_right_function) >> 16) & 0xffff));
					}
					if (((uintptr_t)(shift_right_function) >> 32) & 0xffff) {
			dasm_put(Dst, 25991, (((uintptr_t)(shift_right_function) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(shift_right_function) >> 16) & 0xffff) {
			dasm_put(Dst, 25994, (((uintptr_t)(shift_right_function) >> 16) & 0xffff));
					if (((uintptr_t)(shift_right_function) >> 32) & 0xffff) {
			dasm_put(Dst, 25997, (((uintptr_t)(shift_right_function) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 26000, (((uintptr_t)(shift_right_function) >> 32) & 0xffff));
				}
			dasm_put(Dst, 26003);
				}
#line 4946 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else if (opcode == ZEND_MOD) {
			//|	EXT_CALL mod_function, REG0
				if (arm64_may_use_b(mod_function)) {
			dasm_put(Dst, 26005, (unsigned int)((ptrdiff_t)(mod_function)), (unsigned int)(((ptrdiff_t)(mod_function))>>32));
				} else {
				if (((uintptr_t)(mod_function)) == 0) {
			dasm_put(Dst, 26008);
				} else if (((uintptr_t)(mod_function)) <= MOVZ_IMM) {
			dasm_put(Dst, 26010, ((uint64_t)(mod_function)));
				} else if (arm64_may_use_adr((void*)(mod_function))) {
			dasm_put(Dst, 26013, (unsigned int)((ptrdiff_t)(mod_function)), (unsigned int)(((ptrdiff_t)(mod_function))>>32));
				} else if (arm64_may_use_adrp((void*)(mod_function))) {
			dasm_put(Dst, 26016, (unsigned int)((ptrdiff_t)((((uintptr_t)(mod_function))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(mod_function)))))>>32));
					if (((uintptr_t)(mod_function)) & 0xfff) {
			dasm_put(Dst, 26019, (((uintptr_t)(mod_function)) & 0xfff));
					}
				} else if ((uintptr_t)(mod_function) & 0xffff) {
			dasm_put(Dst, 26022, ((uintptr_t)(mod_function) & 0xffff));
					if (((uintptr_t)(mod_function) >> 16) & 0xffff) {
			dasm_put(Dst, 26025, (((uintptr_t)(mod_function) >> 16) & 0xffff));
					}
					if (((uintptr_t)(mod_function) >> 32) & 0xffff) {
			dasm_put(Dst, 26028, (((uintptr_t)(mod_function) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(mod_function) >> 16) & 0xffff) {
			dasm_put(Dst, 26031, (((uintptr_t)(mod_function) >> 16) & 0xffff));
					if (((uintptr_t)(mod_function) >> 32) & 0xffff) {
			dasm_put(Dst, 26034, (((uintptr_t)(mod_function) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 26037, (((uintptr_t)(mod_function) >> 32) & 0xffff));
				}
			dasm_put(Dst, 26040);
				}
#line 4948 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			ZEND_UNREACHABLE();
		}
		if (op1_addr == res_addr && (op2_info & MAY_BE_RCN)) {
			/* compound assignment may decrement "op2" refcount */
			op2_info |= MAY_BE_RC1;
		}
		//|	FREE_OP op1_type, op1, op1_info, 0, NULL, ZREG_TMP1, ZREG_TMP2
			if (op1_type & (IS_VAR|IS_TMP_VAR)) {
				zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, op1.var);
			if ((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
				if ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if (0) {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 26042, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 26046, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 26050, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 26054, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 26058, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 26063, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 26068, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 26071, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 26075, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 26079, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 26083, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 26087, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 26091, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 26095);
		dasm_put(Dst, 26098);
					} else {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 26100, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 26104, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 26108, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 26112, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 26116, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 26121, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 26126, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 26129, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 26133, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 26137, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 26141, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 26145, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 26149, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 26153);
					}
				}
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 26156, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
			} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
		dasm_put(Dst, 26160, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 26164, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 26168, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 26172, (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 26176, (Z_REG(addr)), (Z_OFFSET(addr)));
			}
		dasm_put(Dst, 26180, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
				if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op1_info)) {
					if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op1_info)) {
						if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 26188);
						} else {
		dasm_put(Dst, 26191);
						}
					}
			do {
				if (!((op1_info) & MAY_BE_GUARD)
				 && has_concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					zend_uchar type = concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
					if (type == IS_STRING && !ZEND_DEBUG) {
			if (arm64_may_use_b(_efree)) {
		dasm_put(Dst, 26194, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else {
			if (((uintptr_t)(_efree)) == 0) {
		dasm_put(Dst, 26197, (ZREG_X15));
			} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
		dasm_put(Dst, 26200, (ZREG_X15), ((uint64_t)(_efree)));
			} else if (arm64_may_use_adr((void*)(_efree))) {
		dasm_put(Dst, 26204, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else if (arm64_may_use_adrp((void*)(_efree))) {
		dasm_put(Dst, 26208, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
				if (((uintptr_t)(_efree)) & 0xfff) {
		dasm_put(Dst, 26212, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
				}
			} else if ((uintptr_t)(_efree) & 0xffff) {
		dasm_put(Dst, 26217, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
				if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 26221, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 26225, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 26229, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 26233, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 26237, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		dasm_put(Dst, 26241, (ZREG_X15));
			}
						break;
					} else if (type == IS_ARRAY) {
						if ((op1_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
							if (NULL && ((op1_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
			if (NULL == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 26244, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(NULL)) == 0) {
		dasm_put(Dst, 26247, (ZREG_X15));
			} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
		dasm_put(Dst, 26250, (ZREG_X15), ((uint64_t)(NULL)));
			} else if (arm64_may_use_adr((void*)(NULL))) {
		dasm_put(Dst, 26254, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
			} else if (arm64_may_use_adrp((void*)(NULL))) {
		dasm_put(Dst, 26258, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
				if (((uintptr_t)(NULL)) & 0xfff) {
		dasm_put(Dst, 26262, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
				}
			} else if ((uintptr_t)(NULL) & 0xffff) {
		dasm_put(Dst, 26267, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
				if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 26271, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				}
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 26275, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 26279, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 26283, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 26287, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		dasm_put(Dst, 26291, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
							}
			if (arm64_may_use_b(zend_array_destroy)) {
		dasm_put(Dst, 26295, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else {
			if (((uintptr_t)(zend_array_destroy)) == 0) {
		dasm_put(Dst, 26298, (ZREG_X15));
			} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
		dasm_put(Dst, 26301, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
			} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
		dasm_put(Dst, 26305, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
		dasm_put(Dst, 26309, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
				if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
		dasm_put(Dst, 26313, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
		dasm_put(Dst, 26318, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 26322, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 26326, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 26330, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 26334, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 26338, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		dasm_put(Dst, 26342, (ZREG_X15));
			}
						} else {
			if (arm64_may_use_b(zend_jit_array_free)) {
		dasm_put(Dst, 26345, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else {
			if (((uintptr_t)(zend_jit_array_free)) == 0) {
		dasm_put(Dst, 26348, (ZREG_X15));
			} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
		dasm_put(Dst, 26351, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
			} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 26355, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 26359, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
				if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
		dasm_put(Dst, 26363, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
		dasm_put(Dst, 26368, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 26372, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 26376, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 26380, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 26384, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 26388, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		dasm_put(Dst, 26392, (ZREG_X15));
			}
						}
						break;
					} else if (type == IS_OBJECT) {
						if (NULL) {
			if (NULL == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 26395, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(NULL)) == 0) {
		dasm_put(Dst, 26398);
			} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
		dasm_put(Dst, 26400, ((uint64_t)(NULL)));
			} else if (arm64_may_use_adr((void*)(NULL))) {
		dasm_put(Dst, 26403, (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
			} else if (arm64_may_use_adrp((void*)(NULL))) {
		dasm_put(Dst, 26406, (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
				if (((uintptr_t)(NULL)) & 0xfff) {
		dasm_put(Dst, 26409, (((uintptr_t)(NULL)) & 0xfff));
				}
			} else if ((uintptr_t)(NULL) & 0xffff) {
		dasm_put(Dst, 26412, ((uintptr_t)(NULL) & 0xffff));
				if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 26415, (((uintptr_t)(NULL) >> 16) & 0xffff));
				}
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 26418, (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 26421, (((uintptr_t)(NULL) >> 16) & 0xffff));
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 26424, (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 26427, (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		dasm_put(Dst, 26430, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
						}
			if (arm64_may_use_b(zend_objects_store_del)) {
		dasm_put(Dst, 26433, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else {
			if (((uintptr_t)(zend_objects_store_del)) == 0) {
		dasm_put(Dst, 26436, (ZREG_X15));
			} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
		dasm_put(Dst, 26439, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
			} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 26443, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 26447, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
				if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
		dasm_put(Dst, 26451, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
		dasm_put(Dst, 26456, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 26460, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 26464, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 26468, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 26472, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 26476, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		dasm_put(Dst, 26480, (ZREG_X15));
			}
						break;
					}
				}
				if (NULL) {
			if (NULL == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 26483, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(NULL)) == 0) {
		dasm_put(Dst, 26486, (ZREG_X15));
			} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
		dasm_put(Dst, 26489, (ZREG_X15), ((uint64_t)(NULL)));
			} else if (arm64_may_use_adr((void*)(NULL))) {
		dasm_put(Dst, 26493, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
			} else if (arm64_may_use_adrp((void*)(NULL))) {
		dasm_put(Dst, 26497, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
				if (((uintptr_t)(NULL)) & 0xfff) {
		dasm_put(Dst, 26501, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
				}
			} else if ((uintptr_t)(NULL) & 0xffff) {
		dasm_put(Dst, 26506, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
				if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 26510, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				}
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 26514, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 26518, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 26522, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 26526, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		dasm_put(Dst, 26530, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
				}
			if (arm64_may_use_b(rc_dtor_func)) {
		dasm_put(Dst, 26534, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else {
			if (((uintptr_t)(rc_dtor_func)) == 0) {
		dasm_put(Dst, 26537, (ZREG_X15));
			} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
		dasm_put(Dst, 26540, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
			} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
		dasm_put(Dst, 26544, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
		dasm_put(Dst, 26548, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
				if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
		dasm_put(Dst, 26552, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
				}
			} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
		dasm_put(Dst, 26557, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 26561, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				}
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 26565, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 26569, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 26573, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 26577, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		dasm_put(Dst, 26581, (ZREG_X15));
			}
			} while(0);
					if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 26584);
					}
		dasm_put(Dst, 26587);
				}
				if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					if ((op1_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
						zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
		dasm_put(Dst, 26589, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
		dasm_put(Dst, 26593, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
		dasm_put(Dst, 26597, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 26601, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 26605, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 26610, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
			}
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 26615, (ZREG_X15));
			} else {
		dasm_put(Dst, 26619, (ZREG_X15), IS_REFERENCE);
			}
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 26625, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 26629, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 26633, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 26637, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 26641, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 26646, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_COLLECTABLE == 0) {
		dasm_put(Dst, 26651, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
		dasm_put(Dst, 26654, (ZREG_X15), IS_TYPE_COLLECTABLE);
			} else {
			if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
		dasm_put(Dst, 26658, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
			} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
		dasm_put(Dst, 26662, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
				if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
		dasm_put(Dst, 26666, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 26670, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		dasm_put(Dst, 26674, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 26678);
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 26681, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
		dasm_put(Dst, 26685, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 26689, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 26693, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 26697, (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 26701, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
			}
		dasm_put(Dst, 26705);
					}
		dasm_put(Dst, 26707, (ZREG_X15));
			if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
		dasm_put(Dst, 26710, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
		dasm_put(Dst, 26713, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
			} else {
			if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
		dasm_put(Dst, 26717, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
			} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
		dasm_put(Dst, 26721, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
				if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
		dasm_put(Dst, 26725, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 26729, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 26733, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 26737);
			if (arm64_may_use_b(gc_possible_root)) {
		dasm_put(Dst, 26740, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else {
			if (((uintptr_t)(gc_possible_root)) == 0) {
		dasm_put(Dst, 26743, (ZREG_X15));
			} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
		dasm_put(Dst, 26746, (ZREG_X15), ((uint64_t)(gc_possible_root)));
			} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
		dasm_put(Dst, 26750, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
		dasm_put(Dst, 26754, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
				if (((uintptr_t)(gc_possible_root)) & 0xfff) {
		dasm_put(Dst, 26758, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
				}
			} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
		dasm_put(Dst, 26763, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 26767, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				}
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 26771, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 26775, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 26779, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 26783, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		dasm_put(Dst, 26787, (ZREG_X15));
			}
				}
				if (0 && ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
		dasm_put(Dst, 26790);
				}
		dasm_put(Dst, 26793);
			}
			}
#line 4956 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	FREE_OP op2_type, op2, op2_info, 0, NULL, ZREG_TMP1, ZREG_TMP2
			if (op2_type & (IS_VAR|IS_TMP_VAR)) {
				zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, op2.var);
			if ((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
				if ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if (0) {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 26795, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 26799, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 26803, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 26807, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 26811, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 26816, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 26821, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 26824, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 26828, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 26832, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 26836, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 26840, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 26844, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 26848);
		dasm_put(Dst, 26851);
					} else {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 26853, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 26857, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 26861, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 26865, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 26869, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 26874, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 26879, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 26882, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 26886, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 26890, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 26894, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 26898, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 26902, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 26906);
					}
				}
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 26909, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
			} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
		dasm_put(Dst, 26913, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 26917, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 26921, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 26925, (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 26929, (Z_REG(addr)), (Z_OFFSET(addr)));
			}
		dasm_put(Dst, 26933, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
				if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op2_info)) {
					if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op2_info)) {
						if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 26941);
						} else {
		dasm_put(Dst, 26944);
						}
					}
			do {
				if (!((op2_info) & MAY_BE_GUARD)
				 && has_concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					zend_uchar type = concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
					if (type == IS_STRING && !ZEND_DEBUG) {
			if (arm64_may_use_b(_efree)) {
		dasm_put(Dst, 26947, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else {
			if (((uintptr_t)(_efree)) == 0) {
		dasm_put(Dst, 26950, (ZREG_X15));
			} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
		dasm_put(Dst, 26953, (ZREG_X15), ((uint64_t)(_efree)));
			} else if (arm64_may_use_adr((void*)(_efree))) {
		dasm_put(Dst, 26957, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else if (arm64_may_use_adrp((void*)(_efree))) {
		dasm_put(Dst, 26961, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
				if (((uintptr_t)(_efree)) & 0xfff) {
		dasm_put(Dst, 26965, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
				}
			} else if ((uintptr_t)(_efree) & 0xffff) {
		dasm_put(Dst, 26970, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
				if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 26974, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 26978, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 26982, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 26986, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 26990, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		dasm_put(Dst, 26994, (ZREG_X15));
			}
						break;
					} else if (type == IS_ARRAY) {
						if ((op2_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
							if (NULL && ((op2_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
			if (NULL == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 26997, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(NULL)) == 0) {
		dasm_put(Dst, 27000, (ZREG_X15));
			} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
		dasm_put(Dst, 27003, (ZREG_X15), ((uint64_t)(NULL)));
			} else if (arm64_may_use_adr((void*)(NULL))) {
		dasm_put(Dst, 27007, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
			} else if (arm64_may_use_adrp((void*)(NULL))) {
		dasm_put(Dst, 27011, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
				if (((uintptr_t)(NULL)) & 0xfff) {
		dasm_put(Dst, 27015, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
				}
			} else if ((uintptr_t)(NULL) & 0xffff) {
		dasm_put(Dst, 27020, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
				if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 27024, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				}
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 27028, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 27032, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 27036, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 27040, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		dasm_put(Dst, 27044, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
							}
			if (arm64_may_use_b(zend_array_destroy)) {
		dasm_put(Dst, 27048, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else {
			if (((uintptr_t)(zend_array_destroy)) == 0) {
		dasm_put(Dst, 27051, (ZREG_X15));
			} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
		dasm_put(Dst, 27054, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
			} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
		dasm_put(Dst, 27058, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
		dasm_put(Dst, 27062, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
				if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
		dasm_put(Dst, 27066, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
		dasm_put(Dst, 27071, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 27075, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 27079, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 27083, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 27087, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 27091, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		dasm_put(Dst, 27095, (ZREG_X15));
			}
						} else {
			if (arm64_may_use_b(zend_jit_array_free)) {
		dasm_put(Dst, 27098, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else {
			if (((uintptr_t)(zend_jit_array_free)) == 0) {
		dasm_put(Dst, 27101, (ZREG_X15));
			} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
		dasm_put(Dst, 27104, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
			} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 27108, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 27112, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
				if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
		dasm_put(Dst, 27116, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
		dasm_put(Dst, 27121, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 27125, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 27129, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 27133, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 27137, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 27141, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		dasm_put(Dst, 27145, (ZREG_X15));
			}
						}
						break;
					} else if (type == IS_OBJECT) {
						if (NULL) {
			if (NULL == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 27148, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(NULL)) == 0) {
		dasm_put(Dst, 27151);
			} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
		dasm_put(Dst, 27153, ((uint64_t)(NULL)));
			} else if (arm64_may_use_adr((void*)(NULL))) {
		dasm_put(Dst, 27156, (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
			} else if (arm64_may_use_adrp((void*)(NULL))) {
		dasm_put(Dst, 27159, (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
				if (((uintptr_t)(NULL)) & 0xfff) {
		dasm_put(Dst, 27162, (((uintptr_t)(NULL)) & 0xfff));
				}
			} else if ((uintptr_t)(NULL) & 0xffff) {
		dasm_put(Dst, 27165, ((uintptr_t)(NULL) & 0xffff));
				if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 27168, (((uintptr_t)(NULL) >> 16) & 0xffff));
				}
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 27171, (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 27174, (((uintptr_t)(NULL) >> 16) & 0xffff));
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 27177, (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 27180, (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		dasm_put(Dst, 27183, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
						}
			if (arm64_may_use_b(zend_objects_store_del)) {
		dasm_put(Dst, 27186, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else {
			if (((uintptr_t)(zend_objects_store_del)) == 0) {
		dasm_put(Dst, 27189, (ZREG_X15));
			} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
		dasm_put(Dst, 27192, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
			} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 27196, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 27200, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
				if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
		dasm_put(Dst, 27204, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
		dasm_put(Dst, 27209, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 27213, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 27217, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 27221, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 27225, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 27229, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		dasm_put(Dst, 27233, (ZREG_X15));
			}
						break;
					}
				}
				if (NULL) {
			if (NULL == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 27236, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(NULL)) == 0) {
		dasm_put(Dst, 27239, (ZREG_X15));
			} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
		dasm_put(Dst, 27242, (ZREG_X15), ((uint64_t)(NULL)));
			} else if (arm64_may_use_adr((void*)(NULL))) {
		dasm_put(Dst, 27246, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
			} else if (arm64_may_use_adrp((void*)(NULL))) {
		dasm_put(Dst, 27250, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
				if (((uintptr_t)(NULL)) & 0xfff) {
		dasm_put(Dst, 27254, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
				}
			} else if ((uintptr_t)(NULL) & 0xffff) {
		dasm_put(Dst, 27259, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
				if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 27263, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				}
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 27267, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 27271, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 27275, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 27279, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		dasm_put(Dst, 27283, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
				}
			if (arm64_may_use_b(rc_dtor_func)) {
		dasm_put(Dst, 27287, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else {
			if (((uintptr_t)(rc_dtor_func)) == 0) {
		dasm_put(Dst, 27290, (ZREG_X15));
			} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
		dasm_put(Dst, 27293, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
			} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
		dasm_put(Dst, 27297, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
		dasm_put(Dst, 27301, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
				if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
		dasm_put(Dst, 27305, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
				}
			} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
		dasm_put(Dst, 27310, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 27314, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				}
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 27318, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 27322, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 27326, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 27330, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		dasm_put(Dst, 27334, (ZREG_X15));
			}
			} while(0);
					if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 27337);
					}
		dasm_put(Dst, 27340);
				}
				if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					if ((op2_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
						zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
		dasm_put(Dst, 27342, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
		dasm_put(Dst, 27346, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
		dasm_put(Dst, 27350, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 27354, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 27358, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 27363, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
			}
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 27368, (ZREG_X15));
			} else {
		dasm_put(Dst, 27372, (ZREG_X15), IS_REFERENCE);
			}
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 27378, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 27382, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 27386, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 27390, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 27394, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 27399, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_COLLECTABLE == 0) {
		dasm_put(Dst, 27404, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
		dasm_put(Dst, 27407, (ZREG_X15), IS_TYPE_COLLECTABLE);
			} else {
			if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
		dasm_put(Dst, 27411, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
			} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
		dasm_put(Dst, 27415, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
				if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
		dasm_put(Dst, 27419, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 27423, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		dasm_put(Dst, 27427, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 27431);
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 27434, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
		dasm_put(Dst, 27438, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 27442, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 27446, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 27450, (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 27454, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
			}
		dasm_put(Dst, 27458);
					}
		dasm_put(Dst, 27460, (ZREG_X15));
			if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
		dasm_put(Dst, 27463, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
		dasm_put(Dst, 27466, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
			} else {
			if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
		dasm_put(Dst, 27470, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
			} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
		dasm_put(Dst, 27474, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
				if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
		dasm_put(Dst, 27478, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 27482, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 27486, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 27490);
			if (arm64_may_use_b(gc_possible_root)) {
		dasm_put(Dst, 27493, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else {
			if (((uintptr_t)(gc_possible_root)) == 0) {
		dasm_put(Dst, 27496, (ZREG_X15));
			} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
		dasm_put(Dst, 27499, (ZREG_X15), ((uint64_t)(gc_possible_root)));
			} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
		dasm_put(Dst, 27503, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
		dasm_put(Dst, 27507, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
				if (((uintptr_t)(gc_possible_root)) & 0xfff) {
		dasm_put(Dst, 27511, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
				}
			} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
		dasm_put(Dst, 27516, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 27520, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				}
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 27524, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 27528, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 27532, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 27536, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		dasm_put(Dst, 27540, (ZREG_X15));
			}
				}
				if (0 && ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
		dasm_put(Dst, 27543);
				}
		dasm_put(Dst, 27546);
			}
			}
#line 4957 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (may_throw) {
			if (opline->opcode == ZEND_ASSIGN_DIM_OP && (opline->op2_type & (IS_VAR|IS_TMP_VAR))) {
				//|	MEM_LOAD_64_ZTS ldr, TMP2, executor_globals, exception, TMP1
					if (((uintptr_t)(&executor_globals.exception)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.exception))) {
				dasm_put(Dst, 27548, (unsigned int)((ptrdiff_t)(&executor_globals.exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.exception))>>32));
					} else if (((uintptr_t)(&executor_globals.exception)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.exception))) {
				dasm_put(Dst, 27552, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.exception)))))>>32), (((uintptr_t)(&executor_globals.exception)) & 0xfff));
					} else {
					if (((uintptr_t)(&executor_globals.exception)) == 0) {
				dasm_put(Dst, 27557);
					} else if (((uintptr_t)(&executor_globals.exception)) <= MOVZ_IMM) {
				dasm_put(Dst, 27559, ((uint64_t)(&executor_globals.exception)));
					} else if (arm64_may_use_adr((void*)(&executor_globals.exception))) {
				dasm_put(Dst, 27562, (unsigned int)((ptrdiff_t)(&executor_globals.exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.exception))>>32));
					} else if (arm64_may_use_adrp((void*)(&executor_globals.exception))) {
				dasm_put(Dst, 27565, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.exception)))))>>32));
						if (((uintptr_t)(&executor_globals.exception)) & 0xfff) {
				dasm_put(Dst, 27568, (((uintptr_t)(&executor_globals.exception)) & 0xfff));
						}
					} else if ((uintptr_t)(&executor_globals.exception) & 0xffff) {
				dasm_put(Dst, 27571, ((uintptr_t)(&executor_globals.exception) & 0xffff));
						if (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff) {
				dasm_put(Dst, 27574, (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff));
						}
						if (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff) {
				dasm_put(Dst, 27577, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff) {
				dasm_put(Dst, 27580, (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff));
						if (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff) {
				dasm_put(Dst, 27583, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 27586, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
					}
				dasm_put(Dst, 27589);
					}
#line 4960 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	cbnz TMP2, ->exception_handler_free_op2
				dasm_put(Dst, 27591);
#line 4961 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else if (Z_MODE(res_addr) == IS_MEM_ZVAL && Z_REG(res_addr) == ZREG_RX) {
				zend_jit_check_exception_undef_result(Dst, opline);
			} else {
				zend_jit_check_exception(Dst);
			}
		}
		if (Z_MODE(res_addr) == IS_REG) {
			zend_jit_addr real_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, res_var);
			if (!zend_jit_load_reg(Dst, real_addr, res_addr, res_info)) {
				return 0;
			}
		}
		if ((op1_info & MAY_BE_LONG) &&
		    (op2_info & MAY_BE_LONG)) {
			//|	b >5
			//|.code
			dasm_put(Dst, 27594);
#line 4977 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}
	//|5:
	dasm_put(Dst, 27597);
#line 4980 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	return 1;
}

static int zend_jit_long_math(dasm_State **Dst, const zend_op *opline, uint32_t op1_info, zend_ssa_range *op1_range, zend_jit_addr op1_addr, uint32_t op2_info, zend_ssa_range *op2_range, zend_jit_addr op2_addr, uint32_t res_use_info, uint32_t res_info, zend_jit_addr res_addr, int may_throw)
{
	ZEND_ASSERT(!(op1_info & MAY_BE_UNDEF) && !(op2_info & MAY_BE_UNDEF));
	ZEND_ASSERT((op1_info & MAY_BE_LONG) && (op2_info & MAY_BE_LONG));

	if (!zend_jit_long_math_helper(Dst, opline, opline->opcode,
			opline->op1_type, opline->op1, op1_addr, op1_info, op1_range,
			opline->op2_type, opline->op2, op2_addr, op2_info, op2_range,
			opline->result.var, res_addr, res_info, res_use_info, may_throw)) {
		return 0;
	}
	if (!zend_jit_store_var_if_necessary(Dst, opline->result.var, res_addr, res_info)) {
		return 0;
	}
	return 1;
}

static int zend_jit_concat_helper(dasm_State    **Dst,
                                  const zend_op  *opline,
                                  zend_uchar      op1_type,
                                  znode_op        op1,
                                  zend_jit_addr   op1_addr,
                                  uint32_t        op1_info,
                                  zend_uchar      op2_type,
                                  znode_op        op2,
                                  zend_jit_addr   op2_addr,
                                  uint32_t        op2_info,
                                  zend_jit_addr   res_addr,
                                  int             may_throw)
{
	if ((op1_info & MAY_BE_STRING) && (op2_info & MAY_BE_STRING)) {
		if (op1_info & ((MAY_BE_UNDEF|MAY_BE_ANY|MAY_BE_REF) - MAY_BE_STRING)) {
			//|	IF_NOT_ZVAL_TYPE op1_addr, IS_STRING, >6, ZREG_TMP1
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 27599, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 27603, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 27607, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 27611, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 27615, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 27620, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_STRING == 0) {
			dasm_put(Dst, 27625, (ZREG_X15));
				} else {
			dasm_put(Dst, 27629, (ZREG_X15), IS_STRING);
				}
#line 5017 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (op2_info & ((MAY_BE_UNDEF|MAY_BE_ANY|MAY_BE_REF) - MAY_BE_STRING)) {
			//|	IF_NOT_ZVAL_TYPE op2_addr, IS_STRING, >6, ZREG_TMP1
				ZEND_ASSERT(Z_MODE(op2_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 27635, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 27639, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 27643, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 27647, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 27651, (ZREG_X15), (Z_REG(op2_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 27656, (ZREG_X15), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_STRING == 0) {
			dasm_put(Dst, 27661, (ZREG_X15));
				} else {
			dasm_put(Dst, 27665, (ZREG_X15), IS_STRING);
				}
#line 5020 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (Z_MODE(op1_addr) == IS_MEM_ZVAL && Z_REG(op1_addr) == Z_REG(res_addr) && Z_OFFSET(op1_addr) == Z_OFFSET(res_addr)) {
			if (Z_REG(res_addr) != ZREG_FCARG1 || Z_OFFSET(res_addr) != 0) {
				//|	LOAD_ZVAL_ADDR FCARG1x, res_addr
					if (Z_MODE(res_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(res_addr))) == 0) {
				dasm_put(Dst, 27671);
					} else if (((uintptr_t)(Z_ZV(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 27673, ((uint64_t)(Z_ZV(res_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 27676, (unsigned int)((ptrdiff_t)(Z_ZV(res_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(res_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 27679, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(res_addr))) & 0xfff) {
				dasm_put(Dst, 27682, (((uintptr_t)(Z_ZV(res_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(res_addr)) & 0xffff) {
				dasm_put(Dst, 27685, ((uintptr_t)(Z_ZV(res_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 27688, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 27691, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 27694, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 27697, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 27700, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(res_addr)) {
					if (Z_OFFSET(res_addr) == 0) {
				dasm_put(Dst, 27703, (Z_REG(res_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(res_addr)))) {
				dasm_put(Dst, 27706, (Z_REG(res_addr)), Z_OFFSET(res_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 27710, ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 27713, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 27716, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 27719, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 27722, (Z_REG(res_addr)));
					}
						} else {
							if (Z_REG(res_addr) == ZREG_RSP) {
				dasm_put(Dst, 27725);
							} else {
				dasm_put(Dst, 27727, (Z_REG(res_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 5024 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	LOAD_ZVAL_ADDR FCARG2x, op2_addr
				if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op2_addr))) == 0) {
			dasm_put(Dst, 27730);
				} else if (((uintptr_t)(Z_ZV(op2_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 27732, ((uint64_t)(Z_ZV(op2_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op2_addr)))) {
			dasm_put(Dst, 27735, (unsigned int)((ptrdiff_t)(Z_ZV(op2_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op2_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op2_addr)))) {
			dasm_put(Dst, 27738, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff) {
			dasm_put(Dst, 27741, (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff) {
			dasm_put(Dst, 27744, ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 27747, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 27750, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 27753, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 27756, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 27759, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(op2_addr)) {
				if (Z_OFFSET(op2_addr) == 0) {
			dasm_put(Dst, 27762, (Z_REG(op2_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op2_addr)))) {
			dasm_put(Dst, 27765, (Z_REG(op2_addr)), Z_OFFSET(op2_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 27769, ((uint32_t)(Z_OFFSET(op2_addr))));
				} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
			dasm_put(Dst, 27772, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 27775, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 27778, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 27781, (Z_REG(op2_addr)));
				}
					} else {
						if (Z_REG(op2_addr) == ZREG_RSP) {
			dasm_put(Dst, 27784);
						} else {
			dasm_put(Dst, 27786, (Z_REG(op2_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 5026 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	EXT_CALL zend_jit_fast_assign_concat_helper, REG0
				if (arm64_may_use_b(zend_jit_fast_assign_concat_helper)) {
			dasm_put(Dst, 27789, (unsigned int)((ptrdiff_t)(zend_jit_fast_assign_concat_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_fast_assign_concat_helper))>>32));
				} else {
				if (((uintptr_t)(zend_jit_fast_assign_concat_helper)) == 0) {
			dasm_put(Dst, 27792);
				} else if (((uintptr_t)(zend_jit_fast_assign_concat_helper)) <= MOVZ_IMM) {
			dasm_put(Dst, 27794, ((uint64_t)(zend_jit_fast_assign_concat_helper)));
				} else if (arm64_may_use_adr((void*)(zend_jit_fast_assign_concat_helper))) {
			dasm_put(Dst, 27797, (unsigned int)((ptrdiff_t)(zend_jit_fast_assign_concat_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_fast_assign_concat_helper))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_fast_assign_concat_helper))) {
			dasm_put(Dst, 27800, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_fast_assign_concat_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_fast_assign_concat_helper)))))>>32));
					if (((uintptr_t)(zend_jit_fast_assign_concat_helper)) & 0xfff) {
			dasm_put(Dst, 27803, (((uintptr_t)(zend_jit_fast_assign_concat_helper)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_fast_assign_concat_helper) & 0xffff) {
			dasm_put(Dst, 27806, ((uintptr_t)(zend_jit_fast_assign_concat_helper) & 0xffff));
					if (((uintptr_t)(zend_jit_fast_assign_concat_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 27809, (((uintptr_t)(zend_jit_fast_assign_concat_helper) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_fast_assign_concat_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 27812, (((uintptr_t)(zend_jit_fast_assign_concat_helper) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_fast_assign_concat_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 27815, (((uintptr_t)(zend_jit_fast_assign_concat_helper) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_fast_assign_concat_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 27818, (((uintptr_t)(zend_jit_fast_assign_concat_helper) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 27821, (((uintptr_t)(zend_jit_fast_assign_concat_helper) >> 32) & 0xffff));
				}
			dasm_put(Dst, 27824);
				}
#line 5027 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			/* concatination with itself may reduce refcount */
			op2_info |= MAY_BE_RC1;
		} else {
			if (Z_REG(res_addr) != ZREG_FCARG1 || Z_OFFSET(res_addr) != 0) {
				//|	LOAD_ZVAL_ADDR FCARG1x, res_addr
					if (Z_MODE(res_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(res_addr))) == 0) {
				dasm_put(Dst, 27826);
					} else if (((uintptr_t)(Z_ZV(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 27828, ((uint64_t)(Z_ZV(res_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 27831, (unsigned int)((ptrdiff_t)(Z_ZV(res_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(res_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 27834, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(res_addr))) & 0xfff) {
				dasm_put(Dst, 27837, (((uintptr_t)(Z_ZV(res_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(res_addr)) & 0xffff) {
				dasm_put(Dst, 27840, ((uintptr_t)(Z_ZV(res_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 27843, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 27846, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 27849, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 27852, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 27855, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(res_addr)) {
					if (Z_OFFSET(res_addr) == 0) {
				dasm_put(Dst, 27858, (Z_REG(res_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(res_addr)))) {
				dasm_put(Dst, 27861, (Z_REG(res_addr)), Z_OFFSET(res_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 27865, ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 27868, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 27871, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 27874, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 27877, (Z_REG(res_addr)));
					}
						} else {
							if (Z_REG(res_addr) == ZREG_RSP) {
				dasm_put(Dst, 27880);
							} else {
				dasm_put(Dst, 27882, (Z_REG(res_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 5032 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	LOAD_ZVAL_ADDR FCARG2x, op1_addr
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
			dasm_put(Dst, 27885);
				} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 27887, ((uint64_t)(Z_ZV(op1_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 27890, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 27893, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
			dasm_put(Dst, 27896, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
			dasm_put(Dst, 27899, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 27902, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 27905, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 27908, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 27911, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 27914, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(op1_addr)) {
				if (Z_OFFSET(op1_addr) == 0) {
			dasm_put(Dst, 27917, (Z_REG(op1_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
			dasm_put(Dst, 27920, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 27924, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 27927, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 27930, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 27933, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 27936, (Z_REG(op1_addr)));
				}
					} else {
						if (Z_REG(op1_addr) == ZREG_RSP) {
			dasm_put(Dst, 27939);
						} else {
			dasm_put(Dst, 27941, (Z_REG(op1_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 5034 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	LOAD_ZVAL_ADDR CARG3, op2_addr
				if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op2_addr))) == 0) {
			dasm_put(Dst, 27944);
				} else if (((uintptr_t)(Z_ZV(op2_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 27946, ((uint64_t)(Z_ZV(op2_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op2_addr)))) {
			dasm_put(Dst, 27949, (unsigned int)((ptrdiff_t)(Z_ZV(op2_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op2_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op2_addr)))) {
			dasm_put(Dst, 27952, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff) {
			dasm_put(Dst, 27955, (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff) {
			dasm_put(Dst, 27958, ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 27961, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 27964, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 27967, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 27970, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 27973, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(op2_addr)) {
				if (Z_OFFSET(op2_addr) == 0) {
			dasm_put(Dst, 27976, (Z_REG(op2_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op2_addr)))) {
			dasm_put(Dst, 27979, (Z_REG(op2_addr)), Z_OFFSET(op2_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 27983, ((uint32_t)(Z_OFFSET(op2_addr))));
				} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
			dasm_put(Dst, 27986, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 27989, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 27992, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 27995, (Z_REG(op2_addr)));
				}
					} else {
						if (Z_REG(op2_addr) == ZREG_RSP) {
			dasm_put(Dst, 27998);
						} else {
			dasm_put(Dst, 28000, (Z_REG(op2_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 5035 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (op1_type == IS_CV || op1_type == IS_CONST) {
				//|	EXT_CALL zend_jit_fast_concat_helper, REG0
					if (arm64_may_use_b(zend_jit_fast_concat_helper)) {
				dasm_put(Dst, 28003, (unsigned int)((ptrdiff_t)(zend_jit_fast_concat_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_fast_concat_helper))>>32));
					} else {
					if (((uintptr_t)(zend_jit_fast_concat_helper)) == 0) {
				dasm_put(Dst, 28006);
					} else if (((uintptr_t)(zend_jit_fast_concat_helper)) <= MOVZ_IMM) {
				dasm_put(Dst, 28008, ((uint64_t)(zend_jit_fast_concat_helper)));
					} else if (arm64_may_use_adr((void*)(zend_jit_fast_concat_helper))) {
				dasm_put(Dst, 28011, (unsigned int)((ptrdiff_t)(zend_jit_fast_concat_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_fast_concat_helper))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_fast_concat_helper))) {
				dasm_put(Dst, 28014, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_fast_concat_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_fast_concat_helper)))))>>32));
						if (((uintptr_t)(zend_jit_fast_concat_helper)) & 0xfff) {
				dasm_put(Dst, 28017, (((uintptr_t)(zend_jit_fast_concat_helper)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_fast_concat_helper) & 0xffff) {
				dasm_put(Dst, 28020, ((uintptr_t)(zend_jit_fast_concat_helper) & 0xffff));
						if (((uintptr_t)(zend_jit_fast_concat_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 28023, (((uintptr_t)(zend_jit_fast_concat_helper) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_fast_concat_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 28026, (((uintptr_t)(zend_jit_fast_concat_helper) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_fast_concat_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 28029, (((uintptr_t)(zend_jit_fast_concat_helper) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_fast_concat_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 28032, (((uintptr_t)(zend_jit_fast_concat_helper) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 28035, (((uintptr_t)(zend_jit_fast_concat_helper) >> 32) & 0xffff));
					}
				dasm_put(Dst, 28038);
					}
#line 5037 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	EXT_CALL zend_jit_fast_concat_tmp_helper, REG0
					if (arm64_may_use_b(zend_jit_fast_concat_tmp_helper)) {
				dasm_put(Dst, 28040, (unsigned int)((ptrdiff_t)(zend_jit_fast_concat_tmp_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_fast_concat_tmp_helper))>>32));
					} else {
					if (((uintptr_t)(zend_jit_fast_concat_tmp_helper)) == 0) {
				dasm_put(Dst, 28043);
					} else if (((uintptr_t)(zend_jit_fast_concat_tmp_helper)) <= MOVZ_IMM) {
				dasm_put(Dst, 28045, ((uint64_t)(zend_jit_fast_concat_tmp_helper)));
					} else if (arm64_may_use_adr((void*)(zend_jit_fast_concat_tmp_helper))) {
				dasm_put(Dst, 28048, (unsigned int)((ptrdiff_t)(zend_jit_fast_concat_tmp_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_fast_concat_tmp_helper))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_fast_concat_tmp_helper))) {
				dasm_put(Dst, 28051, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_fast_concat_tmp_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_fast_concat_tmp_helper)))))>>32));
						if (((uintptr_t)(zend_jit_fast_concat_tmp_helper)) & 0xfff) {
				dasm_put(Dst, 28054, (((uintptr_t)(zend_jit_fast_concat_tmp_helper)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_fast_concat_tmp_helper) & 0xffff) {
				dasm_put(Dst, 28057, ((uintptr_t)(zend_jit_fast_concat_tmp_helper) & 0xffff));
						if (((uintptr_t)(zend_jit_fast_concat_tmp_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 28060, (((uintptr_t)(zend_jit_fast_concat_tmp_helper) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_fast_concat_tmp_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 28063, (((uintptr_t)(zend_jit_fast_concat_tmp_helper) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_fast_concat_tmp_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 28066, (((uintptr_t)(zend_jit_fast_concat_tmp_helper) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_fast_concat_tmp_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 28069, (((uintptr_t)(zend_jit_fast_concat_tmp_helper) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 28072, (((uintptr_t)(zend_jit_fast_concat_tmp_helper) >> 32) & 0xffff));
					}
				dasm_put(Dst, 28075);
					}
#line 5039 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
		/* concatination with empty string may increase refcount */
		op2_info |= MAY_BE_RCN;
		//|	FREE_OP op2_type, op2, op2_info, 0, opline, ZREG_TMP1, ZREG_TMP2
			if (op2_type & (IS_VAR|IS_TMP_VAR)) {
				zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, op2.var);
			if ((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
				if ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if (0) {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 28077, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 28081, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 28085, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 28089, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 28093, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 28098, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 28103, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 28106, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 28110, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 28114, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 28118, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 28122, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 28126, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 28130);
		dasm_put(Dst, 28133);
					} else {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 28135, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 28139, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 28143, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 28147, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 28151, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 28156, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 28161, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 28164, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 28168, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 28172, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 28176, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 28180, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 28184, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 28188);
					}
				}
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 28191, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
			} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
		dasm_put(Dst, 28195, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 28199, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 28203, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 28207, (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 28211, (Z_REG(addr)), (Z_OFFSET(addr)));
			}
		dasm_put(Dst, 28215, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
				if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op2_info)) {
					if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op2_info)) {
						if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 28223);
						} else {
		dasm_put(Dst, 28226);
						}
					}
			do {
				if (!((op2_info) & MAY_BE_GUARD)
				 && has_concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					zend_uchar type = concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
					if (type == IS_STRING && !ZEND_DEBUG) {
			if (arm64_may_use_b(_efree)) {
		dasm_put(Dst, 28229, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else {
			if (((uintptr_t)(_efree)) == 0) {
		dasm_put(Dst, 28232, (ZREG_X15));
			} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
		dasm_put(Dst, 28235, (ZREG_X15), ((uint64_t)(_efree)));
			} else if (arm64_may_use_adr((void*)(_efree))) {
		dasm_put(Dst, 28239, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else if (arm64_may_use_adrp((void*)(_efree))) {
		dasm_put(Dst, 28243, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
				if (((uintptr_t)(_efree)) & 0xfff) {
		dasm_put(Dst, 28247, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
				}
			} else if ((uintptr_t)(_efree) & 0xffff) {
		dasm_put(Dst, 28252, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
				if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 28256, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 28260, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 28264, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 28268, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 28272, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		dasm_put(Dst, 28276, (ZREG_X15));
			}
						break;
					} else if (type == IS_ARRAY) {
						if ((op2_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
							if (opline && ((op2_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 28279, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 28282, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 28285, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 28289, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 28293, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 28297, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 28302, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 28306, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 28310, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 28314, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 28318, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 28322, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 28326, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
							}
			if (arm64_may_use_b(zend_array_destroy)) {
		dasm_put(Dst, 28330, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else {
			if (((uintptr_t)(zend_array_destroy)) == 0) {
		dasm_put(Dst, 28333, (ZREG_X15));
			} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
		dasm_put(Dst, 28336, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
			} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
		dasm_put(Dst, 28340, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
		dasm_put(Dst, 28344, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
				if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
		dasm_put(Dst, 28348, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
		dasm_put(Dst, 28353, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 28357, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 28361, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 28365, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 28369, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 28373, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		dasm_put(Dst, 28377, (ZREG_X15));
			}
						} else {
			if (arm64_may_use_b(zend_jit_array_free)) {
		dasm_put(Dst, 28380, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else {
			if (((uintptr_t)(zend_jit_array_free)) == 0) {
		dasm_put(Dst, 28383, (ZREG_X15));
			} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
		dasm_put(Dst, 28386, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
			} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 28390, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 28394, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
				if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
		dasm_put(Dst, 28398, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
		dasm_put(Dst, 28403, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 28407, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 28411, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 28415, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 28419, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 28423, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		dasm_put(Dst, 28427, (ZREG_X15));
			}
						}
						break;
					} else if (type == IS_OBJECT) {
						if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 28430, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 28433);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 28435, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 28438, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 28441, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 28444, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 28447, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 28450, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 28453, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 28456, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 28459, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 28462, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 28465, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
						}
			if (arm64_may_use_b(zend_objects_store_del)) {
		dasm_put(Dst, 28468, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else {
			if (((uintptr_t)(zend_objects_store_del)) == 0) {
		dasm_put(Dst, 28471, (ZREG_X15));
			} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
		dasm_put(Dst, 28474, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
			} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 28478, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 28482, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
				if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
		dasm_put(Dst, 28486, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
		dasm_put(Dst, 28491, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 28495, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 28499, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 28503, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 28507, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 28511, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		dasm_put(Dst, 28515, (ZREG_X15));
			}
						break;
					}
				}
				if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 28518, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 28521, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 28524, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 28528, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 28532, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 28536, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 28541, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 28545, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 28549, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 28553, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 28557, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 28561, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 28565, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
				}
			if (arm64_may_use_b(rc_dtor_func)) {
		dasm_put(Dst, 28569, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else {
			if (((uintptr_t)(rc_dtor_func)) == 0) {
		dasm_put(Dst, 28572, (ZREG_X15));
			} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
		dasm_put(Dst, 28575, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
			} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
		dasm_put(Dst, 28579, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
		dasm_put(Dst, 28583, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
				if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
		dasm_put(Dst, 28587, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
				}
			} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
		dasm_put(Dst, 28592, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 28596, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				}
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 28600, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 28604, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 28608, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 28612, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		dasm_put(Dst, 28616, (ZREG_X15));
			}
			} while(0);
					if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 28619);
					}
		dasm_put(Dst, 28622);
				}
				if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					if ((op2_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
						zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
		dasm_put(Dst, 28624, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
		dasm_put(Dst, 28628, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
		dasm_put(Dst, 28632, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 28636, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 28640, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 28645, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
			}
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 28650, (ZREG_X15));
			} else {
		dasm_put(Dst, 28654, (ZREG_X15), IS_REFERENCE);
			}
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 28660, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 28664, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 28668, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 28672, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 28676, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 28681, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_COLLECTABLE == 0) {
		dasm_put(Dst, 28686, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
		dasm_put(Dst, 28689, (ZREG_X15), IS_TYPE_COLLECTABLE);
			} else {
			if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
		dasm_put(Dst, 28693, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
			} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
		dasm_put(Dst, 28697, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
				if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
		dasm_put(Dst, 28701, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 28705, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		dasm_put(Dst, 28709, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 28713);
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 28716, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
		dasm_put(Dst, 28720, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 28724, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 28728, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 28732, (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 28736, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
			}
		dasm_put(Dst, 28740);
					}
		dasm_put(Dst, 28742, (ZREG_X15));
			if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
		dasm_put(Dst, 28745, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
		dasm_put(Dst, 28748, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
			} else {
			if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
		dasm_put(Dst, 28752, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
			} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
		dasm_put(Dst, 28756, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
				if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
		dasm_put(Dst, 28760, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 28764, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 28768, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 28772);
			if (arm64_may_use_b(gc_possible_root)) {
		dasm_put(Dst, 28775, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else {
			if (((uintptr_t)(gc_possible_root)) == 0) {
		dasm_put(Dst, 28778, (ZREG_X15));
			} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
		dasm_put(Dst, 28781, (ZREG_X15), ((uint64_t)(gc_possible_root)));
			} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
		dasm_put(Dst, 28785, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
		dasm_put(Dst, 28789, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
				if (((uintptr_t)(gc_possible_root)) & 0xfff) {
		dasm_put(Dst, 28793, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
				}
			} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
		dasm_put(Dst, 28798, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 28802, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				}
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 28806, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 28810, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 28814, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 28818, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		dasm_put(Dst, 28822, (ZREG_X15));
			}
				}
				if (0 && ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
		dasm_put(Dst, 28825);
				}
		dasm_put(Dst, 28828);
			}
			}
#line 5044 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|5:
		dasm_put(Dst, 28830);
#line 5045 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	if ((op1_info & ((MAY_BE_UNDEF|MAY_BE_ANY|MAY_BE_REF) - MAY_BE_STRING)) ||
	    (op2_info & ((MAY_BE_UNDEF|MAY_BE_ANY|MAY_BE_REF) - MAY_BE_STRING))) {
		if ((op1_info & MAY_BE_STRING) && (op2_info & MAY_BE_STRING)) {
			//|.cold_code
			dasm_put(Dst, 28832);
#line 5050 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|6:
			dasm_put(Dst, 28833);
#line 5051 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (Z_MODE(op1_addr) != IS_MEM_ZVAL || Z_REG(op1_addr) != ZREG_FCARG1) {
			if (Z_REG(res_addr) != ZREG_FCARG1 || Z_OFFSET(res_addr) != 0) {
				//|	LOAD_ZVAL_ADDR FCARG1x, res_addr
					if (Z_MODE(res_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(res_addr))) == 0) {
				dasm_put(Dst, 28835);
					} else if (((uintptr_t)(Z_ZV(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 28837, ((uint64_t)(Z_ZV(res_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 28840, (unsigned int)((ptrdiff_t)(Z_ZV(res_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(res_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 28843, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(res_addr))) & 0xfff) {
				dasm_put(Dst, 28846, (((uintptr_t)(Z_ZV(res_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(res_addr)) & 0xffff) {
				dasm_put(Dst, 28849, ((uintptr_t)(Z_ZV(res_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 28852, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 28855, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 28858, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 28861, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 28864, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(res_addr)) {
					if (Z_OFFSET(res_addr) == 0) {
				dasm_put(Dst, 28867, (Z_REG(res_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(res_addr)))) {
				dasm_put(Dst, 28870, (Z_REG(res_addr)), Z_OFFSET(res_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 28874, ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 28877, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 28880, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 28883, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 28886, (Z_REG(res_addr)));
					}
						} else {
							if (Z_REG(res_addr) == ZREG_RSP) {
				dasm_put(Dst, 28889);
							} else {
				dasm_put(Dst, 28891, (Z_REG(res_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 5055 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	LOAD_ZVAL_ADDR FCARG2x, op1_addr
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
			dasm_put(Dst, 28894);
				} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 28896, ((uint64_t)(Z_ZV(op1_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 28899, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 28902, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
			dasm_put(Dst, 28905, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
			dasm_put(Dst, 28908, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 28911, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 28914, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 28917, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 28920, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 28923, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(op1_addr)) {
				if (Z_OFFSET(op1_addr) == 0) {
			dasm_put(Dst, 28926, (Z_REG(op1_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
			dasm_put(Dst, 28929, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 28933, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 28936, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 28939, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 28942, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 28945, (Z_REG(op1_addr)));
				}
					} else {
						if (Z_REG(op1_addr) == ZREG_RSP) {
			dasm_put(Dst, 28948);
						} else {
			dasm_put(Dst, 28950, (Z_REG(op1_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 5057 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	LOAD_ZVAL_ADDR FCARG2x, op1_addr
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
			dasm_put(Dst, 28953);
				} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 28955, ((uint64_t)(Z_ZV(op1_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 28958, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 28961, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
			dasm_put(Dst, 28964, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
			dasm_put(Dst, 28967, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 28970, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 28973, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 28976, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 28979, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 28982, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(op1_addr)) {
				if (Z_OFFSET(op1_addr) == 0) {
			dasm_put(Dst, 28985, (Z_REG(op1_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
			dasm_put(Dst, 28988, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 28992, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 28995, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 28998, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 29001, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 29004, (Z_REG(op1_addr)));
				}
					} else {
						if (Z_REG(op1_addr) == ZREG_RSP) {
			dasm_put(Dst, 29007);
						} else {
			dasm_put(Dst, 29009, (Z_REG(op1_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 5059 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (Z_REG(res_addr) != ZREG_FCARG1 || Z_OFFSET(res_addr) != 0) {
				//|	LOAD_ZVAL_ADDR FCARG1x, res_addr
					if (Z_MODE(res_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(res_addr))) == 0) {
				dasm_put(Dst, 29012);
					} else if (((uintptr_t)(Z_ZV(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 29014, ((uint64_t)(Z_ZV(res_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 29017, (unsigned int)((ptrdiff_t)(Z_ZV(res_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(res_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 29020, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(res_addr))) & 0xfff) {
				dasm_put(Dst, 29023, (((uintptr_t)(Z_ZV(res_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(res_addr)) & 0xffff) {
				dasm_put(Dst, 29026, ((uintptr_t)(Z_ZV(res_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 29029, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 29032, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 29035, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 29038, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 29041, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(res_addr)) {
					if (Z_OFFSET(res_addr) == 0) {
				dasm_put(Dst, 29044, (Z_REG(res_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(res_addr)))) {
				dasm_put(Dst, 29047, (Z_REG(res_addr)), Z_OFFSET(res_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 29051, ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 29054, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 29057, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 29060, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 29063, (Z_REG(res_addr)));
					}
						} else {
							if (Z_REG(res_addr) == ZREG_RSP) {
				dasm_put(Dst, 29066);
							} else {
				dasm_put(Dst, 29068, (Z_REG(res_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 5061 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
		//|	LOAD_ZVAL_ADDR CARG3, op2_addr
			if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op2_addr))) == 0) {
		dasm_put(Dst, 29071);
			} else if (((uintptr_t)(Z_ZV(op2_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 29073, ((uint64_t)(Z_ZV(op2_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op2_addr)))) {
		dasm_put(Dst, 29076, (unsigned int)((ptrdiff_t)(Z_ZV(op2_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op2_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op2_addr)))) {
		dasm_put(Dst, 29079, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff) {
		dasm_put(Dst, 29082, (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff) {
		dasm_put(Dst, 29085, ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 29088, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 29091, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 29094, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 29097, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 29100, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
			}
			} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
				if (Z_OFFSET(op2_addr)) {
			if (Z_OFFSET(op2_addr) == 0) {
		dasm_put(Dst, 29103, (Z_REG(op2_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op2_addr)))) {
		dasm_put(Dst, 29106, (Z_REG(op2_addr)), Z_OFFSET(op2_addr));
			} else {
			if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 29110, ((uint32_t)(Z_OFFSET(op2_addr))));
			} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
		dasm_put(Dst, 29113, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 29116, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 29119, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 29122, (Z_REG(op2_addr)));
			}
				} else {
					if (Z_REG(op2_addr) == ZREG_RSP) {
		dasm_put(Dst, 29125);
					} else {
		dasm_put(Dst, 29127, (Z_REG(op2_addr)));
					}
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 5064 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	SET_EX_OPLINE opline, REG0
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 29130, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 29133);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 29135, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 29138, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 29141, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 29144, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 29147, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 29150, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 29153, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 29156, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 29159, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 29162, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 29165, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
#line 5065 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	EXT_CALL concat_function, REG0
			if (arm64_may_use_b(concat_function)) {
		dasm_put(Dst, 29168, (unsigned int)((ptrdiff_t)(concat_function)), (unsigned int)(((ptrdiff_t)(concat_function))>>32));
			} else {
			if (((uintptr_t)(concat_function)) == 0) {
		dasm_put(Dst, 29171);
			} else if (((uintptr_t)(concat_function)) <= MOVZ_IMM) {
		dasm_put(Dst, 29173, ((uint64_t)(concat_function)));
			} else if (arm64_may_use_adr((void*)(concat_function))) {
		dasm_put(Dst, 29176, (unsigned int)((ptrdiff_t)(concat_function)), (unsigned int)(((ptrdiff_t)(concat_function))>>32));
			} else if (arm64_may_use_adrp((void*)(concat_function))) {
		dasm_put(Dst, 29179, (unsigned int)((ptrdiff_t)((((uintptr_t)(concat_function))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(concat_function)))))>>32));
				if (((uintptr_t)(concat_function)) & 0xfff) {
		dasm_put(Dst, 29182, (((uintptr_t)(concat_function)) & 0xfff));
				}
			} else if ((uintptr_t)(concat_function) & 0xffff) {
		dasm_put(Dst, 29185, ((uintptr_t)(concat_function) & 0xffff));
				if (((uintptr_t)(concat_function) >> 16) & 0xffff) {
		dasm_put(Dst, 29188, (((uintptr_t)(concat_function) >> 16) & 0xffff));
				}
				if (((uintptr_t)(concat_function) >> 32) & 0xffff) {
		dasm_put(Dst, 29191, (((uintptr_t)(concat_function) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(concat_function) >> 16) & 0xffff) {
		dasm_put(Dst, 29194, (((uintptr_t)(concat_function) >> 16) & 0xffff));
				if (((uintptr_t)(concat_function) >> 32) & 0xffff) {
		dasm_put(Dst, 29197, (((uintptr_t)(concat_function) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 29200, (((uintptr_t)(concat_function) >> 32) & 0xffff));
			}
		dasm_put(Dst, 29203);
			}
#line 5066 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		/* concatination with empty string may increase refcount */
		op1_info |= MAY_BE_RCN;
		op2_info |= MAY_BE_RCN;
		//|	FREE_OP op1_type, op1, op1_info, 0, NULL, ZREG_TMP1, ZREG_TMP2
			if (op1_type & (IS_VAR|IS_TMP_VAR)) {
				zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, op1.var);
			if ((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
				if ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if (0) {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 29205, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 29209, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 29213, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 29217, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 29221, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 29226, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 29231, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 29234, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 29238, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 29242, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 29246, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 29250, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 29254, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 29258);
		dasm_put(Dst, 29261);
					} else {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 29263, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 29267, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 29271, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 29275, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 29279, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 29284, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 29289, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 29292, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 29296, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 29300, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 29304, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 29308, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 29312, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 29316);
					}
				}
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 29319, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
			} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
		dasm_put(Dst, 29323, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 29327, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 29331, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 29335, (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 29339, (Z_REG(addr)), (Z_OFFSET(addr)));
			}
		dasm_put(Dst, 29343, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
				if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op1_info)) {
					if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op1_info)) {
						if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 29351);
						} else {
		dasm_put(Dst, 29354);
						}
					}
			do {
				if (!((op1_info) & MAY_BE_GUARD)
				 && has_concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					zend_uchar type = concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
					if (type == IS_STRING && !ZEND_DEBUG) {
			if (arm64_may_use_b(_efree)) {
		dasm_put(Dst, 29357, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else {
			if (((uintptr_t)(_efree)) == 0) {
		dasm_put(Dst, 29360, (ZREG_X15));
			} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
		dasm_put(Dst, 29363, (ZREG_X15), ((uint64_t)(_efree)));
			} else if (arm64_may_use_adr((void*)(_efree))) {
		dasm_put(Dst, 29367, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else if (arm64_may_use_adrp((void*)(_efree))) {
		dasm_put(Dst, 29371, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
				if (((uintptr_t)(_efree)) & 0xfff) {
		dasm_put(Dst, 29375, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
				}
			} else if ((uintptr_t)(_efree) & 0xffff) {
		dasm_put(Dst, 29380, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
				if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 29384, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 29388, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 29392, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 29396, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 29400, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		dasm_put(Dst, 29404, (ZREG_X15));
			}
						break;
					} else if (type == IS_ARRAY) {
						if ((op1_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
							if (NULL && ((op1_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
			if (NULL == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 29407, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(NULL)) == 0) {
		dasm_put(Dst, 29410, (ZREG_X15));
			} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
		dasm_put(Dst, 29413, (ZREG_X15), ((uint64_t)(NULL)));
			} else if (arm64_may_use_adr((void*)(NULL))) {
		dasm_put(Dst, 29417, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
			} else if (arm64_may_use_adrp((void*)(NULL))) {
		dasm_put(Dst, 29421, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
				if (((uintptr_t)(NULL)) & 0xfff) {
		dasm_put(Dst, 29425, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
				}
			} else if ((uintptr_t)(NULL) & 0xffff) {
		dasm_put(Dst, 29430, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
				if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 29434, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				}
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 29438, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 29442, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 29446, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 29450, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		dasm_put(Dst, 29454, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
							}
			if (arm64_may_use_b(zend_array_destroy)) {
		dasm_put(Dst, 29458, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else {
			if (((uintptr_t)(zend_array_destroy)) == 0) {
		dasm_put(Dst, 29461, (ZREG_X15));
			} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
		dasm_put(Dst, 29464, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
			} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
		dasm_put(Dst, 29468, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
		dasm_put(Dst, 29472, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
				if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
		dasm_put(Dst, 29476, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
		dasm_put(Dst, 29481, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 29485, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 29489, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 29493, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 29497, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 29501, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		dasm_put(Dst, 29505, (ZREG_X15));
			}
						} else {
			if (arm64_may_use_b(zend_jit_array_free)) {
		dasm_put(Dst, 29508, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else {
			if (((uintptr_t)(zend_jit_array_free)) == 0) {
		dasm_put(Dst, 29511, (ZREG_X15));
			} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
		dasm_put(Dst, 29514, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
			} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 29518, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 29522, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
				if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
		dasm_put(Dst, 29526, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
		dasm_put(Dst, 29531, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 29535, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 29539, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 29543, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 29547, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 29551, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		dasm_put(Dst, 29555, (ZREG_X15));
			}
						}
						break;
					} else if (type == IS_OBJECT) {
						if (NULL) {
			if (NULL == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 29558, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(NULL)) == 0) {
		dasm_put(Dst, 29561);
			} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
		dasm_put(Dst, 29563, ((uint64_t)(NULL)));
			} else if (arm64_may_use_adr((void*)(NULL))) {
		dasm_put(Dst, 29566, (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
			} else if (arm64_may_use_adrp((void*)(NULL))) {
		dasm_put(Dst, 29569, (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
				if (((uintptr_t)(NULL)) & 0xfff) {
		dasm_put(Dst, 29572, (((uintptr_t)(NULL)) & 0xfff));
				}
			} else if ((uintptr_t)(NULL) & 0xffff) {
		dasm_put(Dst, 29575, ((uintptr_t)(NULL) & 0xffff));
				if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 29578, (((uintptr_t)(NULL) >> 16) & 0xffff));
				}
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 29581, (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 29584, (((uintptr_t)(NULL) >> 16) & 0xffff));
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 29587, (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 29590, (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		dasm_put(Dst, 29593, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
						}
			if (arm64_may_use_b(zend_objects_store_del)) {
		dasm_put(Dst, 29596, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else {
			if (((uintptr_t)(zend_objects_store_del)) == 0) {
		dasm_put(Dst, 29599, (ZREG_X15));
			} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
		dasm_put(Dst, 29602, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
			} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 29606, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 29610, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
				if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
		dasm_put(Dst, 29614, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
		dasm_put(Dst, 29619, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 29623, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 29627, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 29631, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 29635, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 29639, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		dasm_put(Dst, 29643, (ZREG_X15));
			}
						break;
					}
				}
				if (NULL) {
			if (NULL == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 29646, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(NULL)) == 0) {
		dasm_put(Dst, 29649, (ZREG_X15));
			} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
		dasm_put(Dst, 29652, (ZREG_X15), ((uint64_t)(NULL)));
			} else if (arm64_may_use_adr((void*)(NULL))) {
		dasm_put(Dst, 29656, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
			} else if (arm64_may_use_adrp((void*)(NULL))) {
		dasm_put(Dst, 29660, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
				if (((uintptr_t)(NULL)) & 0xfff) {
		dasm_put(Dst, 29664, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
				}
			} else if ((uintptr_t)(NULL) & 0xffff) {
		dasm_put(Dst, 29669, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
				if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 29673, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				}
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 29677, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 29681, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 29685, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 29689, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		dasm_put(Dst, 29693, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
				}
			if (arm64_may_use_b(rc_dtor_func)) {
		dasm_put(Dst, 29697, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else {
			if (((uintptr_t)(rc_dtor_func)) == 0) {
		dasm_put(Dst, 29700, (ZREG_X15));
			} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
		dasm_put(Dst, 29703, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
			} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
		dasm_put(Dst, 29707, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
		dasm_put(Dst, 29711, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
				if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
		dasm_put(Dst, 29715, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
				}
			} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
		dasm_put(Dst, 29720, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 29724, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				}
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 29728, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 29732, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 29736, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 29740, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		dasm_put(Dst, 29744, (ZREG_X15));
			}
			} while(0);
					if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 29747);
					}
		dasm_put(Dst, 29750);
				}
				if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					if ((op1_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
						zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
		dasm_put(Dst, 29752, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
		dasm_put(Dst, 29756, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
		dasm_put(Dst, 29760, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 29764, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 29768, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 29773, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
			}
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 29778, (ZREG_X15));
			} else {
		dasm_put(Dst, 29782, (ZREG_X15), IS_REFERENCE);
			}
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 29788, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 29792, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 29796, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 29800, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 29804, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 29809, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_COLLECTABLE == 0) {
		dasm_put(Dst, 29814, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
		dasm_put(Dst, 29817, (ZREG_X15), IS_TYPE_COLLECTABLE);
			} else {
			if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
		dasm_put(Dst, 29821, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
			} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
		dasm_put(Dst, 29825, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
				if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
		dasm_put(Dst, 29829, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 29833, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		dasm_put(Dst, 29837, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 29841);
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 29844, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
		dasm_put(Dst, 29848, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 29852, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 29856, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 29860, (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 29864, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
			}
		dasm_put(Dst, 29868);
					}
		dasm_put(Dst, 29870, (ZREG_X15));
			if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
		dasm_put(Dst, 29873, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
		dasm_put(Dst, 29876, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
			} else {
			if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
		dasm_put(Dst, 29880, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
			} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
		dasm_put(Dst, 29884, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
				if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
		dasm_put(Dst, 29888, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 29892, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 29896, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 29900);
			if (arm64_may_use_b(gc_possible_root)) {
		dasm_put(Dst, 29903, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else {
			if (((uintptr_t)(gc_possible_root)) == 0) {
		dasm_put(Dst, 29906, (ZREG_X15));
			} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
		dasm_put(Dst, 29909, (ZREG_X15), ((uint64_t)(gc_possible_root)));
			} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
		dasm_put(Dst, 29913, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
		dasm_put(Dst, 29917, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
				if (((uintptr_t)(gc_possible_root)) & 0xfff) {
		dasm_put(Dst, 29921, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
				}
			} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
		dasm_put(Dst, 29926, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 29930, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				}
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 29934, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 29938, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 29942, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 29946, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		dasm_put(Dst, 29950, (ZREG_X15));
			}
				}
				if (0 && ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
		dasm_put(Dst, 29953);
				}
		dasm_put(Dst, 29956);
			}
			}
#line 5070 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	FREE_OP op2_type, op2, op2_info, 0, NULL, ZREG_TMP1, ZREG_TMP2
			if (op2_type & (IS_VAR|IS_TMP_VAR)) {
				zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, op2.var);
			if ((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
				if ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if (0) {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 29958, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 29962, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 29966, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 29970, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 29974, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 29979, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 29984, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 29987, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 29991, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 29995, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 29999, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 30003, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 30007, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 30011);
		dasm_put(Dst, 30014);
					} else {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 30016, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 30020, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 30024, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 30028, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 30032, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 30037, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 30042, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 30045, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 30049, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 30053, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 30057, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 30061, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 30065, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 30069);
					}
				}
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 30072, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
			} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
		dasm_put(Dst, 30076, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 30080, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 30084, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 30088, (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 30092, (Z_REG(addr)), (Z_OFFSET(addr)));
			}
		dasm_put(Dst, 30096, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
				if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op2_info)) {
					if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op2_info)) {
						if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 30104);
						} else {
		dasm_put(Dst, 30107);
						}
					}
			do {
				if (!((op2_info) & MAY_BE_GUARD)
				 && has_concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					zend_uchar type = concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
					if (type == IS_STRING && !ZEND_DEBUG) {
			if (arm64_may_use_b(_efree)) {
		dasm_put(Dst, 30110, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else {
			if (((uintptr_t)(_efree)) == 0) {
		dasm_put(Dst, 30113, (ZREG_X15));
			} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
		dasm_put(Dst, 30116, (ZREG_X15), ((uint64_t)(_efree)));
			} else if (arm64_may_use_adr((void*)(_efree))) {
		dasm_put(Dst, 30120, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else if (arm64_may_use_adrp((void*)(_efree))) {
		dasm_put(Dst, 30124, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
				if (((uintptr_t)(_efree)) & 0xfff) {
		dasm_put(Dst, 30128, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
				}
			} else if ((uintptr_t)(_efree) & 0xffff) {
		dasm_put(Dst, 30133, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
				if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 30137, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 30141, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 30145, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 30149, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 30153, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		dasm_put(Dst, 30157, (ZREG_X15));
			}
						break;
					} else if (type == IS_ARRAY) {
						if ((op2_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
							if (NULL && ((op2_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
			if (NULL == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 30160, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(NULL)) == 0) {
		dasm_put(Dst, 30163, (ZREG_X15));
			} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
		dasm_put(Dst, 30166, (ZREG_X15), ((uint64_t)(NULL)));
			} else if (arm64_may_use_adr((void*)(NULL))) {
		dasm_put(Dst, 30170, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
			} else if (arm64_may_use_adrp((void*)(NULL))) {
		dasm_put(Dst, 30174, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
				if (((uintptr_t)(NULL)) & 0xfff) {
		dasm_put(Dst, 30178, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
				}
			} else if ((uintptr_t)(NULL) & 0xffff) {
		dasm_put(Dst, 30183, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
				if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 30187, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				}
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 30191, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 30195, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 30199, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 30203, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		dasm_put(Dst, 30207, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
							}
			if (arm64_may_use_b(zend_array_destroy)) {
		dasm_put(Dst, 30211, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else {
			if (((uintptr_t)(zend_array_destroy)) == 0) {
		dasm_put(Dst, 30214, (ZREG_X15));
			} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
		dasm_put(Dst, 30217, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
			} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
		dasm_put(Dst, 30221, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
		dasm_put(Dst, 30225, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
				if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
		dasm_put(Dst, 30229, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
		dasm_put(Dst, 30234, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 30238, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 30242, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 30246, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 30250, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 30254, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		dasm_put(Dst, 30258, (ZREG_X15));
			}
						} else {
			if (arm64_may_use_b(zend_jit_array_free)) {
		dasm_put(Dst, 30261, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else {
			if (((uintptr_t)(zend_jit_array_free)) == 0) {
		dasm_put(Dst, 30264, (ZREG_X15));
			} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
		dasm_put(Dst, 30267, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
			} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 30271, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 30275, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
				if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
		dasm_put(Dst, 30279, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
		dasm_put(Dst, 30284, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 30288, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 30292, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 30296, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 30300, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 30304, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		dasm_put(Dst, 30308, (ZREG_X15));
			}
						}
						break;
					} else if (type == IS_OBJECT) {
						if (NULL) {
			if (NULL == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 30311, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(NULL)) == 0) {
		dasm_put(Dst, 30314);
			} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
		dasm_put(Dst, 30316, ((uint64_t)(NULL)));
			} else if (arm64_may_use_adr((void*)(NULL))) {
		dasm_put(Dst, 30319, (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
			} else if (arm64_may_use_adrp((void*)(NULL))) {
		dasm_put(Dst, 30322, (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
				if (((uintptr_t)(NULL)) & 0xfff) {
		dasm_put(Dst, 30325, (((uintptr_t)(NULL)) & 0xfff));
				}
			} else if ((uintptr_t)(NULL) & 0xffff) {
		dasm_put(Dst, 30328, ((uintptr_t)(NULL) & 0xffff));
				if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 30331, (((uintptr_t)(NULL) >> 16) & 0xffff));
				}
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 30334, (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 30337, (((uintptr_t)(NULL) >> 16) & 0xffff));
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 30340, (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 30343, (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		dasm_put(Dst, 30346, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
						}
			if (arm64_may_use_b(zend_objects_store_del)) {
		dasm_put(Dst, 30349, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else {
			if (((uintptr_t)(zend_objects_store_del)) == 0) {
		dasm_put(Dst, 30352, (ZREG_X15));
			} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
		dasm_put(Dst, 30355, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
			} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 30359, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 30363, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
				if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
		dasm_put(Dst, 30367, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
		dasm_put(Dst, 30372, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 30376, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 30380, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 30384, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 30388, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 30392, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		dasm_put(Dst, 30396, (ZREG_X15));
			}
						break;
					}
				}
				if (NULL) {
			if (NULL == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 30399, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(NULL)) == 0) {
		dasm_put(Dst, 30402, (ZREG_X15));
			} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
		dasm_put(Dst, 30405, (ZREG_X15), ((uint64_t)(NULL)));
			} else if (arm64_may_use_adr((void*)(NULL))) {
		dasm_put(Dst, 30409, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
			} else if (arm64_may_use_adrp((void*)(NULL))) {
		dasm_put(Dst, 30413, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
				if (((uintptr_t)(NULL)) & 0xfff) {
		dasm_put(Dst, 30417, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
				}
			} else if ((uintptr_t)(NULL) & 0xffff) {
		dasm_put(Dst, 30422, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
				if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 30426, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				}
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 30430, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 30434, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 30438, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 30442, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		dasm_put(Dst, 30446, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
				}
			if (arm64_may_use_b(rc_dtor_func)) {
		dasm_put(Dst, 30450, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else {
			if (((uintptr_t)(rc_dtor_func)) == 0) {
		dasm_put(Dst, 30453, (ZREG_X15));
			} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
		dasm_put(Dst, 30456, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
			} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
		dasm_put(Dst, 30460, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
		dasm_put(Dst, 30464, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
				if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
		dasm_put(Dst, 30468, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
				}
			} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
		dasm_put(Dst, 30473, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 30477, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				}
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 30481, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 30485, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 30489, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 30493, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		dasm_put(Dst, 30497, (ZREG_X15));
			}
			} while(0);
					if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 30500);
					}
		dasm_put(Dst, 30503);
				}
				if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					if ((op2_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
						zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
		dasm_put(Dst, 30505, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
		dasm_put(Dst, 30509, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
		dasm_put(Dst, 30513, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 30517, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 30521, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 30526, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
			}
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 30531, (ZREG_X15));
			} else {
		dasm_put(Dst, 30535, (ZREG_X15), IS_REFERENCE);
			}
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 30541, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 30545, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 30549, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 30553, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 30557, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 30562, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_COLLECTABLE == 0) {
		dasm_put(Dst, 30567, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
		dasm_put(Dst, 30570, (ZREG_X15), IS_TYPE_COLLECTABLE);
			} else {
			if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
		dasm_put(Dst, 30574, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
			} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
		dasm_put(Dst, 30578, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
				if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
		dasm_put(Dst, 30582, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 30586, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		dasm_put(Dst, 30590, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 30594);
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 30597, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
		dasm_put(Dst, 30601, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 30605, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 30609, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 30613, (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 30617, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
			}
		dasm_put(Dst, 30621);
					}
		dasm_put(Dst, 30623, (ZREG_X15));
			if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
		dasm_put(Dst, 30626, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
		dasm_put(Dst, 30629, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
			} else {
			if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
		dasm_put(Dst, 30633, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
			} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
		dasm_put(Dst, 30637, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
				if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
		dasm_put(Dst, 30641, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 30645, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 30649, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 30653);
			if (arm64_may_use_b(gc_possible_root)) {
		dasm_put(Dst, 30656, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else {
			if (((uintptr_t)(gc_possible_root)) == 0) {
		dasm_put(Dst, 30659, (ZREG_X15));
			} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
		dasm_put(Dst, 30662, (ZREG_X15), ((uint64_t)(gc_possible_root)));
			} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
		dasm_put(Dst, 30666, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
		dasm_put(Dst, 30670, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
				if (((uintptr_t)(gc_possible_root)) & 0xfff) {
		dasm_put(Dst, 30674, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
				}
			} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
		dasm_put(Dst, 30679, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 30683, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				}
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 30687, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 30691, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 30695, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 30699, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		dasm_put(Dst, 30703, (ZREG_X15));
			}
				}
				if (0 && ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
		dasm_put(Dst, 30706);
				}
		dasm_put(Dst, 30709);
			}
			}
#line 5071 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (may_throw) {
			if (Z_MODE(res_addr) == IS_MEM_ZVAL && Z_REG(res_addr) == ZREG_RX) {
				zend_jit_check_exception_undef_result(Dst, opline);
			} else {
				zend_jit_check_exception(Dst);
			}
		}
		if ((op1_info & MAY_BE_STRING) && (op2_info & MAY_BE_STRING)) {
			//|	b <5
			//|.code
			dasm_put(Dst, 30711);
#line 5081 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	return 1;
}

static int zend_jit_concat(dasm_State **Dst, const zend_op *opline, uint32_t op1_info, uint32_t op2_info, zend_jit_addr res_addr, int may_throw)
{
	zend_jit_addr op1_addr, op2_addr;

	ZEND_ASSERT(!(op1_info & MAY_BE_UNDEF) && !(op2_info & MAY_BE_UNDEF));
	ZEND_ASSERT((op1_info & MAY_BE_STRING) && (op2_info & MAY_BE_STRING));

	op1_addr = OP1_ADDR();
	op2_addr = OP2_ADDR();

	return zend_jit_concat_helper(Dst, opline, opline->op1_type, opline->op1, op1_addr, op1_info, opline->op2_type, opline->op2, op2_addr, op2_info, res_addr, may_throw);
}

static int zend_jit_fetch_dimension_address_inner(dasm_State **Dst, const zend_op *opline, uint32_t type, uint32_t op1_info, uint32_t op2_info, uint8_t dim_type, const void *found_exit_addr, const void *not_found_exit_addr, const void *exit_addr)
/* Labels: 1,2,3,4,5 */
{
	zend_jit_addr op2_addr = OP2_ADDR();
	zend_jit_addr res_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->result.var);

	if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE
	 && type == BP_VAR_R
	 && !exit_addr) {
		int32_t exit_point = zend_jit_trace_get_exit_point(opline, ZEND_JIT_EXIT_TO_VM);
		exit_addr = zend_jit_trace_get_exit_addr(exit_point);
		if (!exit_addr) {
			return 0;
		}
	}

	if (op2_info & MAY_BE_LONG) {
		bool op2_loaded = 0;
		bool packed_loaded = 0;
		bool bad_packed_key = 0;

		if (op2_info & ((MAY_BE_ANY|MAY_BE_UNDEF) - MAY_BE_LONG)) {
			//|	// if (EXPECTED(Z_TYPE_P(dim) == IS_LONG))
			//|	IF_NOT_ZVAL_TYPE op2_addr, IS_LONG, >3, ZREG_TMP1
				ZEND_ASSERT(Z_MODE(op2_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 30714, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 30718, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 30722, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 30726, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 30730, (ZREG_X15), (Z_REG(op2_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 30735, (ZREG_X15), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_LONG == 0) {
			dasm_put(Dst, 30740, (ZREG_X15));
				} else {
			dasm_put(Dst, 30744, (ZREG_X15), IS_LONG);
				}
#line 5124 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (op1_info & MAY_BE_PACKED_GUARD) {
			int32_t exit_point = zend_jit_trace_get_exit_point(opline, ZEND_JIT_EXIT_PACKED_GUARD);
			const void *exit_addr = zend_jit_trace_get_exit_addr(exit_point);

			if (!exit_addr) {
				return 0;
			}
			if (op1_info & MAY_BE_ARRAY_PACKED) {
				//|	ldr TMP1w, [FCARG1x, #offsetof(zend_array, u.flags)]
				//|	TST_32_WITH_CONST TMP1w, HASH_FLAG_PACKED, TMP2w
				dasm_put(Dst, 30750, offsetof(zend_array, u.flags));
					if (HASH_FLAG_PACKED == 0) {
				dasm_put(Dst, 30753);
					} else if (logical_immediate_p((uint32_t)HASH_FLAG_PACKED, 32)) {
				dasm_put(Dst, 30755, HASH_FLAG_PACKED);
					} else {
					if (((uint32_t)(HASH_FLAG_PACKED)) <= MOVZ_IMM) {
				dasm_put(Dst, 30758, ((uint32_t)(HASH_FLAG_PACKED)));
					} else if (((uint32_t)(HASH_FLAG_PACKED) & 0xffff)) {
				dasm_put(Dst, 30761, ((uint32_t)(HASH_FLAG_PACKED) & 0xffff));
						if ((((uint32_t)(HASH_FLAG_PACKED) >> 16) & 0xffff)) {
				dasm_put(Dst, 30764, (((uint32_t)(HASH_FLAG_PACKED) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 30767, (((uint32_t)(HASH_FLAG_PACKED) >> 16) & 0xffff));
					}
				dasm_put(Dst, 30770);
					}
#line 5135 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	beq &exit_addr
				dasm_put(Dst, 30772, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 5136 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	ldr TMP1w, [FCARG1x, #offsetof(zend_array, u.flags)]
				//|	TST_32_WITH_CONST TMP1w, HASH_FLAG_PACKED, TMP2w
				dasm_put(Dst, 30775, offsetof(zend_array, u.flags));
					if (HASH_FLAG_PACKED == 0) {
				dasm_put(Dst, 30778);
					} else if (logical_immediate_p((uint32_t)HASH_FLAG_PACKED, 32)) {
				dasm_put(Dst, 30780, HASH_FLAG_PACKED);
					} else {
					if (((uint32_t)(HASH_FLAG_PACKED)) <= MOVZ_IMM) {
				dasm_put(Dst, 30783, ((uint32_t)(HASH_FLAG_PACKED)));
					} else if (((uint32_t)(HASH_FLAG_PACKED) & 0xffff)) {
				dasm_put(Dst, 30786, ((uint32_t)(HASH_FLAG_PACKED) & 0xffff));
						if ((((uint32_t)(HASH_FLAG_PACKED) >> 16) & 0xffff)) {
				dasm_put(Dst, 30789, (((uint32_t)(HASH_FLAG_PACKED) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 30792, (((uint32_t)(HASH_FLAG_PACKED) >> 16) & 0xffff));
					}
				dasm_put(Dst, 30795);
					}
#line 5139 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	bne &exit_addr
				dasm_put(Dst, 30797, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 5140 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
		if (type == BP_VAR_W) {
			//|	// hval = Z_LVAL_P(dim);
			//|	GET_ZVAL_LVAL ZREG_FCARG2, op2_addr, TMP1
				if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
			dasm_put(Dst, 30800, (ZREG_FCARG2));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
			dasm_put(Dst, 30803, (ZREG_FCARG2));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 30806, (ZREG_FCARG2), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 30810, (ZREG_FCARG2), (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
			dasm_put(Dst, 30814, (ZREG_FCARG2), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 30818, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 30822, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 30826, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 30830, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 30834, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 30838, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 30842, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 30846, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 30850, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 30854, ((uint32_t)(Z_OFFSET(op2_addr))));
				} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
			dasm_put(Dst, 30857, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 30860, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 30863, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 30866, (ZREG_FCARG2), (Z_REG(op2_addr)));
				} else {
			dasm_put(Dst, 30870, (ZREG_FCARG2), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
				}
				} else if (Z_MODE(op2_addr) == IS_REG) {
					if (ZREG_FCARG2 != Z_REG(op2_addr)) {
			dasm_put(Dst, 30875, (ZREG_FCARG2), (Z_REG(op2_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 5145 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			op2_loaded = 1;
		}
		if (op1_info & MAY_BE_ARRAY_PACKED) {
			zend_long val = -1;

			if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
				val = Z_LVAL_P(Z_ZV(op2_addr));
				if (val >= 0 && val < HT_MAX_SIZE) {
					packed_loaded = 1;
				} else {
					bad_packed_key = 1;
				}
			} else {
				if (!op2_loaded) {
					//|	// hval = Z_LVAL_P(dim);
					//|	GET_ZVAL_LVAL ZREG_FCARG2, op2_addr, TMP1
						if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
							if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
					dasm_put(Dst, 30879, (ZREG_FCARG2));
							} else {
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
					dasm_put(Dst, 30882, (ZREG_FCARG2));
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
					dasm_put(Dst, 30885, (ZREG_FCARG2), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
						} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
					dasm_put(Dst, 30889, (ZREG_FCARG2), (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
						} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
					dasm_put(Dst, 30893, (ZREG_FCARG2), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
							if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
					dasm_put(Dst, 30897, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
							}
							if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 30901, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
							}
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 30905, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
							}
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
					dasm_put(Dst, 30909, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
							if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 30913, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
							}
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 30917, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
							}
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 30921, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 30925, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
							}
						} else {
					dasm_put(Dst, 30929, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
						}
							}
						} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
						if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 30933, ((uint32_t)(Z_OFFSET(op2_addr))));
						} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
					dasm_put(Dst, 30936, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 30939, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 30942, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 30945, (ZREG_FCARG2), (Z_REG(op2_addr)));
						} else {
					dasm_put(Dst, 30949, (ZREG_FCARG2), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
						}
						} else if (Z_MODE(op2_addr) == IS_REG) {
							if (ZREG_FCARG2 != Z_REG(op2_addr)) {
					dasm_put(Dst, 30954, (ZREG_FCARG2), (Z_REG(op2_addr)));
							}
						} else {
							ZEND_UNREACHABLE();
						}
#line 5161 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					op2_loaded = 1;
				}
				packed_loaded = 1;
			}

			if (dim_type == IS_UNDEF && type == BP_VAR_W) {
				/* don't generate "fast" code for packed array */
				packed_loaded = 0;
			}

			if (packed_loaded) {
				//|	// ZEND_HASH_INDEX_FIND(ht, hval, retval, num_undef);
				if (op1_info & MAY_BE_ARRAY_NUMERIC_HASH) {
					//|	ldr TMP1w, [FCARG1x, #offsetof(zend_array, u.flags)]
					//|	TST_32_WITH_CONST TMP1w, HASH_FLAG_PACKED, TMP2w
					dasm_put(Dst, 30958, offsetof(zend_array, u.flags));
						if (HASH_FLAG_PACKED == 0) {
					dasm_put(Dst, 30961);
						} else if (logical_immediate_p((uint32_t)HASH_FLAG_PACKED, 32)) {
					dasm_put(Dst, 30963, HASH_FLAG_PACKED);
						} else {
						if (((uint32_t)(HASH_FLAG_PACKED)) <= MOVZ_IMM) {
					dasm_put(Dst, 30966, ((uint32_t)(HASH_FLAG_PACKED)));
						} else if (((uint32_t)(HASH_FLAG_PACKED) & 0xffff)) {
					dasm_put(Dst, 30969, ((uint32_t)(HASH_FLAG_PACKED) & 0xffff));
							if ((((uint32_t)(HASH_FLAG_PACKED) >> 16) & 0xffff)) {
					dasm_put(Dst, 30972, (((uint32_t)(HASH_FLAG_PACKED) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 30975, (((uint32_t)(HASH_FLAG_PACKED) >> 16) & 0xffff));
						}
					dasm_put(Dst, 30978);
						}
#line 5176 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	beq >4 // HASH_FIND
					dasm_put(Dst, 30980);
#line 5177 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|	// if (EXPECTED((zend_ulong)(_h) < (zend_ulong)(_ht)->nNumUsed))

				//|	ldr REG0w, [FCARG1x, #offsetof(zend_array, nNumUsed)]
				dasm_put(Dst, 30983, offsetof(zend_array, nNumUsed));
#line 5181 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				if (val == 0) {
					//|	cmp REG0, xzr
					dasm_put(Dst, 30986);
#line 5183 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else if (val > 0 && !op2_loaded) {
					//|	CMP_64_WITH_CONST REG0, val, TMP1
						if (val == 0) {
					dasm_put(Dst, 30988);
						} else if (arm64_may_encode_imm12((int64_t)(val))) {
					dasm_put(Dst, 30990, val);
						} else if (arm64_may_encode_imm12((int64_t)(-val))) {
					dasm_put(Dst, 30993, -val);
						} else {
						if (((uint64_t)(val)) == 0) {
					dasm_put(Dst, 30996);
						} else if (((uint64_t)(val)) <= MOVZ_IMM) {
					dasm_put(Dst, 30998, ((uint64_t)(val)));
						} else if (~((uint64_t)(val)) <= MOVZ_IMM) {
					dasm_put(Dst, 31001, (~((uint64_t)(val))));
						} else if ((uint64_t)(val) & 0xffff) {
					dasm_put(Dst, 31004, ((uint64_t)(val) & 0xffff));
							if (((uint64_t)(val) >> 16) & 0xffff) {
					dasm_put(Dst, 31007, (((uint64_t)(val) >> 16) & 0xffff));
							}
							if (((uint64_t)(val) >> 32) & 0xffff) {
					dasm_put(Dst, 31010, (((uint64_t)(val) >> 32) & 0xffff));
							}
							if ((((uint64_t)(val) >> 48) & 0xffff)) {
					dasm_put(Dst, 31013, (((uint64_t)(val) >> 48) & 0xffff));
							}
						} else if (((uint64_t)(val) >> 16) & 0xffff) {
					dasm_put(Dst, 31016, (((uint64_t)(val) >> 16) & 0xffff));
							if (((uint64_t)(val) >> 32) & 0xffff) {
					dasm_put(Dst, 31019, (((uint64_t)(val) >> 32) & 0xffff));
							}
							if ((((uint64_t)(val) >> 48) & 0xffff)) {
					dasm_put(Dst, 31022, (((uint64_t)(val) >> 48) & 0xffff));
							}
						} else if (((uint64_t)(val) >> 32) & 0xffff) {
					dasm_put(Dst, 31025, (((uint64_t)(val) >> 32) & 0xffff));
							if ((((uint64_t)(val) >> 48) & 0xffff)) {
					dasm_put(Dst, 31028, (((uint64_t)(val) >> 48) & 0xffff));
							}
						} else {
					dasm_put(Dst, 31031, (((uint64_t)(val) >> 48) & 0xffff));
						}
					dasm_put(Dst, 31034);
						}
#line 5185 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	cmp REG0, FCARG2x
					dasm_put(Dst, 31036);
#line 5187 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}

				if (type == BP_JIT_IS) {
					if (not_found_exit_addr) {
						//|	bls &not_found_exit_addr
						dasm_put(Dst, 31038, (unsigned int)((ptrdiff_t)(not_found_exit_addr)), (unsigned int)(((ptrdiff_t)(not_found_exit_addr))>>32));
#line 5192 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	bls >9 // NOT_FOUND
						dasm_put(Dst, 31041);
#line 5194 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				} else if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE && type == BP_VAR_R) {
					//|	bls &exit_addr
					dasm_put(Dst, 31044, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 5197 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else if (type == BP_VAR_IS && not_found_exit_addr) {
					//|	bls &not_found_exit_addr
					dasm_put(Dst, 31047, (unsigned int)((ptrdiff_t)(not_found_exit_addr)), (unsigned int)(((ptrdiff_t)(not_found_exit_addr))>>32));
#line 5199 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else if (type == BP_VAR_RW && not_found_exit_addr) {
					//|	bls &not_found_exit_addr
					dasm_put(Dst, 31050, (unsigned int)((ptrdiff_t)(not_found_exit_addr)), (unsigned int)(((ptrdiff_t)(not_found_exit_addr))>>32));
#line 5201 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else if (type == BP_VAR_IS && found_exit_addr) {
					//|	bls >7 // NOT_FOUND
					dasm_put(Dst, 31053);
#line 5203 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	bls >2 // NOT_FOUND
					dasm_put(Dst, 31056);
#line 5205 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|	// _ret = &_ht->arData[_h].val;
				if (val >= 0) {
					//|	ldr REG0, [FCARG1x, #offsetof(zend_array, arData)]
					dasm_put(Dst, 31059, offsetof(zend_array, arData));
#line 5209 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					if (val != 0) {
						//|	ADD_SUB_64_WITH_CONST add, REG0, REG0, (val * sizeof(Bucket)), TMP1
							if ((val * sizeof(Bucket)) == 0) {
						dasm_put(Dst, 31062);
							} else if (arm64_may_encode_imm12((int64_t)((val * sizeof(Bucket))))) {
						dasm_put(Dst, 31064, (val * sizeof(Bucket)));
							} else {
							if (((uint64_t)((val * sizeof(Bucket)))) == 0) {
						dasm_put(Dst, 31067);
							} else if (((uint64_t)((val * sizeof(Bucket)))) <= MOVZ_IMM) {
						dasm_put(Dst, 31069, ((uint64_t)((val * sizeof(Bucket)))));
							} else if (~((uint64_t)((val * sizeof(Bucket)))) <= MOVZ_IMM) {
						dasm_put(Dst, 31072, (~((uint64_t)((val * sizeof(Bucket))))));
							} else if ((uint64_t)((val * sizeof(Bucket))) & 0xffff) {
						dasm_put(Dst, 31075, ((uint64_t)((val * sizeof(Bucket))) & 0xffff));
								if (((uint64_t)((val * sizeof(Bucket))) >> 16) & 0xffff) {
						dasm_put(Dst, 31078, (((uint64_t)((val * sizeof(Bucket))) >> 16) & 0xffff));
								}
								if (((uint64_t)((val * sizeof(Bucket))) >> 32) & 0xffff) {
						dasm_put(Dst, 31081, (((uint64_t)((val * sizeof(Bucket))) >> 32) & 0xffff));
								}
								if ((((uint64_t)((val * sizeof(Bucket))) >> 48) & 0xffff)) {
						dasm_put(Dst, 31084, (((uint64_t)((val * sizeof(Bucket))) >> 48) & 0xffff));
								}
							} else if (((uint64_t)((val * sizeof(Bucket))) >> 16) & 0xffff) {
						dasm_put(Dst, 31087, (((uint64_t)((val * sizeof(Bucket))) >> 16) & 0xffff));
								if (((uint64_t)((val * sizeof(Bucket))) >> 32) & 0xffff) {
						dasm_put(Dst, 31090, (((uint64_t)((val * sizeof(Bucket))) >> 32) & 0xffff));
								}
								if ((((uint64_t)((val * sizeof(Bucket))) >> 48) & 0xffff)) {
						dasm_put(Dst, 31093, (((uint64_t)((val * sizeof(Bucket))) >> 48) & 0xffff));
								}
							} else if (((uint64_t)((val * sizeof(Bucket))) >> 32) & 0xffff) {
						dasm_put(Dst, 31096, (((uint64_t)((val * sizeof(Bucket))) >> 32) & 0xffff));
								if ((((uint64_t)((val * sizeof(Bucket))) >> 48) & 0xffff)) {
						dasm_put(Dst, 31099, (((uint64_t)((val * sizeof(Bucket))) >> 48) & 0xffff));
								}
							} else {
						dasm_put(Dst, 31102, (((uint64_t)((val * sizeof(Bucket))) >> 48) & 0xffff));
							}
						dasm_put(Dst, 31105);
							}
#line 5211 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				} else {
					//|	ldr TMP1, [FCARG1x, #offsetof(zend_array, arData)]
					//|	add REG0, TMP1, FCARG2x, lsl #5
					dasm_put(Dst, 31107, offsetof(zend_array, arData));
#line 5215 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			}
		}
		switch (type) {
			case BP_JIT_IS:
				if (op1_info & MAY_BE_ARRAY_NUMERIC_HASH) {
					if (packed_loaded) {
						//|	b >5
						dasm_put(Dst, 31111);
#line 5223 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					//|4:
					dasm_put(Dst, 31114);
#line 5225 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					if (!op2_loaded) {
						//|	// hval = Z_LVAL_P(dim);
						//|	GET_ZVAL_LVAL ZREG_FCARG2, op2_addr, TMP1
							if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
								if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
						dasm_put(Dst, 31116, (ZREG_FCARG2));
								} else {
							if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
						dasm_put(Dst, 31119, (ZREG_FCARG2));
							} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
						dasm_put(Dst, 31122, (ZREG_FCARG2), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
							} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
						dasm_put(Dst, 31126, (ZREG_FCARG2), (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
							} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
						dasm_put(Dst, 31130, (ZREG_FCARG2), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
								if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
						dasm_put(Dst, 31134, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
								}
								if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
						dasm_put(Dst, 31138, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
								}
								if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
						dasm_put(Dst, 31142, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
								}
							} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
						dasm_put(Dst, 31146, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
								if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
						dasm_put(Dst, 31150, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
								}
								if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
						dasm_put(Dst, 31154, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
								}
							} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
						dasm_put(Dst, 31158, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
								if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
						dasm_put(Dst, 31162, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
								}
							} else {
						dasm_put(Dst, 31166, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
							}
								}
							} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
							if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
							if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
						dasm_put(Dst, 31170, ((uint32_t)(Z_OFFSET(op2_addr))));
							} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
						dasm_put(Dst, 31173, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
						dasm_put(Dst, 31176, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 31179, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 31182, (ZREG_FCARG2), (Z_REG(op2_addr)));
							} else {
						dasm_put(Dst, 31186, (ZREG_FCARG2), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
							}
							} else if (Z_MODE(op2_addr) == IS_REG) {
								if (ZREG_FCARG2 != Z_REG(op2_addr)) {
						dasm_put(Dst, 31191, (ZREG_FCARG2), (Z_REG(op2_addr)));
								}
							} else {
								ZEND_UNREACHABLE();
							}
#line 5228 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					if (packed_loaded) {
						//|	EXT_CALL _zend_hash_index_find, REG0
							if (arm64_may_use_b(_zend_hash_index_find)) {
						dasm_put(Dst, 31195, (unsigned int)((ptrdiff_t)(_zend_hash_index_find)), (unsigned int)(((ptrdiff_t)(_zend_hash_index_find))>>32));
							} else {
							if (((uintptr_t)(_zend_hash_index_find)) == 0) {
						dasm_put(Dst, 31198);
							} else if (((uintptr_t)(_zend_hash_index_find)) <= MOVZ_IMM) {
						dasm_put(Dst, 31200, ((uint64_t)(_zend_hash_index_find)));
							} else if (arm64_may_use_adr((void*)(_zend_hash_index_find))) {
						dasm_put(Dst, 31203, (unsigned int)((ptrdiff_t)(_zend_hash_index_find)), (unsigned int)(((ptrdiff_t)(_zend_hash_index_find))>>32));
							} else if (arm64_may_use_adrp((void*)(_zend_hash_index_find))) {
						dasm_put(Dst, 31206, (unsigned int)((ptrdiff_t)((((uintptr_t)(_zend_hash_index_find))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_zend_hash_index_find)))))>>32));
								if (((uintptr_t)(_zend_hash_index_find)) & 0xfff) {
						dasm_put(Dst, 31209, (((uintptr_t)(_zend_hash_index_find)) & 0xfff));
								}
							} else if ((uintptr_t)(_zend_hash_index_find) & 0xffff) {
						dasm_put(Dst, 31212, ((uintptr_t)(_zend_hash_index_find) & 0xffff));
								if (((uintptr_t)(_zend_hash_index_find) >> 16) & 0xffff) {
						dasm_put(Dst, 31215, (((uintptr_t)(_zend_hash_index_find) >> 16) & 0xffff));
								}
								if (((uintptr_t)(_zend_hash_index_find) >> 32) & 0xffff) {
						dasm_put(Dst, 31218, (((uintptr_t)(_zend_hash_index_find) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(_zend_hash_index_find) >> 16) & 0xffff) {
						dasm_put(Dst, 31221, (((uintptr_t)(_zend_hash_index_find) >> 16) & 0xffff));
								if (((uintptr_t)(_zend_hash_index_find) >> 32) & 0xffff) {
						dasm_put(Dst, 31224, (((uintptr_t)(_zend_hash_index_find) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 31227, (((uintptr_t)(_zend_hash_index_find) >> 32) & 0xffff));
							}
						dasm_put(Dst, 31230);
							}
#line 5231 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	EXT_CALL zend_hash_index_find, REG0
							if (arm64_may_use_b(zend_hash_index_find)) {
						dasm_put(Dst, 31232, (unsigned int)((ptrdiff_t)(zend_hash_index_find)), (unsigned int)(((ptrdiff_t)(zend_hash_index_find))>>32));
							} else {
							if (((uintptr_t)(zend_hash_index_find)) == 0) {
						dasm_put(Dst, 31235);
							} else if (((uintptr_t)(zend_hash_index_find)) <= MOVZ_IMM) {
						dasm_put(Dst, 31237, ((uint64_t)(zend_hash_index_find)));
							} else if (arm64_may_use_adr((void*)(zend_hash_index_find))) {
						dasm_put(Dst, 31240, (unsigned int)((ptrdiff_t)(zend_hash_index_find)), (unsigned int)(((ptrdiff_t)(zend_hash_index_find))>>32));
							} else if (arm64_may_use_adrp((void*)(zend_hash_index_find))) {
						dasm_put(Dst, 31243, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_hash_index_find))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_hash_index_find)))))>>32));
								if (((uintptr_t)(zend_hash_index_find)) & 0xfff) {
						dasm_put(Dst, 31246, (((uintptr_t)(zend_hash_index_find)) & 0xfff));
								}
							} else if ((uintptr_t)(zend_hash_index_find) & 0xffff) {
						dasm_put(Dst, 31249, ((uintptr_t)(zend_hash_index_find) & 0xffff));
								if (((uintptr_t)(zend_hash_index_find) >> 16) & 0xffff) {
						dasm_put(Dst, 31252, (((uintptr_t)(zend_hash_index_find) >> 16) & 0xffff));
								}
								if (((uintptr_t)(zend_hash_index_find) >> 32) & 0xffff) {
						dasm_put(Dst, 31255, (((uintptr_t)(zend_hash_index_find) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(zend_hash_index_find) >> 16) & 0xffff) {
						dasm_put(Dst, 31258, (((uintptr_t)(zend_hash_index_find) >> 16) & 0xffff));
								if (((uintptr_t)(zend_hash_index_find) >> 32) & 0xffff) {
						dasm_put(Dst, 31261, (((uintptr_t)(zend_hash_index_find) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 31264, (((uintptr_t)(zend_hash_index_find) >> 32) & 0xffff));
							}
						dasm_put(Dst, 31267);
							}
#line 5233 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					//|	mov REG0, RETVALx
					dasm_put(Dst, 31269);
#line 5235 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					if (not_found_exit_addr) {
						//|	cbz REG0, &not_found_exit_addr
						dasm_put(Dst, 31271, (unsigned int)((ptrdiff_t)(not_found_exit_addr)), (unsigned int)(((ptrdiff_t)(not_found_exit_addr))>>32));
#line 5237 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	cbz REG0, >9 // NOT_FOUND
						dasm_put(Dst, 31274);
#line 5239 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					if (op2_info & MAY_BE_STRING) {
						//|	b >5
						dasm_put(Dst, 31277);
#line 5242 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				} else if (packed_loaded) {
					if (op2_info & MAY_BE_STRING) {
						//|	b >5
						dasm_put(Dst, 31280);
#line 5246 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				} else if (not_found_exit_addr) {
					//|	b &not_found_exit_addr
					dasm_put(Dst, 31283, (unsigned int)((ptrdiff_t)(not_found_exit_addr)), (unsigned int)(((ptrdiff_t)(not_found_exit_addr))>>32));
#line 5249 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	b >9 // NOT_FOUND
					dasm_put(Dst, 31286);
#line 5251 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				break;
			case BP_VAR_R:
			case BP_VAR_IS:
			case BP_VAR_UNSET:
				if (packed_loaded) {
					if (op1_info & MAY_BE_ARRAY_NUMERIC_HASH) {
						//|	IF_NOT_Z_TYPE REG0, IS_UNDEF, >8, TMP1w
						dasm_put(Dst, 31289, offsetof(zval, u1.v.type));
							if (IS_UNDEF == 0) {
						dasm_put(Dst, 31292);
							} else {
						dasm_put(Dst, 31295, IS_UNDEF);
							}
#line 5259 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE && type == BP_VAR_R) {
						/* perform IS_UNDEF check only after result type guard (during deoptimization) */
						if (!found_exit_addr || (op1_info & MAY_BE_ARRAY_NUMERIC_HASH)) {
							//|	IF_Z_TYPE REG0, IS_UNDEF, &exit_addr, TMP1w
							dasm_put(Dst, 31300, offsetof(zval, u1.v.type));
								if (IS_UNDEF == 0) {
							dasm_put(Dst, 31303, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
								} else {
							dasm_put(Dst, 31306, IS_UNDEF, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
								}
#line 5263 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						}
					} else if (type == BP_VAR_IS && not_found_exit_addr) {
						//|	IF_Z_TYPE REG0, IS_UNDEF, &not_found_exit_addr, TMP1w
						dasm_put(Dst, 31311, offsetof(zval, u1.v.type));
							if (IS_UNDEF == 0) {
						dasm_put(Dst, 31314, (unsigned int)((ptrdiff_t)(not_found_exit_addr)), (unsigned int)(((ptrdiff_t)(not_found_exit_addr))>>32));
							} else {
						dasm_put(Dst, 31317, IS_UNDEF, (unsigned int)((ptrdiff_t)(not_found_exit_addr)), (unsigned int)(((ptrdiff_t)(not_found_exit_addr))>>32));
							}
#line 5266 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else if (type == BP_VAR_IS && found_exit_addr) {
						//|	IF_Z_TYPE REG0, IS_UNDEF, >7, TMP1w // NOT_FOUND
						dasm_put(Dst, 31322, offsetof(zval, u1.v.type));
							if (IS_UNDEF == 0) {
						dasm_put(Dst, 31325);
							} else {
						dasm_put(Dst, 31328, IS_UNDEF);
							}
#line 5268 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	IF_Z_TYPE REG0, IS_UNDEF, >2, TMP1w // NOT_FOUND
						dasm_put(Dst, 31333, offsetof(zval, u1.v.type));
							if (IS_UNDEF == 0) {
						dasm_put(Dst, 31336);
							} else {
						dasm_put(Dst, 31339, IS_UNDEF);
							}
#line 5270 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				}
				if (!(op1_info & MAY_BE_ARRAY_KEY_LONG) || (packed_loaded && (op1_info & MAY_BE_ARRAY_NUMERIC_HASH))) {
					if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE && type == BP_VAR_R) {
						//|	b &exit_addr
						dasm_put(Dst, 31344, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 5275 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else if (type == BP_VAR_IS && not_found_exit_addr) {
						//|	b &not_found_exit_addr
						dasm_put(Dst, 31347, (unsigned int)((ptrdiff_t)(not_found_exit_addr)), (unsigned int)(((ptrdiff_t)(not_found_exit_addr))>>32));
#line 5277 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else if (type == BP_VAR_IS && found_exit_addr) {
						//|	b >7 // NOT_FOUND
						dasm_put(Dst, 31350);
#line 5279 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	b >2 // NOT_FOUND
						dasm_put(Dst, 31353);
#line 5281 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				}
				if (!packed_loaded || (op1_info & MAY_BE_ARRAY_NUMERIC_HASH)) {
					//|4:
					dasm_put(Dst, 31356);
#line 5285 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					if (!op2_loaded) {
						//|	// hval = Z_LVAL_P(dim);
						//|	GET_ZVAL_LVAL ZREG_FCARG2, op2_addr, TMP1
							if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
								if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
						dasm_put(Dst, 31358, (ZREG_FCARG2));
								} else {
							if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
						dasm_put(Dst, 31361, (ZREG_FCARG2));
							} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
						dasm_put(Dst, 31364, (ZREG_FCARG2), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
							} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
						dasm_put(Dst, 31368, (ZREG_FCARG2), (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
							} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
						dasm_put(Dst, 31372, (ZREG_FCARG2), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
								if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
						dasm_put(Dst, 31376, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
								}
								if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
						dasm_put(Dst, 31380, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
								}
								if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
						dasm_put(Dst, 31384, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
								}
							} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
						dasm_put(Dst, 31388, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
								if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
						dasm_put(Dst, 31392, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
								}
								if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
						dasm_put(Dst, 31396, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
								}
							} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
						dasm_put(Dst, 31400, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
								if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
						dasm_put(Dst, 31404, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
								}
							} else {
						dasm_put(Dst, 31408, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
							}
								}
							} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
							if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
							if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
						dasm_put(Dst, 31412, ((uint32_t)(Z_OFFSET(op2_addr))));
							} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
						dasm_put(Dst, 31415, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
						dasm_put(Dst, 31418, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 31421, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 31424, (ZREG_FCARG2), (Z_REG(op2_addr)));
							} else {
						dasm_put(Dst, 31428, (ZREG_FCARG2), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
							}
							} else if (Z_MODE(op2_addr) == IS_REG) {
								if (ZREG_FCARG2 != Z_REG(op2_addr)) {
						dasm_put(Dst, 31433, (ZREG_FCARG2), (Z_REG(op2_addr)));
								}
							} else {
								ZEND_UNREACHABLE();
							}
#line 5288 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					if (packed_loaded) {
						//|	EXT_CALL _zend_hash_index_find, REG0
							if (arm64_may_use_b(_zend_hash_index_find)) {
						dasm_put(Dst, 31437, (unsigned int)((ptrdiff_t)(_zend_hash_index_find)), (unsigned int)(((ptrdiff_t)(_zend_hash_index_find))>>32));
							} else {
							if (((uintptr_t)(_zend_hash_index_find)) == 0) {
						dasm_put(Dst, 31440);
							} else if (((uintptr_t)(_zend_hash_index_find)) <= MOVZ_IMM) {
						dasm_put(Dst, 31442, ((uint64_t)(_zend_hash_index_find)));
							} else if (arm64_may_use_adr((void*)(_zend_hash_index_find))) {
						dasm_put(Dst, 31445, (unsigned int)((ptrdiff_t)(_zend_hash_index_find)), (unsigned int)(((ptrdiff_t)(_zend_hash_index_find))>>32));
							} else if (arm64_may_use_adrp((void*)(_zend_hash_index_find))) {
						dasm_put(Dst, 31448, (unsigned int)((ptrdiff_t)((((uintptr_t)(_zend_hash_index_find))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_zend_hash_index_find)))))>>32));
								if (((uintptr_t)(_zend_hash_index_find)) & 0xfff) {
						dasm_put(Dst, 31451, (((uintptr_t)(_zend_hash_index_find)) & 0xfff));
								}
							} else if ((uintptr_t)(_zend_hash_index_find) & 0xffff) {
						dasm_put(Dst, 31454, ((uintptr_t)(_zend_hash_index_find) & 0xffff));
								if (((uintptr_t)(_zend_hash_index_find) >> 16) & 0xffff) {
						dasm_put(Dst, 31457, (((uintptr_t)(_zend_hash_index_find) >> 16) & 0xffff));
								}
								if (((uintptr_t)(_zend_hash_index_find) >> 32) & 0xffff) {
						dasm_put(Dst, 31460, (((uintptr_t)(_zend_hash_index_find) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(_zend_hash_index_find) >> 16) & 0xffff) {
						dasm_put(Dst, 31463, (((uintptr_t)(_zend_hash_index_find) >> 16) & 0xffff));
								if (((uintptr_t)(_zend_hash_index_find) >> 32) & 0xffff) {
						dasm_put(Dst, 31466, (((uintptr_t)(_zend_hash_index_find) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 31469, (((uintptr_t)(_zend_hash_index_find) >> 32) & 0xffff));
							}
						dasm_put(Dst, 31472);
							}
#line 5291 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	EXT_CALL zend_hash_index_find, REG0
							if (arm64_may_use_b(zend_hash_index_find)) {
						dasm_put(Dst, 31474, (unsigned int)((ptrdiff_t)(zend_hash_index_find)), (unsigned int)(((ptrdiff_t)(zend_hash_index_find))>>32));
							} else {
							if (((uintptr_t)(zend_hash_index_find)) == 0) {
						dasm_put(Dst, 31477);
							} else if (((uintptr_t)(zend_hash_index_find)) <= MOVZ_IMM) {
						dasm_put(Dst, 31479, ((uint64_t)(zend_hash_index_find)));
							} else if (arm64_may_use_adr((void*)(zend_hash_index_find))) {
						dasm_put(Dst, 31482, (unsigned int)((ptrdiff_t)(zend_hash_index_find)), (unsigned int)(((ptrdiff_t)(zend_hash_index_find))>>32));
							} else if (arm64_may_use_adrp((void*)(zend_hash_index_find))) {
						dasm_put(Dst, 31485, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_hash_index_find))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_hash_index_find)))))>>32));
								if (((uintptr_t)(zend_hash_index_find)) & 0xfff) {
						dasm_put(Dst, 31488, (((uintptr_t)(zend_hash_index_find)) & 0xfff));
								}
							} else if ((uintptr_t)(zend_hash_index_find) & 0xffff) {
						dasm_put(Dst, 31491, ((uintptr_t)(zend_hash_index_find) & 0xffff));
								if (((uintptr_t)(zend_hash_index_find) >> 16) & 0xffff) {
						dasm_put(Dst, 31494, (((uintptr_t)(zend_hash_index_find) >> 16) & 0xffff));
								}
								if (((uintptr_t)(zend_hash_index_find) >> 32) & 0xffff) {
						dasm_put(Dst, 31497, (((uintptr_t)(zend_hash_index_find) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(zend_hash_index_find) >> 16) & 0xffff) {
						dasm_put(Dst, 31500, (((uintptr_t)(zend_hash_index_find) >> 16) & 0xffff));
								if (((uintptr_t)(zend_hash_index_find) >> 32) & 0xffff) {
						dasm_put(Dst, 31503, (((uintptr_t)(zend_hash_index_find) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 31506, (((uintptr_t)(zend_hash_index_find) >> 32) & 0xffff));
							}
						dasm_put(Dst, 31509);
							}
#line 5293 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					//|	mov REG0, RETVALx
					dasm_put(Dst, 31511);
#line 5295 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE && type == BP_VAR_R) {
						//|	cbz REG0, &exit_addr
						dasm_put(Dst, 31513, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 5297 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else if (type == BP_VAR_IS && not_found_exit_addr) {
						//|	cbz REG0, &not_found_exit_addr
						dasm_put(Dst, 31516, (unsigned int)((ptrdiff_t)(not_found_exit_addr)), (unsigned int)(((ptrdiff_t)(not_found_exit_addr))>>32));
#line 5299 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else if (type == BP_VAR_IS && found_exit_addr) {
						//|	cbz REG0, >7 // NOT_FOUND
						dasm_put(Dst, 31519);
#line 5301 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	cbz REG0, >2 // NOT_FOUND
						dasm_put(Dst, 31522);
#line 5303 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				}
				//|.cold_code
				dasm_put(Dst, 31525);
#line 5306 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|2:
				dasm_put(Dst, 31526);
#line 5307 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				switch (type) {
					case BP_VAR_R:
						if (JIT_G(trigger) != ZEND_JIT_ON_HOT_TRACE) {
							//|	// zend_error(E_WARNING,"Undefined array key " ZEND_LONG_FMT, hval);
							//|	// retval = &EG(uninitialized_zval);
							//|	UNDEFINED_OFFSET opline
								if (opline == last_valid_opline) {
									zend_jit_use_last_valid_opline();
							dasm_put(Dst, 31528);
								} else {
								if (opline == last_valid_opline) {
									zend_jit_use_last_valid_opline();
								if (GCC_GLOBAL_REGS) {
							dasm_put(Dst, 31531, Dt1(->opline));
								}
								} else {
								if (((uintptr_t)(opline)) == 0) {
							dasm_put(Dst, 31534);
								} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
							dasm_put(Dst, 31536, ((uint64_t)(opline)));
								} else if (arm64_may_use_adr((void*)(opline))) {
							dasm_put(Dst, 31539, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
								} else if (arm64_may_use_adrp((void*)(opline))) {
							dasm_put(Dst, 31542, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
									if (((uintptr_t)(opline)) & 0xfff) {
							dasm_put(Dst, 31545, (((uintptr_t)(opline)) & 0xfff));
									}
								} else if ((uintptr_t)(opline) & 0xffff) {
							dasm_put(Dst, 31548, ((uintptr_t)(opline) & 0xffff));
									if (((uintptr_t)(opline) >> 16) & 0xffff) {
							dasm_put(Dst, 31551, (((uintptr_t)(opline) >> 16) & 0xffff));
									}
									if (((uintptr_t)(opline) >> 32) & 0xffff) {
							dasm_put(Dst, 31554, (((uintptr_t)(opline) >> 32) & 0xffff));
									}
								} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
							dasm_put(Dst, 31557, (((uintptr_t)(opline) >> 16) & 0xffff));
									if (((uintptr_t)(opline) >> 32) & 0xffff) {
							dasm_put(Dst, 31560, (((uintptr_t)(opline) >> 32) & 0xffff));
									}
								} else {
							dasm_put(Dst, 31563, (((uintptr_t)(opline) >> 32) & 0xffff));
								}
							dasm_put(Dst, 31566, Dt1(->opline));
									if (!GCC_GLOBAL_REGS) {
										zend_jit_reset_last_valid_opline();
									}
								}
							dasm_put(Dst, 31569);
								}
#line 5313 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
							//|	b >9
							dasm_put(Dst, 31572);
#line 5314 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						}
						break;
					case BP_VAR_IS:
					case BP_VAR_UNSET:
						if (!not_found_exit_addr && !found_exit_addr) {
							//|	// retval = &EG(uninitialized_zval);
							//|	SET_ZVAL_TYPE_INFO res_addr, IS_NULL, TMP1w, TMP2
								ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
								if (((uint32_t)(IS_NULL)) <= MOVZ_IMM) {
							dasm_put(Dst, 31575, ((uint32_t)(IS_NULL)));
								} else if (((uint32_t)(IS_NULL) & 0xffff)) {
							dasm_put(Dst, 31578, ((uint32_t)(IS_NULL) & 0xffff));
									if ((((uint32_t)(IS_NULL) >> 16) & 0xffff)) {
							dasm_put(Dst, 31581, (((uint32_t)(IS_NULL) >> 16) & 0xffff));
									}
								} else {
							dasm_put(Dst, 31584, (((uint32_t)(IS_NULL) >> 16) & 0xffff));
								}
								if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
								if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
							dasm_put(Dst, 31587, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
								} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
							dasm_put(Dst, 31590, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
									if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
							dasm_put(Dst, 31593, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
									}
								} else {
							dasm_put(Dst, 31596, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
								}
							dasm_put(Dst, 31599, (Z_REG(res_addr)));
								} else {
							dasm_put(Dst, 31602, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
								}
#line 5321 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
							//|	b >9
							dasm_put(Dst, 31606);
#line 5322 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						}
						break;
					default:
						ZEND_UNREACHABLE();
				}
				//|.code
				dasm_put(Dst, 31609);
#line 5328 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				break;
			case BP_VAR_RW:
				if (packed_loaded && !not_found_exit_addr) {
					//|	IF_NOT_Z_TYPE REG0, IS_UNDEF, >8, TMP1w
					dasm_put(Dst, 31610, offsetof(zval, u1.v.type));
						if (IS_UNDEF == 0) {
					dasm_put(Dst, 31613);
						} else {
					dasm_put(Dst, 31616, IS_UNDEF);
						}
#line 5332 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				if (!packed_loaded ||
						!not_found_exit_addr ||
						(op1_info & MAY_BE_ARRAY_NUMERIC_HASH)) {
					if (packed_loaded && not_found_exit_addr) {
						//|.cold_code
						dasm_put(Dst, 31621);
#line 5338 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					//|2:
					//|4:
					dasm_put(Dst, 31622);
#line 5341 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					if (!op2_loaded) {
						//|	// hval = Z_LVAL_P(dim);
						//|	GET_ZVAL_LVAL ZREG_FCARG2, op2_addr, TMP1
							if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
								if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
						dasm_put(Dst, 31625, (ZREG_FCARG2));
								} else {
							if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
						dasm_put(Dst, 31628, (ZREG_FCARG2));
							} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
						dasm_put(Dst, 31631, (ZREG_FCARG2), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
							} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
						dasm_put(Dst, 31635, (ZREG_FCARG2), (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
							} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
						dasm_put(Dst, 31639, (ZREG_FCARG2), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
								if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
						dasm_put(Dst, 31643, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
								}
								if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
						dasm_put(Dst, 31647, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
								}
								if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
						dasm_put(Dst, 31651, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
								}
							} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
						dasm_put(Dst, 31655, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
								if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
						dasm_put(Dst, 31659, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
								}
								if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
						dasm_put(Dst, 31663, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
								}
							} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
						dasm_put(Dst, 31667, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
								if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
						dasm_put(Dst, 31671, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
								}
							} else {
						dasm_put(Dst, 31675, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
							}
								}
							} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
							if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
							if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
						dasm_put(Dst, 31679, ((uint32_t)(Z_OFFSET(op2_addr))));
							} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
						dasm_put(Dst, 31682, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
						dasm_put(Dst, 31685, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 31688, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 31691, (ZREG_FCARG2), (Z_REG(op2_addr)));
							} else {
						dasm_put(Dst, 31695, (ZREG_FCARG2), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
							}
							} else if (Z_MODE(op2_addr) == IS_REG) {
								if (ZREG_FCARG2 != Z_REG(op2_addr)) {
						dasm_put(Dst, 31700, (ZREG_FCARG2), (Z_REG(op2_addr)));
								}
							} else {
								ZEND_UNREACHABLE();
							}
#line 5344 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					if (packed_loaded) {
						//|	EXT_CALL zend_jit_hash_index_lookup_rw_no_packed, REG0
							if (arm64_may_use_b(zend_jit_hash_index_lookup_rw_no_packed)) {
						dasm_put(Dst, 31704, (unsigned int)((ptrdiff_t)(zend_jit_hash_index_lookup_rw_no_packed)), (unsigned int)(((ptrdiff_t)(zend_jit_hash_index_lookup_rw_no_packed))>>32));
							} else {
							if (((uintptr_t)(zend_jit_hash_index_lookup_rw_no_packed)) == 0) {
						dasm_put(Dst, 31707);
							} else if (((uintptr_t)(zend_jit_hash_index_lookup_rw_no_packed)) <= MOVZ_IMM) {
						dasm_put(Dst, 31709, ((uint64_t)(zend_jit_hash_index_lookup_rw_no_packed)));
							} else if (arm64_may_use_adr((void*)(zend_jit_hash_index_lookup_rw_no_packed))) {
						dasm_put(Dst, 31712, (unsigned int)((ptrdiff_t)(zend_jit_hash_index_lookup_rw_no_packed)), (unsigned int)(((ptrdiff_t)(zend_jit_hash_index_lookup_rw_no_packed))>>32));
							} else if (arm64_may_use_adrp((void*)(zend_jit_hash_index_lookup_rw_no_packed))) {
						dasm_put(Dst, 31715, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_hash_index_lookup_rw_no_packed))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_hash_index_lookup_rw_no_packed)))))>>32));
								if (((uintptr_t)(zend_jit_hash_index_lookup_rw_no_packed)) & 0xfff) {
						dasm_put(Dst, 31718, (((uintptr_t)(zend_jit_hash_index_lookup_rw_no_packed)) & 0xfff));
								}
							} else if ((uintptr_t)(zend_jit_hash_index_lookup_rw_no_packed) & 0xffff) {
						dasm_put(Dst, 31721, ((uintptr_t)(zend_jit_hash_index_lookup_rw_no_packed) & 0xffff));
								if (((uintptr_t)(zend_jit_hash_index_lookup_rw_no_packed) >> 16) & 0xffff) {
						dasm_put(Dst, 31724, (((uintptr_t)(zend_jit_hash_index_lookup_rw_no_packed) >> 16) & 0xffff));
								}
								if (((uintptr_t)(zend_jit_hash_index_lookup_rw_no_packed) >> 32) & 0xffff) {
						dasm_put(Dst, 31727, (((uintptr_t)(zend_jit_hash_index_lookup_rw_no_packed) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(zend_jit_hash_index_lookup_rw_no_packed) >> 16) & 0xffff) {
						dasm_put(Dst, 31730, (((uintptr_t)(zend_jit_hash_index_lookup_rw_no_packed) >> 16) & 0xffff));
								if (((uintptr_t)(zend_jit_hash_index_lookup_rw_no_packed) >> 32) & 0xffff) {
						dasm_put(Dst, 31733, (((uintptr_t)(zend_jit_hash_index_lookup_rw_no_packed) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 31736, (((uintptr_t)(zend_jit_hash_index_lookup_rw_no_packed) >> 32) & 0xffff));
							}
						dasm_put(Dst, 31739);
							}
#line 5347 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	EXT_CALL zend_jit_hash_index_lookup_rw, REG0
							if (arm64_may_use_b(zend_jit_hash_index_lookup_rw)) {
						dasm_put(Dst, 31741, (unsigned int)((ptrdiff_t)(zend_jit_hash_index_lookup_rw)), (unsigned int)(((ptrdiff_t)(zend_jit_hash_index_lookup_rw))>>32));
							} else {
							if (((uintptr_t)(zend_jit_hash_index_lookup_rw)) == 0) {
						dasm_put(Dst, 31744);
							} else if (((uintptr_t)(zend_jit_hash_index_lookup_rw)) <= MOVZ_IMM) {
						dasm_put(Dst, 31746, ((uint64_t)(zend_jit_hash_index_lookup_rw)));
							} else if (arm64_may_use_adr((void*)(zend_jit_hash_index_lookup_rw))) {
						dasm_put(Dst, 31749, (unsigned int)((ptrdiff_t)(zend_jit_hash_index_lookup_rw)), (unsigned int)(((ptrdiff_t)(zend_jit_hash_index_lookup_rw))>>32));
							} else if (arm64_may_use_adrp((void*)(zend_jit_hash_index_lookup_rw))) {
						dasm_put(Dst, 31752, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_hash_index_lookup_rw))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_hash_index_lookup_rw)))))>>32));
								if (((uintptr_t)(zend_jit_hash_index_lookup_rw)) & 0xfff) {
						dasm_put(Dst, 31755, (((uintptr_t)(zend_jit_hash_index_lookup_rw)) & 0xfff));
								}
							} else if ((uintptr_t)(zend_jit_hash_index_lookup_rw) & 0xffff) {
						dasm_put(Dst, 31758, ((uintptr_t)(zend_jit_hash_index_lookup_rw) & 0xffff));
								if (((uintptr_t)(zend_jit_hash_index_lookup_rw) >> 16) & 0xffff) {
						dasm_put(Dst, 31761, (((uintptr_t)(zend_jit_hash_index_lookup_rw) >> 16) & 0xffff));
								}
								if (((uintptr_t)(zend_jit_hash_index_lookup_rw) >> 32) & 0xffff) {
						dasm_put(Dst, 31764, (((uintptr_t)(zend_jit_hash_index_lookup_rw) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(zend_jit_hash_index_lookup_rw) >> 16) & 0xffff) {
						dasm_put(Dst, 31767, (((uintptr_t)(zend_jit_hash_index_lookup_rw) >> 16) & 0xffff));
								if (((uintptr_t)(zend_jit_hash_index_lookup_rw) >> 32) & 0xffff) {
						dasm_put(Dst, 31770, (((uintptr_t)(zend_jit_hash_index_lookup_rw) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 31773, (((uintptr_t)(zend_jit_hash_index_lookup_rw) >> 32) & 0xffff));
							}
						dasm_put(Dst, 31776);
							}
#line 5349 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					//|	mov REG0, RETVALx
					dasm_put(Dst, 31778);
#line 5351 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					if (not_found_exit_addr) {
						if (packed_loaded) {
							//|	cbnz REG0, >8
							//|	b &not_found_exit_addr
							//|.code
							dasm_put(Dst, 31780, (unsigned int)((ptrdiff_t)(not_found_exit_addr)), (unsigned int)(((ptrdiff_t)(not_found_exit_addr))>>32));
#line 5356 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						} else {
							//|	cbz REG0, &not_found_exit_addr
							dasm_put(Dst, 31785, (unsigned int)((ptrdiff_t)(not_found_exit_addr)), (unsigned int)(((ptrdiff_t)(not_found_exit_addr))>>32));
#line 5358 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						}
					} else {
						//|	cbz REG0, >9
						dasm_put(Dst, 31788);
#line 5361 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				}
				break;
			case BP_VAR_W:
				if (packed_loaded) {
					//|	IF_NOT_Z_TYPE REG0, IS_UNDEF, >8, TMP1w
					dasm_put(Dst, 31791, offsetof(zval, u1.v.type));
						if (IS_UNDEF == 0) {
					dasm_put(Dst, 31794);
						} else {
					dasm_put(Dst, 31797, IS_UNDEF);
						}
#line 5367 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				if (!(op1_info & MAY_BE_ARRAY_KEY_LONG) || (op1_info & MAY_BE_ARRAY_NUMERIC_HASH) || packed_loaded || bad_packed_key || dim_type == IS_UNDEF) {
					//|2:
					//|4:
					dasm_put(Dst, 31802);
#line 5371 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					if (!op2_loaded) {
						//|	// hval = Z_LVAL_P(dim);
						//|	GET_ZVAL_LVAL ZREG_FCARG2, op2_addr, TMP1
							if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
								if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
						dasm_put(Dst, 31805, (ZREG_FCARG2));
								} else {
							if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
						dasm_put(Dst, 31808, (ZREG_FCARG2));
							} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
						dasm_put(Dst, 31811, (ZREG_FCARG2), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
							} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
						dasm_put(Dst, 31815, (ZREG_FCARG2), (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
							} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
						dasm_put(Dst, 31819, (ZREG_FCARG2), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
								if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
						dasm_put(Dst, 31823, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
								}
								if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
						dasm_put(Dst, 31827, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
								}
								if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
						dasm_put(Dst, 31831, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
								}
							} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
						dasm_put(Dst, 31835, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
								if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
						dasm_put(Dst, 31839, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
								}
								if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
						dasm_put(Dst, 31843, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
								}
							} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
						dasm_put(Dst, 31847, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
								if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
						dasm_put(Dst, 31851, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
								}
							} else {
						dasm_put(Dst, 31855, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
							}
								}
							} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
							if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
							if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
						dasm_put(Dst, 31859, ((uint32_t)(Z_OFFSET(op2_addr))));
							} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
						dasm_put(Dst, 31862, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
						dasm_put(Dst, 31865, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 31868, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 31871, (ZREG_FCARG2), (Z_REG(op2_addr)));
							} else {
						dasm_put(Dst, 31875, (ZREG_FCARG2), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
							}
							} else if (Z_MODE(op2_addr) == IS_REG) {
								if (ZREG_FCARG2 != Z_REG(op2_addr)) {
						dasm_put(Dst, 31880, (ZREG_FCARG2), (Z_REG(op2_addr)));
								}
							} else {
								ZEND_UNREACHABLE();
							}
#line 5374 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					//|	EXT_CALL zend_hash_index_lookup, REG0
						if (arm64_may_use_b(zend_hash_index_lookup)) {
					dasm_put(Dst, 31884, (unsigned int)((ptrdiff_t)(zend_hash_index_lookup)), (unsigned int)(((ptrdiff_t)(zend_hash_index_lookup))>>32));
						} else {
						if (((uintptr_t)(zend_hash_index_lookup)) == 0) {
					dasm_put(Dst, 31887);
						} else if (((uintptr_t)(zend_hash_index_lookup)) <= MOVZ_IMM) {
					dasm_put(Dst, 31889, ((uint64_t)(zend_hash_index_lookup)));
						} else if (arm64_may_use_adr((void*)(zend_hash_index_lookup))) {
					dasm_put(Dst, 31892, (unsigned int)((ptrdiff_t)(zend_hash_index_lookup)), (unsigned int)(((ptrdiff_t)(zend_hash_index_lookup))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_hash_index_lookup))) {
					dasm_put(Dst, 31895, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_hash_index_lookup))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_hash_index_lookup)))))>>32));
							if (((uintptr_t)(zend_hash_index_lookup)) & 0xfff) {
					dasm_put(Dst, 31898, (((uintptr_t)(zend_hash_index_lookup)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_hash_index_lookup) & 0xffff) {
					dasm_put(Dst, 31901, ((uintptr_t)(zend_hash_index_lookup) & 0xffff));
							if (((uintptr_t)(zend_hash_index_lookup) >> 16) & 0xffff) {
					dasm_put(Dst, 31904, (((uintptr_t)(zend_hash_index_lookup) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_hash_index_lookup) >> 32) & 0xffff) {
					dasm_put(Dst, 31907, (((uintptr_t)(zend_hash_index_lookup) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_hash_index_lookup) >> 16) & 0xffff) {
					dasm_put(Dst, 31910, (((uintptr_t)(zend_hash_index_lookup) >> 16) & 0xffff));
							if (((uintptr_t)(zend_hash_index_lookup) >> 32) & 0xffff) {
					dasm_put(Dst, 31913, (((uintptr_t)(zend_hash_index_lookup) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 31916, (((uintptr_t)(zend_hash_index_lookup) >> 32) & 0xffff));
						}
					dasm_put(Dst, 31919);
						}
#line 5376 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	mov REG0, RETVALx
					dasm_put(Dst, 31921);
#line 5377 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				break;
			default:
				ZEND_UNREACHABLE();
		}

		if (type != BP_JIT_IS && (op2_info & MAY_BE_STRING)) {
			//|	b >8
			dasm_put(Dst, 31923);
#line 5385 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	if (op2_info & MAY_BE_STRING) {
		//|3:
		dasm_put(Dst, 31926);
#line 5390 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (op2_info & ((MAY_BE_ANY|MAY_BE_UNDEF) - (MAY_BE_LONG|MAY_BE_STRING))) {
			//|	// if (EXPECTED(Z_TYPE_P(dim) == IS_STRING))
			//|	IF_NOT_ZVAL_TYPE op2_addr, IS_STRING, >3, ZREG_TMP1
				ZEND_ASSERT(Z_MODE(op2_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 31928, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 31932, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 31936, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 31940, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 31944, (ZREG_X15), (Z_REG(op2_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 31949, (ZREG_X15), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_STRING == 0) {
			dasm_put(Dst, 31954, (ZREG_X15));
				} else {
			dasm_put(Dst, 31958, (ZREG_X15), IS_STRING);
				}
#line 5393 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	// offset_key = Z_STR_P(dim);
		//|	GET_ZVAL_LVAL ZREG_FCARG2, op2_addr, TMP1
			if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
		dasm_put(Dst, 31964, (ZREG_FCARG2));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
		dasm_put(Dst, 31967, (ZREG_FCARG2));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 31970, (ZREG_FCARG2), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 31974, (ZREG_FCARG2), (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
		dasm_put(Dst, 31978, (ZREG_FCARG2), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 31982, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 31986, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 31990, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 31994, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 31998, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 32002, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 32006, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 32010, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 32014, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 32018, ((uint32_t)(Z_OFFSET(op2_addr))));
			} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
		dasm_put(Dst, 32021, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 32024, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 32027, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 32030, (ZREG_FCARG2), (Z_REG(op2_addr)));
			} else {
		dasm_put(Dst, 32034, (ZREG_FCARG2), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
			}
			} else if (Z_MODE(op2_addr) == IS_REG) {
				if (ZREG_FCARG2 != Z_REG(op2_addr)) {
		dasm_put(Dst, 32039, (ZREG_FCARG2), (Z_REG(op2_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 5396 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	// retval = zend_hash_find(ht, offset_key);
		switch (type) {
			case BP_JIT_IS:
				if (opline->op2_type != IS_CONST) {
					//|	ldrb TMP1w, [FCARG2x, #offsetof(zend_string, val)]
					//|	cmp TMP1w, #((uint8_t) ('9'))
					//|	ble >1
					//|.cold_code
					dasm_put(Dst, 32043, offsetof(zend_string, val), ((uint8_t) ('9')));
#line 5404 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|1:
					//|	EXT_CALL zend_jit_symtable_find, REG0
					dasm_put(Dst, 32050);
						if (arm64_may_use_b(zend_jit_symtable_find)) {
					dasm_put(Dst, 32052, (unsigned int)((ptrdiff_t)(zend_jit_symtable_find)), (unsigned int)(((ptrdiff_t)(zend_jit_symtable_find))>>32));
						} else {
						if (((uintptr_t)(zend_jit_symtable_find)) == 0) {
					dasm_put(Dst, 32055);
						} else if (((uintptr_t)(zend_jit_symtable_find)) <= MOVZ_IMM) {
					dasm_put(Dst, 32057, ((uint64_t)(zend_jit_symtable_find)));
						} else if (arm64_may_use_adr((void*)(zend_jit_symtable_find))) {
					dasm_put(Dst, 32060, (unsigned int)((ptrdiff_t)(zend_jit_symtable_find)), (unsigned int)(((ptrdiff_t)(zend_jit_symtable_find))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_jit_symtable_find))) {
					dasm_put(Dst, 32063, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_symtable_find))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_symtable_find)))))>>32));
							if (((uintptr_t)(zend_jit_symtable_find)) & 0xfff) {
					dasm_put(Dst, 32066, (((uintptr_t)(zend_jit_symtable_find)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_jit_symtable_find) & 0xffff) {
					dasm_put(Dst, 32069, ((uintptr_t)(zend_jit_symtable_find) & 0xffff));
							if (((uintptr_t)(zend_jit_symtable_find) >> 16) & 0xffff) {
					dasm_put(Dst, 32072, (((uintptr_t)(zend_jit_symtable_find) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_jit_symtable_find) >> 32) & 0xffff) {
					dasm_put(Dst, 32075, (((uintptr_t)(zend_jit_symtable_find) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_jit_symtable_find) >> 16) & 0xffff) {
					dasm_put(Dst, 32078, (((uintptr_t)(zend_jit_symtable_find) >> 16) & 0xffff));
							if (((uintptr_t)(zend_jit_symtable_find) >> 32) & 0xffff) {
					dasm_put(Dst, 32081, (((uintptr_t)(zend_jit_symtable_find) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 32084, (((uintptr_t)(zend_jit_symtable_find) >> 32) & 0xffff));
						}
					dasm_put(Dst, 32087);
						}
#line 5406 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	b >1
					//|.code
					dasm_put(Dst, 32089);
#line 5408 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	EXT_CALL zend_hash_find, REG0
						if (arm64_may_use_b(zend_hash_find)) {
					dasm_put(Dst, 32092, (unsigned int)((ptrdiff_t)(zend_hash_find)), (unsigned int)(((ptrdiff_t)(zend_hash_find))>>32));
						} else {
						if (((uintptr_t)(zend_hash_find)) == 0) {
					dasm_put(Dst, 32095);
						} else if (((uintptr_t)(zend_hash_find)) <= MOVZ_IMM) {
					dasm_put(Dst, 32097, ((uint64_t)(zend_hash_find)));
						} else if (arm64_may_use_adr((void*)(zend_hash_find))) {
					dasm_put(Dst, 32100, (unsigned int)((ptrdiff_t)(zend_hash_find)), (unsigned int)(((ptrdiff_t)(zend_hash_find))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_hash_find))) {
					dasm_put(Dst, 32103, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_hash_find))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_hash_find)))))>>32));
							if (((uintptr_t)(zend_hash_find)) & 0xfff) {
					dasm_put(Dst, 32106, (((uintptr_t)(zend_hash_find)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_hash_find) & 0xffff) {
					dasm_put(Dst, 32109, ((uintptr_t)(zend_hash_find) & 0xffff));
							if (((uintptr_t)(zend_hash_find) >> 16) & 0xffff) {
					dasm_put(Dst, 32112, (((uintptr_t)(zend_hash_find) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_hash_find) >> 32) & 0xffff) {
					dasm_put(Dst, 32115, (((uintptr_t)(zend_hash_find) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_hash_find) >> 16) & 0xffff) {
					dasm_put(Dst, 32118, (((uintptr_t)(zend_hash_find) >> 16) & 0xffff));
							if (((uintptr_t)(zend_hash_find) >> 32) & 0xffff) {
					dasm_put(Dst, 32121, (((uintptr_t)(zend_hash_find) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 32124, (((uintptr_t)(zend_hash_find) >> 32) & 0xffff));
						}
					dasm_put(Dst, 32127);
						}
#line 5409 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|1:
					dasm_put(Dst, 32129);
#line 5410 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	EXT_CALL zend_hash_find_known_hash, REG0
						if (arm64_may_use_b(zend_hash_find_known_hash)) {
					dasm_put(Dst, 32131, (unsigned int)((ptrdiff_t)(zend_hash_find_known_hash)), (unsigned int)(((ptrdiff_t)(zend_hash_find_known_hash))>>32));
						} else {
						if (((uintptr_t)(zend_hash_find_known_hash)) == 0) {
					dasm_put(Dst, 32134);
						} else if (((uintptr_t)(zend_hash_find_known_hash)) <= MOVZ_IMM) {
					dasm_put(Dst, 32136, ((uint64_t)(zend_hash_find_known_hash)));
						} else if (arm64_may_use_adr((void*)(zend_hash_find_known_hash))) {
					dasm_put(Dst, 32139, (unsigned int)((ptrdiff_t)(zend_hash_find_known_hash)), (unsigned int)(((ptrdiff_t)(zend_hash_find_known_hash))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_hash_find_known_hash))) {
					dasm_put(Dst, 32142, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_hash_find_known_hash))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_hash_find_known_hash)))))>>32));
							if (((uintptr_t)(zend_hash_find_known_hash)) & 0xfff) {
					dasm_put(Dst, 32145, (((uintptr_t)(zend_hash_find_known_hash)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_hash_find_known_hash) & 0xffff) {
					dasm_put(Dst, 32148, ((uintptr_t)(zend_hash_find_known_hash) & 0xffff));
							if (((uintptr_t)(zend_hash_find_known_hash) >> 16) & 0xffff) {
					dasm_put(Dst, 32151, (((uintptr_t)(zend_hash_find_known_hash) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_hash_find_known_hash) >> 32) & 0xffff) {
					dasm_put(Dst, 32154, (((uintptr_t)(zend_hash_find_known_hash) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_hash_find_known_hash) >> 16) & 0xffff) {
					dasm_put(Dst, 32157, (((uintptr_t)(zend_hash_find_known_hash) >> 16) & 0xffff));
							if (((uintptr_t)(zend_hash_find_known_hash) >> 32) & 0xffff) {
					dasm_put(Dst, 32160, (((uintptr_t)(zend_hash_find_known_hash) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 32163, (((uintptr_t)(zend_hash_find_known_hash) >> 32) & 0xffff));
						}
					dasm_put(Dst, 32166);
						}
#line 5412 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|	mov REG0, RETVALx
				dasm_put(Dst, 32168);
#line 5414 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				if (not_found_exit_addr) {
					//|	cbz REG0, &not_found_exit_addr
					dasm_put(Dst, 32170, (unsigned int)((ptrdiff_t)(not_found_exit_addr)), (unsigned int)(((ptrdiff_t)(not_found_exit_addr))>>32));
#line 5416 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	cbz REG0, >9 // NOT_FOUND
					dasm_put(Dst, 32173);
#line 5418 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				break;
			case BP_VAR_R:
			case BP_VAR_IS:
			case BP_VAR_UNSET:
				if (opline->op2_type != IS_CONST) {
					//|	ldrb TMP1w, [FCARG2x, #offsetof(zend_string, val)]
					//|	cmp TMP1w, #((uint8_t) ('9'))
					//|	ble >1
					//|.cold_code
					dasm_put(Dst, 32176, offsetof(zend_string, val), ((uint8_t) ('9')));
#line 5428 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|1:
					//|	EXT_CALL zend_jit_symtable_find, REG0
					dasm_put(Dst, 32183);
						if (arm64_may_use_b(zend_jit_symtable_find)) {
					dasm_put(Dst, 32185, (unsigned int)((ptrdiff_t)(zend_jit_symtable_find)), (unsigned int)(((ptrdiff_t)(zend_jit_symtable_find))>>32));
						} else {
						if (((uintptr_t)(zend_jit_symtable_find)) == 0) {
					dasm_put(Dst, 32188);
						} else if (((uintptr_t)(zend_jit_symtable_find)) <= MOVZ_IMM) {
					dasm_put(Dst, 32190, ((uint64_t)(zend_jit_symtable_find)));
						} else if (arm64_may_use_adr((void*)(zend_jit_symtable_find))) {
					dasm_put(Dst, 32193, (unsigned int)((ptrdiff_t)(zend_jit_symtable_find)), (unsigned int)(((ptrdiff_t)(zend_jit_symtable_find))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_jit_symtable_find))) {
					dasm_put(Dst, 32196, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_symtable_find))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_symtable_find)))))>>32));
							if (((uintptr_t)(zend_jit_symtable_find)) & 0xfff) {
					dasm_put(Dst, 32199, (((uintptr_t)(zend_jit_symtable_find)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_jit_symtable_find) & 0xffff) {
					dasm_put(Dst, 32202, ((uintptr_t)(zend_jit_symtable_find) & 0xffff));
							if (((uintptr_t)(zend_jit_symtable_find) >> 16) & 0xffff) {
					dasm_put(Dst, 32205, (((uintptr_t)(zend_jit_symtable_find) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_jit_symtable_find) >> 32) & 0xffff) {
					dasm_put(Dst, 32208, (((uintptr_t)(zend_jit_symtable_find) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_jit_symtable_find) >> 16) & 0xffff) {
					dasm_put(Dst, 32211, (((uintptr_t)(zend_jit_symtable_find) >> 16) & 0xffff));
							if (((uintptr_t)(zend_jit_symtable_find) >> 32) & 0xffff) {
					dasm_put(Dst, 32214, (((uintptr_t)(zend_jit_symtable_find) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 32217, (((uintptr_t)(zend_jit_symtable_find) >> 32) & 0xffff));
						}
					dasm_put(Dst, 32220);
						}
#line 5430 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	b >1
					//|.code
					dasm_put(Dst, 32222);
#line 5432 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	EXT_CALL zend_hash_find, REG0
						if (arm64_may_use_b(zend_hash_find)) {
					dasm_put(Dst, 32225, (unsigned int)((ptrdiff_t)(zend_hash_find)), (unsigned int)(((ptrdiff_t)(zend_hash_find))>>32));
						} else {
						if (((uintptr_t)(zend_hash_find)) == 0) {
					dasm_put(Dst, 32228);
						} else if (((uintptr_t)(zend_hash_find)) <= MOVZ_IMM) {
					dasm_put(Dst, 32230, ((uint64_t)(zend_hash_find)));
						} else if (arm64_may_use_adr((void*)(zend_hash_find))) {
					dasm_put(Dst, 32233, (unsigned int)((ptrdiff_t)(zend_hash_find)), (unsigned int)(((ptrdiff_t)(zend_hash_find))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_hash_find))) {
					dasm_put(Dst, 32236, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_hash_find))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_hash_find)))))>>32));
							if (((uintptr_t)(zend_hash_find)) & 0xfff) {
					dasm_put(Dst, 32239, (((uintptr_t)(zend_hash_find)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_hash_find) & 0xffff) {
					dasm_put(Dst, 32242, ((uintptr_t)(zend_hash_find) & 0xffff));
							if (((uintptr_t)(zend_hash_find) >> 16) & 0xffff) {
					dasm_put(Dst, 32245, (((uintptr_t)(zend_hash_find) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_hash_find) >> 32) & 0xffff) {
					dasm_put(Dst, 32248, (((uintptr_t)(zend_hash_find) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_hash_find) >> 16) & 0xffff) {
					dasm_put(Dst, 32251, (((uintptr_t)(zend_hash_find) >> 16) & 0xffff));
							if (((uintptr_t)(zend_hash_find) >> 32) & 0xffff) {
					dasm_put(Dst, 32254, (((uintptr_t)(zend_hash_find) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 32257, (((uintptr_t)(zend_hash_find) >> 32) & 0xffff));
						}
					dasm_put(Dst, 32260);
						}
#line 5433 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|1:
					dasm_put(Dst, 32262);
#line 5434 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	EXT_CALL zend_hash_find_known_hash, REG0
						if (arm64_may_use_b(zend_hash_find_known_hash)) {
					dasm_put(Dst, 32264, (unsigned int)((ptrdiff_t)(zend_hash_find_known_hash)), (unsigned int)(((ptrdiff_t)(zend_hash_find_known_hash))>>32));
						} else {
						if (((uintptr_t)(zend_hash_find_known_hash)) == 0) {
					dasm_put(Dst, 32267);
						} else if (((uintptr_t)(zend_hash_find_known_hash)) <= MOVZ_IMM) {
					dasm_put(Dst, 32269, ((uint64_t)(zend_hash_find_known_hash)));
						} else if (arm64_may_use_adr((void*)(zend_hash_find_known_hash))) {
					dasm_put(Dst, 32272, (unsigned int)((ptrdiff_t)(zend_hash_find_known_hash)), (unsigned int)(((ptrdiff_t)(zend_hash_find_known_hash))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_hash_find_known_hash))) {
					dasm_put(Dst, 32275, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_hash_find_known_hash))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_hash_find_known_hash)))))>>32));
							if (((uintptr_t)(zend_hash_find_known_hash)) & 0xfff) {
					dasm_put(Dst, 32278, (((uintptr_t)(zend_hash_find_known_hash)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_hash_find_known_hash) & 0xffff) {
					dasm_put(Dst, 32281, ((uintptr_t)(zend_hash_find_known_hash) & 0xffff));
							if (((uintptr_t)(zend_hash_find_known_hash) >> 16) & 0xffff) {
					dasm_put(Dst, 32284, (((uintptr_t)(zend_hash_find_known_hash) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_hash_find_known_hash) >> 32) & 0xffff) {
					dasm_put(Dst, 32287, (((uintptr_t)(zend_hash_find_known_hash) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_hash_find_known_hash) >> 16) & 0xffff) {
					dasm_put(Dst, 32290, (((uintptr_t)(zend_hash_find_known_hash) >> 16) & 0xffff));
							if (((uintptr_t)(zend_hash_find_known_hash) >> 32) & 0xffff) {
					dasm_put(Dst, 32293, (((uintptr_t)(zend_hash_find_known_hash) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 32296, (((uintptr_t)(zend_hash_find_known_hash) >> 32) & 0xffff));
						}
					dasm_put(Dst, 32299);
						}
#line 5436 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|	mov REG0, RETVALx
				dasm_put(Dst, 32301);
#line 5438 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE && type == BP_VAR_R) {
					//|	cbz REG0, &exit_addr
					dasm_put(Dst, 32303, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 5440 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else if (type == BP_VAR_IS && not_found_exit_addr) {
					//|	cbz REG0, &not_found_exit_addr
					dasm_put(Dst, 32306, (unsigned int)((ptrdiff_t)(not_found_exit_addr)), (unsigned int)(((ptrdiff_t)(not_found_exit_addr))>>32));
#line 5442 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else if (type == BP_VAR_IS && found_exit_addr) {
					//|	cbz REG0, >7
					dasm_put(Dst, 32309);
#line 5444 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	cbz REG0, >2 // NOT_FOUND
					//|.cold_code
					dasm_put(Dst, 32312);
#line 5447 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|2:
					dasm_put(Dst, 32315);
#line 5448 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					switch (type) {
						case BP_VAR_R:
							// zend_error(E_WARNING, "Undefined array key \"%s\"", ZSTR_VAL(offset_key));
							//|	UNDEFINED_INDEX opline
								if (opline == last_valid_opline) {
									zend_jit_use_last_valid_opline();
							dasm_put(Dst, 32317);
								} else {
								if (opline == last_valid_opline) {
									zend_jit_use_last_valid_opline();
								if (GCC_GLOBAL_REGS) {
							dasm_put(Dst, 32320, Dt1(->opline));
								}
								} else {
								if (((uintptr_t)(opline)) == 0) {
							dasm_put(Dst, 32323);
								} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
							dasm_put(Dst, 32325, ((uint64_t)(opline)));
								} else if (arm64_may_use_adr((void*)(opline))) {
							dasm_put(Dst, 32328, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
								} else if (arm64_may_use_adrp((void*)(opline))) {
							dasm_put(Dst, 32331, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
									if (((uintptr_t)(opline)) & 0xfff) {
							dasm_put(Dst, 32334, (((uintptr_t)(opline)) & 0xfff));
									}
								} else if ((uintptr_t)(opline) & 0xffff) {
							dasm_put(Dst, 32337, ((uintptr_t)(opline) & 0xffff));
									if (((uintptr_t)(opline) >> 16) & 0xffff) {
							dasm_put(Dst, 32340, (((uintptr_t)(opline) >> 16) & 0xffff));
									}
									if (((uintptr_t)(opline) >> 32) & 0xffff) {
							dasm_put(Dst, 32343, (((uintptr_t)(opline) >> 32) & 0xffff));
									}
								} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
							dasm_put(Dst, 32346, (((uintptr_t)(opline) >> 16) & 0xffff));
									if (((uintptr_t)(opline) >> 32) & 0xffff) {
							dasm_put(Dst, 32349, (((uintptr_t)(opline) >> 32) & 0xffff));
									}
								} else {
							dasm_put(Dst, 32352, (((uintptr_t)(opline) >> 32) & 0xffff));
								}
							dasm_put(Dst, 32355, Dt1(->opline));
									if (!GCC_GLOBAL_REGS) {
										zend_jit_reset_last_valid_opline();
									}
								}
							dasm_put(Dst, 32358);
								}
#line 5452 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
							//|	b >9
							dasm_put(Dst, 32361);
#line 5453 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
							break;
						case BP_VAR_IS:
						case BP_VAR_UNSET:
							//|	// retval = &EG(uninitialized_zval);
							//|	SET_ZVAL_TYPE_INFO res_addr, IS_NULL, TMP1w, TMP2
								ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
								if (((uint32_t)(IS_NULL)) <= MOVZ_IMM) {
							dasm_put(Dst, 32364, ((uint32_t)(IS_NULL)));
								} else if (((uint32_t)(IS_NULL) & 0xffff)) {
							dasm_put(Dst, 32367, ((uint32_t)(IS_NULL) & 0xffff));
									if ((((uint32_t)(IS_NULL) >> 16) & 0xffff)) {
							dasm_put(Dst, 32370, (((uint32_t)(IS_NULL) >> 16) & 0xffff));
									}
								} else {
							dasm_put(Dst, 32373, (((uint32_t)(IS_NULL) >> 16) & 0xffff));
								}
								if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
								if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
							dasm_put(Dst, 32376, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
								} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
							dasm_put(Dst, 32379, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
									if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
							dasm_put(Dst, 32382, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
									}
								} else {
							dasm_put(Dst, 32385, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
								}
							dasm_put(Dst, 32388, (Z_REG(res_addr)));
								} else {
							dasm_put(Dst, 32391, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
								}
#line 5458 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
							//|	b >9
							dasm_put(Dst, 32395);
#line 5459 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
							break;
						default:
							ZEND_UNREACHABLE();
					}
					//|.code
					dasm_put(Dst, 32398);
#line 5464 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				break;
			case BP_VAR_RW:
				if (opline->op2_type != IS_CONST) {
					//|	EXT_CALL zend_jit_symtable_lookup_rw, REG0
						if (arm64_may_use_b(zend_jit_symtable_lookup_rw)) {
					dasm_put(Dst, 32399, (unsigned int)((ptrdiff_t)(zend_jit_symtable_lookup_rw)), (unsigned int)(((ptrdiff_t)(zend_jit_symtable_lookup_rw))>>32));
						} else {
						if (((uintptr_t)(zend_jit_symtable_lookup_rw)) == 0) {
					dasm_put(Dst, 32402);
						} else if (((uintptr_t)(zend_jit_symtable_lookup_rw)) <= MOVZ_IMM) {
					dasm_put(Dst, 32404, ((uint64_t)(zend_jit_symtable_lookup_rw)));
						} else if (arm64_may_use_adr((void*)(zend_jit_symtable_lookup_rw))) {
					dasm_put(Dst, 32407, (unsigned int)((ptrdiff_t)(zend_jit_symtable_lookup_rw)), (unsigned int)(((ptrdiff_t)(zend_jit_symtable_lookup_rw))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_jit_symtable_lookup_rw))) {
					dasm_put(Dst, 32410, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_symtable_lookup_rw))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_symtable_lookup_rw)))))>>32));
							if (((uintptr_t)(zend_jit_symtable_lookup_rw)) & 0xfff) {
					dasm_put(Dst, 32413, (((uintptr_t)(zend_jit_symtable_lookup_rw)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_jit_symtable_lookup_rw) & 0xffff) {
					dasm_put(Dst, 32416, ((uintptr_t)(zend_jit_symtable_lookup_rw) & 0xffff));
							if (((uintptr_t)(zend_jit_symtable_lookup_rw) >> 16) & 0xffff) {
					dasm_put(Dst, 32419, (((uintptr_t)(zend_jit_symtable_lookup_rw) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_jit_symtable_lookup_rw) >> 32) & 0xffff) {
					dasm_put(Dst, 32422, (((uintptr_t)(zend_jit_symtable_lookup_rw) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_jit_symtable_lookup_rw) >> 16) & 0xffff) {
					dasm_put(Dst, 32425, (((uintptr_t)(zend_jit_symtable_lookup_rw) >> 16) & 0xffff));
							if (((uintptr_t)(zend_jit_symtable_lookup_rw) >> 32) & 0xffff) {
					dasm_put(Dst, 32428, (((uintptr_t)(zend_jit_symtable_lookup_rw) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 32431, (((uintptr_t)(zend_jit_symtable_lookup_rw) >> 32) & 0xffff));
						}
					dasm_put(Dst, 32434);
						}
#line 5469 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	EXT_CALL zend_jit_hash_lookup_rw, REG0
						if (arm64_may_use_b(zend_jit_hash_lookup_rw)) {
					dasm_put(Dst, 32436, (unsigned int)((ptrdiff_t)(zend_jit_hash_lookup_rw)), (unsigned int)(((ptrdiff_t)(zend_jit_hash_lookup_rw))>>32));
						} else {
						if (((uintptr_t)(zend_jit_hash_lookup_rw)) == 0) {
					dasm_put(Dst, 32439);
						} else if (((uintptr_t)(zend_jit_hash_lookup_rw)) <= MOVZ_IMM) {
					dasm_put(Dst, 32441, ((uint64_t)(zend_jit_hash_lookup_rw)));
						} else if (arm64_may_use_adr((void*)(zend_jit_hash_lookup_rw))) {
					dasm_put(Dst, 32444, (unsigned int)((ptrdiff_t)(zend_jit_hash_lookup_rw)), (unsigned int)(((ptrdiff_t)(zend_jit_hash_lookup_rw))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_jit_hash_lookup_rw))) {
					dasm_put(Dst, 32447, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_hash_lookup_rw))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_hash_lookup_rw)))))>>32));
							if (((uintptr_t)(zend_jit_hash_lookup_rw)) & 0xfff) {
					dasm_put(Dst, 32450, (((uintptr_t)(zend_jit_hash_lookup_rw)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_jit_hash_lookup_rw) & 0xffff) {
					dasm_put(Dst, 32453, ((uintptr_t)(zend_jit_hash_lookup_rw) & 0xffff));
							if (((uintptr_t)(zend_jit_hash_lookup_rw) >> 16) & 0xffff) {
					dasm_put(Dst, 32456, (((uintptr_t)(zend_jit_hash_lookup_rw) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_jit_hash_lookup_rw) >> 32) & 0xffff) {
					dasm_put(Dst, 32459, (((uintptr_t)(zend_jit_hash_lookup_rw) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_jit_hash_lookup_rw) >> 16) & 0xffff) {
					dasm_put(Dst, 32462, (((uintptr_t)(zend_jit_hash_lookup_rw) >> 16) & 0xffff));
							if (((uintptr_t)(zend_jit_hash_lookup_rw) >> 32) & 0xffff) {
					dasm_put(Dst, 32465, (((uintptr_t)(zend_jit_hash_lookup_rw) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 32468, (((uintptr_t)(zend_jit_hash_lookup_rw) >> 32) & 0xffff));
						}
					dasm_put(Dst, 32471);
						}
#line 5471 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|	mov REG0, RETVALx
				dasm_put(Dst, 32473);
#line 5473 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				if (not_found_exit_addr) {
					//|	cbz REG0, &not_found_exit_addr
					dasm_put(Dst, 32475, (unsigned int)((ptrdiff_t)(not_found_exit_addr)), (unsigned int)(((ptrdiff_t)(not_found_exit_addr))>>32));
#line 5475 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	cbz REG0, >9
					dasm_put(Dst, 32478);
#line 5477 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				break;
			case BP_VAR_W:
				if (opline->op2_type != IS_CONST) {
					//|	EXT_CALL zend_jit_symtable_lookup_w, REG0
						if (arm64_may_use_b(zend_jit_symtable_lookup_w)) {
					dasm_put(Dst, 32481, (unsigned int)((ptrdiff_t)(zend_jit_symtable_lookup_w)), (unsigned int)(((ptrdiff_t)(zend_jit_symtable_lookup_w))>>32));
						} else {
						if (((uintptr_t)(zend_jit_symtable_lookup_w)) == 0) {
					dasm_put(Dst, 32484);
						} else if (((uintptr_t)(zend_jit_symtable_lookup_w)) <= MOVZ_IMM) {
					dasm_put(Dst, 32486, ((uint64_t)(zend_jit_symtable_lookup_w)));
						} else if (arm64_may_use_adr((void*)(zend_jit_symtable_lookup_w))) {
					dasm_put(Dst, 32489, (unsigned int)((ptrdiff_t)(zend_jit_symtable_lookup_w)), (unsigned int)(((ptrdiff_t)(zend_jit_symtable_lookup_w))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_jit_symtable_lookup_w))) {
					dasm_put(Dst, 32492, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_symtable_lookup_w))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_symtable_lookup_w)))))>>32));
							if (((uintptr_t)(zend_jit_symtable_lookup_w)) & 0xfff) {
					dasm_put(Dst, 32495, (((uintptr_t)(zend_jit_symtable_lookup_w)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_jit_symtable_lookup_w) & 0xffff) {
					dasm_put(Dst, 32498, ((uintptr_t)(zend_jit_symtable_lookup_w) & 0xffff));
							if (((uintptr_t)(zend_jit_symtable_lookup_w) >> 16) & 0xffff) {
					dasm_put(Dst, 32501, (((uintptr_t)(zend_jit_symtable_lookup_w) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_jit_symtable_lookup_w) >> 32) & 0xffff) {
					dasm_put(Dst, 32504, (((uintptr_t)(zend_jit_symtable_lookup_w) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_jit_symtable_lookup_w) >> 16) & 0xffff) {
					dasm_put(Dst, 32507, (((uintptr_t)(zend_jit_symtable_lookup_w) >> 16) & 0xffff));
							if (((uintptr_t)(zend_jit_symtable_lookup_w) >> 32) & 0xffff) {
					dasm_put(Dst, 32510, (((uintptr_t)(zend_jit_symtable_lookup_w) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 32513, (((uintptr_t)(zend_jit_symtable_lookup_w) >> 32) & 0xffff));
						}
					dasm_put(Dst, 32516);
						}
#line 5482 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	EXT_CALL zend_hash_lookup, REG0
						if (arm64_may_use_b(zend_hash_lookup)) {
					dasm_put(Dst, 32518, (unsigned int)((ptrdiff_t)(zend_hash_lookup)), (unsigned int)(((ptrdiff_t)(zend_hash_lookup))>>32));
						} else {
						if (((uintptr_t)(zend_hash_lookup)) == 0) {
					dasm_put(Dst, 32521);
						} else if (((uintptr_t)(zend_hash_lookup)) <= MOVZ_IMM) {
					dasm_put(Dst, 32523, ((uint64_t)(zend_hash_lookup)));
						} else if (arm64_may_use_adr((void*)(zend_hash_lookup))) {
					dasm_put(Dst, 32526, (unsigned int)((ptrdiff_t)(zend_hash_lookup)), (unsigned int)(((ptrdiff_t)(zend_hash_lookup))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_hash_lookup))) {
					dasm_put(Dst, 32529, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_hash_lookup))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_hash_lookup)))))>>32));
							if (((uintptr_t)(zend_hash_lookup)) & 0xfff) {
					dasm_put(Dst, 32532, (((uintptr_t)(zend_hash_lookup)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_hash_lookup) & 0xffff) {
					dasm_put(Dst, 32535, ((uintptr_t)(zend_hash_lookup) & 0xffff));
							if (((uintptr_t)(zend_hash_lookup) >> 16) & 0xffff) {
					dasm_put(Dst, 32538, (((uintptr_t)(zend_hash_lookup) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_hash_lookup) >> 32) & 0xffff) {
					dasm_put(Dst, 32541, (((uintptr_t)(zend_hash_lookup) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_hash_lookup) >> 16) & 0xffff) {
					dasm_put(Dst, 32544, (((uintptr_t)(zend_hash_lookup) >> 16) & 0xffff));
							if (((uintptr_t)(zend_hash_lookup) >> 32) & 0xffff) {
					dasm_put(Dst, 32547, (((uintptr_t)(zend_hash_lookup) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 32550, (((uintptr_t)(zend_hash_lookup) >> 32) & 0xffff));
						}
					dasm_put(Dst, 32553);
						}
#line 5484 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|	mov REG0, RETVALx
				dasm_put(Dst, 32555);
#line 5486 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				break;
			default:
				ZEND_UNREACHABLE();
		}
	}

	if (type == BP_JIT_IS && (op2_info & (MAY_BE_LONG|MAY_BE_STRING))) {
	    //|5:
	    dasm_put(Dst, 32557);
#line 5494 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (op1_info & MAY_BE_ARRAY_OF_REF) {
			//|	ZVAL_DEREF REG0, MAY_BE_REF, TMP1w
				if (MAY_BE_REF & MAY_BE_REF) {
			dasm_put(Dst, 32559, offsetof(zval, u1.v.type));
				if (IS_REFERENCE == 0) {
			dasm_put(Dst, 32562);
				} else {
			dasm_put(Dst, 32565, IS_REFERENCE);
				}
			dasm_put(Dst, 32570, offsetof(zend_reference, val));
				}
#line 5496 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	ldrb TMP1w, [REG0,#offsetof(zval, u1.v.type)]
		//|	cmp TMP1w, #IS_NULL
		dasm_put(Dst, 32575, offsetof(zval, u1.v.type), IS_NULL);
#line 5499 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (not_found_exit_addr) {
			//|	ble &not_found_exit_addr
			dasm_put(Dst, 32580, (unsigned int)((ptrdiff_t)(not_found_exit_addr)), (unsigned int)(((ptrdiff_t)(not_found_exit_addr))>>32));
#line 5501 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else if (found_exit_addr) {
			//|	bgt &found_exit_addr
			dasm_put(Dst, 32583, (unsigned int)((ptrdiff_t)(found_exit_addr)), (unsigned int)(((ptrdiff_t)(found_exit_addr))>>32));
#line 5503 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	ble >9 // NOT FOUND
			dasm_put(Dst, 32586);
#line 5505 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	if (op2_info & ((MAY_BE_ANY|MAY_BE_UNDEF) - (MAY_BE_LONG|MAY_BE_STRING))) {
		if (op2_info & (MAY_BE_LONG|MAY_BE_STRING)) {
			//|.cold_code
			dasm_put(Dst, 32589);
#line 5511 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|3:
			dasm_put(Dst, 32590);
#line 5512 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (type != BP_VAR_RW) {
			//|	SET_EX_OPLINE opline, REG0
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 32592, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 32595);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 32597, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 32600, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 32603, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 32606, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 32609, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 32612, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 32615, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 32618, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 32621, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 32624, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 32627, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
#line 5515 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	LOAD_ZVAL_ADDR FCARG2x, op2_addr
			if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op2_addr))) == 0) {
		dasm_put(Dst, 32630);
			} else if (((uintptr_t)(Z_ZV(op2_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 32632, ((uint64_t)(Z_ZV(op2_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op2_addr)))) {
		dasm_put(Dst, 32635, (unsigned int)((ptrdiff_t)(Z_ZV(op2_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op2_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op2_addr)))) {
		dasm_put(Dst, 32638, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff) {
		dasm_put(Dst, 32641, (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff) {
		dasm_put(Dst, 32644, ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 32647, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 32650, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 32653, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 32656, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 32659, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
			}
			} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
				if (Z_OFFSET(op2_addr)) {
			if (Z_OFFSET(op2_addr) == 0) {
		dasm_put(Dst, 32662, (Z_REG(op2_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op2_addr)))) {
		dasm_put(Dst, 32665, (Z_REG(op2_addr)), Z_OFFSET(op2_addr));
			} else {
			if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 32669, ((uint32_t)(Z_OFFSET(op2_addr))));
			} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
		dasm_put(Dst, 32672, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 32675, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 32678, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 32681, (Z_REG(op2_addr)));
			}
				} else {
					if (Z_REG(op2_addr) == ZREG_RSP) {
		dasm_put(Dst, 32684);
					} else {
		dasm_put(Dst, 32686, (Z_REG(op2_addr)));
					}
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 5517 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		switch (type) {
			case BP_VAR_R:
				//|	LOAD_ZVAL_ADDR CARG3, res_addr
					if (Z_MODE(res_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(res_addr))) == 0) {
				dasm_put(Dst, 32689);
					} else if (((uintptr_t)(Z_ZV(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 32691, ((uint64_t)(Z_ZV(res_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 32694, (unsigned int)((ptrdiff_t)(Z_ZV(res_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(res_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 32697, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(res_addr))) & 0xfff) {
				dasm_put(Dst, 32700, (((uintptr_t)(Z_ZV(res_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(res_addr)) & 0xffff) {
				dasm_put(Dst, 32703, ((uintptr_t)(Z_ZV(res_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 32706, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 32709, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 32712, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 32715, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 32718, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(res_addr)) {
					if (Z_OFFSET(res_addr) == 0) {
				dasm_put(Dst, 32721, (Z_REG(res_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(res_addr)))) {
				dasm_put(Dst, 32724, (Z_REG(res_addr)), Z_OFFSET(res_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 32728, ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 32731, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 32734, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 32737, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 32740, (Z_REG(res_addr)));
					}
						} else {
							if (Z_REG(res_addr) == ZREG_RSP) {
				dasm_put(Dst, 32743);
							} else {
				dasm_put(Dst, 32745, (Z_REG(res_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 5520 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	EXT_CALL zend_jit_fetch_dim_r_helper, REG0
					if (arm64_may_use_b(zend_jit_fetch_dim_r_helper)) {
				dasm_put(Dst, 32748, (unsigned int)((ptrdiff_t)(zend_jit_fetch_dim_r_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_dim_r_helper))>>32));
					} else {
					if (((uintptr_t)(zend_jit_fetch_dim_r_helper)) == 0) {
				dasm_put(Dst, 32751);
					} else if (((uintptr_t)(zend_jit_fetch_dim_r_helper)) <= MOVZ_IMM) {
				dasm_put(Dst, 32753, ((uint64_t)(zend_jit_fetch_dim_r_helper)));
					} else if (arm64_may_use_adr((void*)(zend_jit_fetch_dim_r_helper))) {
				dasm_put(Dst, 32756, (unsigned int)((ptrdiff_t)(zend_jit_fetch_dim_r_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_dim_r_helper))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_fetch_dim_r_helper))) {
				dasm_put(Dst, 32759, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_dim_r_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_dim_r_helper)))))>>32));
						if (((uintptr_t)(zend_jit_fetch_dim_r_helper)) & 0xfff) {
				dasm_put(Dst, 32762, (((uintptr_t)(zend_jit_fetch_dim_r_helper)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_fetch_dim_r_helper) & 0xffff) {
				dasm_put(Dst, 32765, ((uintptr_t)(zend_jit_fetch_dim_r_helper) & 0xffff));
						if (((uintptr_t)(zend_jit_fetch_dim_r_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 32768, (((uintptr_t)(zend_jit_fetch_dim_r_helper) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_fetch_dim_r_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 32771, (((uintptr_t)(zend_jit_fetch_dim_r_helper) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_fetch_dim_r_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 32774, (((uintptr_t)(zend_jit_fetch_dim_r_helper) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_fetch_dim_r_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 32777, (((uintptr_t)(zend_jit_fetch_dim_r_helper) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 32780, (((uintptr_t)(zend_jit_fetch_dim_r_helper) >> 32) & 0xffff));
					}
				dasm_put(Dst, 32783);
					}
#line 5521 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	mov REG0, RETVALx
				//|	b >9
				dasm_put(Dst, 32785);
#line 5523 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				break;
			case BP_JIT_IS:
				//|	EXT_CALL zend_jit_fetch_dim_isset_helper, REG0
					if (arm64_may_use_b(zend_jit_fetch_dim_isset_helper)) {
				dasm_put(Dst, 32789, (unsigned int)((ptrdiff_t)(zend_jit_fetch_dim_isset_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_dim_isset_helper))>>32));
					} else {
					if (((uintptr_t)(zend_jit_fetch_dim_isset_helper)) == 0) {
				dasm_put(Dst, 32792);
					} else if (((uintptr_t)(zend_jit_fetch_dim_isset_helper)) <= MOVZ_IMM) {
				dasm_put(Dst, 32794, ((uint64_t)(zend_jit_fetch_dim_isset_helper)));
					} else if (arm64_may_use_adr((void*)(zend_jit_fetch_dim_isset_helper))) {
				dasm_put(Dst, 32797, (unsigned int)((ptrdiff_t)(zend_jit_fetch_dim_isset_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_dim_isset_helper))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_fetch_dim_isset_helper))) {
				dasm_put(Dst, 32800, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_dim_isset_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_dim_isset_helper)))))>>32));
						if (((uintptr_t)(zend_jit_fetch_dim_isset_helper)) & 0xfff) {
				dasm_put(Dst, 32803, (((uintptr_t)(zend_jit_fetch_dim_isset_helper)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_fetch_dim_isset_helper) & 0xffff) {
				dasm_put(Dst, 32806, ((uintptr_t)(zend_jit_fetch_dim_isset_helper) & 0xffff));
						if (((uintptr_t)(zend_jit_fetch_dim_isset_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 32809, (((uintptr_t)(zend_jit_fetch_dim_isset_helper) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_fetch_dim_isset_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 32812, (((uintptr_t)(zend_jit_fetch_dim_isset_helper) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_fetch_dim_isset_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 32815, (((uintptr_t)(zend_jit_fetch_dim_isset_helper) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_fetch_dim_isset_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 32818, (((uintptr_t)(zend_jit_fetch_dim_isset_helper) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 32821, (((uintptr_t)(zend_jit_fetch_dim_isset_helper) >> 32) & 0xffff));
					}
				dasm_put(Dst, 32824);
					}
#line 5526 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	mov REG0, RETVALx
				dasm_put(Dst, 32826);
#line 5527 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				if (not_found_exit_addr) {
					//|	cbz REG0, &not_found_exit_addr
					dasm_put(Dst, 32828, (unsigned int)((ptrdiff_t)(not_found_exit_addr)), (unsigned int)(((ptrdiff_t)(not_found_exit_addr))>>32));
#line 5529 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					if (op2_info & (MAY_BE_LONG|MAY_BE_STRING)) {
						//|	b >8
						dasm_put(Dst, 32831);
#line 5531 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				} else if (found_exit_addr) {
					//|	cbnz REG0, &found_exit_addr
					dasm_put(Dst, 32834, (unsigned int)((ptrdiff_t)(found_exit_addr)), (unsigned int)(((ptrdiff_t)(found_exit_addr))>>32));
#line 5534 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					if (op2_info & (MAY_BE_LONG|MAY_BE_STRING)) {
						//|	b >9
						dasm_put(Dst, 32837);
#line 5536 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				} else {
					//|	cbnz REG0, >8
					//|	b >9
					dasm_put(Dst, 32840);
#line 5540 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				break;
			case BP_VAR_IS:
			case BP_VAR_UNSET:
				//|	LOAD_ZVAL_ADDR CARG3, res_addr
					if (Z_MODE(res_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(res_addr))) == 0) {
				dasm_put(Dst, 32845);
					} else if (((uintptr_t)(Z_ZV(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 32847, ((uint64_t)(Z_ZV(res_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 32850, (unsigned int)((ptrdiff_t)(Z_ZV(res_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(res_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 32853, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(res_addr))) & 0xfff) {
				dasm_put(Dst, 32856, (((uintptr_t)(Z_ZV(res_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(res_addr)) & 0xffff) {
				dasm_put(Dst, 32859, ((uintptr_t)(Z_ZV(res_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 32862, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 32865, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 32868, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 32871, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 32874, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(res_addr)) {
					if (Z_OFFSET(res_addr) == 0) {
				dasm_put(Dst, 32877, (Z_REG(res_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(res_addr)))) {
				dasm_put(Dst, 32880, (Z_REG(res_addr)), Z_OFFSET(res_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 32884, ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 32887, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 32890, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 32893, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 32896, (Z_REG(res_addr)));
					}
						} else {
							if (Z_REG(res_addr) == ZREG_RSP) {
				dasm_put(Dst, 32899);
							} else {
				dasm_put(Dst, 32901, (Z_REG(res_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 5545 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	EXT_CALL zend_jit_fetch_dim_is_helper, REG0
					if (arm64_may_use_b(zend_jit_fetch_dim_is_helper)) {
				dasm_put(Dst, 32904, (unsigned int)((ptrdiff_t)(zend_jit_fetch_dim_is_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_dim_is_helper))>>32));
					} else {
					if (((uintptr_t)(zend_jit_fetch_dim_is_helper)) == 0) {
				dasm_put(Dst, 32907);
					} else if (((uintptr_t)(zend_jit_fetch_dim_is_helper)) <= MOVZ_IMM) {
				dasm_put(Dst, 32909, ((uint64_t)(zend_jit_fetch_dim_is_helper)));
					} else if (arm64_may_use_adr((void*)(zend_jit_fetch_dim_is_helper))) {
				dasm_put(Dst, 32912, (unsigned int)((ptrdiff_t)(zend_jit_fetch_dim_is_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_dim_is_helper))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_fetch_dim_is_helper))) {
				dasm_put(Dst, 32915, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_dim_is_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_dim_is_helper)))))>>32));
						if (((uintptr_t)(zend_jit_fetch_dim_is_helper)) & 0xfff) {
				dasm_put(Dst, 32918, (((uintptr_t)(zend_jit_fetch_dim_is_helper)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_fetch_dim_is_helper) & 0xffff) {
				dasm_put(Dst, 32921, ((uintptr_t)(zend_jit_fetch_dim_is_helper) & 0xffff));
						if (((uintptr_t)(zend_jit_fetch_dim_is_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 32924, (((uintptr_t)(zend_jit_fetch_dim_is_helper) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_fetch_dim_is_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 32927, (((uintptr_t)(zend_jit_fetch_dim_is_helper) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_fetch_dim_is_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 32930, (((uintptr_t)(zend_jit_fetch_dim_is_helper) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_fetch_dim_is_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 32933, (((uintptr_t)(zend_jit_fetch_dim_is_helper) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 32936, (((uintptr_t)(zend_jit_fetch_dim_is_helper) >> 32) & 0xffff));
					}
				dasm_put(Dst, 32939);
					}
#line 5546 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	mov REG0, RETVALx
				//|	b >9
				dasm_put(Dst, 32941);
#line 5548 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				break;
			case BP_VAR_RW:
				//|	EXT_CALL zend_jit_fetch_dim_rw_helper, REG0
					if (arm64_may_use_b(zend_jit_fetch_dim_rw_helper)) {
				dasm_put(Dst, 32945, (unsigned int)((ptrdiff_t)(zend_jit_fetch_dim_rw_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_dim_rw_helper))>>32));
					} else {
					if (((uintptr_t)(zend_jit_fetch_dim_rw_helper)) == 0) {
				dasm_put(Dst, 32948);
					} else if (((uintptr_t)(zend_jit_fetch_dim_rw_helper)) <= MOVZ_IMM) {
				dasm_put(Dst, 32950, ((uint64_t)(zend_jit_fetch_dim_rw_helper)));
					} else if (arm64_may_use_adr((void*)(zend_jit_fetch_dim_rw_helper))) {
				dasm_put(Dst, 32953, (unsigned int)((ptrdiff_t)(zend_jit_fetch_dim_rw_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_dim_rw_helper))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_fetch_dim_rw_helper))) {
				dasm_put(Dst, 32956, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_dim_rw_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_dim_rw_helper)))))>>32));
						if (((uintptr_t)(zend_jit_fetch_dim_rw_helper)) & 0xfff) {
				dasm_put(Dst, 32959, (((uintptr_t)(zend_jit_fetch_dim_rw_helper)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_fetch_dim_rw_helper) & 0xffff) {
				dasm_put(Dst, 32962, ((uintptr_t)(zend_jit_fetch_dim_rw_helper) & 0xffff));
						if (((uintptr_t)(zend_jit_fetch_dim_rw_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 32965, (((uintptr_t)(zend_jit_fetch_dim_rw_helper) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_fetch_dim_rw_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 32968, (((uintptr_t)(zend_jit_fetch_dim_rw_helper) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_fetch_dim_rw_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 32971, (((uintptr_t)(zend_jit_fetch_dim_rw_helper) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_fetch_dim_rw_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 32974, (((uintptr_t)(zend_jit_fetch_dim_rw_helper) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 32977, (((uintptr_t)(zend_jit_fetch_dim_rw_helper) >> 32) & 0xffff));
					}
				dasm_put(Dst, 32980);
					}
#line 5551 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	mov REG0, RETVALx
				//|	cbnz REG0, >8
				//|	b >9
				dasm_put(Dst, 32982);
#line 5554 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				break;
			case BP_VAR_W:
				//|	EXT_CALL zend_jit_fetch_dim_w_helper, REG0
					if (arm64_may_use_b(zend_jit_fetch_dim_w_helper)) {
				dasm_put(Dst, 32988, (unsigned int)((ptrdiff_t)(zend_jit_fetch_dim_w_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_dim_w_helper))>>32));
					} else {
					if (((uintptr_t)(zend_jit_fetch_dim_w_helper)) == 0) {
				dasm_put(Dst, 32991);
					} else if (((uintptr_t)(zend_jit_fetch_dim_w_helper)) <= MOVZ_IMM) {
				dasm_put(Dst, 32993, ((uint64_t)(zend_jit_fetch_dim_w_helper)));
					} else if (arm64_may_use_adr((void*)(zend_jit_fetch_dim_w_helper))) {
				dasm_put(Dst, 32996, (unsigned int)((ptrdiff_t)(zend_jit_fetch_dim_w_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_dim_w_helper))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_fetch_dim_w_helper))) {
				dasm_put(Dst, 32999, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_dim_w_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_dim_w_helper)))))>>32));
						if (((uintptr_t)(zend_jit_fetch_dim_w_helper)) & 0xfff) {
				dasm_put(Dst, 33002, (((uintptr_t)(zend_jit_fetch_dim_w_helper)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_fetch_dim_w_helper) & 0xffff) {
				dasm_put(Dst, 33005, ((uintptr_t)(zend_jit_fetch_dim_w_helper) & 0xffff));
						if (((uintptr_t)(zend_jit_fetch_dim_w_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 33008, (((uintptr_t)(zend_jit_fetch_dim_w_helper) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_fetch_dim_w_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 33011, (((uintptr_t)(zend_jit_fetch_dim_w_helper) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_fetch_dim_w_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 33014, (((uintptr_t)(zend_jit_fetch_dim_w_helper) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_fetch_dim_w_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 33017, (((uintptr_t)(zend_jit_fetch_dim_w_helper) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 33020, (((uintptr_t)(zend_jit_fetch_dim_w_helper) >> 32) & 0xffff));
					}
				dasm_put(Dst, 33023);
					}
#line 5557 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	mov REG0, RETVALx
				//|	cbnz REG0, >8
				//|	b >9
				dasm_put(Dst, 33025);
#line 5560 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				break;
			default:
				ZEND_UNREACHABLE();
		}
		if (op2_info & (MAY_BE_LONG|MAY_BE_STRING)) {
			//|.code
			dasm_put(Dst, 33031);
#line 5566 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	return 1;
}

static int zend_jit_simple_assign(dasm_State    **Dst,
                                  const zend_op  *opline,
                                  zend_jit_addr   var_addr,
                                  uint32_t        var_info,
                                  uint32_t        var_def_info,
                                  zend_uchar      val_type,
                                  zend_jit_addr   val_addr,
                                  uint32_t        val_info,
                                  zend_jit_addr   res_addr,
                                  int             in_cold,
                                  int             save_r1,
                                  bool            check_exception)
/* Labels: 1,2,3 */
{
	zend_reg tmp_reg;

	if (Z_MODE(var_addr) == IS_REG || Z_REG(var_addr) != ZREG_REG0) {
		tmp_reg = ZREG_REG0;
	} else {
		/* ASSIGN_DIM */
		tmp_reg = ZREG_FCARG1;
	}

	if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
		zval *zv = Z_ZV(val_addr);

		if (!res_addr) {
			//|	ZVAL_COPY_CONST var_addr, var_info, var_def_info, zv, tmp_reg, ZREG_TMP1, ZREG_FPR0
				if (Z_TYPE_P(zv) > IS_TRUE) {
					if (Z_TYPE_P(zv) == IS_DOUBLE) {
						zend_reg dst_reg = (Z_MODE(var_addr) == IS_REG) ? Z_REG(var_addr) : ZREG_V0;
				if (((uintptr_t)(zv)) > MOVZ_IMM && arm64_may_use_adr((void*)(zv))) {
			dasm_put(Dst, 33032, (tmp_reg), (unsigned int)((ptrdiff_t)(zv)), (unsigned int)(((ptrdiff_t)(zv))>>32), (dst_reg-ZREG_V0), (tmp_reg));
				} else if (((uintptr_t)(zv)) > MOVZ_IMM && arm64_may_use_adrp((void*)(zv))) {
			dasm_put(Dst, 33039, (tmp_reg), (unsigned int)((ptrdiff_t)((((uintptr_t)(zv))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zv)))))>>32), (dst_reg-ZREG_V0), (tmp_reg), (((uintptr_t)(zv)) & 0xfff));
				} else {
				if (((uintptr_t)(zv)) == 0) {
			dasm_put(Dst, 33047, (tmp_reg));
				} else if (((uintptr_t)(zv)) <= MOVZ_IMM) {
			dasm_put(Dst, 33050, (tmp_reg), ((uint64_t)(zv)));
				} else if (arm64_may_use_adr((void*)(zv))) {
			dasm_put(Dst, 33054, (tmp_reg), (unsigned int)((ptrdiff_t)(zv)), (unsigned int)(((ptrdiff_t)(zv))>>32));
				} else if (arm64_may_use_adrp((void*)(zv))) {
			dasm_put(Dst, 33058, (tmp_reg), (unsigned int)((ptrdiff_t)((((uintptr_t)(zv))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zv)))))>>32));
					if (((uintptr_t)(zv)) & 0xfff) {
			dasm_put(Dst, 33062, (tmp_reg), (tmp_reg), (((uintptr_t)(zv)) & 0xfff));
					}
				} else if ((uintptr_t)(zv) & 0xffff) {
			dasm_put(Dst, 33067, (tmp_reg), ((uintptr_t)(zv) & 0xffff));
					if (((uintptr_t)(zv) >> 16) & 0xffff) {
			dasm_put(Dst, 33071, (tmp_reg), (((uintptr_t)(zv) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zv) >> 32) & 0xffff) {
			dasm_put(Dst, 33075, (tmp_reg), (((uintptr_t)(zv) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zv) >> 16) & 0xffff) {
			dasm_put(Dst, 33079, (tmp_reg), (((uintptr_t)(zv) >> 16) & 0xffff));
					if (((uintptr_t)(zv) >> 32) & 0xffff) {
			dasm_put(Dst, 33083, (tmp_reg), (((uintptr_t)(zv) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 33087, (tmp_reg), (((uintptr_t)(zv) >> 32) & 0xffff));
				}
			dasm_put(Dst, 33091, (dst_reg-ZREG_V0), (tmp_reg));
				}
				if (Z_MODE(var_addr) == IS_REG) {
					if (dst_reg != Z_REG(var_addr)) {
			dasm_put(Dst, 33095, (Z_REG(var_addr)-ZREG_V0), (dst_reg-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 33099, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
			dasm_put(Dst, 33103, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 33107, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 33111, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 33115, (dst_reg-ZREG_V0), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 33120, (dst_reg-ZREG_V0), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
				}
				}
					} else if (Z_TYPE_P(zv) == IS_LONG && var_def_info == MAY_BE_DOUBLE) {
						zend_reg dst_reg = (Z_MODE(var_addr) == IS_REG) ? Z_REG(var_addr) : ZREG_V0;
				if (Z_LVAL_P(zv) == 0) {
			dasm_put(Dst, 33125, (dst_reg-ZREG_V0));
				} else {
				if (((uint64_t)(Z_LVAL_P(zv))) == 0) {
			dasm_put(Dst, 33128, (tmp_reg));
				} else if (((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
			dasm_put(Dst, 33131, (tmp_reg), ((uint64_t)(Z_LVAL_P(zv))));
				} else if (~((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
			dasm_put(Dst, 33135, (tmp_reg), (~((uint64_t)(Z_LVAL_P(zv)))));
				} else if ((uint64_t)(Z_LVAL_P(zv)) & 0xffff) {
			dasm_put(Dst, 33139, (tmp_reg), ((uint64_t)(Z_LVAL_P(zv)) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
			dasm_put(Dst, 33143, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 33147, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
			dasm_put(Dst, 33151, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
			dasm_put(Dst, 33155, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 33159, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
			dasm_put(Dst, 33163, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 33167, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
			dasm_put(Dst, 33171, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 33175, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
			dasm_put(Dst, 33179, (dst_reg-ZREG_V0), (tmp_reg));
				}
				if (Z_MODE(var_addr) == IS_REG) {
					if (dst_reg != Z_REG(var_addr)) {
			dasm_put(Dst, 33183, (Z_REG(var_addr)-ZREG_V0), (dst_reg-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 33187, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
			dasm_put(Dst, 33191, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 33195, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 33199, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 33203, (dst_reg-ZREG_V0), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 33208, (dst_reg-ZREG_V0), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
				}
				}
					} else {
				if (Z_LVAL_P(zv) == 0) {
				if (Z_MODE(var_addr) == IS_REG) {
			dasm_put(Dst, 33213, (Z_REG(var_addr)));
				} else {
					ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 33216, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
			dasm_put(Dst, 33220, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 33224, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 33228, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 33232, (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 33236, (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
				}
				}
				} else {
				if (((uint64_t)(Z_LVAL_P(zv))) == 0) {
			dasm_put(Dst, 33240, (tmp_reg));
				} else if (((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
			dasm_put(Dst, 33243, (tmp_reg), ((uint64_t)(Z_LVAL_P(zv))));
				} else if (~((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
			dasm_put(Dst, 33247, (tmp_reg), (~((uint64_t)(Z_LVAL_P(zv)))));
				} else if ((uint64_t)(Z_LVAL_P(zv)) & 0xffff) {
			dasm_put(Dst, 33251, (tmp_reg), ((uint64_t)(Z_LVAL_P(zv)) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
			dasm_put(Dst, 33255, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 33259, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
			dasm_put(Dst, 33263, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
			dasm_put(Dst, 33267, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 33271, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
			dasm_put(Dst, 33275, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 33279, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
			dasm_put(Dst, 33283, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 33287, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
				if (Z_MODE(var_addr) == IS_REG) {
			dasm_put(Dst, 33291, (Z_REG(var_addr)), (tmp_reg));
				} else {
					ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 33295, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
			dasm_put(Dst, 33299, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 33303, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 33307, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 33311, (tmp_reg), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 33316, (tmp_reg), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
				}
				}
				}
					}
				}
				if (Z_MODE(var_addr) == IS_MEM_ZVAL) {
					if (var_def_info == MAY_BE_DOUBLE) {
						if ((var_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != MAY_BE_DOUBLE) {
				ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(IS_DOUBLE)) <= MOVZ_IMM) {
			dasm_put(Dst, 33321, (tmp_reg), ((uint32_t)(IS_DOUBLE)));
				} else if (((uint32_t)(IS_DOUBLE) & 0xffff)) {
			dasm_put(Dst, 33325, (tmp_reg), ((uint32_t)(IS_DOUBLE) & 0xffff));
					if ((((uint32_t)(IS_DOUBLE) >> 16) & 0xffff)) {
			dasm_put(Dst, 33329, (tmp_reg), (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 33333, (tmp_reg), (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 33337, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 33341, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 33345, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 33349, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 33353, (tmp_reg), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 33358, (tmp_reg), (Z_REG(var_addr)), (Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)));
				}
						}
					} else if (((var_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (1<<Z_TYPE_P(zv))) || (var_info & (MAY_BE_STRING|MAY_BE_ARRAY)) != 0) {
				ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(Z_TYPE_INFO_P(zv))) <= MOVZ_IMM) {
			dasm_put(Dst, 33363, (tmp_reg), ((uint32_t)(Z_TYPE_INFO_P(zv))));
				} else if (((uint32_t)(Z_TYPE_INFO_P(zv)) & 0xffff)) {
			dasm_put(Dst, 33367, (tmp_reg), ((uint32_t)(Z_TYPE_INFO_P(zv)) & 0xffff));
					if ((((uint32_t)(Z_TYPE_INFO_P(zv)) >> 16) & 0xffff)) {
			dasm_put(Dst, 33371, (tmp_reg), (((uint32_t)(Z_TYPE_INFO_P(zv)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 33375, (tmp_reg), (((uint32_t)(Z_TYPE_INFO_P(zv)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 33379, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 33383, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 33387, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 33391, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 33395, (tmp_reg), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 33400, (tmp_reg), (Z_REG(var_addr)), (Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)));
				}
					}
				}
#line 5600 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	ZVAL_COPY_CONST_2 var_addr, res_addr, var_info, var_def_info, zv, tmp_reg, ZREG_TMP1, ZREG_FPR0
				if (Z_TYPE_P(zv) > IS_TRUE) {
					if (Z_TYPE_P(zv) == IS_DOUBLE) {
						zend_reg dst_reg = (Z_MODE(var_addr) == IS_REG) ?
							Z_REG(var_addr) : ((Z_MODE(res_addr) == IS_REG) ? Z_REG(res_addr) : ZREG_V0);
				if (((uintptr_t)(zv)) > MOVZ_IMM && arm64_may_use_adr((void*)(zv))) {
			dasm_put(Dst, 33405, (tmp_reg), (unsigned int)((ptrdiff_t)(zv)), (unsigned int)(((ptrdiff_t)(zv))>>32), (dst_reg-ZREG_V0), (tmp_reg));
				} else if (((uintptr_t)(zv)) > MOVZ_IMM && arm64_may_use_adrp((void*)(zv))) {
			dasm_put(Dst, 33412, (tmp_reg), (unsigned int)((ptrdiff_t)((((uintptr_t)(zv))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zv)))))>>32), (dst_reg-ZREG_V0), (tmp_reg), (((uintptr_t)(zv)) & 0xfff));
				} else {
				if (((uintptr_t)(zv)) == 0) {
			dasm_put(Dst, 33420, (tmp_reg));
				} else if (((uintptr_t)(zv)) <= MOVZ_IMM) {
			dasm_put(Dst, 33423, (tmp_reg), ((uint64_t)(zv)));
				} else if (arm64_may_use_adr((void*)(zv))) {
			dasm_put(Dst, 33427, (tmp_reg), (unsigned int)((ptrdiff_t)(zv)), (unsigned int)(((ptrdiff_t)(zv))>>32));
				} else if (arm64_may_use_adrp((void*)(zv))) {
			dasm_put(Dst, 33431, (tmp_reg), (unsigned int)((ptrdiff_t)((((uintptr_t)(zv))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zv)))))>>32));
					if (((uintptr_t)(zv)) & 0xfff) {
			dasm_put(Dst, 33435, (tmp_reg), (tmp_reg), (((uintptr_t)(zv)) & 0xfff));
					}
				} else if ((uintptr_t)(zv) & 0xffff) {
			dasm_put(Dst, 33440, (tmp_reg), ((uintptr_t)(zv) & 0xffff));
					if (((uintptr_t)(zv) >> 16) & 0xffff) {
			dasm_put(Dst, 33444, (tmp_reg), (((uintptr_t)(zv) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zv) >> 32) & 0xffff) {
			dasm_put(Dst, 33448, (tmp_reg), (((uintptr_t)(zv) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zv) >> 16) & 0xffff) {
			dasm_put(Dst, 33452, (tmp_reg), (((uintptr_t)(zv) >> 16) & 0xffff));
					if (((uintptr_t)(zv) >> 32) & 0xffff) {
			dasm_put(Dst, 33456, (tmp_reg), (((uintptr_t)(zv) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 33460, (tmp_reg), (((uintptr_t)(zv) >> 32) & 0xffff));
				}
			dasm_put(Dst, 33464, (dst_reg-ZREG_V0), (tmp_reg));
				}
				if (Z_MODE(var_addr) == IS_REG) {
					if (dst_reg != Z_REG(var_addr)) {
			dasm_put(Dst, 33468, (Z_REG(var_addr)-ZREG_V0), (dst_reg-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 33472, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
			dasm_put(Dst, 33476, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 33480, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 33484, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 33488, (dst_reg-ZREG_V0), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 33493, (dst_reg-ZREG_V0), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
				}
				}
				if (Z_MODE(res_addr) == IS_REG) {
					if (dst_reg != Z_REG(res_addr)) {
			dasm_put(Dst, 33498, (Z_REG(res_addr)-ZREG_V0), (dst_reg-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 33502, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 33506, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 33510, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 33514, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 33518, (dst_reg-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 33523, (dst_reg-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
					} else if (Z_TYPE_P(zv) == IS_LONG && var_def_info == MAY_BE_DOUBLE) {
						if (Z_MODE(var_addr) == IS_REG) {
				if (Z_LVAL_P(zv) == 0) {
			dasm_put(Dst, 33528, (Z_REG(var_addr)-ZREG_V0));
				} else {
				if (((uint64_t)(Z_LVAL_P(zv))) == 0) {
			dasm_put(Dst, 33531, (tmp_reg));
				} else if (((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
			dasm_put(Dst, 33534, (tmp_reg), ((uint64_t)(Z_LVAL_P(zv))));
				} else if (~((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
			dasm_put(Dst, 33538, (tmp_reg), (~((uint64_t)(Z_LVAL_P(zv)))));
				} else if ((uint64_t)(Z_LVAL_P(zv)) & 0xffff) {
			dasm_put(Dst, 33542, (tmp_reg), ((uint64_t)(Z_LVAL_P(zv)) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
			dasm_put(Dst, 33546, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 33550, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
			dasm_put(Dst, 33554, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
			dasm_put(Dst, 33558, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 33562, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
			dasm_put(Dst, 33566, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 33570, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
			dasm_put(Dst, 33574, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 33578, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
			dasm_put(Dst, 33582, (Z_REG(var_addr)-ZREG_V0), (tmp_reg));
				}
				if (Z_MODE(res_addr) == IS_REG) {
					if (Z_REG(var_addr) != Z_REG(res_addr)) {
			dasm_put(Dst, 33586, (Z_REG(res_addr)-ZREG_V0), (Z_REG(var_addr)-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 33590, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 33594, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 33598, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 33602, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 33606, (Z_REG(var_addr)-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 33611, (Z_REG(var_addr)-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
						} else if (Z_MODE(res_addr) == IS_REG) {
				if (Z_LVAL_P(zv) == 0) {
			dasm_put(Dst, 33616, (Z_REG(res_addr)-ZREG_V0));
				} else {
				if (((uint64_t)(Z_LVAL_P(zv))) == 0) {
			dasm_put(Dst, 33619, (tmp_reg));
				} else if (((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
			dasm_put(Dst, 33622, (tmp_reg), ((uint64_t)(Z_LVAL_P(zv))));
				} else if (~((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
			dasm_put(Dst, 33626, (tmp_reg), (~((uint64_t)(Z_LVAL_P(zv)))));
				} else if ((uint64_t)(Z_LVAL_P(zv)) & 0xffff) {
			dasm_put(Dst, 33630, (tmp_reg), ((uint64_t)(Z_LVAL_P(zv)) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
			dasm_put(Dst, 33634, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 33638, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
			dasm_put(Dst, 33642, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
			dasm_put(Dst, 33646, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 33650, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
			dasm_put(Dst, 33654, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 33658, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
			dasm_put(Dst, 33662, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 33666, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
			dasm_put(Dst, 33670, (Z_REG(res_addr)-ZREG_V0), (tmp_reg));
				}
				if (Z_MODE(var_addr) == IS_REG) {
					if (Z_REG(res_addr) != Z_REG(var_addr)) {
			dasm_put(Dst, 33674, (Z_REG(var_addr)-ZREG_V0), (Z_REG(res_addr)-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 33678, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
			dasm_put(Dst, 33682, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 33686, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 33690, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 33694, (Z_REG(res_addr)-ZREG_V0), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 33699, (Z_REG(res_addr)-ZREG_V0), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
				}
				}
						} else {
				if (Z_LVAL_P(zv) == 0) {
			dasm_put(Dst, 33704, (ZREG_V0-ZREG_V0));
				} else {
				if (((uint64_t)(Z_LVAL_P(zv))) == 0) {
			dasm_put(Dst, 33707, (tmp_reg));
				} else if (((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
			dasm_put(Dst, 33710, (tmp_reg), ((uint64_t)(Z_LVAL_P(zv))));
				} else if (~((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
			dasm_put(Dst, 33714, (tmp_reg), (~((uint64_t)(Z_LVAL_P(zv)))));
				} else if ((uint64_t)(Z_LVAL_P(zv)) & 0xffff) {
			dasm_put(Dst, 33718, (tmp_reg), ((uint64_t)(Z_LVAL_P(zv)) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
			dasm_put(Dst, 33722, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 33726, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
			dasm_put(Dst, 33730, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
			dasm_put(Dst, 33734, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 33738, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
			dasm_put(Dst, 33742, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 33746, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
			dasm_put(Dst, 33750, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 33754, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
			dasm_put(Dst, 33758, (ZREG_V0-ZREG_V0), (tmp_reg));
				}
				if (Z_MODE(var_addr) == IS_REG) {
					if (ZREG_V0 != Z_REG(var_addr)) {
			dasm_put(Dst, 33762, (Z_REG(var_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 33766, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
			dasm_put(Dst, 33770, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 33774, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 33778, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 33782, (ZREG_V0-ZREG_V0), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 33787, (ZREG_V0-ZREG_V0), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
				}
				}
				if (Z_MODE(res_addr) == IS_REG) {
					if (ZREG_V0 != Z_REG(res_addr)) {
			dasm_put(Dst, 33792, (Z_REG(res_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 33796, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 33800, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 33804, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 33808, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 33812, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 33817, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
						}
					} else {
						if (Z_MODE(var_addr) == IS_REG) {
				if (Z_LVAL_P(zv) == 0) {
				if (Z_MODE(var_addr) == IS_REG) {
			dasm_put(Dst, 33822, (Z_REG(var_addr)));
				} else {
					ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 33825, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
			dasm_put(Dst, 33829, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 33833, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 33837, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 33841, (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 33845, (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
				}
				}
				} else {
				if (((uint64_t)(Z_LVAL_P(zv))) == 0) {
			dasm_put(Dst, 33849, (tmp_reg));
				} else if (((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
			dasm_put(Dst, 33852, (tmp_reg), ((uint64_t)(Z_LVAL_P(zv))));
				} else if (~((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
			dasm_put(Dst, 33856, (tmp_reg), (~((uint64_t)(Z_LVAL_P(zv)))));
				} else if ((uint64_t)(Z_LVAL_P(zv)) & 0xffff) {
			dasm_put(Dst, 33860, (tmp_reg), ((uint64_t)(Z_LVAL_P(zv)) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
			dasm_put(Dst, 33864, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 33868, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
			dasm_put(Dst, 33872, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
			dasm_put(Dst, 33876, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 33880, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
			dasm_put(Dst, 33884, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 33888, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
			dasm_put(Dst, 33892, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 33896, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
				if (Z_MODE(var_addr) == IS_REG) {
			dasm_put(Dst, 33900, (Z_REG(var_addr)), (tmp_reg));
				} else {
					ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 33904, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
			dasm_put(Dst, 33908, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 33912, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 33916, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 33920, (tmp_reg), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 33925, (tmp_reg), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
				}
				}
				}
				if (Z_MODE(res_addr) == IS_REG) {
			dasm_put(Dst, 33930, (Z_REG(res_addr)), (Z_REG(var_addr)));
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 33934, (tmp_reg), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 33938, (tmp_reg), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 33942, (tmp_reg), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 33946, (tmp_reg), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 33950, (Z_REG(var_addr)), (Z_REG(res_addr)), (tmp_reg));
				} else {
			dasm_put(Dst, 33955, (Z_REG(var_addr)), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
						} else if (Z_MODE(res_addr) == IS_REG) {
				if (Z_LVAL_P(zv) == 0) {
				if (Z_MODE(res_addr) == IS_REG) {
			dasm_put(Dst, 33960, (Z_REG(res_addr)));
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 33963, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 33967, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 33971, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 33975, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 33979, (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 33983, (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
				} else {
				if (((uint64_t)(Z_LVAL_P(zv))) == 0) {
			dasm_put(Dst, 33987, (tmp_reg));
				} else if (((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
			dasm_put(Dst, 33990, (tmp_reg), ((uint64_t)(Z_LVAL_P(zv))));
				} else if (~((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
			dasm_put(Dst, 33994, (tmp_reg), (~((uint64_t)(Z_LVAL_P(zv)))));
				} else if ((uint64_t)(Z_LVAL_P(zv)) & 0xffff) {
			dasm_put(Dst, 33998, (tmp_reg), ((uint64_t)(Z_LVAL_P(zv)) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
			dasm_put(Dst, 34002, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 34006, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
			dasm_put(Dst, 34010, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
			dasm_put(Dst, 34014, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 34018, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
			dasm_put(Dst, 34022, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 34026, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
			dasm_put(Dst, 34030, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 34034, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
				if (Z_MODE(res_addr) == IS_REG) {
			dasm_put(Dst, 34038, (Z_REG(res_addr)), (tmp_reg));
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 34042, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 34046, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 34050, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 34054, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 34058, (tmp_reg), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 34063, (tmp_reg), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
				}
				if (Z_MODE(var_addr) == IS_REG) {
			dasm_put(Dst, 34068, (Z_REG(var_addr)), (Z_REG(res_addr)));
				} else {
					ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 34072, (tmp_reg), ((uint32_t)(Z_OFFSET(var_addr))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
			dasm_put(Dst, 34076, (tmp_reg), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 34080, (tmp_reg), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 34084, (tmp_reg), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 34088, (Z_REG(res_addr)), (Z_REG(var_addr)), (tmp_reg));
				} else {
			dasm_put(Dst, 34093, (Z_REG(res_addr)), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
				}
				}
						} else {
				if (Z_LVAL_P(zv) == 0) {
				if (Z_MODE(var_addr) == IS_REG) {
			dasm_put(Dst, 34098, (Z_REG(var_addr)));
				} else {
					ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 34101, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
			dasm_put(Dst, 34105, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 34109, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 34113, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 34117, (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 34121, (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
				}
				}
				} else {
				if (((uint64_t)(Z_LVAL_P(zv))) == 0) {
			dasm_put(Dst, 34125, (tmp_reg));
				} else if (((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
			dasm_put(Dst, 34128, (tmp_reg), ((uint64_t)(Z_LVAL_P(zv))));
				} else if (~((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
			dasm_put(Dst, 34132, (tmp_reg), (~((uint64_t)(Z_LVAL_P(zv)))));
				} else if ((uint64_t)(Z_LVAL_P(zv)) & 0xffff) {
			dasm_put(Dst, 34136, (tmp_reg), ((uint64_t)(Z_LVAL_P(zv)) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
			dasm_put(Dst, 34140, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 34144, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
			dasm_put(Dst, 34148, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
			dasm_put(Dst, 34152, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 34156, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
			dasm_put(Dst, 34160, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 34164, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
			dasm_put(Dst, 34168, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 34172, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
				if (Z_MODE(var_addr) == IS_REG) {
			dasm_put(Dst, 34176, (Z_REG(var_addr)), (tmp_reg));
				} else {
					ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 34180, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
			dasm_put(Dst, 34184, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 34188, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 34192, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 34196, (tmp_reg), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 34201, (tmp_reg), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
				}
				}
				}
				if (Z_LVAL_P(zv) == 0) {
				if (Z_MODE(res_addr) == IS_REG) {
			dasm_put(Dst, 34206, (Z_REG(res_addr)));
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 34209, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 34213, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 34217, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 34221, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 34225, (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 34229, (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
				} else {
				if (((uint64_t)(Z_LVAL_P(zv))) == 0) {
			dasm_put(Dst, 34233, (tmp_reg));
				} else if (((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
			dasm_put(Dst, 34236, (tmp_reg), ((uint64_t)(Z_LVAL_P(zv))));
				} else if (~((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
			dasm_put(Dst, 34240, (tmp_reg), (~((uint64_t)(Z_LVAL_P(zv)))));
				} else if ((uint64_t)(Z_LVAL_P(zv)) & 0xffff) {
			dasm_put(Dst, 34244, (tmp_reg), ((uint64_t)(Z_LVAL_P(zv)) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
			dasm_put(Dst, 34248, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 34252, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
			dasm_put(Dst, 34256, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
			dasm_put(Dst, 34260, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 34264, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
			dasm_put(Dst, 34268, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 34272, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
			dasm_put(Dst, 34276, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 34280, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
				if (Z_MODE(res_addr) == IS_REG) {
			dasm_put(Dst, 34284, (Z_REG(res_addr)), (tmp_reg));
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 34288, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 34292, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 34296, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 34300, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 34304, (tmp_reg), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 34309, (tmp_reg), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
				}
						}
					}
				}
				if (Z_MODE(var_addr) == IS_MEM_ZVAL) {
					if (var_def_info == MAY_BE_DOUBLE) {
						if ((var_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != MAY_BE_DOUBLE) {
				ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(IS_DOUBLE)) <= MOVZ_IMM) {
			dasm_put(Dst, 34314, (tmp_reg), ((uint32_t)(IS_DOUBLE)));
				} else if (((uint32_t)(IS_DOUBLE) & 0xffff)) {
			dasm_put(Dst, 34318, (tmp_reg), ((uint32_t)(IS_DOUBLE) & 0xffff));
					if ((((uint32_t)(IS_DOUBLE) >> 16) & 0xffff)) {
			dasm_put(Dst, 34322, (tmp_reg), (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 34326, (tmp_reg), (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 34330, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 34334, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 34338, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 34342, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 34346, (tmp_reg), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 34351, (tmp_reg), (Z_REG(var_addr)), (Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)));
				}
						}
					} else if (((var_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (1<<Z_TYPE_P(zv))) || (var_info & (MAY_BE_STRING|MAY_BE_ARRAY)) != 0) {
				ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(Z_TYPE_INFO_P(zv))) <= MOVZ_IMM) {
			dasm_put(Dst, 34356, (tmp_reg), ((uint32_t)(Z_TYPE_INFO_P(zv))));
				} else if (((uint32_t)(Z_TYPE_INFO_P(zv)) & 0xffff)) {
			dasm_put(Dst, 34360, (tmp_reg), ((uint32_t)(Z_TYPE_INFO_P(zv)) & 0xffff));
					if ((((uint32_t)(Z_TYPE_INFO_P(zv)) >> 16) & 0xffff)) {
			dasm_put(Dst, 34364, (tmp_reg), (((uint32_t)(Z_TYPE_INFO_P(zv)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 34368, (tmp_reg), (((uint32_t)(Z_TYPE_INFO_P(zv)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 34372, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 34376, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 34380, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 34384, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 34388, (tmp_reg), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 34393, (tmp_reg), (Z_REG(var_addr)), (Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)));
				}
					}
				}
				if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
					if (var_def_info == MAY_BE_DOUBLE) {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(IS_DOUBLE)) <= MOVZ_IMM) {
			dasm_put(Dst, 34398, (tmp_reg), ((uint32_t)(IS_DOUBLE)));
				} else if (((uint32_t)(IS_DOUBLE) & 0xffff)) {
			dasm_put(Dst, 34402, (tmp_reg), ((uint32_t)(IS_DOUBLE) & 0xffff));
					if ((((uint32_t)(IS_DOUBLE) >> 16) & 0xffff)) {
			dasm_put(Dst, 34406, (tmp_reg), (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 34410, (tmp_reg), (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 34414, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 34418, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 34422, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 34426, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 34430, (tmp_reg), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 34435, (tmp_reg), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
					} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(Z_TYPE_INFO_P(zv))) <= MOVZ_IMM) {
			dasm_put(Dst, 34440, (tmp_reg), ((uint32_t)(Z_TYPE_INFO_P(zv))));
				} else if (((uint32_t)(Z_TYPE_INFO_P(zv)) & 0xffff)) {
			dasm_put(Dst, 34444, (tmp_reg), ((uint32_t)(Z_TYPE_INFO_P(zv)) & 0xffff));
					if ((((uint32_t)(Z_TYPE_INFO_P(zv)) >> 16) & 0xffff)) {
			dasm_put(Dst, 34448, (tmp_reg), (((uint32_t)(Z_TYPE_INFO_P(zv)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 34452, (tmp_reg), (((uint32_t)(Z_TYPE_INFO_P(zv)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 34456, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 34460, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 34464, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 34468, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 34472, (tmp_reg), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 34477, (tmp_reg), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
					}
				}
#line 5602 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (Z_REFCOUNTED_P(zv)) {
			if (!res_addr) {
				//|	ADDREF_CONST zv, TMP1, TMP2
					if (((uintptr_t)(Z_PTR_P(zv))) == 0) {
				dasm_put(Dst, 34482);
					} else if (((uintptr_t)(Z_PTR_P(zv))) <= MOVZ_IMM) {
				dasm_put(Dst, 34484, ((uint64_t)(Z_PTR_P(zv))));
					} else if (arm64_may_use_adr((void*)(Z_PTR_P(zv)))) {
				dasm_put(Dst, 34487, (unsigned int)((ptrdiff_t)(Z_PTR_P(zv))), (unsigned int)(((ptrdiff_t)(Z_PTR_P(zv)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_PTR_P(zv)))) {
				dasm_put(Dst, 34490, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_PTR_P(zv)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_PTR_P(zv))))))>>32));
						if (((uintptr_t)(Z_PTR_P(zv))) & 0xfff) {
				dasm_put(Dst, 34493, (((uintptr_t)(Z_PTR_P(zv))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_PTR_P(zv)) & 0xffff) {
				dasm_put(Dst, 34496, ((uintptr_t)(Z_PTR_P(zv)) & 0xffff));
						if (((uintptr_t)(Z_PTR_P(zv)) >> 16) & 0xffff) {
				dasm_put(Dst, 34499, (((uintptr_t)(Z_PTR_P(zv)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff) {
				dasm_put(Dst, 34502, (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_PTR_P(zv)) >> 16) & 0xffff) {
				dasm_put(Dst, 34505, (((uintptr_t)(Z_PTR_P(zv)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff) {
				dasm_put(Dst, 34508, (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 34511, (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff));
					}
				dasm_put(Dst, 34514);
#line 5606 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	ADDREF_CONST_2 zv, TMP1, TMP2
					if (((uintptr_t)(Z_PTR_P(zv))) == 0) {
				dasm_put(Dst, 34518);
					} else if (((uintptr_t)(Z_PTR_P(zv))) <= MOVZ_IMM) {
				dasm_put(Dst, 34520, ((uint64_t)(Z_PTR_P(zv))));
					} else if (arm64_may_use_adr((void*)(Z_PTR_P(zv)))) {
				dasm_put(Dst, 34523, (unsigned int)((ptrdiff_t)(Z_PTR_P(zv))), (unsigned int)(((ptrdiff_t)(Z_PTR_P(zv)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_PTR_P(zv)))) {
				dasm_put(Dst, 34526, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_PTR_P(zv)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_PTR_P(zv))))))>>32));
						if (((uintptr_t)(Z_PTR_P(zv))) & 0xfff) {
				dasm_put(Dst, 34529, (((uintptr_t)(Z_PTR_P(zv))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_PTR_P(zv)) & 0xffff) {
				dasm_put(Dst, 34532, ((uintptr_t)(Z_PTR_P(zv)) & 0xffff));
						if (((uintptr_t)(Z_PTR_P(zv)) >> 16) & 0xffff) {
				dasm_put(Dst, 34535, (((uintptr_t)(Z_PTR_P(zv)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff) {
				dasm_put(Dst, 34538, (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_PTR_P(zv)) >> 16) & 0xffff) {
				dasm_put(Dst, 34541, (((uintptr_t)(Z_PTR_P(zv)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff) {
				dasm_put(Dst, 34544, (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 34547, (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff));
					}
				dasm_put(Dst, 34550);
#line 5608 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
	} else {
		if (val_info & MAY_BE_UNDEF) {
			if (in_cold) {
				//|	IF_NOT_ZVAL_TYPE val_addr, IS_UNDEF, >2, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 34554, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 34558, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 34562, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 34566, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 34570, (ZREG_X15), (Z_REG(val_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 34575, (ZREG_X15), (Z_REG(val_addr)), (Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_UNDEF == 0) {
				dasm_put(Dst, 34580, (ZREG_X15));
					} else {
				dasm_put(Dst, 34584, (ZREG_X15), IS_UNDEF);
					}
#line 5614 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	IF_ZVAL_TYPE val_addr, IS_UNDEF, >1, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 34590, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 34594, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 34598, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 34602, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 34606, (ZREG_X15), (Z_REG(val_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 34611, (ZREG_X15), (Z_REG(val_addr)), (Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_UNDEF == 0) {
				dasm_put(Dst, 34616, (ZREG_X15));
					} else {
				dasm_put(Dst, 34620, (ZREG_X15), IS_UNDEF);
					}
#line 5616 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|.cold_code
				dasm_put(Dst, 34626);
#line 5617 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|1:
				dasm_put(Dst, 34627);
#line 5618 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	// zend_error(E_WARNING, "Undefined variable $%s", ZSTR_VAL(CV_DEF_OF(EX_VAR_TO_NUM(opline->op1.var))));
			if (save_r1) {
				//|	str FCARG1x, T1	// save
				dasm_put(Dst, 34629);
#line 5622 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	SET_ZVAL_TYPE_INFO var_addr, IS_NULL, TMP1w, TMP2
				ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(IS_NULL)) <= MOVZ_IMM) {
			dasm_put(Dst, 34631, ((uint32_t)(IS_NULL)));
				} else if (((uint32_t)(IS_NULL) & 0xffff)) {
			dasm_put(Dst, 34634, ((uint32_t)(IS_NULL) & 0xffff));
					if ((((uint32_t)(IS_NULL) >> 16) & 0xffff)) {
			dasm_put(Dst, 34637, (((uint32_t)(IS_NULL) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 34640, (((uint32_t)(IS_NULL) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 34643, ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 34646, ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 34649, (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 34652, (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 34655, (Z_REG(var_addr)));
				} else {
			dasm_put(Dst, 34658, (Z_REG(var_addr)), (Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)));
				}
#line 5624 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (res_addr) {
				//|	SET_ZVAL_TYPE_INFO res_addr, IS_NULL, TMP1w, TMP2
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uint32_t)(IS_NULL)) <= MOVZ_IMM) {
				dasm_put(Dst, 34662, ((uint32_t)(IS_NULL)));
					} else if (((uint32_t)(IS_NULL) & 0xffff)) {
				dasm_put(Dst, 34665, ((uint32_t)(IS_NULL) & 0xffff));
						if ((((uint32_t)(IS_NULL) >> 16) & 0xffff)) {
				dasm_put(Dst, 34668, (((uint32_t)(IS_NULL) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 34671, (((uint32_t)(IS_NULL) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 34674, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 34677, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 34680, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 34683, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 34686, (Z_REG(res_addr)));
					} else {
				dasm_put(Dst, 34689, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
					}
#line 5626 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if (opline) {
				//|	SET_EX_OPLINE opline, Rx(tmp_reg)
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 34693, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 34696, (tmp_reg));
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 34699, (tmp_reg), ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 34703, (tmp_reg), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 34707, (tmp_reg), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 34711, (tmp_reg), (tmp_reg), (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 34716, (tmp_reg), ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 34720, (tmp_reg), (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 34724, (tmp_reg), (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 34728, (tmp_reg), (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 34732, (tmp_reg), (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 34736, (tmp_reg), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 34740, (tmp_reg), Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
#line 5629 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL && Z_REG(val_addr) == ZREG_FP);
			//|	LOAD_32BIT_VAL FCARG1w, Z_OFFSET(val_addr)
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 34744, ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 34747, ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 34750, (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 34753, (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
#line 5632 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	EXT_CALL zend_jit_undefined_op_helper, REG0
				if (arm64_may_use_b(zend_jit_undefined_op_helper)) {
			dasm_put(Dst, 34756, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
				} else {
				if (((uintptr_t)(zend_jit_undefined_op_helper)) == 0) {
			dasm_put(Dst, 34759);
				} else if (((uintptr_t)(zend_jit_undefined_op_helper)) <= MOVZ_IMM) {
			dasm_put(Dst, 34761, ((uint64_t)(zend_jit_undefined_op_helper)));
				} else if (arm64_may_use_adr((void*)(zend_jit_undefined_op_helper))) {
			dasm_put(Dst, 34764, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_undefined_op_helper))) {
			dasm_put(Dst, 34767, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper)))))>>32));
					if (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff) {
			dasm_put(Dst, 34770, (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff) {
			dasm_put(Dst, 34773, ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff));
					if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 34776, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 34779, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 34782, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 34785, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 34788, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
				}
			dasm_put(Dst, 34791);
				}
#line 5633 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (check_exception) {
				//|	cbz RETVALx, ->exception_handler_undef
				dasm_put(Dst, 34793);
#line 5635 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if (save_r1) {
				//|	ldr FCARG1x, T1	// restore
				dasm_put(Dst, 34796);
#line 5638 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	b >3
			dasm_put(Dst, 34798);
#line 5640 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (in_cold) {
				//|2:
				dasm_put(Dst, 34801);
#line 5642 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|.code
				dasm_put(Dst, 34803);
#line 5644 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
		if (val_info & MAY_BE_REF) {
			if (val_type == IS_CV) {
				ZEND_ASSERT(Z_REG(var_addr) != ZREG_REG2);
				if (Z_MODE(val_addr) != IS_MEM_ZVAL || Z_REG(val_addr) != ZREG_REG2 || Z_OFFSET(val_addr) != 0) {
					//|	LOAD_ZVAL_ADDR REG2, val_addr
						if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
						if (((uintptr_t)(Z_ZV(val_addr))) == 0) {
					dasm_put(Dst, 34804);
						} else if (((uintptr_t)(Z_ZV(val_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 34806, ((uint64_t)(Z_ZV(val_addr))));
						} else if (arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
					dasm_put(Dst, 34809, (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32));
						} else if (arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
					dasm_put(Dst, 34812, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32));
							if (((uintptr_t)(Z_ZV(val_addr))) & 0xfff) {
					dasm_put(Dst, 34815, (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
							}
						} else if ((uintptr_t)(Z_ZV(val_addr)) & 0xffff) {
					dasm_put(Dst, 34818, ((uintptr_t)(Z_ZV(val_addr)) & 0xffff));
							if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 34821, (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 34824, (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 34827, (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
							if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 34830, (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 34833, (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
						}
						} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
							if (Z_OFFSET(val_addr)) {
						if (Z_OFFSET(val_addr) == 0) {
					dasm_put(Dst, 34836, (Z_REG(val_addr)));
						} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(val_addr)))) {
					dasm_put(Dst, 34839, (Z_REG(val_addr)), Z_OFFSET(val_addr));
						} else {
						if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 34843, ((uint32_t)(Z_OFFSET(val_addr))));
						} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
					dasm_put(Dst, 34846, ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 34849, (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 34852, (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 34855, (Z_REG(val_addr)));
						}
							} else {
								if (Z_REG(val_addr) == ZREG_RSP) {
					dasm_put(Dst, 34858);
								} else {
					dasm_put(Dst, 34860, (Z_REG(val_addr)));
								}
							}
						} else {
							ZEND_UNREACHABLE();
						}
#line 5651 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|	ZVAL_DEREF REG2, val_info, TMP1w
					if (val_info & MAY_BE_REF) {
				dasm_put(Dst, 34863, offsetof(zval, u1.v.type));
					if (IS_REFERENCE == 0) {
				dasm_put(Dst, 34866);
					} else {
				dasm_put(Dst, 34869, IS_REFERENCE);
					}
				dasm_put(Dst, 34874, offsetof(zend_reference, val));
					}
#line 5653 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				val_addr = ZEND_ADDR_MEM_ZVAL(ZREG_REG2, 0);
			} else {
				zend_jit_addr ref_addr;

				if (in_cold) {
					//|	IF_NOT_ZVAL_TYPE val_addr, IS_REFERENCE, >1, ZREG_TMP1
						ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 34879, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 34883, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 34887, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 34891, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 34895, (ZREG_X15), (Z_REG(val_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 34900, (ZREG_X15), (Z_REG(val_addr)), (Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)));
						}
						if (IS_REFERENCE == 0) {
					dasm_put(Dst, 34905, (ZREG_X15));
						} else {
					dasm_put(Dst, 34909, (ZREG_X15), IS_REFERENCE);
						}
#line 5659 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	IF_ZVAL_TYPE val_addr, IS_REFERENCE, >1, ZREG_TMP1
						ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 34915, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 34919, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 34923, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 34927, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 34931, (ZREG_X15), (Z_REG(val_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 34936, (ZREG_X15), (Z_REG(val_addr)), (Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)));
						}
						if (IS_REFERENCE == 0) {
					dasm_put(Dst, 34941, (ZREG_X15));
						} else {
					dasm_put(Dst, 34945, (ZREG_X15), IS_REFERENCE);
						}
#line 5661 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|.cold_code
					dasm_put(Dst, 34951);
#line 5662 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|1:
					dasm_put(Dst, 34952);
#line 5663 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				if (Z_REG(val_addr) == ZREG_REG2) {
					//|	str REG2, T1 // save
					dasm_put(Dst, 34954);
#line 5666 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|	// zend_refcounted *ref = Z_COUNTED_P(retval_ptr);
				//|	GET_ZVAL_PTR REG2, val_addr, TMP1
					ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 34956, ((uint32_t)(Z_OFFSET(val_addr))));
					} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
				dasm_put(Dst, 34959, ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 34962, (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 34965, (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 34968, (Z_REG(val_addr)));
					} else {
				dasm_put(Dst, 34971, (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
					}
#line 5669 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	GC_DELREF REG2, TMP1w
				//|	// ZVAL_COPY_VALUE(return_value, &ref->val);
				dasm_put(Dst, 34975);
#line 5671 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_REG2, offsetof(zend_reference, val));
				if (!res_addr) {
					//|	ZVAL_COPY_VALUE var_addr, var_info, ref_addr, val_info, ZREG_REG2, tmp_reg, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
						if (val_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
							if ((val_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
								if (Z_MODE(ref_addr) == IS_REG) {
									if (Z_MODE(var_addr) != IS_REG || Z_REG(var_addr) != Z_REG(ref_addr)) {
						if (Z_MODE(var_addr) == IS_REG) {
					dasm_put(Dst, 34979, (Z_REG(var_addr)), (Z_REG(ref_addr)));
						} else {
							ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 34983, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
						} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
					dasm_put(Dst, 34987, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 34991, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 34995, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 34999, (Z_REG(ref_addr)), (Z_REG(var_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 35004, (Z_REG(ref_addr)), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
						}
						}
									}
								} else if (Z_MODE(var_addr) == IS_REG) {
						if (Z_MODE(ref_addr) == IS_CONST_ZVAL) {
							if (Z_LVAL_P(Z_ZV(ref_addr)) == 0) {
					dasm_put(Dst, 35009, (Z_REG(var_addr)));
							} else {
						if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))) == 0) {
					dasm_put(Dst, 35012, (Z_REG(var_addr)));
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))) <= MOVZ_IMM) {
					dasm_put(Dst, 35015, (Z_REG(var_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))));
						} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))) <= MOVZ_IMM) {
					dasm_put(Dst, 35019, (Z_REG(var_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))))));
						} else if ((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) & 0xffff) {
					dasm_put(Dst, 35023, (Z_REG(var_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) & 0xffff));
							if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff) {
					dasm_put(Dst, 35027, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff));
							}
							if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 35031, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff));
							}
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 35035, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
							}
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff) {
					dasm_put(Dst, 35039, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff));
							if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 35043, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff));
							}
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 35047, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
							}
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 35051, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff));
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 35055, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
							}
						} else {
					dasm_put(Dst, 35059, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
						}
							}
						} else if (Z_MODE(ref_addr) == IS_MEM_ZVAL) {
						if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 35063, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr))));
						} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
					dasm_put(Dst, 35067, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 35071, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 35075, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 35079, (Z_REG(var_addr)), (Z_REG(ref_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 35084, (Z_REG(var_addr)), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
						}
						} else if (Z_MODE(ref_addr) == IS_REG) {
							if (Z_REG(var_addr) != Z_REG(ref_addr)) {
					dasm_put(Dst, 35089, (Z_REG(var_addr)), (Z_REG(ref_addr)));
							}
						} else {
							ZEND_UNREACHABLE();
						}
								} else {
						if (Z_MODE(ref_addr) == IS_CONST_ZVAL) {
							if (Z_LVAL_P(Z_ZV(ref_addr)) == 0) {
					dasm_put(Dst, 35093, (tmp_reg));
							} else {
						if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))) == 0) {
					dasm_put(Dst, 35096, (tmp_reg));
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))) <= MOVZ_IMM) {
					dasm_put(Dst, 35099, (tmp_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))));
						} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))) <= MOVZ_IMM) {
					dasm_put(Dst, 35103, (tmp_reg), (~((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))))));
						} else if ((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) & 0xffff) {
					dasm_put(Dst, 35107, (tmp_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) & 0xffff));
							if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff) {
					dasm_put(Dst, 35111, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff));
							}
							if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 35115, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff));
							}
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 35119, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
							}
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff) {
					dasm_put(Dst, 35123, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff));
							if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 35127, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff));
							}
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 35131, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
							}
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 35135, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff));
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 35139, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
							}
						} else {
					dasm_put(Dst, 35143, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
						}
							}
						} else if (Z_MODE(ref_addr) == IS_MEM_ZVAL) {
						if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 35147, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr))));
						} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
					dasm_put(Dst, 35151, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 35155, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 35159, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 35163, (tmp_reg), (Z_REG(ref_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 35168, (tmp_reg), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
						}
						} else if (Z_MODE(ref_addr) == IS_REG) {
							if (tmp_reg != Z_REG(ref_addr)) {
					dasm_put(Dst, 35173, (tmp_reg), (Z_REG(ref_addr)));
							}
						} else {
							ZEND_UNREACHABLE();
						}
						if (Z_MODE(var_addr) == IS_REG) {
					dasm_put(Dst, 35177, (Z_REG(var_addr)), (tmp_reg));
						} else {
							ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 35181, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
						} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
					dasm_put(Dst, 35185, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 35189, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 35193, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 35197, (tmp_reg), (Z_REG(var_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 35202, (tmp_reg), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
						}
						}
								}
							} else if ((val_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
								if (Z_MODE(ref_addr) == IS_REG) {
						if (Z_MODE(var_addr) == IS_REG) {
							if (Z_REG(ref_addr) != Z_REG(var_addr)) {
					dasm_put(Dst, 35207, (Z_REG(var_addr)-ZREG_V0), (Z_REG(ref_addr)-ZREG_V0));
							}
						} else {
							ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 35211, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
						} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
					dasm_put(Dst, 35215, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 35219, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 35223, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 35227, (Z_REG(ref_addr)-ZREG_V0), (Z_REG(var_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 35232, (Z_REG(ref_addr)-ZREG_V0), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
						}
						}
								} else if (Z_MODE(var_addr) == IS_REG) {
						if (Z_MODE(ref_addr) != IS_REG || Z_REG(var_addr) != Z_REG(ref_addr)) {
							if (Z_MODE(ref_addr) == IS_CONST_ZVAL) {
						if (((uintptr_t)(Z_ZV(ref_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(ref_addr)))) {
					dasm_put(Dst, 35237, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(ref_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(ref_addr)))>>32), (Z_REG(var_addr)-ZREG_V0), (ZREG_X15));
						} else if (((uintptr_t)(Z_ZV(ref_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(ref_addr)))) {
					dasm_put(Dst, 35244, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr))))))>>32), (Z_REG(var_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr))) & 0xfff));
						} else {
						if (((uintptr_t)(Z_ZV(ref_addr))) == 0) {
					dasm_put(Dst, 35252, (ZREG_X15));
						} else if (((uintptr_t)(Z_ZV(ref_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 35255, (ZREG_X15), ((uint64_t)(Z_ZV(ref_addr))));
						} else if (arm64_may_use_adr((void*)(Z_ZV(ref_addr)))) {
					dasm_put(Dst, 35259, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(ref_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(ref_addr)))>>32));
						} else if (arm64_may_use_adrp((void*)(Z_ZV(ref_addr)))) {
					dasm_put(Dst, 35263, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr))))))>>32));
							if (((uintptr_t)(Z_ZV(ref_addr))) & 0xfff) {
					dasm_put(Dst, 35267, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr))) & 0xfff));
							}
						} else if ((uintptr_t)(Z_ZV(ref_addr)) & 0xffff) {
					dasm_put(Dst, 35272, (ZREG_X15), ((uintptr_t)(Z_ZV(ref_addr)) & 0xffff));
							if (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 35276, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 35280, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 35284, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff));
							if (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 35288, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 35292, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff));
						}
					dasm_put(Dst, 35296, (Z_REG(var_addr)-ZREG_V0), (ZREG_X15));
						}
							} else if (Z_MODE(ref_addr) == IS_MEM_ZVAL) {
						if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 35300, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr))));
						} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
					dasm_put(Dst, 35304, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 35308, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 35312, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 35316, (Z_REG(var_addr)-ZREG_V0), (Z_REG(ref_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 35321, (Z_REG(var_addr)-ZREG_V0), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
						}
							} else if (Z_MODE(ref_addr) == IS_REG) {
					dasm_put(Dst, 35326, (Z_REG(var_addr)-ZREG_V0), (Z_REG(ref_addr)-ZREG_V0));
							} else {
								ZEND_UNREACHABLE();
							}
						}
								} else {
						if (Z_MODE(ref_addr) != IS_REG || ZREG_V0 != Z_REG(ref_addr)) {
							if (Z_MODE(ref_addr) == IS_CONST_ZVAL) {
						if (((uintptr_t)(Z_ZV(ref_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(ref_addr)))) {
					dasm_put(Dst, 35330, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(ref_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(ref_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
						} else if (((uintptr_t)(Z_ZV(ref_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(ref_addr)))) {
					dasm_put(Dst, 35337, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr))) & 0xfff));
						} else {
						if (((uintptr_t)(Z_ZV(ref_addr))) == 0) {
					dasm_put(Dst, 35345, (ZREG_X15));
						} else if (((uintptr_t)(Z_ZV(ref_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 35348, (ZREG_X15), ((uint64_t)(Z_ZV(ref_addr))));
						} else if (arm64_may_use_adr((void*)(Z_ZV(ref_addr)))) {
					dasm_put(Dst, 35352, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(ref_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(ref_addr)))>>32));
						} else if (arm64_may_use_adrp((void*)(Z_ZV(ref_addr)))) {
					dasm_put(Dst, 35356, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr))))))>>32));
							if (((uintptr_t)(Z_ZV(ref_addr))) & 0xfff) {
					dasm_put(Dst, 35360, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr))) & 0xfff));
							}
						} else if ((uintptr_t)(Z_ZV(ref_addr)) & 0xffff) {
					dasm_put(Dst, 35365, (ZREG_X15), ((uintptr_t)(Z_ZV(ref_addr)) & 0xffff));
							if (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 35369, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 35373, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 35377, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff));
							if (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 35381, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 35385, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff));
						}
					dasm_put(Dst, 35389, (ZREG_V0-ZREG_V0), (ZREG_X15));
						}
							} else if (Z_MODE(ref_addr) == IS_MEM_ZVAL) {
						if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 35393, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr))));
						} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
					dasm_put(Dst, 35397, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 35401, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 35405, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 35409, (ZREG_V0-ZREG_V0), (Z_REG(ref_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 35414, (ZREG_V0-ZREG_V0), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
						}
							} else if (Z_MODE(ref_addr) == IS_REG) {
					dasm_put(Dst, 35419, (ZREG_V0-ZREG_V0), (Z_REG(ref_addr)-ZREG_V0));
							} else {
								ZEND_UNREACHABLE();
							}
						}
						if (Z_MODE(var_addr) == IS_REG) {
							if (ZREG_V0 != Z_REG(var_addr)) {
					dasm_put(Dst, 35423, (Z_REG(var_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
							}
						} else {
							ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 35427, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
						} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
					dasm_put(Dst, 35431, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 35435, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 35439, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 35443, (ZREG_V0-ZREG_V0), (Z_REG(var_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 35448, (ZREG_V0-ZREG_V0), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
						}
						}
								}
							// Combine the following two branches.
							// } else if (!(val_info & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
							} else {
						ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 35453, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr))));
						} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
					dasm_put(Dst, 35457, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 35461, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 35465, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 35469, (tmp_reg), (Z_REG(ref_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 35474, (tmp_reg), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
						}
						ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 35479, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
						} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
					dasm_put(Dst, 35483, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 35487, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 35491, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 35495, (tmp_reg), (Z_REG(var_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 35500, (tmp_reg), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
						}
							}
						}
						if ((val_info & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
							!(val_info & MAY_BE_GUARD) &&
							has_concrete_type(val_info & MAY_BE_ANY)) {
							if (Z_MODE(var_addr) == IS_MEM_ZVAL) {
								if ((var_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (val_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD))) {
									uint32_t type = concrete_type(val_info);
						ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
						if (((uint32_t)(type)) <= MOVZ_IMM) {
					dasm_put(Dst, 35505, (ZREG_X15), ((uint32_t)(type)));
						} else if (((uint32_t)(type) & 0xffff)) {
					dasm_put(Dst, 35509, (ZREG_X15), ((uint32_t)(type) & 0xffff));
							if ((((uint32_t)(type) >> 16) & 0xffff)) {
					dasm_put(Dst, 35513, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 35517, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 35521, (ZREG_X16), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 35525, (ZREG_X16), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 35529, (ZREG_X16), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 35533, (ZREG_X16), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 35537, (ZREG_X15), (Z_REG(var_addr)), (ZREG_X16));
						} else {
					dasm_put(Dst, 35542, (ZREG_X15), (Z_REG(var_addr)), (Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)));
						}
								}
							}
						} else {
						ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 35547, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 35551, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 35555, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 35559, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 35563, (ZREG_X10), (Z_REG(ref_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 35568, (ZREG_X10), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)));
						}
						ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 35573, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 35577, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 35581, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 35585, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 35589, (ZREG_X10), (Z_REG(var_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 35594, (ZREG_X10), (Z_REG(var_addr)), (Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)));
						}
						}
#line 5674 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	ZVAL_COPY_VALUE_2 var_addr, var_info, res_addr, ref_addr, val_info, ZREG_REG2, tmp_reg, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
						if (val_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
							if ((val_info & MAY_BE_ANY) == MAY_BE_LONG) {
								if (Z_MODE(ref_addr) == IS_REG) {
									if (Z_MODE(var_addr) != IS_REG || Z_REG(var_addr) != Z_REG(ref_addr)) {
						if (Z_MODE(var_addr) == IS_REG) {
					dasm_put(Dst, 35599, (Z_REG(var_addr)), (Z_REG(ref_addr)));
						} else {
							ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 35603, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
						} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
					dasm_put(Dst, 35607, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 35611, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 35615, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 35619, (Z_REG(ref_addr)), (Z_REG(var_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 35624, (Z_REG(ref_addr)), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
						}
						}
									}
									if (Z_MODE(res_addr) != IS_REG || Z_REG(res_addr) != Z_REG(ref_addr)) {
						if (Z_MODE(res_addr) == IS_REG) {
					dasm_put(Dst, 35629, (Z_REG(res_addr)), (Z_REG(ref_addr)));
						} else {
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 35633, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
					dasm_put(Dst, 35637, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 35641, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 35645, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 35649, (Z_REG(ref_addr)), (Z_REG(res_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 35654, (Z_REG(ref_addr)), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
						}
						}
									}
								} else if (Z_MODE(var_addr) == IS_REG) {
						if (Z_MODE(ref_addr) == IS_CONST_ZVAL) {
							if (Z_LVAL_P(Z_ZV(ref_addr)) == 0) {
					dasm_put(Dst, 35659, (Z_REG(var_addr)));
							} else {
						if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))) == 0) {
					dasm_put(Dst, 35662, (Z_REG(var_addr)));
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))) <= MOVZ_IMM) {
					dasm_put(Dst, 35665, (Z_REG(var_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))));
						} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))) <= MOVZ_IMM) {
					dasm_put(Dst, 35669, (Z_REG(var_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))))));
						} else if ((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) & 0xffff) {
					dasm_put(Dst, 35673, (Z_REG(var_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) & 0xffff));
							if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff) {
					dasm_put(Dst, 35677, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff));
							}
							if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 35681, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff));
							}
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 35685, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
							}
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff) {
					dasm_put(Dst, 35689, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff));
							if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 35693, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff));
							}
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 35697, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
							}
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 35701, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff));
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 35705, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
							}
						} else {
					dasm_put(Dst, 35709, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
						}
							}
						} else if (Z_MODE(ref_addr) == IS_MEM_ZVAL) {
						if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 35713, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr))));
						} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
					dasm_put(Dst, 35717, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 35721, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 35725, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 35729, (Z_REG(var_addr)), (Z_REG(ref_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 35734, (Z_REG(var_addr)), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
						}
						} else if (Z_MODE(ref_addr) == IS_REG) {
							if (Z_REG(var_addr) != Z_REG(ref_addr)) {
					dasm_put(Dst, 35739, (Z_REG(var_addr)), (Z_REG(ref_addr)));
							}
						} else {
							ZEND_UNREACHABLE();
						}
									if (Z_MODE(res_addr) != IS_REG || Z_REG(res_addr) != Z_REG(var_addr)) {
						if (Z_MODE(res_addr) == IS_REG) {
					dasm_put(Dst, 35743, (Z_REG(res_addr)), (Z_REG(var_addr)));
						} else {
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 35747, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
					dasm_put(Dst, 35751, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 35755, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 35759, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 35763, (Z_REG(var_addr)), (Z_REG(res_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 35768, (Z_REG(var_addr)), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
						}
						}
									}
								} else if (Z_MODE(res_addr) == IS_REG) {
						if (Z_MODE(ref_addr) == IS_CONST_ZVAL) {
							if (Z_LVAL_P(Z_ZV(ref_addr)) == 0) {
					dasm_put(Dst, 35773, (Z_REG(res_addr)));
							} else {
						if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))) == 0) {
					dasm_put(Dst, 35776, (Z_REG(res_addr)));
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))) <= MOVZ_IMM) {
					dasm_put(Dst, 35779, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))));
						} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))) <= MOVZ_IMM) {
					dasm_put(Dst, 35783, (Z_REG(res_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))))));
						} else if ((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) & 0xffff) {
					dasm_put(Dst, 35787, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) & 0xffff));
							if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff) {
					dasm_put(Dst, 35791, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff));
							}
							if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 35795, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff));
							}
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 35799, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
							}
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff) {
					dasm_put(Dst, 35803, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff));
							if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 35807, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff));
							}
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 35811, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
							}
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 35815, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff));
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 35819, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
							}
						} else {
					dasm_put(Dst, 35823, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
						}
							}
						} else if (Z_MODE(ref_addr) == IS_MEM_ZVAL) {
						if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 35827, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr))));
						} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
					dasm_put(Dst, 35831, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 35835, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 35839, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 35843, (Z_REG(res_addr)), (Z_REG(ref_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 35848, (Z_REG(res_addr)), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
						}
						} else if (Z_MODE(ref_addr) == IS_REG) {
							if (Z_REG(res_addr) != Z_REG(ref_addr)) {
					dasm_put(Dst, 35853, (Z_REG(res_addr)), (Z_REG(ref_addr)));
							}
						} else {
							ZEND_UNREACHABLE();
						}
						if (Z_MODE(var_addr) == IS_REG) {
					dasm_put(Dst, 35857, (Z_REG(var_addr)), (Z_REG(res_addr)));
						} else {
							ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 35861, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
						} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
					dasm_put(Dst, 35865, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 35869, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 35873, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 35877, (Z_REG(res_addr)), (Z_REG(var_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 35882, (Z_REG(res_addr)), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
						}
						}
								} else {
						if (Z_MODE(ref_addr) == IS_CONST_ZVAL) {
							if (Z_LVAL_P(Z_ZV(ref_addr)) == 0) {
					dasm_put(Dst, 35887, (tmp_reg));
							} else {
						if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))) == 0) {
					dasm_put(Dst, 35890, (tmp_reg));
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))) <= MOVZ_IMM) {
					dasm_put(Dst, 35893, (tmp_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))));
						} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))) <= MOVZ_IMM) {
					dasm_put(Dst, 35897, (tmp_reg), (~((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))))));
						} else if ((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) & 0xffff) {
					dasm_put(Dst, 35901, (tmp_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) & 0xffff));
							if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff) {
					dasm_put(Dst, 35905, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff));
							}
							if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 35909, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff));
							}
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 35913, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
							}
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff) {
					dasm_put(Dst, 35917, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff));
							if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 35921, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff));
							}
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 35925, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
							}
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 35929, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff));
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 35933, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
							}
						} else {
					dasm_put(Dst, 35937, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
						}
							}
						} else if (Z_MODE(ref_addr) == IS_MEM_ZVAL) {
						if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 35941, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr))));
						} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
					dasm_put(Dst, 35945, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 35949, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 35953, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 35957, (tmp_reg), (Z_REG(ref_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 35962, (tmp_reg), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
						}
						} else if (Z_MODE(ref_addr) == IS_REG) {
							if (tmp_reg != Z_REG(ref_addr)) {
					dasm_put(Dst, 35967, (tmp_reg), (Z_REG(ref_addr)));
							}
						} else {
							ZEND_UNREACHABLE();
						}
						if (Z_MODE(var_addr) == IS_REG) {
					dasm_put(Dst, 35971, (Z_REG(var_addr)), (tmp_reg));
						} else {
							ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 35975, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
						} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
					dasm_put(Dst, 35979, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 35983, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 35987, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 35991, (tmp_reg), (Z_REG(var_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 35996, (tmp_reg), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
						}
						}
						if (Z_MODE(res_addr) == IS_REG) {
					dasm_put(Dst, 36001, (Z_REG(res_addr)), (tmp_reg));
						} else {
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 36005, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
					dasm_put(Dst, 36009, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 36013, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 36017, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 36021, (tmp_reg), (Z_REG(res_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 36026, (tmp_reg), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
						}
						}
								}
							} else if ((val_info & MAY_BE_ANY) == MAY_BE_DOUBLE) {
								if (Z_MODE(ref_addr) == IS_REG) {
						if (Z_MODE(var_addr) == IS_REG) {
							if (Z_REG(ref_addr) != Z_REG(var_addr)) {
					dasm_put(Dst, 36031, (Z_REG(var_addr)-ZREG_V0), (Z_REG(ref_addr)-ZREG_V0));
							}
						} else {
							ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 36035, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
						} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
					dasm_put(Dst, 36039, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 36043, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 36047, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 36051, (Z_REG(ref_addr)-ZREG_V0), (Z_REG(var_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 36056, (Z_REG(ref_addr)-ZREG_V0), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
						}
						}
						if (Z_MODE(res_addr) == IS_REG) {
							if (Z_REG(ref_addr) != Z_REG(res_addr)) {
					dasm_put(Dst, 36061, (Z_REG(res_addr)-ZREG_V0), (Z_REG(ref_addr)-ZREG_V0));
							}
						} else {
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 36065, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
					dasm_put(Dst, 36069, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 36073, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 36077, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 36081, (Z_REG(ref_addr)-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 36086, (Z_REG(ref_addr)-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
						}
						}
								} else if (Z_MODE(var_addr) == IS_REG) {
						if (Z_MODE(ref_addr) != IS_REG || Z_REG(var_addr) != Z_REG(ref_addr)) {
							if (Z_MODE(ref_addr) == IS_CONST_ZVAL) {
						if (((uintptr_t)(Z_ZV(ref_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(ref_addr)))) {
					dasm_put(Dst, 36091, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(ref_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(ref_addr)))>>32), (Z_REG(var_addr)-ZREG_V0), (ZREG_X15));
						} else if (((uintptr_t)(Z_ZV(ref_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(ref_addr)))) {
					dasm_put(Dst, 36098, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr))))))>>32), (Z_REG(var_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr))) & 0xfff));
						} else {
						if (((uintptr_t)(Z_ZV(ref_addr))) == 0) {
					dasm_put(Dst, 36106, (ZREG_X15));
						} else if (((uintptr_t)(Z_ZV(ref_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 36109, (ZREG_X15), ((uint64_t)(Z_ZV(ref_addr))));
						} else if (arm64_may_use_adr((void*)(Z_ZV(ref_addr)))) {
					dasm_put(Dst, 36113, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(ref_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(ref_addr)))>>32));
						} else if (arm64_may_use_adrp((void*)(Z_ZV(ref_addr)))) {
					dasm_put(Dst, 36117, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr))))))>>32));
							if (((uintptr_t)(Z_ZV(ref_addr))) & 0xfff) {
					dasm_put(Dst, 36121, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr))) & 0xfff));
							}
						} else if ((uintptr_t)(Z_ZV(ref_addr)) & 0xffff) {
					dasm_put(Dst, 36126, (ZREG_X15), ((uintptr_t)(Z_ZV(ref_addr)) & 0xffff));
							if (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 36130, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 36134, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 36138, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff));
							if (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 36142, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 36146, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff));
						}
					dasm_put(Dst, 36150, (Z_REG(var_addr)-ZREG_V0), (ZREG_X15));
						}
							} else if (Z_MODE(ref_addr) == IS_MEM_ZVAL) {
						if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 36154, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr))));
						} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
					dasm_put(Dst, 36158, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 36162, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 36166, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 36170, (Z_REG(var_addr)-ZREG_V0), (Z_REG(ref_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 36175, (Z_REG(var_addr)-ZREG_V0), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
						}
							} else if (Z_MODE(ref_addr) == IS_REG) {
					dasm_put(Dst, 36180, (Z_REG(var_addr)-ZREG_V0), (Z_REG(ref_addr)-ZREG_V0));
							} else {
								ZEND_UNREACHABLE();
							}
						}
						if (Z_MODE(res_addr) == IS_REG) {
							if (Z_REG(var_addr) != Z_REG(res_addr)) {
					dasm_put(Dst, 36184, (Z_REG(res_addr)-ZREG_V0), (Z_REG(var_addr)-ZREG_V0));
							}
						} else {
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 36188, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
					dasm_put(Dst, 36192, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 36196, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 36200, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 36204, (Z_REG(var_addr)-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 36209, (Z_REG(var_addr)-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
						}
						}
								} else if (Z_MODE(res_addr) == IS_REG) {
						if (Z_MODE(ref_addr) != IS_REG || Z_REG(res_addr) != Z_REG(ref_addr)) {
							if (Z_MODE(ref_addr) == IS_CONST_ZVAL) {
						if (((uintptr_t)(Z_ZV(ref_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(ref_addr)))) {
					dasm_put(Dst, 36214, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(ref_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(ref_addr)))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
						} else if (((uintptr_t)(Z_ZV(ref_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(ref_addr)))) {
					dasm_put(Dst, 36221, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr))))))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr))) & 0xfff));
						} else {
						if (((uintptr_t)(Z_ZV(ref_addr))) == 0) {
					dasm_put(Dst, 36229, (ZREG_X15));
						} else if (((uintptr_t)(Z_ZV(ref_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 36232, (ZREG_X15), ((uint64_t)(Z_ZV(ref_addr))));
						} else if (arm64_may_use_adr((void*)(Z_ZV(ref_addr)))) {
					dasm_put(Dst, 36236, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(ref_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(ref_addr)))>>32));
						} else if (arm64_may_use_adrp((void*)(Z_ZV(ref_addr)))) {
					dasm_put(Dst, 36240, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr))))))>>32));
							if (((uintptr_t)(Z_ZV(ref_addr))) & 0xfff) {
					dasm_put(Dst, 36244, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr))) & 0xfff));
							}
						} else if ((uintptr_t)(Z_ZV(ref_addr)) & 0xffff) {
					dasm_put(Dst, 36249, (ZREG_X15), ((uintptr_t)(Z_ZV(ref_addr)) & 0xffff));
							if (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 36253, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 36257, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 36261, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff));
							if (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 36265, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 36269, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff));
						}
					dasm_put(Dst, 36273, (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
						}
							} else if (Z_MODE(ref_addr) == IS_MEM_ZVAL) {
						if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 36277, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr))));
						} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
					dasm_put(Dst, 36281, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 36285, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 36289, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 36293, (Z_REG(res_addr)-ZREG_V0), (Z_REG(ref_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 36298, (Z_REG(res_addr)-ZREG_V0), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
						}
							} else if (Z_MODE(ref_addr) == IS_REG) {
					dasm_put(Dst, 36303, (Z_REG(res_addr)-ZREG_V0), (Z_REG(ref_addr)-ZREG_V0));
							} else {
								ZEND_UNREACHABLE();
							}
						}
						if (Z_MODE(var_addr) == IS_REG) {
							if (Z_REG(res_addr) != Z_REG(var_addr)) {
					dasm_put(Dst, 36307, (Z_REG(var_addr)-ZREG_V0), (Z_REG(res_addr)-ZREG_V0));
							}
						} else {
							ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 36311, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
						} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
					dasm_put(Dst, 36315, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 36319, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 36323, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 36327, (Z_REG(res_addr)-ZREG_V0), (Z_REG(var_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 36332, (Z_REG(res_addr)-ZREG_V0), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
						}
						}
								} else {
						if (Z_MODE(ref_addr) != IS_REG || ZREG_V0 != Z_REG(ref_addr)) {
							if (Z_MODE(ref_addr) == IS_CONST_ZVAL) {
						if (((uintptr_t)(Z_ZV(ref_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(ref_addr)))) {
					dasm_put(Dst, 36337, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(ref_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(ref_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
						} else if (((uintptr_t)(Z_ZV(ref_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(ref_addr)))) {
					dasm_put(Dst, 36344, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr))) & 0xfff));
						} else {
						if (((uintptr_t)(Z_ZV(ref_addr))) == 0) {
					dasm_put(Dst, 36352, (ZREG_X15));
						} else if (((uintptr_t)(Z_ZV(ref_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 36355, (ZREG_X15), ((uint64_t)(Z_ZV(ref_addr))));
						} else if (arm64_may_use_adr((void*)(Z_ZV(ref_addr)))) {
					dasm_put(Dst, 36359, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(ref_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(ref_addr)))>>32));
						} else if (arm64_may_use_adrp((void*)(Z_ZV(ref_addr)))) {
					dasm_put(Dst, 36363, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr))))))>>32));
							if (((uintptr_t)(Z_ZV(ref_addr))) & 0xfff) {
					dasm_put(Dst, 36367, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr))) & 0xfff));
							}
						} else if ((uintptr_t)(Z_ZV(ref_addr)) & 0xffff) {
					dasm_put(Dst, 36372, (ZREG_X15), ((uintptr_t)(Z_ZV(ref_addr)) & 0xffff));
							if (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 36376, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 36380, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 36384, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff));
							if (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 36388, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 36392, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff));
						}
					dasm_put(Dst, 36396, (ZREG_V0-ZREG_V0), (ZREG_X15));
						}
							} else if (Z_MODE(ref_addr) == IS_MEM_ZVAL) {
						if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 36400, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr))));
						} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
					dasm_put(Dst, 36404, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 36408, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 36412, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 36416, (ZREG_V0-ZREG_V0), (Z_REG(ref_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 36421, (ZREG_V0-ZREG_V0), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
						}
							} else if (Z_MODE(ref_addr) == IS_REG) {
					dasm_put(Dst, 36426, (ZREG_V0-ZREG_V0), (Z_REG(ref_addr)-ZREG_V0));
							} else {
								ZEND_UNREACHABLE();
							}
						}
						if (Z_MODE(var_addr) == IS_REG) {
							if (ZREG_V0 != Z_REG(var_addr)) {
					dasm_put(Dst, 36430, (Z_REG(var_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
							}
						} else {
							ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 36434, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
						} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
					dasm_put(Dst, 36438, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 36442, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 36446, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 36450, (ZREG_V0-ZREG_V0), (Z_REG(var_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 36455, (ZREG_V0-ZREG_V0), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
						}
						}
						if (Z_MODE(res_addr) == IS_REG) {
							if (ZREG_V0 != Z_REG(res_addr)) {
					dasm_put(Dst, 36460, (Z_REG(res_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
							}
						} else {
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 36464, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
					dasm_put(Dst, 36468, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 36472, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 36476, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 36480, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 36485, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
						}
						}
								}
							} else {
						ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 36490, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr))));
						} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
					dasm_put(Dst, 36494, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 36498, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 36502, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 36506, (tmp_reg), (Z_REG(ref_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 36511, (tmp_reg), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
						}
						ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 36516, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
						} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
					dasm_put(Dst, 36520, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 36524, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 36528, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 36532, (tmp_reg), (Z_REG(var_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 36537, (tmp_reg), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
						}
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 36542, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
					dasm_put(Dst, 36546, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 36550, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 36554, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 36558, (tmp_reg), (Z_REG(res_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 36563, (tmp_reg), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
						}
							}
						}
						if ((val_info & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
						    has_concrete_type(val_info & MAY_BE_ANY)) {
							uint32_t type = concrete_type(val_info);
							if (Z_MODE(var_addr) == IS_MEM_ZVAL) {
								if ((var_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (val_info & (MAY_BE_ANY|MAY_BE_UNDEF))) {
						ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
						if (((uint32_t)(type)) <= MOVZ_IMM) {
					dasm_put(Dst, 36568, (ZREG_X15), ((uint32_t)(type)));
						} else if (((uint32_t)(type) & 0xffff)) {
					dasm_put(Dst, 36572, (ZREG_X15), ((uint32_t)(type) & 0xffff));
							if ((((uint32_t)(type) >> 16) & 0xffff)) {
					dasm_put(Dst, 36576, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 36580, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 36584, (ZREG_X16), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 36588, (ZREG_X16), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 36592, (ZREG_X16), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 36596, (ZREG_X16), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 36600, (ZREG_X15), (Z_REG(var_addr)), (ZREG_X16));
						} else {
					dasm_put(Dst, 36605, (ZREG_X15), (Z_REG(var_addr)), (Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)));
						}
								}
							}
							if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uint32_t)(type)) <= MOVZ_IMM) {
					dasm_put(Dst, 36610, (ZREG_X15), ((uint32_t)(type)));
						} else if (((uint32_t)(type) & 0xffff)) {
					dasm_put(Dst, 36614, (ZREG_X15), ((uint32_t)(type) & 0xffff));
							if ((((uint32_t)(type) >> 16) & 0xffff)) {
					dasm_put(Dst, 36618, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 36622, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 36626, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 36630, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 36634, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 36638, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 36642, (ZREG_X15), (Z_REG(res_addr)), (ZREG_X16));
						} else {
					dasm_put(Dst, 36647, (ZREG_X15), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
						}
							}
						} else {
						ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 36652, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 36656, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 36660, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 36664, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 36668, (ZREG_X10), (Z_REG(ref_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 36673, (ZREG_X10), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)));
						}
						ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 36678, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 36682, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 36686, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 36690, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 36694, (ZREG_X10), (Z_REG(var_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 36699, (ZREG_X10), (Z_REG(var_addr)), (Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)));
						}
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 36704, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 36708, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 36712, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 36716, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 36720, (ZREG_X10), (Z_REG(res_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 36725, (ZREG_X10), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
						}
						}
#line 5676 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|	beq >2 // GC_DELREF() reached zero
				//|	IF_NOT_REFCOUNTED REG2w, >3, TMP1w
				dasm_put(Dst, 36730);
					if ((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT) == 0) {
				dasm_put(Dst, 36733);
					} else if (logical_immediate_p((uint32_t)(IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT), 32)) {
				dasm_put(Dst, 36735, (IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT));
					} else {
					if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))) <= MOVZ_IMM) {
				dasm_put(Dst, 36738, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))));
					} else if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff)) {
				dasm_put(Dst, 36741, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff));
						if ((((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff)) {
				dasm_put(Dst, 36744, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 36747, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 36750);
					}
				dasm_put(Dst, 36752);
#line 5679 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				if (!res_addr) {
					//|	GC_ADDREF Rx(tmp_reg), TMP1w
					dasm_put(Dst, 36755, (tmp_reg), (tmp_reg));
#line 5681 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	GC_ADDREF_2 Rx(tmp_reg), TMP1w
					dasm_put(Dst, 36761, (tmp_reg), (tmp_reg));
#line 5683 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|	b >3
				//|2:
				dasm_put(Dst, 36767);
#line 5686 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				if (res_addr) {
					//|	IF_NOT_REFCOUNTED REG2w, >2, TMP1w
						if ((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT) == 0) {
					dasm_put(Dst, 36771);
						} else if (logical_immediate_p((uint32_t)(IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT), 32)) {
					dasm_put(Dst, 36773, (IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT));
						} else {
						if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))) <= MOVZ_IMM) {
					dasm_put(Dst, 36776, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))));
						} else if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff)) {
					dasm_put(Dst, 36779, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff));
							if ((((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff)) {
					dasm_put(Dst, 36782, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 36785, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 36788);
						}
#line 5688 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	GC_ADDREF Rx(tmp_reg), TMP1w
					//|2:
					dasm_put(Dst, 36790, (tmp_reg), (tmp_reg));
#line 5690 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				if (Z_REG(val_addr) == ZREG_REG2) {
					//|	ldr REG2, T1 // restore
					dasm_put(Dst, 36799);
#line 5693 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				if (save_r1) {
					//|	str FCARG1x, T1 // save
					dasm_put(Dst, 36801);
#line 5696 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|	GET_ZVAL_PTR FCARG1x, val_addr, TMP1
					ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 36803, ((uint32_t)(Z_OFFSET(val_addr))));
					} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
				dasm_put(Dst, 36806, ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 36809, (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 36812, (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 36815, (Z_REG(val_addr)));
					} else {
				dasm_put(Dst, 36818, (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
					}
#line 5698 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	EFREE_REFERENCE
				#if ZEND_DEBUG
				dasm_put(Dst, 36822);
					if (arm64_may_use_b(_efree)) {
				dasm_put(Dst, 36827, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
					} else {
					if (((uintptr_t)(_efree)) == 0) {
				dasm_put(Dst, 36830);
					} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
				dasm_put(Dst, 36832, ((uint64_t)(_efree)));
					} else if (arm64_may_use_adr((void*)(_efree))) {
				dasm_put(Dst, 36835, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
					} else if (arm64_may_use_adrp((void*)(_efree))) {
				dasm_put(Dst, 36838, (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
						if (((uintptr_t)(_efree)) & 0xfff) {
				dasm_put(Dst, 36841, (((uintptr_t)(_efree)) & 0xfff));
						}
					} else if ((uintptr_t)(_efree) & 0xffff) {
				dasm_put(Dst, 36844, ((uintptr_t)(_efree) & 0xffff));
						if (((uintptr_t)(_efree) >> 16) & 0xffff) {
				dasm_put(Dst, 36847, (((uintptr_t)(_efree) >> 16) & 0xffff));
						}
						if (((uintptr_t)(_efree) >> 32) & 0xffff) {
				dasm_put(Dst, 36850, (((uintptr_t)(_efree) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
				dasm_put(Dst, 36853, (((uintptr_t)(_efree) >> 16) & 0xffff));
						if (((uintptr_t)(_efree) >> 32) & 0xffff) {
				dasm_put(Dst, 36856, (((uintptr_t)(_efree) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 36859, (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				dasm_put(Dst, 36862);
					}
				#else
				#ifdef HAVE_BUILTIN_CONSTANT_P
					if (arm64_may_use_b(_efree_32)) {
				dasm_put(Dst, 36864, (unsigned int)((ptrdiff_t)(_efree_32)), (unsigned int)(((ptrdiff_t)(_efree_32))>>32));
					} else {
					if (((uintptr_t)(_efree_32)) == 0) {
				dasm_put(Dst, 36867);
					} else if (((uintptr_t)(_efree_32)) <= MOVZ_IMM) {
				dasm_put(Dst, 36869, ((uint64_t)(_efree_32)));
					} else if (arm64_may_use_adr((void*)(_efree_32))) {
				dasm_put(Dst, 36872, (unsigned int)((ptrdiff_t)(_efree_32)), (unsigned int)(((ptrdiff_t)(_efree_32))>>32));
					} else if (arm64_may_use_adrp((void*)(_efree_32))) {
				dasm_put(Dst, 36875, (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree_32))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree_32)))))>>32));
						if (((uintptr_t)(_efree_32)) & 0xfff) {
				dasm_put(Dst, 36878, (((uintptr_t)(_efree_32)) & 0xfff));
						}
					} else if ((uintptr_t)(_efree_32) & 0xffff) {
				dasm_put(Dst, 36881, ((uintptr_t)(_efree_32) & 0xffff));
						if (((uintptr_t)(_efree_32) >> 16) & 0xffff) {
				dasm_put(Dst, 36884, (((uintptr_t)(_efree_32) >> 16) & 0xffff));
						}
						if (((uintptr_t)(_efree_32) >> 32) & 0xffff) {
				dasm_put(Dst, 36887, (((uintptr_t)(_efree_32) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(_efree_32) >> 16) & 0xffff) {
				dasm_put(Dst, 36890, (((uintptr_t)(_efree_32) >> 16) & 0xffff));
						if (((uintptr_t)(_efree_32) >> 32) & 0xffff) {
				dasm_put(Dst, 36893, (((uintptr_t)(_efree_32) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 36896, (((uintptr_t)(_efree_32) >> 32) & 0xffff));
					}
				dasm_put(Dst, 36899);
					}
				#else
					if (arm64_may_use_b(_efree)) {
				dasm_put(Dst, 36901, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
					} else {
					if (((uintptr_t)(_efree)) == 0) {
				dasm_put(Dst, 36904);
					} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
				dasm_put(Dst, 36906, ((uint64_t)(_efree)));
					} else if (arm64_may_use_adr((void*)(_efree))) {
				dasm_put(Dst, 36909, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
					} else if (arm64_may_use_adrp((void*)(_efree))) {
				dasm_put(Dst, 36912, (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
						if (((uintptr_t)(_efree)) & 0xfff) {
				dasm_put(Dst, 36915, (((uintptr_t)(_efree)) & 0xfff));
						}
					} else if ((uintptr_t)(_efree) & 0xffff) {
				dasm_put(Dst, 36918, ((uintptr_t)(_efree) & 0xffff));
						if (((uintptr_t)(_efree) >> 16) & 0xffff) {
				dasm_put(Dst, 36921, (((uintptr_t)(_efree) >> 16) & 0xffff));
						}
						if (((uintptr_t)(_efree) >> 32) & 0xffff) {
				dasm_put(Dst, 36924, (((uintptr_t)(_efree) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
				dasm_put(Dst, 36927, (((uintptr_t)(_efree) >> 16) & 0xffff));
						if (((uintptr_t)(_efree) >> 32) & 0xffff) {
				dasm_put(Dst, 36930, (((uintptr_t)(_efree) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 36933, (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				dasm_put(Dst, 36936);
					}
				#endif
				#endif
#line 5699 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				if (save_r1) {
					//|	ldr FCARG1x, T1 // restore
					dasm_put(Dst, 36938);
#line 5701 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|	b >3
				dasm_put(Dst, 36940);
#line 5703 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				if (in_cold) {
					//|1:
					dasm_put(Dst, 36943);
#line 5705 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|.code
					dasm_put(Dst, 36945);
#line 5707 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			}
		}

		if (!res_addr) {
			//|	ZVAL_COPY_VALUE var_addr, var_info, val_addr, val_info, ZREG_REG2, tmp_reg, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
				if (val_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
					if ((val_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
						if (Z_MODE(val_addr) == IS_REG) {
							if (Z_MODE(var_addr) != IS_REG || Z_REG(var_addr) != Z_REG(val_addr)) {
				if (Z_MODE(var_addr) == IS_REG) {
			dasm_put(Dst, 36946, (Z_REG(var_addr)), (Z_REG(val_addr)));
				} else {
					ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 36950, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
			dasm_put(Dst, 36954, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 36958, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 36962, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 36966, (Z_REG(val_addr)), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 36971, (Z_REG(val_addr)), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
				}
				}
							}
						} else if (Z_MODE(var_addr) == IS_REG) {
				if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(val_addr)) == 0) {
			dasm_put(Dst, 36976, (Z_REG(var_addr)));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) == 0) {
			dasm_put(Dst, 36979, (Z_REG(var_addr)));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 36982, (Z_REG(var_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 36986, (Z_REG(var_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff) {
			dasm_put(Dst, 36990, (Z_REG(var_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 36994, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 36998, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 37002, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 37006, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 37010, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 37014, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 37018, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 37022, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 37026, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 37030, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 37034, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 37038, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 37042, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 37046, (Z_REG(var_addr)), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 37051, (Z_REG(var_addr)), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
				} else if (Z_MODE(val_addr) == IS_REG) {
					if (Z_REG(var_addr) != Z_REG(val_addr)) {
			dasm_put(Dst, 37056, (Z_REG(var_addr)), (Z_REG(val_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
						} else {
				if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(val_addr)) == 0) {
			dasm_put(Dst, 37060, (tmp_reg));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) == 0) {
			dasm_put(Dst, 37063, (tmp_reg));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 37066, (tmp_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 37070, (tmp_reg), (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff) {
			dasm_put(Dst, 37074, (tmp_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 37078, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 37082, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 37086, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 37090, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 37094, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 37098, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 37102, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 37106, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 37110, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 37114, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 37118, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 37122, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 37126, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 37130, (tmp_reg), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 37135, (tmp_reg), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
				} else if (Z_MODE(val_addr) == IS_REG) {
					if (tmp_reg != Z_REG(val_addr)) {
			dasm_put(Dst, 37140, (tmp_reg), (Z_REG(val_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
				if (Z_MODE(var_addr) == IS_REG) {
			dasm_put(Dst, 37144, (Z_REG(var_addr)), (tmp_reg));
				} else {
					ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 37148, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
			dasm_put(Dst, 37152, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 37156, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 37160, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 37164, (tmp_reg), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 37169, (tmp_reg), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
				}
				}
						}
					} else if ((val_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
						if (Z_MODE(val_addr) == IS_REG) {
				if (Z_MODE(var_addr) == IS_REG) {
					if (Z_REG(val_addr) != Z_REG(var_addr)) {
			dasm_put(Dst, 37174, (Z_REG(var_addr)-ZREG_V0), (Z_REG(val_addr)-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 37178, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
			dasm_put(Dst, 37182, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 37186, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 37190, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 37194, (Z_REG(val_addr)-ZREG_V0), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 37199, (Z_REG(val_addr)-ZREG_V0), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
				}
				}
						} else if (Z_MODE(var_addr) == IS_REG) {
				if (Z_MODE(val_addr) != IS_REG || Z_REG(var_addr) != Z_REG(val_addr)) {
					if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 37204, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32), (Z_REG(var_addr)-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 37211, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32), (Z_REG(var_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(val_addr))) == 0) {
			dasm_put(Dst, 37219, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 37222, (ZREG_X15), ((uint64_t)(Z_ZV(val_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 37226, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 37230, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(val_addr))) & 0xfff) {
			dasm_put(Dst, 37234, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(val_addr)) & 0xffff) {
			dasm_put(Dst, 37239, (ZREG_X15), ((uintptr_t)(Z_ZV(val_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 37243, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 37247, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 37251, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 37255, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 37259, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 37263, (Z_REG(var_addr)-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 37267, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 37271, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 37275, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 37279, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 37283, (Z_REG(var_addr)-ZREG_V0), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 37288, (Z_REG(var_addr)-ZREG_V0), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
					} else if (Z_MODE(val_addr) == IS_REG) {
			dasm_put(Dst, 37293, (Z_REG(var_addr)-ZREG_V0), (Z_REG(val_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
						} else {
				if (Z_MODE(val_addr) != IS_REG || ZREG_V0 != Z_REG(val_addr)) {
					if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 37297, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 37304, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(val_addr))) == 0) {
			dasm_put(Dst, 37312, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 37315, (ZREG_X15), ((uint64_t)(Z_ZV(val_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 37319, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 37323, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(val_addr))) & 0xfff) {
			dasm_put(Dst, 37327, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(val_addr)) & 0xffff) {
			dasm_put(Dst, 37332, (ZREG_X15), ((uintptr_t)(Z_ZV(val_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 37336, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 37340, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 37344, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 37348, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 37352, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 37356, (ZREG_V0-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 37360, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 37364, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 37368, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 37372, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 37376, (ZREG_V0-ZREG_V0), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 37381, (ZREG_V0-ZREG_V0), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
					} else if (Z_MODE(val_addr) == IS_REG) {
			dasm_put(Dst, 37386, (ZREG_V0-ZREG_V0), (Z_REG(val_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
				if (Z_MODE(var_addr) == IS_REG) {
					if (ZREG_V0 != Z_REG(var_addr)) {
			dasm_put(Dst, 37390, (Z_REG(var_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 37394, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
			dasm_put(Dst, 37398, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 37402, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 37406, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 37410, (ZREG_V0-ZREG_V0), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 37415, (ZREG_V0-ZREG_V0), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
				}
				}
						}
					// Combine the following two branches.
					// } else if (!(val_info & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
					} else {
				ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 37420, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 37424, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 37428, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 37432, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 37436, (tmp_reg), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 37441, (tmp_reg), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
				ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 37446, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
			dasm_put(Dst, 37450, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 37454, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 37458, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 37462, (tmp_reg), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 37467, (tmp_reg), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
				}
					}
				}
				if ((val_info & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
					!(val_info & MAY_BE_GUARD) &&
					has_concrete_type(val_info & MAY_BE_ANY)) {
					if (Z_MODE(var_addr) == IS_MEM_ZVAL) {
						if ((var_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (val_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD))) {
							uint32_t type = concrete_type(val_info);
				ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(type)) <= MOVZ_IMM) {
			dasm_put(Dst, 37472, (ZREG_X15), ((uint32_t)(type)));
				} else if (((uint32_t)(type) & 0xffff)) {
			dasm_put(Dst, 37476, (ZREG_X15), ((uint32_t)(type) & 0xffff));
					if ((((uint32_t)(type) >> 16) & 0xffff)) {
			dasm_put(Dst, 37480, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 37484, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 37488, (ZREG_X16), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 37492, (ZREG_X16), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 37496, (ZREG_X16), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 37500, (ZREG_X16), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 37504, (ZREG_X15), (Z_REG(var_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 37509, (ZREG_X15), (Z_REG(var_addr)), (Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)));
				}
						}
					}
				} else {
				ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 37514, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 37518, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 37522, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 37526, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 37530, (ZREG_X10), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 37535, (ZREG_X10), (Z_REG(val_addr)), (Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)));
				}
				ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 37540, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 37544, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 37548, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 37552, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 37556, (ZREG_X10), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 37561, (ZREG_X10), (Z_REG(var_addr)), (Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)));
				}
				}
#line 5713 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	ZVAL_COPY_VALUE_2 var_addr, var_info, res_addr, val_addr, val_info, ZREG_REG2, tmp_reg, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
				if (val_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
					if ((val_info & MAY_BE_ANY) == MAY_BE_LONG) {
						if (Z_MODE(val_addr) == IS_REG) {
							if (Z_MODE(var_addr) != IS_REG || Z_REG(var_addr) != Z_REG(val_addr)) {
				if (Z_MODE(var_addr) == IS_REG) {
			dasm_put(Dst, 37566, (Z_REG(var_addr)), (Z_REG(val_addr)));
				} else {
					ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 37570, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
			dasm_put(Dst, 37574, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 37578, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 37582, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 37586, (Z_REG(val_addr)), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 37591, (Z_REG(val_addr)), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
				}
				}
							}
							if (Z_MODE(res_addr) != IS_REG || Z_REG(res_addr) != Z_REG(val_addr)) {
				if (Z_MODE(res_addr) == IS_REG) {
			dasm_put(Dst, 37596, (Z_REG(res_addr)), (Z_REG(val_addr)));
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 37600, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 37604, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 37608, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 37612, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 37616, (Z_REG(val_addr)), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 37621, (Z_REG(val_addr)), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
							}
						} else if (Z_MODE(var_addr) == IS_REG) {
				if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(val_addr)) == 0) {
			dasm_put(Dst, 37626, (Z_REG(var_addr)));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) == 0) {
			dasm_put(Dst, 37629, (Z_REG(var_addr)));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 37632, (Z_REG(var_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 37636, (Z_REG(var_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff) {
			dasm_put(Dst, 37640, (Z_REG(var_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 37644, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 37648, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 37652, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 37656, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 37660, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 37664, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 37668, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 37672, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 37676, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 37680, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 37684, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 37688, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 37692, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 37696, (Z_REG(var_addr)), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 37701, (Z_REG(var_addr)), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
				} else if (Z_MODE(val_addr) == IS_REG) {
					if (Z_REG(var_addr) != Z_REG(val_addr)) {
			dasm_put(Dst, 37706, (Z_REG(var_addr)), (Z_REG(val_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
							if (Z_MODE(res_addr) != IS_REG || Z_REG(res_addr) != Z_REG(var_addr)) {
				if (Z_MODE(res_addr) == IS_REG) {
			dasm_put(Dst, 37710, (Z_REG(res_addr)), (Z_REG(var_addr)));
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 37714, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 37718, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 37722, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 37726, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 37730, (Z_REG(var_addr)), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 37735, (Z_REG(var_addr)), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
							}
						} else if (Z_MODE(res_addr) == IS_REG) {
				if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(val_addr)) == 0) {
			dasm_put(Dst, 37740, (Z_REG(res_addr)));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) == 0) {
			dasm_put(Dst, 37743, (Z_REG(res_addr)));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 37746, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 37750, (Z_REG(res_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff) {
			dasm_put(Dst, 37754, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 37758, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 37762, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 37766, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 37770, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 37774, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 37778, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 37782, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 37786, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 37790, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 37794, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 37798, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 37802, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 37806, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 37810, (Z_REG(res_addr)), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 37815, (Z_REG(res_addr)), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
				} else if (Z_MODE(val_addr) == IS_REG) {
					if (Z_REG(res_addr) != Z_REG(val_addr)) {
			dasm_put(Dst, 37820, (Z_REG(res_addr)), (Z_REG(val_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
				if (Z_MODE(var_addr) == IS_REG) {
			dasm_put(Dst, 37824, (Z_REG(var_addr)), (Z_REG(res_addr)));
				} else {
					ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 37828, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
			dasm_put(Dst, 37832, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 37836, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 37840, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 37844, (Z_REG(res_addr)), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 37849, (Z_REG(res_addr)), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
				}
				}
						} else {
				if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(val_addr)) == 0) {
			dasm_put(Dst, 37854, (tmp_reg));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) == 0) {
			dasm_put(Dst, 37857, (tmp_reg));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 37860, (tmp_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 37864, (tmp_reg), (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff) {
			dasm_put(Dst, 37868, (tmp_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 37872, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 37876, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 37880, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 37884, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 37888, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 37892, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 37896, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 37900, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 37904, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 37908, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 37912, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 37916, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 37920, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 37924, (tmp_reg), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 37929, (tmp_reg), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
				} else if (Z_MODE(val_addr) == IS_REG) {
					if (tmp_reg != Z_REG(val_addr)) {
			dasm_put(Dst, 37934, (tmp_reg), (Z_REG(val_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
				if (Z_MODE(var_addr) == IS_REG) {
			dasm_put(Dst, 37938, (Z_REG(var_addr)), (tmp_reg));
				} else {
					ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 37942, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
			dasm_put(Dst, 37946, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 37950, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 37954, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 37958, (tmp_reg), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 37963, (tmp_reg), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
				}
				}
				if (Z_MODE(res_addr) == IS_REG) {
			dasm_put(Dst, 37968, (Z_REG(res_addr)), (tmp_reg));
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 37972, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 37976, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 37980, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 37984, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 37988, (tmp_reg), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 37993, (tmp_reg), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
						}
					} else if ((val_info & MAY_BE_ANY) == MAY_BE_DOUBLE) {
						if (Z_MODE(val_addr) == IS_REG) {
				if (Z_MODE(var_addr) == IS_REG) {
					if (Z_REG(val_addr) != Z_REG(var_addr)) {
			dasm_put(Dst, 37998, (Z_REG(var_addr)-ZREG_V0), (Z_REG(val_addr)-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 38002, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
			dasm_put(Dst, 38006, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 38010, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 38014, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 38018, (Z_REG(val_addr)-ZREG_V0), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 38023, (Z_REG(val_addr)-ZREG_V0), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
				}
				}
				if (Z_MODE(res_addr) == IS_REG) {
					if (Z_REG(val_addr) != Z_REG(res_addr)) {
			dasm_put(Dst, 38028, (Z_REG(res_addr)-ZREG_V0), (Z_REG(val_addr)-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 38032, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 38036, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 38040, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 38044, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 38048, (Z_REG(val_addr)-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 38053, (Z_REG(val_addr)-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
						} else if (Z_MODE(var_addr) == IS_REG) {
				if (Z_MODE(val_addr) != IS_REG || Z_REG(var_addr) != Z_REG(val_addr)) {
					if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 38058, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32), (Z_REG(var_addr)-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 38065, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32), (Z_REG(var_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(val_addr))) == 0) {
			dasm_put(Dst, 38073, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 38076, (ZREG_X15), ((uint64_t)(Z_ZV(val_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 38080, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 38084, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(val_addr))) & 0xfff) {
			dasm_put(Dst, 38088, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(val_addr)) & 0xffff) {
			dasm_put(Dst, 38093, (ZREG_X15), ((uintptr_t)(Z_ZV(val_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 38097, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 38101, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 38105, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 38109, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 38113, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 38117, (Z_REG(var_addr)-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 38121, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 38125, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 38129, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 38133, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 38137, (Z_REG(var_addr)-ZREG_V0), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 38142, (Z_REG(var_addr)-ZREG_V0), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
					} else if (Z_MODE(val_addr) == IS_REG) {
			dasm_put(Dst, 38147, (Z_REG(var_addr)-ZREG_V0), (Z_REG(val_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
				if (Z_MODE(res_addr) == IS_REG) {
					if (Z_REG(var_addr) != Z_REG(res_addr)) {
			dasm_put(Dst, 38151, (Z_REG(res_addr)-ZREG_V0), (Z_REG(var_addr)-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 38155, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 38159, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 38163, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 38167, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 38171, (Z_REG(var_addr)-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 38176, (Z_REG(var_addr)-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
						} else if (Z_MODE(res_addr) == IS_REG) {
				if (Z_MODE(val_addr) != IS_REG || Z_REG(res_addr) != Z_REG(val_addr)) {
					if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 38181, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 38188, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(val_addr))) == 0) {
			dasm_put(Dst, 38196, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 38199, (ZREG_X15), ((uint64_t)(Z_ZV(val_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 38203, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 38207, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(val_addr))) & 0xfff) {
			dasm_put(Dst, 38211, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(val_addr)) & 0xffff) {
			dasm_put(Dst, 38216, (ZREG_X15), ((uintptr_t)(Z_ZV(val_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 38220, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 38224, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 38228, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 38232, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 38236, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 38240, (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 38244, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 38248, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 38252, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 38256, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 38260, (Z_REG(res_addr)-ZREG_V0), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 38265, (Z_REG(res_addr)-ZREG_V0), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
					} else if (Z_MODE(val_addr) == IS_REG) {
			dasm_put(Dst, 38270, (Z_REG(res_addr)-ZREG_V0), (Z_REG(val_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
				if (Z_MODE(var_addr) == IS_REG) {
					if (Z_REG(res_addr) != Z_REG(var_addr)) {
			dasm_put(Dst, 38274, (Z_REG(var_addr)-ZREG_V0), (Z_REG(res_addr)-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 38278, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
			dasm_put(Dst, 38282, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 38286, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 38290, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 38294, (Z_REG(res_addr)-ZREG_V0), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 38299, (Z_REG(res_addr)-ZREG_V0), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
				}
				}
						} else {
				if (Z_MODE(val_addr) != IS_REG || ZREG_V0 != Z_REG(val_addr)) {
					if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 38304, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 38311, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(val_addr))) == 0) {
			dasm_put(Dst, 38319, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 38322, (ZREG_X15), ((uint64_t)(Z_ZV(val_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 38326, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 38330, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(val_addr))) & 0xfff) {
			dasm_put(Dst, 38334, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(val_addr)) & 0xffff) {
			dasm_put(Dst, 38339, (ZREG_X15), ((uintptr_t)(Z_ZV(val_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 38343, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 38347, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 38351, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 38355, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 38359, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 38363, (ZREG_V0-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 38367, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 38371, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 38375, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 38379, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 38383, (ZREG_V0-ZREG_V0), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 38388, (ZREG_V0-ZREG_V0), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
					} else if (Z_MODE(val_addr) == IS_REG) {
			dasm_put(Dst, 38393, (ZREG_V0-ZREG_V0), (Z_REG(val_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
				if (Z_MODE(var_addr) == IS_REG) {
					if (ZREG_V0 != Z_REG(var_addr)) {
			dasm_put(Dst, 38397, (Z_REG(var_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 38401, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
			dasm_put(Dst, 38405, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 38409, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 38413, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 38417, (ZREG_V0-ZREG_V0), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 38422, (ZREG_V0-ZREG_V0), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
				}
				}
				if (Z_MODE(res_addr) == IS_REG) {
					if (ZREG_V0 != Z_REG(res_addr)) {
			dasm_put(Dst, 38427, (Z_REG(res_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 38431, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 38435, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 38439, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 38443, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 38447, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 38452, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
						}
					} else {
				ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 38457, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 38461, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 38465, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 38469, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 38473, (tmp_reg), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 38478, (tmp_reg), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
				ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 38483, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
			dasm_put(Dst, 38487, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 38491, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 38495, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 38499, (tmp_reg), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 38504, (tmp_reg), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
				}
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 38509, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 38513, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 38517, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 38521, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 38525, (tmp_reg), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 38530, (tmp_reg), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
					}
				}
				if ((val_info & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
				    has_concrete_type(val_info & MAY_BE_ANY)) {
					uint32_t type = concrete_type(val_info);
					if (Z_MODE(var_addr) == IS_MEM_ZVAL) {
						if ((var_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (val_info & (MAY_BE_ANY|MAY_BE_UNDEF))) {
				ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(type)) <= MOVZ_IMM) {
			dasm_put(Dst, 38535, (ZREG_X15), ((uint32_t)(type)));
				} else if (((uint32_t)(type) & 0xffff)) {
			dasm_put(Dst, 38539, (ZREG_X15), ((uint32_t)(type) & 0xffff));
					if ((((uint32_t)(type) >> 16) & 0xffff)) {
			dasm_put(Dst, 38543, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 38547, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 38551, (ZREG_X16), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 38555, (ZREG_X16), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 38559, (ZREG_X16), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 38563, (ZREG_X16), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 38567, (ZREG_X15), (Z_REG(var_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 38572, (ZREG_X15), (Z_REG(var_addr)), (Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)));
				}
						}
					}
					if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(type)) <= MOVZ_IMM) {
			dasm_put(Dst, 38577, (ZREG_X15), ((uint32_t)(type)));
				} else if (((uint32_t)(type) & 0xffff)) {
			dasm_put(Dst, 38581, (ZREG_X15), ((uint32_t)(type) & 0xffff));
					if ((((uint32_t)(type) >> 16) & 0xffff)) {
			dasm_put(Dst, 38585, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 38589, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 38593, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 38597, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 38601, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 38605, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 38609, (ZREG_X15), (Z_REG(res_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 38614, (ZREG_X15), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
					}
				} else {
				ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 38619, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 38623, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 38627, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 38631, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 38635, (ZREG_X10), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 38640, (ZREG_X10), (Z_REG(val_addr)), (Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)));
				}
				ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 38645, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 38649, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 38653, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 38657, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 38661, (ZREG_X10), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 38666, (ZREG_X10), (Z_REG(var_addr)), (Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)));
				}
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 38671, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 38675, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 38679, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 38683, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 38687, (ZREG_X10), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 38692, (ZREG_X10), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
				}
#line 5715 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}

		if (val_type == IS_CV) {
			if (!res_addr) {
				//|	TRY_ADDREF val_info, REG2w, Rx(tmp_reg), TMP1w
					if (val_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) {
						if (val_info & (MAY_BE_ANY-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if ((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT) == 0) {
				dasm_put(Dst, 38697);
					} else if (logical_immediate_p((uint32_t)(IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT), 32)) {
				dasm_put(Dst, 38699, (IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT));
					} else {
					if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))) <= MOVZ_IMM) {
				dasm_put(Dst, 38702, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))));
					} else if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff)) {
				dasm_put(Dst, 38705, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff));
						if ((((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff)) {
				dasm_put(Dst, 38708, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 38711, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 38714);
					}
				dasm_put(Dst, 38716);
						}
				dasm_put(Dst, 38719, (tmp_reg), (tmp_reg));
					}
#line 5720 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	TRY_ADDREF_2 val_info, REG2w, Rx(tmp_reg), TMP1w
					if (val_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) {
						if (val_info & (MAY_BE_ANY-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if ((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT) == 0) {
				dasm_put(Dst, 38726);
					} else if (logical_immediate_p((uint32_t)(IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT), 32)) {
				dasm_put(Dst, 38728, (IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT));
					} else {
					if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))) <= MOVZ_IMM) {
				dasm_put(Dst, 38731, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))));
					} else if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff)) {
				dasm_put(Dst, 38734, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff));
						if ((((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff)) {
				dasm_put(Dst, 38737, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 38740, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 38743);
					}
				dasm_put(Dst, 38745);
						}
				dasm_put(Dst, 38748, (tmp_reg), (tmp_reg));
					}
#line 5722 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else {
			if (res_addr) {
				//|	TRY_ADDREF val_info, REG2w, Rx(tmp_reg), TMP1w
					if (val_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) {
						if (val_info & (MAY_BE_ANY-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if ((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT) == 0) {
				dasm_put(Dst, 38755);
					} else if (logical_immediate_p((uint32_t)(IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT), 32)) {
				dasm_put(Dst, 38757, (IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT));
					} else {
					if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))) <= MOVZ_IMM) {
				dasm_put(Dst, 38760, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))));
					} else if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff)) {
				dasm_put(Dst, 38763, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff));
						if ((((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff)) {
				dasm_put(Dst, 38766, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 38769, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 38772);
					}
				dasm_put(Dst, 38774);
						}
				dasm_put(Dst, 38777, (tmp_reg), (tmp_reg));
					}
#line 5726 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
		//|3:
		dasm_put(Dst, 38784);
#line 5729 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	return 1;
}

static int zend_jit_assign_to_typed_ref(dasm_State         **Dst,
                                       const zend_op        *opline,
                                       zend_uchar            val_type,
                                       zend_jit_addr         val_addr,
                                       zend_jit_addr         res_addr,
                                       bool                  check_exception)
{
	//|	// if (UNEXPECTED(ZEND_REF_HAS_TYPE_SOURCES(Z_REF_P(variable_ptr)))) {
	//|	ldr TMP1, [FCARG1x, #offsetof(zend_reference, sources.ptr)]
	//|	cbnz TMP1, >2
	//|.cold_code
	dasm_put(Dst, 38786, offsetof(zend_reference, sources.ptr));
#line 5744 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|2:
	dasm_put(Dst, 38791);
#line 5745 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	if (Z_MODE(val_addr) != IS_MEM_ZVAL || Z_REG(val_addr) != ZREG_FCARG2 || Z_OFFSET(val_addr) != 0) {
		//|	LOAD_ZVAL_ADDR FCARG2x, val_addr
			if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(val_addr))) == 0) {
		dasm_put(Dst, 38793);
			} else if (((uintptr_t)(Z_ZV(val_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 38795, ((uint64_t)(Z_ZV(val_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
		dasm_put(Dst, 38798, (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
		dasm_put(Dst, 38801, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(val_addr))) & 0xfff) {
		dasm_put(Dst, 38804, (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(val_addr)) & 0xffff) {
		dasm_put(Dst, 38807, ((uintptr_t)(Z_ZV(val_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 38810, (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 38813, (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 38816, (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 38819, (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 38822, (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
			}
			} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (Z_OFFSET(val_addr)) {
			if (Z_OFFSET(val_addr) == 0) {
		dasm_put(Dst, 38825, (Z_REG(val_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(val_addr)))) {
		dasm_put(Dst, 38828, (Z_REG(val_addr)), Z_OFFSET(val_addr));
			} else {
			if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 38832, ((uint32_t)(Z_OFFSET(val_addr))));
			} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
		dasm_put(Dst, 38835, ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 38838, (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 38841, (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 38844, (Z_REG(val_addr)));
			}
				} else {
					if (Z_REG(val_addr) == ZREG_RSP) {
		dasm_put(Dst, 38847);
					} else {
		dasm_put(Dst, 38849, (Z_REG(val_addr)));
					}
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 5747 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	if (opline) {
		//|	SET_EX_OPLINE opline, REG0
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 38852, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 38855);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 38857, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 38860, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 38863, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 38866, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 38869, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 38872, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 38875, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 38878, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 38881, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 38884, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 38887, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
#line 5750 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	if (val_type == IS_CONST) {
		//|	EXT_CALL zend_jit_assign_const_to_typed_ref, REG0
			if (arm64_may_use_b(zend_jit_assign_const_to_typed_ref)) {
		dasm_put(Dst, 38890, (unsigned int)((ptrdiff_t)(zend_jit_assign_const_to_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_const_to_typed_ref))>>32));
			} else {
			if (((uintptr_t)(zend_jit_assign_const_to_typed_ref)) == 0) {
		dasm_put(Dst, 38893);
			} else if (((uintptr_t)(zend_jit_assign_const_to_typed_ref)) <= MOVZ_IMM) {
		dasm_put(Dst, 38895, ((uint64_t)(zend_jit_assign_const_to_typed_ref)));
			} else if (arm64_may_use_adr((void*)(zend_jit_assign_const_to_typed_ref))) {
		dasm_put(Dst, 38898, (unsigned int)((ptrdiff_t)(zend_jit_assign_const_to_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_const_to_typed_ref))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_assign_const_to_typed_ref))) {
		dasm_put(Dst, 38901, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_assign_const_to_typed_ref))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_assign_const_to_typed_ref)))))>>32));
				if (((uintptr_t)(zend_jit_assign_const_to_typed_ref)) & 0xfff) {
		dasm_put(Dst, 38904, (((uintptr_t)(zend_jit_assign_const_to_typed_ref)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_assign_const_to_typed_ref) & 0xffff) {
		dasm_put(Dst, 38907, ((uintptr_t)(zend_jit_assign_const_to_typed_ref) & 0xffff));
				if (((uintptr_t)(zend_jit_assign_const_to_typed_ref) >> 16) & 0xffff) {
		dasm_put(Dst, 38910, (((uintptr_t)(zend_jit_assign_const_to_typed_ref) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_assign_const_to_typed_ref) >> 32) & 0xffff) {
		dasm_put(Dst, 38913, (((uintptr_t)(zend_jit_assign_const_to_typed_ref) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_assign_const_to_typed_ref) >> 16) & 0xffff) {
		dasm_put(Dst, 38916, (((uintptr_t)(zend_jit_assign_const_to_typed_ref) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_assign_const_to_typed_ref) >> 32) & 0xffff) {
		dasm_put(Dst, 38919, (((uintptr_t)(zend_jit_assign_const_to_typed_ref) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 38922, (((uintptr_t)(zend_jit_assign_const_to_typed_ref) >> 32) & 0xffff));
			}
		dasm_put(Dst, 38925);
			}
#line 5753 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else if (val_type == IS_TMP_VAR) {
		//|	EXT_CALL zend_jit_assign_tmp_to_typed_ref, REG0
			if (arm64_may_use_b(zend_jit_assign_tmp_to_typed_ref)) {
		dasm_put(Dst, 38927, (unsigned int)((ptrdiff_t)(zend_jit_assign_tmp_to_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_tmp_to_typed_ref))>>32));
			} else {
			if (((uintptr_t)(zend_jit_assign_tmp_to_typed_ref)) == 0) {
		dasm_put(Dst, 38930);
			} else if (((uintptr_t)(zend_jit_assign_tmp_to_typed_ref)) <= MOVZ_IMM) {
		dasm_put(Dst, 38932, ((uint64_t)(zend_jit_assign_tmp_to_typed_ref)));
			} else if (arm64_may_use_adr((void*)(zend_jit_assign_tmp_to_typed_ref))) {
		dasm_put(Dst, 38935, (unsigned int)((ptrdiff_t)(zend_jit_assign_tmp_to_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_tmp_to_typed_ref))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_assign_tmp_to_typed_ref))) {
		dasm_put(Dst, 38938, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_assign_tmp_to_typed_ref))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_assign_tmp_to_typed_ref)))))>>32));
				if (((uintptr_t)(zend_jit_assign_tmp_to_typed_ref)) & 0xfff) {
		dasm_put(Dst, 38941, (((uintptr_t)(zend_jit_assign_tmp_to_typed_ref)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_assign_tmp_to_typed_ref) & 0xffff) {
		dasm_put(Dst, 38944, ((uintptr_t)(zend_jit_assign_tmp_to_typed_ref) & 0xffff));
				if (((uintptr_t)(zend_jit_assign_tmp_to_typed_ref) >> 16) & 0xffff) {
		dasm_put(Dst, 38947, (((uintptr_t)(zend_jit_assign_tmp_to_typed_ref) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_assign_tmp_to_typed_ref) >> 32) & 0xffff) {
		dasm_put(Dst, 38950, (((uintptr_t)(zend_jit_assign_tmp_to_typed_ref) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_assign_tmp_to_typed_ref) >> 16) & 0xffff) {
		dasm_put(Dst, 38953, (((uintptr_t)(zend_jit_assign_tmp_to_typed_ref) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_assign_tmp_to_typed_ref) >> 32) & 0xffff) {
		dasm_put(Dst, 38956, (((uintptr_t)(zend_jit_assign_tmp_to_typed_ref) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 38959, (((uintptr_t)(zend_jit_assign_tmp_to_typed_ref) >> 32) & 0xffff));
			}
		dasm_put(Dst, 38962);
			}
#line 5755 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else if (val_type == IS_VAR) {
		//|	EXT_CALL zend_jit_assign_var_to_typed_ref, REG0
			if (arm64_may_use_b(zend_jit_assign_var_to_typed_ref)) {
		dasm_put(Dst, 38964, (unsigned int)((ptrdiff_t)(zend_jit_assign_var_to_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_var_to_typed_ref))>>32));
			} else {
			if (((uintptr_t)(zend_jit_assign_var_to_typed_ref)) == 0) {
		dasm_put(Dst, 38967);
			} else if (((uintptr_t)(zend_jit_assign_var_to_typed_ref)) <= MOVZ_IMM) {
		dasm_put(Dst, 38969, ((uint64_t)(zend_jit_assign_var_to_typed_ref)));
			} else if (arm64_may_use_adr((void*)(zend_jit_assign_var_to_typed_ref))) {
		dasm_put(Dst, 38972, (unsigned int)((ptrdiff_t)(zend_jit_assign_var_to_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_var_to_typed_ref))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_assign_var_to_typed_ref))) {
		dasm_put(Dst, 38975, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_assign_var_to_typed_ref))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_assign_var_to_typed_ref)))))>>32));
				if (((uintptr_t)(zend_jit_assign_var_to_typed_ref)) & 0xfff) {
		dasm_put(Dst, 38978, (((uintptr_t)(zend_jit_assign_var_to_typed_ref)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_assign_var_to_typed_ref) & 0xffff) {
		dasm_put(Dst, 38981, ((uintptr_t)(zend_jit_assign_var_to_typed_ref) & 0xffff));
				if (((uintptr_t)(zend_jit_assign_var_to_typed_ref) >> 16) & 0xffff) {
		dasm_put(Dst, 38984, (((uintptr_t)(zend_jit_assign_var_to_typed_ref) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_assign_var_to_typed_ref) >> 32) & 0xffff) {
		dasm_put(Dst, 38987, (((uintptr_t)(zend_jit_assign_var_to_typed_ref) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_assign_var_to_typed_ref) >> 16) & 0xffff) {
		dasm_put(Dst, 38990, (((uintptr_t)(zend_jit_assign_var_to_typed_ref) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_assign_var_to_typed_ref) >> 32) & 0xffff) {
		dasm_put(Dst, 38993, (((uintptr_t)(zend_jit_assign_var_to_typed_ref) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 38996, (((uintptr_t)(zend_jit_assign_var_to_typed_ref) >> 32) & 0xffff));
			}
		dasm_put(Dst, 38999);
			}
#line 5757 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else if (val_type == IS_CV) {
		//|	EXT_CALL zend_jit_assign_cv_to_typed_ref, REG0
			if (arm64_may_use_b(zend_jit_assign_cv_to_typed_ref)) {
		dasm_put(Dst, 39001, (unsigned int)((ptrdiff_t)(zend_jit_assign_cv_to_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_cv_to_typed_ref))>>32));
			} else {
			if (((uintptr_t)(zend_jit_assign_cv_to_typed_ref)) == 0) {
		dasm_put(Dst, 39004);
			} else if (((uintptr_t)(zend_jit_assign_cv_to_typed_ref)) <= MOVZ_IMM) {
		dasm_put(Dst, 39006, ((uint64_t)(zend_jit_assign_cv_to_typed_ref)));
			} else if (arm64_may_use_adr((void*)(zend_jit_assign_cv_to_typed_ref))) {
		dasm_put(Dst, 39009, (unsigned int)((ptrdiff_t)(zend_jit_assign_cv_to_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_cv_to_typed_ref))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_assign_cv_to_typed_ref))) {
		dasm_put(Dst, 39012, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_assign_cv_to_typed_ref))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_assign_cv_to_typed_ref)))))>>32));
				if (((uintptr_t)(zend_jit_assign_cv_to_typed_ref)) & 0xfff) {
		dasm_put(Dst, 39015, (((uintptr_t)(zend_jit_assign_cv_to_typed_ref)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_assign_cv_to_typed_ref) & 0xffff) {
		dasm_put(Dst, 39018, ((uintptr_t)(zend_jit_assign_cv_to_typed_ref) & 0xffff));
				if (((uintptr_t)(zend_jit_assign_cv_to_typed_ref) >> 16) & 0xffff) {
		dasm_put(Dst, 39021, (((uintptr_t)(zend_jit_assign_cv_to_typed_ref) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_assign_cv_to_typed_ref) >> 32) & 0xffff) {
		dasm_put(Dst, 39024, (((uintptr_t)(zend_jit_assign_cv_to_typed_ref) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_assign_cv_to_typed_ref) >> 16) & 0xffff) {
		dasm_put(Dst, 39027, (((uintptr_t)(zend_jit_assign_cv_to_typed_ref) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_assign_cv_to_typed_ref) >> 32) & 0xffff) {
		dasm_put(Dst, 39030, (((uintptr_t)(zend_jit_assign_cv_to_typed_ref) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 39033, (((uintptr_t)(zend_jit_assign_cv_to_typed_ref) >> 32) & 0xffff));
			}
		dasm_put(Dst, 39036);
			}
#line 5759 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		ZEND_UNREACHABLE();
	}
	if (res_addr) {
		zend_jit_addr ret_addr = ZEND_ADDR_MEM_ZVAL(ZREG_X0, 0); // RETVAL

		//|	ZVAL_COPY_VALUE res_addr, -1, ret_addr, -1, ZREG_REG1, ZREG_REG2, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
			if (-1 & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
				if ((-1 & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
					if (Z_MODE(ret_addr) == IS_REG) {
						if (Z_MODE(res_addr) != IS_REG || Z_REG(res_addr) != Z_REG(ret_addr)) {
			if (Z_MODE(res_addr) == IS_REG) {
		dasm_put(Dst, 39038, (Z_REG(res_addr)), (Z_REG(ret_addr)));
			} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 39042, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 39046, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 39050, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 39054, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 39058, (Z_REG(ret_addr)), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 39063, (Z_REG(ret_addr)), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
			}
						}
					} else if (Z_MODE(res_addr) == IS_REG) {
			if (Z_MODE(ret_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(ret_addr)) == 0) {
		dasm_put(Dst, 39068, (Z_REG(res_addr)));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr)))) == 0) {
		dasm_put(Dst, 39071, (Z_REG(res_addr)));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 39074, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 39078, (Z_REG(res_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) & 0xffff) {
		dasm_put(Dst, 39082, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 39086, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 39090, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 39094, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 39098, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 39102, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 39106, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 39110, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 39114, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 39118, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(ret_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(ret_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ret_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 39122, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr))));
			} else if (((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff)) {
		dasm_put(Dst, 39126, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 39130, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 39134, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 39138, (Z_REG(res_addr)), (Z_REG(ret_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 39143, (Z_REG(res_addr)), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)));
			}
			} else if (Z_MODE(ret_addr) == IS_REG) {
				if (Z_REG(res_addr) != Z_REG(ret_addr)) {
		dasm_put(Dst, 39148, (Z_REG(res_addr)), (Z_REG(ret_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
					} else {
			if (Z_MODE(ret_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(ret_addr)) == 0) {
		dasm_put(Dst, 39152, (ZREG_X10));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr)))) == 0) {
		dasm_put(Dst, 39155, (ZREG_X10));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 39158, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 39162, (ZREG_X10), (~((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) & 0xffff) {
		dasm_put(Dst, 39166, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 39170, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 39174, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 39178, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 39182, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 39186, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 39190, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 39194, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 39198, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 39202, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(ret_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(ret_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ret_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 39206, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr))));
			} else if (((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff)) {
		dasm_put(Dst, 39210, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 39214, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 39218, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 39222, (ZREG_X10), (Z_REG(ret_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 39227, (ZREG_X10), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)));
			}
			} else if (Z_MODE(ret_addr) == IS_REG) {
				if (ZREG_X10 != Z_REG(ret_addr)) {
		dasm_put(Dst, 39232, (ZREG_X10), (Z_REG(ret_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
			if (Z_MODE(res_addr) == IS_REG) {
		dasm_put(Dst, 39236, (Z_REG(res_addr)), (ZREG_X10));
			} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 39240, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 39244, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 39248, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 39252, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 39256, (ZREG_X10), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 39261, (ZREG_X10), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
			}
					}
				} else if ((-1 & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
					if (Z_MODE(ret_addr) == IS_REG) {
			if (Z_MODE(res_addr) == IS_REG) {
				if (Z_REG(ret_addr) != Z_REG(res_addr)) {
		dasm_put(Dst, 39266, (Z_REG(res_addr)-ZREG_V0), (Z_REG(ret_addr)-ZREG_V0));
				}
			} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 39270, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 39274, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 39278, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 39282, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 39286, (Z_REG(ret_addr)-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 39291, (Z_REG(ret_addr)-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
			}
					} else if (Z_MODE(res_addr) == IS_REG) {
			if (Z_MODE(ret_addr) != IS_REG || Z_REG(res_addr) != Z_REG(ret_addr)) {
				if (Z_MODE(ret_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(ret_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(ret_addr)))) {
		dasm_put(Dst, 39296, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(ret_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(ret_addr)))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(ret_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(ret_addr)))) {
		dasm_put(Dst, 39303, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(ret_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(ret_addr))))))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(ret_addr))) & 0xfff));
			} else {
			if (((uintptr_t)(Z_ZV(ret_addr))) == 0) {
		dasm_put(Dst, 39311, (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(ret_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 39314, (ZREG_X15), ((uint64_t)(Z_ZV(ret_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(ret_addr)))) {
		dasm_put(Dst, 39318, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(ret_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(ret_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(ret_addr)))) {
		dasm_put(Dst, 39322, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(ret_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(ret_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(ret_addr))) & 0xfff) {
		dasm_put(Dst, 39326, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(ret_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(ret_addr)) & 0xffff) {
		dasm_put(Dst, 39331, (ZREG_X15), ((uintptr_t)(Z_ZV(ret_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(ret_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 39335, (ZREG_X15), (((uintptr_t)(Z_ZV(ret_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(ret_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 39339, (ZREG_X15), (((uintptr_t)(Z_ZV(ret_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(ret_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 39343, (ZREG_X15), (((uintptr_t)(Z_ZV(ret_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(ret_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 39347, (ZREG_X15), (((uintptr_t)(Z_ZV(ret_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 39351, (ZREG_X15), (((uintptr_t)(Z_ZV(ret_addr)) >> 32) & 0xffff));
			}
		dasm_put(Dst, 39355, (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
			}
				} else if (Z_MODE(ret_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(ret_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ret_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 39359, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr))));
			} else if (((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff)) {
		dasm_put(Dst, 39363, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 39367, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 39371, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 39375, (Z_REG(res_addr)-ZREG_V0), (Z_REG(ret_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 39380, (Z_REG(res_addr)-ZREG_V0), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)));
			}
				} else if (Z_MODE(ret_addr) == IS_REG) {
		dasm_put(Dst, 39385, (Z_REG(res_addr)-ZREG_V0), (Z_REG(ret_addr)-ZREG_V0));
				} else {
					ZEND_UNREACHABLE();
				}
			}
					} else {
			if (Z_MODE(ret_addr) != IS_REG || ZREG_V0 != Z_REG(ret_addr)) {
				if (Z_MODE(ret_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(ret_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(ret_addr)))) {
		dasm_put(Dst, 39389, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(ret_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(ret_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(ret_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(ret_addr)))) {
		dasm_put(Dst, 39396, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(ret_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(ret_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(ret_addr))) & 0xfff));
			} else {
			if (((uintptr_t)(Z_ZV(ret_addr))) == 0) {
		dasm_put(Dst, 39404, (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(ret_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 39407, (ZREG_X15), ((uint64_t)(Z_ZV(ret_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(ret_addr)))) {
		dasm_put(Dst, 39411, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(ret_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(ret_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(ret_addr)))) {
		dasm_put(Dst, 39415, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(ret_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(ret_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(ret_addr))) & 0xfff) {
		dasm_put(Dst, 39419, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(ret_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(ret_addr)) & 0xffff) {
		dasm_put(Dst, 39424, (ZREG_X15), ((uintptr_t)(Z_ZV(ret_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(ret_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 39428, (ZREG_X15), (((uintptr_t)(Z_ZV(ret_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(ret_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 39432, (ZREG_X15), (((uintptr_t)(Z_ZV(ret_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(ret_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 39436, (ZREG_X15), (((uintptr_t)(Z_ZV(ret_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(ret_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 39440, (ZREG_X15), (((uintptr_t)(Z_ZV(ret_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 39444, (ZREG_X15), (((uintptr_t)(Z_ZV(ret_addr)) >> 32) & 0xffff));
			}
		dasm_put(Dst, 39448, (ZREG_V0-ZREG_V0), (ZREG_X15));
			}
				} else if (Z_MODE(ret_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(ret_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ret_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 39452, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr))));
			} else if (((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff)) {
		dasm_put(Dst, 39456, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 39460, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 39464, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 39468, (ZREG_V0-ZREG_V0), (Z_REG(ret_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 39473, (ZREG_V0-ZREG_V0), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)));
			}
				} else if (Z_MODE(ret_addr) == IS_REG) {
		dasm_put(Dst, 39478, (ZREG_V0-ZREG_V0), (Z_REG(ret_addr)-ZREG_V0));
				} else {
					ZEND_UNREACHABLE();
				}
			}
			if (Z_MODE(res_addr) == IS_REG) {
				if (ZREG_V0 != Z_REG(res_addr)) {
		dasm_put(Dst, 39482, (Z_REG(res_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
				}
			} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 39486, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 39490, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 39494, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 39498, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 39502, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 39507, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
			}
					}
				// Combine the following two branches.
				// } else if (!(-1 & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
				} else {
			ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ret_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ret_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 39512, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr))));
			} else if (((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff)) {
		dasm_put(Dst, 39516, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 39520, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 39524, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 39528, (ZREG_X10), (Z_REG(ret_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 39533, (ZREG_X10), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)));
			}
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 39538, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 39542, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 39546, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 39550, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 39554, (ZREG_X10), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 39559, (ZREG_X10), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
				}
			}
			if ((-1 & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
				!(-1 & MAY_BE_GUARD) &&
				has_concrete_type(-1 & MAY_BE_ANY)) {
				if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
					if ((-1 & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (-1 & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD))) {
						uint32_t type = concrete_type(-1);
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uint32_t)(type)) <= MOVZ_IMM) {
		dasm_put(Dst, 39564, (ZREG_X15), ((uint32_t)(type)));
			} else if (((uint32_t)(type) & 0xffff)) {
		dasm_put(Dst, 39568, (ZREG_X15), ((uint32_t)(type) & 0xffff));
				if ((((uint32_t)(type) >> 16) & 0xffff)) {
		dasm_put(Dst, 39572, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 39576, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 39580, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 39584, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 39588, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 39592, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 39596, (ZREG_X15), (Z_REG(res_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 39601, (ZREG_X15), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
			}
					}
				}
			} else {
			ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 39606, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 39610, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 39614, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 39618, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 39622, (ZREG_X9), (Z_REG(ret_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 39627, (ZREG_X9), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)));
			}
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 39632, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 39636, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 39640, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 39644, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 39648, (ZREG_X9), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 39653, (ZREG_X9), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
			}
			}
#line 5766 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	TRY_ADDREF -1, REG1w, REG2, TMP1w
			if (-1 & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) {
				if (-1 & (MAY_BE_ANY-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
			if ((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT) == 0) {
		dasm_put(Dst, 39658);
			} else if (logical_immediate_p((uint32_t)(IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT), 32)) {
		dasm_put(Dst, 39660, (IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT));
			} else {
			if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))) <= MOVZ_IMM) {
		dasm_put(Dst, 39663, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))));
			} else if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff)) {
		dasm_put(Dst, 39666, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff));
				if ((((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff)) {
		dasm_put(Dst, 39669, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 39672, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 39675);
			}
		dasm_put(Dst, 39677);
				}
		dasm_put(Dst, 39680);
			}
#line 5767 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	if (check_exception) {
		//|	// if (UNEXPECTED(EG(exception) != NULL)) {
		//|	MEM_LOAD_64_ZTS ldr, REG0, executor_globals, exception, TMP1
			if (((uintptr_t)(&executor_globals.exception)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.exception))) {
		dasm_put(Dst, 39685, (unsigned int)((ptrdiff_t)(&executor_globals.exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.exception))>>32));
			} else if (((uintptr_t)(&executor_globals.exception)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.exception))) {
		dasm_put(Dst, 39689, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.exception)))))>>32), (((uintptr_t)(&executor_globals.exception)) & 0xfff));
			} else {
			if (((uintptr_t)(&executor_globals.exception)) == 0) {
		dasm_put(Dst, 39694);
			} else if (((uintptr_t)(&executor_globals.exception)) <= MOVZ_IMM) {
		dasm_put(Dst, 39696, ((uint64_t)(&executor_globals.exception)));
			} else if (arm64_may_use_adr((void*)(&executor_globals.exception))) {
		dasm_put(Dst, 39699, (unsigned int)((ptrdiff_t)(&executor_globals.exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.exception))>>32));
			} else if (arm64_may_use_adrp((void*)(&executor_globals.exception))) {
		dasm_put(Dst, 39702, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.exception)))))>>32));
				if (((uintptr_t)(&executor_globals.exception)) & 0xfff) {
		dasm_put(Dst, 39705, (((uintptr_t)(&executor_globals.exception)) & 0xfff));
				}
			} else if ((uintptr_t)(&executor_globals.exception) & 0xffff) {
		dasm_put(Dst, 39708, ((uintptr_t)(&executor_globals.exception) & 0xffff));
				if (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff) {
		dasm_put(Dst, 39711, (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff));
				}
				if (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff) {
		dasm_put(Dst, 39714, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff) {
		dasm_put(Dst, 39717, (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff));
				if (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff) {
		dasm_put(Dst, 39720, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 39723, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
			}
		dasm_put(Dst, 39726);
			}
#line 5771 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	cbz REG0, >8  // END OF zend_jit_assign_to_variable()
		//|	b ->exception_handler
		dasm_put(Dst, 39728);
#line 5773 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		//|	b >8
		dasm_put(Dst, 39733);
#line 5775 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	//|.code
	dasm_put(Dst, 39736);
#line 5777 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	return 1;
}

static int zend_jit_assign_to_variable_call(dasm_State    **Dst,
                                            const zend_op  *opline,
                                            zend_jit_addr   __var_use_addr,
                                            zend_jit_addr   var_addr,
                                            uint32_t        __var_info,
                                            uint32_t        __var_def_info,
                                            zend_uchar      val_type,
                                            zend_jit_addr   val_addr,
                                            uint32_t        val_info,
                                            zend_jit_addr   __res_addr,
                                            bool            __check_exception)
{
	if (val_info & MAY_BE_UNDEF) {
		if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE) {
			int32_t exit_point = zend_jit_trace_get_exit_point(opline, ZEND_JIT_EXIT_TO_VM);
			const void *exit_addr = zend_jit_trace_get_exit_addr(exit_point);

			if (!exit_addr) {
				return 0;
			}

			//|	IF_ZVAL_TYPE val_addr, IS_UNDEF, &exit_addr, ZREG_TMP1
				ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 39737, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 39741, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 39745, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 39749, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 39753, (ZREG_X15), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 39758, (ZREG_X15), (Z_REG(val_addr)), (Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_UNDEF == 0) {
			dasm_put(Dst, 39763, (ZREG_X15), (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
				} else {
			dasm_put(Dst, 39767, (ZREG_X15), IS_UNDEF, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
				}
#line 5803 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	IF_ZVAL_TYPE val_addr, IS_UNDEF, >1, ZREG_TMP1
				ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 39773, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 39777, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 39781, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 39785, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 39789, (ZREG_X15), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 39794, (ZREG_X15), (Z_REG(val_addr)), (Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_UNDEF == 0) {
			dasm_put(Dst, 39799, (ZREG_X15));
				} else {
			dasm_put(Dst, 39803, (ZREG_X15), IS_UNDEF);
				}
#line 5805 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|.cold_code
			dasm_put(Dst, 39809);
#line 5806 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|1:
			dasm_put(Dst, 39810);
#line 5807 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			ZEND_ASSERT(Z_REG(val_addr) == ZREG_FP);
			if (Z_REG(var_addr) != ZREG_FP) {
				//|	str Rx(Z_REG(var_addr)), T1 // save
				dasm_put(Dst, 39812, (Z_REG(var_addr)));
#line 5810 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	SET_EX_OPLINE opline, REG0
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 39815, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 39818);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 39820, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 39823, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 39826, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 39829, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 39832, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 39835, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 39838, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 39841, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 39844, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 39847, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 39850, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
#line 5812 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	LOAD_32BIT_VAL FCARG1w, Z_OFFSET(val_addr)
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 39853, ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 39856, ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 39859, (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 39862, (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
#line 5813 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	EXT_CALL zend_jit_undefined_op_helper, REG0
				if (arm64_may_use_b(zend_jit_undefined_op_helper)) {
			dasm_put(Dst, 39865, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
				} else {
				if (((uintptr_t)(zend_jit_undefined_op_helper)) == 0) {
			dasm_put(Dst, 39868);
				} else if (((uintptr_t)(zend_jit_undefined_op_helper)) <= MOVZ_IMM) {
			dasm_put(Dst, 39870, ((uint64_t)(zend_jit_undefined_op_helper)));
				} else if (arm64_may_use_adr((void*)(zend_jit_undefined_op_helper))) {
			dasm_put(Dst, 39873, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_undefined_op_helper))) {
			dasm_put(Dst, 39876, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper)))))>>32));
					if (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff) {
			dasm_put(Dst, 39879, (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff) {
			dasm_put(Dst, 39882, ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff));
					if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 39885, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 39888, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 39891, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 39894, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 39897, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
				}
			dasm_put(Dst, 39900);
				}
#line 5814 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (Z_REG(var_addr) != ZREG_FP) {
				//|	ldr Rx(Z_REG(var_addr)), T1 // restore
				dasm_put(Dst, 39902, (Z_REG(var_addr)));
#line 5816 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if (Z_MODE(var_addr) != IS_MEM_ZVAL || Z_REG(var_addr) != ZREG_FCARG1 || Z_OFFSET(var_addr) != 0) {
				//|	LOAD_ZVAL_ADDR FCARG1x, var_addr
					if (Z_MODE(var_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(var_addr))) == 0) {
				dasm_put(Dst, 39905);
					} else if (((uintptr_t)(Z_ZV(var_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 39907, ((uint64_t)(Z_ZV(var_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(var_addr)))) {
				dasm_put(Dst, 39910, (unsigned int)((ptrdiff_t)(Z_ZV(var_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(var_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(var_addr)))) {
				dasm_put(Dst, 39913, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(var_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(var_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(var_addr))) & 0xfff) {
				dasm_put(Dst, 39916, (((uintptr_t)(Z_ZV(var_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(var_addr)) & 0xffff) {
				dasm_put(Dst, 39919, ((uintptr_t)(Z_ZV(var_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 39922, (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 39925, (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 39928, (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 39931, (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 39934, (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(var_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(var_addr)) {
					if (Z_OFFSET(var_addr) == 0) {
				dasm_put(Dst, 39937, (Z_REG(var_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(var_addr)))) {
				dasm_put(Dst, 39940, (Z_REG(var_addr)), Z_OFFSET(var_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 39944, ((uint32_t)(Z_OFFSET(var_addr))));
					} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
				dasm_put(Dst, 39947, ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 39950, (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 39953, (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 39956, (Z_REG(var_addr)));
					}
						} else {
							if (Z_REG(var_addr) == ZREG_RSP) {
				dasm_put(Dst, 39959);
							} else {
				dasm_put(Dst, 39961, (Z_REG(var_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 5819 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	LOAD_ADDR_ZTS FCARG2x, executor_globals, uninitialized_zval
				if (((uintptr_t)(&executor_globals.uninitialized_zval)) == 0) {
			dasm_put(Dst, 39964);
				} else if (((uintptr_t)(&executor_globals.uninitialized_zval)) <= MOVZ_IMM) {
			dasm_put(Dst, 39966, ((uint64_t)(&executor_globals.uninitialized_zval)));
				} else if (arm64_may_use_adr((void*)(&executor_globals.uninitialized_zval))) {
			dasm_put(Dst, 39969, (unsigned int)((ptrdiff_t)(&executor_globals.uninitialized_zval)), (unsigned int)(((ptrdiff_t)(&executor_globals.uninitialized_zval))>>32));
				} else if (arm64_may_use_adrp((void*)(&executor_globals.uninitialized_zval))) {
			dasm_put(Dst, 39972, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.uninitialized_zval))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.uninitialized_zval)))))>>32));
					if (((uintptr_t)(&executor_globals.uninitialized_zval)) & 0xfff) {
			dasm_put(Dst, 39975, (((uintptr_t)(&executor_globals.uninitialized_zval)) & 0xfff));
					}
				} else if ((uintptr_t)(&executor_globals.uninitialized_zval) & 0xffff) {
			dasm_put(Dst, 39978, ((uintptr_t)(&executor_globals.uninitialized_zval) & 0xffff));
					if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff) {
			dasm_put(Dst, 39981, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff));
					}
					if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff) {
			dasm_put(Dst, 39984, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff) {
			dasm_put(Dst, 39987, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff));
					if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff) {
			dasm_put(Dst, 39990, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 39993, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff));
				}
#line 5821 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	bl ->assign_const
			//|	b >9
			//|.code
			dasm_put(Dst, 39996);
#line 5824 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|1:
			dasm_put(Dst, 40001);
#line 5825 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}
	if (Z_MODE(var_addr) != IS_MEM_ZVAL || Z_REG(var_addr) != ZREG_FCARG1 || Z_OFFSET(var_addr) != 0) {
		//|	LOAD_ZVAL_ADDR FCARG1x, var_addr
			if (Z_MODE(var_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(var_addr))) == 0) {
		dasm_put(Dst, 40003);
			} else if (((uintptr_t)(Z_ZV(var_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 40005, ((uint64_t)(Z_ZV(var_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(var_addr)))) {
		dasm_put(Dst, 40008, (unsigned int)((ptrdiff_t)(Z_ZV(var_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(var_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(var_addr)))) {
		dasm_put(Dst, 40011, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(var_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(var_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(var_addr))) & 0xfff) {
		dasm_put(Dst, 40014, (((uintptr_t)(Z_ZV(var_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(var_addr)) & 0xffff) {
		dasm_put(Dst, 40017, ((uintptr_t)(Z_ZV(var_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 40020, (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 40023, (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 40026, (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 40029, (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 40032, (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff));
			}
			} else if (Z_MODE(var_addr) == IS_MEM_ZVAL) {
				if (Z_OFFSET(var_addr)) {
			if (Z_OFFSET(var_addr) == 0) {
		dasm_put(Dst, 40035, (Z_REG(var_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(var_addr)))) {
		dasm_put(Dst, 40038, (Z_REG(var_addr)), Z_OFFSET(var_addr));
			} else {
			if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 40042, ((uint32_t)(Z_OFFSET(var_addr))));
			} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
		dasm_put(Dst, 40045, ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 40048, (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 40051, (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 40054, (Z_REG(var_addr)));
			}
				} else {
					if (Z_REG(var_addr) == ZREG_RSP) {
		dasm_put(Dst, 40057);
					} else {
		dasm_put(Dst, 40059, (Z_REG(var_addr)));
					}
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 5829 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	if (Z_MODE(val_addr) != IS_MEM_ZVAL || Z_REG(val_addr) != ZREG_FCARG2 || Z_OFFSET(val_addr) != 0) {
		//|	LOAD_ZVAL_ADDR FCARG2x, val_addr
			if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(val_addr))) == 0) {
		dasm_put(Dst, 40062);
			} else if (((uintptr_t)(Z_ZV(val_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 40064, ((uint64_t)(Z_ZV(val_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
		dasm_put(Dst, 40067, (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
		dasm_put(Dst, 40070, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(val_addr))) & 0xfff) {
		dasm_put(Dst, 40073, (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(val_addr)) & 0xffff) {
		dasm_put(Dst, 40076, ((uintptr_t)(Z_ZV(val_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 40079, (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 40082, (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 40085, (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 40088, (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 40091, (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
			}
			} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (Z_OFFSET(val_addr)) {
			if (Z_OFFSET(val_addr) == 0) {
		dasm_put(Dst, 40094, (Z_REG(val_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(val_addr)))) {
		dasm_put(Dst, 40097, (Z_REG(val_addr)), Z_OFFSET(val_addr));
			} else {
			if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 40101, ((uint32_t)(Z_OFFSET(val_addr))));
			} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
		dasm_put(Dst, 40104, ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 40107, (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 40110, (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 40113, (Z_REG(val_addr)));
			}
				} else {
					if (Z_REG(val_addr) == ZREG_RSP) {
		dasm_put(Dst, 40116);
					} else {
		dasm_put(Dst, 40118, (Z_REG(val_addr)));
					}
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 5832 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	if (opline) {
		//|	SET_EX_OPLINE opline, REG0
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 40121, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 40124);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 40126, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 40129, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 40132, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 40135, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 40138, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 40141, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 40144, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 40147, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 40150, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 40153, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 40156, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
#line 5835 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	if (!(val_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF))) {
		//|	bl ->assign_tmp
		dasm_put(Dst, 40159);
#line 5838 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else if (val_type == IS_CONST) {
		//|	bl ->assign_const
		dasm_put(Dst, 40162);
#line 5840 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else if (val_type == IS_TMP_VAR) {
		//|	bl ->assign_tmp
		dasm_put(Dst, 40165);
#line 5842 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else if (val_type == IS_VAR) {
		if (!(val_info & MAY_BE_REF)) {
			//|	bl ->assign_tmp
			dasm_put(Dst, 40168);
#line 5845 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	bl ->assign_var
			dasm_put(Dst, 40171);
#line 5847 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else if (val_type == IS_CV) {
		if (!(val_info & MAY_BE_REF)) {
			//|	bl ->assign_cv_noref
			dasm_put(Dst, 40174);
#line 5851 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	bl ->assign_cv
			dasm_put(Dst, 40177);
#line 5853 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if ((val_info & MAY_BE_UNDEF) && JIT_G(trigger) != ZEND_JIT_ON_HOT_TRACE) {
			//|9:
			dasm_put(Dst, 40180);
#line 5856 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else {
		ZEND_UNREACHABLE();
	}

	return 1;
}

static int zend_jit_assign_to_variable(dasm_State    **Dst,
                                       const zend_op  *opline,
                                       zend_jit_addr   var_use_addr,
                                       zend_jit_addr   var_addr,
                                       uint32_t        var_info,
                                       uint32_t        var_def_info,
                                       zend_uchar      val_type,
                                       zend_jit_addr   val_addr,
                                       uint32_t        val_info,
                                       zend_jit_addr   res_addr,
                                       bool            check_exception)
/* Labels: 1,2,3,4,5,8 */
{
	int done = 0;
	zend_reg ref_reg, tmp_reg;

	if (Z_MODE(var_addr) == IS_REG || Z_REG(var_use_addr) != ZREG_REG0) {
		ref_reg = ZREG_FCARG1;
		tmp_reg = ZREG_REG0;
	} else {
		/* ASSIGN_DIM */
		ref_reg = ZREG_REG0;
		tmp_reg = ZREG_FCARG1;
	}

	if (var_info & MAY_BE_REF) {
		if (Z_MODE(var_use_addr) != IS_MEM_ZVAL || Z_REG(var_use_addr) != ref_reg || Z_OFFSET(var_use_addr) != 0) {
			//|	LOAD_ZVAL_ADDR Rx(ref_reg), var_use_addr
				if (Z_MODE(var_use_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(var_use_addr))) == 0) {
			dasm_put(Dst, 40182, (ref_reg));
				} else if (((uintptr_t)(Z_ZV(var_use_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 40185, (ref_reg), ((uint64_t)(Z_ZV(var_use_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(var_use_addr)))) {
			dasm_put(Dst, 40189, (ref_reg), (unsigned int)((ptrdiff_t)(Z_ZV(var_use_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(var_use_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(var_use_addr)))) {
			dasm_put(Dst, 40193, (ref_reg), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(var_use_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(var_use_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(var_use_addr))) & 0xfff) {
			dasm_put(Dst, 40197, (ref_reg), (ref_reg), (((uintptr_t)(Z_ZV(var_use_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(var_use_addr)) & 0xffff) {
			dasm_put(Dst, 40202, (ref_reg), ((uintptr_t)(Z_ZV(var_use_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(var_use_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 40206, (ref_reg), (((uintptr_t)(Z_ZV(var_use_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(var_use_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 40210, (ref_reg), (((uintptr_t)(Z_ZV(var_use_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(var_use_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 40214, (ref_reg), (((uintptr_t)(Z_ZV(var_use_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(var_use_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 40218, (ref_reg), (((uintptr_t)(Z_ZV(var_use_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 40222, (ref_reg), (((uintptr_t)(Z_ZV(var_use_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(var_use_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(var_use_addr)) {
				if (Z_OFFSET(var_use_addr) == 0) {
			dasm_put(Dst, 40226, (ref_reg), (Z_REG(var_use_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(var_use_addr)))) {
			dasm_put(Dst, 40230, (ref_reg), (Z_REG(var_use_addr)), Z_OFFSET(var_use_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(var_use_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 40235, (ref_reg), ((uint32_t)(Z_OFFSET(var_use_addr))));
				} else if (((uint32_t)(Z_OFFSET(var_use_addr)) & 0xffff)) {
			dasm_put(Dst, 40239, (ref_reg), ((uint32_t)(Z_OFFSET(var_use_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_use_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 40243, (ref_reg), (((uint32_t)(Z_OFFSET(var_use_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 40247, (ref_reg), (((uint32_t)(Z_OFFSET(var_use_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 40251, (ref_reg), (Z_REG(var_use_addr)), (ref_reg));
				}
					} else {
						if (Z_REG(var_use_addr) == ZREG_RSP) {
			dasm_put(Dst, 40256, (ref_reg));
						} else {
			dasm_put(Dst, 40259, (ref_reg), (Z_REG(var_use_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 5892 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			var_addr = var_use_addr = ZEND_ADDR_MEM_ZVAL(ref_reg, 0);
		}
		//|	// if (Z_ISREF_P(variable_ptr)) {
		//|	IF_NOT_Z_TYPE Rx(ref_reg), IS_REFERENCE, >3, TMP1w
		dasm_put(Dst, 40263, (ref_reg), offsetof(zval, u1.v.type));
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 40267);
			} else {
		dasm_put(Dst, 40270, IS_REFERENCE);
			}
#line 5896 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	// if (UNEXPECTED(ZEND_REF_HAS_TYPE_SOURCES(Z_REF_P(variable_ptr)))) {
		//|	GET_Z_PTR FCARG1x, Rx(ref_reg)
		dasm_put(Dst, 40275, (ref_reg));
#line 5898 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (!zend_jit_assign_to_typed_ref(Dst, opline, val_type, val_addr, res_addr, check_exception)) {
			return 0;
		}
		//|	add Rx(ref_reg), FCARG1x, #offsetof(zend_reference, val)
		//|3:
		dasm_put(Dst, 40278, (ref_reg), offsetof(zend_reference, val));
#line 5903 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	if (var_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) {
		if (RC_MAY_BE_1(var_info)) {
			int in_cold = 0;

			if (var_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
				//|	IF_ZVAL_REFCOUNTED var_use_addr, >1, ZREG_TMP1, ZREG_TMP2
					ZEND_ASSERT(Z_MODE(var_use_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(var_use_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(var_use_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
				dasm_put(Dst, 40283, (ZREG_X16), ((uint32_t)(Z_OFFSET(var_use_addr)+offsetof(zval, u1.v.type_flags))));
					} else if (((uint32_t)(Z_OFFSET(var_use_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
				dasm_put(Dst, 40287, (ZREG_X16), ((uint32_t)(Z_OFFSET(var_use_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(var_use_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
				dasm_put(Dst, 40291, (ZREG_X16), (((uint32_t)(Z_OFFSET(var_use_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 40295, (ZREG_X16), (((uint32_t)(Z_OFFSET(var_use_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 40299, (ZREG_X15), (Z_REG(var_use_addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 40304, (ZREG_X15), (Z_REG(var_use_addr)), (Z_OFFSET(var_use_addr)+offsetof(zval, u1.v.type_flags)));
					}
					if (IS_TYPE_REFCOUNTED == 0) {
				dasm_put(Dst, 40309, (ZREG_X15));
					} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
				dasm_put(Dst, 40312, (ZREG_X15), IS_TYPE_REFCOUNTED);
					} else {
					if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
				dasm_put(Dst, 40316, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
					} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
				dasm_put(Dst, 40320, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
						if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
				dasm_put(Dst, 40324, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 40328, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				dasm_put(Dst, 40332, (ZREG_X15), (ZREG_X16));
					}
#line 5910 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|.cold_code
				dasm_put(Dst, 40336);
#line 5911 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|1:
				dasm_put(Dst, 40339);
#line 5912 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				in_cold = 1;
			}
			if (Z_REG(var_use_addr) == ZREG_FCARG1 || Z_REG(var_use_addr) == ZREG_REG0) {
				bool keep_gc = 0;

				//|	GET_ZVAL_PTR Rx(tmp_reg), var_use_addr, TMP1
					ZEND_ASSERT(Z_MODE(var_use_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(var_use_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(var_use_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 40341, ((uint32_t)(Z_OFFSET(var_use_addr))));
					} else if (((uint32_t)(Z_OFFSET(var_use_addr)) & 0xffff)) {
				dasm_put(Dst, 40344, ((uint32_t)(Z_OFFSET(var_use_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(var_use_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 40347, (((uint32_t)(Z_OFFSET(var_use_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 40350, (((uint32_t)(Z_OFFSET(var_use_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 40353, (tmp_reg), (Z_REG(var_use_addr)));
					} else {
				dasm_put(Dst, 40357, (tmp_reg), (Z_REG(var_use_addr)), (Z_OFFSET(var_use_addr)));
					}
#line 5918 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
#if 0
				// TODO: This optiization doesn't work on ARM
				if (tmp_reg == ZREG_FCARG1) {
					if (Z_MODE(val_addr) == IS_REG) {
						keep_gc = 1;
					} else if ((val_info & ((MAY_BE_UNDEF|MAY_BE_ANY|MAY_BE_GUARD)-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) == 0) {
						keep_gc = 1;
					} else if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
						zval *zv = Z_ZV(val_addr);
						if (Z_TYPE_P(zv) == IS_DOUBLE) {
							if (Z_DVAL_P(zv) == 0) {
								keep_gc = 1;
							}
						} else if (IS_SIGNED_32BIT(Z_LVAL_P(zv))) {
							keep_gc = 1;
						}
					} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
						if ((val_info & (MAY_BE_UNDEF|MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
							keep_gc = 1;
						}
					}
				}
#endif
				if (!keep_gc) {
					//|	str Rx(tmp_reg), T1 // save
					dasm_put(Dst, 40362, (tmp_reg));
#line 5943 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				if (!zend_jit_simple_assign(Dst, opline, var_addr, var_info, var_def_info, val_type, val_addr, val_info, res_addr, in_cold, 0, 0)) {
					return 0;
				}
				if (!keep_gc) {
					//|	ldr FCARG1x, T1     // restore
					dasm_put(Dst, 40365);
#line 5949 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else {
				//|	GET_ZVAL_PTR FCARG1x, var_use_addr, TMP1
					ZEND_ASSERT(Z_MODE(var_use_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(var_use_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(var_use_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 40367, ((uint32_t)(Z_OFFSET(var_use_addr))));
					} else if (((uint32_t)(Z_OFFSET(var_use_addr)) & 0xffff)) {
				dasm_put(Dst, 40370, ((uint32_t)(Z_OFFSET(var_use_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(var_use_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 40373, (((uint32_t)(Z_OFFSET(var_use_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 40376, (((uint32_t)(Z_OFFSET(var_use_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 40379, (Z_REG(var_use_addr)));
					} else {
				dasm_put(Dst, 40382, (Z_REG(var_use_addr)), (Z_OFFSET(var_use_addr)));
					}
#line 5952 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				if (!zend_jit_simple_assign(Dst, opline, var_addr, var_info, var_def_info, val_type, val_addr, val_info, res_addr, in_cold, 1, 0)) {
					return 0;
				}
			}
			//|	GC_DELREF FCARG1x, TMP1w
			dasm_put(Dst, 40386);
#line 5957 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (RC_MAY_BE_N(var_info) && (var_info & (MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0) {
				//|	bne >4
				dasm_put(Dst, 40390);
#line 5959 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	bne >8
				dasm_put(Dst, 40393);
#line 5961 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	ZVAL_DTOR_FUNC var_info, opline, TMP1
				do {
					if (!((var_info) & MAY_BE_GUARD)
					 && has_concrete_type((var_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
						zend_uchar type = concrete_type((var_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
						if (type == IS_STRING && !ZEND_DEBUG) {
				if (arm64_may_use_b(_efree)) {
			dasm_put(Dst, 40396, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
				} else {
				if (((uintptr_t)(_efree)) == 0) {
			dasm_put(Dst, 40399);
				} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
			dasm_put(Dst, 40401, ((uint64_t)(_efree)));
				} else if (arm64_may_use_adr((void*)(_efree))) {
			dasm_put(Dst, 40404, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
				} else if (arm64_may_use_adrp((void*)(_efree))) {
			dasm_put(Dst, 40407, (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
					if (((uintptr_t)(_efree)) & 0xfff) {
			dasm_put(Dst, 40410, (((uintptr_t)(_efree)) & 0xfff));
					}
				} else if ((uintptr_t)(_efree) & 0xffff) {
			dasm_put(Dst, 40413, ((uintptr_t)(_efree) & 0xffff));
					if (((uintptr_t)(_efree) >> 16) & 0xffff) {
			dasm_put(Dst, 40416, (((uintptr_t)(_efree) >> 16) & 0xffff));
					}
					if (((uintptr_t)(_efree) >> 32) & 0xffff) {
			dasm_put(Dst, 40419, (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
			dasm_put(Dst, 40422, (((uintptr_t)(_efree) >> 16) & 0xffff));
					if (((uintptr_t)(_efree) >> 32) & 0xffff) {
			dasm_put(Dst, 40425, (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 40428, (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			dasm_put(Dst, 40431);
				}
							break;
						} else if (type == IS_ARRAY) {
							if ((var_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
								if (opline && ((var_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 40433, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 40436);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 40438, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 40441, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 40444, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 40447, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 40450, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 40453, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 40456, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 40459, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 40462, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 40465, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 40468, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
								}
				if (arm64_may_use_b(zend_array_destroy)) {
			dasm_put(Dst, 40471, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
				} else {
				if (((uintptr_t)(zend_array_destroy)) == 0) {
			dasm_put(Dst, 40474);
				} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
			dasm_put(Dst, 40476, ((uint64_t)(zend_array_destroy)));
				} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
			dasm_put(Dst, 40479, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
			dasm_put(Dst, 40482, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
					if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
			dasm_put(Dst, 40485, (((uintptr_t)(zend_array_destroy)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
			dasm_put(Dst, 40488, ((uintptr_t)(zend_array_destroy) & 0xffff));
					if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
			dasm_put(Dst, 40491, (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
			dasm_put(Dst, 40494, (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
			dasm_put(Dst, 40497, (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
					if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
			dasm_put(Dst, 40500, (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 40503, (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			dasm_put(Dst, 40506);
				}
							} else {
				if (arm64_may_use_b(zend_jit_array_free)) {
			dasm_put(Dst, 40508, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
				} else {
				if (((uintptr_t)(zend_jit_array_free)) == 0) {
			dasm_put(Dst, 40511);
				} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
			dasm_put(Dst, 40513, ((uint64_t)(zend_jit_array_free)));
				} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
			dasm_put(Dst, 40516, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
			dasm_put(Dst, 40519, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
					if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
			dasm_put(Dst, 40522, (((uintptr_t)(zend_jit_array_free)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
			dasm_put(Dst, 40525, ((uintptr_t)(zend_jit_array_free) & 0xffff));
					if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
			dasm_put(Dst, 40528, (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
			dasm_put(Dst, 40531, (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
			dasm_put(Dst, 40534, (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
			dasm_put(Dst, 40537, (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 40540, (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			dasm_put(Dst, 40543);
				}
							}
							break;
						} else if (type == IS_OBJECT) {
							if (opline) {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 40545, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 40548);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 40550, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 40553, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 40556, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 40559, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 40562, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 40565, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 40568, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 40571, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 40574, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 40577, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 40580, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
							}
				if (arm64_may_use_b(zend_objects_store_del)) {
			dasm_put(Dst, 40583, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
				} else {
				if (((uintptr_t)(zend_objects_store_del)) == 0) {
			dasm_put(Dst, 40586);
				} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
			dasm_put(Dst, 40588, ((uint64_t)(zend_objects_store_del)));
				} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
			dasm_put(Dst, 40591, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
			dasm_put(Dst, 40594, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
					if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
			dasm_put(Dst, 40597, (((uintptr_t)(zend_objects_store_del)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
			dasm_put(Dst, 40600, ((uintptr_t)(zend_objects_store_del) & 0xffff));
					if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
			dasm_put(Dst, 40603, (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
			dasm_put(Dst, 40606, (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
			dasm_put(Dst, 40609, (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
					if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
			dasm_put(Dst, 40612, (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 40615, (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			dasm_put(Dst, 40618);
				}
							break;
						}
					}
					if (opline) {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 40620, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 40623);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 40625, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 40628, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 40631, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 40634, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 40637, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 40640, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 40643, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 40646, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 40649, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 40652, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 40655, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
					}
				if (arm64_may_use_b(rc_dtor_func)) {
			dasm_put(Dst, 40658, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
				} else {
				if (((uintptr_t)(rc_dtor_func)) == 0) {
			dasm_put(Dst, 40661);
				} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
			dasm_put(Dst, 40663, ((uint64_t)(rc_dtor_func)));
				} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
			dasm_put(Dst, 40666, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
				} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
			dasm_put(Dst, 40669, (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
					if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
			dasm_put(Dst, 40672, (((uintptr_t)(rc_dtor_func)) & 0xfff));
					}
				} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
			dasm_put(Dst, 40675, ((uintptr_t)(rc_dtor_func) & 0xffff));
					if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
			dasm_put(Dst, 40678, (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
					}
					if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
			dasm_put(Dst, 40681, (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
			dasm_put(Dst, 40684, (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
					if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
			dasm_put(Dst, 40687, (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 40690, (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			dasm_put(Dst, 40693);
				}
				} while(0);
#line 5963 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (in_cold || (RC_MAY_BE_N(var_info) && (var_info & (MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0)) {
				if (check_exception && !(val_info & MAY_BE_UNDEF)) {
					//|	MEM_LOAD_64_ZTS ldr, REG0, executor_globals, exception, TMP1
						if (((uintptr_t)(&executor_globals.exception)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.exception))) {
					dasm_put(Dst, 40695, (unsigned int)((ptrdiff_t)(&executor_globals.exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.exception))>>32));
						} else if (((uintptr_t)(&executor_globals.exception)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.exception))) {
					dasm_put(Dst, 40699, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.exception)))))>>32), (((uintptr_t)(&executor_globals.exception)) & 0xfff));
						} else {
						if (((uintptr_t)(&executor_globals.exception)) == 0) {
					dasm_put(Dst, 40704);
						} else if (((uintptr_t)(&executor_globals.exception)) <= MOVZ_IMM) {
					dasm_put(Dst, 40706, ((uint64_t)(&executor_globals.exception)));
						} else if (arm64_may_use_adr((void*)(&executor_globals.exception))) {
					dasm_put(Dst, 40709, (unsigned int)((ptrdiff_t)(&executor_globals.exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.exception))>>32));
						} else if (arm64_may_use_adrp((void*)(&executor_globals.exception))) {
					dasm_put(Dst, 40712, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.exception)))))>>32));
							if (((uintptr_t)(&executor_globals.exception)) & 0xfff) {
					dasm_put(Dst, 40715, (((uintptr_t)(&executor_globals.exception)) & 0xfff));
							}
						} else if ((uintptr_t)(&executor_globals.exception) & 0xffff) {
					dasm_put(Dst, 40718, ((uintptr_t)(&executor_globals.exception) & 0xffff));
							if (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff) {
					dasm_put(Dst, 40721, (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff));
							}
							if (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff) {
					dasm_put(Dst, 40724, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff) {
					dasm_put(Dst, 40727, (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff));
							if (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff) {
					dasm_put(Dst, 40730, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 40733, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
						}
					dasm_put(Dst, 40736);
						}
#line 5966 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	cbz REG0, >8
					//|	b ->exception_handler
					dasm_put(Dst, 40738);
#line 5968 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	b >8
					dasm_put(Dst, 40743);
#line 5970 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			}
			if (RC_MAY_BE_N(var_info) && (var_info & (MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0) {
				//|4:
				//|	IF_GC_MAY_NOT_LEAK FCARG1x, >8, TMP1w, TMP2w
				dasm_put(Dst, 40746);
					if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
				dasm_put(Dst, 40749);
					} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
				dasm_put(Dst, 40751, (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
					} else {
					if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
				dasm_put(Dst, 40754, ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
					} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
				dasm_put(Dst, 40757, ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
						if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
				dasm_put(Dst, 40760, (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 40763, (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
					}
				dasm_put(Dst, 40766);
					}
#line 5975 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	EXT_CALL gc_possible_root, REG0
				dasm_put(Dst, 40768);
					if (arm64_may_use_b(gc_possible_root)) {
				dasm_put(Dst, 40771, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
					} else {
					if (((uintptr_t)(gc_possible_root)) == 0) {
				dasm_put(Dst, 40774);
					} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
				dasm_put(Dst, 40776, ((uint64_t)(gc_possible_root)));
					} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
				dasm_put(Dst, 40779, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
					} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
				dasm_put(Dst, 40782, (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
						if (((uintptr_t)(gc_possible_root)) & 0xfff) {
				dasm_put(Dst, 40785, (((uintptr_t)(gc_possible_root)) & 0xfff));
						}
					} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
				dasm_put(Dst, 40788, ((uintptr_t)(gc_possible_root) & 0xffff));
						if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
				dasm_put(Dst, 40791, (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
						}
						if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
				dasm_put(Dst, 40794, (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
				dasm_put(Dst, 40797, (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
						if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
				dasm_put(Dst, 40800, (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 40803, (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				dasm_put(Dst, 40806);
					}
#line 5976 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				if (in_cold) {
					//|	b >8
					dasm_put(Dst, 40808);
#line 5978 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			}
			if (check_exception && (val_info & MAY_BE_UNDEF)) {
				//|8:
				//|	MEM_LOAD_64_ZTS ldr, REG0, executor_globals, exception, TMP1
				dasm_put(Dst, 40811);
					if (((uintptr_t)(&executor_globals.exception)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.exception))) {
				dasm_put(Dst, 40813, (unsigned int)((ptrdiff_t)(&executor_globals.exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.exception))>>32));
					} else if (((uintptr_t)(&executor_globals.exception)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.exception))) {
				dasm_put(Dst, 40817, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.exception)))))>>32), (((uintptr_t)(&executor_globals.exception)) & 0xfff));
					} else {
					if (((uintptr_t)(&executor_globals.exception)) == 0) {
				dasm_put(Dst, 40822);
					} else if (((uintptr_t)(&executor_globals.exception)) <= MOVZ_IMM) {
				dasm_put(Dst, 40824, ((uint64_t)(&executor_globals.exception)));
					} else if (arm64_may_use_adr((void*)(&executor_globals.exception))) {
				dasm_put(Dst, 40827, (unsigned int)((ptrdiff_t)(&executor_globals.exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.exception))>>32));
					} else if (arm64_may_use_adrp((void*)(&executor_globals.exception))) {
				dasm_put(Dst, 40830, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.exception)))))>>32));
						if (((uintptr_t)(&executor_globals.exception)) & 0xfff) {
				dasm_put(Dst, 40833, (((uintptr_t)(&executor_globals.exception)) & 0xfff));
						}
					} else if ((uintptr_t)(&executor_globals.exception) & 0xffff) {
				dasm_put(Dst, 40836, ((uintptr_t)(&executor_globals.exception) & 0xffff));
						if (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff) {
				dasm_put(Dst, 40839, (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff));
						}
						if (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff) {
				dasm_put(Dst, 40842, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff) {
				dasm_put(Dst, 40845, (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff));
						if (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff) {
				dasm_put(Dst, 40848, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 40851, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
					}
				dasm_put(Dst, 40854);
					}
#line 5983 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	cbz REG0, >8
				//|	b ->exception_handler
				dasm_put(Dst, 40856);
#line 5985 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if (in_cold) {
				//|.code
				dasm_put(Dst, 40861);
#line 5988 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				done = 1;
			}
		} else /* if (RC_MAY_BE_N(var_info)) */ {
			if (var_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
				//|	IF_NOT_ZVAL_REFCOUNTED var_use_addr, >5, ZREG_TMP1, ZREG_TMP2
					ZEND_ASSERT(Z_MODE(var_use_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(var_use_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(var_use_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
				dasm_put(Dst, 40862, (ZREG_X16), ((uint32_t)(Z_OFFSET(var_use_addr)+offsetof(zval, u1.v.type_flags))));
					} else if (((uint32_t)(Z_OFFSET(var_use_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
				dasm_put(Dst, 40866, (ZREG_X16), ((uint32_t)(Z_OFFSET(var_use_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(var_use_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
				dasm_put(Dst, 40870, (ZREG_X16), (((uint32_t)(Z_OFFSET(var_use_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 40874, (ZREG_X16), (((uint32_t)(Z_OFFSET(var_use_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 40878, (ZREG_X15), (Z_REG(var_use_addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 40883, (ZREG_X15), (Z_REG(var_use_addr)), (Z_OFFSET(var_use_addr)+offsetof(zval, u1.v.type_flags)));
					}
					if (IS_TYPE_REFCOUNTED == 0) {
				dasm_put(Dst, 40888, (ZREG_X15));
					} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
				dasm_put(Dst, 40891, (ZREG_X15), IS_TYPE_REFCOUNTED);
					} else {
					if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
				dasm_put(Dst, 40895, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
					} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
				dasm_put(Dst, 40899, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
						if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
				dasm_put(Dst, 40903, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 40907, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				dasm_put(Dst, 40911, (ZREG_X15), (ZREG_X16));
					}
				dasm_put(Dst, 40915);
#line 5994 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if (var_info & (MAY_BE_ARRAY|MAY_BE_OBJECT)) {
				if (Z_REG(var_use_addr) != ZREG_FP) {
					//|	str Rx(Z_REG(var_use_addr)), T1 // save
					dasm_put(Dst, 40918, (Z_REG(var_use_addr)));
#line 5998 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|	GET_ZVAL_PTR FCARG1x, var_use_addr, TMP1
					ZEND_ASSERT(Z_MODE(var_use_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(var_use_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(var_use_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 40921, ((uint32_t)(Z_OFFSET(var_use_addr))));
					} else if (((uint32_t)(Z_OFFSET(var_use_addr)) & 0xffff)) {
				dasm_put(Dst, 40924, ((uint32_t)(Z_OFFSET(var_use_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(var_use_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 40927, (((uint32_t)(Z_OFFSET(var_use_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 40930, (((uint32_t)(Z_OFFSET(var_use_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 40933, (Z_REG(var_use_addr)));
					} else {
				dasm_put(Dst, 40936, (Z_REG(var_use_addr)), (Z_OFFSET(var_use_addr)));
					}
#line 6000 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	GC_DELREF FCARG1x, TMP1w
				//|	IF_GC_MAY_NOT_LEAK FCARG1x, >5, TMP1w, TMP2w
				dasm_put(Dst, 40940);
					if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
				dasm_put(Dst, 40945);
					} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
				dasm_put(Dst, 40947, (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
					} else {
					if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
				dasm_put(Dst, 40950, ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
					} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
				dasm_put(Dst, 40953, ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
						if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
				dasm_put(Dst, 40956, (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 40959, (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
					}
				dasm_put(Dst, 40962);
					}
#line 6002 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	EXT_CALL gc_possible_root, TMP1
				dasm_put(Dst, 40964);
					if (arm64_may_use_b(gc_possible_root)) {
				dasm_put(Dst, 40967, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
					} else {
					if (((uintptr_t)(gc_possible_root)) == 0) {
				dasm_put(Dst, 40970);
					} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
				dasm_put(Dst, 40972, ((uint64_t)(gc_possible_root)));
					} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
				dasm_put(Dst, 40975, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
					} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
				dasm_put(Dst, 40978, (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
						if (((uintptr_t)(gc_possible_root)) & 0xfff) {
				dasm_put(Dst, 40981, (((uintptr_t)(gc_possible_root)) & 0xfff));
						}
					} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
				dasm_put(Dst, 40984, ((uintptr_t)(gc_possible_root) & 0xffff));
						if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
				dasm_put(Dst, 40987, (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
						}
						if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
				dasm_put(Dst, 40990, (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
				dasm_put(Dst, 40993, (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
						if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
				dasm_put(Dst, 40996, (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 40999, (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				dasm_put(Dst, 41002);
					}
#line 6003 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				if (Z_REG(var_use_addr) != ZREG_FP) {
					//|	ldr Rx(Z_REG(var_use_addr)), T1 // restore
					dasm_put(Dst, 41004, (Z_REG(var_use_addr)));
#line 6005 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else {
				//|	GET_ZVAL_PTR Rx(tmp_reg), var_use_addr, TMP1
					ZEND_ASSERT(Z_MODE(var_use_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(var_use_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(var_use_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 41007, ((uint32_t)(Z_OFFSET(var_use_addr))));
					} else if (((uint32_t)(Z_OFFSET(var_use_addr)) & 0xffff)) {
				dasm_put(Dst, 41010, ((uint32_t)(Z_OFFSET(var_use_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(var_use_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 41013, (((uint32_t)(Z_OFFSET(var_use_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 41016, (((uint32_t)(Z_OFFSET(var_use_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 41019, (tmp_reg), (Z_REG(var_use_addr)));
					} else {
				dasm_put(Dst, 41023, (tmp_reg), (Z_REG(var_use_addr)), (Z_OFFSET(var_use_addr)));
					}
#line 6008 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	GC_DELREF Rx(tmp_reg), TMP1w
				dasm_put(Dst, 41028, (tmp_reg), (tmp_reg));
#line 6009 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|5:
			dasm_put(Dst, 41034);
#line 6011 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	    }
	}

	if (!done && !zend_jit_simple_assign(Dst, opline, var_addr, var_info, var_def_info, val_type, val_addr, val_info, res_addr, 0, 0, check_exception)) {
		return 0;
	}

	//|8:
	dasm_put(Dst, 41036);
#line 6019 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	return 1;
}

static int zend_jit_assign_dim(dasm_State **Dst, const zend_op *opline, uint32_t op1_info, zend_jit_addr op1_addr, uint32_t op2_info, uint32_t val_info, uint8_t dim_type, int may_throw)
{
	zend_jit_addr op2_addr, op3_addr, res_addr;

	op2_addr = (opline->op2_type != IS_UNUSED) ? OP2_ADDR() : 0;
	op3_addr = OP1_DATA_ADDR();
	if (opline->result_type == IS_UNUSED) {
		res_addr = 0;
	} else {
		res_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->result.var);
	}

	if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE && (val_info & MAY_BE_UNDEF)) {
		int32_t exit_point = zend_jit_trace_get_exit_point(opline, ZEND_JIT_EXIT_TO_VM);
		const void *exit_addr = zend_jit_trace_get_exit_addr(exit_point);

		if (!exit_addr) {
			return 0;
		}

		//|	IF_ZVAL_TYPE op3_addr, IS_UNDEF, &exit_addr, ZREG_TMP1
			ZEND_ASSERT(Z_MODE(op3_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op3_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(op3_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
		dasm_put(Dst, 41038, (ZREG_X15), ((uint32_t)(Z_OFFSET(op3_addr)+offsetof(zval, u1.v.type))));
			} else if (((uint32_t)(Z_OFFSET(op3_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
		dasm_put(Dst, 41042, (ZREG_X15), ((uint32_t)(Z_OFFSET(op3_addr)+offsetof(zval, u1.v.type)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op3_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
		dasm_put(Dst, 41046, (ZREG_X15), (((uint32_t)(Z_OFFSET(op3_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 41050, (ZREG_X15), (((uint32_t)(Z_OFFSET(op3_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 41054, (ZREG_X15), (Z_REG(op3_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 41059, (ZREG_X15), (Z_REG(op3_addr)), (Z_OFFSET(op3_addr)+offsetof(zval, u1.v.type)));
			}
			if (IS_UNDEF == 0) {
		dasm_put(Dst, 41064, (ZREG_X15), (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
			} else {
		dasm_put(Dst, 41068, (ZREG_X15), IS_UNDEF, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
			}
#line 6044 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

		val_info &= ~MAY_BE_UNDEF;
	}

	if (op1_info & MAY_BE_REF) {
		//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
		dasm_put(Dst, 41074);
			} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 41076, ((uint64_t)(Z_ZV(op1_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 41079, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 41082, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
		dasm_put(Dst, 41085, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
		dasm_put(Dst, 41088, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 41091, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 41094, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 41097, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 41100, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 41103, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (Z_OFFSET(op1_addr)) {
			if (Z_OFFSET(op1_addr) == 0) {
		dasm_put(Dst, 41106, (Z_REG(op1_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
		dasm_put(Dst, 41109, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
			} else {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 41113, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 41116, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 41119, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 41122, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 41125, (Z_REG(op1_addr)));
			}
				} else {
					if (Z_REG(op1_addr) == ZREG_RSP) {
		dasm_put(Dst, 41128);
					} else {
		dasm_put(Dst, 41130, (Z_REG(op1_addr)));
					}
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 6050 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	IF_NOT_Z_TYPE FCARG1x, IS_REFERENCE, >1, TMP1w
		dasm_put(Dst, 41133, offsetof(zval, u1.v.type));
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 41136);
			} else {
		dasm_put(Dst, 41139, IS_REFERENCE);
			}
#line 6051 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	GET_Z_PTR FCARG2x, FCARG1x
		//|	ldrb TMP1w, [FCARG2x, #(offsetof(zend_reference, val) + offsetof(zval, u1.v.type))]
		//|	cmp TMP1w, #IS_ARRAY
		//|	bne >2
		//|	add FCARG1x, FCARG2x, #offsetof(zend_reference, val)
		//|	b >3
		//|.cold_code
		dasm_put(Dst, 41144, (offsetof(zend_reference, val) + offsetof(zval, u1.v.type)), IS_ARRAY, offsetof(zend_reference, val));
#line 6058 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|2:
		//|	SET_EX_OPLINE opline, REG0
		dasm_put(Dst, 41156);
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 41158, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 41161);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 41163, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 41166, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 41169, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 41172, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 41175, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 41178, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 41181, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 41184, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 41187, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 41190, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 41193, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
#line 6060 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	EXT_CALL zend_jit_prepare_assign_dim_ref, REG0
			if (arm64_may_use_b(zend_jit_prepare_assign_dim_ref)) {
		dasm_put(Dst, 41196, (unsigned int)((ptrdiff_t)(zend_jit_prepare_assign_dim_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_prepare_assign_dim_ref))>>32));
			} else {
			if (((uintptr_t)(zend_jit_prepare_assign_dim_ref)) == 0) {
		dasm_put(Dst, 41199);
			} else if (((uintptr_t)(zend_jit_prepare_assign_dim_ref)) <= MOVZ_IMM) {
		dasm_put(Dst, 41201, ((uint64_t)(zend_jit_prepare_assign_dim_ref)));
			} else if (arm64_may_use_adr((void*)(zend_jit_prepare_assign_dim_ref))) {
		dasm_put(Dst, 41204, (unsigned int)((ptrdiff_t)(zend_jit_prepare_assign_dim_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_prepare_assign_dim_ref))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_prepare_assign_dim_ref))) {
		dasm_put(Dst, 41207, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_prepare_assign_dim_ref))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_prepare_assign_dim_ref)))))>>32));
				if (((uintptr_t)(zend_jit_prepare_assign_dim_ref)) & 0xfff) {
		dasm_put(Dst, 41210, (((uintptr_t)(zend_jit_prepare_assign_dim_ref)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_prepare_assign_dim_ref) & 0xffff) {
		dasm_put(Dst, 41213, ((uintptr_t)(zend_jit_prepare_assign_dim_ref) & 0xffff));
				if (((uintptr_t)(zend_jit_prepare_assign_dim_ref) >> 16) & 0xffff) {
		dasm_put(Dst, 41216, (((uintptr_t)(zend_jit_prepare_assign_dim_ref) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_prepare_assign_dim_ref) >> 32) & 0xffff) {
		dasm_put(Dst, 41219, (((uintptr_t)(zend_jit_prepare_assign_dim_ref) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_prepare_assign_dim_ref) >> 16) & 0xffff) {
		dasm_put(Dst, 41222, (((uintptr_t)(zend_jit_prepare_assign_dim_ref) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_prepare_assign_dim_ref) >> 32) & 0xffff) {
		dasm_put(Dst, 41225, (((uintptr_t)(zend_jit_prepare_assign_dim_ref) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 41228, (((uintptr_t)(zend_jit_prepare_assign_dim_ref) >> 32) & 0xffff));
			}
		dasm_put(Dst, 41231);
			}
#line 6061 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	mov FCARG1x, RETVALx
		//|	cbnz FCARG1x, >1
		//|	b ->exception_handler_undef
		//|.code
		dasm_put(Dst, 41233);
#line 6065 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|1:
		dasm_put(Dst, 41239);
#line 6066 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		op1_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, 0);
	}

	if (op1_info & MAY_BE_ARRAY) {
		if (op1_info & ((MAY_BE_ANY|MAY_BE_UNDEF) - MAY_BE_ARRAY)) {
			//|	IF_NOT_ZVAL_TYPE op1_addr, IS_ARRAY, >7, ZREG_TMP1
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 41241, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 41245, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 41249, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 41253, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 41257, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 41262, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_ARRAY == 0) {
			dasm_put(Dst, 41267, (ZREG_X15));
				} else {
			dasm_put(Dst, 41271, (ZREG_X15), IS_ARRAY);
				}
#line 6072 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|3:
		//|	SEPARATE_ARRAY op1_addr, op1_info, 1, ZREG_TMP1, ZREG_TMP2
		dasm_put(Dst, 41277);
			if (RC_MAY_BE_N(op1_info)) {
				if (Z_REG(op1_addr) != ZREG_FP) {
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 41279, (ZREG_X8));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 41282, (ZREG_X8));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 41285, (ZREG_X8), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 41289, (ZREG_X8), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 41293, (ZREG_X8), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 41297, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 41301, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 41305, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 41309, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 41313, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 41317, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 41321, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 41325, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 41329, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 41333, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 41337, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 41341, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 41345, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 41349, (ZREG_X8), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 41354, (ZREG_X8), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (ZREG_X8 != Z_REG(op1_addr)) {
		dasm_put(Dst, 41359, (ZREG_X8), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
					if (RC_MAY_BE_1(op1_info)) {
		dasm_put(Dst, 41363, (ZREG_X15), (ZREG_X15));
					}
					if (Z_REG(op1_addr) != ZREG_FCARG1 || Z_OFFSET(op1_addr) != 0) {
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
		dasm_put(Dst, 41370);
			} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 41372, ((uint64_t)(Z_ZV(op1_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 41375, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 41378, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
		dasm_put(Dst, 41381, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
		dasm_put(Dst, 41384, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 41387, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 41390, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 41393, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 41396, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 41399, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (Z_OFFSET(op1_addr)) {
			if (Z_OFFSET(op1_addr) == 0) {
		dasm_put(Dst, 41402, (Z_REG(op1_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
		dasm_put(Dst, 41405, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
			} else {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 41409, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 41412, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 41415, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 41418, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 41421, (Z_REG(op1_addr)));
			}
				} else {
					if (Z_REG(op1_addr) == ZREG_RSP) {
		dasm_put(Dst, 41424);
					} else {
		dasm_put(Dst, 41426, (Z_REG(op1_addr)));
					}
				}
			} else {
				ZEND_UNREACHABLE();
			}
					}
			if (arm64_may_use_b(zend_jit_zval_array_dup)) {
		dasm_put(Dst, 41429, (unsigned int)((ptrdiff_t)(zend_jit_zval_array_dup)), (unsigned int)(((ptrdiff_t)(zend_jit_zval_array_dup))>>32));
			} else {
			if (((uintptr_t)(zend_jit_zval_array_dup)) == 0) {
		dasm_put(Dst, 41432);
			} else if (((uintptr_t)(zend_jit_zval_array_dup)) <= MOVZ_IMM) {
		dasm_put(Dst, 41434, ((uint64_t)(zend_jit_zval_array_dup)));
			} else if (arm64_may_use_adr((void*)(zend_jit_zval_array_dup))) {
		dasm_put(Dst, 41437, (unsigned int)((ptrdiff_t)(zend_jit_zval_array_dup)), (unsigned int)(((ptrdiff_t)(zend_jit_zval_array_dup))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_zval_array_dup))) {
		dasm_put(Dst, 41440, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_zval_array_dup))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_zval_array_dup)))))>>32));
				if (((uintptr_t)(zend_jit_zval_array_dup)) & 0xfff) {
		dasm_put(Dst, 41443, (((uintptr_t)(zend_jit_zval_array_dup)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_zval_array_dup) & 0xffff) {
		dasm_put(Dst, 41446, ((uintptr_t)(zend_jit_zval_array_dup) & 0xffff));
				if (((uintptr_t)(zend_jit_zval_array_dup) >> 16) & 0xffff) {
		dasm_put(Dst, 41449, (((uintptr_t)(zend_jit_zval_array_dup) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_zval_array_dup) >> 32) & 0xffff) {
		dasm_put(Dst, 41452, (((uintptr_t)(zend_jit_zval_array_dup) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_zval_array_dup) >> 16) & 0xffff) {
		dasm_put(Dst, 41455, (((uintptr_t)(zend_jit_zval_array_dup) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_zval_array_dup) >> 32) & 0xffff) {
		dasm_put(Dst, 41458, (((uintptr_t)(zend_jit_zval_array_dup) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 41461, (((uintptr_t)(zend_jit_zval_array_dup) >> 32) & 0xffff));
			}
		dasm_put(Dst, 41464);
			}
		dasm_put(Dst, 41466);
				} else {
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 41470, (ZREG_FCARG1));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 41473, (ZREG_FCARG1));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 41476, (ZREG_FCARG1), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 41480, (ZREG_FCARG1), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 41484, (ZREG_FCARG1), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 41488, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 41492, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 41496, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 41500, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 41504, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 41508, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 41512, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 41516, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 41520, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 41524, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 41528, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 41532, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 41536, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 41540, (ZREG_FCARG1), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 41545, (ZREG_FCARG1), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (ZREG_FCARG1 != Z_REG(op1_addr)) {
		dasm_put(Dst, 41550, (ZREG_FCARG1), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
					if (RC_MAY_BE_1(op1_info)) {
		dasm_put(Dst, 41554, (ZREG_X15), (ZREG_X15));
						if (1) {
		dasm_put(Dst, 41559);
		dasm_put(Dst, 41562);
						} else {
		dasm_put(Dst, 41564);
						}
					}
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 41567, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 41571, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 41575, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 41579, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 41583, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 41588, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 41593, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 41596, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 41600, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 41604, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 41608, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 41612, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 41616, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 41620, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
			if (arm64_may_use_b(zend_array_dup)) {
		dasm_put(Dst, 41631, (unsigned int)((ptrdiff_t)(zend_array_dup)), (unsigned int)(((ptrdiff_t)(zend_array_dup))>>32));
			} else {
			if (((uintptr_t)(zend_array_dup)) == 0) {
		dasm_put(Dst, 41634);
			} else if (((uintptr_t)(zend_array_dup)) <= MOVZ_IMM) {
		dasm_put(Dst, 41636, ((uint64_t)(zend_array_dup)));
			} else if (arm64_may_use_adr((void*)(zend_array_dup))) {
		dasm_put(Dst, 41639, (unsigned int)((ptrdiff_t)(zend_array_dup)), (unsigned int)(((ptrdiff_t)(zend_array_dup))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_array_dup))) {
		dasm_put(Dst, 41642, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_dup))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_dup)))))>>32));
				if (((uintptr_t)(zend_array_dup)) & 0xfff) {
		dasm_put(Dst, 41645, (((uintptr_t)(zend_array_dup)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_array_dup) & 0xffff) {
		dasm_put(Dst, 41648, ((uintptr_t)(zend_array_dup) & 0xffff));
				if (((uintptr_t)(zend_array_dup) >> 16) & 0xffff) {
		dasm_put(Dst, 41651, (((uintptr_t)(zend_array_dup) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_array_dup) >> 32) & 0xffff) {
		dasm_put(Dst, 41654, (((uintptr_t)(zend_array_dup) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_array_dup) >> 16) & 0xffff) {
		dasm_put(Dst, 41657, (((uintptr_t)(zend_array_dup) >> 16) & 0xffff));
				if (((uintptr_t)(zend_array_dup) >> 32) & 0xffff) {
		dasm_put(Dst, 41660, (((uintptr_t)(zend_array_dup) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 41663, (((uintptr_t)(zend_array_dup) >> 32) & 0xffff));
			}
		dasm_put(Dst, 41666);
			}
		dasm_put(Dst, 41668);
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 41670, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 41674, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 41678, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 41682, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 41686, (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 41690, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uint32_t)(IS_ARRAY_EX)) <= MOVZ_IMM) {
		dasm_put(Dst, 41694, (ZREG_X15), ((uint32_t)(IS_ARRAY_EX)));
			} else if (((uint32_t)(IS_ARRAY_EX) & 0xffff)) {
		dasm_put(Dst, 41698, (ZREG_X15), ((uint32_t)(IS_ARRAY_EX) & 0xffff));
				if ((((uint32_t)(IS_ARRAY_EX) >> 16) & 0xffff)) {
		dasm_put(Dst, 41702, (ZREG_X15), (((uint32_t)(IS_ARRAY_EX) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 41706, (ZREG_X15), (((uint32_t)(IS_ARRAY_EX) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 41710, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 41714, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 41718, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 41722, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 41726, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 41731, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)));
			}
		dasm_put(Dst, 41736);
					if (RC_MAY_BE_1(op1_info)) {
						if (1) {
		dasm_put(Dst, 41738);
						}
					}
		dasm_put(Dst, 41741);
				}
			} else {
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 41743, (ZREG_FCARG1));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 41746, (ZREG_FCARG1));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 41749, (ZREG_FCARG1), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 41753, (ZREG_FCARG1), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 41757, (ZREG_FCARG1), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 41761, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 41765, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 41769, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 41773, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 41777, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 41781, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 41785, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 41789, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 41793, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 41797, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 41801, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 41805, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 41809, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 41813, (ZREG_FCARG1), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 41818, (ZREG_FCARG1), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (ZREG_FCARG1 != Z_REG(op1_addr)) {
		dasm_put(Dst, 41823, (ZREG_FCARG1), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
			}
#line 6075 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else if (op1_info & (MAY_BE_UNDEF|MAY_BE_NULL)) {
		if (op1_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_ARRAY))) {
			//|	CMP_ZVAL_TYPE op1_addr, IS_NULL, ZREG_TMP1
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 41827, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 41831, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 41835, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 41839, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 41843, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 41848, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
				}
#line 6078 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	bgt >7
			dasm_put(Dst, 41853, (ZREG_X15), IS_NULL);
#line 6079 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	// ZVAL_ARR(container, zend_new_array(8));
		if (Z_REG(op1_addr) != ZREG_FP) {
			//|	str Rx(Z_REG(op1_addr)), T1 // save
			dasm_put(Dst, 41859, (Z_REG(op1_addr)));
#line 6083 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	EXT_CALL _zend_new_array_0, REG0
			if (arm64_may_use_b(_zend_new_array_0)) {
		dasm_put(Dst, 41862, (unsigned int)((ptrdiff_t)(_zend_new_array_0)), (unsigned int)(((ptrdiff_t)(_zend_new_array_0))>>32));
			} else {
			if (((uintptr_t)(_zend_new_array_0)) == 0) {
		dasm_put(Dst, 41865);
			} else if (((uintptr_t)(_zend_new_array_0)) <= MOVZ_IMM) {
		dasm_put(Dst, 41867, ((uint64_t)(_zend_new_array_0)));
			} else if (arm64_may_use_adr((void*)(_zend_new_array_0))) {
		dasm_put(Dst, 41870, (unsigned int)((ptrdiff_t)(_zend_new_array_0)), (unsigned int)(((ptrdiff_t)(_zend_new_array_0))>>32));
			} else if (arm64_may_use_adrp((void*)(_zend_new_array_0))) {
		dasm_put(Dst, 41873, (unsigned int)((ptrdiff_t)((((uintptr_t)(_zend_new_array_0))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_zend_new_array_0)))))>>32));
				if (((uintptr_t)(_zend_new_array_0)) & 0xfff) {
		dasm_put(Dst, 41876, (((uintptr_t)(_zend_new_array_0)) & 0xfff));
				}
			} else if ((uintptr_t)(_zend_new_array_0) & 0xffff) {
		dasm_put(Dst, 41879, ((uintptr_t)(_zend_new_array_0) & 0xffff));
				if (((uintptr_t)(_zend_new_array_0) >> 16) & 0xffff) {
		dasm_put(Dst, 41882, (((uintptr_t)(_zend_new_array_0) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_zend_new_array_0) >> 32) & 0xffff) {
		dasm_put(Dst, 41885, (((uintptr_t)(_zend_new_array_0) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_zend_new_array_0) >> 16) & 0xffff) {
		dasm_put(Dst, 41888, (((uintptr_t)(_zend_new_array_0) >> 16) & 0xffff));
				if (((uintptr_t)(_zend_new_array_0) >> 32) & 0xffff) {
		dasm_put(Dst, 41891, (((uintptr_t)(_zend_new_array_0) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 41894, (((uintptr_t)(_zend_new_array_0) >> 32) & 0xffff));
			}
		dasm_put(Dst, 41897);
			}
#line 6085 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	mov REG0, RETVALx
		dasm_put(Dst, 41899);
#line 6086 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (Z_REG(op1_addr) != ZREG_FP) {
			//|	ldr Rx(Z_REG(op1_addr)), T1 // restore
			dasm_put(Dst, 41901, (Z_REG(op1_addr)));
#line 6088 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	SET_ZVAL_LVAL_FROM_REG op1_addr, REG0, TMP1
			if (Z_MODE(op1_addr) == IS_REG) {
		dasm_put(Dst, 41904, (Z_REG(op1_addr)));
			} else {
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 41907, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 41910, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 41913, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 41916, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 41919, (Z_REG(op1_addr)));
			} else {
		dasm_put(Dst, 41922, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			}
#line 6090 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	SET_ZVAL_TYPE_INFO op1_addr, IS_ARRAY_EX, TMP1w, TMP2
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uint32_t)(IS_ARRAY_EX)) <= MOVZ_IMM) {
		dasm_put(Dst, 41926, ((uint32_t)(IS_ARRAY_EX)));
			} else if (((uint32_t)(IS_ARRAY_EX) & 0xffff)) {
		dasm_put(Dst, 41929, ((uint32_t)(IS_ARRAY_EX) & 0xffff));
				if ((((uint32_t)(IS_ARRAY_EX) >> 16) & 0xffff)) {
		dasm_put(Dst, 41932, (((uint32_t)(IS_ARRAY_EX) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 41935, (((uint32_t)(IS_ARRAY_EX) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 41938, ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 41941, ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 41944, (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 41947, (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 41950, (Z_REG(op1_addr)));
			} else {
		dasm_put(Dst, 41953, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)));
			}
#line 6091 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	mov FCARG1x, REG0
		dasm_put(Dst, 41957);
#line 6092 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	if (op1_info & (MAY_BE_UNDEF|MAY_BE_NULL|MAY_BE_ARRAY)) {
		//|6:
		dasm_put(Dst, 41959);
#line 6096 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (opline->op2_type == IS_UNUSED) {
			uint32_t var_info = MAY_BE_NULL;
			zend_jit_addr var_addr = ZEND_ADDR_MEM_ZVAL(ZREG_REG0, 0);

			//|	// var_ptr = zend_hash_next_index_insert(Z_ARRVAL_P(container), &EG(uninitialized_zval));
			//|	LOAD_ADDR_ZTS FCARG2x, executor_globals, uninitialized_zval
				if (((uintptr_t)(&executor_globals.uninitialized_zval)) == 0) {
			dasm_put(Dst, 41961);
				} else if (((uintptr_t)(&executor_globals.uninitialized_zval)) <= MOVZ_IMM) {
			dasm_put(Dst, 41963, ((uint64_t)(&executor_globals.uninitialized_zval)));
				} else if (arm64_may_use_adr((void*)(&executor_globals.uninitialized_zval))) {
			dasm_put(Dst, 41966, (unsigned int)((ptrdiff_t)(&executor_globals.uninitialized_zval)), (unsigned int)(((ptrdiff_t)(&executor_globals.uninitialized_zval))>>32));
				} else if (arm64_may_use_adrp((void*)(&executor_globals.uninitialized_zval))) {
			dasm_put(Dst, 41969, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.uninitialized_zval))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.uninitialized_zval)))))>>32));
					if (((uintptr_t)(&executor_globals.uninitialized_zval)) & 0xfff) {
			dasm_put(Dst, 41972, (((uintptr_t)(&executor_globals.uninitialized_zval)) & 0xfff));
					}
				} else if ((uintptr_t)(&executor_globals.uninitialized_zval) & 0xffff) {
			dasm_put(Dst, 41975, ((uintptr_t)(&executor_globals.uninitialized_zval) & 0xffff));
					if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff) {
			dasm_put(Dst, 41978, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff));
					}
					if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff) {
			dasm_put(Dst, 41981, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff) {
			dasm_put(Dst, 41984, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff));
					if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff) {
			dasm_put(Dst, 41987, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 41990, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff));
				}
#line 6102 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	EXT_CALL zend_hash_next_index_insert, REG0
				if (arm64_may_use_b(zend_hash_next_index_insert)) {
			dasm_put(Dst, 41993, (unsigned int)((ptrdiff_t)(zend_hash_next_index_insert)), (unsigned int)(((ptrdiff_t)(zend_hash_next_index_insert))>>32));
				} else {
				if (((uintptr_t)(zend_hash_next_index_insert)) == 0) {
			dasm_put(Dst, 41996);
				} else if (((uintptr_t)(zend_hash_next_index_insert)) <= MOVZ_IMM) {
			dasm_put(Dst, 41998, ((uint64_t)(zend_hash_next_index_insert)));
				} else if (arm64_may_use_adr((void*)(zend_hash_next_index_insert))) {
			dasm_put(Dst, 42001, (unsigned int)((ptrdiff_t)(zend_hash_next_index_insert)), (unsigned int)(((ptrdiff_t)(zend_hash_next_index_insert))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_hash_next_index_insert))) {
			dasm_put(Dst, 42004, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_hash_next_index_insert))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_hash_next_index_insert)))))>>32));
					if (((uintptr_t)(zend_hash_next_index_insert)) & 0xfff) {
			dasm_put(Dst, 42007, (((uintptr_t)(zend_hash_next_index_insert)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_hash_next_index_insert) & 0xffff) {
			dasm_put(Dst, 42010, ((uintptr_t)(zend_hash_next_index_insert) & 0xffff));
					if (((uintptr_t)(zend_hash_next_index_insert) >> 16) & 0xffff) {
			dasm_put(Dst, 42013, (((uintptr_t)(zend_hash_next_index_insert) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_hash_next_index_insert) >> 32) & 0xffff) {
			dasm_put(Dst, 42016, (((uintptr_t)(zend_hash_next_index_insert) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_hash_next_index_insert) >> 16) & 0xffff) {
			dasm_put(Dst, 42019, (((uintptr_t)(zend_hash_next_index_insert) >> 16) & 0xffff));
					if (((uintptr_t)(zend_hash_next_index_insert) >> 32) & 0xffff) {
			dasm_put(Dst, 42022, (((uintptr_t)(zend_hash_next_index_insert) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 42025, (((uintptr_t)(zend_hash_next_index_insert) >> 32) & 0xffff));
				}
			dasm_put(Dst, 42028);
				}
#line 6103 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	// if (UNEXPECTED(!var_ptr)) {
			//|	mov REG0, RETVALx
			//|	cbz REG0, >1
			//|.cold_code
			dasm_put(Dst, 42030);
#line 6107 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|1:
			//|	// zend_throw_error(NULL, "Cannot add element to the array as the next element is already occupied");
			//|	CANNOT_ADD_ELEMENT opline
			dasm_put(Dst, 42034);
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
			dasm_put(Dst, 42036);
				} else {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 42039, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 42042);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 42044, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 42047, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 42050, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 42053, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 42056, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 42059, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 42062, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 42065, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 42068, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 42071, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 42074, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
			dasm_put(Dst, 42077);
				}
#line 6110 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	//ZEND_VM_C_GOTO(assign_dim_op_ret_null);
			//|	b >9
			//|.code
			dasm_put(Dst, 42080);
#line 6113 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

			if (!zend_jit_simple_assign(Dst, opline, var_addr, var_info, -1, (opline+1)->op1_type, op3_addr, val_info, res_addr, 0, 0, 0)) {
				return 0;
			}
		} else {
			uint32_t var_info = zend_array_element_type(op1_info, opline->op1_type, 0, 0);
			zend_jit_addr var_addr = ZEND_ADDR_MEM_ZVAL(ZREG_REG0, 0);

			if (!zend_jit_fetch_dimension_address_inner(Dst, opline, BP_VAR_W, op1_info, op2_info, dim_type, NULL, NULL, NULL)) {
				return 0;
			}

			if (op1_info & (MAY_BE_ARRAY_OF_REF|MAY_BE_OBJECT)) {
				var_info |= MAY_BE_REF;
			}
			if (var_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) {
				var_info |= MAY_BE_RC1;
			}

			//|8:
			//|	// value = zend_assign_to_variable(variable_ptr, value, OP_DATA_TYPE);
			dasm_put(Dst, 42083);
#line 6134 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (opline->op1_type == IS_VAR) {
				ZEND_ASSERT(opline->result_type == IS_UNUSED);
				if (!zend_jit_assign_to_variable_call(Dst, opline, var_addr, var_addr, var_info, -1, (opline+1)->op1_type, op3_addr, val_info, res_addr, 0)) {
					return 0;
				}
			} else {
				if (!zend_jit_assign_to_variable(Dst, opline, var_addr, var_addr, var_info, -1, (opline+1)->op1_type, op3_addr, val_info, res_addr, 0)) {
					return 0;
				}
			}
		}
	}

	if (((op1_info & MAY_BE_ARRAY) &&
	     (op1_info & (MAY_BE_UNDEF|MAY_BE_NULL))) ||
	    (op1_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_ARRAY)))) {
		if (op1_info & (MAY_BE_UNDEF|MAY_BE_NULL|MAY_BE_ARRAY)) {
			//|.cold_code
			dasm_put(Dst, 42085);
#line 6152 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|7:
			dasm_put(Dst, 42086);
#line 6153 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}

		if ((op1_info & (MAY_BE_UNDEF|MAY_BE_NULL)) &&
		    (op1_info & MAY_BE_ARRAY)) {
			if (op1_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_ARRAY))) {
				//|	CMP_ZVAL_TYPE op1_addr, IS_NULL, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 42088, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 42092, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 42096, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 42100, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 42104, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 42109, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
					}
#line 6159 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	bgt >2
				dasm_put(Dst, 42114, (ZREG_X15), IS_NULL);
#line 6160 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	// ZVAL_ARR(container, zend_new_array(8));
			if (Z_REG(op1_addr) != ZREG_FP) {
				//|	str Rx(Z_REG(op1_addr)), T1 // save
				dasm_put(Dst, 42120, (Z_REG(op1_addr)));
#line 6164 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	EXT_CALL _zend_new_array_0, REG0
				if (arm64_may_use_b(_zend_new_array_0)) {
			dasm_put(Dst, 42123, (unsigned int)((ptrdiff_t)(_zend_new_array_0)), (unsigned int)(((ptrdiff_t)(_zend_new_array_0))>>32));
				} else {
				if (((uintptr_t)(_zend_new_array_0)) == 0) {
			dasm_put(Dst, 42126);
				} else if (((uintptr_t)(_zend_new_array_0)) <= MOVZ_IMM) {
			dasm_put(Dst, 42128, ((uint64_t)(_zend_new_array_0)));
				} else if (arm64_may_use_adr((void*)(_zend_new_array_0))) {
			dasm_put(Dst, 42131, (unsigned int)((ptrdiff_t)(_zend_new_array_0)), (unsigned int)(((ptrdiff_t)(_zend_new_array_0))>>32));
				} else if (arm64_may_use_adrp((void*)(_zend_new_array_0))) {
			dasm_put(Dst, 42134, (unsigned int)((ptrdiff_t)((((uintptr_t)(_zend_new_array_0))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_zend_new_array_0)))))>>32));
					if (((uintptr_t)(_zend_new_array_0)) & 0xfff) {
			dasm_put(Dst, 42137, (((uintptr_t)(_zend_new_array_0)) & 0xfff));
					}
				} else if ((uintptr_t)(_zend_new_array_0) & 0xffff) {
			dasm_put(Dst, 42140, ((uintptr_t)(_zend_new_array_0) & 0xffff));
					if (((uintptr_t)(_zend_new_array_0) >> 16) & 0xffff) {
			dasm_put(Dst, 42143, (((uintptr_t)(_zend_new_array_0) >> 16) & 0xffff));
					}
					if (((uintptr_t)(_zend_new_array_0) >> 32) & 0xffff) {
			dasm_put(Dst, 42146, (((uintptr_t)(_zend_new_array_0) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(_zend_new_array_0) >> 16) & 0xffff) {
			dasm_put(Dst, 42149, (((uintptr_t)(_zend_new_array_0) >> 16) & 0xffff));
					if (((uintptr_t)(_zend_new_array_0) >> 32) & 0xffff) {
			dasm_put(Dst, 42152, (((uintptr_t)(_zend_new_array_0) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 42155, (((uintptr_t)(_zend_new_array_0) >> 32) & 0xffff));
				}
			dasm_put(Dst, 42158);
				}
#line 6166 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	mov REG0, RETVALx
			dasm_put(Dst, 42160);
#line 6167 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (Z_REG(op1_addr) != ZREG_FP) {
				//|	ldr Rx(Z_REG(op1_addr)), T1 // restore
				dasm_put(Dst, 42162, (Z_REG(op1_addr)));
#line 6169 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	SET_ZVAL_LVAL_FROM_REG op1_addr, REG0, TMP1
				if (Z_MODE(op1_addr) == IS_REG) {
			dasm_put(Dst, 42165, (Z_REG(op1_addr)));
				} else {
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 42168, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 42171, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 42174, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 42177, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 42180, (Z_REG(op1_addr)));
				} else {
			dasm_put(Dst, 42183, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
				}
#line 6171 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	SET_ZVAL_TYPE_INFO op1_addr, IS_ARRAY_EX, TMP1w, TMP2
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(IS_ARRAY_EX)) <= MOVZ_IMM) {
			dasm_put(Dst, 42187, ((uint32_t)(IS_ARRAY_EX)));
				} else if (((uint32_t)(IS_ARRAY_EX) & 0xffff)) {
			dasm_put(Dst, 42190, ((uint32_t)(IS_ARRAY_EX) & 0xffff));
					if ((((uint32_t)(IS_ARRAY_EX) >> 16) & 0xffff)) {
			dasm_put(Dst, 42193, (((uint32_t)(IS_ARRAY_EX) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 42196, (((uint32_t)(IS_ARRAY_EX) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 42199, ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 42202, ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 42205, (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 42208, (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 42211, (Z_REG(op1_addr)));
				} else {
			dasm_put(Dst, 42214, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)));
				}
#line 6172 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	mov FCARG1x, REG0
			//|	// ZEND_VM_C_GOTO(assign_dim_op_new_array);
			//|	b <6
			//|2:
			dasm_put(Dst, 42218);
#line 6176 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}

		if (op1_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_ARRAY))) {
			//|	SET_EX_OPLINE opline, REG0
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 42223, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 42226);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 42228, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 42231, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 42234, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 42237, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 42240, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 42243, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 42246, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 42249, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 42252, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 42255, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 42258, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
#line 6180 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		    if (Z_REG(op1_addr) != ZREG_FCARG1 || Z_OFFSET(op1_addr) != 0) {
				//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
					if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
				dasm_put(Dst, 42261);
					} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 42263, ((uint64_t)(Z_ZV(op1_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 42266, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 42269, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
				dasm_put(Dst, 42272, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
				dasm_put(Dst, 42275, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 42278, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 42281, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 42284, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 42287, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 42290, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(op1_addr)) {
					if (Z_OFFSET(op1_addr) == 0) {
				dasm_put(Dst, 42293, (Z_REG(op1_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
				dasm_put(Dst, 42296, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 42300, ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 42303, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 42306, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 42309, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 42312, (Z_REG(op1_addr)));
					}
						} else {
							if (Z_REG(op1_addr) == ZREG_RSP) {
				dasm_put(Dst, 42315);
							} else {
				dasm_put(Dst, 42317, (Z_REG(op1_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 6182 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		    if (opline->op2_type == IS_UNUSED) {
				//|	mov FCARG2x, xzr
				dasm_put(Dst, 42320);
#line 6185 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else if (opline->op2_type == IS_CONST && Z_EXTRA_P(RT_CONSTANT(opline, opline->op2)) == ZEND_EXTRA_VALUE) {
				ZEND_ASSERT(Z_MODE(op2_addr) == IS_CONST_ZVAL);
				//|	LOAD_ADDR FCARG2x, (Z_ZV(op2_addr) + 1)
					if (((uintptr_t)((Z_ZV(op2_addr) + 1))) == 0) {
				dasm_put(Dst, 42322);
					} else if (((uintptr_t)((Z_ZV(op2_addr) + 1))) <= MOVZ_IMM) {
				dasm_put(Dst, 42324, ((uint64_t)((Z_ZV(op2_addr) + 1))));
					} else if (arm64_may_use_adr((void*)((Z_ZV(op2_addr) + 1)))) {
				dasm_put(Dst, 42327, (unsigned int)((ptrdiff_t)((Z_ZV(op2_addr) + 1))), (unsigned int)(((ptrdiff_t)((Z_ZV(op2_addr) + 1)))>>32));
					} else if (arm64_may_use_adrp((void*)((Z_ZV(op2_addr) + 1)))) {
				dasm_put(Dst, 42330, (unsigned int)((ptrdiff_t)((((uintptr_t)((Z_ZV(op2_addr) + 1)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)((Z_ZV(op2_addr) + 1))))))>>32));
						if (((uintptr_t)((Z_ZV(op2_addr) + 1))) & 0xfff) {
				dasm_put(Dst, 42333, (((uintptr_t)((Z_ZV(op2_addr) + 1))) & 0xfff));
						}
					} else if ((uintptr_t)((Z_ZV(op2_addr) + 1)) & 0xffff) {
				dasm_put(Dst, 42336, ((uintptr_t)((Z_ZV(op2_addr) + 1)) & 0xffff));
						if (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 16) & 0xffff) {
				dasm_put(Dst, 42339, (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 16) & 0xffff));
						}
						if (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 32) & 0xffff) {
				dasm_put(Dst, 42342, (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 16) & 0xffff) {
				dasm_put(Dst, 42345, (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 16) & 0xffff));
						if (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 32) & 0xffff) {
				dasm_put(Dst, 42348, (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 42351, (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 32) & 0xffff));
					}
#line 6188 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	LOAD_ZVAL_ADDR FCARG2x, op2_addr
					if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(op2_addr))) == 0) {
				dasm_put(Dst, 42354);
					} else if (((uintptr_t)(Z_ZV(op2_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 42356, ((uint64_t)(Z_ZV(op2_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(op2_addr)))) {
				dasm_put(Dst, 42359, (unsigned int)((ptrdiff_t)(Z_ZV(op2_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op2_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(op2_addr)))) {
				dasm_put(Dst, 42362, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff) {
				dasm_put(Dst, 42365, (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff) {
				dasm_put(Dst, 42368, ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 42371, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 42374, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 42377, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 42380, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 42383, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(op2_addr)) {
					if (Z_OFFSET(op2_addr) == 0) {
				dasm_put(Dst, 42386, (Z_REG(op2_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op2_addr)))) {
				dasm_put(Dst, 42389, (Z_REG(op2_addr)), Z_OFFSET(op2_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 42393, ((uint32_t)(Z_OFFSET(op2_addr))));
					} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
				dasm_put(Dst, 42396, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 42399, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 42402, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 42405, (Z_REG(op2_addr)));
					}
						} else {
							if (Z_REG(op2_addr) == ZREG_RSP) {
				dasm_put(Dst, 42408);
							} else {
				dasm_put(Dst, 42410, (Z_REG(op2_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 6190 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if (opline->result_type == IS_UNUSED) {
				//|	mov CARG4, xzr
				dasm_put(Dst, 42413);
#line 6193 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	LOAD_ZVAL_ADDR CARG4, res_addr
					if (Z_MODE(res_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(res_addr))) == 0) {
				dasm_put(Dst, 42415);
					} else if (((uintptr_t)(Z_ZV(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 42417, ((uint64_t)(Z_ZV(res_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 42420, (unsigned int)((ptrdiff_t)(Z_ZV(res_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(res_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 42423, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(res_addr))) & 0xfff) {
				dasm_put(Dst, 42426, (((uintptr_t)(Z_ZV(res_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(res_addr)) & 0xffff) {
				dasm_put(Dst, 42429, ((uintptr_t)(Z_ZV(res_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 42432, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 42435, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 42438, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 42441, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 42444, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(res_addr)) {
					if (Z_OFFSET(res_addr) == 0) {
				dasm_put(Dst, 42447, (Z_REG(res_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(res_addr)))) {
				dasm_put(Dst, 42450, (Z_REG(res_addr)), Z_OFFSET(res_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 42454, ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 42457, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 42460, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 42463, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 42466, (Z_REG(res_addr)));
					}
						} else {
							if (Z_REG(res_addr) == ZREG_RSP) {
				dasm_put(Dst, 42469);
							} else {
				dasm_put(Dst, 42471, (Z_REG(res_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 6195 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	LOAD_ZVAL_ADDR CARG3, op3_addr
				if (Z_MODE(op3_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op3_addr))) == 0) {
			dasm_put(Dst, 42474);
				} else if (((uintptr_t)(Z_ZV(op3_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 42476, ((uint64_t)(Z_ZV(op3_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op3_addr)))) {
			dasm_put(Dst, 42479, (unsigned int)((ptrdiff_t)(Z_ZV(op3_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op3_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op3_addr)))) {
			dasm_put(Dst, 42482, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op3_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op3_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op3_addr))) & 0xfff) {
			dasm_put(Dst, 42485, (((uintptr_t)(Z_ZV(op3_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op3_addr)) & 0xffff) {
			dasm_put(Dst, 42488, ((uintptr_t)(Z_ZV(op3_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op3_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 42491, (((uintptr_t)(Z_ZV(op3_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op3_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 42494, (((uintptr_t)(Z_ZV(op3_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op3_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 42497, (((uintptr_t)(Z_ZV(op3_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op3_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 42500, (((uintptr_t)(Z_ZV(op3_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 42503, (((uintptr_t)(Z_ZV(op3_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(op3_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(op3_addr)) {
				if (Z_OFFSET(op3_addr) == 0) {
			dasm_put(Dst, 42506, (Z_REG(op3_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op3_addr)))) {
			dasm_put(Dst, 42509, (Z_REG(op3_addr)), Z_OFFSET(op3_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(op3_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 42513, ((uint32_t)(Z_OFFSET(op3_addr))));
				} else if (((uint32_t)(Z_OFFSET(op3_addr)) & 0xffff)) {
			dasm_put(Dst, 42516, ((uint32_t)(Z_OFFSET(op3_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op3_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 42519, (((uint32_t)(Z_OFFSET(op3_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 42522, (((uint32_t)(Z_OFFSET(op3_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 42525, (Z_REG(op3_addr)));
				}
					} else {
						if (Z_REG(op3_addr) == ZREG_RSP) {
			dasm_put(Dst, 42528);
						} else {
			dasm_put(Dst, 42530, (Z_REG(op3_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 6197 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	EXT_CALL zend_jit_assign_dim_helper, REG0
				if (arm64_may_use_b(zend_jit_assign_dim_helper)) {
			dasm_put(Dst, 42533, (unsigned int)((ptrdiff_t)(zend_jit_assign_dim_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_dim_helper))>>32));
				} else {
				if (((uintptr_t)(zend_jit_assign_dim_helper)) == 0) {
			dasm_put(Dst, 42536);
				} else if (((uintptr_t)(zend_jit_assign_dim_helper)) <= MOVZ_IMM) {
			dasm_put(Dst, 42538, ((uint64_t)(zend_jit_assign_dim_helper)));
				} else if (arm64_may_use_adr((void*)(zend_jit_assign_dim_helper))) {
			dasm_put(Dst, 42541, (unsigned int)((ptrdiff_t)(zend_jit_assign_dim_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_dim_helper))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_assign_dim_helper))) {
			dasm_put(Dst, 42544, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_assign_dim_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_assign_dim_helper)))))>>32));
					if (((uintptr_t)(zend_jit_assign_dim_helper)) & 0xfff) {
			dasm_put(Dst, 42547, (((uintptr_t)(zend_jit_assign_dim_helper)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_assign_dim_helper) & 0xffff) {
			dasm_put(Dst, 42550, ((uintptr_t)(zend_jit_assign_dim_helper) & 0xffff));
					if (((uintptr_t)(zend_jit_assign_dim_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 42553, (((uintptr_t)(zend_jit_assign_dim_helper) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_assign_dim_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 42556, (((uintptr_t)(zend_jit_assign_dim_helper) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_assign_dim_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 42559, (((uintptr_t)(zend_jit_assign_dim_helper) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_assign_dim_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 42562, (((uintptr_t)(zend_jit_assign_dim_helper) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 42565, (((uintptr_t)(zend_jit_assign_dim_helper) >> 32) & 0xffff));
				}
			dasm_put(Dst, 42568);
				}
#line 6198 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

#ifdef ZEND_JIT_USE_RC_INFERENCE
			if (((opline+1)->op1_type & (IS_TMP_VAR|IS_VAR)) && (val_info & MAY_BE_RC1)) {
				/* ASSIGN_DIM may increase refcount of the value */
				val_info |= MAY_BE_RCN;
			}
#endif

			//|	FREE_OP (opline+1)->op1_type, (opline+1)->op1, val_info, 0, NULL, ZREG_TMP1, ZREG_TMP2
				if ((opline+1)->op1_type & (IS_VAR|IS_TMP_VAR)) {
					zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, (opline+1)->op1.var);
				if ((val_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
					if ((val_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
						if (0) {
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 42570, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 42574, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 42578, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 42582, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 42586, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 42591, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_REFCOUNTED == 0) {
			dasm_put(Dst, 42596, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
			dasm_put(Dst, 42599, (ZREG_X15), IS_TYPE_REFCOUNTED);
				} else {
				if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
			dasm_put(Dst, 42603, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
				} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
			dasm_put(Dst, 42607, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
					if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
			dasm_put(Dst, 42611, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 42615, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			dasm_put(Dst, 42619, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 42623);
			dasm_put(Dst, 42626);
						} else {
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 42628, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 42632, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 42636, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 42640, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 42644, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 42649, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_REFCOUNTED == 0) {
			dasm_put(Dst, 42654, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
			dasm_put(Dst, 42657, (ZREG_X15), IS_TYPE_REFCOUNTED);
				} else {
				if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
			dasm_put(Dst, 42661, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
				} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
			dasm_put(Dst, 42665, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
					if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
			dasm_put(Dst, 42669, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 42673, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			dasm_put(Dst, 42677, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 42681);
						}
					}
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 42684, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
				} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
			dasm_put(Dst, 42688, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 42692, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 42696, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 42700, (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 42704, (Z_REG(addr)), (Z_OFFSET(addr)));
				}
			dasm_put(Dst, 42708, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
					if (((val_info) & MAY_BE_GUARD) || RC_MAY_BE_1(val_info)) {
						if (((val_info) & MAY_BE_GUARD) || RC_MAY_BE_N(val_info)) {
							if (0 && (((val_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(val_info) && ((val_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
			dasm_put(Dst, 42716);
							} else {
			dasm_put(Dst, 42719);
							}
						}
				do {
					if (!((val_info) & MAY_BE_GUARD)
					 && has_concrete_type((val_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
						zend_uchar type = concrete_type((val_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
						if (type == IS_STRING && !ZEND_DEBUG) {
				if (arm64_may_use_b(_efree)) {
			dasm_put(Dst, 42722, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
				} else {
				if (((uintptr_t)(_efree)) == 0) {
			dasm_put(Dst, 42725, (ZREG_X15));
				} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
			dasm_put(Dst, 42728, (ZREG_X15), ((uint64_t)(_efree)));
				} else if (arm64_may_use_adr((void*)(_efree))) {
			dasm_put(Dst, 42732, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
				} else if (arm64_may_use_adrp((void*)(_efree))) {
			dasm_put(Dst, 42736, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
					if (((uintptr_t)(_efree)) & 0xfff) {
			dasm_put(Dst, 42740, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
					}
				} else if ((uintptr_t)(_efree) & 0xffff) {
			dasm_put(Dst, 42745, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
					if (((uintptr_t)(_efree) >> 16) & 0xffff) {
			dasm_put(Dst, 42749, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
					}
					if (((uintptr_t)(_efree) >> 32) & 0xffff) {
			dasm_put(Dst, 42753, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
			dasm_put(Dst, 42757, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
					if (((uintptr_t)(_efree) >> 32) & 0xffff) {
			dasm_put(Dst, 42761, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 42765, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			dasm_put(Dst, 42769, (ZREG_X15));
				}
							break;
						} else if (type == IS_ARRAY) {
							if ((val_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
								if (NULL && ((val_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
				if (NULL == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 42772, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(NULL)) == 0) {
			dasm_put(Dst, 42775, (ZREG_X15));
				} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
			dasm_put(Dst, 42778, (ZREG_X15), ((uint64_t)(NULL)));
				} else if (arm64_may_use_adr((void*)(NULL))) {
			dasm_put(Dst, 42782, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
				} else if (arm64_may_use_adrp((void*)(NULL))) {
			dasm_put(Dst, 42786, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
					if (((uintptr_t)(NULL)) & 0xfff) {
			dasm_put(Dst, 42790, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
					}
				} else if ((uintptr_t)(NULL) & 0xffff) {
			dasm_put(Dst, 42795, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
					if (((uintptr_t)(NULL) >> 16) & 0xffff) {
			dasm_put(Dst, 42799, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
					}
					if (((uintptr_t)(NULL) >> 32) & 0xffff) {
			dasm_put(Dst, 42803, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
			dasm_put(Dst, 42807, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
					if (((uintptr_t)(NULL) >> 32) & 0xffff) {
			dasm_put(Dst, 42811, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 42815, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			dasm_put(Dst, 42819, (ZREG_X15), Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
								}
				if (arm64_may_use_b(zend_array_destroy)) {
			dasm_put(Dst, 42823, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
				} else {
				if (((uintptr_t)(zend_array_destroy)) == 0) {
			dasm_put(Dst, 42826, (ZREG_X15));
				} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
			dasm_put(Dst, 42829, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
				} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
			dasm_put(Dst, 42833, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
			dasm_put(Dst, 42837, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
					if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
			dasm_put(Dst, 42841, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
			dasm_put(Dst, 42846, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
					if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
			dasm_put(Dst, 42850, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
			dasm_put(Dst, 42854, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
			dasm_put(Dst, 42858, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
					if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
			dasm_put(Dst, 42862, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 42866, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			dasm_put(Dst, 42870, (ZREG_X15));
				}
							} else {
				if (arm64_may_use_b(zend_jit_array_free)) {
			dasm_put(Dst, 42873, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
				} else {
				if (((uintptr_t)(zend_jit_array_free)) == 0) {
			dasm_put(Dst, 42876, (ZREG_X15));
				} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
			dasm_put(Dst, 42879, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
				} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
			dasm_put(Dst, 42883, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
			dasm_put(Dst, 42887, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
					if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
			dasm_put(Dst, 42891, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
			dasm_put(Dst, 42896, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
					if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
			dasm_put(Dst, 42900, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
			dasm_put(Dst, 42904, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
			dasm_put(Dst, 42908, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
			dasm_put(Dst, 42912, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 42916, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			dasm_put(Dst, 42920, (ZREG_X15));
				}
							}
							break;
						} else if (type == IS_OBJECT) {
							if (NULL) {
				if (NULL == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 42923, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(NULL)) == 0) {
			dasm_put(Dst, 42926);
				} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
			dasm_put(Dst, 42928, ((uint64_t)(NULL)));
				} else if (arm64_may_use_adr((void*)(NULL))) {
			dasm_put(Dst, 42931, (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
				} else if (arm64_may_use_adrp((void*)(NULL))) {
			dasm_put(Dst, 42934, (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
					if (((uintptr_t)(NULL)) & 0xfff) {
			dasm_put(Dst, 42937, (((uintptr_t)(NULL)) & 0xfff));
					}
				} else if ((uintptr_t)(NULL) & 0xffff) {
			dasm_put(Dst, 42940, ((uintptr_t)(NULL) & 0xffff));
					if (((uintptr_t)(NULL) >> 16) & 0xffff) {
			dasm_put(Dst, 42943, (((uintptr_t)(NULL) >> 16) & 0xffff));
					}
					if (((uintptr_t)(NULL) >> 32) & 0xffff) {
			dasm_put(Dst, 42946, (((uintptr_t)(NULL) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
			dasm_put(Dst, 42949, (((uintptr_t)(NULL) >> 16) & 0xffff));
					if (((uintptr_t)(NULL) >> 32) & 0xffff) {
			dasm_put(Dst, 42952, (((uintptr_t)(NULL) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 42955, (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			dasm_put(Dst, 42958, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
							}
				if (arm64_may_use_b(zend_objects_store_del)) {
			dasm_put(Dst, 42961, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
				} else {
				if (((uintptr_t)(zend_objects_store_del)) == 0) {
			dasm_put(Dst, 42964, (ZREG_X15));
				} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
			dasm_put(Dst, 42967, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
				} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
			dasm_put(Dst, 42971, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
			dasm_put(Dst, 42975, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
					if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
			dasm_put(Dst, 42979, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
			dasm_put(Dst, 42984, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
					if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
			dasm_put(Dst, 42988, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
			dasm_put(Dst, 42992, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
			dasm_put(Dst, 42996, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
					if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
			dasm_put(Dst, 43000, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 43004, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			dasm_put(Dst, 43008, (ZREG_X15));
				}
							break;
						}
					}
					if (NULL) {
				if (NULL == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 43011, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(NULL)) == 0) {
			dasm_put(Dst, 43014, (ZREG_X15));
				} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
			dasm_put(Dst, 43017, (ZREG_X15), ((uint64_t)(NULL)));
				} else if (arm64_may_use_adr((void*)(NULL))) {
			dasm_put(Dst, 43021, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
				} else if (arm64_may_use_adrp((void*)(NULL))) {
			dasm_put(Dst, 43025, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
					if (((uintptr_t)(NULL)) & 0xfff) {
			dasm_put(Dst, 43029, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
					}
				} else if ((uintptr_t)(NULL) & 0xffff) {
			dasm_put(Dst, 43034, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
					if (((uintptr_t)(NULL) >> 16) & 0xffff) {
			dasm_put(Dst, 43038, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
					}
					if (((uintptr_t)(NULL) >> 32) & 0xffff) {
			dasm_put(Dst, 43042, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
			dasm_put(Dst, 43046, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
					if (((uintptr_t)(NULL) >> 32) & 0xffff) {
			dasm_put(Dst, 43050, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 43054, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			dasm_put(Dst, 43058, (ZREG_X15), Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
					}
				if (arm64_may_use_b(rc_dtor_func)) {
			dasm_put(Dst, 43062, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
				} else {
				if (((uintptr_t)(rc_dtor_func)) == 0) {
			dasm_put(Dst, 43065, (ZREG_X15));
				} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
			dasm_put(Dst, 43068, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
				} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
			dasm_put(Dst, 43072, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
				} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
			dasm_put(Dst, 43076, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
					if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
			dasm_put(Dst, 43080, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
					}
				} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
			dasm_put(Dst, 43085, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
					if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
			dasm_put(Dst, 43089, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
					}
					if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
			dasm_put(Dst, 43093, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
			dasm_put(Dst, 43097, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
					if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
			dasm_put(Dst, 43101, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 43105, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			dasm_put(Dst, 43109, (ZREG_X15));
				}
				} while(0);
						if (0 && (((val_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(val_info) && ((val_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
			dasm_put(Dst, 43112);
						}
			dasm_put(Dst, 43115);
					}
					if (0 && (((val_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(val_info) && ((val_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
						if ((val_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
							zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 43117, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 43121, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 43125, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 43129, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 43133, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 43138, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_REFERENCE == 0) {
			dasm_put(Dst, 43143, (ZREG_X15));
				} else {
			dasm_put(Dst, 43147, (ZREG_X15), IS_REFERENCE);
				}
				ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 43153, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 43157, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 43161, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 43165, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 43169, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 43174, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_COLLECTABLE == 0) {
			dasm_put(Dst, 43179, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
			dasm_put(Dst, 43182, (ZREG_X15), IS_TYPE_COLLECTABLE);
				} else {
				if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
			dasm_put(Dst, 43186, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
				} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
			dasm_put(Dst, 43190, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
					if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
			dasm_put(Dst, 43194, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 43198, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			dasm_put(Dst, 43202, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 43206);
				ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 43209, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
			dasm_put(Dst, 43213, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 43217, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 43221, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 43225, (Z_REG(ref_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 43229, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
				}
			dasm_put(Dst, 43233);
						}
			dasm_put(Dst, 43235, (ZREG_X15));
				if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
			dasm_put(Dst, 43238, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
			dasm_put(Dst, 43241, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
				} else {
				if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
			dasm_put(Dst, 43245, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
				} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
			dasm_put(Dst, 43249, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
					if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
			dasm_put(Dst, 43253, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 43257, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			dasm_put(Dst, 43261, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 43265);
				if (arm64_may_use_b(gc_possible_root)) {
			dasm_put(Dst, 43268, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
				} else {
				if (((uintptr_t)(gc_possible_root)) == 0) {
			dasm_put(Dst, 43271, (ZREG_X15));
				} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
			dasm_put(Dst, 43274, (ZREG_X15), ((uint64_t)(gc_possible_root)));
				} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
			dasm_put(Dst, 43278, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
				} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
			dasm_put(Dst, 43282, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
					if (((uintptr_t)(gc_possible_root)) & 0xfff) {
			dasm_put(Dst, 43286, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
					}
				} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
			dasm_put(Dst, 43291, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
					if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
			dasm_put(Dst, 43295, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
					}
					if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
			dasm_put(Dst, 43299, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
			dasm_put(Dst, 43303, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
					if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
			dasm_put(Dst, 43307, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 43311, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			dasm_put(Dst, 43315, (ZREG_X15));
				}
					}
					if (0 && ((val_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
			dasm_put(Dst, 43318);
					}
			dasm_put(Dst, 43321);
				}
				}
#line 6207 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}

		if (op1_info & (MAY_BE_UNDEF|MAY_BE_NULL|MAY_BE_ARRAY)) {
			if (op1_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_ARRAY))) {
				//|	b >9 // END
				dasm_put(Dst, 43323);
#line 6212 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|.code
			dasm_put(Dst, 43326);
#line 6214 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

#ifdef ZEND_JIT_USE_RC_INFERENCE
	if ((opline->op2_type & (IS_TMP_VAR|IS_VAR)) && (op1_info & (MAY_BE_UNDEF|MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_ARRAY|MAY_BE_OBJECT))) {
		/* ASSIGN_DIM may increase refcount of the key */
		op2_info |= MAY_BE_RCN;
	}
#endif

	//|9:
	//|	FREE_OP opline->op2_type, opline->op2, op2_info, 0, opline, ZREG_TMP1, ZREG_TMP2
	dasm_put(Dst, 43327);
		if (opline->op2_type & (IS_VAR|IS_TMP_VAR)) {
			zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op2.var);
		if ((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
			if ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
				if (0) {
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
	dasm_put(Dst, 43329, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
		} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
	dasm_put(Dst, 43333, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
	dasm_put(Dst, 43337, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 43341, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 43345, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 43350, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
		}
		if (IS_TYPE_REFCOUNTED == 0) {
	dasm_put(Dst, 43355, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
	dasm_put(Dst, 43358, (ZREG_X15), IS_TYPE_REFCOUNTED);
		} else {
		if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
	dasm_put(Dst, 43362, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
		} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
	dasm_put(Dst, 43366, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
			if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
	dasm_put(Dst, 43370, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 43374, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
		}
	dasm_put(Dst, 43378, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 43382);
	dasm_put(Dst, 43385);
				} else {
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
	dasm_put(Dst, 43387, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
		} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
	dasm_put(Dst, 43391, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
	dasm_put(Dst, 43395, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 43399, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 43403, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 43408, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
		}
		if (IS_TYPE_REFCOUNTED == 0) {
	dasm_put(Dst, 43413, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
	dasm_put(Dst, 43416, (ZREG_X15), IS_TYPE_REFCOUNTED);
		} else {
		if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
	dasm_put(Dst, 43420, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
		} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
	dasm_put(Dst, 43424, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
			if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
	dasm_put(Dst, 43428, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 43432, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
		}
	dasm_put(Dst, 43436, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 43440);
				}
			}
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 43443, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
		} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
	dasm_put(Dst, 43447, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 43451, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 43455, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 43459, (Z_REG(addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 43463, (Z_REG(addr)), (Z_OFFSET(addr)));
		}
	dasm_put(Dst, 43467, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
			if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op2_info)) {
				if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op2_info)) {
					if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
	dasm_put(Dst, 43475);
					} else {
	dasm_put(Dst, 43478);
					}
				}
		do {
			if (!((op2_info) & MAY_BE_GUARD)
			 && has_concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
				zend_uchar type = concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
				if (type == IS_STRING && !ZEND_DEBUG) {
		if (arm64_may_use_b(_efree)) {
	dasm_put(Dst, 43481, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
		} else {
		if (((uintptr_t)(_efree)) == 0) {
	dasm_put(Dst, 43484, (ZREG_X15));
		} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
	dasm_put(Dst, 43487, (ZREG_X15), ((uint64_t)(_efree)));
		} else if (arm64_may_use_adr((void*)(_efree))) {
	dasm_put(Dst, 43491, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
		} else if (arm64_may_use_adrp((void*)(_efree))) {
	dasm_put(Dst, 43495, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
			if (((uintptr_t)(_efree)) & 0xfff) {
	dasm_put(Dst, 43499, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
			}
		} else if ((uintptr_t)(_efree) & 0xffff) {
	dasm_put(Dst, 43504, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
			if (((uintptr_t)(_efree) >> 16) & 0xffff) {
	dasm_put(Dst, 43508, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
			}
			if (((uintptr_t)(_efree) >> 32) & 0xffff) {
	dasm_put(Dst, 43512, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
	dasm_put(Dst, 43516, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
			if (((uintptr_t)(_efree) >> 32) & 0xffff) {
	dasm_put(Dst, 43520, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 43524, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
		}
	dasm_put(Dst, 43528, (ZREG_X15));
		}
					break;
				} else if (type == IS_ARRAY) {
					if ((op2_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
						if (opline && ((op2_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
		if (opline == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 43531, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(opline)) == 0) {
	dasm_put(Dst, 43534, (ZREG_X15));
		} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
	dasm_put(Dst, 43537, (ZREG_X15), ((uint64_t)(opline)));
		} else if (arm64_may_use_adr((void*)(opline))) {
	dasm_put(Dst, 43541, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
		} else if (arm64_may_use_adrp((void*)(opline))) {
	dasm_put(Dst, 43545, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
			if (((uintptr_t)(opline)) & 0xfff) {
	dasm_put(Dst, 43549, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
			}
		} else if ((uintptr_t)(opline) & 0xffff) {
	dasm_put(Dst, 43554, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
			if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 43558, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
			}
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 43562, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 43566, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 43570, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 43574, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
		}
	dasm_put(Dst, 43578, (ZREG_X15), Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
						}
		if (arm64_may_use_b(zend_array_destroy)) {
	dasm_put(Dst, 43582, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
		} else {
		if (((uintptr_t)(zend_array_destroy)) == 0) {
	dasm_put(Dst, 43585, (ZREG_X15));
		} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
	dasm_put(Dst, 43588, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
		} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
	dasm_put(Dst, 43592, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
	dasm_put(Dst, 43596, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
			if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
	dasm_put(Dst, 43600, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
	dasm_put(Dst, 43605, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
			if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
	dasm_put(Dst, 43609, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
	dasm_put(Dst, 43613, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
	dasm_put(Dst, 43617, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
			if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
	dasm_put(Dst, 43621, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 43625, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
		}
	dasm_put(Dst, 43629, (ZREG_X15));
		}
					} else {
		if (arm64_may_use_b(zend_jit_array_free)) {
	dasm_put(Dst, 43632, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
		} else {
		if (((uintptr_t)(zend_jit_array_free)) == 0) {
	dasm_put(Dst, 43635, (ZREG_X15));
		} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
	dasm_put(Dst, 43638, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
		} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
	dasm_put(Dst, 43642, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
	dasm_put(Dst, 43646, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
			if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
	dasm_put(Dst, 43650, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
	dasm_put(Dst, 43655, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
			if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
	dasm_put(Dst, 43659, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
	dasm_put(Dst, 43663, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
	dasm_put(Dst, 43667, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
			if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
	dasm_put(Dst, 43671, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 43675, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
		}
	dasm_put(Dst, 43679, (ZREG_X15));
		}
					}
					break;
				} else if (type == IS_OBJECT) {
					if (opline) {
		if (opline == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 43682, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(opline)) == 0) {
	dasm_put(Dst, 43685);
		} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
	dasm_put(Dst, 43687, ((uint64_t)(opline)));
		} else if (arm64_may_use_adr((void*)(opline))) {
	dasm_put(Dst, 43690, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
		} else if (arm64_may_use_adrp((void*)(opline))) {
	dasm_put(Dst, 43693, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
			if (((uintptr_t)(opline)) & 0xfff) {
	dasm_put(Dst, 43696, (((uintptr_t)(opline)) & 0xfff));
			}
		} else if ((uintptr_t)(opline) & 0xffff) {
	dasm_put(Dst, 43699, ((uintptr_t)(opline) & 0xffff));
			if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 43702, (((uintptr_t)(opline) >> 16) & 0xffff));
			}
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 43705, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 43708, (((uintptr_t)(opline) >> 16) & 0xffff));
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 43711, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 43714, (((uintptr_t)(opline) >> 32) & 0xffff));
		}
	dasm_put(Dst, 43717, Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
					}
		if (arm64_may_use_b(zend_objects_store_del)) {
	dasm_put(Dst, 43720, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
		} else {
		if (((uintptr_t)(zend_objects_store_del)) == 0) {
	dasm_put(Dst, 43723, (ZREG_X15));
		} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
	dasm_put(Dst, 43726, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
		} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
	dasm_put(Dst, 43730, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
	dasm_put(Dst, 43734, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
			if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
	dasm_put(Dst, 43738, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
	dasm_put(Dst, 43743, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
			if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
	dasm_put(Dst, 43747, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
	dasm_put(Dst, 43751, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
	dasm_put(Dst, 43755, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
			if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
	dasm_put(Dst, 43759, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 43763, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
		}
	dasm_put(Dst, 43767, (ZREG_X15));
		}
					break;
				}
			}
			if (opline) {
		if (opline == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 43770, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(opline)) == 0) {
	dasm_put(Dst, 43773, (ZREG_X15));
		} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
	dasm_put(Dst, 43776, (ZREG_X15), ((uint64_t)(opline)));
		} else if (arm64_may_use_adr((void*)(opline))) {
	dasm_put(Dst, 43780, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
		} else if (arm64_may_use_adrp((void*)(opline))) {
	dasm_put(Dst, 43784, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
			if (((uintptr_t)(opline)) & 0xfff) {
	dasm_put(Dst, 43788, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
			}
		} else if ((uintptr_t)(opline) & 0xffff) {
	dasm_put(Dst, 43793, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
			if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 43797, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
			}
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 43801, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 43805, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 43809, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 43813, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
		}
	dasm_put(Dst, 43817, (ZREG_X15), Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
			}
		if (arm64_may_use_b(rc_dtor_func)) {
	dasm_put(Dst, 43821, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
		} else {
		if (((uintptr_t)(rc_dtor_func)) == 0) {
	dasm_put(Dst, 43824, (ZREG_X15));
		} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
	dasm_put(Dst, 43827, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
		} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
	dasm_put(Dst, 43831, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
		} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
	dasm_put(Dst, 43835, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
			if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
	dasm_put(Dst, 43839, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
			}
		} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
	dasm_put(Dst, 43844, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
			if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
	dasm_put(Dst, 43848, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
			}
			if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
	dasm_put(Dst, 43852, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
	dasm_put(Dst, 43856, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
			if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
	dasm_put(Dst, 43860, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 43864, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
		}
	dasm_put(Dst, 43868, (ZREG_X15));
		}
		} while(0);
				if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
	dasm_put(Dst, 43871);
				}
	dasm_put(Dst, 43874);
			}
			if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
				if ((op2_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
					zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
	dasm_put(Dst, 43876, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
		} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
	dasm_put(Dst, 43880, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
	dasm_put(Dst, 43884, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 43888, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 43892, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
		} else {
	dasm_put(Dst, 43897, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
		}
		if (IS_REFERENCE == 0) {
	dasm_put(Dst, 43902, (ZREG_X15));
		} else {
	dasm_put(Dst, 43906, (ZREG_X15), IS_REFERENCE);
		}
		ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
	dasm_put(Dst, 43912, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
		} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
	dasm_put(Dst, 43916, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
	dasm_put(Dst, 43920, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 43924, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 43928, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 43933, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
		}
		if (IS_TYPE_COLLECTABLE == 0) {
	dasm_put(Dst, 43938, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
	dasm_put(Dst, 43941, (ZREG_X15), IS_TYPE_COLLECTABLE);
		} else {
		if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
	dasm_put(Dst, 43945, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
		} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
	dasm_put(Dst, 43949, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
			if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
	dasm_put(Dst, 43953, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 43957, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
		}
	dasm_put(Dst, 43961, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 43965);
		ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 43968, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
		} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
	dasm_put(Dst, 43972, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 43976, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 43980, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 43984, (Z_REG(ref_addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 43988, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
		}
	dasm_put(Dst, 43992);
				}
	dasm_put(Dst, 43994, (ZREG_X15));
		if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
	dasm_put(Dst, 43997, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
	dasm_put(Dst, 44000, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
		} else {
		if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
	dasm_put(Dst, 44004, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
		} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
	dasm_put(Dst, 44008, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
			if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
	dasm_put(Dst, 44012, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 44016, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
		}
	dasm_put(Dst, 44020, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 44024);
		if (arm64_may_use_b(gc_possible_root)) {
	dasm_put(Dst, 44027, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
		} else {
		if (((uintptr_t)(gc_possible_root)) == 0) {
	dasm_put(Dst, 44030, (ZREG_X15));
		} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
	dasm_put(Dst, 44033, (ZREG_X15), ((uint64_t)(gc_possible_root)));
		} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
	dasm_put(Dst, 44037, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
		} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
	dasm_put(Dst, 44041, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
			if (((uintptr_t)(gc_possible_root)) & 0xfff) {
	dasm_put(Dst, 44045, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
			}
		} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
	dasm_put(Dst, 44050, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
			if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
	dasm_put(Dst, 44054, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
			}
			if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
	dasm_put(Dst, 44058, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
	dasm_put(Dst, 44062, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
			if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
	dasm_put(Dst, 44066, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 44070, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
		}
	dasm_put(Dst, 44074, (ZREG_X15));
		}
			}
			if (0 && ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
	dasm_put(Dst, 44077);
			}
	dasm_put(Dst, 44080);
		}
		}
#line 6226 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	if (may_throw) {
		zend_jit_check_exception(Dst);
	}

	return 1;
}

static int zend_jit_assign_dim_op(dasm_State **Dst, const zend_op *opline, uint32_t op1_info, uint32_t op1_def_info, zend_jit_addr op1_addr, uint32_t op2_info, uint32_t op1_data_info, zend_ssa_range *op1_data_range, uint8_t dim_type, int may_throw)
{
	zend_jit_addr op2_addr, op3_addr, var_addr;
	const void *not_found_exit_addr = NULL;
	uint32_t var_info = MAY_BE_NULL;

	ZEND_ASSERT(opline->result_type == IS_UNUSED);

	op2_addr = (opline->op2_type != IS_UNUSED) ? OP2_ADDR() : 0;
	op3_addr = OP1_DATA_ADDR();

	//|	SET_EX_OPLINE opline, REG0
		if (opline == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 44082, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(opline)) == 0) {
	dasm_put(Dst, 44085);
		} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
	dasm_put(Dst, 44087, ((uint64_t)(opline)));
		} else if (arm64_may_use_adr((void*)(opline))) {
	dasm_put(Dst, 44090, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
		} else if (arm64_may_use_adrp((void*)(opline))) {
	dasm_put(Dst, 44093, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
			if (((uintptr_t)(opline)) & 0xfff) {
	dasm_put(Dst, 44096, (((uintptr_t)(opline)) & 0xfff));
			}
		} else if ((uintptr_t)(opline) & 0xffff) {
	dasm_put(Dst, 44099, ((uintptr_t)(opline) & 0xffff));
			if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 44102, (((uintptr_t)(opline) >> 16) & 0xffff));
			}
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 44105, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 44108, (((uintptr_t)(opline) >> 16) & 0xffff));
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 44111, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 44114, (((uintptr_t)(opline) >> 32) & 0xffff));
		}
	dasm_put(Dst, 44117, Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
#line 6246 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	if (op1_info & MAY_BE_REF) {
		//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
		dasm_put(Dst, 44120);
			} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 44122, ((uint64_t)(Z_ZV(op1_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 44125, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 44128, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
		dasm_put(Dst, 44131, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
		dasm_put(Dst, 44134, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 44137, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 44140, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 44143, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 44146, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 44149, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (Z_OFFSET(op1_addr)) {
			if (Z_OFFSET(op1_addr) == 0) {
		dasm_put(Dst, 44152, (Z_REG(op1_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
		dasm_put(Dst, 44155, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
			} else {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 44159, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 44162, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 44165, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 44168, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 44171, (Z_REG(op1_addr)));
			}
				} else {
					if (Z_REG(op1_addr) == ZREG_RSP) {
		dasm_put(Dst, 44174);
					} else {
		dasm_put(Dst, 44176, (Z_REG(op1_addr)));
					}
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 6248 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	IF_NOT_Z_TYPE FCARG1x, IS_REFERENCE, >1, TMP1w
		dasm_put(Dst, 44179, offsetof(zval, u1.v.type));
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 44182);
			} else {
		dasm_put(Dst, 44185, IS_REFERENCE);
			}
#line 6249 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	GET_Z_PTR FCARG2x, FCARG1x
		//|	ldrb TMP1w, [FCARG2x, #(offsetof(zend_reference, val) + offsetof(zval, u1.v.type))]
		//|	cmp TMP1w, #IS_ARRAY
		//|	bne >2
		//|	add FCARG1x, FCARG2x, #offsetof(zend_reference, val)
		//|	b >3
		//|.cold_code
		dasm_put(Dst, 44190, (offsetof(zend_reference, val) + offsetof(zval, u1.v.type)), IS_ARRAY, offsetof(zend_reference, val));
#line 6256 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|2:
		//|	EXT_CALL zend_jit_prepare_assign_dim_ref, REG0
		dasm_put(Dst, 44202);
			if (arm64_may_use_b(zend_jit_prepare_assign_dim_ref)) {
		dasm_put(Dst, 44204, (unsigned int)((ptrdiff_t)(zend_jit_prepare_assign_dim_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_prepare_assign_dim_ref))>>32));
			} else {
			if (((uintptr_t)(zend_jit_prepare_assign_dim_ref)) == 0) {
		dasm_put(Dst, 44207);
			} else if (((uintptr_t)(zend_jit_prepare_assign_dim_ref)) <= MOVZ_IMM) {
		dasm_put(Dst, 44209, ((uint64_t)(zend_jit_prepare_assign_dim_ref)));
			} else if (arm64_may_use_adr((void*)(zend_jit_prepare_assign_dim_ref))) {
		dasm_put(Dst, 44212, (unsigned int)((ptrdiff_t)(zend_jit_prepare_assign_dim_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_prepare_assign_dim_ref))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_prepare_assign_dim_ref))) {
		dasm_put(Dst, 44215, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_prepare_assign_dim_ref))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_prepare_assign_dim_ref)))))>>32));
				if (((uintptr_t)(zend_jit_prepare_assign_dim_ref)) & 0xfff) {
		dasm_put(Dst, 44218, (((uintptr_t)(zend_jit_prepare_assign_dim_ref)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_prepare_assign_dim_ref) & 0xffff) {
		dasm_put(Dst, 44221, ((uintptr_t)(zend_jit_prepare_assign_dim_ref) & 0xffff));
				if (((uintptr_t)(zend_jit_prepare_assign_dim_ref) >> 16) & 0xffff) {
		dasm_put(Dst, 44224, (((uintptr_t)(zend_jit_prepare_assign_dim_ref) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_prepare_assign_dim_ref) >> 32) & 0xffff) {
		dasm_put(Dst, 44227, (((uintptr_t)(zend_jit_prepare_assign_dim_ref) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_prepare_assign_dim_ref) >> 16) & 0xffff) {
		dasm_put(Dst, 44230, (((uintptr_t)(zend_jit_prepare_assign_dim_ref) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_prepare_assign_dim_ref) >> 32) & 0xffff) {
		dasm_put(Dst, 44233, (((uintptr_t)(zend_jit_prepare_assign_dim_ref) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 44236, (((uintptr_t)(zend_jit_prepare_assign_dim_ref) >> 32) & 0xffff));
			}
		dasm_put(Dst, 44239);
			}
#line 6258 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	mov FCARG1x, RETVALx
		//|	cbnz RETVALx, >1
		//|	b ->exception_handler_undef
		//|.code
		dasm_put(Dst, 44241);
#line 6262 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|1:
		dasm_put(Dst, 44247);
#line 6263 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		op1_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, 0);
	}

	if (op1_info & MAY_BE_ARRAY) {
		if (op1_info & ((MAY_BE_ANY|MAY_BE_UNDEF) - MAY_BE_ARRAY)) {
			//|	IF_NOT_ZVAL_TYPE op1_addr, IS_ARRAY, >7, ZREG_TMP1
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 44249, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 44253, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 44257, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 44261, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 44265, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 44270, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_ARRAY == 0) {
			dasm_put(Dst, 44275, (ZREG_X15));
				} else {
			dasm_put(Dst, 44279, (ZREG_X15), IS_ARRAY);
				}
#line 6269 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|3:
		//|	SEPARATE_ARRAY op1_addr, op1_info, 1, ZREG_TMP1, ZREG_TMP2
		dasm_put(Dst, 44285);
			if (RC_MAY_BE_N(op1_info)) {
				if (Z_REG(op1_addr) != ZREG_FP) {
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 44287, (ZREG_X8));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 44290, (ZREG_X8));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 44293, (ZREG_X8), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 44297, (ZREG_X8), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 44301, (ZREG_X8), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 44305, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 44309, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 44313, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 44317, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 44321, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 44325, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 44329, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 44333, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 44337, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 44341, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 44345, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 44349, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 44353, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 44357, (ZREG_X8), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 44362, (ZREG_X8), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (ZREG_X8 != Z_REG(op1_addr)) {
		dasm_put(Dst, 44367, (ZREG_X8), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
					if (RC_MAY_BE_1(op1_info)) {
		dasm_put(Dst, 44371, (ZREG_X15), (ZREG_X15));
					}
					if (Z_REG(op1_addr) != ZREG_FCARG1 || Z_OFFSET(op1_addr) != 0) {
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
		dasm_put(Dst, 44378);
			} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 44380, ((uint64_t)(Z_ZV(op1_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 44383, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 44386, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
		dasm_put(Dst, 44389, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
		dasm_put(Dst, 44392, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 44395, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 44398, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 44401, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 44404, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 44407, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (Z_OFFSET(op1_addr)) {
			if (Z_OFFSET(op1_addr) == 0) {
		dasm_put(Dst, 44410, (Z_REG(op1_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
		dasm_put(Dst, 44413, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
			} else {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 44417, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 44420, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 44423, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 44426, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 44429, (Z_REG(op1_addr)));
			}
				} else {
					if (Z_REG(op1_addr) == ZREG_RSP) {
		dasm_put(Dst, 44432);
					} else {
		dasm_put(Dst, 44434, (Z_REG(op1_addr)));
					}
				}
			} else {
				ZEND_UNREACHABLE();
			}
					}
			if (arm64_may_use_b(zend_jit_zval_array_dup)) {
		dasm_put(Dst, 44437, (unsigned int)((ptrdiff_t)(zend_jit_zval_array_dup)), (unsigned int)(((ptrdiff_t)(zend_jit_zval_array_dup))>>32));
			} else {
			if (((uintptr_t)(zend_jit_zval_array_dup)) == 0) {
		dasm_put(Dst, 44440);
			} else if (((uintptr_t)(zend_jit_zval_array_dup)) <= MOVZ_IMM) {
		dasm_put(Dst, 44442, ((uint64_t)(zend_jit_zval_array_dup)));
			} else if (arm64_may_use_adr((void*)(zend_jit_zval_array_dup))) {
		dasm_put(Dst, 44445, (unsigned int)((ptrdiff_t)(zend_jit_zval_array_dup)), (unsigned int)(((ptrdiff_t)(zend_jit_zval_array_dup))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_zval_array_dup))) {
		dasm_put(Dst, 44448, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_zval_array_dup))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_zval_array_dup)))))>>32));
				if (((uintptr_t)(zend_jit_zval_array_dup)) & 0xfff) {
		dasm_put(Dst, 44451, (((uintptr_t)(zend_jit_zval_array_dup)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_zval_array_dup) & 0xffff) {
		dasm_put(Dst, 44454, ((uintptr_t)(zend_jit_zval_array_dup) & 0xffff));
				if (((uintptr_t)(zend_jit_zval_array_dup) >> 16) & 0xffff) {
		dasm_put(Dst, 44457, (((uintptr_t)(zend_jit_zval_array_dup) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_zval_array_dup) >> 32) & 0xffff) {
		dasm_put(Dst, 44460, (((uintptr_t)(zend_jit_zval_array_dup) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_zval_array_dup) >> 16) & 0xffff) {
		dasm_put(Dst, 44463, (((uintptr_t)(zend_jit_zval_array_dup) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_zval_array_dup) >> 32) & 0xffff) {
		dasm_put(Dst, 44466, (((uintptr_t)(zend_jit_zval_array_dup) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 44469, (((uintptr_t)(zend_jit_zval_array_dup) >> 32) & 0xffff));
			}
		dasm_put(Dst, 44472);
			}
		dasm_put(Dst, 44474);
				} else {
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 44478, (ZREG_FCARG1));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 44481, (ZREG_FCARG1));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 44484, (ZREG_FCARG1), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 44488, (ZREG_FCARG1), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 44492, (ZREG_FCARG1), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 44496, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 44500, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 44504, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 44508, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 44512, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 44516, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 44520, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 44524, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 44528, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 44532, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 44536, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 44540, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 44544, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 44548, (ZREG_FCARG1), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 44553, (ZREG_FCARG1), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (ZREG_FCARG1 != Z_REG(op1_addr)) {
		dasm_put(Dst, 44558, (ZREG_FCARG1), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
					if (RC_MAY_BE_1(op1_info)) {
		dasm_put(Dst, 44562, (ZREG_X15), (ZREG_X15));
						if (1) {
		dasm_put(Dst, 44567);
		dasm_put(Dst, 44570);
						} else {
		dasm_put(Dst, 44572);
						}
					}
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 44575, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 44579, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 44583, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 44587, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 44591, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 44596, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 44601, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 44604, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 44608, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 44612, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 44616, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 44620, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 44624, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 44628, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
			if (arm64_may_use_b(zend_array_dup)) {
		dasm_put(Dst, 44639, (unsigned int)((ptrdiff_t)(zend_array_dup)), (unsigned int)(((ptrdiff_t)(zend_array_dup))>>32));
			} else {
			if (((uintptr_t)(zend_array_dup)) == 0) {
		dasm_put(Dst, 44642);
			} else if (((uintptr_t)(zend_array_dup)) <= MOVZ_IMM) {
		dasm_put(Dst, 44644, ((uint64_t)(zend_array_dup)));
			} else if (arm64_may_use_adr((void*)(zend_array_dup))) {
		dasm_put(Dst, 44647, (unsigned int)((ptrdiff_t)(zend_array_dup)), (unsigned int)(((ptrdiff_t)(zend_array_dup))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_array_dup))) {
		dasm_put(Dst, 44650, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_dup))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_dup)))))>>32));
				if (((uintptr_t)(zend_array_dup)) & 0xfff) {
		dasm_put(Dst, 44653, (((uintptr_t)(zend_array_dup)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_array_dup) & 0xffff) {
		dasm_put(Dst, 44656, ((uintptr_t)(zend_array_dup) & 0xffff));
				if (((uintptr_t)(zend_array_dup) >> 16) & 0xffff) {
		dasm_put(Dst, 44659, (((uintptr_t)(zend_array_dup) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_array_dup) >> 32) & 0xffff) {
		dasm_put(Dst, 44662, (((uintptr_t)(zend_array_dup) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_array_dup) >> 16) & 0xffff) {
		dasm_put(Dst, 44665, (((uintptr_t)(zend_array_dup) >> 16) & 0xffff));
				if (((uintptr_t)(zend_array_dup) >> 32) & 0xffff) {
		dasm_put(Dst, 44668, (((uintptr_t)(zend_array_dup) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 44671, (((uintptr_t)(zend_array_dup) >> 32) & 0xffff));
			}
		dasm_put(Dst, 44674);
			}
		dasm_put(Dst, 44676);
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 44678, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 44682, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 44686, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 44690, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 44694, (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 44698, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uint32_t)(IS_ARRAY_EX)) <= MOVZ_IMM) {
		dasm_put(Dst, 44702, (ZREG_X15), ((uint32_t)(IS_ARRAY_EX)));
			} else if (((uint32_t)(IS_ARRAY_EX) & 0xffff)) {
		dasm_put(Dst, 44706, (ZREG_X15), ((uint32_t)(IS_ARRAY_EX) & 0xffff));
				if ((((uint32_t)(IS_ARRAY_EX) >> 16) & 0xffff)) {
		dasm_put(Dst, 44710, (ZREG_X15), (((uint32_t)(IS_ARRAY_EX) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 44714, (ZREG_X15), (((uint32_t)(IS_ARRAY_EX) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 44718, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 44722, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 44726, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 44730, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 44734, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 44739, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)));
			}
		dasm_put(Dst, 44744);
					if (RC_MAY_BE_1(op1_info)) {
						if (1) {
		dasm_put(Dst, 44746);
						}
					}
		dasm_put(Dst, 44749);
				}
			} else {
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 44751, (ZREG_FCARG1));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 44754, (ZREG_FCARG1));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 44757, (ZREG_FCARG1), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 44761, (ZREG_FCARG1), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 44765, (ZREG_FCARG1), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 44769, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 44773, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 44777, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 44781, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 44785, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 44789, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 44793, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 44797, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 44801, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 44805, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 44809, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 44813, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 44817, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 44821, (ZREG_FCARG1), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 44826, (ZREG_FCARG1), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (ZREG_FCARG1 != Z_REG(op1_addr)) {
		dasm_put(Dst, 44831, (ZREG_FCARG1), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
			}
#line 6272 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	if (op1_info & (MAY_BE_UNDEF|MAY_BE_NULL)) {
		if (op1_info & MAY_BE_ARRAY) {
			//|.cold_code
			dasm_put(Dst, 44835);
#line 6276 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|7:
			dasm_put(Dst, 44836);
#line 6277 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (op1_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_ARRAY))) {
			//|	CMP_ZVAL_TYPE op1_addr, IS_NULL, ZREG_TMP1
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 44838, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 44842, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 44846, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 44850, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 44854, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 44859, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
				}
#line 6280 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	bgt >7
			dasm_put(Dst, 44864, (ZREG_X15), IS_NULL);
#line 6281 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (Z_REG(op1_addr) != ZREG_FP) {
			//|	str Rx(Z_REG(op1_addr)), T1 // save
			dasm_put(Dst, 44870, (Z_REG(op1_addr)));
#line 6284 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (op1_info & MAY_BE_UNDEF) {
			if (op1_info & MAY_BE_NULL) {
				//|	IF_NOT_ZVAL_TYPE op1_addr, IS_UNDEF, >1, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 44873, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 44877, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 44881, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 44885, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 44889, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 44894, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_UNDEF == 0) {
				dasm_put(Dst, 44899, (ZREG_X15));
					} else {
				dasm_put(Dst, 44903, (ZREG_X15), IS_UNDEF);
					}
#line 6288 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	LOAD_32BIT_VAL FCARG1x, opline->op1.var
				if (((uint32_t)(opline->op1.var)) <= MOVZ_IMM) {
			dasm_put(Dst, 44909, ((uint32_t)(opline->op1.var)));
				} else if (((uint32_t)(opline->op1.var) & 0xffff)) {
			dasm_put(Dst, 44912, ((uint32_t)(opline->op1.var) & 0xffff));
					if ((((uint32_t)(opline->op1.var) >> 16) & 0xffff)) {
			dasm_put(Dst, 44915, (((uint32_t)(opline->op1.var) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 44918, (((uint32_t)(opline->op1.var) >> 16) & 0xffff));
				}
#line 6290 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	EXT_CALL zend_jit_undefined_op_helper, REG0
				if (arm64_may_use_b(zend_jit_undefined_op_helper)) {
			dasm_put(Dst, 44921, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
				} else {
				if (((uintptr_t)(zend_jit_undefined_op_helper)) == 0) {
			dasm_put(Dst, 44924);
				} else if (((uintptr_t)(zend_jit_undefined_op_helper)) <= MOVZ_IMM) {
			dasm_put(Dst, 44926, ((uint64_t)(zend_jit_undefined_op_helper)));
				} else if (arm64_may_use_adr((void*)(zend_jit_undefined_op_helper))) {
			dasm_put(Dst, 44929, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_undefined_op_helper))) {
			dasm_put(Dst, 44932, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper)))))>>32));
					if (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff) {
			dasm_put(Dst, 44935, (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff) {
			dasm_put(Dst, 44938, ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff));
					if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 44941, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 44944, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 44947, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 44950, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 44953, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
				}
			dasm_put(Dst, 44956);
				}
#line 6291 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|1:
			dasm_put(Dst, 44958);
#line 6292 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	// ZVAL_ARR(container, zend_new_array(8));
		//|	EXT_CALL _zend_new_array_0, REG0
			if (arm64_may_use_b(_zend_new_array_0)) {
		dasm_put(Dst, 44960, (unsigned int)((ptrdiff_t)(_zend_new_array_0)), (unsigned int)(((ptrdiff_t)(_zend_new_array_0))>>32));
			} else {
			if (((uintptr_t)(_zend_new_array_0)) == 0) {
		dasm_put(Dst, 44963);
			} else if (((uintptr_t)(_zend_new_array_0)) <= MOVZ_IMM) {
		dasm_put(Dst, 44965, ((uint64_t)(_zend_new_array_0)));
			} else if (arm64_may_use_adr((void*)(_zend_new_array_0))) {
		dasm_put(Dst, 44968, (unsigned int)((ptrdiff_t)(_zend_new_array_0)), (unsigned int)(((ptrdiff_t)(_zend_new_array_0))>>32));
			} else if (arm64_may_use_adrp((void*)(_zend_new_array_0))) {
		dasm_put(Dst, 44971, (unsigned int)((ptrdiff_t)((((uintptr_t)(_zend_new_array_0))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_zend_new_array_0)))))>>32));
				if (((uintptr_t)(_zend_new_array_0)) & 0xfff) {
		dasm_put(Dst, 44974, (((uintptr_t)(_zend_new_array_0)) & 0xfff));
				}
			} else if ((uintptr_t)(_zend_new_array_0) & 0xffff) {
		dasm_put(Dst, 44977, ((uintptr_t)(_zend_new_array_0) & 0xffff));
				if (((uintptr_t)(_zend_new_array_0) >> 16) & 0xffff) {
		dasm_put(Dst, 44980, (((uintptr_t)(_zend_new_array_0) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_zend_new_array_0) >> 32) & 0xffff) {
		dasm_put(Dst, 44983, (((uintptr_t)(_zend_new_array_0) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_zend_new_array_0) >> 16) & 0xffff) {
		dasm_put(Dst, 44986, (((uintptr_t)(_zend_new_array_0) >> 16) & 0xffff));
				if (((uintptr_t)(_zend_new_array_0) >> 32) & 0xffff) {
		dasm_put(Dst, 44989, (((uintptr_t)(_zend_new_array_0) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 44992, (((uintptr_t)(_zend_new_array_0) >> 32) & 0xffff));
			}
		dasm_put(Dst, 44995);
			}
#line 6295 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	mov REG0, RETVALx
		dasm_put(Dst, 44997);
#line 6296 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (Z_REG(op1_addr) != ZREG_FP) {
			//|	ldr Rx(Z_REG(op1_addr)), T1 // restore
			dasm_put(Dst, 44999, (Z_REG(op1_addr)));
#line 6298 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	SET_ZVAL_LVAL_FROM_REG op1_addr, REG0, TMP1
			if (Z_MODE(op1_addr) == IS_REG) {
		dasm_put(Dst, 45002, (Z_REG(op1_addr)));
			} else {
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 45005, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 45008, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 45011, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 45014, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 45017, (Z_REG(op1_addr)));
			} else {
		dasm_put(Dst, 45020, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			}
#line 6300 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	SET_ZVAL_TYPE_INFO op1_addr, IS_ARRAY_EX, TMP1w, TMP2
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uint32_t)(IS_ARRAY_EX)) <= MOVZ_IMM) {
		dasm_put(Dst, 45024, ((uint32_t)(IS_ARRAY_EX)));
			} else if (((uint32_t)(IS_ARRAY_EX) & 0xffff)) {
		dasm_put(Dst, 45027, ((uint32_t)(IS_ARRAY_EX) & 0xffff));
				if ((((uint32_t)(IS_ARRAY_EX) >> 16) & 0xffff)) {
		dasm_put(Dst, 45030, (((uint32_t)(IS_ARRAY_EX) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 45033, (((uint32_t)(IS_ARRAY_EX) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 45036, ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 45039, ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 45042, (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 45045, (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 45048, (Z_REG(op1_addr)));
			} else {
		dasm_put(Dst, 45051, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)));
			}
#line 6301 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	mov FCARG1x, REG0
		dasm_put(Dst, 45055);
#line 6302 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (op1_info & MAY_BE_ARRAY) {
			//|	b >1
			//|.code
			dasm_put(Dst, 45057);
#line 6305 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|1:
			dasm_put(Dst, 45060);
#line 6306 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	if (op1_info & (MAY_BE_UNDEF|MAY_BE_NULL|MAY_BE_ARRAY)) {
		uint32_t var_def_info = zend_array_element_type(op1_def_info, opline->op1_type, 1, 0);

		//|6:
		dasm_put(Dst, 45062);
#line 6313 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (opline->op2_type == IS_UNUSED) {
			var_info = MAY_BE_NULL;

			//|	// var_ptr = zend_hash_next_index_insert(Z_ARRVAL_P(container), &EG(uninitialized_zval));
			//|	LOAD_ADDR_ZTS FCARG2x, executor_globals, uninitialized_zval
				if (((uintptr_t)(&executor_globals.uninitialized_zval)) == 0) {
			dasm_put(Dst, 45064);
				} else if (((uintptr_t)(&executor_globals.uninitialized_zval)) <= MOVZ_IMM) {
			dasm_put(Dst, 45066, ((uint64_t)(&executor_globals.uninitialized_zval)));
				} else if (arm64_may_use_adr((void*)(&executor_globals.uninitialized_zval))) {
			dasm_put(Dst, 45069, (unsigned int)((ptrdiff_t)(&executor_globals.uninitialized_zval)), (unsigned int)(((ptrdiff_t)(&executor_globals.uninitialized_zval))>>32));
				} else if (arm64_may_use_adrp((void*)(&executor_globals.uninitialized_zval))) {
			dasm_put(Dst, 45072, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.uninitialized_zval))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.uninitialized_zval)))))>>32));
					if (((uintptr_t)(&executor_globals.uninitialized_zval)) & 0xfff) {
			dasm_put(Dst, 45075, (((uintptr_t)(&executor_globals.uninitialized_zval)) & 0xfff));
					}
				} else if ((uintptr_t)(&executor_globals.uninitialized_zval) & 0xffff) {
			dasm_put(Dst, 45078, ((uintptr_t)(&executor_globals.uninitialized_zval) & 0xffff));
					if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff) {
			dasm_put(Dst, 45081, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff));
					}
					if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff) {
			dasm_put(Dst, 45084, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff) {
			dasm_put(Dst, 45087, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff));
					if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff) {
			dasm_put(Dst, 45090, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 45093, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff));
				}
#line 6318 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	EXT_CALL zend_hash_next_index_insert, REG0
				if (arm64_may_use_b(zend_hash_next_index_insert)) {
			dasm_put(Dst, 45096, (unsigned int)((ptrdiff_t)(zend_hash_next_index_insert)), (unsigned int)(((ptrdiff_t)(zend_hash_next_index_insert))>>32));
				} else {
				if (((uintptr_t)(zend_hash_next_index_insert)) == 0) {
			dasm_put(Dst, 45099);
				} else if (((uintptr_t)(zend_hash_next_index_insert)) <= MOVZ_IMM) {
			dasm_put(Dst, 45101, ((uint64_t)(zend_hash_next_index_insert)));
				} else if (arm64_may_use_adr((void*)(zend_hash_next_index_insert))) {
			dasm_put(Dst, 45104, (unsigned int)((ptrdiff_t)(zend_hash_next_index_insert)), (unsigned int)(((ptrdiff_t)(zend_hash_next_index_insert))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_hash_next_index_insert))) {
			dasm_put(Dst, 45107, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_hash_next_index_insert))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_hash_next_index_insert)))))>>32));
					if (((uintptr_t)(zend_hash_next_index_insert)) & 0xfff) {
			dasm_put(Dst, 45110, (((uintptr_t)(zend_hash_next_index_insert)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_hash_next_index_insert) & 0xffff) {
			dasm_put(Dst, 45113, ((uintptr_t)(zend_hash_next_index_insert) & 0xffff));
					if (((uintptr_t)(zend_hash_next_index_insert) >> 16) & 0xffff) {
			dasm_put(Dst, 45116, (((uintptr_t)(zend_hash_next_index_insert) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_hash_next_index_insert) >> 32) & 0xffff) {
			dasm_put(Dst, 45119, (((uintptr_t)(zend_hash_next_index_insert) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_hash_next_index_insert) >> 16) & 0xffff) {
			dasm_put(Dst, 45122, (((uintptr_t)(zend_hash_next_index_insert) >> 16) & 0xffff));
					if (((uintptr_t)(zend_hash_next_index_insert) >> 32) & 0xffff) {
			dasm_put(Dst, 45125, (((uintptr_t)(zend_hash_next_index_insert) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 45128, (((uintptr_t)(zend_hash_next_index_insert) >> 32) & 0xffff));
				}
			dasm_put(Dst, 45131);
				}
#line 6319 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	mov REG0, RETVALx
			//|	// if (UNEXPECTED(!var_ptr)) {
			//|	cbz REG0, >1
			//|.cold_code
			dasm_put(Dst, 45133);
#line 6323 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|1:
			//|	// zend_throw_error(NULL, "Cannot add element to the array as the next element is already occupied");
			//|	CANNOT_ADD_ELEMENT opline
			dasm_put(Dst, 45137);
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
			dasm_put(Dst, 45139);
				} else {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 45142, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 45145);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 45147, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 45150, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 45153, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 45156, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 45159, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 45162, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 45165, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 45168, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 45171, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 45174, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 45177, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
			dasm_put(Dst, 45180);
				}
#line 6326 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	//ZEND_VM_C_GOTO(assign_dim_op_ret_null);
			//|	b >9
			//|.code
			dasm_put(Dst, 45183);
#line 6329 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			var_info = zend_array_element_type(op1_info, opline->op1_type, 0, 0);
			if (op1_info & (MAY_BE_ARRAY_OF_REF|MAY_BE_OBJECT)) {
				var_info |= MAY_BE_REF;
			}
			if (var_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) {
				var_info |= MAY_BE_RC1;
			}

			if (dim_type != IS_UNKNOWN
			 && dim_type != IS_UNDEF
			 && (op1_info & (MAY_BE_ANY|MAY_BE_UNDEF)) == MAY_BE_ARRAY
			 && (op2_info & (MAY_BE_LONG|MAY_BE_STRING))
			 && !(op2_info & ((MAY_BE_ANY|MAY_BE_UNDEF) - (MAY_BE_LONG|MAY_BE_STRING)))) {
				int32_t exit_point = zend_jit_trace_get_exit_point(opline, 0);
				not_found_exit_addr = zend_jit_trace_get_exit_addr(exit_point);
				if (!not_found_exit_addr) {
					return 0;
				}
			}

			if (!zend_jit_fetch_dimension_address_inner(Dst, opline, BP_VAR_RW, op1_info, op2_info, dim_type, NULL, not_found_exit_addr, NULL)) {
				return 0;
			}

			//|8:
			dasm_put(Dst, 45186);
#line 6355 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (not_found_exit_addr && dim_type != IS_REFERENCE) {
				//|	IF_NOT_Z_TYPE, REG0, dim_type, &not_found_exit_addr, TMP1w
				dasm_put(Dst, 45188, offsetof(zval, u1.v.type));
					if (dim_type == 0) {
				dasm_put(Dst, 45191, (unsigned int)((ptrdiff_t)(not_found_exit_addr)), (unsigned int)(((ptrdiff_t)(not_found_exit_addr))>>32));
					} else {
				dasm_put(Dst, 45194, dim_type, (unsigned int)((ptrdiff_t)(not_found_exit_addr)), (unsigned int)(((ptrdiff_t)(not_found_exit_addr))>>32));
					}
#line 6357 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				var_info = (1 << dim_type) | (var_info & ~(MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_REF));
			}
			if (var_info & MAY_BE_REF) {
				binary_op_type binary_op = get_binary_op(opline->extended_value);
				//|	IF_NOT_Z_TYPE, REG0, IS_REFERENCE, >1, TMP1w
				dasm_put(Dst, 45199, offsetof(zval, u1.v.type));
					if (IS_REFERENCE == 0) {
				dasm_put(Dst, 45202);
					} else {
				dasm_put(Dst, 45205, IS_REFERENCE);
					}
#line 6362 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	GET_Z_PTR FCARG1x, REG0
				//|	ldr TMP1, [FCARG1x, #offsetof(zend_reference, sources.ptr)]
				//|	cbnz TMP1, >2
				//|	add REG0, FCARG1x, #offsetof(zend_reference, val)
				//|.cold_code
				dasm_put(Dst, 45210, offsetof(zend_reference, sources.ptr), offsetof(zend_reference, val));
#line 6367 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|2:
				//|	LOAD_ZVAL_ADDR FCARG2x, op3_addr
				dasm_put(Dst, 45218);
					if (Z_MODE(op3_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(op3_addr))) == 0) {
				dasm_put(Dst, 45220);
					} else if (((uintptr_t)(Z_ZV(op3_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 45222, ((uint64_t)(Z_ZV(op3_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(op3_addr)))) {
				dasm_put(Dst, 45225, (unsigned int)((ptrdiff_t)(Z_ZV(op3_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op3_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(op3_addr)))) {
				dasm_put(Dst, 45228, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op3_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op3_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(op3_addr))) & 0xfff) {
				dasm_put(Dst, 45231, (((uintptr_t)(Z_ZV(op3_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(op3_addr)) & 0xffff) {
				dasm_put(Dst, 45234, ((uintptr_t)(Z_ZV(op3_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(op3_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 45237, (((uintptr_t)(Z_ZV(op3_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(op3_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 45240, (((uintptr_t)(Z_ZV(op3_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(op3_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 45243, (((uintptr_t)(Z_ZV(op3_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(op3_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 45246, (((uintptr_t)(Z_ZV(op3_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 45249, (((uintptr_t)(Z_ZV(op3_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(op3_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(op3_addr)) {
					if (Z_OFFSET(op3_addr) == 0) {
				dasm_put(Dst, 45252, (Z_REG(op3_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op3_addr)))) {
				dasm_put(Dst, 45255, (Z_REG(op3_addr)), Z_OFFSET(op3_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(op3_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 45259, ((uint32_t)(Z_OFFSET(op3_addr))));
					} else if (((uint32_t)(Z_OFFSET(op3_addr)) & 0xffff)) {
				dasm_put(Dst, 45262, ((uint32_t)(Z_OFFSET(op3_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op3_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 45265, (((uint32_t)(Z_OFFSET(op3_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 45268, (((uint32_t)(Z_OFFSET(op3_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 45271, (Z_REG(op3_addr)));
					}
						} else {
							if (Z_REG(op3_addr) == ZREG_RSP) {
				dasm_put(Dst, 45274);
							} else {
				dasm_put(Dst, 45276, (Z_REG(op3_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 6369 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	LOAD_ADDR CARG3, binary_op
					if (((uintptr_t)(binary_op)) == 0) {
				dasm_put(Dst, 45279);
					} else if (((uintptr_t)(binary_op)) <= MOVZ_IMM) {
				dasm_put(Dst, 45281, ((uint64_t)(binary_op)));
					} else if (arm64_may_use_adr((void*)(binary_op))) {
				dasm_put(Dst, 45284, (unsigned int)((ptrdiff_t)(binary_op)), (unsigned int)(((ptrdiff_t)(binary_op))>>32));
					} else if (arm64_may_use_adrp((void*)(binary_op))) {
				dasm_put(Dst, 45287, (unsigned int)((ptrdiff_t)((((uintptr_t)(binary_op))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(binary_op)))))>>32));
						if (((uintptr_t)(binary_op)) & 0xfff) {
				dasm_put(Dst, 45290, (((uintptr_t)(binary_op)) & 0xfff));
						}
					} else if ((uintptr_t)(binary_op) & 0xffff) {
				dasm_put(Dst, 45293, ((uintptr_t)(binary_op) & 0xffff));
						if (((uintptr_t)(binary_op) >> 16) & 0xffff) {
				dasm_put(Dst, 45296, (((uintptr_t)(binary_op) >> 16) & 0xffff));
						}
						if (((uintptr_t)(binary_op) >> 32) & 0xffff) {
				dasm_put(Dst, 45299, (((uintptr_t)(binary_op) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(binary_op) >> 16) & 0xffff) {
				dasm_put(Dst, 45302, (((uintptr_t)(binary_op) >> 16) & 0xffff));
						if (((uintptr_t)(binary_op) >> 32) & 0xffff) {
				dasm_put(Dst, 45305, (((uintptr_t)(binary_op) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 45308, (((uintptr_t)(binary_op) >> 32) & 0xffff));
					}
#line 6370 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				if (((opline+1)->op1_type & (IS_TMP_VAR|IS_VAR))
				 && (op1_data_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					//|	EXT_CALL zend_jit_assign_op_to_typed_ref_tmp, REG0
						if (arm64_may_use_b(zend_jit_assign_op_to_typed_ref_tmp)) {
					dasm_put(Dst, 45311, (unsigned int)((ptrdiff_t)(zend_jit_assign_op_to_typed_ref_tmp)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_op_to_typed_ref_tmp))>>32));
						} else {
						if (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp)) == 0) {
					dasm_put(Dst, 45314);
						} else if (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp)) <= MOVZ_IMM) {
					dasm_put(Dst, 45316, ((uint64_t)(zend_jit_assign_op_to_typed_ref_tmp)));
						} else if (arm64_may_use_adr((void*)(zend_jit_assign_op_to_typed_ref_tmp))) {
					dasm_put(Dst, 45319, (unsigned int)((ptrdiff_t)(zend_jit_assign_op_to_typed_ref_tmp)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_op_to_typed_ref_tmp))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_jit_assign_op_to_typed_ref_tmp))) {
					dasm_put(Dst, 45322, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp)))))>>32));
							if (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp)) & 0xfff) {
					dasm_put(Dst, 45325, (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) & 0xffff) {
					dasm_put(Dst, 45328, ((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) & 0xffff));
							if (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 16) & 0xffff) {
					dasm_put(Dst, 45331, (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 32) & 0xffff) {
					dasm_put(Dst, 45334, (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 16) & 0xffff) {
					dasm_put(Dst, 45337, (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 16) & 0xffff));
							if (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 32) & 0xffff) {
					dasm_put(Dst, 45340, (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 45343, (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 32) & 0xffff));
						}
					dasm_put(Dst, 45346);
						}
#line 6373 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	EXT_CALL zend_jit_assign_op_to_typed_ref, REG0
						if (arm64_may_use_b(zend_jit_assign_op_to_typed_ref)) {
					dasm_put(Dst, 45348, (unsigned int)((ptrdiff_t)(zend_jit_assign_op_to_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_op_to_typed_ref))>>32));
						} else {
						if (((uintptr_t)(zend_jit_assign_op_to_typed_ref)) == 0) {
					dasm_put(Dst, 45351);
						} else if (((uintptr_t)(zend_jit_assign_op_to_typed_ref)) <= MOVZ_IMM) {
					dasm_put(Dst, 45353, ((uint64_t)(zend_jit_assign_op_to_typed_ref)));
						} else if (arm64_may_use_adr((void*)(zend_jit_assign_op_to_typed_ref))) {
					dasm_put(Dst, 45356, (unsigned int)((ptrdiff_t)(zend_jit_assign_op_to_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_op_to_typed_ref))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_jit_assign_op_to_typed_ref))) {
					dasm_put(Dst, 45359, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_assign_op_to_typed_ref))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_assign_op_to_typed_ref)))))>>32));
							if (((uintptr_t)(zend_jit_assign_op_to_typed_ref)) & 0xfff) {
					dasm_put(Dst, 45362, (((uintptr_t)(zend_jit_assign_op_to_typed_ref)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_jit_assign_op_to_typed_ref) & 0xffff) {
					dasm_put(Dst, 45365, ((uintptr_t)(zend_jit_assign_op_to_typed_ref) & 0xffff));
							if (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 16) & 0xffff) {
					dasm_put(Dst, 45368, (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 32) & 0xffff) {
					dasm_put(Dst, 45371, (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 16) & 0xffff) {
					dasm_put(Dst, 45374, (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 16) & 0xffff));
							if (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 32) & 0xffff) {
					dasm_put(Dst, 45377, (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 45380, (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 32) & 0xffff));
						}
					dasm_put(Dst, 45383);
						}
#line 6375 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|	b >9
				//|.code
				dasm_put(Dst, 45385);
#line 6378 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|1:
				dasm_put(Dst, 45388);
#line 6379 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}

		var_addr = ZEND_ADDR_MEM_ZVAL(ZREG_REG0, 0);
		switch (opline->extended_value) {
			case ZEND_ADD:
			case ZEND_SUB:
			case ZEND_MUL:
			case ZEND_DIV:
				if (!zend_jit_math_helper(Dst, opline, opline->extended_value, IS_CV, opline->op1, var_addr, var_info, (opline+1)->op1_type, (opline+1)->op1, op3_addr, op1_data_info, 0, var_addr, var_def_info, var_info,
						1 /* may overflow */, may_throw)) {
					return 0;
				}
				break;
			case ZEND_BW_OR:
			case ZEND_BW_AND:
			case ZEND_BW_XOR:
			case ZEND_SL:
			case ZEND_SR:
			case ZEND_MOD:
				if (!zend_jit_long_math_helper(Dst, opline, opline->extended_value,
						IS_CV, opline->op1, var_addr, var_info, NULL,
						(opline+1)->op1_type, (opline+1)->op1, op3_addr, op1_data_info,
						op1_data_range,
						0, var_addr, var_def_info, var_info, may_throw)) {
					return 0;
				}
				break;
			case ZEND_CONCAT:
				if (!zend_jit_concat_helper(Dst, opline, IS_CV, opline->op1, var_addr, var_info, (opline+1)->op1_type, (opline+1)->op1, op3_addr, op1_data_info, var_addr,
						may_throw)) {
					return 0;
				}
				break;
			default:
				ZEND_UNREACHABLE();
		}
		//|	FREE_OP opline->op2_type, opline->op2, op2_info, 0, opline, ZREG_TMP1, ZREG_TMP2
			if (opline->op2_type & (IS_VAR|IS_TMP_VAR)) {
				zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op2.var);
			if ((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
				if ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if (0) {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 45390, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 45394, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 45398, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 45402, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 45406, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 45411, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 45416, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 45419, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 45423, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 45427, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 45431, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 45435, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 45439, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 45443);
		dasm_put(Dst, 45446);
					} else {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 45448, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 45452, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 45456, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 45460, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 45464, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 45469, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 45474, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 45477, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 45481, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 45485, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 45489, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 45493, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 45497, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 45501);
					}
				}
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 45504, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
			} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
		dasm_put(Dst, 45508, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 45512, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 45516, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 45520, (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 45524, (Z_REG(addr)), (Z_OFFSET(addr)));
			}
		dasm_put(Dst, 45528, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
				if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op2_info)) {
					if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op2_info)) {
						if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 45536);
						} else {
		dasm_put(Dst, 45539);
						}
					}
			do {
				if (!((op2_info) & MAY_BE_GUARD)
				 && has_concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					zend_uchar type = concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
					if (type == IS_STRING && !ZEND_DEBUG) {
			if (arm64_may_use_b(_efree)) {
		dasm_put(Dst, 45542, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else {
			if (((uintptr_t)(_efree)) == 0) {
		dasm_put(Dst, 45545, (ZREG_X15));
			} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
		dasm_put(Dst, 45548, (ZREG_X15), ((uint64_t)(_efree)));
			} else if (arm64_may_use_adr((void*)(_efree))) {
		dasm_put(Dst, 45552, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else if (arm64_may_use_adrp((void*)(_efree))) {
		dasm_put(Dst, 45556, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
				if (((uintptr_t)(_efree)) & 0xfff) {
		dasm_put(Dst, 45560, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
				}
			} else if ((uintptr_t)(_efree) & 0xffff) {
		dasm_put(Dst, 45565, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
				if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 45569, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 45573, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 45577, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 45581, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 45585, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		dasm_put(Dst, 45589, (ZREG_X15));
			}
						break;
					} else if (type == IS_ARRAY) {
						if ((op2_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
							if (opline && ((op2_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 45592, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 45595, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 45598, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 45602, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 45606, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 45610, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 45615, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 45619, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 45623, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 45627, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 45631, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 45635, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 45639, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
							}
			if (arm64_may_use_b(zend_array_destroy)) {
		dasm_put(Dst, 45643, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else {
			if (((uintptr_t)(zend_array_destroy)) == 0) {
		dasm_put(Dst, 45646, (ZREG_X15));
			} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
		dasm_put(Dst, 45649, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
			} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
		dasm_put(Dst, 45653, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
		dasm_put(Dst, 45657, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
				if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
		dasm_put(Dst, 45661, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
		dasm_put(Dst, 45666, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 45670, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 45674, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 45678, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 45682, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 45686, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		dasm_put(Dst, 45690, (ZREG_X15));
			}
						} else {
			if (arm64_may_use_b(zend_jit_array_free)) {
		dasm_put(Dst, 45693, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else {
			if (((uintptr_t)(zend_jit_array_free)) == 0) {
		dasm_put(Dst, 45696, (ZREG_X15));
			} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
		dasm_put(Dst, 45699, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
			} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 45703, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 45707, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
				if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
		dasm_put(Dst, 45711, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
		dasm_put(Dst, 45716, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 45720, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 45724, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 45728, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 45732, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 45736, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		dasm_put(Dst, 45740, (ZREG_X15));
			}
						}
						break;
					} else if (type == IS_OBJECT) {
						if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 45743, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 45746);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 45748, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 45751, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 45754, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 45757, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 45760, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 45763, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 45766, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 45769, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 45772, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 45775, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 45778, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
						}
			if (arm64_may_use_b(zend_objects_store_del)) {
		dasm_put(Dst, 45781, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else {
			if (((uintptr_t)(zend_objects_store_del)) == 0) {
		dasm_put(Dst, 45784, (ZREG_X15));
			} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
		dasm_put(Dst, 45787, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
			} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 45791, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 45795, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
				if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
		dasm_put(Dst, 45799, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
		dasm_put(Dst, 45804, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 45808, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 45812, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 45816, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 45820, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 45824, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		dasm_put(Dst, 45828, (ZREG_X15));
			}
						break;
					}
				}
				if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 45831, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 45834, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 45837, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 45841, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 45845, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 45849, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 45854, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 45858, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 45862, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 45866, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 45870, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 45874, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 45878, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
				}
			if (arm64_may_use_b(rc_dtor_func)) {
		dasm_put(Dst, 45882, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else {
			if (((uintptr_t)(rc_dtor_func)) == 0) {
		dasm_put(Dst, 45885, (ZREG_X15));
			} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
		dasm_put(Dst, 45888, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
			} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
		dasm_put(Dst, 45892, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
		dasm_put(Dst, 45896, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
				if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
		dasm_put(Dst, 45900, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
				}
			} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
		dasm_put(Dst, 45905, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 45909, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				}
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 45913, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 45917, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 45921, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 45925, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		dasm_put(Dst, 45929, (ZREG_X15));
			}
			} while(0);
					if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 45932);
					}
		dasm_put(Dst, 45935);
				}
				if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					if ((op2_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
						zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
		dasm_put(Dst, 45937, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
		dasm_put(Dst, 45941, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
		dasm_put(Dst, 45945, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 45949, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 45953, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 45958, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
			}
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 45963, (ZREG_X15));
			} else {
		dasm_put(Dst, 45967, (ZREG_X15), IS_REFERENCE);
			}
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 45973, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 45977, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 45981, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 45985, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 45989, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 45994, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_COLLECTABLE == 0) {
		dasm_put(Dst, 45999, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
		dasm_put(Dst, 46002, (ZREG_X15), IS_TYPE_COLLECTABLE);
			} else {
			if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
		dasm_put(Dst, 46006, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
			} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
		dasm_put(Dst, 46010, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
				if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
		dasm_put(Dst, 46014, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 46018, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		dasm_put(Dst, 46022, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 46026);
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 46029, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
		dasm_put(Dst, 46033, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 46037, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 46041, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 46045, (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 46049, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
			}
		dasm_put(Dst, 46053);
					}
		dasm_put(Dst, 46055, (ZREG_X15));
			if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
		dasm_put(Dst, 46058, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
		dasm_put(Dst, 46061, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
			} else {
			if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
		dasm_put(Dst, 46065, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
			} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
		dasm_put(Dst, 46069, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
				if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
		dasm_put(Dst, 46073, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 46077, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 46081, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 46085);
			if (arm64_may_use_b(gc_possible_root)) {
		dasm_put(Dst, 46088, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else {
			if (((uintptr_t)(gc_possible_root)) == 0) {
		dasm_put(Dst, 46091, (ZREG_X15));
			} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
		dasm_put(Dst, 46094, (ZREG_X15), ((uint64_t)(gc_possible_root)));
			} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
		dasm_put(Dst, 46098, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
		dasm_put(Dst, 46102, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
				if (((uintptr_t)(gc_possible_root)) & 0xfff) {
		dasm_put(Dst, 46106, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
				}
			} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
		dasm_put(Dst, 46111, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 46115, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				}
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 46119, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 46123, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 46127, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 46131, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		dasm_put(Dst, 46135, (ZREG_X15));
			}
				}
				if (0 && ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
		dasm_put(Dst, 46138);
				}
		dasm_put(Dst, 46141);
			}
			}
#line 6417 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	if (op1_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_ARRAY))) {
		binary_op_type binary_op;

		if (op1_info & (MAY_BE_UNDEF|MAY_BE_NULL|MAY_BE_ARRAY)) {
			//|.cold_code
			dasm_put(Dst, 46143);
#line 6424 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|7:
			dasm_put(Dst, 46144);
#line 6425 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}

		if (Z_REG(op1_addr) != ZREG_FCARG1 || Z_OFFSET(op1_addr) != 0) {
			//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
			dasm_put(Dst, 46146);
				} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 46148, ((uint64_t)(Z_ZV(op1_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 46151, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 46154, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
			dasm_put(Dst, 46157, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
			dasm_put(Dst, 46160, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 46163, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 46166, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 46169, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 46172, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 46175, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(op1_addr)) {
				if (Z_OFFSET(op1_addr) == 0) {
			dasm_put(Dst, 46178, (Z_REG(op1_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
			dasm_put(Dst, 46181, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 46185, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 46188, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 46191, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 46194, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 46197, (Z_REG(op1_addr)));
				}
					} else {
						if (Z_REG(op1_addr) == ZREG_RSP) {
			dasm_put(Dst, 46200);
						} else {
			dasm_put(Dst, 46202, (Z_REG(op1_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 6429 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	    if (opline->op2_type == IS_UNUSED) {
			//|	mov FCARG2x, xzr
			dasm_put(Dst, 46205);
#line 6432 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else if (opline->op2_type == IS_CONST && Z_EXTRA_P(RT_CONSTANT(opline, opline->op2)) == ZEND_EXTRA_VALUE) {
			ZEND_ASSERT(Z_MODE(op2_addr) == IS_CONST_ZVAL);
			//|	LOAD_ADDR FCARG2x, (Z_ZV(op2_addr) + 1)
				if (((uintptr_t)((Z_ZV(op2_addr) + 1))) == 0) {
			dasm_put(Dst, 46207);
				} else if (((uintptr_t)((Z_ZV(op2_addr) + 1))) <= MOVZ_IMM) {
			dasm_put(Dst, 46209, ((uint64_t)((Z_ZV(op2_addr) + 1))));
				} else if (arm64_may_use_adr((void*)((Z_ZV(op2_addr) + 1)))) {
			dasm_put(Dst, 46212, (unsigned int)((ptrdiff_t)((Z_ZV(op2_addr) + 1))), (unsigned int)(((ptrdiff_t)((Z_ZV(op2_addr) + 1)))>>32));
				} else if (arm64_may_use_adrp((void*)((Z_ZV(op2_addr) + 1)))) {
			dasm_put(Dst, 46215, (unsigned int)((ptrdiff_t)((((uintptr_t)((Z_ZV(op2_addr) + 1)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)((Z_ZV(op2_addr) + 1))))))>>32));
					if (((uintptr_t)((Z_ZV(op2_addr) + 1))) & 0xfff) {
			dasm_put(Dst, 46218, (((uintptr_t)((Z_ZV(op2_addr) + 1))) & 0xfff));
					}
				} else if ((uintptr_t)((Z_ZV(op2_addr) + 1)) & 0xffff) {
			dasm_put(Dst, 46221, ((uintptr_t)((Z_ZV(op2_addr) + 1)) & 0xffff));
					if (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 16) & 0xffff) {
			dasm_put(Dst, 46224, (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 16) & 0xffff));
					}
					if (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 32) & 0xffff) {
			dasm_put(Dst, 46227, (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 16) & 0xffff) {
			dasm_put(Dst, 46230, (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 16) & 0xffff));
					if (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 32) & 0xffff) {
			dasm_put(Dst, 46233, (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 46236, (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 32) & 0xffff));
				}
#line 6435 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	LOAD_ZVAL_ADDR FCARG2x, op2_addr
				if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op2_addr))) == 0) {
			dasm_put(Dst, 46239);
				} else if (((uintptr_t)(Z_ZV(op2_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 46241, ((uint64_t)(Z_ZV(op2_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op2_addr)))) {
			dasm_put(Dst, 46244, (unsigned int)((ptrdiff_t)(Z_ZV(op2_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op2_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op2_addr)))) {
			dasm_put(Dst, 46247, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff) {
			dasm_put(Dst, 46250, (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff) {
			dasm_put(Dst, 46253, ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 46256, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 46259, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 46262, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 46265, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 46268, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(op2_addr)) {
				if (Z_OFFSET(op2_addr) == 0) {
			dasm_put(Dst, 46271, (Z_REG(op2_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op2_addr)))) {
			dasm_put(Dst, 46274, (Z_REG(op2_addr)), Z_OFFSET(op2_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 46278, ((uint32_t)(Z_OFFSET(op2_addr))));
				} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
			dasm_put(Dst, 46281, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 46284, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 46287, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 46290, (Z_REG(op2_addr)));
				}
					} else {
						if (Z_REG(op2_addr) == ZREG_RSP) {
			dasm_put(Dst, 46293);
						} else {
			dasm_put(Dst, 46295, (Z_REG(op2_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 6437 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		binary_op = get_binary_op(opline->extended_value);
		//|	LOAD_ZVAL_ADDR CARG3, op3_addr
			if (Z_MODE(op3_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op3_addr))) == 0) {
		dasm_put(Dst, 46298);
			} else if (((uintptr_t)(Z_ZV(op3_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 46300, ((uint64_t)(Z_ZV(op3_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op3_addr)))) {
		dasm_put(Dst, 46303, (unsigned int)((ptrdiff_t)(Z_ZV(op3_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op3_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op3_addr)))) {
		dasm_put(Dst, 46306, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op3_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op3_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op3_addr))) & 0xfff) {
		dasm_put(Dst, 46309, (((uintptr_t)(Z_ZV(op3_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op3_addr)) & 0xffff) {
		dasm_put(Dst, 46312, ((uintptr_t)(Z_ZV(op3_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op3_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 46315, (((uintptr_t)(Z_ZV(op3_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op3_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 46318, (((uintptr_t)(Z_ZV(op3_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op3_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 46321, (((uintptr_t)(Z_ZV(op3_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op3_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 46324, (((uintptr_t)(Z_ZV(op3_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 46327, (((uintptr_t)(Z_ZV(op3_addr)) >> 32) & 0xffff));
			}
			} else if (Z_MODE(op3_addr) == IS_MEM_ZVAL) {
				if (Z_OFFSET(op3_addr)) {
			if (Z_OFFSET(op3_addr) == 0) {
		dasm_put(Dst, 46330, (Z_REG(op3_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op3_addr)))) {
		dasm_put(Dst, 46333, (Z_REG(op3_addr)), Z_OFFSET(op3_addr));
			} else {
			if (((uint32_t)(Z_OFFSET(op3_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 46337, ((uint32_t)(Z_OFFSET(op3_addr))));
			} else if (((uint32_t)(Z_OFFSET(op3_addr)) & 0xffff)) {
		dasm_put(Dst, 46340, ((uint32_t)(Z_OFFSET(op3_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op3_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 46343, (((uint32_t)(Z_OFFSET(op3_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 46346, (((uint32_t)(Z_OFFSET(op3_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 46349, (Z_REG(op3_addr)));
			}
				} else {
					if (Z_REG(op3_addr) == ZREG_RSP) {
		dasm_put(Dst, 46352);
					} else {
		dasm_put(Dst, 46354, (Z_REG(op3_addr)));
					}
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 6440 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	LOAD_ADDR CARG4, binary_op
			if (((uintptr_t)(binary_op)) == 0) {
		dasm_put(Dst, 46357);
			} else if (((uintptr_t)(binary_op)) <= MOVZ_IMM) {
		dasm_put(Dst, 46359, ((uint64_t)(binary_op)));
			} else if (arm64_may_use_adr((void*)(binary_op))) {
		dasm_put(Dst, 46362, (unsigned int)((ptrdiff_t)(binary_op)), (unsigned int)(((ptrdiff_t)(binary_op))>>32));
			} else if (arm64_may_use_adrp((void*)(binary_op))) {
		dasm_put(Dst, 46365, (unsigned int)((ptrdiff_t)((((uintptr_t)(binary_op))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(binary_op)))))>>32));
				if (((uintptr_t)(binary_op)) & 0xfff) {
		dasm_put(Dst, 46368, (((uintptr_t)(binary_op)) & 0xfff));
				}
			} else if ((uintptr_t)(binary_op) & 0xffff) {
		dasm_put(Dst, 46371, ((uintptr_t)(binary_op) & 0xffff));
				if (((uintptr_t)(binary_op) >> 16) & 0xffff) {
		dasm_put(Dst, 46374, (((uintptr_t)(binary_op) >> 16) & 0xffff));
				}
				if (((uintptr_t)(binary_op) >> 32) & 0xffff) {
		dasm_put(Dst, 46377, (((uintptr_t)(binary_op) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(binary_op) >> 16) & 0xffff) {
		dasm_put(Dst, 46380, (((uintptr_t)(binary_op) >> 16) & 0xffff));
				if (((uintptr_t)(binary_op) >> 32) & 0xffff) {
		dasm_put(Dst, 46383, (((uintptr_t)(binary_op) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 46386, (((uintptr_t)(binary_op) >> 32) & 0xffff));
			}
#line 6441 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	EXT_CALL zend_jit_assign_dim_op_helper, REG0
			if (arm64_may_use_b(zend_jit_assign_dim_op_helper)) {
		dasm_put(Dst, 46389, (unsigned int)((ptrdiff_t)(zend_jit_assign_dim_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_dim_op_helper))>>32));
			} else {
			if (((uintptr_t)(zend_jit_assign_dim_op_helper)) == 0) {
		dasm_put(Dst, 46392);
			} else if (((uintptr_t)(zend_jit_assign_dim_op_helper)) <= MOVZ_IMM) {
		dasm_put(Dst, 46394, ((uint64_t)(zend_jit_assign_dim_op_helper)));
			} else if (arm64_may_use_adr((void*)(zend_jit_assign_dim_op_helper))) {
		dasm_put(Dst, 46397, (unsigned int)((ptrdiff_t)(zend_jit_assign_dim_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_dim_op_helper))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_assign_dim_op_helper))) {
		dasm_put(Dst, 46400, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_assign_dim_op_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_assign_dim_op_helper)))))>>32));
				if (((uintptr_t)(zend_jit_assign_dim_op_helper)) & 0xfff) {
		dasm_put(Dst, 46403, (((uintptr_t)(zend_jit_assign_dim_op_helper)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_assign_dim_op_helper) & 0xffff) {
		dasm_put(Dst, 46406, ((uintptr_t)(zend_jit_assign_dim_op_helper) & 0xffff));
				if (((uintptr_t)(zend_jit_assign_dim_op_helper) >> 16) & 0xffff) {
		dasm_put(Dst, 46409, (((uintptr_t)(zend_jit_assign_dim_op_helper) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_assign_dim_op_helper) >> 32) & 0xffff) {
		dasm_put(Dst, 46412, (((uintptr_t)(zend_jit_assign_dim_op_helper) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_assign_dim_op_helper) >> 16) & 0xffff) {
		dasm_put(Dst, 46415, (((uintptr_t)(zend_jit_assign_dim_op_helper) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_assign_dim_op_helper) >> 32) & 0xffff) {
		dasm_put(Dst, 46418, (((uintptr_t)(zend_jit_assign_dim_op_helper) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 46421, (((uintptr_t)(zend_jit_assign_dim_op_helper) >> 32) & 0xffff));
			}
		dasm_put(Dst, 46424);
			}
#line 6442 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

		//|9:
		//|	FREE_OP (opline+1)->op1_type, (opline+1)->op1, op1_data_info, 0, NULL, ZREG_TMP1, ZREG_TMP2
		dasm_put(Dst, 46426);
			if ((opline+1)->op1_type & (IS_VAR|IS_TMP_VAR)) {
				zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, (opline+1)->op1.var);
			if ((op1_data_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
				if ((op1_data_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if (0) {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 46428, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 46432, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 46436, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 46440, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 46444, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 46449, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 46454, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 46457, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 46461, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 46465, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 46469, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 46473, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 46477, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 46481);
		dasm_put(Dst, 46484);
					} else {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 46486, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 46490, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 46494, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 46498, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 46502, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 46507, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 46512, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 46515, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 46519, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 46523, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 46527, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 46531, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 46535, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 46539);
					}
				}
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 46542, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
			} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
		dasm_put(Dst, 46546, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 46550, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 46554, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 46558, (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 46562, (Z_REG(addr)), (Z_OFFSET(addr)));
			}
		dasm_put(Dst, 46566, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
				if (((op1_data_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op1_data_info)) {
					if (((op1_data_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op1_data_info)) {
						if (0 && (((op1_data_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_data_info) && ((op1_data_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 46574);
						} else {
		dasm_put(Dst, 46577);
						}
					}
			do {
				if (!((op1_data_info) & MAY_BE_GUARD)
				 && has_concrete_type((op1_data_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					zend_uchar type = concrete_type((op1_data_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
					if (type == IS_STRING && !ZEND_DEBUG) {
			if (arm64_may_use_b(_efree)) {
		dasm_put(Dst, 46580, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else {
			if (((uintptr_t)(_efree)) == 0) {
		dasm_put(Dst, 46583, (ZREG_X15));
			} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
		dasm_put(Dst, 46586, (ZREG_X15), ((uint64_t)(_efree)));
			} else if (arm64_may_use_adr((void*)(_efree))) {
		dasm_put(Dst, 46590, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else if (arm64_may_use_adrp((void*)(_efree))) {
		dasm_put(Dst, 46594, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
				if (((uintptr_t)(_efree)) & 0xfff) {
		dasm_put(Dst, 46598, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
				}
			} else if ((uintptr_t)(_efree) & 0xffff) {
		dasm_put(Dst, 46603, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
				if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 46607, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 46611, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 46615, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 46619, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 46623, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		dasm_put(Dst, 46627, (ZREG_X15));
			}
						break;
					} else if (type == IS_ARRAY) {
						if ((op1_data_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
							if (NULL && ((op1_data_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
			if (NULL == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 46630, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(NULL)) == 0) {
		dasm_put(Dst, 46633, (ZREG_X15));
			} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
		dasm_put(Dst, 46636, (ZREG_X15), ((uint64_t)(NULL)));
			} else if (arm64_may_use_adr((void*)(NULL))) {
		dasm_put(Dst, 46640, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
			} else if (arm64_may_use_adrp((void*)(NULL))) {
		dasm_put(Dst, 46644, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
				if (((uintptr_t)(NULL)) & 0xfff) {
		dasm_put(Dst, 46648, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
				}
			} else if ((uintptr_t)(NULL) & 0xffff) {
		dasm_put(Dst, 46653, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
				if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 46657, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				}
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 46661, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 46665, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 46669, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 46673, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		dasm_put(Dst, 46677, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
							}
			if (arm64_may_use_b(zend_array_destroy)) {
		dasm_put(Dst, 46681, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else {
			if (((uintptr_t)(zend_array_destroy)) == 0) {
		dasm_put(Dst, 46684, (ZREG_X15));
			} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
		dasm_put(Dst, 46687, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
			} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
		dasm_put(Dst, 46691, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
		dasm_put(Dst, 46695, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
				if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
		dasm_put(Dst, 46699, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
		dasm_put(Dst, 46704, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 46708, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 46712, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 46716, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 46720, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 46724, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		dasm_put(Dst, 46728, (ZREG_X15));
			}
						} else {
			if (arm64_may_use_b(zend_jit_array_free)) {
		dasm_put(Dst, 46731, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else {
			if (((uintptr_t)(zend_jit_array_free)) == 0) {
		dasm_put(Dst, 46734, (ZREG_X15));
			} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
		dasm_put(Dst, 46737, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
			} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 46741, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 46745, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
				if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
		dasm_put(Dst, 46749, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
		dasm_put(Dst, 46754, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 46758, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 46762, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 46766, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 46770, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 46774, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		dasm_put(Dst, 46778, (ZREG_X15));
			}
						}
						break;
					} else if (type == IS_OBJECT) {
						if (NULL) {
			if (NULL == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 46781, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(NULL)) == 0) {
		dasm_put(Dst, 46784);
			} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
		dasm_put(Dst, 46786, ((uint64_t)(NULL)));
			} else if (arm64_may_use_adr((void*)(NULL))) {
		dasm_put(Dst, 46789, (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
			} else if (arm64_may_use_adrp((void*)(NULL))) {
		dasm_put(Dst, 46792, (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
				if (((uintptr_t)(NULL)) & 0xfff) {
		dasm_put(Dst, 46795, (((uintptr_t)(NULL)) & 0xfff));
				}
			} else if ((uintptr_t)(NULL) & 0xffff) {
		dasm_put(Dst, 46798, ((uintptr_t)(NULL) & 0xffff));
				if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 46801, (((uintptr_t)(NULL) >> 16) & 0xffff));
				}
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 46804, (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 46807, (((uintptr_t)(NULL) >> 16) & 0xffff));
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 46810, (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 46813, (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		dasm_put(Dst, 46816, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
						}
			if (arm64_may_use_b(zend_objects_store_del)) {
		dasm_put(Dst, 46819, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else {
			if (((uintptr_t)(zend_objects_store_del)) == 0) {
		dasm_put(Dst, 46822, (ZREG_X15));
			} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
		dasm_put(Dst, 46825, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
			} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 46829, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 46833, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
				if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
		dasm_put(Dst, 46837, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
		dasm_put(Dst, 46842, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 46846, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 46850, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 46854, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 46858, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 46862, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		dasm_put(Dst, 46866, (ZREG_X15));
			}
						break;
					}
				}
				if (NULL) {
			if (NULL == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 46869, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(NULL)) == 0) {
		dasm_put(Dst, 46872, (ZREG_X15));
			} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
		dasm_put(Dst, 46875, (ZREG_X15), ((uint64_t)(NULL)));
			} else if (arm64_may_use_adr((void*)(NULL))) {
		dasm_put(Dst, 46879, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
			} else if (arm64_may_use_adrp((void*)(NULL))) {
		dasm_put(Dst, 46883, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
				if (((uintptr_t)(NULL)) & 0xfff) {
		dasm_put(Dst, 46887, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
				}
			} else if ((uintptr_t)(NULL) & 0xffff) {
		dasm_put(Dst, 46892, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
				if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 46896, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				}
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 46900, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 46904, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 46908, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 46912, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		dasm_put(Dst, 46916, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
				}
			if (arm64_may_use_b(rc_dtor_func)) {
		dasm_put(Dst, 46920, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else {
			if (((uintptr_t)(rc_dtor_func)) == 0) {
		dasm_put(Dst, 46923, (ZREG_X15));
			} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
		dasm_put(Dst, 46926, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
			} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
		dasm_put(Dst, 46930, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
		dasm_put(Dst, 46934, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
				if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
		dasm_put(Dst, 46938, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
				}
			} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
		dasm_put(Dst, 46943, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 46947, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				}
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 46951, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 46955, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 46959, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 46963, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		dasm_put(Dst, 46967, (ZREG_X15));
			}
			} while(0);
					if (0 && (((op1_data_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_data_info) && ((op1_data_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 46970);
					}
		dasm_put(Dst, 46973);
				}
				if (0 && (((op1_data_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_data_info) && ((op1_data_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					if ((op1_data_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
						zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
		dasm_put(Dst, 46975, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
		dasm_put(Dst, 46979, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
		dasm_put(Dst, 46983, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 46987, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 46991, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 46996, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
			}
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 47001, (ZREG_X15));
			} else {
		dasm_put(Dst, 47005, (ZREG_X15), IS_REFERENCE);
			}
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 47011, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 47015, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 47019, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 47023, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 47027, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 47032, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_COLLECTABLE == 0) {
		dasm_put(Dst, 47037, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
		dasm_put(Dst, 47040, (ZREG_X15), IS_TYPE_COLLECTABLE);
			} else {
			if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
		dasm_put(Dst, 47044, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
			} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
		dasm_put(Dst, 47048, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
				if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
		dasm_put(Dst, 47052, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 47056, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		dasm_put(Dst, 47060, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 47064);
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 47067, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
		dasm_put(Dst, 47071, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 47075, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 47079, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 47083, (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 47087, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
			}
		dasm_put(Dst, 47091);
					}
		dasm_put(Dst, 47093, (ZREG_X15));
			if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
		dasm_put(Dst, 47096, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
		dasm_put(Dst, 47099, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
			} else {
			if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
		dasm_put(Dst, 47103, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
			} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
		dasm_put(Dst, 47107, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
				if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
		dasm_put(Dst, 47111, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 47115, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 47119, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 47123);
			if (arm64_may_use_b(gc_possible_root)) {
		dasm_put(Dst, 47126, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else {
			if (((uintptr_t)(gc_possible_root)) == 0) {
		dasm_put(Dst, 47129, (ZREG_X15));
			} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
		dasm_put(Dst, 47132, (ZREG_X15), ((uint64_t)(gc_possible_root)));
			} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
		dasm_put(Dst, 47136, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
		dasm_put(Dst, 47140, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
				if (((uintptr_t)(gc_possible_root)) & 0xfff) {
		dasm_put(Dst, 47144, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
				}
			} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
		dasm_put(Dst, 47149, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 47153, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				}
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 47157, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 47161, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 47165, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 47169, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		dasm_put(Dst, 47173, (ZREG_X15));
			}
				}
				if (0 && ((op1_data_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
		dasm_put(Dst, 47176);
				}
		dasm_put(Dst, 47179);
			}
			}
#line 6445 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	FREE_OP opline->op2_type, opline->op2, op2_info, 0, NULL, ZREG_TMP1, ZREG_TMP2
			if (opline->op2_type & (IS_VAR|IS_TMP_VAR)) {
				zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op2.var);
			if ((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
				if ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if (0) {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 47181, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 47185, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 47189, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 47193, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 47197, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 47202, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 47207, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 47210, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 47214, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 47218, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 47222, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 47226, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 47230, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 47234);
		dasm_put(Dst, 47237);
					} else {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 47239, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 47243, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 47247, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 47251, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 47255, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 47260, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 47265, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 47268, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 47272, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 47276, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 47280, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 47284, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 47288, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 47292);
					}
				}
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 47295, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
			} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
		dasm_put(Dst, 47299, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 47303, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 47307, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 47311, (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 47315, (Z_REG(addr)), (Z_OFFSET(addr)));
			}
		dasm_put(Dst, 47319, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
				if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op2_info)) {
					if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op2_info)) {
						if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 47327);
						} else {
		dasm_put(Dst, 47330);
						}
					}
			do {
				if (!((op2_info) & MAY_BE_GUARD)
				 && has_concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					zend_uchar type = concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
					if (type == IS_STRING && !ZEND_DEBUG) {
			if (arm64_may_use_b(_efree)) {
		dasm_put(Dst, 47333, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else {
			if (((uintptr_t)(_efree)) == 0) {
		dasm_put(Dst, 47336, (ZREG_X15));
			} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
		dasm_put(Dst, 47339, (ZREG_X15), ((uint64_t)(_efree)));
			} else if (arm64_may_use_adr((void*)(_efree))) {
		dasm_put(Dst, 47343, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else if (arm64_may_use_adrp((void*)(_efree))) {
		dasm_put(Dst, 47347, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
				if (((uintptr_t)(_efree)) & 0xfff) {
		dasm_put(Dst, 47351, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
				}
			} else if ((uintptr_t)(_efree) & 0xffff) {
		dasm_put(Dst, 47356, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
				if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 47360, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 47364, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 47368, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 47372, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 47376, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		dasm_put(Dst, 47380, (ZREG_X15));
			}
						break;
					} else if (type == IS_ARRAY) {
						if ((op2_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
							if (NULL && ((op2_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
			if (NULL == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 47383, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(NULL)) == 0) {
		dasm_put(Dst, 47386, (ZREG_X15));
			} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
		dasm_put(Dst, 47389, (ZREG_X15), ((uint64_t)(NULL)));
			} else if (arm64_may_use_adr((void*)(NULL))) {
		dasm_put(Dst, 47393, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
			} else if (arm64_may_use_adrp((void*)(NULL))) {
		dasm_put(Dst, 47397, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
				if (((uintptr_t)(NULL)) & 0xfff) {
		dasm_put(Dst, 47401, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
				}
			} else if ((uintptr_t)(NULL) & 0xffff) {
		dasm_put(Dst, 47406, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
				if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 47410, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				}
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 47414, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 47418, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 47422, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 47426, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		dasm_put(Dst, 47430, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
							}
			if (arm64_may_use_b(zend_array_destroy)) {
		dasm_put(Dst, 47434, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else {
			if (((uintptr_t)(zend_array_destroy)) == 0) {
		dasm_put(Dst, 47437, (ZREG_X15));
			} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
		dasm_put(Dst, 47440, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
			} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
		dasm_put(Dst, 47444, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
		dasm_put(Dst, 47448, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
				if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
		dasm_put(Dst, 47452, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
		dasm_put(Dst, 47457, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 47461, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 47465, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 47469, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 47473, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 47477, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		dasm_put(Dst, 47481, (ZREG_X15));
			}
						} else {
			if (arm64_may_use_b(zend_jit_array_free)) {
		dasm_put(Dst, 47484, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else {
			if (((uintptr_t)(zend_jit_array_free)) == 0) {
		dasm_put(Dst, 47487, (ZREG_X15));
			} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
		dasm_put(Dst, 47490, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
			} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 47494, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 47498, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
				if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
		dasm_put(Dst, 47502, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
		dasm_put(Dst, 47507, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 47511, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 47515, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 47519, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 47523, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 47527, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		dasm_put(Dst, 47531, (ZREG_X15));
			}
						}
						break;
					} else if (type == IS_OBJECT) {
						if (NULL) {
			if (NULL == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 47534, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(NULL)) == 0) {
		dasm_put(Dst, 47537);
			} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
		dasm_put(Dst, 47539, ((uint64_t)(NULL)));
			} else if (arm64_may_use_adr((void*)(NULL))) {
		dasm_put(Dst, 47542, (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
			} else if (arm64_may_use_adrp((void*)(NULL))) {
		dasm_put(Dst, 47545, (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
				if (((uintptr_t)(NULL)) & 0xfff) {
		dasm_put(Dst, 47548, (((uintptr_t)(NULL)) & 0xfff));
				}
			} else if ((uintptr_t)(NULL) & 0xffff) {
		dasm_put(Dst, 47551, ((uintptr_t)(NULL) & 0xffff));
				if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 47554, (((uintptr_t)(NULL) >> 16) & 0xffff));
				}
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 47557, (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 47560, (((uintptr_t)(NULL) >> 16) & 0xffff));
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 47563, (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 47566, (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		dasm_put(Dst, 47569, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
						}
			if (arm64_may_use_b(zend_objects_store_del)) {
		dasm_put(Dst, 47572, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else {
			if (((uintptr_t)(zend_objects_store_del)) == 0) {
		dasm_put(Dst, 47575, (ZREG_X15));
			} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
		dasm_put(Dst, 47578, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
			} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 47582, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 47586, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
				if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
		dasm_put(Dst, 47590, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
		dasm_put(Dst, 47595, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 47599, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 47603, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 47607, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 47611, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 47615, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		dasm_put(Dst, 47619, (ZREG_X15));
			}
						break;
					}
				}
				if (NULL) {
			if (NULL == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 47622, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(NULL)) == 0) {
		dasm_put(Dst, 47625, (ZREG_X15));
			} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
		dasm_put(Dst, 47628, (ZREG_X15), ((uint64_t)(NULL)));
			} else if (arm64_may_use_adr((void*)(NULL))) {
		dasm_put(Dst, 47632, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
			} else if (arm64_may_use_adrp((void*)(NULL))) {
		dasm_put(Dst, 47636, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
				if (((uintptr_t)(NULL)) & 0xfff) {
		dasm_put(Dst, 47640, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
				}
			} else if ((uintptr_t)(NULL) & 0xffff) {
		dasm_put(Dst, 47645, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
				if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 47649, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				}
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 47653, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 47657, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 47661, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 47665, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		dasm_put(Dst, 47669, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
				}
			if (arm64_may_use_b(rc_dtor_func)) {
		dasm_put(Dst, 47673, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else {
			if (((uintptr_t)(rc_dtor_func)) == 0) {
		dasm_put(Dst, 47676, (ZREG_X15));
			} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
		dasm_put(Dst, 47679, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
			} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
		dasm_put(Dst, 47683, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
		dasm_put(Dst, 47687, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
				if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
		dasm_put(Dst, 47691, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
				}
			} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
		dasm_put(Dst, 47696, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 47700, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				}
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 47704, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 47708, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 47712, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 47716, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		dasm_put(Dst, 47720, (ZREG_X15));
			}
			} while(0);
					if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 47723);
					}
		dasm_put(Dst, 47726);
				}
				if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					if ((op2_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
						zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
		dasm_put(Dst, 47728, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
		dasm_put(Dst, 47732, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
		dasm_put(Dst, 47736, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 47740, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 47744, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 47749, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
			}
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 47754, (ZREG_X15));
			} else {
		dasm_put(Dst, 47758, (ZREG_X15), IS_REFERENCE);
			}
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 47764, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 47768, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 47772, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 47776, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 47780, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 47785, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_COLLECTABLE == 0) {
		dasm_put(Dst, 47790, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
		dasm_put(Dst, 47793, (ZREG_X15), IS_TYPE_COLLECTABLE);
			} else {
			if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
		dasm_put(Dst, 47797, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
			} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
		dasm_put(Dst, 47801, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
				if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
		dasm_put(Dst, 47805, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 47809, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		dasm_put(Dst, 47813, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 47817);
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 47820, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
		dasm_put(Dst, 47824, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 47828, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 47832, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 47836, (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 47840, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
			}
		dasm_put(Dst, 47844);
					}
		dasm_put(Dst, 47846, (ZREG_X15));
			if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
		dasm_put(Dst, 47849, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
		dasm_put(Dst, 47852, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
			} else {
			if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
		dasm_put(Dst, 47856, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
			} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
		dasm_put(Dst, 47860, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
				if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
		dasm_put(Dst, 47864, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 47868, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 47872, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 47876);
			if (arm64_may_use_b(gc_possible_root)) {
		dasm_put(Dst, 47879, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else {
			if (((uintptr_t)(gc_possible_root)) == 0) {
		dasm_put(Dst, 47882, (ZREG_X15));
			} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
		dasm_put(Dst, 47885, (ZREG_X15), ((uint64_t)(gc_possible_root)));
			} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
		dasm_put(Dst, 47889, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
		dasm_put(Dst, 47893, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
				if (((uintptr_t)(gc_possible_root)) & 0xfff) {
		dasm_put(Dst, 47897, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
				}
			} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
		dasm_put(Dst, 47902, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 47906, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				}
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 47910, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 47914, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 47918, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 47922, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		dasm_put(Dst, 47926, (ZREG_X15));
			}
				}
				if (0 && ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
		dasm_put(Dst, 47929);
				}
		dasm_put(Dst, 47932);
			}
			}
#line 6446 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (may_throw) {
			zend_jit_check_exception(Dst);
		}

		if (op1_info & (MAY_BE_UNDEF|MAY_BE_NULL|MAY_BE_ARRAY)) {
			//|	b >9 // END
			//|.code
			dasm_put(Dst, 47934);
#line 6453 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|9:
			dasm_put(Dst, 47937);
#line 6454 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else if ((op1_info & (MAY_BE_UNDEF|MAY_BE_NULL|MAY_BE_ARRAY))
			&& (!not_found_exit_addr || (var_info & MAY_BE_REF))) {
		//|.cold_code
		dasm_put(Dst, 47939);
#line 6458 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|9:
		//|	FREE_OP (opline+1)->op1_type, (opline+1)->op1, op1_data_info, 0, opline, ZREG_TMP1, ZREG_TMP2
		dasm_put(Dst, 47940);
			if ((opline+1)->op1_type & (IS_VAR|IS_TMP_VAR)) {
				zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, (opline+1)->op1.var);
			if ((op1_data_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
				if ((op1_data_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if (0) {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 47942, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 47946, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 47950, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 47954, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 47958, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 47963, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 47968, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 47971, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 47975, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 47979, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 47983, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 47987, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 47991, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 47995);
		dasm_put(Dst, 47998);
					} else {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 48000, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 48004, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 48008, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 48012, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 48016, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 48021, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 48026, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 48029, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 48033, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 48037, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 48041, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 48045, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 48049, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 48053);
					}
				}
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 48056, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
			} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
		dasm_put(Dst, 48060, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 48064, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 48068, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 48072, (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 48076, (Z_REG(addr)), (Z_OFFSET(addr)));
			}
		dasm_put(Dst, 48080, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
				if (((op1_data_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op1_data_info)) {
					if (((op1_data_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op1_data_info)) {
						if (0 && (((op1_data_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_data_info) && ((op1_data_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 48088);
						} else {
		dasm_put(Dst, 48091);
						}
					}
			do {
				if (!((op1_data_info) & MAY_BE_GUARD)
				 && has_concrete_type((op1_data_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					zend_uchar type = concrete_type((op1_data_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
					if (type == IS_STRING && !ZEND_DEBUG) {
			if (arm64_may_use_b(_efree)) {
		dasm_put(Dst, 48094, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else {
			if (((uintptr_t)(_efree)) == 0) {
		dasm_put(Dst, 48097, (ZREG_X15));
			} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
		dasm_put(Dst, 48100, (ZREG_X15), ((uint64_t)(_efree)));
			} else if (arm64_may_use_adr((void*)(_efree))) {
		dasm_put(Dst, 48104, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else if (arm64_may_use_adrp((void*)(_efree))) {
		dasm_put(Dst, 48108, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
				if (((uintptr_t)(_efree)) & 0xfff) {
		dasm_put(Dst, 48112, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
				}
			} else if ((uintptr_t)(_efree) & 0xffff) {
		dasm_put(Dst, 48117, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
				if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 48121, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 48125, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 48129, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 48133, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 48137, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		dasm_put(Dst, 48141, (ZREG_X15));
			}
						break;
					} else if (type == IS_ARRAY) {
						if ((op1_data_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
							if (opline && ((op1_data_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 48144, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 48147, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 48150, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 48154, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 48158, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 48162, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 48167, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 48171, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 48175, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 48179, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 48183, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 48187, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 48191, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
							}
			if (arm64_may_use_b(zend_array_destroy)) {
		dasm_put(Dst, 48195, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else {
			if (((uintptr_t)(zend_array_destroy)) == 0) {
		dasm_put(Dst, 48198, (ZREG_X15));
			} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
		dasm_put(Dst, 48201, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
			} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
		dasm_put(Dst, 48205, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
		dasm_put(Dst, 48209, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
				if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
		dasm_put(Dst, 48213, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
		dasm_put(Dst, 48218, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 48222, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 48226, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 48230, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 48234, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 48238, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		dasm_put(Dst, 48242, (ZREG_X15));
			}
						} else {
			if (arm64_may_use_b(zend_jit_array_free)) {
		dasm_put(Dst, 48245, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else {
			if (((uintptr_t)(zend_jit_array_free)) == 0) {
		dasm_put(Dst, 48248, (ZREG_X15));
			} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
		dasm_put(Dst, 48251, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
			} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 48255, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 48259, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
				if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
		dasm_put(Dst, 48263, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
		dasm_put(Dst, 48268, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 48272, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 48276, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 48280, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 48284, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 48288, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		dasm_put(Dst, 48292, (ZREG_X15));
			}
						}
						break;
					} else if (type == IS_OBJECT) {
						if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 48295, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 48298);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 48300, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 48303, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 48306, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 48309, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 48312, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 48315, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 48318, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 48321, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 48324, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 48327, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 48330, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
						}
			if (arm64_may_use_b(zend_objects_store_del)) {
		dasm_put(Dst, 48333, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else {
			if (((uintptr_t)(zend_objects_store_del)) == 0) {
		dasm_put(Dst, 48336, (ZREG_X15));
			} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
		dasm_put(Dst, 48339, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
			} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 48343, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 48347, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
				if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
		dasm_put(Dst, 48351, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
		dasm_put(Dst, 48356, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 48360, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 48364, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 48368, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 48372, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 48376, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		dasm_put(Dst, 48380, (ZREG_X15));
			}
						break;
					}
				}
				if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 48383, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 48386, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 48389, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 48393, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 48397, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 48401, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 48406, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 48410, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 48414, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 48418, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 48422, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 48426, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 48430, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
				}
			if (arm64_may_use_b(rc_dtor_func)) {
		dasm_put(Dst, 48434, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else {
			if (((uintptr_t)(rc_dtor_func)) == 0) {
		dasm_put(Dst, 48437, (ZREG_X15));
			} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
		dasm_put(Dst, 48440, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
			} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
		dasm_put(Dst, 48444, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
		dasm_put(Dst, 48448, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
				if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
		dasm_put(Dst, 48452, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
				}
			} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
		dasm_put(Dst, 48457, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 48461, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				}
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 48465, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 48469, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 48473, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 48477, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		dasm_put(Dst, 48481, (ZREG_X15));
			}
			} while(0);
					if (0 && (((op1_data_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_data_info) && ((op1_data_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 48484);
					}
		dasm_put(Dst, 48487);
				}
				if (0 && (((op1_data_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_data_info) && ((op1_data_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					if ((op1_data_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
						zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
		dasm_put(Dst, 48489, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
		dasm_put(Dst, 48493, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
		dasm_put(Dst, 48497, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 48501, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 48505, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 48510, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
			}
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 48515, (ZREG_X15));
			} else {
		dasm_put(Dst, 48519, (ZREG_X15), IS_REFERENCE);
			}
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 48525, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 48529, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 48533, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 48537, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 48541, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 48546, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_COLLECTABLE == 0) {
		dasm_put(Dst, 48551, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
		dasm_put(Dst, 48554, (ZREG_X15), IS_TYPE_COLLECTABLE);
			} else {
			if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
		dasm_put(Dst, 48558, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
			} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
		dasm_put(Dst, 48562, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
				if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
		dasm_put(Dst, 48566, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 48570, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		dasm_put(Dst, 48574, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 48578);
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 48581, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
		dasm_put(Dst, 48585, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 48589, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 48593, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 48597, (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 48601, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
			}
		dasm_put(Dst, 48605);
					}
		dasm_put(Dst, 48607, (ZREG_X15));
			if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
		dasm_put(Dst, 48610, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
		dasm_put(Dst, 48613, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
			} else {
			if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
		dasm_put(Dst, 48617, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
			} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
		dasm_put(Dst, 48621, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
				if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
		dasm_put(Dst, 48625, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 48629, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 48633, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 48637);
			if (arm64_may_use_b(gc_possible_root)) {
		dasm_put(Dst, 48640, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else {
			if (((uintptr_t)(gc_possible_root)) == 0) {
		dasm_put(Dst, 48643, (ZREG_X15));
			} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
		dasm_put(Dst, 48646, (ZREG_X15), ((uint64_t)(gc_possible_root)));
			} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
		dasm_put(Dst, 48650, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
		dasm_put(Dst, 48654, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
				if (((uintptr_t)(gc_possible_root)) & 0xfff) {
		dasm_put(Dst, 48658, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
				}
			} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
		dasm_put(Dst, 48663, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 48667, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				}
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 48671, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 48675, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 48679, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 48683, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		dasm_put(Dst, 48687, (ZREG_X15));
			}
				}
				if (0 && ((op1_data_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
		dasm_put(Dst, 48690);
				}
		dasm_put(Dst, 48693);
			}
			}
#line 6460 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	FREE_OP opline->op2_type, opline->op2, op2_info, 0, opline, ZREG_TMP1, ZREG_TMP2
			if (opline->op2_type & (IS_VAR|IS_TMP_VAR)) {
				zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op2.var);
			if ((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
				if ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if (0) {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 48695, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 48699, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 48703, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 48707, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 48711, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 48716, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 48721, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 48724, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 48728, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 48732, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 48736, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 48740, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 48744, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 48748);
		dasm_put(Dst, 48751);
					} else {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 48753, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 48757, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 48761, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 48765, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 48769, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 48774, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 48779, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 48782, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 48786, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 48790, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 48794, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 48798, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 48802, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 48806);
					}
				}
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 48809, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
			} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
		dasm_put(Dst, 48813, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 48817, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 48821, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 48825, (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 48829, (Z_REG(addr)), (Z_OFFSET(addr)));
			}
		dasm_put(Dst, 48833, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
				if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op2_info)) {
					if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op2_info)) {
						if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 48841);
						} else {
		dasm_put(Dst, 48844);
						}
					}
			do {
				if (!((op2_info) & MAY_BE_GUARD)
				 && has_concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					zend_uchar type = concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
					if (type == IS_STRING && !ZEND_DEBUG) {
			if (arm64_may_use_b(_efree)) {
		dasm_put(Dst, 48847, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else {
			if (((uintptr_t)(_efree)) == 0) {
		dasm_put(Dst, 48850, (ZREG_X15));
			} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
		dasm_put(Dst, 48853, (ZREG_X15), ((uint64_t)(_efree)));
			} else if (arm64_may_use_adr((void*)(_efree))) {
		dasm_put(Dst, 48857, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else if (arm64_may_use_adrp((void*)(_efree))) {
		dasm_put(Dst, 48861, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
				if (((uintptr_t)(_efree)) & 0xfff) {
		dasm_put(Dst, 48865, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
				}
			} else if ((uintptr_t)(_efree) & 0xffff) {
		dasm_put(Dst, 48870, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
				if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 48874, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 48878, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 48882, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 48886, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 48890, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		dasm_put(Dst, 48894, (ZREG_X15));
			}
						break;
					} else if (type == IS_ARRAY) {
						if ((op2_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
							if (opline && ((op2_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 48897, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 48900, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 48903, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 48907, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 48911, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 48915, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 48920, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 48924, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 48928, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 48932, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 48936, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 48940, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 48944, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
							}
			if (arm64_may_use_b(zend_array_destroy)) {
		dasm_put(Dst, 48948, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else {
			if (((uintptr_t)(zend_array_destroy)) == 0) {
		dasm_put(Dst, 48951, (ZREG_X15));
			} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
		dasm_put(Dst, 48954, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
			} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
		dasm_put(Dst, 48958, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
		dasm_put(Dst, 48962, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
				if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
		dasm_put(Dst, 48966, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
		dasm_put(Dst, 48971, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 48975, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 48979, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 48983, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 48987, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 48991, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		dasm_put(Dst, 48995, (ZREG_X15));
			}
						} else {
			if (arm64_may_use_b(zend_jit_array_free)) {
		dasm_put(Dst, 48998, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else {
			if (((uintptr_t)(zend_jit_array_free)) == 0) {
		dasm_put(Dst, 49001, (ZREG_X15));
			} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
		dasm_put(Dst, 49004, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
			} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 49008, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 49012, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
				if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
		dasm_put(Dst, 49016, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
		dasm_put(Dst, 49021, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 49025, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 49029, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 49033, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 49037, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 49041, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		dasm_put(Dst, 49045, (ZREG_X15));
			}
						}
						break;
					} else if (type == IS_OBJECT) {
						if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 49048, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 49051);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 49053, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 49056, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 49059, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 49062, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 49065, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 49068, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 49071, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 49074, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 49077, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 49080, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 49083, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
						}
			if (arm64_may_use_b(zend_objects_store_del)) {
		dasm_put(Dst, 49086, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else {
			if (((uintptr_t)(zend_objects_store_del)) == 0) {
		dasm_put(Dst, 49089, (ZREG_X15));
			} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
		dasm_put(Dst, 49092, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
			} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 49096, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 49100, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
				if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
		dasm_put(Dst, 49104, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
		dasm_put(Dst, 49109, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 49113, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 49117, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 49121, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 49125, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 49129, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		dasm_put(Dst, 49133, (ZREG_X15));
			}
						break;
					}
				}
				if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 49136, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 49139, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 49142, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 49146, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 49150, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 49154, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 49159, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 49163, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 49167, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 49171, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 49175, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 49179, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 49183, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
				}
			if (arm64_may_use_b(rc_dtor_func)) {
		dasm_put(Dst, 49187, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else {
			if (((uintptr_t)(rc_dtor_func)) == 0) {
		dasm_put(Dst, 49190, (ZREG_X15));
			} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
		dasm_put(Dst, 49193, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
			} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
		dasm_put(Dst, 49197, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
		dasm_put(Dst, 49201, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
				if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
		dasm_put(Dst, 49205, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
				}
			} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
		dasm_put(Dst, 49210, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 49214, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				}
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 49218, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 49222, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 49226, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 49230, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		dasm_put(Dst, 49234, (ZREG_X15));
			}
			} while(0);
					if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 49237);
					}
		dasm_put(Dst, 49240);
				}
				if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					if ((op2_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
						zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
		dasm_put(Dst, 49242, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
		dasm_put(Dst, 49246, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
		dasm_put(Dst, 49250, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 49254, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 49258, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 49263, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
			}
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 49268, (ZREG_X15));
			} else {
		dasm_put(Dst, 49272, (ZREG_X15), IS_REFERENCE);
			}
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 49278, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 49282, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 49286, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 49290, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 49294, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 49299, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_COLLECTABLE == 0) {
		dasm_put(Dst, 49304, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
		dasm_put(Dst, 49307, (ZREG_X15), IS_TYPE_COLLECTABLE);
			} else {
			if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
		dasm_put(Dst, 49311, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
			} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
		dasm_put(Dst, 49315, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
				if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
		dasm_put(Dst, 49319, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 49323, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		dasm_put(Dst, 49327, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 49331);
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 49334, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
		dasm_put(Dst, 49338, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 49342, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 49346, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 49350, (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 49354, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
			}
		dasm_put(Dst, 49358);
					}
		dasm_put(Dst, 49360, (ZREG_X15));
			if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
		dasm_put(Dst, 49363, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
		dasm_put(Dst, 49366, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
			} else {
			if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
		dasm_put(Dst, 49370, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
			} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
		dasm_put(Dst, 49374, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
				if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
		dasm_put(Dst, 49378, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 49382, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 49386, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 49390);
			if (arm64_may_use_b(gc_possible_root)) {
		dasm_put(Dst, 49393, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else {
			if (((uintptr_t)(gc_possible_root)) == 0) {
		dasm_put(Dst, 49396, (ZREG_X15));
			} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
		dasm_put(Dst, 49399, (ZREG_X15), ((uint64_t)(gc_possible_root)));
			} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
		dasm_put(Dst, 49403, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
		dasm_put(Dst, 49407, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
				if (((uintptr_t)(gc_possible_root)) & 0xfff) {
		dasm_put(Dst, 49411, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
				}
			} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
		dasm_put(Dst, 49416, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 49420, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				}
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 49424, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 49428, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 49432, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 49436, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		dasm_put(Dst, 49440, (ZREG_X15));
			}
				}
				if (0 && ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
		dasm_put(Dst, 49443);
				}
		dasm_put(Dst, 49446);
			}
			}
#line 6461 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (may_throw) {
			zend_jit_check_exception(Dst);
		}
		//|	b >9
		//|.code
		dasm_put(Dst, 49448);
#line 6466 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|9:
		dasm_put(Dst, 49451);
#line 6467 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	return 1;
}

static int zend_jit_assign_op(dasm_State **Dst, const zend_op *opline, uint32_t op1_info, uint32_t op1_def_info, zend_ssa_range *op1_range, uint32_t op2_info, zend_ssa_range *op2_range, int may_overflow, int may_throw)
{
	zend_jit_addr op1_addr, op2_addr;

	ZEND_ASSERT(opline->op1_type == IS_CV && opline->result_type == IS_UNUSED);
	ZEND_ASSERT(!(op1_info & MAY_BE_UNDEF) && !(op2_info & MAY_BE_UNDEF));

	op1_addr = OP1_ADDR();
	op2_addr = OP2_ADDR();

	if (op1_info & MAY_BE_REF) {
		binary_op_type binary_op = get_binary_op(opline->extended_value);
		//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
		dasm_put(Dst, 49453);
			} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 49455, ((uint64_t)(Z_ZV(op1_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 49458, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 49461, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
		dasm_put(Dst, 49464, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
		dasm_put(Dst, 49467, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 49470, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 49473, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 49476, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 49479, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 49482, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (Z_OFFSET(op1_addr)) {
			if (Z_OFFSET(op1_addr) == 0) {
		dasm_put(Dst, 49485, (Z_REG(op1_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
		dasm_put(Dst, 49488, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
			} else {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 49492, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 49495, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 49498, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 49501, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 49504, (Z_REG(op1_addr)));
			}
				} else {
					if (Z_REG(op1_addr) == ZREG_RSP) {
		dasm_put(Dst, 49507);
					} else {
		dasm_put(Dst, 49509, (Z_REG(op1_addr)));
					}
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 6485 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	IF_NOT_Z_TYPE, FCARG1x, IS_REFERENCE, >1, TMP1w
		dasm_put(Dst, 49512, offsetof(zval, u1.v.type));
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 49515);
			} else {
		dasm_put(Dst, 49518, IS_REFERENCE);
			}
#line 6486 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	GET_Z_PTR FCARG1x, FCARG1x
		//|	ldr TMP1, [FCARG1x, #offsetof(zend_reference, sources.ptr)]
		//|	cbnz TMP1, >2
		//|	add FCARG1x, FCARG1x, #offsetof(zend_reference, val)
		//|.cold_code
		dasm_put(Dst, 49523, offsetof(zend_reference, sources.ptr), offsetof(zend_reference, val));
#line 6491 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|2:
		//|	LOAD_ZVAL_ADDR FCARG2x, op2_addr
		dasm_put(Dst, 49531);
			if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op2_addr))) == 0) {
		dasm_put(Dst, 49533);
			} else if (((uintptr_t)(Z_ZV(op2_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 49535, ((uint64_t)(Z_ZV(op2_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op2_addr)))) {
		dasm_put(Dst, 49538, (unsigned int)((ptrdiff_t)(Z_ZV(op2_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op2_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op2_addr)))) {
		dasm_put(Dst, 49541, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff) {
		dasm_put(Dst, 49544, (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff) {
		dasm_put(Dst, 49547, ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 49550, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 49553, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 49556, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 49559, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 49562, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
			}
			} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
				if (Z_OFFSET(op2_addr)) {
			if (Z_OFFSET(op2_addr) == 0) {
		dasm_put(Dst, 49565, (Z_REG(op2_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op2_addr)))) {
		dasm_put(Dst, 49568, (Z_REG(op2_addr)), Z_OFFSET(op2_addr));
			} else {
			if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 49572, ((uint32_t)(Z_OFFSET(op2_addr))));
			} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
		dasm_put(Dst, 49575, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 49578, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 49581, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 49584, (Z_REG(op2_addr)));
			}
				} else {
					if (Z_REG(op2_addr) == ZREG_RSP) {
		dasm_put(Dst, 49587);
					} else {
		dasm_put(Dst, 49589, (Z_REG(op2_addr)));
					}
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 6493 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	LOAD_ADDR CARG3, binary_op
			if (((uintptr_t)(binary_op)) == 0) {
		dasm_put(Dst, 49592);
			} else if (((uintptr_t)(binary_op)) <= MOVZ_IMM) {
		dasm_put(Dst, 49594, ((uint64_t)(binary_op)));
			} else if (arm64_may_use_adr((void*)(binary_op))) {
		dasm_put(Dst, 49597, (unsigned int)((ptrdiff_t)(binary_op)), (unsigned int)(((ptrdiff_t)(binary_op))>>32));
			} else if (arm64_may_use_adrp((void*)(binary_op))) {
		dasm_put(Dst, 49600, (unsigned int)((ptrdiff_t)((((uintptr_t)(binary_op))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(binary_op)))))>>32));
				if (((uintptr_t)(binary_op)) & 0xfff) {
		dasm_put(Dst, 49603, (((uintptr_t)(binary_op)) & 0xfff));
				}
			} else if ((uintptr_t)(binary_op) & 0xffff) {
		dasm_put(Dst, 49606, ((uintptr_t)(binary_op) & 0xffff));
				if (((uintptr_t)(binary_op) >> 16) & 0xffff) {
		dasm_put(Dst, 49609, (((uintptr_t)(binary_op) >> 16) & 0xffff));
				}
				if (((uintptr_t)(binary_op) >> 32) & 0xffff) {
		dasm_put(Dst, 49612, (((uintptr_t)(binary_op) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(binary_op) >> 16) & 0xffff) {
		dasm_put(Dst, 49615, (((uintptr_t)(binary_op) >> 16) & 0xffff));
				if (((uintptr_t)(binary_op) >> 32) & 0xffff) {
		dasm_put(Dst, 49618, (((uintptr_t)(binary_op) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 49621, (((uintptr_t)(binary_op) >> 32) & 0xffff));
			}
#line 6494 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	SET_EX_OPLINE opline, REG0
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 49624, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 49627);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 49629, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 49632, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 49635, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 49638, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 49641, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 49644, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 49647, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 49650, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 49653, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 49656, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 49659, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
#line 6495 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if ((opline->op2_type & (IS_TMP_VAR|IS_VAR))
		 && (op2_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
			//|	EXT_CALL zend_jit_assign_op_to_typed_ref_tmp, REG0
				if (arm64_may_use_b(zend_jit_assign_op_to_typed_ref_tmp)) {
			dasm_put(Dst, 49662, (unsigned int)((ptrdiff_t)(zend_jit_assign_op_to_typed_ref_tmp)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_op_to_typed_ref_tmp))>>32));
				} else {
				if (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp)) == 0) {
			dasm_put(Dst, 49665);
				} else if (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp)) <= MOVZ_IMM) {
			dasm_put(Dst, 49667, ((uint64_t)(zend_jit_assign_op_to_typed_ref_tmp)));
				} else if (arm64_may_use_adr((void*)(zend_jit_assign_op_to_typed_ref_tmp))) {
			dasm_put(Dst, 49670, (unsigned int)((ptrdiff_t)(zend_jit_assign_op_to_typed_ref_tmp)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_op_to_typed_ref_tmp))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_assign_op_to_typed_ref_tmp))) {
			dasm_put(Dst, 49673, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp)))))>>32));
					if (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp)) & 0xfff) {
			dasm_put(Dst, 49676, (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) & 0xffff) {
			dasm_put(Dst, 49679, ((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) & 0xffff));
					if (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 16) & 0xffff) {
			dasm_put(Dst, 49682, (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 32) & 0xffff) {
			dasm_put(Dst, 49685, (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 16) & 0xffff) {
			dasm_put(Dst, 49688, (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 32) & 0xffff) {
			dasm_put(Dst, 49691, (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 49694, (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 32) & 0xffff));
				}
			dasm_put(Dst, 49697);
				}
#line 6498 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	EXT_CALL zend_jit_assign_op_to_typed_ref, REG0
				if (arm64_may_use_b(zend_jit_assign_op_to_typed_ref)) {
			dasm_put(Dst, 49699, (unsigned int)((ptrdiff_t)(zend_jit_assign_op_to_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_op_to_typed_ref))>>32));
				} else {
				if (((uintptr_t)(zend_jit_assign_op_to_typed_ref)) == 0) {
			dasm_put(Dst, 49702);
				} else if (((uintptr_t)(zend_jit_assign_op_to_typed_ref)) <= MOVZ_IMM) {
			dasm_put(Dst, 49704, ((uint64_t)(zend_jit_assign_op_to_typed_ref)));
				} else if (arm64_may_use_adr((void*)(zend_jit_assign_op_to_typed_ref))) {
			dasm_put(Dst, 49707, (unsigned int)((ptrdiff_t)(zend_jit_assign_op_to_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_op_to_typed_ref))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_assign_op_to_typed_ref))) {
			dasm_put(Dst, 49710, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_assign_op_to_typed_ref))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_assign_op_to_typed_ref)))))>>32));
					if (((uintptr_t)(zend_jit_assign_op_to_typed_ref)) & 0xfff) {
			dasm_put(Dst, 49713, (((uintptr_t)(zend_jit_assign_op_to_typed_ref)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_assign_op_to_typed_ref) & 0xffff) {
			dasm_put(Dst, 49716, ((uintptr_t)(zend_jit_assign_op_to_typed_ref) & 0xffff));
					if (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 16) & 0xffff) {
			dasm_put(Dst, 49719, (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 32) & 0xffff) {
			dasm_put(Dst, 49722, (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 16) & 0xffff) {
			dasm_put(Dst, 49725, (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 32) & 0xffff) {
			dasm_put(Dst, 49728, (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 49731, (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 32) & 0xffff));
				}
			dasm_put(Dst, 49734);
				}
#line 6500 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		zend_jit_check_exception(Dst);
		//|	b >9
		//|.code
		dasm_put(Dst, 49736);
#line 6504 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|1:
		dasm_put(Dst, 49739);
#line 6505 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		op1_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, 0);
	}

	int result;
	switch (opline->extended_value) {
		case ZEND_ADD:
		case ZEND_SUB:
		case ZEND_MUL:
		case ZEND_DIV:
			result = zend_jit_math_helper(Dst, opline, opline->extended_value, opline->op1_type, opline->op1, op1_addr, op1_info, opline->op2_type, opline->op2, op2_addr, op2_info, opline->op1.var, op1_addr, op1_def_info, op1_info, may_overflow, may_throw);
			break;
		case ZEND_BW_OR:
		case ZEND_BW_AND:
		case ZEND_BW_XOR:
		case ZEND_SL:
		case ZEND_SR:
		case ZEND_MOD:
			result = zend_jit_long_math_helper(Dst, opline, opline->extended_value,
				opline->op1_type, opline->op1, op1_addr, op1_info, op1_range,
				opline->op2_type, opline->op2, op2_addr, op2_info, op2_range,
				opline->op1.var, op1_addr, op1_def_info, op1_info, may_throw);
			break;
		case ZEND_CONCAT:
			result = zend_jit_concat_helper(Dst, opline, opline->op1_type, opline->op1, op1_addr, op1_info, opline->op2_type, opline->op2, op2_addr, op2_info, op1_addr, may_throw);
			break;
		default:
			ZEND_UNREACHABLE();
	}
	//|9:
	dasm_put(Dst, 49741);
#line 6534 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	return result;
}

static int zend_jit_cmp_long_long(dasm_State    **Dst,
                                  const zend_op  *opline,
                                  zend_ssa_range *op1_range,
                                  zend_jit_addr   op1_addr,
                                  zend_ssa_range *op2_range,
                                  zend_jit_addr   op2_addr,
                                  zend_jit_addr   res_addr,
                                  zend_uchar      smart_branch_opcode,
                                  uint32_t        target_label,
                                  uint32_t        target_label2,
                                  const void     *exit_addr,
                                  bool            skip_comparison)
{
	bool swap = 0;
	bool result;

	if (zend_jit_is_constant_cmp_long_long(opline, op1_range, op1_addr, op2_range, op2_addr, &result)) {
		if (!smart_branch_opcode ||
		    smart_branch_opcode == ZEND_JMPZ_EX ||
		    smart_branch_opcode == ZEND_JMPNZ_EX) {
			//|	SET_ZVAL_TYPE_INFO res_addr, (result ? IS_TRUE : IS_FALSE), TMP1w, TMP2
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uint32_t)((result ? IS_TRUE : IS_FALSE))) <= MOVZ_IMM) {
			dasm_put(Dst, 49743, ((uint32_t)((result ? IS_TRUE : IS_FALSE))));
				} else if (((uint32_t)((result ? IS_TRUE : IS_FALSE)) & 0xffff)) {
			dasm_put(Dst, 49746, ((uint32_t)((result ? IS_TRUE : IS_FALSE)) & 0xffff));
					if ((((uint32_t)((result ? IS_TRUE : IS_FALSE)) >> 16) & 0xffff)) {
			dasm_put(Dst, 49749, (((uint32_t)((result ? IS_TRUE : IS_FALSE)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 49752, (((uint32_t)((result ? IS_TRUE : IS_FALSE)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 49755, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 49758, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 49761, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 49764, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 49767, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 49770, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
#line 6558 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (smart_branch_opcode && !exit_addr) {
			if (smart_branch_opcode == ZEND_JMPZ ||
			    smart_branch_opcode == ZEND_JMPZ_EX) {
				if (!result) {
					//|	b => target_label
					dasm_put(Dst, 49774,  target_label);
#line 6564 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else if (smart_branch_opcode == ZEND_JMPNZ ||
			           smart_branch_opcode == ZEND_JMPNZ_EX) {
				if (result) {
					//|	b => target_label
					dasm_put(Dst, 49777,  target_label);
#line 6569 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else if (smart_branch_opcode == ZEND_JMPZNZ) {
				if (!result) {
					//|	b => target_label
					dasm_put(Dst, 49780,  target_label);
#line 6573 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	b => target_label2
					dasm_put(Dst, 49783,  target_label2);
#line 6575 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else {
				ZEND_UNREACHABLE();
			}
		}
		return 1;
	}

	if (skip_comparison) {
		if (Z_MODE(op1_addr) != IS_REG &&
		    (Z_MODE(op2_addr) == IS_REG ||
		     (Z_MODE(op1_addr) == IS_CONST_ZVAL && Z_MODE(op2_addr) != IS_CONST_ZVAL))) {
			swap = 1;
		}
	} else if (Z_MODE(op1_addr) == IS_REG) {
		if (Z_MODE(op2_addr) == IS_CONST_ZVAL && Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
			//|	cmp Rx(Z_REG(op1_addr)), xzr
			dasm_put(Dst, 49786, (Z_REG(op1_addr)));
#line 6592 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	LONG_CMP Z_REG(op1_addr), op2_addr, TMP1
				if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
			dasm_put(Dst, 49789, (Z_REG(op1_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_LVAL_P(Z_ZV(op2_addr))))) {
			dasm_put(Dst, 49792, (Z_REG(op1_addr)), Z_LVAL_P(Z_ZV(op2_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(-Z_LVAL_P(Z_ZV(op2_addr))))) {
			dasm_put(Dst, 49796, (Z_REG(op1_addr)), -Z_LVAL_P(Z_ZV(op2_addr)));
				} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
			dasm_put(Dst, 49800);
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 49802, ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 49805, (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
			dasm_put(Dst, 49808, ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 49811, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 49814, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 49817, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 49820, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 49823, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 49826, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 49829, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 49832, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 49835, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			dasm_put(Dst, 49838, (Z_REG(op1_addr)));
				}
				} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 49841, ((uint32_t)(Z_OFFSET(op2_addr))));
				} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
			dasm_put(Dst, 49844, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 49847, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 49850, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 49853, (Z_REG(op2_addr)));
				} else {
			dasm_put(Dst, 49856, (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
				}
			dasm_put(Dst, 49860, (Z_REG(op1_addr)));
				} else if (Z_MODE(op2_addr) == IS_REG) {
			dasm_put(Dst, 49863, (Z_REG(op1_addr)), (Z_REG(op2_addr)));
				} else {
					ZEND_UNREACHABLE();
				}
#line 6594 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else if (Z_MODE(op2_addr) == IS_REG) {
		if (Z_MODE(op1_addr) == IS_CONST_ZVAL && Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
			//|	cmp Rx(Z_REG(op2_addr)), xzr
			dasm_put(Dst, 49867, (Z_REG(op2_addr)));
#line 6598 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	LONG_CMP Z_REG(op2_addr), op1_addr, TMP1
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
			dasm_put(Dst, 49870, (Z_REG(op2_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_LVAL_P(Z_ZV(op1_addr))))) {
			dasm_put(Dst, 49873, (Z_REG(op2_addr)), Z_LVAL_P(Z_ZV(op1_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(-Z_LVAL_P(Z_ZV(op1_addr))))) {
			dasm_put(Dst, 49877, (Z_REG(op2_addr)), -Z_LVAL_P(Z_ZV(op1_addr)));
				} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
			dasm_put(Dst, 49881);
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 49883, ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 49886, (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
			dasm_put(Dst, 49889, ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 49892, (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 49895, (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 49898, (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 49901, (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 49904, (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 49907, (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 49910, (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 49913, (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 49916, (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			dasm_put(Dst, 49919, (Z_REG(op2_addr)));
				}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 49922, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 49925, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 49928, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 49931, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 49934, (Z_REG(op1_addr)));
				} else {
			dasm_put(Dst, 49937, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
			dasm_put(Dst, 49941, (Z_REG(op2_addr)));
				} else if (Z_MODE(op1_addr) == IS_REG) {
			dasm_put(Dst, 49944, (Z_REG(op2_addr)), (Z_REG(op1_addr)));
				} else {
					ZEND_UNREACHABLE();
				}
#line 6600 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		swap = 1;
	} else if (Z_MODE(op1_addr) == IS_CONST_ZVAL && Z_MODE(op2_addr) != IS_CONST_ZVAL) {
		//|	LONG_CMP_WITH_CONST op2_addr, Z_LVAL_P(Z_ZV(op1_addr)), TMP1, TMP2
			if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 49948, ((uint32_t)(Z_OFFSET(op2_addr))));
			} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
		dasm_put(Dst, 49951, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 49954, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 49957, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 49960, (Z_REG(op2_addr)));
			} else {
		dasm_put(Dst, 49963, (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
			}
			if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 49967);
			} else if (arm64_may_encode_imm12((int64_t)(Z_LVAL_P(Z_ZV(op1_addr))))) {
		dasm_put(Dst, 49969, Z_LVAL_P(Z_ZV(op1_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(-Z_LVAL_P(Z_ZV(op1_addr))))) {
		dasm_put(Dst, 49972, -Z_LVAL_P(Z_ZV(op1_addr)));
			} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 49975);
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 49977, ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 49980, (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 49983, ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 49986, (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 49989, (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 49992, (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 49995, (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 49998, (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 50001, (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 50004, (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 50007, (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 50010, (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
		dasm_put(Dst, 50013);
			}
			} else if (Z_MODE(op2_addr) == IS_REG) {
			if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 50015, (Z_REG(op2_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(Z_LVAL_P(Z_ZV(op1_addr))))) {
		dasm_put(Dst, 50018, (Z_REG(op2_addr)), Z_LVAL_P(Z_ZV(op1_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(-Z_LVAL_P(Z_ZV(op1_addr))))) {
		dasm_put(Dst, 50022, (Z_REG(op2_addr)), -Z_LVAL_P(Z_ZV(op1_addr)));
			} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 50026);
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 50028, ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 50031, (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 50034, ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 50037, (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 50040, (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 50043, (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 50046, (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 50049, (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 50052, (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 50055, (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 50058, (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 50061, (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
		dasm_put(Dst, 50064, (Z_REG(op2_addr)));
			}
			} else {
				ZEND_UNREACHABLE();
			}
#line 6604 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		swap = 1;
	} else if (Z_MODE(op2_addr) == IS_CONST_ZVAL && Z_MODE(op1_addr) != IS_CONST_ZVAL) {
		//|	LONG_CMP_WITH_CONST op1_addr, Z_LVAL_P(Z_ZV(op2_addr)), TMP1, TMP2
			if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 50067, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 50070, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 50073, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 50076, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 50079, (Z_REG(op1_addr)));
			} else {
		dasm_put(Dst, 50082, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
		dasm_put(Dst, 50086);
			} else if (arm64_may_encode_imm12((int64_t)(Z_LVAL_P(Z_ZV(op2_addr))))) {
		dasm_put(Dst, 50088, Z_LVAL_P(Z_ZV(op2_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(-Z_LVAL_P(Z_ZV(op2_addr))))) {
		dasm_put(Dst, 50091, -Z_LVAL_P(Z_ZV(op2_addr)));
			} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
		dasm_put(Dst, 50094);
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 50096, ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 50099, (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
		dasm_put(Dst, 50102, ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 50105, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 50108, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 50111, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 50114, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 50117, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 50120, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 50123, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 50126, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 50129, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
			}
		dasm_put(Dst, 50132);
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
			if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
		dasm_put(Dst, 50134, (Z_REG(op1_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(Z_LVAL_P(Z_ZV(op2_addr))))) {
		dasm_put(Dst, 50137, (Z_REG(op1_addr)), Z_LVAL_P(Z_ZV(op2_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(-Z_LVAL_P(Z_ZV(op2_addr))))) {
		dasm_put(Dst, 50141, (Z_REG(op1_addr)), -Z_LVAL_P(Z_ZV(op2_addr)));
			} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
		dasm_put(Dst, 50145);
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 50147, ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 50150, (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
		dasm_put(Dst, 50153, ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 50156, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 50159, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 50162, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 50165, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 50168, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 50171, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 50174, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 50177, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 50180, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
			}
		dasm_put(Dst, 50183, (Z_REG(op1_addr)));
			}
			} else {
				ZEND_UNREACHABLE();
			}
#line 6607 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		//|	GET_ZVAL_LVAL ZREG_REG0, op1_addr, TMP1
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 50186, (ZREG_X8));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 50189, (ZREG_X8));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 50192, (ZREG_X8), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 50196, (ZREG_X8), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 50200, (ZREG_X8), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 50204, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 50208, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 50212, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 50216, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 50220, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 50224, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 50228, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 50232, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 50236, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 50240, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 50243, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 50246, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 50249, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 50252, (ZREG_X8), (Z_REG(op1_addr)));
			} else {
		dasm_put(Dst, 50256, (ZREG_X8), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (ZREG_X8 != Z_REG(op1_addr)) {
		dasm_put(Dst, 50261, (ZREG_X8), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 6609 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (Z_MODE(op2_addr) == IS_CONST_ZVAL && Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
			//|	cmp Rx(ZREG_REG0), xzr
			dasm_put(Dst, 50265, (ZREG_X8));
#line 6611 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	LONG_CMP ZREG_REG0, op2_addr, TMP1
				if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
			dasm_put(Dst, 50268, (ZREG_X8));
				} else if (arm64_may_encode_imm12((int64_t)(Z_LVAL_P(Z_ZV(op2_addr))))) {
			dasm_put(Dst, 50271, (ZREG_X8), Z_LVAL_P(Z_ZV(op2_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(-Z_LVAL_P(Z_ZV(op2_addr))))) {
			dasm_put(Dst, 50275, (ZREG_X8), -Z_LVAL_P(Z_ZV(op2_addr)));
				} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
			dasm_put(Dst, 50279);
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 50281, ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 50284, (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
			dasm_put(Dst, 50287, ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 50290, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 50293, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 50296, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 50299, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 50302, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 50305, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 50308, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 50311, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 50314, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			dasm_put(Dst, 50317, (ZREG_X8));
				}
				} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 50320, ((uint32_t)(Z_OFFSET(op2_addr))));
				} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
			dasm_put(Dst, 50323, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 50326, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 50329, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 50332, (Z_REG(op2_addr)));
				} else {
			dasm_put(Dst, 50335, (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
				}
			dasm_put(Dst, 50339, (ZREG_X8));
				} else if (Z_MODE(op2_addr) == IS_REG) {
			dasm_put(Dst, 50342, (ZREG_X8), (Z_REG(op2_addr)));
				} else {
					ZEND_UNREACHABLE();
				}
#line 6613 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	if (smart_branch_opcode) {
		if (smart_branch_opcode == ZEND_JMPZ_EX ||
		    smart_branch_opcode == ZEND_JMPNZ_EX) {

			switch (opline->opcode) {
				case ZEND_IS_EQUAL:
				case ZEND_IS_IDENTICAL:
				case ZEND_CASE:
				case ZEND_CASE_STRICT:
					//|	cset REG0w, eq
					dasm_put(Dst, 50346);
#line 6626 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					break;
				case ZEND_IS_NOT_EQUAL:
				case ZEND_IS_NOT_IDENTICAL:
					//|	cset REG0w, ne
					dasm_put(Dst, 50348);
#line 6630 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					break;
				case ZEND_IS_SMALLER:
					if (swap) {
						//|	cset REG0w, gt
						dasm_put(Dst, 50350);
#line 6634 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	cset REG0w, lt
						dasm_put(Dst, 50352);
#line 6636 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					break;
				case ZEND_IS_SMALLER_OR_EQUAL:
					if (swap) {
						//|	cset REG0w, ge
						dasm_put(Dst, 50354);
#line 6641 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	cset REG0w, le
						dasm_put(Dst, 50356);
#line 6643 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					break;
				default:
					ZEND_UNREACHABLE();
			}
			//|	add REG0w, REG0w, #2
			//|	SET_ZVAL_TYPE_INFO_FROM_REG res_addr, REG0w, TMP1
			dasm_put(Dst, 50358);
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 50360, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 50363, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 50366, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 50369, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 50372, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 50375, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
#line 6650 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (smart_branch_opcode == ZEND_JMPZ ||
		    smart_branch_opcode == ZEND_JMPZ_EX) {
			switch (opline->opcode) {
				case ZEND_IS_EQUAL:
				case ZEND_IS_IDENTICAL:
				case ZEND_CASE:
				case ZEND_CASE_STRICT:
					if (exit_addr) {
						//|	bne &exit_addr
						dasm_put(Dst, 50379, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 6660 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	bne => target_label
						dasm_put(Dst, 50382,  target_label);
#line 6662 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					break;
				case ZEND_IS_NOT_EQUAL:
					if (exit_addr) {
						//|	beq &exit_addr
						dasm_put(Dst, 50385, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 6667 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	beq => target_label
						dasm_put(Dst, 50388,  target_label);
#line 6669 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					break;
				case ZEND_IS_NOT_IDENTICAL:
					if (exit_addr) {
						//|	bne &exit_addr
						dasm_put(Dst, 50391, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 6674 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	beq => target_label
						dasm_put(Dst, 50394,  target_label);
#line 6676 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					break;
				case ZEND_IS_SMALLER:
					if (swap) {
						if (exit_addr) {
							//|	ble &exit_addr
							dasm_put(Dst, 50397, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 6682 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						} else {
							//|	ble => target_label
							dasm_put(Dst, 50400,  target_label);
#line 6684 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						}
					} else {
						if (exit_addr) {
							//|	bge &exit_addr
							dasm_put(Dst, 50403, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 6688 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						} else {
							//|	bge => target_label
							dasm_put(Dst, 50406,  target_label);
#line 6690 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						}
					}
					break;
				case ZEND_IS_SMALLER_OR_EQUAL:
					if (swap) {
						if (exit_addr) {
							//|	blt &exit_addr
							dasm_put(Dst, 50409, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 6697 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						} else {
							//|	blt => target_label
							dasm_put(Dst, 50412,  target_label);
#line 6699 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						}
					} else {
						if (exit_addr) {
							//|	bgt &exit_addr
							dasm_put(Dst, 50415, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 6703 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						} else {
							//|	bgt => target_label
							dasm_put(Dst, 50418,  target_label);
#line 6705 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						}
					}
					break;
				default:
					ZEND_UNREACHABLE();
			}
		} else if (smart_branch_opcode == ZEND_JMPNZ ||
		           smart_branch_opcode == ZEND_JMPNZ_EX) {
			switch (opline->opcode) {
				case ZEND_IS_EQUAL:
				case ZEND_IS_IDENTICAL:
				case ZEND_CASE:
				case ZEND_CASE_STRICT:
					if (exit_addr) {
						//|	beq &exit_addr
						dasm_put(Dst, 50421, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 6720 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	beq => target_label
						dasm_put(Dst, 50424,  target_label);
#line 6722 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					break;
				case ZEND_IS_NOT_EQUAL:
					if (exit_addr) {
						//|	bne &exit_addr
						dasm_put(Dst, 50427, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 6727 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	bne => target_label
						dasm_put(Dst, 50430,  target_label);
#line 6729 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					break;
				case ZEND_IS_NOT_IDENTICAL:
					if (exit_addr) {
						//|	beq &exit_addr
						dasm_put(Dst, 50433, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 6734 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	bne => target_label
						dasm_put(Dst, 50436,  target_label);
#line 6736 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					break;
				case ZEND_IS_SMALLER:
					if (swap) {
						if (exit_addr) {
							//|	bgt &exit_addr
							dasm_put(Dst, 50439, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 6742 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						} else {
							//|	bgt => target_label
							dasm_put(Dst, 50442,  target_label);
#line 6744 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						}
					} else {
						if (exit_addr) {
							//|	blt &exit_addr
							dasm_put(Dst, 50445, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 6748 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						} else {
							//|	blt => target_label
							dasm_put(Dst, 50448,  target_label);
#line 6750 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						}
					}
					break;
				case ZEND_IS_SMALLER_OR_EQUAL:
					if (swap) {
						if (exit_addr) {
							//|	bge &exit_addr
							dasm_put(Dst, 50451, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 6757 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						} else {
							//|	bge => target_label
							dasm_put(Dst, 50454,  target_label);
#line 6759 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						}
					} else {
						if (exit_addr) {
							//|	ble &exit_addr
							dasm_put(Dst, 50457, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 6763 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						} else {
							//|	ble => target_label
							dasm_put(Dst, 50460,  target_label);
#line 6765 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						}
					}
					break;
				default:
					ZEND_UNREACHABLE();
			}
		} else if (smart_branch_opcode == ZEND_JMPZNZ) {
			switch (opline->opcode) {
				case ZEND_IS_EQUAL:
				case ZEND_IS_IDENTICAL:
				case ZEND_CASE:
				case ZEND_CASE_STRICT:
					//|	bne => target_label
					dasm_put(Dst, 50463,  target_label);
#line 6778 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					break;
				case ZEND_IS_NOT_EQUAL:
				case ZEND_IS_NOT_IDENTICAL:
					//|	beq => target_label
					dasm_put(Dst, 50466,  target_label);
#line 6782 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					break;
				case ZEND_IS_SMALLER:
				    if (swap) {
						//|	ble => target_label
						dasm_put(Dst, 50469,  target_label);
#line 6786 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				    } else {
						//|	bge => target_label
						dasm_put(Dst, 50472,  target_label);
#line 6788 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					break;
				case ZEND_IS_SMALLER_OR_EQUAL:
					if (swap) {
						//|	blt => target_label
						dasm_put(Dst, 50475,  target_label);
#line 6793 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	bgt => target_label
						dasm_put(Dst, 50478,  target_label);
#line 6795 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					break;
				default:
					ZEND_UNREACHABLE();
			}
			//|	b => target_label2
			dasm_put(Dst, 50481,  target_label2);
#line 6801 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			ZEND_UNREACHABLE();
		}
	} else {
		switch (opline->opcode) {
			case ZEND_IS_EQUAL:
			case ZEND_IS_IDENTICAL:
			case ZEND_CASE:
			case ZEND_CASE_STRICT:
				//|	cset REG0w, eq
				dasm_put(Dst, 50484);
#line 6811 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				break;
			case ZEND_IS_NOT_EQUAL:
			case ZEND_IS_NOT_IDENTICAL:
				//|	cset REG0w, ne
				dasm_put(Dst, 50486);
#line 6815 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				break;
			case ZEND_IS_SMALLER:
				if (swap) {
					//|	cset REG0w, gt
					dasm_put(Dst, 50488);
#line 6819 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	cset REG0w, lt
					dasm_put(Dst, 50490);
#line 6821 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				break;
			case ZEND_IS_SMALLER_OR_EQUAL:
				if (swap) {
					//|	cset REG0w, ge
					dasm_put(Dst, 50492);
#line 6826 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	cset REG0w, le
					dasm_put(Dst, 50494);
#line 6828 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				break;
			default:
				ZEND_UNREACHABLE();
		}
		//|	add REG0w, REG0w, #2
		//|	SET_ZVAL_TYPE_INFO_FROM_REG res_addr, REG0w, TMP1
		dasm_put(Dst, 50496);
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 50498, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 50501, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 50504, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 50507, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 50510, (Z_REG(res_addr)));
			} else {
		dasm_put(Dst, 50513, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
			}
#line 6835 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	return 1;
}

static int zend_jit_cmp_double_common(dasm_State **Dst, const zend_op *opline, zend_jit_addr res_addr, bool swap, zend_uchar smart_branch_opcode, uint32_t target_label, uint32_t target_label2, const void *exit_addr)
{
	if (smart_branch_opcode) {
		if (smart_branch_opcode == ZEND_JMPZ) {
			switch (opline->opcode) {
				case ZEND_IS_EQUAL:
				case ZEND_IS_IDENTICAL:
				case ZEND_CASE:
				case ZEND_CASE_STRICT:
					if (exit_addr) {
						//|	bne &exit_addr
						dasm_put(Dst, 50517, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 6851 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	bne => target_label
						dasm_put(Dst, 50520,  target_label);
#line 6853 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					break;
				case ZEND_IS_NOT_EQUAL:
					//|	bvs >1
					dasm_put(Dst, 50523);
#line 6857 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					if (exit_addr) {
						//|	beq &exit_addr
						dasm_put(Dst, 50526, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 6859 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	beq => target_label
						dasm_put(Dst, 50529,  target_label);
#line 6861 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					//|1:
					dasm_put(Dst, 50532);
#line 6863 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					break;
				case ZEND_IS_NOT_IDENTICAL:
					if (exit_addr) {
						//|	bvs &exit_addr
						//|	bne &exit_addr
						dasm_put(Dst, 50534, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32), (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 6868 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	bvs >1
						//|	beq => target_label
						//|1:
						dasm_put(Dst, 50539,  target_label);
#line 6872 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					break;
				case ZEND_IS_SMALLER:
					if (swap) {
						if (exit_addr) {
							//|	bvs &exit_addr
							//|	bls &exit_addr
							dasm_put(Dst, 50545, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32), (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 6879 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						} else {
							//|	bvs => target_label
							//|	bls => target_label
							dasm_put(Dst, 50550,  target_label,  target_label);
#line 6882 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						}
					} else {
						if (exit_addr) {
							//|	bhs &exit_addr
							dasm_put(Dst, 50555, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 6886 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						} else {
							//|	bhs => target_label
							dasm_put(Dst, 50558,  target_label);
#line 6888 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						}
					}
					break;
				case ZEND_IS_SMALLER_OR_EQUAL:
					if (swap) {
						if (exit_addr) {
							//|	bvs &exit_addr
							//|	blo &exit_addr
							dasm_put(Dst, 50561, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32), (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 6896 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						} else {
							//|	bvs => target_label
							//|	blo => target_label
							dasm_put(Dst, 50566,  target_label,  target_label);
#line 6899 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						}
					} else {
						if (exit_addr) {
							//|	bhi &exit_addr
							dasm_put(Dst, 50571, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 6903 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						} else {
							//|	bhi => target_label
							dasm_put(Dst, 50574,  target_label);
#line 6905 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						}
					}
					break;
				default:
					ZEND_UNREACHABLE();
			}
		} else if (smart_branch_opcode == ZEND_JMPNZ) {
			switch (opline->opcode) {
				case ZEND_IS_EQUAL:
				case ZEND_IS_IDENTICAL:
				case ZEND_CASE:
				case ZEND_CASE_STRICT:
					//|	bvs >1
					dasm_put(Dst, 50577);
#line 6918 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					if (exit_addr) {
						//|	beq &exit_addr
						dasm_put(Dst, 50580, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 6920 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	beq => target_label
						dasm_put(Dst, 50583,  target_label);
#line 6922 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					//|1:
					dasm_put(Dst, 50586);
#line 6924 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					break;
				case ZEND_IS_NOT_EQUAL:
					if (exit_addr) {
						//|	bne &exit_addr
						dasm_put(Dst, 50588, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 6928 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	bne => target_label
						dasm_put(Dst, 50591,  target_label);
#line 6930 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					break;
				case ZEND_IS_NOT_IDENTICAL:
					if (exit_addr) {
						//|	bvs >1
						//|	beq &exit_addr
						//|1:
						dasm_put(Dst, 50594, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 6937 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	bne => target_label
						dasm_put(Dst, 50600,  target_label);
#line 6939 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					break;
				case ZEND_IS_SMALLER:
					if (swap) {
						//|	bvs >1  // Always False if involving NaN
						dasm_put(Dst, 50603);
#line 6944 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						if (exit_addr) {
							//|	bhi &exit_addr
							dasm_put(Dst, 50606, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 6946 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						} else {
							//|	bhi => target_label
							dasm_put(Dst, 50609,  target_label);
#line 6948 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						}
						//|1:
						dasm_put(Dst, 50612);
#line 6950 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	bvs >1
						dasm_put(Dst, 50614);
#line 6952 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						if (exit_addr) {
							//|	blo	&exit_addr
							dasm_put(Dst, 50617, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 6954 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						} else {
							//|	blo => target_label
							dasm_put(Dst, 50620,  target_label);
#line 6956 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						}
						//|1:
						dasm_put(Dst, 50623);
#line 6958 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					break;
				case ZEND_IS_SMALLER_OR_EQUAL:
					if (swap) {
						//|	bvs >1  // Always False if involving NaN
						dasm_put(Dst, 50625);
#line 6963 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						if (exit_addr) {
							//|	bhs &exit_addr
							dasm_put(Dst, 50628, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 6965 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						} else {
							//|	bhs => target_label
							dasm_put(Dst, 50631,  target_label);
#line 6967 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						}
						//|1:
						dasm_put(Dst, 50634);
#line 6969 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	bvs >1
						dasm_put(Dst, 50636);
#line 6971 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						if (exit_addr) {
							//|	bls &exit_addr
							dasm_put(Dst, 50639, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 6973 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						} else {
							//|	bls => target_label
							dasm_put(Dst, 50642,  target_label);
#line 6975 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						}
						//|1:
						dasm_put(Dst, 50645);
#line 6977 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					break;
				default:
					ZEND_UNREACHABLE();
			}
		} else if (smart_branch_opcode == ZEND_JMPZNZ) {
			switch (opline->opcode) {
				case ZEND_IS_EQUAL:
				case ZEND_IS_IDENTICAL:
				case ZEND_CASE:
				case ZEND_CASE_STRICT:
					//|	bne => target_label
					dasm_put(Dst, 50647,  target_label);
#line 6989 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					break;
				case ZEND_IS_NOT_EQUAL:
				case ZEND_IS_NOT_IDENTICAL:
					//|	bvs => target_label2
					//|	beq => target_label
					dasm_put(Dst, 50650,  target_label2,  target_label);
#line 6994 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					break;
				case ZEND_IS_SMALLER:
					if (swap) {
						//|	bvs => target_label
						//|	bls => target_label
						dasm_put(Dst, 50655,  target_label,  target_label);
#line 6999 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	bhs => target_label
						dasm_put(Dst, 50660,  target_label);
#line 7001 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					break;
				case ZEND_IS_SMALLER_OR_EQUAL:
					if (swap) {
						//|	bvs => target_label
						//|	blo => target_label
						dasm_put(Dst, 50663,  target_label,  target_label);
#line 7007 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	bhi => target_label
						dasm_put(Dst, 50668,  target_label);
#line 7009 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					break;
				default:
					ZEND_UNREACHABLE();
			}
			//|	b => target_label2
			dasm_put(Dst, 50671,  target_label2);
#line 7015 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else if (smart_branch_opcode == ZEND_JMPZ_EX) {
			switch (opline->opcode) {
				case ZEND_IS_EQUAL:
				case ZEND_IS_IDENTICAL:
				case ZEND_CASE:
				case ZEND_CASE_STRICT:
					//|	SET_ZVAL_TYPE_INFO res_addr, IS_FALSE, TMP1w, TMP2
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uint32_t)(IS_FALSE)) <= MOVZ_IMM) {
					dasm_put(Dst, 50674, ((uint32_t)(IS_FALSE)));
						} else if (((uint32_t)(IS_FALSE) & 0xffff)) {
					dasm_put(Dst, 50677, ((uint32_t)(IS_FALSE) & 0xffff));
							if ((((uint32_t)(IS_FALSE) >> 16) & 0xffff)) {
					dasm_put(Dst, 50680, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 50683, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 50686, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 50689, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 50692, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 50695, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 50698, (Z_REG(res_addr)));
						} else {
					dasm_put(Dst, 50701, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
						}
#line 7022 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	bne => target_label
					//|	SET_ZVAL_TYPE_INFO res_addr, IS_TRUE, TMP1w, TMP2
					dasm_put(Dst, 50705,  target_label);
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uint32_t)(IS_TRUE)) <= MOVZ_IMM) {
					dasm_put(Dst, 50708, ((uint32_t)(IS_TRUE)));
						} else if (((uint32_t)(IS_TRUE) & 0xffff)) {
					dasm_put(Dst, 50711, ((uint32_t)(IS_TRUE) & 0xffff));
							if ((((uint32_t)(IS_TRUE) >> 16) & 0xffff)) {
					dasm_put(Dst, 50714, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 50717, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 50720, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 50723, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 50726, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 50729, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 50732, (Z_REG(res_addr)));
						} else {
					dasm_put(Dst, 50735, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
						}
#line 7024 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					break;
				case ZEND_IS_NOT_EQUAL:
				case ZEND_IS_NOT_IDENTICAL:
					//|	bvs >1
					//|	SET_ZVAL_TYPE_INFO res_addr, IS_FALSE, TMP1w, TMP2
					dasm_put(Dst, 50739);
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uint32_t)(IS_FALSE)) <= MOVZ_IMM) {
					dasm_put(Dst, 50742, ((uint32_t)(IS_FALSE)));
						} else if (((uint32_t)(IS_FALSE) & 0xffff)) {
					dasm_put(Dst, 50745, ((uint32_t)(IS_FALSE) & 0xffff));
							if ((((uint32_t)(IS_FALSE) >> 16) & 0xffff)) {
					dasm_put(Dst, 50748, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 50751, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 50754, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 50757, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 50760, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 50763, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 50766, (Z_REG(res_addr)));
						} else {
					dasm_put(Dst, 50769, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
						}
#line 7029 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	beq => target_label
					//|1:
					//|	SET_ZVAL_TYPE_INFO res_addr, IS_TRUE, TMP1w, TMP2
					dasm_put(Dst, 50773,  target_label);
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uint32_t)(IS_TRUE)) <= MOVZ_IMM) {
					dasm_put(Dst, 50777, ((uint32_t)(IS_TRUE)));
						} else if (((uint32_t)(IS_TRUE) & 0xffff)) {
					dasm_put(Dst, 50780, ((uint32_t)(IS_TRUE) & 0xffff));
							if ((((uint32_t)(IS_TRUE) >> 16) & 0xffff)) {
					dasm_put(Dst, 50783, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 50786, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 50789, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 50792, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 50795, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 50798, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 50801, (Z_REG(res_addr)));
						} else {
					dasm_put(Dst, 50804, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
						}
#line 7032 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					break;
				case ZEND_IS_SMALLER:
					if (swap) {
						//|	SET_ZVAL_TYPE_INFO res_addr, IS_FALSE, TMP1w, TMP2
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
							if (((uint32_t)(IS_FALSE)) <= MOVZ_IMM) {
						dasm_put(Dst, 50808, ((uint32_t)(IS_FALSE)));
							} else if (((uint32_t)(IS_FALSE) & 0xffff)) {
						dasm_put(Dst, 50811, ((uint32_t)(IS_FALSE) & 0xffff));
								if ((((uint32_t)(IS_FALSE) >> 16) & 0xffff)) {
						dasm_put(Dst, 50814, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 50817, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
							if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
						dasm_put(Dst, 50820, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
							} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
						dasm_put(Dst, 50823, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
						dasm_put(Dst, 50826, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 50829, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 50832, (Z_REG(res_addr)));
							} else {
						dasm_put(Dst, 50835, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
							}
#line 7036 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						//|	bvs => target_label
						//|	bls => target_label
						//|	SET_ZVAL_TYPE_INFO res_addr, IS_TRUE, TMP1w, TMP2
						dasm_put(Dst, 50839,  target_label,  target_label);
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
							if (((uint32_t)(IS_TRUE)) <= MOVZ_IMM) {
						dasm_put(Dst, 50844, ((uint32_t)(IS_TRUE)));
							} else if (((uint32_t)(IS_TRUE) & 0xffff)) {
						dasm_put(Dst, 50847, ((uint32_t)(IS_TRUE) & 0xffff));
								if ((((uint32_t)(IS_TRUE) >> 16) & 0xffff)) {
						dasm_put(Dst, 50850, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 50853, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
							if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
						dasm_put(Dst, 50856, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
							} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
						dasm_put(Dst, 50859, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
						dasm_put(Dst, 50862, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 50865, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 50868, (Z_REG(res_addr)));
							} else {
						dasm_put(Dst, 50871, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
							}
#line 7039 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	SET_ZVAL_TYPE_INFO res_addr, IS_FALSE, TMP1w, TMP2
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
							if (((uint32_t)(IS_FALSE)) <= MOVZ_IMM) {
						dasm_put(Dst, 50875, ((uint32_t)(IS_FALSE)));
							} else if (((uint32_t)(IS_FALSE) & 0xffff)) {
						dasm_put(Dst, 50878, ((uint32_t)(IS_FALSE) & 0xffff));
								if ((((uint32_t)(IS_FALSE) >> 16) & 0xffff)) {
						dasm_put(Dst, 50881, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 50884, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
							if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
						dasm_put(Dst, 50887, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
							} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
						dasm_put(Dst, 50890, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
						dasm_put(Dst, 50893, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 50896, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 50899, (Z_REG(res_addr)));
							} else {
						dasm_put(Dst, 50902, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
							}
#line 7041 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						//|	bhs => target_label
						//|	SET_ZVAL_TYPE_INFO res_addr, IS_TRUE, TMP1w, TMP2
						dasm_put(Dst, 50906,  target_label);
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
							if (((uint32_t)(IS_TRUE)) <= MOVZ_IMM) {
						dasm_put(Dst, 50909, ((uint32_t)(IS_TRUE)));
							} else if (((uint32_t)(IS_TRUE) & 0xffff)) {
						dasm_put(Dst, 50912, ((uint32_t)(IS_TRUE) & 0xffff));
								if ((((uint32_t)(IS_TRUE) >> 16) & 0xffff)) {
						dasm_put(Dst, 50915, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 50918, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
							if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
						dasm_put(Dst, 50921, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
							} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
						dasm_put(Dst, 50924, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
						dasm_put(Dst, 50927, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 50930, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 50933, (Z_REG(res_addr)));
							} else {
						dasm_put(Dst, 50936, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
							}
#line 7043 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					break;
				case ZEND_IS_SMALLER_OR_EQUAL:
					if (swap) {
						//|	SET_ZVAL_TYPE_INFO res_addr, IS_FALSE, TMP1w, TMP2
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
							if (((uint32_t)(IS_FALSE)) <= MOVZ_IMM) {
						dasm_put(Dst, 50940, ((uint32_t)(IS_FALSE)));
							} else if (((uint32_t)(IS_FALSE) & 0xffff)) {
						dasm_put(Dst, 50943, ((uint32_t)(IS_FALSE) & 0xffff));
								if ((((uint32_t)(IS_FALSE) >> 16) & 0xffff)) {
						dasm_put(Dst, 50946, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 50949, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
							if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
						dasm_put(Dst, 50952, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
							} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
						dasm_put(Dst, 50955, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
						dasm_put(Dst, 50958, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 50961, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 50964, (Z_REG(res_addr)));
							} else {
						dasm_put(Dst, 50967, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
							}
#line 7048 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						//|	bvs => target_label
						//|	blo => target_label
						//|	SET_ZVAL_TYPE_INFO res_addr, IS_TRUE, TMP1w, TMP2
						dasm_put(Dst, 50971,  target_label,  target_label);
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
							if (((uint32_t)(IS_TRUE)) <= MOVZ_IMM) {
						dasm_put(Dst, 50976, ((uint32_t)(IS_TRUE)));
							} else if (((uint32_t)(IS_TRUE) & 0xffff)) {
						dasm_put(Dst, 50979, ((uint32_t)(IS_TRUE) & 0xffff));
								if ((((uint32_t)(IS_TRUE) >> 16) & 0xffff)) {
						dasm_put(Dst, 50982, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 50985, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
							if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
						dasm_put(Dst, 50988, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
							} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
						dasm_put(Dst, 50991, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
						dasm_put(Dst, 50994, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 50997, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 51000, (Z_REG(res_addr)));
							} else {
						dasm_put(Dst, 51003, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
							}
#line 7051 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	SET_ZVAL_TYPE_INFO res_addr, IS_FALSE, TMP1w, TMP2
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
							if (((uint32_t)(IS_FALSE)) <= MOVZ_IMM) {
						dasm_put(Dst, 51007, ((uint32_t)(IS_FALSE)));
							} else if (((uint32_t)(IS_FALSE) & 0xffff)) {
						dasm_put(Dst, 51010, ((uint32_t)(IS_FALSE) & 0xffff));
								if ((((uint32_t)(IS_FALSE) >> 16) & 0xffff)) {
						dasm_put(Dst, 51013, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 51016, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
							if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
						dasm_put(Dst, 51019, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
							} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
						dasm_put(Dst, 51022, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
						dasm_put(Dst, 51025, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 51028, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 51031, (Z_REG(res_addr)));
							} else {
						dasm_put(Dst, 51034, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
							}
#line 7053 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						//|	bhi => target_label
						//|	SET_ZVAL_TYPE_INFO res_addr, IS_TRUE, TMP1w, TMP2
						dasm_put(Dst, 51038,  target_label);
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
							if (((uint32_t)(IS_TRUE)) <= MOVZ_IMM) {
						dasm_put(Dst, 51041, ((uint32_t)(IS_TRUE)));
							} else if (((uint32_t)(IS_TRUE) & 0xffff)) {
						dasm_put(Dst, 51044, ((uint32_t)(IS_TRUE) & 0xffff));
								if ((((uint32_t)(IS_TRUE) >> 16) & 0xffff)) {
						dasm_put(Dst, 51047, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 51050, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
							if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
						dasm_put(Dst, 51053, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
							} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
						dasm_put(Dst, 51056, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
						dasm_put(Dst, 51059, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 51062, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 51065, (Z_REG(res_addr)));
							} else {
						dasm_put(Dst, 51068, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
							}
#line 7055 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					break;
				default:
					ZEND_UNREACHABLE();
			}
		} else if (smart_branch_opcode == ZEND_JMPNZ_EX) {
			switch (opline->opcode) {
				case ZEND_IS_EQUAL:
				case ZEND_IS_IDENTICAL:
				case ZEND_CASE:
				case ZEND_CASE_STRICT:
					//|	bvs >1
					//|	SET_ZVAL_TYPE_INFO res_addr, IS_TRUE, TMP1w, TMP2
					dasm_put(Dst, 51072);
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uint32_t)(IS_TRUE)) <= MOVZ_IMM) {
					dasm_put(Dst, 51075, ((uint32_t)(IS_TRUE)));
						} else if (((uint32_t)(IS_TRUE) & 0xffff)) {
					dasm_put(Dst, 51078, ((uint32_t)(IS_TRUE) & 0xffff));
							if ((((uint32_t)(IS_TRUE) >> 16) & 0xffff)) {
					dasm_put(Dst, 51081, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 51084, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 51087, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 51090, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 51093, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 51096, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 51099, (Z_REG(res_addr)));
						} else {
					dasm_put(Dst, 51102, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
						}
#line 7068 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	beq => target_label
					//|1:
					//|	SET_ZVAL_TYPE_INFO res_addr, IS_FALSE, TMP1w, TMP2
					dasm_put(Dst, 51106,  target_label);
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uint32_t)(IS_FALSE)) <= MOVZ_IMM) {
					dasm_put(Dst, 51110, ((uint32_t)(IS_FALSE)));
						} else if (((uint32_t)(IS_FALSE) & 0xffff)) {
					dasm_put(Dst, 51113, ((uint32_t)(IS_FALSE) & 0xffff));
							if ((((uint32_t)(IS_FALSE) >> 16) & 0xffff)) {
					dasm_put(Dst, 51116, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 51119, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 51122, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 51125, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 51128, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 51131, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 51134, (Z_REG(res_addr)));
						} else {
					dasm_put(Dst, 51137, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
						}
#line 7071 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					break;
				case ZEND_IS_NOT_EQUAL:
				case ZEND_IS_NOT_IDENTICAL:
					//|	SET_ZVAL_TYPE_INFO res_addr, IS_TRUE, TMP1w, TMP2
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uint32_t)(IS_TRUE)) <= MOVZ_IMM) {
					dasm_put(Dst, 51141, ((uint32_t)(IS_TRUE)));
						} else if (((uint32_t)(IS_TRUE) & 0xffff)) {
					dasm_put(Dst, 51144, ((uint32_t)(IS_TRUE) & 0xffff));
							if ((((uint32_t)(IS_TRUE) >> 16) & 0xffff)) {
					dasm_put(Dst, 51147, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 51150, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 51153, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 51156, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 51159, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 51162, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 51165, (Z_REG(res_addr)));
						} else {
					dasm_put(Dst, 51168, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
						}
#line 7075 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	bvs => target_label
					//|	bne => target_label
					//|	SET_ZVAL_TYPE_INFO res_addr, IS_FALSE, TMP1w, TMP2
					dasm_put(Dst, 51172,  target_label,  target_label);
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uint32_t)(IS_FALSE)) <= MOVZ_IMM) {
					dasm_put(Dst, 51177, ((uint32_t)(IS_FALSE)));
						} else if (((uint32_t)(IS_FALSE) & 0xffff)) {
					dasm_put(Dst, 51180, ((uint32_t)(IS_FALSE) & 0xffff));
							if ((((uint32_t)(IS_FALSE) >> 16) & 0xffff)) {
					dasm_put(Dst, 51183, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 51186, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 51189, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 51192, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 51195, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 51198, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 51201, (Z_REG(res_addr)));
						} else {
					dasm_put(Dst, 51204, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
						}
#line 7078 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					break;
				case ZEND_IS_SMALLER:
					if (swap) {
						//|	cset REG0w, hi
						//|	add REG0w, REG0w, #2
						//|	SET_ZVAL_TYPE_INFO_FROM_REG res_addr, REG0w, TMP1
						dasm_put(Dst, 51208);
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
							if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
							if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
						dasm_put(Dst, 51211, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
							} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
						dasm_put(Dst, 51214, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
						dasm_put(Dst, 51217, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 51220, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 51223, (Z_REG(res_addr)));
							} else {
						dasm_put(Dst, 51226, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
							}
#line 7084 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						//|	bvs >1  // Always False if involving NaN
						//|	bhi => target_label
						//|1:
						dasm_put(Dst, 51230,  target_label);
#line 7087 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	bvs >1
						//|	SET_ZVAL_TYPE_INFO res_addr, IS_TRUE, TMP1w, TMP2
						dasm_put(Dst, 51236);
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
							if (((uint32_t)(IS_TRUE)) <= MOVZ_IMM) {
						dasm_put(Dst, 51239, ((uint32_t)(IS_TRUE)));
							} else if (((uint32_t)(IS_TRUE) & 0xffff)) {
						dasm_put(Dst, 51242, ((uint32_t)(IS_TRUE) & 0xffff));
								if ((((uint32_t)(IS_TRUE) >> 16) & 0xffff)) {
						dasm_put(Dst, 51245, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 51248, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
							if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
						dasm_put(Dst, 51251, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
							} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
						dasm_put(Dst, 51254, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
						dasm_put(Dst, 51257, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 51260, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 51263, (Z_REG(res_addr)));
							} else {
						dasm_put(Dst, 51266, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
							}
#line 7090 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						//|	blo => target_label
						//|1:
						//|	SET_ZVAL_TYPE_INFO res_addr, IS_FALSE, TMP1w, TMP2
						dasm_put(Dst, 51270,  target_label);
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
							if (((uint32_t)(IS_FALSE)) <= MOVZ_IMM) {
						dasm_put(Dst, 51274, ((uint32_t)(IS_FALSE)));
							} else if (((uint32_t)(IS_FALSE) & 0xffff)) {
						dasm_put(Dst, 51277, ((uint32_t)(IS_FALSE) & 0xffff));
								if ((((uint32_t)(IS_FALSE) >> 16) & 0xffff)) {
						dasm_put(Dst, 51280, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 51283, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
							if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
						dasm_put(Dst, 51286, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
							} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
						dasm_put(Dst, 51289, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
						dasm_put(Dst, 51292, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 51295, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 51298, (Z_REG(res_addr)));
							} else {
						dasm_put(Dst, 51301, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
							}
#line 7093 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					break;
				case ZEND_IS_SMALLER_OR_EQUAL:
					if (swap) {
						//|	cset REG0w, hs
						//|	add REG0w, REG0w, #2
						//|	SET_ZVAL_TYPE_INFO_FROM_REG res_addr, REG0w, TMP1
						dasm_put(Dst, 51305);
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
							if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
							if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
						dasm_put(Dst, 51308, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
							} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
						dasm_put(Dst, 51311, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
						dasm_put(Dst, 51314, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 51317, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 51320, (Z_REG(res_addr)));
							} else {
						dasm_put(Dst, 51323, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
							}
#line 7100 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						//|	bvs >1  // Always False if involving NaN
						//|	bhs => target_label
						//|1:
						dasm_put(Dst, 51327,  target_label);
#line 7103 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	bvs >1
						//|	SET_ZVAL_TYPE_INFO res_addr, IS_TRUE, TMP1w, TMP2
						dasm_put(Dst, 51333);
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
							if (((uint32_t)(IS_TRUE)) <= MOVZ_IMM) {
						dasm_put(Dst, 51336, ((uint32_t)(IS_TRUE)));
							} else if (((uint32_t)(IS_TRUE) & 0xffff)) {
						dasm_put(Dst, 51339, ((uint32_t)(IS_TRUE) & 0xffff));
								if ((((uint32_t)(IS_TRUE) >> 16) & 0xffff)) {
						dasm_put(Dst, 51342, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 51345, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
							if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
						dasm_put(Dst, 51348, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
							} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
						dasm_put(Dst, 51351, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
						dasm_put(Dst, 51354, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 51357, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 51360, (Z_REG(res_addr)));
							} else {
						dasm_put(Dst, 51363, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
							}
#line 7106 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						//|	bls => target_label
						//|1:
						//|	SET_ZVAL_TYPE_INFO res_addr, IS_FALSE, TMP1w, TMP2
						dasm_put(Dst, 51367,  target_label);
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
							if (((uint32_t)(IS_FALSE)) <= MOVZ_IMM) {
						dasm_put(Dst, 51371, ((uint32_t)(IS_FALSE)));
							} else if (((uint32_t)(IS_FALSE) & 0xffff)) {
						dasm_put(Dst, 51374, ((uint32_t)(IS_FALSE) & 0xffff));
								if ((((uint32_t)(IS_FALSE) >> 16) & 0xffff)) {
						dasm_put(Dst, 51377, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 51380, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
							if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
						dasm_put(Dst, 51383, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
							} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
						dasm_put(Dst, 51386, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
						dasm_put(Dst, 51389, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 51392, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 51395, (Z_REG(res_addr)));
							} else {
						dasm_put(Dst, 51398, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
							}
#line 7109 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					break;
				default:
					ZEND_UNREACHABLE();
			}
		} else {
			ZEND_UNREACHABLE();
		}
	} else {
		switch (opline->opcode) {
			case ZEND_IS_EQUAL:
			case ZEND_IS_IDENTICAL:
			case ZEND_CASE:
			case ZEND_CASE_STRICT:
				//|	bvs >1
				//|	mov REG0, #IS_TRUE
				//|	beq >2
				//|1:
				//|	mov REG0, #IS_FALSE
				//|2:
				dasm_put(Dst, 51402, IS_TRUE, IS_FALSE);
#line 7129 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				break;
			case ZEND_IS_NOT_EQUAL:
			case ZEND_IS_NOT_IDENTICAL:
				//|	bvs >1
				//|	mov REG0, #IS_FALSE
				//|	beq >2
				//|1:
				//|	mov REG0, #IS_TRUE
				//|2:
				dasm_put(Dst, 51413, IS_FALSE, IS_TRUE);
#line 7138 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				break;
			case ZEND_IS_SMALLER:
				//|	bvs >1
				//|	mov REG0, #IS_TRUE
				dasm_put(Dst, 51424, IS_TRUE);
					if (swap) {
#line 7143 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|		bhi >2
				dasm_put(Dst, 51429);
					} else {
#line 7145 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|		blo >2
				dasm_put(Dst, 51432);
					}
#line 7147 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|1:
				//|	mov REG0, #IS_FALSE
				//|2:
				dasm_put(Dst, 51435, IS_FALSE);
#line 7150 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				break;
			case ZEND_IS_SMALLER_OR_EQUAL:
				//|	bvs >1
				//|	mov REG0, #IS_TRUE
				dasm_put(Dst, 51440, IS_TRUE);
					if (swap) {
#line 7155 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|		bhs >2
				dasm_put(Dst, 51445);
					} else {
#line 7157 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|		bls >2
				dasm_put(Dst, 51448);
					}
#line 7159 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|1:
				//|	mov REG0, #IS_FALSE
				//|2:
				dasm_put(Dst, 51451, IS_FALSE);
#line 7162 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				break;
			default:
				ZEND_UNREACHABLE();
		}
		//|	SET_ZVAL_TYPE_INFO_FROM_REG res_addr, REG0w, TMP1
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 51456, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 51459, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 51462, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 51465, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 51468, (Z_REG(res_addr)));
			} else {
		dasm_put(Dst, 51471, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
			}
#line 7167 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	return 1;
}

static int zend_jit_cmp_long_double(dasm_State **Dst, const zend_op *opline, zend_jit_addr op1_addr, zend_jit_addr op2_addr, zend_jit_addr res_addr, zend_uchar smart_branch_opcode, uint32_t target_label, uint32_t target_label2, const void *exit_addr)
{
	zend_reg tmp_reg = ZREG_FPR0;

	//|	DOUBLE_GET_ZVAL_LVAL tmp_reg, op1_addr, ZREG_REG0, ZREG_TMP1
		if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
		if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
	dasm_put(Dst, 51475, (tmp_reg-ZREG_V0));
		} else {
		if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
	dasm_put(Dst, 51478, (ZREG_X8));
		} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
	dasm_put(Dst, 51481, (ZREG_X8), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
		} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
	dasm_put(Dst, 51485, (ZREG_X8), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
		} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
	dasm_put(Dst, 51489, (ZREG_X8), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
	dasm_put(Dst, 51493, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
			}
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
	dasm_put(Dst, 51497, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
			}
			if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
	dasm_put(Dst, 51501, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
		} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
	dasm_put(Dst, 51505, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
	dasm_put(Dst, 51509, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
			}
			if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
	dasm_put(Dst, 51513, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
		} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
	dasm_put(Dst, 51517, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
			if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
	dasm_put(Dst, 51521, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
		} else {
	dasm_put(Dst, 51525, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
		}
	dasm_put(Dst, 51529, (tmp_reg-ZREG_V0), (ZREG_X8));
		}
		} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
		if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 51533, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
		} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
	dasm_put(Dst, 51537, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 51541, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 51545, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 51549, (ZREG_X8), (Z_REG(op1_addr)), (ZREG_X15));
		} else {
	dasm_put(Dst, 51554, (ZREG_X8), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
		}
	dasm_put(Dst, 51559, (tmp_reg-ZREG_V0), (ZREG_X8));
		} else if (Z_MODE(op1_addr) == IS_REG) {
	dasm_put(Dst, 51563, (tmp_reg-ZREG_V0), (Z_REG(op1_addr)));
		} else {
			ZEND_UNREACHABLE();
		}
#line 7177 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	DOUBLE_CMP tmp_reg, op2_addr, ZREG_TMP1, ZREG_FPTMP
		if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
		if (((uintptr_t)(Z_ZV(op2_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op2_addr)))) {
	dasm_put(Dst, 51567, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op2_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op2_addr)))>>32), (ZREG_V16-ZREG_V0), (ZREG_X15));
		} else if (((uintptr_t)(Z_ZV(op2_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op2_addr)))) {
	dasm_put(Dst, 51574, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr))))))>>32), (ZREG_V16-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff));
		} else {
		if (((uintptr_t)(Z_ZV(op2_addr))) == 0) {
	dasm_put(Dst, 51582, (ZREG_X15));
		} else if (((uintptr_t)(Z_ZV(op2_addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 51585, (ZREG_X15), ((uint64_t)(Z_ZV(op2_addr))));
		} else if (arm64_may_use_adr((void*)(Z_ZV(op2_addr)))) {
	dasm_put(Dst, 51589, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op2_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op2_addr)))>>32));
		} else if (arm64_may_use_adrp((void*)(Z_ZV(op2_addr)))) {
	dasm_put(Dst, 51593, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr))))))>>32));
			if (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff) {
	dasm_put(Dst, 51597, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff));
			}
		} else if ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff) {
	dasm_put(Dst, 51602, (ZREG_X15), ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff));
			if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
	dasm_put(Dst, 51606, (ZREG_X15), (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
	dasm_put(Dst, 51610, (ZREG_X15), (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
	dasm_put(Dst, 51614, (ZREG_X15), (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
			if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
	dasm_put(Dst, 51618, (ZREG_X15), (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 51622, (ZREG_X15), (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
		}
	dasm_put(Dst, 51626, (ZREG_V16-ZREG_V0), (ZREG_X15));
		}
	dasm_put(Dst, 51630, (tmp_reg-ZREG_V0), (ZREG_V16-ZREG_V0));
		} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
		if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 51634, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr))));
		} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
	dasm_put(Dst, 51638, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 51642, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 51646, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 51650, (ZREG_V16-ZREG_V0), (Z_REG(op2_addr)), (ZREG_X15));
		} else {
	dasm_put(Dst, 51655, (ZREG_V16-ZREG_V0), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
		}
	dasm_put(Dst, 51660, (tmp_reg-ZREG_V0), (ZREG_V16-ZREG_V0));
		} else if (Z_MODE(op2_addr) == IS_REG) {
	dasm_put(Dst, 51664, (tmp_reg-ZREG_V0), (Z_REG(op2_addr)-ZREG_V0));
		} else {
			ZEND_UNREACHABLE();
		}
#line 7178 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	return zend_jit_cmp_double_common(Dst, opline, res_addr, 0, smart_branch_opcode, target_label, target_label2, exit_addr);
}

static int zend_jit_cmp_double_long(dasm_State **Dst, const zend_op *opline, zend_jit_addr op1_addr, zend_jit_addr op2_addr, zend_jit_addr res_addr, zend_uchar smart_branch_opcode, uint32_t target_label, uint32_t target_label2, const void *exit_addr)
{
	zend_reg tmp_reg = ZREG_FPR0;

	//|	DOUBLE_GET_ZVAL_LVAL tmp_reg, op2_addr, ZREG_REG0, ZREG_TMP1
		if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
		if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
	dasm_put(Dst, 51668, (tmp_reg-ZREG_V0));
		} else {
		if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
	dasm_put(Dst, 51671, (ZREG_X8));
		} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
	dasm_put(Dst, 51674, (ZREG_X8), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
		} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
	dasm_put(Dst, 51678, (ZREG_X8), (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
		} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
	dasm_put(Dst, 51682, (ZREG_X8), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
	dasm_put(Dst, 51686, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
			}
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
	dasm_put(Dst, 51690, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
			}
			if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
	dasm_put(Dst, 51694, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
			}
		} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
	dasm_put(Dst, 51698, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
	dasm_put(Dst, 51702, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
			}
			if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
	dasm_put(Dst, 51706, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
			}
		} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
	dasm_put(Dst, 51710, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
			if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
	dasm_put(Dst, 51714, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
			}
		} else {
	dasm_put(Dst, 51718, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
		}
	dasm_put(Dst, 51722, (tmp_reg-ZREG_V0), (ZREG_X8));
		}
		} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
		if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 51726, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr))));
		} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
	dasm_put(Dst, 51730, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 51734, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 51738, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 51742, (ZREG_X8), (Z_REG(op2_addr)), (ZREG_X15));
		} else {
	dasm_put(Dst, 51747, (ZREG_X8), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
		}
	dasm_put(Dst, 51752, (tmp_reg-ZREG_V0), (ZREG_X8));
		} else if (Z_MODE(op2_addr) == IS_REG) {
	dasm_put(Dst, 51756, (tmp_reg-ZREG_V0), (Z_REG(op2_addr)));
		} else {
			ZEND_UNREACHABLE();
		}
#line 7187 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	DOUBLE_CMP tmp_reg, op1_addr, ZREG_TMP1, ZREG_FPTMP
		if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
		if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
	dasm_put(Dst, 51760, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (ZREG_V16-ZREG_V0), (ZREG_X15));
		} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
	dasm_put(Dst, 51767, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (ZREG_V16-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
		} else {
		if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
	dasm_put(Dst, 51775, (ZREG_X15));
		} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 51778, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
		} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
	dasm_put(Dst, 51782, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
		} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
	dasm_put(Dst, 51786, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
			if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
	dasm_put(Dst, 51790, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
			}
		} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
	dasm_put(Dst, 51795, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
			if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
	dasm_put(Dst, 51799, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
	dasm_put(Dst, 51803, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
	dasm_put(Dst, 51807, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
			if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
	dasm_put(Dst, 51811, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 51815, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
		}
	dasm_put(Dst, 51819, (ZREG_V16-ZREG_V0), (ZREG_X15));
		}
	dasm_put(Dst, 51823, (tmp_reg-ZREG_V0), (ZREG_V16-ZREG_V0));
		} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
		if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 51827, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
		} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
	dasm_put(Dst, 51831, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 51835, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 51839, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 51843, (ZREG_V16-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
		} else {
	dasm_put(Dst, 51848, (ZREG_V16-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
		}
	dasm_put(Dst, 51853, (tmp_reg-ZREG_V0), (ZREG_V16-ZREG_V0));
		} else if (Z_MODE(op1_addr) == IS_REG) {
	dasm_put(Dst, 51857, (tmp_reg-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
		} else {
			ZEND_UNREACHABLE();
		}
#line 7188 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	return zend_jit_cmp_double_common(Dst, opline, res_addr, /* swap */ 1, smart_branch_opcode, target_label, target_label2, exit_addr);
}

static int zend_jit_cmp_double_double(dasm_State **Dst, const zend_op *opline, zend_jit_addr op1_addr, zend_jit_addr op2_addr, zend_jit_addr res_addr, zend_uchar smart_branch_opcode, uint32_t target_label, uint32_t target_label2, const void *exit_addr)
{
	bool swap = 0;

	if (Z_MODE(op1_addr) == IS_REG) {
		//|	DOUBLE_CMP Z_REG(op1_addr), op2_addr, ZREG_TMP1, ZREG_FPTMP
			if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op2_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op2_addr)))) {
		dasm_put(Dst, 51861, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op2_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op2_addr)))>>32), (ZREG_V16-ZREG_V0), (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op2_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op2_addr)))) {
		dasm_put(Dst, 51868, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr))))))>>32), (ZREG_V16-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff));
			} else {
			if (((uintptr_t)(Z_ZV(op2_addr))) == 0) {
		dasm_put(Dst, 51876, (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op2_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 51879, (ZREG_X15), ((uint64_t)(Z_ZV(op2_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op2_addr)))) {
		dasm_put(Dst, 51883, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op2_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op2_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op2_addr)))) {
		dasm_put(Dst, 51887, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff) {
		dasm_put(Dst, 51891, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff) {
		dasm_put(Dst, 51896, (ZREG_X15), ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 51900, (ZREG_X15), (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 51904, (ZREG_X15), (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 51908, (ZREG_X15), (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 51912, (ZREG_X15), (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 51916, (ZREG_X15), (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
			}
		dasm_put(Dst, 51920, (ZREG_V16-ZREG_V0), (ZREG_X15));
			}
		dasm_put(Dst, 51924, (Z_REG(op1_addr)-ZREG_V0), (ZREG_V16-ZREG_V0));
			} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 51928, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr))));
			} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
		dasm_put(Dst, 51932, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 51936, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 51940, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 51944, (ZREG_V16-ZREG_V0), (Z_REG(op2_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 51949, (ZREG_V16-ZREG_V0), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
			}
		dasm_put(Dst, 51954, (Z_REG(op1_addr)-ZREG_V0), (ZREG_V16-ZREG_V0));
			} else if (Z_MODE(op2_addr) == IS_REG) {
		dasm_put(Dst, 51958, (Z_REG(op1_addr)-ZREG_V0), (Z_REG(op2_addr)-ZREG_V0));
			} else {
				ZEND_UNREACHABLE();
			}
#line 7198 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else if (Z_MODE(op2_addr) == IS_REG) {
		//|	DOUBLE_CMP Z_REG(op2_addr), op1_addr, ZREG_TMP1, ZREG_FPTMP
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 51962, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (ZREG_V16-ZREG_V0), (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 51969, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (ZREG_V16-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
			} else {
			if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
		dasm_put(Dst, 51977, (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 51980, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 51984, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 51988, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
		dasm_put(Dst, 51992, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
		dasm_put(Dst, 51997, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 52001, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 52005, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 52009, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 52013, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 52017, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
		dasm_put(Dst, 52021, (ZREG_V16-ZREG_V0), (ZREG_X15));
			}
		dasm_put(Dst, 52025, (Z_REG(op2_addr)-ZREG_V0), (ZREG_V16-ZREG_V0));
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 52029, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 52033, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 52037, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 52041, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 52045, (ZREG_V16-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 52050, (ZREG_V16-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
		dasm_put(Dst, 52055, (Z_REG(op2_addr)-ZREG_V0), (ZREG_V16-ZREG_V0));
			} else if (Z_MODE(op1_addr) == IS_REG) {
		dasm_put(Dst, 52059, (Z_REG(op2_addr)-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
			} else {
				ZEND_UNREACHABLE();
			}
#line 7200 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		swap = 1;
	} else {
		zend_reg tmp_reg = ZREG_FPR0;

		//|	GET_ZVAL_DVAL tmp_reg, op1_addr, ZREG_TMP1
			if (Z_MODE(op1_addr) != IS_REG || tmp_reg != Z_REG(op1_addr)) {
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 52063, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (tmp_reg-ZREG_V0), (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 52070, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (tmp_reg-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
			} else {
			if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
		dasm_put(Dst, 52078, (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 52081, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 52085, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 52089, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
		dasm_put(Dst, 52093, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
		dasm_put(Dst, 52098, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 52102, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 52106, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 52110, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 52114, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 52118, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
		dasm_put(Dst, 52122, (tmp_reg-ZREG_V0), (ZREG_X15));
			}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 52126, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 52130, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 52134, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 52138, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 52142, (tmp_reg-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 52147, (tmp_reg-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
				} else if (Z_MODE(op1_addr) == IS_REG) {
		dasm_put(Dst, 52152, (tmp_reg-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
				} else {
					ZEND_UNREACHABLE();
				}
			}
#line 7205 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	DOUBLE_CMP tmp_reg, op2_addr, ZREG_TMP1, ZREG_FPTMP
			if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op2_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op2_addr)))) {
		dasm_put(Dst, 52156, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op2_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op2_addr)))>>32), (ZREG_V16-ZREG_V0), (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op2_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op2_addr)))) {
		dasm_put(Dst, 52163, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr))))))>>32), (ZREG_V16-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff));
			} else {
			if (((uintptr_t)(Z_ZV(op2_addr))) == 0) {
		dasm_put(Dst, 52171, (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op2_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 52174, (ZREG_X15), ((uint64_t)(Z_ZV(op2_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op2_addr)))) {
		dasm_put(Dst, 52178, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op2_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op2_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op2_addr)))) {
		dasm_put(Dst, 52182, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff) {
		dasm_put(Dst, 52186, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff) {
		dasm_put(Dst, 52191, (ZREG_X15), ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 52195, (ZREG_X15), (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 52199, (ZREG_X15), (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 52203, (ZREG_X15), (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 52207, (ZREG_X15), (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 52211, (ZREG_X15), (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
			}
		dasm_put(Dst, 52215, (ZREG_V16-ZREG_V0), (ZREG_X15));
			}
		dasm_put(Dst, 52219, (tmp_reg-ZREG_V0), (ZREG_V16-ZREG_V0));
			} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 52223, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr))));
			} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
		dasm_put(Dst, 52227, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 52231, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 52235, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 52239, (ZREG_V16-ZREG_V0), (Z_REG(op2_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 52244, (ZREG_V16-ZREG_V0), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
			}
		dasm_put(Dst, 52249, (tmp_reg-ZREG_V0), (ZREG_V16-ZREG_V0));
			} else if (Z_MODE(op2_addr) == IS_REG) {
		dasm_put(Dst, 52253, (tmp_reg-ZREG_V0), (Z_REG(op2_addr)-ZREG_V0));
			} else {
				ZEND_UNREACHABLE();
			}
#line 7206 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	return zend_jit_cmp_double_common(Dst, opline, res_addr, swap, smart_branch_opcode, target_label, target_label2, exit_addr);
}

static int zend_jit_cmp_slow(dasm_State **Dst, const zend_op *opline, zend_jit_addr res_addr, zend_uchar smart_branch_opcode, uint32_t target_label, uint32_t target_label2, const void *exit_addr)
{
	//|	tst RETVALw, RETVALw
	dasm_put(Dst, 52257);
#line 7214 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	if (smart_branch_opcode) {
		if (smart_branch_opcode == ZEND_JMPZ_EX ||
		    smart_branch_opcode == ZEND_JMPNZ_EX) {
			switch (opline->opcode) {
				case ZEND_IS_EQUAL:
				case ZEND_CASE:
					//|	cset REG0w, eq
					dasm_put(Dst, 52259);
#line 7221 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					break;
				case ZEND_IS_NOT_EQUAL:
					//|	cset REG0w, ne
					dasm_put(Dst, 52261);
#line 7224 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					break;
				case ZEND_IS_SMALLER:
					//|	cset REG0w, lt
					dasm_put(Dst, 52263);
#line 7227 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					break;
				case ZEND_IS_SMALLER_OR_EQUAL:
					//|	cset REG0w, le
					dasm_put(Dst, 52265);
#line 7230 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					break;
				default:
					ZEND_UNREACHABLE();
			}
			//|	add REG0w, REG0w, #2
			//|	SET_ZVAL_TYPE_INFO_FROM_REG res_addr, REG0w, TMP1
			dasm_put(Dst, 52267);
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 52269, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 52272, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 52275, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 52278, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 52281, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 52284, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
#line 7236 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (smart_branch_opcode == ZEND_JMPZ ||
		    smart_branch_opcode == ZEND_JMPZ_EX) {
			switch (opline->opcode) {
				case ZEND_IS_EQUAL:
				case ZEND_CASE:
					if (exit_addr) {
						//|	bne &exit_addr
						dasm_put(Dst, 52288, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 7244 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	bne => target_label
						dasm_put(Dst, 52291,  target_label);
#line 7246 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					break;
				case ZEND_IS_NOT_EQUAL:
					if (exit_addr) {
						//|	beq &exit_addr
						dasm_put(Dst, 52294, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 7251 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	beq => target_label
						dasm_put(Dst, 52297,  target_label);
#line 7253 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					break;
				case ZEND_IS_SMALLER:
					if (exit_addr) {
						//|	bge &exit_addr
						dasm_put(Dst, 52300, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 7258 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	bge => target_label
						dasm_put(Dst, 52303,  target_label);
#line 7260 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					break;
				case ZEND_IS_SMALLER_OR_EQUAL:
					if (exit_addr) {
						//|	bgt &exit_addr
						dasm_put(Dst, 52306, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 7265 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	bgt => target_label
						dasm_put(Dst, 52309,  target_label);
#line 7267 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					break;
				default:
					ZEND_UNREACHABLE();
			}
		} else if (smart_branch_opcode == ZEND_JMPNZ ||
		           smart_branch_opcode == ZEND_JMPNZ_EX) {
			switch (opline->opcode) {
				case ZEND_IS_EQUAL:
				case ZEND_CASE:
					if (exit_addr) {
						//|	beq &exit_addr
						dasm_put(Dst, 52312, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 7279 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	beq => target_label
						dasm_put(Dst, 52315,  target_label);
#line 7281 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					break;
				case ZEND_IS_NOT_EQUAL:
					if (exit_addr) {
						//|	bne &exit_addr
						dasm_put(Dst, 52318, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 7286 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	bne => target_label
						dasm_put(Dst, 52321,  target_label);
#line 7288 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					break;
				case ZEND_IS_SMALLER:
					if (exit_addr) {
						//|	blt &exit_addr
						dasm_put(Dst, 52324, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 7293 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	blt => target_label
						dasm_put(Dst, 52327,  target_label);
#line 7295 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					break;
				case ZEND_IS_SMALLER_OR_EQUAL:
					if (exit_addr) {
						//|	ble &exit_addr
						dasm_put(Dst, 52330, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 7300 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	ble => target_label
						dasm_put(Dst, 52333,  target_label);
#line 7302 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					break;
				default:
					ZEND_UNREACHABLE();
			}
		} else if (smart_branch_opcode == ZEND_JMPZNZ) {
			switch (opline->opcode) {
				case ZEND_IS_EQUAL:
				case ZEND_CASE:
					//|	bne => target_label
					dasm_put(Dst, 52336,  target_label);
#line 7312 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					break;
				case ZEND_IS_NOT_EQUAL:
					//|	beq => target_label
					dasm_put(Dst, 52339,  target_label);
#line 7315 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					break;
				case ZEND_IS_SMALLER:
					//|	bge => target_label
					dasm_put(Dst, 52342,  target_label);
#line 7318 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					break;
				case ZEND_IS_SMALLER_OR_EQUAL:
					//|	bgt => target_label
					dasm_put(Dst, 52345,  target_label);
#line 7321 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					break;
				default:
					ZEND_UNREACHABLE();
			}
			//|	b => target_label2
			dasm_put(Dst, 52348,  target_label2);
#line 7326 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			ZEND_UNREACHABLE();
		}
	} else {
		switch (opline->opcode) {
			case ZEND_IS_EQUAL:
			case ZEND_CASE:
				//|	cset REG0w, eq
				dasm_put(Dst, 52351);
#line 7334 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				break;
			case ZEND_IS_NOT_EQUAL:
				//|	cset REG0w, ne
				dasm_put(Dst, 52353);
#line 7337 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				break;
			case ZEND_IS_SMALLER:
				//|	cset REG0w, lt
				dasm_put(Dst, 52355);
#line 7340 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				break;
			case ZEND_IS_SMALLER_OR_EQUAL:
				//|	cset REG0w, le
				dasm_put(Dst, 52357);
#line 7343 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				break;
			default:
				ZEND_UNREACHABLE();
		}
		//|	add REG0w, REG0w, #2
		//|	SET_ZVAL_TYPE_INFO_FROM_REG res_addr, REG0w, TMP1
		dasm_put(Dst, 52359);
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 52361, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 52364, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 52367, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 52370, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 52373, (Z_REG(res_addr)));
			} else {
		dasm_put(Dst, 52376, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
			}
#line 7349 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	return 1;
}

static int zend_jit_cmp(dasm_State    **Dst,
                        const zend_op  *opline,
                        uint32_t        op1_info,
                        zend_ssa_range *op1_range,
                        zend_jit_addr   op1_addr,
                        uint32_t        op2_info,
                        zend_ssa_range *op2_range,
                        zend_jit_addr   op2_addr,
                        zend_jit_addr   res_addr,
                        int             may_throw,
                        zend_uchar      smart_branch_opcode,
                        uint32_t        target_label,
                        uint32_t        target_label2,
                        const void     *exit_addr,
                        bool            skip_comparison)
{
	bool same_ops = (opline->op1_type == opline->op2_type) && (opline->op1.var == opline->op2.var);
	bool has_slow;

	has_slow =
		(op1_info & (MAY_BE_LONG|MAY_BE_DOUBLE)) &&
		(op2_info & (MAY_BE_LONG|MAY_BE_DOUBLE)) &&
		((op1_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-(MAY_BE_LONG|MAY_BE_DOUBLE))) ||
		 (op2_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-(MAY_BE_LONG|MAY_BE_DOUBLE))));

	if ((op1_info & MAY_BE_LONG) && (op2_info & MAY_BE_LONG)) {
		if (op1_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-MAY_BE_LONG)) {
			if (op1_info & MAY_BE_DOUBLE) {
				//|	IF_NOT_ZVAL_TYPE op1_addr, IS_LONG, >4, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 52380, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 52384, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 52388, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 52392, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 52396, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 52401, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_LONG == 0) {
				dasm_put(Dst, 52406, (ZREG_X15));
					} else {
				dasm_put(Dst, 52410, (ZREG_X15), IS_LONG);
					}
#line 7383 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	IF_NOT_ZVAL_TYPE op1_addr, IS_LONG, >9, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 52416, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 52420, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 52424, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 52428, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 52432, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 52437, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_LONG == 0) {
				dasm_put(Dst, 52442, (ZREG_X15));
					} else {
				dasm_put(Dst, 52446, (ZREG_X15), IS_LONG);
					}
#line 7385 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
		if (!same_ops && (op2_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-MAY_BE_LONG))) {
			if (op2_info & MAY_BE_DOUBLE) {
				//|	IF_NOT_ZVAL_TYPE op2_addr, IS_LONG, >3, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(op2_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 52452, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 52456, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 52460, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 52464, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 52468, (ZREG_X15), (Z_REG(op2_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 52473, (ZREG_X15), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_LONG == 0) {
				dasm_put(Dst, 52478, (ZREG_X15));
					} else {
				dasm_put(Dst, 52482, (ZREG_X15), IS_LONG);
					}
#line 7390 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|.cold_code
				dasm_put(Dst, 52488);
#line 7391 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|3:
				dasm_put(Dst, 52489);
#line 7392 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				if (op2_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-(MAY_BE_LONG|MAY_BE_DOUBLE))) {
					//|	IF_NOT_ZVAL_TYPE op2_addr, IS_DOUBLE, >9, ZREG_TMP1
						ZEND_ASSERT(Z_MODE(op2_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 52491, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 52495, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 52499, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 52503, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 52507, (ZREG_X15), (Z_REG(op2_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 52512, (ZREG_X15), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)));
						}
						if (IS_DOUBLE == 0) {
					dasm_put(Dst, 52517, (ZREG_X15));
						} else {
					dasm_put(Dst, 52521, (ZREG_X15), IS_DOUBLE);
						}
#line 7394 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				if (!zend_jit_cmp_long_double(Dst, opline, op1_addr, op2_addr, res_addr, smart_branch_opcode, target_label, target_label2, exit_addr)) {
					return 0;
				}
				//|	b >6
				//|.code
				dasm_put(Dst, 52527);
#line 7400 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	IF_NOT_ZVAL_TYPE op2_addr, IS_LONG, >9, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(op2_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 52530, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 52534, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 52538, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 52542, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 52546, (ZREG_X15), (Z_REG(op2_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 52551, (ZREG_X15), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_LONG == 0) {
				dasm_put(Dst, 52556, (ZREG_X15));
					} else {
				dasm_put(Dst, 52560, (ZREG_X15), IS_LONG);
					}
#line 7402 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
		if (!zend_jit_cmp_long_long(Dst, opline, op1_range, op1_addr, op2_range, op2_addr, res_addr, smart_branch_opcode, target_label, target_label2, exit_addr, skip_comparison)) {
			return 0;
		}
		if (op1_info & MAY_BE_DOUBLE) {
			//|.cold_code
			dasm_put(Dst, 52566);
#line 7409 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|4:
			dasm_put(Dst, 52567);
#line 7410 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (op1_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-(MAY_BE_LONG|MAY_BE_DOUBLE))) {
				//|	IF_NOT_ZVAL_TYPE op1_addr, IS_DOUBLE, >9, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 52569, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 52573, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 52577, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 52581, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 52585, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 52590, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_DOUBLE == 0) {
				dasm_put(Dst, 52595, (ZREG_X15));
					} else {
				dasm_put(Dst, 52599, (ZREG_X15), IS_DOUBLE);
					}
#line 7412 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if (op2_info & MAY_BE_DOUBLE) {
				if (!same_ops && (op2_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-MAY_BE_DOUBLE))) {
					if (!same_ops) {
						//|	IF_NOT_ZVAL_TYPE op2_addr, IS_DOUBLE, >5, ZREG_TMP1
							ZEND_ASSERT(Z_MODE(op2_addr) == IS_MEM_ZVAL);
							if (((uintptr_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
							if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
						dasm_put(Dst, 52605, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))));
							} else if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
						dasm_put(Dst, 52609, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
						dasm_put(Dst, 52613, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 52617, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 52621, (ZREG_X15), (Z_REG(op2_addr)), (ZREG_X15));
							} else {
						dasm_put(Dst, 52626, (ZREG_X15), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)));
							}
							if (IS_DOUBLE == 0) {
						dasm_put(Dst, 52631, (ZREG_X15));
							} else {
						dasm_put(Dst, 52635, (ZREG_X15), IS_DOUBLE);
							}
#line 7417 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	IF_NOT_ZVAL_TYPE op2_addr, IS_DOUBLE, >9, ZREG_TMP1
							ZEND_ASSERT(Z_MODE(op2_addr) == IS_MEM_ZVAL);
							if (((uintptr_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
							if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
						dasm_put(Dst, 52641, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))));
							} else if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
						dasm_put(Dst, 52645, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
						dasm_put(Dst, 52649, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 52653, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 52657, (ZREG_X15), (Z_REG(op2_addr)), (ZREG_X15));
							} else {
						dasm_put(Dst, 52662, (ZREG_X15), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)));
							}
							if (IS_DOUBLE == 0) {
						dasm_put(Dst, 52667, (ZREG_X15));
							} else {
						dasm_put(Dst, 52671, (ZREG_X15), IS_DOUBLE);
							}
#line 7419 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				}
				if (!zend_jit_cmp_double_double(Dst, opline, op1_addr, op2_addr, res_addr, smart_branch_opcode, target_label, target_label2, exit_addr)) {
					return 0;
				}
				//|	b >6
				dasm_put(Dst, 52677);
#line 7425 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if (!same_ops) {
				//|5:
				dasm_put(Dst, 52680);
#line 7428 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				if (op2_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-(MAY_BE_LONG|MAY_BE_DOUBLE))) {
					//|	IF_NOT_ZVAL_TYPE op2_addr, IS_LONG, >9, ZREG_TMP1
						ZEND_ASSERT(Z_MODE(op2_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 52682, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 52686, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 52690, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 52694, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 52698, (ZREG_X15), (Z_REG(op2_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 52703, (ZREG_X15), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)));
						}
						if (IS_LONG == 0) {
					dasm_put(Dst, 52708, (ZREG_X15));
						} else {
					dasm_put(Dst, 52712, (ZREG_X15), IS_LONG);
						}
#line 7430 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				if (!zend_jit_cmp_double_long(Dst, opline, op1_addr, op2_addr, res_addr, smart_branch_opcode, target_label, target_label2, exit_addr)) {
					return 0;
				}
				//|	b >6
				dasm_put(Dst, 52718);
#line 7435 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|.code
			dasm_put(Dst, 52721);
#line 7437 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else if ((op1_info & MAY_BE_DOUBLE) &&
	           !(op1_info & MAY_BE_LONG) &&
	           (op2_info & (MAY_BE_LONG|MAY_BE_DOUBLE))) {
		if (op1_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-MAY_BE_DOUBLE)) {
			//|	IF_NOT_ZVAL_TYPE op1_addr, IS_DOUBLE, >9, ZREG_TMP1
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 52722, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 52726, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 52730, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 52734, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 52738, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 52743, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_DOUBLE == 0) {
			dasm_put(Dst, 52748, (ZREG_X15));
				} else {
			dasm_put(Dst, 52752, (ZREG_X15), IS_DOUBLE);
				}
#line 7443 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (op2_info & MAY_BE_DOUBLE) {
			if (!same_ops && (op2_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-MAY_BE_DOUBLE))) {
				if (!same_ops && (op2_info & MAY_BE_LONG)) {
					//|	IF_NOT_ZVAL_TYPE op2_addr, IS_DOUBLE, >3, ZREG_TMP1
						ZEND_ASSERT(Z_MODE(op2_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 52758, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 52762, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 52766, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 52770, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 52774, (ZREG_X15), (Z_REG(op2_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 52779, (ZREG_X15), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)));
						}
						if (IS_DOUBLE == 0) {
					dasm_put(Dst, 52784, (ZREG_X15));
						} else {
					dasm_put(Dst, 52788, (ZREG_X15), IS_DOUBLE);
						}
#line 7448 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	IF_NOT_ZVAL_TYPE op2_addr, IS_DOUBLE, >9, ZREG_TMP1
						ZEND_ASSERT(Z_MODE(op2_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 52794, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 52798, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 52802, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 52806, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 52810, (ZREG_X15), (Z_REG(op2_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 52815, (ZREG_X15), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)));
						}
						if (IS_DOUBLE == 0) {
					dasm_put(Dst, 52820, (ZREG_X15));
						} else {
					dasm_put(Dst, 52824, (ZREG_X15), IS_DOUBLE);
						}
#line 7450 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			}
			if (!zend_jit_cmp_double_double(Dst, opline, op1_addr, op2_addr, res_addr, smart_branch_opcode, target_label, target_label2, exit_addr)) {
				return 0;
			}
		}
		if (!same_ops && (op2_info & MAY_BE_LONG)) {
			if (op2_info & MAY_BE_DOUBLE) {
				//|.cold_code
				dasm_put(Dst, 52830);
#line 7459 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		    //|3:
		    dasm_put(Dst, 52831);
#line 7461 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (op2_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-(MAY_BE_DOUBLE|MAY_BE_LONG))) {
				//|	IF_NOT_ZVAL_TYPE op2_addr, IS_LONG, >9, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(op2_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 52833, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 52837, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 52841, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 52845, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 52849, (ZREG_X15), (Z_REG(op2_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 52854, (ZREG_X15), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_LONG == 0) {
				dasm_put(Dst, 52859, (ZREG_X15));
					} else {
				dasm_put(Dst, 52863, (ZREG_X15), IS_LONG);
					}
#line 7463 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if (!zend_jit_cmp_double_long(Dst, opline, op1_addr, op2_addr, res_addr, smart_branch_opcode, target_label, target_label2, exit_addr)) {
				return 0;
			}
			if (op2_info & MAY_BE_DOUBLE) {
				//|	b >6
				//|.code
				dasm_put(Dst, 52869);
#line 7470 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
	} else if ((op2_info & MAY_BE_DOUBLE) &&
	           !(op2_info & MAY_BE_LONG) &&
	           (op1_info & (MAY_BE_LONG|MAY_BE_DOUBLE))) {
		if (op2_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-MAY_BE_DOUBLE)) {
			//|	IF_NOT_ZVAL_TYPE op2_addr, IS_DOUBLE, >9, ZREG_TMP1
				ZEND_ASSERT(Z_MODE(op2_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 52872, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 52876, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 52880, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 52884, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 52888, (ZREG_X15), (Z_REG(op2_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 52893, (ZREG_X15), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_DOUBLE == 0) {
			dasm_put(Dst, 52898, (ZREG_X15));
				} else {
			dasm_put(Dst, 52902, (ZREG_X15), IS_DOUBLE);
				}
#line 7477 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (op1_info & MAY_BE_DOUBLE) {
			if (!same_ops && (op1_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-MAY_BE_DOUBLE))) {
				if (!same_ops && (op1_info & MAY_BE_LONG)) {
					//|	IF_NOT_ZVAL_TYPE op1_addr, IS_DOUBLE, >3, ZREG_TMP1
						ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 52908, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 52912, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 52916, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 52920, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 52924, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 52929, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
						}
						if (IS_DOUBLE == 0) {
					dasm_put(Dst, 52934, (ZREG_X15));
						} else {
					dasm_put(Dst, 52938, (ZREG_X15), IS_DOUBLE);
						}
#line 7482 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	IF_NOT_ZVAL_TYPE op1_addr, IS_DOUBLE, >9, ZREG_TMP1
						ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 52944, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 52948, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 52952, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 52956, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 52960, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 52965, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
						}
						if (IS_DOUBLE == 0) {
					dasm_put(Dst, 52970, (ZREG_X15));
						} else {
					dasm_put(Dst, 52974, (ZREG_X15), IS_DOUBLE);
						}
#line 7484 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			}
			if (!zend_jit_cmp_double_double(Dst, opline, op1_addr, op2_addr, res_addr, smart_branch_opcode, target_label, target_label2, exit_addr)) {
				return 0;
			}
		}
		if (!same_ops && (op1_info & MAY_BE_LONG)) {
			if (op1_info & MAY_BE_DOUBLE) {
				//|.cold_code
				dasm_put(Dst, 52980);
#line 7493 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|3:
			dasm_put(Dst, 52981);
#line 7495 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (op1_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-(MAY_BE_DOUBLE|MAY_BE_LONG))) {
				//|	IF_NOT_ZVAL_TYPE op1_addr, IS_LONG, >9, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 52983, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 52987, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 52991, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 52995, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 52999, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 53004, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_LONG == 0) {
				dasm_put(Dst, 53009, (ZREG_X15));
					} else {
				dasm_put(Dst, 53013, (ZREG_X15), IS_LONG);
					}
#line 7497 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if (!zend_jit_cmp_long_double(Dst, opline, op1_addr, op2_addr, res_addr, smart_branch_opcode, target_label, target_label2, exit_addr)) {
				return 0;
			}
			if (op1_info & MAY_BE_DOUBLE) {
				//|	b >6
				//|.code
				dasm_put(Dst, 53019);
#line 7504 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
	}

	if (has_slow ||
	    (op1_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-(MAY_BE_LONG|MAY_BE_DOUBLE))) ||
	    (op2_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-(MAY_BE_LONG|MAY_BE_DOUBLE)))) {
		if (has_slow) {
			//|.cold_code
			dasm_put(Dst, 53022);
#line 7513 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|9:
			dasm_put(Dst, 53023);
#line 7514 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	SET_EX_OPLINE opline, REG0
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 53025, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 53028);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 53030, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 53033, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 53036, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 53039, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 53042, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 53045, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 53048, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 53051, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 53054, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 53057, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 53060, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
#line 7516 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (Z_MODE(op1_addr) == IS_REG) {
			zend_jit_addr real_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op1.var);
			if (!zend_jit_spill_store(Dst, op1_addr, real_addr, op1_info, 1)) {
				return 0;
			}
			op1_addr = real_addr;
		}
		if (Z_MODE(op2_addr) == IS_REG) {
			zend_jit_addr real_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op2.var);
			if (!zend_jit_spill_store(Dst, op2_addr, real_addr, op2_info, 1)) {
				return 0;
			}
			op2_addr = real_addr;
		}
		//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
		dasm_put(Dst, 53063);
			} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 53065, ((uint64_t)(Z_ZV(op1_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 53068, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 53071, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
		dasm_put(Dst, 53074, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
		dasm_put(Dst, 53077, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 53080, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 53083, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 53086, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 53089, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 53092, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (Z_OFFSET(op1_addr)) {
			if (Z_OFFSET(op1_addr) == 0) {
		dasm_put(Dst, 53095, (Z_REG(op1_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
		dasm_put(Dst, 53098, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
			} else {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 53102, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 53105, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 53108, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 53111, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 53114, (Z_REG(op1_addr)));
			}
				} else {
					if (Z_REG(op1_addr) == ZREG_RSP) {
		dasm_put(Dst, 53117);
					} else {
		dasm_put(Dst, 53119, (Z_REG(op1_addr)));
					}
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 7531 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (opline->op1_type == IS_CV && (op1_info & MAY_BE_UNDEF)) {
			//|	IF_NOT_Z_TYPE FCARG1x, IS_UNDEF, >1, TMP1w
			dasm_put(Dst, 53122, offsetof(zval, u1.v.type));
				if (IS_UNDEF == 0) {
			dasm_put(Dst, 53125);
				} else {
			dasm_put(Dst, 53128, IS_UNDEF);
				}
#line 7533 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	LOAD_32BIT_VAL FCARG1x, opline->op1.var
				if (((uint32_t)(opline->op1.var)) <= MOVZ_IMM) {
			dasm_put(Dst, 53133, ((uint32_t)(opline->op1.var)));
				} else if (((uint32_t)(opline->op1.var) & 0xffff)) {
			dasm_put(Dst, 53136, ((uint32_t)(opline->op1.var) & 0xffff));
					if ((((uint32_t)(opline->op1.var) >> 16) & 0xffff)) {
			dasm_put(Dst, 53139, (((uint32_t)(opline->op1.var) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 53142, (((uint32_t)(opline->op1.var) >> 16) & 0xffff));
				}
#line 7534 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	EXT_CALL zend_jit_undefined_op_helper, REG0
				if (arm64_may_use_b(zend_jit_undefined_op_helper)) {
			dasm_put(Dst, 53145, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
				} else {
				if (((uintptr_t)(zend_jit_undefined_op_helper)) == 0) {
			dasm_put(Dst, 53148);
				} else if (((uintptr_t)(zend_jit_undefined_op_helper)) <= MOVZ_IMM) {
			dasm_put(Dst, 53150, ((uint64_t)(zend_jit_undefined_op_helper)));
				} else if (arm64_may_use_adr((void*)(zend_jit_undefined_op_helper))) {
			dasm_put(Dst, 53153, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_undefined_op_helper))) {
			dasm_put(Dst, 53156, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper)))))>>32));
					if (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff) {
			dasm_put(Dst, 53159, (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff) {
			dasm_put(Dst, 53162, ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff));
					if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 53165, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 53168, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 53171, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 53174, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 53177, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
				}
			dasm_put(Dst, 53180);
				}
#line 7535 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	LOAD_ADDR_ZTS FCARG1x, executor_globals, uninitialized_zval
				if (((uintptr_t)(&executor_globals.uninitialized_zval)) == 0) {
			dasm_put(Dst, 53182);
				} else if (((uintptr_t)(&executor_globals.uninitialized_zval)) <= MOVZ_IMM) {
			dasm_put(Dst, 53184, ((uint64_t)(&executor_globals.uninitialized_zval)));
				} else if (arm64_may_use_adr((void*)(&executor_globals.uninitialized_zval))) {
			dasm_put(Dst, 53187, (unsigned int)((ptrdiff_t)(&executor_globals.uninitialized_zval)), (unsigned int)(((ptrdiff_t)(&executor_globals.uninitialized_zval))>>32));
				} else if (arm64_may_use_adrp((void*)(&executor_globals.uninitialized_zval))) {
			dasm_put(Dst, 53190, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.uninitialized_zval))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.uninitialized_zval)))))>>32));
					if (((uintptr_t)(&executor_globals.uninitialized_zval)) & 0xfff) {
			dasm_put(Dst, 53193, (((uintptr_t)(&executor_globals.uninitialized_zval)) & 0xfff));
					}
				} else if ((uintptr_t)(&executor_globals.uninitialized_zval) & 0xffff) {
			dasm_put(Dst, 53196, ((uintptr_t)(&executor_globals.uninitialized_zval) & 0xffff));
					if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff) {
			dasm_put(Dst, 53199, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff));
					}
					if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff) {
			dasm_put(Dst, 53202, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff) {
			dasm_put(Dst, 53205, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff));
					if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff) {
			dasm_put(Dst, 53208, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 53211, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff));
				}
#line 7536 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|1:
			dasm_put(Dst, 53214);
#line 7537 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (opline->op2_type == IS_CV && (op2_info & MAY_BE_UNDEF)) {
			//|	IF_NOT_ZVAL_TYPE op2_addr, IS_UNDEF, >1, ZREG_TMP1
				ZEND_ASSERT(Z_MODE(op2_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 53216, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 53220, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 53224, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 53228, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 53232, (ZREG_X15), (Z_REG(op2_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 53237, (ZREG_X15), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_UNDEF == 0) {
			dasm_put(Dst, 53242, (ZREG_X15));
				} else {
			dasm_put(Dst, 53246, (ZREG_X15), IS_UNDEF);
				}
#line 7540 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	str FCARG1x, T1 // save
			//|	LOAD_32BIT_VAL FCARG1x, opline->op2.var
			dasm_put(Dst, 53252);
				if (((uint32_t)(opline->op2.var)) <= MOVZ_IMM) {
			dasm_put(Dst, 53254, ((uint32_t)(opline->op2.var)));
				} else if (((uint32_t)(opline->op2.var) & 0xffff)) {
			dasm_put(Dst, 53257, ((uint32_t)(opline->op2.var) & 0xffff));
					if ((((uint32_t)(opline->op2.var) >> 16) & 0xffff)) {
			dasm_put(Dst, 53260, (((uint32_t)(opline->op2.var) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 53263, (((uint32_t)(opline->op2.var) >> 16) & 0xffff));
				}
#line 7542 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	EXT_CALL zend_jit_undefined_op_helper, REG0
				if (arm64_may_use_b(zend_jit_undefined_op_helper)) {
			dasm_put(Dst, 53266, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
				} else {
				if (((uintptr_t)(zend_jit_undefined_op_helper)) == 0) {
			dasm_put(Dst, 53269);
				} else if (((uintptr_t)(zend_jit_undefined_op_helper)) <= MOVZ_IMM) {
			dasm_put(Dst, 53271, ((uint64_t)(zend_jit_undefined_op_helper)));
				} else if (arm64_may_use_adr((void*)(zend_jit_undefined_op_helper))) {
			dasm_put(Dst, 53274, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_undefined_op_helper))) {
			dasm_put(Dst, 53277, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper)))))>>32));
					if (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff) {
			dasm_put(Dst, 53280, (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff) {
			dasm_put(Dst, 53283, ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff));
					if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 53286, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 53289, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 53292, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 53295, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 53298, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
				}
			dasm_put(Dst, 53301);
				}
#line 7543 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	ldr FCARG1x, T1 // restore
			//|	LOAD_ADDR_ZTS FCARG2x, executor_globals, uninitialized_zval
			dasm_put(Dst, 53303);
				if (((uintptr_t)(&executor_globals.uninitialized_zval)) == 0) {
			dasm_put(Dst, 53305);
				} else if (((uintptr_t)(&executor_globals.uninitialized_zval)) <= MOVZ_IMM) {
			dasm_put(Dst, 53307, ((uint64_t)(&executor_globals.uninitialized_zval)));
				} else if (arm64_may_use_adr((void*)(&executor_globals.uninitialized_zval))) {
			dasm_put(Dst, 53310, (unsigned int)((ptrdiff_t)(&executor_globals.uninitialized_zval)), (unsigned int)(((ptrdiff_t)(&executor_globals.uninitialized_zval))>>32));
				} else if (arm64_may_use_adrp((void*)(&executor_globals.uninitialized_zval))) {
			dasm_put(Dst, 53313, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.uninitialized_zval))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.uninitialized_zval)))))>>32));
					if (((uintptr_t)(&executor_globals.uninitialized_zval)) & 0xfff) {
			dasm_put(Dst, 53316, (((uintptr_t)(&executor_globals.uninitialized_zval)) & 0xfff));
					}
				} else if ((uintptr_t)(&executor_globals.uninitialized_zval) & 0xffff) {
			dasm_put(Dst, 53319, ((uintptr_t)(&executor_globals.uninitialized_zval) & 0xffff));
					if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff) {
			dasm_put(Dst, 53322, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff));
					}
					if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff) {
			dasm_put(Dst, 53325, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff) {
			dasm_put(Dst, 53328, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff));
					if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff) {
			dasm_put(Dst, 53331, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 53334, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff));
				}
#line 7545 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	b >2
			//|1:
			//|	LOAD_ZVAL_ADDR FCARG2x, op2_addr
			dasm_put(Dst, 53337);
				if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op2_addr))) == 0) {
			dasm_put(Dst, 53341);
				} else if (((uintptr_t)(Z_ZV(op2_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 53343, ((uint64_t)(Z_ZV(op2_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op2_addr)))) {
			dasm_put(Dst, 53346, (unsigned int)((ptrdiff_t)(Z_ZV(op2_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op2_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op2_addr)))) {
			dasm_put(Dst, 53349, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff) {
			dasm_put(Dst, 53352, (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff) {
			dasm_put(Dst, 53355, ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 53358, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 53361, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 53364, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 53367, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 53370, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(op2_addr)) {
				if (Z_OFFSET(op2_addr) == 0) {
			dasm_put(Dst, 53373, (Z_REG(op2_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op2_addr)))) {
			dasm_put(Dst, 53376, (Z_REG(op2_addr)), Z_OFFSET(op2_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 53380, ((uint32_t)(Z_OFFSET(op2_addr))));
				} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
			dasm_put(Dst, 53383, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 53386, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 53389, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 53392, (Z_REG(op2_addr)));
				}
					} else {
						if (Z_REG(op2_addr) == ZREG_RSP) {
			dasm_put(Dst, 53395);
						} else {
			dasm_put(Dst, 53397, (Z_REG(op2_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 7548 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|2:
			dasm_put(Dst, 53400);
#line 7549 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	LOAD_ZVAL_ADDR FCARG2x, op2_addr
				if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op2_addr))) == 0) {
			dasm_put(Dst, 53402);
				} else if (((uintptr_t)(Z_ZV(op2_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 53404, ((uint64_t)(Z_ZV(op2_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op2_addr)))) {
			dasm_put(Dst, 53407, (unsigned int)((ptrdiff_t)(Z_ZV(op2_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op2_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op2_addr)))) {
			dasm_put(Dst, 53410, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff) {
			dasm_put(Dst, 53413, (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff) {
			dasm_put(Dst, 53416, ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 53419, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 53422, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 53425, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 53428, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 53431, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(op2_addr)) {
				if (Z_OFFSET(op2_addr) == 0) {
			dasm_put(Dst, 53434, (Z_REG(op2_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op2_addr)))) {
			dasm_put(Dst, 53437, (Z_REG(op2_addr)), Z_OFFSET(op2_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 53441, ((uint32_t)(Z_OFFSET(op2_addr))));
				} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
			dasm_put(Dst, 53444, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 53447, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 53450, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 53453, (Z_REG(op2_addr)));
				}
					} else {
						if (Z_REG(op2_addr) == ZREG_RSP) {
			dasm_put(Dst, 53456);
						} else {
			dasm_put(Dst, 53458, (Z_REG(op2_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 7551 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	EXT_CALL zend_compare, REG0
			if (arm64_may_use_b(zend_compare)) {
		dasm_put(Dst, 53461, (unsigned int)((ptrdiff_t)(zend_compare)), (unsigned int)(((ptrdiff_t)(zend_compare))>>32));
			} else {
			if (((uintptr_t)(zend_compare)) == 0) {
		dasm_put(Dst, 53464);
			} else if (((uintptr_t)(zend_compare)) <= MOVZ_IMM) {
		dasm_put(Dst, 53466, ((uint64_t)(zend_compare)));
			} else if (arm64_may_use_adr((void*)(zend_compare))) {
		dasm_put(Dst, 53469, (unsigned int)((ptrdiff_t)(zend_compare)), (unsigned int)(((ptrdiff_t)(zend_compare))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_compare))) {
		dasm_put(Dst, 53472, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_compare))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_compare)))))>>32));
				if (((uintptr_t)(zend_compare)) & 0xfff) {
		dasm_put(Dst, 53475, (((uintptr_t)(zend_compare)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_compare) & 0xffff) {
		dasm_put(Dst, 53478, ((uintptr_t)(zend_compare) & 0xffff));
				if (((uintptr_t)(zend_compare) >> 16) & 0xffff) {
		dasm_put(Dst, 53481, (((uintptr_t)(zend_compare) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_compare) >> 32) & 0xffff) {
		dasm_put(Dst, 53484, (((uintptr_t)(zend_compare) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_compare) >> 16) & 0xffff) {
		dasm_put(Dst, 53487, (((uintptr_t)(zend_compare) >> 16) & 0xffff));
				if (((uintptr_t)(zend_compare) >> 32) & 0xffff) {
		dasm_put(Dst, 53490, (((uintptr_t)(zend_compare) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 53493, (((uintptr_t)(zend_compare) >> 32) & 0xffff));
			}
		dasm_put(Dst, 53496);
			}
#line 7553 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if ((opline->opcode != ZEND_CASE &&
		     (opline->op1_type & (IS_VAR|IS_TMP_VAR)) &&
		     (op1_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF))) ||
		    ((opline->op2_type & (IS_VAR|IS_TMP_VAR)) &&
		     (op2_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF)))) {
			//|	str RETVALw, T1 // save
			dasm_put(Dst, 53498);
#line 7559 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (opline->opcode != ZEND_CASE) {
				//|	FREE_OP opline->op1_type, opline->op1, op1_info, 0, NULL, ZREG_TMP1, ZREG_TMP2
					if (opline->op1_type & (IS_VAR|IS_TMP_VAR)) {
						zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op1.var);
					if ((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
						if ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
							if (0) {
					ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
				dasm_put(Dst, 53500, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
					} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
				dasm_put(Dst, 53504, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
				dasm_put(Dst, 53508, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 53512, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 53516, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 53521, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
					}
					if (IS_TYPE_REFCOUNTED == 0) {
				dasm_put(Dst, 53526, (ZREG_X15));
					} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
				dasm_put(Dst, 53529, (ZREG_X15), IS_TYPE_REFCOUNTED);
					} else {
					if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
				dasm_put(Dst, 53533, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
					} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
				dasm_put(Dst, 53537, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
						if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
				dasm_put(Dst, 53541, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 53545, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				dasm_put(Dst, 53549, (ZREG_X15), (ZREG_X16));
					}
				dasm_put(Dst, 53553);
				dasm_put(Dst, 53556);
							} else {
					ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
				dasm_put(Dst, 53558, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
					} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
				dasm_put(Dst, 53562, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
				dasm_put(Dst, 53566, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 53570, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 53574, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 53579, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
					}
					if (IS_TYPE_REFCOUNTED == 0) {
				dasm_put(Dst, 53584, (ZREG_X15));
					} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
				dasm_put(Dst, 53587, (ZREG_X15), IS_TYPE_REFCOUNTED);
					} else {
					if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
				dasm_put(Dst, 53591, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
					} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
				dasm_put(Dst, 53595, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
						if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
				dasm_put(Dst, 53599, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 53603, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				dasm_put(Dst, 53607, (ZREG_X15), (ZREG_X16));
					}
				dasm_put(Dst, 53611);
							}
						}
					ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 53614, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
					} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
				dasm_put(Dst, 53618, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 53622, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 53626, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 53630, (Z_REG(addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 53634, (Z_REG(addr)), (Z_OFFSET(addr)));
					}
				dasm_put(Dst, 53638, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
						if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op1_info)) {
							if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op1_info)) {
								if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
				dasm_put(Dst, 53646);
								} else {
				dasm_put(Dst, 53649);
								}
							}
					do {
						if (!((op1_info) & MAY_BE_GUARD)
						 && has_concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
							zend_uchar type = concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
							if (type == IS_STRING && !ZEND_DEBUG) {
					if (arm64_may_use_b(_efree)) {
				dasm_put(Dst, 53652, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
					} else {
					if (((uintptr_t)(_efree)) == 0) {
				dasm_put(Dst, 53655, (ZREG_X15));
					} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
				dasm_put(Dst, 53658, (ZREG_X15), ((uint64_t)(_efree)));
					} else if (arm64_may_use_adr((void*)(_efree))) {
				dasm_put(Dst, 53662, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
					} else if (arm64_may_use_adrp((void*)(_efree))) {
				dasm_put(Dst, 53666, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
						if (((uintptr_t)(_efree)) & 0xfff) {
				dasm_put(Dst, 53670, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
						}
					} else if ((uintptr_t)(_efree) & 0xffff) {
				dasm_put(Dst, 53675, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
						if (((uintptr_t)(_efree) >> 16) & 0xffff) {
				dasm_put(Dst, 53679, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
						}
						if (((uintptr_t)(_efree) >> 32) & 0xffff) {
				dasm_put(Dst, 53683, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
				dasm_put(Dst, 53687, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
						if (((uintptr_t)(_efree) >> 32) & 0xffff) {
				dasm_put(Dst, 53691, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 53695, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				dasm_put(Dst, 53699, (ZREG_X15));
					}
								break;
							} else if (type == IS_ARRAY) {
								if ((op1_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
									if (NULL && ((op1_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
					if (NULL == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 53702, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(NULL)) == 0) {
				dasm_put(Dst, 53705, (ZREG_X15));
					} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
				dasm_put(Dst, 53708, (ZREG_X15), ((uint64_t)(NULL)));
					} else if (arm64_may_use_adr((void*)(NULL))) {
				dasm_put(Dst, 53712, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
					} else if (arm64_may_use_adrp((void*)(NULL))) {
				dasm_put(Dst, 53716, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
						if (((uintptr_t)(NULL)) & 0xfff) {
				dasm_put(Dst, 53720, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
						}
					} else if ((uintptr_t)(NULL) & 0xffff) {
				dasm_put(Dst, 53725, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
						if (((uintptr_t)(NULL) >> 16) & 0xffff) {
				dasm_put(Dst, 53729, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
						}
						if (((uintptr_t)(NULL) >> 32) & 0xffff) {
				dasm_put(Dst, 53733, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
				dasm_put(Dst, 53737, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
						if (((uintptr_t)(NULL) >> 32) & 0xffff) {
				dasm_put(Dst, 53741, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 53745, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
					}
				dasm_put(Dst, 53749, (ZREG_X15), Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
									}
					if (arm64_may_use_b(zend_array_destroy)) {
				dasm_put(Dst, 53753, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
					} else {
					if (((uintptr_t)(zend_array_destroy)) == 0) {
				dasm_put(Dst, 53756, (ZREG_X15));
					} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
				dasm_put(Dst, 53759, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
					} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
				dasm_put(Dst, 53763, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
				dasm_put(Dst, 53767, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
						if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
				dasm_put(Dst, 53771, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
				dasm_put(Dst, 53776, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
						if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
				dasm_put(Dst, 53780, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
				dasm_put(Dst, 53784, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
				dasm_put(Dst, 53788, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
						if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
				dasm_put(Dst, 53792, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 53796, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				dasm_put(Dst, 53800, (ZREG_X15));
					}
								} else {
					if (arm64_may_use_b(zend_jit_array_free)) {
				dasm_put(Dst, 53803, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
					} else {
					if (((uintptr_t)(zend_jit_array_free)) == 0) {
				dasm_put(Dst, 53806, (ZREG_X15));
					} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
				dasm_put(Dst, 53809, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
					} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
				dasm_put(Dst, 53813, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
				dasm_put(Dst, 53817, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
						if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
				dasm_put(Dst, 53821, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
				dasm_put(Dst, 53826, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
						if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
				dasm_put(Dst, 53830, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
				dasm_put(Dst, 53834, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
				dasm_put(Dst, 53838, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
				dasm_put(Dst, 53842, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 53846, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				dasm_put(Dst, 53850, (ZREG_X15));
					}
								}
								break;
							} else if (type == IS_OBJECT) {
								if (NULL) {
					if (NULL == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 53853, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(NULL)) == 0) {
				dasm_put(Dst, 53856);
					} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
				dasm_put(Dst, 53858, ((uint64_t)(NULL)));
					} else if (arm64_may_use_adr((void*)(NULL))) {
				dasm_put(Dst, 53861, (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
					} else if (arm64_may_use_adrp((void*)(NULL))) {
				dasm_put(Dst, 53864, (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
						if (((uintptr_t)(NULL)) & 0xfff) {
				dasm_put(Dst, 53867, (((uintptr_t)(NULL)) & 0xfff));
						}
					} else if ((uintptr_t)(NULL) & 0xffff) {
				dasm_put(Dst, 53870, ((uintptr_t)(NULL) & 0xffff));
						if (((uintptr_t)(NULL) >> 16) & 0xffff) {
				dasm_put(Dst, 53873, (((uintptr_t)(NULL) >> 16) & 0xffff));
						}
						if (((uintptr_t)(NULL) >> 32) & 0xffff) {
				dasm_put(Dst, 53876, (((uintptr_t)(NULL) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
				dasm_put(Dst, 53879, (((uintptr_t)(NULL) >> 16) & 0xffff));
						if (((uintptr_t)(NULL) >> 32) & 0xffff) {
				dasm_put(Dst, 53882, (((uintptr_t)(NULL) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 53885, (((uintptr_t)(NULL) >> 32) & 0xffff));
					}
				dasm_put(Dst, 53888, Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
								}
					if (arm64_may_use_b(zend_objects_store_del)) {
				dasm_put(Dst, 53891, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
					} else {
					if (((uintptr_t)(zend_objects_store_del)) == 0) {
				dasm_put(Dst, 53894, (ZREG_X15));
					} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
				dasm_put(Dst, 53897, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
					} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
				dasm_put(Dst, 53901, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
				dasm_put(Dst, 53905, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
						if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
				dasm_put(Dst, 53909, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
				dasm_put(Dst, 53914, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
						if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
				dasm_put(Dst, 53918, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
				dasm_put(Dst, 53922, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
				dasm_put(Dst, 53926, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
						if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
				dasm_put(Dst, 53930, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 53934, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				dasm_put(Dst, 53938, (ZREG_X15));
					}
								break;
							}
						}
						if (NULL) {
					if (NULL == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 53941, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(NULL)) == 0) {
				dasm_put(Dst, 53944, (ZREG_X15));
					} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
				dasm_put(Dst, 53947, (ZREG_X15), ((uint64_t)(NULL)));
					} else if (arm64_may_use_adr((void*)(NULL))) {
				dasm_put(Dst, 53951, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
					} else if (arm64_may_use_adrp((void*)(NULL))) {
				dasm_put(Dst, 53955, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
						if (((uintptr_t)(NULL)) & 0xfff) {
				dasm_put(Dst, 53959, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
						}
					} else if ((uintptr_t)(NULL) & 0xffff) {
				dasm_put(Dst, 53964, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
						if (((uintptr_t)(NULL) >> 16) & 0xffff) {
				dasm_put(Dst, 53968, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
						}
						if (((uintptr_t)(NULL) >> 32) & 0xffff) {
				dasm_put(Dst, 53972, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
				dasm_put(Dst, 53976, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
						if (((uintptr_t)(NULL) >> 32) & 0xffff) {
				dasm_put(Dst, 53980, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 53984, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
					}
				dasm_put(Dst, 53988, (ZREG_X15), Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
						}
					if (arm64_may_use_b(rc_dtor_func)) {
				dasm_put(Dst, 53992, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
					} else {
					if (((uintptr_t)(rc_dtor_func)) == 0) {
				dasm_put(Dst, 53995, (ZREG_X15));
					} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
				dasm_put(Dst, 53998, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
					} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
				dasm_put(Dst, 54002, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
					} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
				dasm_put(Dst, 54006, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
						if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
				dasm_put(Dst, 54010, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
						}
					} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
				dasm_put(Dst, 54015, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
						if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
				dasm_put(Dst, 54019, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
						}
						if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
				dasm_put(Dst, 54023, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
				dasm_put(Dst, 54027, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
						if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
				dasm_put(Dst, 54031, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 54035, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				dasm_put(Dst, 54039, (ZREG_X15));
					}
					} while(0);
							if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
				dasm_put(Dst, 54042);
							}
				dasm_put(Dst, 54045);
						}
						if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
							if ((op1_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
								zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
					ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 54047, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 54051, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 54055, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 54059, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 54063, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 54068, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_REFERENCE == 0) {
				dasm_put(Dst, 54073, (ZREG_X15));
					} else {
				dasm_put(Dst, 54077, (ZREG_X15), IS_REFERENCE);
					}
					ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
				dasm_put(Dst, 54083, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
					} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
				dasm_put(Dst, 54087, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
				dasm_put(Dst, 54091, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 54095, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 54099, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 54104, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
					}
					if (IS_TYPE_COLLECTABLE == 0) {
				dasm_put(Dst, 54109, (ZREG_X15));
					} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
				dasm_put(Dst, 54112, (ZREG_X15), IS_TYPE_COLLECTABLE);
					} else {
					if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
				dasm_put(Dst, 54116, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
					} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
				dasm_put(Dst, 54120, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
						if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
				dasm_put(Dst, 54124, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 54128, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
					}
				dasm_put(Dst, 54132, (ZREG_X15), (ZREG_X16));
					}
				dasm_put(Dst, 54136);
					ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 54139, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
					} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
				dasm_put(Dst, 54143, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 54147, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 54151, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 54155, (Z_REG(ref_addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 54159, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
					}
				dasm_put(Dst, 54163);
							}
				dasm_put(Dst, 54165, (ZREG_X15));
					if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
				dasm_put(Dst, 54168, (ZREG_X15));
					} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
				dasm_put(Dst, 54171, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
					} else {
					if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
				dasm_put(Dst, 54175, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
					} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
				dasm_put(Dst, 54179, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
						if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
				dasm_put(Dst, 54183, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 54187, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
					}
				dasm_put(Dst, 54191, (ZREG_X15), (ZREG_X16));
					}
				dasm_put(Dst, 54195);
					if (arm64_may_use_b(gc_possible_root)) {
				dasm_put(Dst, 54198, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
					} else {
					if (((uintptr_t)(gc_possible_root)) == 0) {
				dasm_put(Dst, 54201, (ZREG_X15));
					} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
				dasm_put(Dst, 54204, (ZREG_X15), ((uint64_t)(gc_possible_root)));
					} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
				dasm_put(Dst, 54208, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
					} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
				dasm_put(Dst, 54212, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
						if (((uintptr_t)(gc_possible_root)) & 0xfff) {
				dasm_put(Dst, 54216, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
						}
					} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
				dasm_put(Dst, 54221, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
						if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
				dasm_put(Dst, 54225, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
						}
						if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
				dasm_put(Dst, 54229, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
				dasm_put(Dst, 54233, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
						if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
				dasm_put(Dst, 54237, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 54241, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				dasm_put(Dst, 54245, (ZREG_X15));
					}
						}
						if (0 && ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
				dasm_put(Dst, 54248);
						}
				dasm_put(Dst, 54251);
					}
					}
#line 7561 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	FREE_OP opline->op2_type, opline->op2, op2_info, 0, NULL, ZREG_TMP1, ZREG_TMP2
				if (opline->op2_type & (IS_VAR|IS_TMP_VAR)) {
					zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op2.var);
				if ((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
					if ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
						if (0) {
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 54253, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 54257, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 54261, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 54265, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 54269, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 54274, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_REFCOUNTED == 0) {
			dasm_put(Dst, 54279, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
			dasm_put(Dst, 54282, (ZREG_X15), IS_TYPE_REFCOUNTED);
				} else {
				if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
			dasm_put(Dst, 54286, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
				} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
			dasm_put(Dst, 54290, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
					if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
			dasm_put(Dst, 54294, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 54298, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			dasm_put(Dst, 54302, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 54306);
			dasm_put(Dst, 54309);
						} else {
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 54311, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 54315, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 54319, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 54323, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 54327, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 54332, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_REFCOUNTED == 0) {
			dasm_put(Dst, 54337, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
			dasm_put(Dst, 54340, (ZREG_X15), IS_TYPE_REFCOUNTED);
				} else {
				if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
			dasm_put(Dst, 54344, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
				} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
			dasm_put(Dst, 54348, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
					if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
			dasm_put(Dst, 54352, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 54356, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			dasm_put(Dst, 54360, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 54364);
						}
					}
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 54367, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
				} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
			dasm_put(Dst, 54371, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 54375, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 54379, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 54383, (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 54387, (Z_REG(addr)), (Z_OFFSET(addr)));
				}
			dasm_put(Dst, 54391, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
					if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op2_info)) {
						if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op2_info)) {
							if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
			dasm_put(Dst, 54399);
							} else {
			dasm_put(Dst, 54402);
							}
						}
				do {
					if (!((op2_info) & MAY_BE_GUARD)
					 && has_concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
						zend_uchar type = concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
						if (type == IS_STRING && !ZEND_DEBUG) {
				if (arm64_may_use_b(_efree)) {
			dasm_put(Dst, 54405, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
				} else {
				if (((uintptr_t)(_efree)) == 0) {
			dasm_put(Dst, 54408, (ZREG_X15));
				} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
			dasm_put(Dst, 54411, (ZREG_X15), ((uint64_t)(_efree)));
				} else if (arm64_may_use_adr((void*)(_efree))) {
			dasm_put(Dst, 54415, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
				} else if (arm64_may_use_adrp((void*)(_efree))) {
			dasm_put(Dst, 54419, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
					if (((uintptr_t)(_efree)) & 0xfff) {
			dasm_put(Dst, 54423, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
					}
				} else if ((uintptr_t)(_efree) & 0xffff) {
			dasm_put(Dst, 54428, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
					if (((uintptr_t)(_efree) >> 16) & 0xffff) {
			dasm_put(Dst, 54432, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
					}
					if (((uintptr_t)(_efree) >> 32) & 0xffff) {
			dasm_put(Dst, 54436, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
			dasm_put(Dst, 54440, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
					if (((uintptr_t)(_efree) >> 32) & 0xffff) {
			dasm_put(Dst, 54444, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 54448, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			dasm_put(Dst, 54452, (ZREG_X15));
				}
							break;
						} else if (type == IS_ARRAY) {
							if ((op2_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
								if (NULL && ((op2_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
				if (NULL == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 54455, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(NULL)) == 0) {
			dasm_put(Dst, 54458, (ZREG_X15));
				} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
			dasm_put(Dst, 54461, (ZREG_X15), ((uint64_t)(NULL)));
				} else if (arm64_may_use_adr((void*)(NULL))) {
			dasm_put(Dst, 54465, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
				} else if (arm64_may_use_adrp((void*)(NULL))) {
			dasm_put(Dst, 54469, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
					if (((uintptr_t)(NULL)) & 0xfff) {
			dasm_put(Dst, 54473, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
					}
				} else if ((uintptr_t)(NULL) & 0xffff) {
			dasm_put(Dst, 54478, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
					if (((uintptr_t)(NULL) >> 16) & 0xffff) {
			dasm_put(Dst, 54482, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
					}
					if (((uintptr_t)(NULL) >> 32) & 0xffff) {
			dasm_put(Dst, 54486, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
			dasm_put(Dst, 54490, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
					if (((uintptr_t)(NULL) >> 32) & 0xffff) {
			dasm_put(Dst, 54494, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 54498, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			dasm_put(Dst, 54502, (ZREG_X15), Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
								}
				if (arm64_may_use_b(zend_array_destroy)) {
			dasm_put(Dst, 54506, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
				} else {
				if (((uintptr_t)(zend_array_destroy)) == 0) {
			dasm_put(Dst, 54509, (ZREG_X15));
				} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
			dasm_put(Dst, 54512, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
				} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
			dasm_put(Dst, 54516, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
			dasm_put(Dst, 54520, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
					if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
			dasm_put(Dst, 54524, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
			dasm_put(Dst, 54529, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
					if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
			dasm_put(Dst, 54533, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
			dasm_put(Dst, 54537, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
			dasm_put(Dst, 54541, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
					if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
			dasm_put(Dst, 54545, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 54549, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			dasm_put(Dst, 54553, (ZREG_X15));
				}
							} else {
				if (arm64_may_use_b(zend_jit_array_free)) {
			dasm_put(Dst, 54556, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
				} else {
				if (((uintptr_t)(zend_jit_array_free)) == 0) {
			dasm_put(Dst, 54559, (ZREG_X15));
				} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
			dasm_put(Dst, 54562, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
				} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
			dasm_put(Dst, 54566, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
			dasm_put(Dst, 54570, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
					if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
			dasm_put(Dst, 54574, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
			dasm_put(Dst, 54579, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
					if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
			dasm_put(Dst, 54583, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
			dasm_put(Dst, 54587, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
			dasm_put(Dst, 54591, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
			dasm_put(Dst, 54595, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 54599, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			dasm_put(Dst, 54603, (ZREG_X15));
				}
							}
							break;
						} else if (type == IS_OBJECT) {
							if (NULL) {
				if (NULL == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 54606, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(NULL)) == 0) {
			dasm_put(Dst, 54609);
				} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
			dasm_put(Dst, 54611, ((uint64_t)(NULL)));
				} else if (arm64_may_use_adr((void*)(NULL))) {
			dasm_put(Dst, 54614, (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
				} else if (arm64_may_use_adrp((void*)(NULL))) {
			dasm_put(Dst, 54617, (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
					if (((uintptr_t)(NULL)) & 0xfff) {
			dasm_put(Dst, 54620, (((uintptr_t)(NULL)) & 0xfff));
					}
				} else if ((uintptr_t)(NULL) & 0xffff) {
			dasm_put(Dst, 54623, ((uintptr_t)(NULL) & 0xffff));
					if (((uintptr_t)(NULL) >> 16) & 0xffff) {
			dasm_put(Dst, 54626, (((uintptr_t)(NULL) >> 16) & 0xffff));
					}
					if (((uintptr_t)(NULL) >> 32) & 0xffff) {
			dasm_put(Dst, 54629, (((uintptr_t)(NULL) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
			dasm_put(Dst, 54632, (((uintptr_t)(NULL) >> 16) & 0xffff));
					if (((uintptr_t)(NULL) >> 32) & 0xffff) {
			dasm_put(Dst, 54635, (((uintptr_t)(NULL) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 54638, (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			dasm_put(Dst, 54641, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
							}
				if (arm64_may_use_b(zend_objects_store_del)) {
			dasm_put(Dst, 54644, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
				} else {
				if (((uintptr_t)(zend_objects_store_del)) == 0) {
			dasm_put(Dst, 54647, (ZREG_X15));
				} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
			dasm_put(Dst, 54650, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
				} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
			dasm_put(Dst, 54654, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
			dasm_put(Dst, 54658, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
					if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
			dasm_put(Dst, 54662, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
			dasm_put(Dst, 54667, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
					if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
			dasm_put(Dst, 54671, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
			dasm_put(Dst, 54675, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
			dasm_put(Dst, 54679, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
					if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
			dasm_put(Dst, 54683, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 54687, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			dasm_put(Dst, 54691, (ZREG_X15));
				}
							break;
						}
					}
					if (NULL) {
				if (NULL == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 54694, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(NULL)) == 0) {
			dasm_put(Dst, 54697, (ZREG_X15));
				} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
			dasm_put(Dst, 54700, (ZREG_X15), ((uint64_t)(NULL)));
				} else if (arm64_may_use_adr((void*)(NULL))) {
			dasm_put(Dst, 54704, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
				} else if (arm64_may_use_adrp((void*)(NULL))) {
			dasm_put(Dst, 54708, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
					if (((uintptr_t)(NULL)) & 0xfff) {
			dasm_put(Dst, 54712, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
					}
				} else if ((uintptr_t)(NULL) & 0xffff) {
			dasm_put(Dst, 54717, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
					if (((uintptr_t)(NULL) >> 16) & 0xffff) {
			dasm_put(Dst, 54721, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
					}
					if (((uintptr_t)(NULL) >> 32) & 0xffff) {
			dasm_put(Dst, 54725, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
			dasm_put(Dst, 54729, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
					if (((uintptr_t)(NULL) >> 32) & 0xffff) {
			dasm_put(Dst, 54733, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 54737, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			dasm_put(Dst, 54741, (ZREG_X15), Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
					}
				if (arm64_may_use_b(rc_dtor_func)) {
			dasm_put(Dst, 54745, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
				} else {
				if (((uintptr_t)(rc_dtor_func)) == 0) {
			dasm_put(Dst, 54748, (ZREG_X15));
				} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
			dasm_put(Dst, 54751, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
				} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
			dasm_put(Dst, 54755, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
				} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
			dasm_put(Dst, 54759, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
					if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
			dasm_put(Dst, 54763, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
					}
				} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
			dasm_put(Dst, 54768, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
					if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
			dasm_put(Dst, 54772, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
					}
					if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
			dasm_put(Dst, 54776, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
			dasm_put(Dst, 54780, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
					if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
			dasm_put(Dst, 54784, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 54788, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			dasm_put(Dst, 54792, (ZREG_X15));
				}
				} while(0);
						if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
			dasm_put(Dst, 54795);
						}
			dasm_put(Dst, 54798);
					}
					if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
						if ((op2_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
							zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 54800, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 54804, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 54808, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 54812, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 54816, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 54821, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_REFERENCE == 0) {
			dasm_put(Dst, 54826, (ZREG_X15));
				} else {
			dasm_put(Dst, 54830, (ZREG_X15), IS_REFERENCE);
				}
				ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 54836, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 54840, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 54844, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 54848, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 54852, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 54857, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_COLLECTABLE == 0) {
			dasm_put(Dst, 54862, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
			dasm_put(Dst, 54865, (ZREG_X15), IS_TYPE_COLLECTABLE);
				} else {
				if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
			dasm_put(Dst, 54869, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
				} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
			dasm_put(Dst, 54873, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
					if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
			dasm_put(Dst, 54877, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 54881, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			dasm_put(Dst, 54885, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 54889);
				ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 54892, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
			dasm_put(Dst, 54896, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 54900, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 54904, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 54908, (Z_REG(ref_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 54912, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
				}
			dasm_put(Dst, 54916);
						}
			dasm_put(Dst, 54918, (ZREG_X15));
				if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
			dasm_put(Dst, 54921, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
			dasm_put(Dst, 54924, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
				} else {
				if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
			dasm_put(Dst, 54928, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
				} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
			dasm_put(Dst, 54932, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
					if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
			dasm_put(Dst, 54936, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 54940, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			dasm_put(Dst, 54944, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 54948);
				if (arm64_may_use_b(gc_possible_root)) {
			dasm_put(Dst, 54951, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
				} else {
				if (((uintptr_t)(gc_possible_root)) == 0) {
			dasm_put(Dst, 54954, (ZREG_X15));
				} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
			dasm_put(Dst, 54957, (ZREG_X15), ((uint64_t)(gc_possible_root)));
				} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
			dasm_put(Dst, 54961, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
				} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
			dasm_put(Dst, 54965, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
					if (((uintptr_t)(gc_possible_root)) & 0xfff) {
			dasm_put(Dst, 54969, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
					}
				} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
			dasm_put(Dst, 54974, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
					if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
			dasm_put(Dst, 54978, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
					}
					if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
			dasm_put(Dst, 54982, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
			dasm_put(Dst, 54986, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
					if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
			dasm_put(Dst, 54990, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 54994, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			dasm_put(Dst, 54998, (ZREG_X15));
				}
					}
					if (0 && ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
			dasm_put(Dst, 55001);
					}
			dasm_put(Dst, 55004);
				}
				}
#line 7563 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	ldr RETVALw, T1 // restore
			dasm_put(Dst, 55006);
#line 7564 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (may_throw) {
			zend_jit_check_exception_undef_result(Dst, opline);
		}
		if (!zend_jit_cmp_slow(Dst, opline, res_addr, smart_branch_opcode, target_label, target_label2, exit_addr)) {
			return 0;
		}
		if (has_slow) {
			//|	b >6
			//|.code
			dasm_put(Dst, 55008);
#line 7574 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	//|6:
	dasm_put(Dst, 55011);
#line 7578 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	return 1;
}

static int zend_jit_identical(dasm_State    **Dst,
                              const zend_op  *opline,
                              uint32_t        op1_info,
                              zend_ssa_range *op1_range,
                              zend_jit_addr   op1_addr,
                              uint32_t        op2_info,
                              zend_ssa_range *op2_range,
                              zend_jit_addr   op2_addr,
                              zend_jit_addr   res_addr,
                              int             may_throw,
                              zend_uchar      smart_branch_opcode,
                              uint32_t        target_label,
                              uint32_t        target_label2,
                              const void     *exit_addr,
                              bool            skip_comparison)
{
	uint32_t identical_label = (uint32_t)-1;
	uint32_t not_identical_label = (uint32_t)-1;

	if (smart_branch_opcode && !exit_addr) {
		if (opline->opcode != ZEND_IS_NOT_IDENTICAL) {
			if (smart_branch_opcode == ZEND_JMPZ) {
				not_identical_label = target_label;
			} else if (smart_branch_opcode == ZEND_JMPNZ) {
				identical_label = target_label;
			} else if (smart_branch_opcode == ZEND_JMPZNZ) {
				not_identical_label = target_label;
				identical_label = target_label2;
			} else {
				ZEND_UNREACHABLE();
			}
		} else {
			if (smart_branch_opcode == ZEND_JMPZ) {
				identical_label = target_label;
			} else if (smart_branch_opcode == ZEND_JMPNZ) {
				not_identical_label = target_label;
			} else if (smart_branch_opcode == ZEND_JMPZNZ) {
				identical_label = target_label;
				not_identical_label = target_label2;
			} else {
				ZEND_UNREACHABLE();
			}
		}
	}

	if ((op1_info & (MAY_BE_REF|MAY_BE_ANY|MAY_BE_UNDEF)) == MAY_BE_LONG &&
	    (op2_info & (MAY_BE_REF|MAY_BE_ANY|MAY_BE_UNDEF)) == MAY_BE_LONG) {
		if (!zend_jit_cmp_long_long(Dst, opline, op1_range, op1_addr, op2_range, op2_addr, res_addr, smart_branch_opcode, target_label, target_label2, exit_addr, skip_comparison)) {
			return 0;
		}
		return 1;
	} else if ((op1_info & (MAY_BE_REF|MAY_BE_ANY|MAY_BE_UNDEF)) == MAY_BE_DOUBLE &&
	           (op2_info & (MAY_BE_REF|MAY_BE_ANY|MAY_BE_UNDEF)) == MAY_BE_DOUBLE) {
		if (!zend_jit_cmp_double_double(Dst, opline, op1_addr, op2_addr, res_addr, smart_branch_opcode, target_label, target_label2, exit_addr)) {
			return 0;
		}
		return 1;
	}

	if ((op1_info & MAY_BE_UNDEF) && (op2_info & MAY_BE_UNDEF)) {
		op1_info |= MAY_BE_NULL;
		op2_info |= MAY_BE_NULL;
		//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
		dasm_put(Dst, 55013);
			} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 55015, ((uint64_t)(Z_ZV(op1_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 55018, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 55021, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
		dasm_put(Dst, 55024, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
		dasm_put(Dst, 55027, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 55030, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 55033, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 55036, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 55039, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 55042, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (Z_OFFSET(op1_addr)) {
			if (Z_OFFSET(op1_addr) == 0) {
		dasm_put(Dst, 55045, (Z_REG(op1_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
		dasm_put(Dst, 55048, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
			} else {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 55052, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 55055, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 55058, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 55061, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 55064, (Z_REG(op1_addr)));
			}
				} else {
					if (Z_REG(op1_addr) == ZREG_RSP) {
		dasm_put(Dst, 55067);
					} else {
		dasm_put(Dst, 55069, (Z_REG(op1_addr)));
					}
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 7645 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	IF_Z_TYPE FCARG1x, IS_UNDEF, >1, TMP1w
		dasm_put(Dst, 55072, offsetof(zval, u1.v.type));
			if (IS_UNDEF == 0) {
		dasm_put(Dst, 55075);
			} else {
		dasm_put(Dst, 55078, IS_UNDEF);
			}
#line 7646 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|.cold_code
		dasm_put(Dst, 55083);
#line 7647 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|1:
		//|	// zend_error(E_WARNING, "Undefined variable $%s", ZSTR_VAL(CV_DEF_OF(EX_VAR_TO_NUM(opline->op1.var))));
		//|	SET_EX_OPLINE opline, REG0
		dasm_put(Dst, 55084);
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 55086, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 55089);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 55091, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 55094, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 55097, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 55100, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 55103, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 55106, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 55109, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 55112, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 55115, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 55118, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 55121, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
#line 7650 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	LOAD_32BIT_VAL FCARG1w, opline->op1.var
			if (((uint32_t)(opline->op1.var)) <= MOVZ_IMM) {
		dasm_put(Dst, 55124, ((uint32_t)(opline->op1.var)));
			} else if (((uint32_t)(opline->op1.var) & 0xffff)) {
		dasm_put(Dst, 55127, ((uint32_t)(opline->op1.var) & 0xffff));
				if ((((uint32_t)(opline->op1.var) >> 16) & 0xffff)) {
		dasm_put(Dst, 55130, (((uint32_t)(opline->op1.var) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 55133, (((uint32_t)(opline->op1.var) >> 16) & 0xffff));
			}
#line 7651 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	EXT_CALL zend_jit_undefined_op_helper, REG0
			if (arm64_may_use_b(zend_jit_undefined_op_helper)) {
		dasm_put(Dst, 55136, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
			} else {
			if (((uintptr_t)(zend_jit_undefined_op_helper)) == 0) {
		dasm_put(Dst, 55139);
			} else if (((uintptr_t)(zend_jit_undefined_op_helper)) <= MOVZ_IMM) {
		dasm_put(Dst, 55141, ((uint64_t)(zend_jit_undefined_op_helper)));
			} else if (arm64_may_use_adr((void*)(zend_jit_undefined_op_helper))) {
		dasm_put(Dst, 55144, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_undefined_op_helper))) {
		dasm_put(Dst, 55147, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper)))))>>32));
				if (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff) {
		dasm_put(Dst, 55150, (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff) {
		dasm_put(Dst, 55153, ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff));
				if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
		dasm_put(Dst, 55156, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
		dasm_put(Dst, 55159, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
		dasm_put(Dst, 55162, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
		dasm_put(Dst, 55165, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 55168, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
			}
		dasm_put(Dst, 55171);
			}
#line 7652 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (may_throw) {
			zend_jit_check_exception_undef_result(Dst, opline);
		}
		//|	LOAD_ADDR_ZTS FCARG1x, executor_globals, uninitialized_zval
			if (((uintptr_t)(&executor_globals.uninitialized_zval)) == 0) {
		dasm_put(Dst, 55173);
			} else if (((uintptr_t)(&executor_globals.uninitialized_zval)) <= MOVZ_IMM) {
		dasm_put(Dst, 55175, ((uint64_t)(&executor_globals.uninitialized_zval)));
			} else if (arm64_may_use_adr((void*)(&executor_globals.uninitialized_zval))) {
		dasm_put(Dst, 55178, (unsigned int)((ptrdiff_t)(&executor_globals.uninitialized_zval)), (unsigned int)(((ptrdiff_t)(&executor_globals.uninitialized_zval))>>32));
			} else if (arm64_may_use_adrp((void*)(&executor_globals.uninitialized_zval))) {
		dasm_put(Dst, 55181, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.uninitialized_zval))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.uninitialized_zval)))))>>32));
				if (((uintptr_t)(&executor_globals.uninitialized_zval)) & 0xfff) {
		dasm_put(Dst, 55184, (((uintptr_t)(&executor_globals.uninitialized_zval)) & 0xfff));
				}
			} else if ((uintptr_t)(&executor_globals.uninitialized_zval) & 0xffff) {
		dasm_put(Dst, 55187, ((uintptr_t)(&executor_globals.uninitialized_zval) & 0xffff));
				if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff) {
		dasm_put(Dst, 55190, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff));
				}
				if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff) {
		dasm_put(Dst, 55193, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff) {
		dasm_put(Dst, 55196, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff));
				if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff) {
		dasm_put(Dst, 55199, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 55202, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff));
			}
#line 7656 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	b >1
		//|.code
		dasm_put(Dst, 55205);
#line 7658 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|1:
		//|	LOAD_ZVAL_ADDR FCARG2x, op2_addr
		dasm_put(Dst, 55208);
			if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op2_addr))) == 0) {
		dasm_put(Dst, 55210);
			} else if (((uintptr_t)(Z_ZV(op2_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 55212, ((uint64_t)(Z_ZV(op2_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op2_addr)))) {
		dasm_put(Dst, 55215, (unsigned int)((ptrdiff_t)(Z_ZV(op2_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op2_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op2_addr)))) {
		dasm_put(Dst, 55218, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff) {
		dasm_put(Dst, 55221, (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff) {
		dasm_put(Dst, 55224, ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 55227, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 55230, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 55233, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 55236, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 55239, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
			}
			} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
				if (Z_OFFSET(op2_addr)) {
			if (Z_OFFSET(op2_addr) == 0) {
		dasm_put(Dst, 55242, (Z_REG(op2_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op2_addr)))) {
		dasm_put(Dst, 55245, (Z_REG(op2_addr)), Z_OFFSET(op2_addr));
			} else {
			if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 55249, ((uint32_t)(Z_OFFSET(op2_addr))));
			} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
		dasm_put(Dst, 55252, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 55255, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 55258, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 55261, (Z_REG(op2_addr)));
			}
				} else {
					if (Z_REG(op2_addr) == ZREG_RSP) {
		dasm_put(Dst, 55264);
					} else {
		dasm_put(Dst, 55266, (Z_REG(op2_addr)));
					}
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 7660 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	IF_Z_TYPE FCARG2x, IS_UNDEF, >1, TMP1w
		dasm_put(Dst, 55269, offsetof(zval, u1.v.type));
			if (IS_UNDEF == 0) {
		dasm_put(Dst, 55272);
			} else {
		dasm_put(Dst, 55275, IS_UNDEF);
			}
#line 7661 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|.cold_code
		dasm_put(Dst, 55280);
#line 7662 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|1:
		//|	// zend_error(E_WARNING, "Undefined variable $%s", ZSTR_VAL(CV_DEF_OF(EX_VAR_TO_NUM(opline->op1.var))));
		//|	SET_EX_OPLINE opline, REG0
		dasm_put(Dst, 55281);
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 55283, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 55286);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 55288, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 55291, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 55294, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 55297, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 55300, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 55303, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 55306, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 55309, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 55312, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 55315, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 55318, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
#line 7665 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	str FCARG1x, T1 // save
		//|	LOAD_32BIT_VAL FCARG1w, opline->op2.var
		dasm_put(Dst, 55321);
			if (((uint32_t)(opline->op2.var)) <= MOVZ_IMM) {
		dasm_put(Dst, 55323, ((uint32_t)(opline->op2.var)));
			} else if (((uint32_t)(opline->op2.var) & 0xffff)) {
		dasm_put(Dst, 55326, ((uint32_t)(opline->op2.var) & 0xffff));
				if ((((uint32_t)(opline->op2.var) >> 16) & 0xffff)) {
		dasm_put(Dst, 55329, (((uint32_t)(opline->op2.var) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 55332, (((uint32_t)(opline->op2.var) >> 16) & 0xffff));
			}
#line 7667 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	EXT_CALL zend_jit_undefined_op_helper, REG0
			if (arm64_may_use_b(zend_jit_undefined_op_helper)) {
		dasm_put(Dst, 55335, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
			} else {
			if (((uintptr_t)(zend_jit_undefined_op_helper)) == 0) {
		dasm_put(Dst, 55338);
			} else if (((uintptr_t)(zend_jit_undefined_op_helper)) <= MOVZ_IMM) {
		dasm_put(Dst, 55340, ((uint64_t)(zend_jit_undefined_op_helper)));
			} else if (arm64_may_use_adr((void*)(zend_jit_undefined_op_helper))) {
		dasm_put(Dst, 55343, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_undefined_op_helper))) {
		dasm_put(Dst, 55346, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper)))))>>32));
				if (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff) {
		dasm_put(Dst, 55349, (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff) {
		dasm_put(Dst, 55352, ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff));
				if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
		dasm_put(Dst, 55355, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
		dasm_put(Dst, 55358, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
		dasm_put(Dst, 55361, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
		dasm_put(Dst, 55364, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 55367, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
			}
		dasm_put(Dst, 55370);
			}
#line 7668 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (may_throw) {
			zend_jit_check_exception_undef_result(Dst, opline);
		}
		//|	ldr FCARG1x, T1 // restore
		//|	LOAD_ADDR_ZTS FCARG2x, executor_globals, uninitialized_zval
		dasm_put(Dst, 55372);
			if (((uintptr_t)(&executor_globals.uninitialized_zval)) == 0) {
		dasm_put(Dst, 55374);
			} else if (((uintptr_t)(&executor_globals.uninitialized_zval)) <= MOVZ_IMM) {
		dasm_put(Dst, 55376, ((uint64_t)(&executor_globals.uninitialized_zval)));
			} else if (arm64_may_use_adr((void*)(&executor_globals.uninitialized_zval))) {
		dasm_put(Dst, 55379, (unsigned int)((ptrdiff_t)(&executor_globals.uninitialized_zval)), (unsigned int)(((ptrdiff_t)(&executor_globals.uninitialized_zval))>>32));
			} else if (arm64_may_use_adrp((void*)(&executor_globals.uninitialized_zval))) {
		dasm_put(Dst, 55382, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.uninitialized_zval))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.uninitialized_zval)))))>>32));
				if (((uintptr_t)(&executor_globals.uninitialized_zval)) & 0xfff) {
		dasm_put(Dst, 55385, (((uintptr_t)(&executor_globals.uninitialized_zval)) & 0xfff));
				}
			} else if ((uintptr_t)(&executor_globals.uninitialized_zval) & 0xffff) {
		dasm_put(Dst, 55388, ((uintptr_t)(&executor_globals.uninitialized_zval) & 0xffff));
				if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff) {
		dasm_put(Dst, 55391, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff));
				}
				if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff) {
		dasm_put(Dst, 55394, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff) {
		dasm_put(Dst, 55397, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff));
				if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff) {
		dasm_put(Dst, 55400, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 55403, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff));
			}
#line 7673 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	b >1
		//|.code
		dasm_put(Dst, 55406);
#line 7675 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|1:
		dasm_put(Dst, 55409);
#line 7676 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else if (op1_info & MAY_BE_UNDEF) {
		op1_info |= MAY_BE_NULL;
		//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
		dasm_put(Dst, 55411);
			} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 55413, ((uint64_t)(Z_ZV(op1_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 55416, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 55419, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
		dasm_put(Dst, 55422, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
		dasm_put(Dst, 55425, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 55428, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 55431, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 55434, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 55437, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 55440, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (Z_OFFSET(op1_addr)) {
			if (Z_OFFSET(op1_addr) == 0) {
		dasm_put(Dst, 55443, (Z_REG(op1_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
		dasm_put(Dst, 55446, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
			} else {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 55450, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 55453, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 55456, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 55459, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 55462, (Z_REG(op1_addr)));
			}
				} else {
					if (Z_REG(op1_addr) == ZREG_RSP) {
		dasm_put(Dst, 55465);
					} else {
		dasm_put(Dst, 55467, (Z_REG(op1_addr)));
					}
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 7679 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	IF_Z_TYPE FCARG1x, IS_UNDEF, >1, TMP1w
		dasm_put(Dst, 55470, offsetof(zval, u1.v.type));
			if (IS_UNDEF == 0) {
		dasm_put(Dst, 55473);
			} else {
		dasm_put(Dst, 55476, IS_UNDEF);
			}
#line 7680 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|.cold_code
		dasm_put(Dst, 55481);
#line 7681 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|1:
		//|	// zend_error(E_WARNING, "Undefined variable $%s", ZSTR_VAL(CV_DEF_OF(EX_VAR_TO_NUM(opline->op1.var))));
		//|	SET_EX_OPLINE opline, REG0
		dasm_put(Dst, 55482);
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 55484, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 55487);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 55489, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 55492, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 55495, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 55498, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 55501, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 55504, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 55507, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 55510, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 55513, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 55516, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 55519, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
#line 7684 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	LOAD_32BIT_VAL FCARG1w, opline->op1.var
			if (((uint32_t)(opline->op1.var)) <= MOVZ_IMM) {
		dasm_put(Dst, 55522, ((uint32_t)(opline->op1.var)));
			} else if (((uint32_t)(opline->op1.var) & 0xffff)) {
		dasm_put(Dst, 55525, ((uint32_t)(opline->op1.var) & 0xffff));
				if ((((uint32_t)(opline->op1.var) >> 16) & 0xffff)) {
		dasm_put(Dst, 55528, (((uint32_t)(opline->op1.var) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 55531, (((uint32_t)(opline->op1.var) >> 16) & 0xffff));
			}
#line 7685 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	EXT_CALL zend_jit_undefined_op_helper, REG0
			if (arm64_may_use_b(zend_jit_undefined_op_helper)) {
		dasm_put(Dst, 55534, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
			} else {
			if (((uintptr_t)(zend_jit_undefined_op_helper)) == 0) {
		dasm_put(Dst, 55537);
			} else if (((uintptr_t)(zend_jit_undefined_op_helper)) <= MOVZ_IMM) {
		dasm_put(Dst, 55539, ((uint64_t)(zend_jit_undefined_op_helper)));
			} else if (arm64_may_use_adr((void*)(zend_jit_undefined_op_helper))) {
		dasm_put(Dst, 55542, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_undefined_op_helper))) {
		dasm_put(Dst, 55545, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper)))))>>32));
				if (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff) {
		dasm_put(Dst, 55548, (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff) {
		dasm_put(Dst, 55551, ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff));
				if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
		dasm_put(Dst, 55554, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
		dasm_put(Dst, 55557, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
		dasm_put(Dst, 55560, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
		dasm_put(Dst, 55563, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 55566, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
			}
		dasm_put(Dst, 55569);
			}
#line 7686 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (may_throw) {
			zend_jit_check_exception_undef_result(Dst, opline);
		}
		//|	LOAD_ADDR_ZTS FCARG1x, executor_globals, uninitialized_zval
			if (((uintptr_t)(&executor_globals.uninitialized_zval)) == 0) {
		dasm_put(Dst, 55571);
			} else if (((uintptr_t)(&executor_globals.uninitialized_zval)) <= MOVZ_IMM) {
		dasm_put(Dst, 55573, ((uint64_t)(&executor_globals.uninitialized_zval)));
			} else if (arm64_may_use_adr((void*)(&executor_globals.uninitialized_zval))) {
		dasm_put(Dst, 55576, (unsigned int)((ptrdiff_t)(&executor_globals.uninitialized_zval)), (unsigned int)(((ptrdiff_t)(&executor_globals.uninitialized_zval))>>32));
			} else if (arm64_may_use_adrp((void*)(&executor_globals.uninitialized_zval))) {
		dasm_put(Dst, 55579, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.uninitialized_zval))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.uninitialized_zval)))))>>32));
				if (((uintptr_t)(&executor_globals.uninitialized_zval)) & 0xfff) {
		dasm_put(Dst, 55582, (((uintptr_t)(&executor_globals.uninitialized_zval)) & 0xfff));
				}
			} else if ((uintptr_t)(&executor_globals.uninitialized_zval) & 0xffff) {
		dasm_put(Dst, 55585, ((uintptr_t)(&executor_globals.uninitialized_zval) & 0xffff));
				if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff) {
		dasm_put(Dst, 55588, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff));
				}
				if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff) {
		dasm_put(Dst, 55591, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff) {
		dasm_put(Dst, 55594, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff));
				if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff) {
		dasm_put(Dst, 55597, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 55600, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff));
			}
#line 7690 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	b >1
		//|.code
		dasm_put(Dst, 55603);
#line 7692 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|1:
		dasm_put(Dst, 55606);
#line 7693 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (opline->op2_type != IS_CONST) {
			//|	LOAD_ZVAL_ADDR FCARG2x, op2_addr
				if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op2_addr))) == 0) {
			dasm_put(Dst, 55608);
				} else if (((uintptr_t)(Z_ZV(op2_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 55610, ((uint64_t)(Z_ZV(op2_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op2_addr)))) {
			dasm_put(Dst, 55613, (unsigned int)((ptrdiff_t)(Z_ZV(op2_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op2_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op2_addr)))) {
			dasm_put(Dst, 55616, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff) {
			dasm_put(Dst, 55619, (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff) {
			dasm_put(Dst, 55622, ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 55625, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 55628, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 55631, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 55634, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 55637, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(op2_addr)) {
				if (Z_OFFSET(op2_addr) == 0) {
			dasm_put(Dst, 55640, (Z_REG(op2_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op2_addr)))) {
			dasm_put(Dst, 55643, (Z_REG(op2_addr)), Z_OFFSET(op2_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 55647, ((uint32_t)(Z_OFFSET(op2_addr))));
				} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
			dasm_put(Dst, 55650, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 55653, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 55656, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 55659, (Z_REG(op2_addr)));
				}
					} else {
						if (Z_REG(op2_addr) == ZREG_RSP) {
			dasm_put(Dst, 55662);
						} else {
			dasm_put(Dst, 55664, (Z_REG(op2_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 7695 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else if (op2_info & MAY_BE_UNDEF) {
		op2_info |= MAY_BE_NULL;
		//|	LOAD_ZVAL_ADDR FCARG2x, op2_addr
			if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op2_addr))) == 0) {
		dasm_put(Dst, 55667);
			} else if (((uintptr_t)(Z_ZV(op2_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 55669, ((uint64_t)(Z_ZV(op2_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op2_addr)))) {
		dasm_put(Dst, 55672, (unsigned int)((ptrdiff_t)(Z_ZV(op2_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op2_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op2_addr)))) {
		dasm_put(Dst, 55675, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff) {
		dasm_put(Dst, 55678, (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff) {
		dasm_put(Dst, 55681, ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 55684, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 55687, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 55690, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 55693, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 55696, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
			}
			} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
				if (Z_OFFSET(op2_addr)) {
			if (Z_OFFSET(op2_addr) == 0) {
		dasm_put(Dst, 55699, (Z_REG(op2_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op2_addr)))) {
		dasm_put(Dst, 55702, (Z_REG(op2_addr)), Z_OFFSET(op2_addr));
			} else {
			if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 55706, ((uint32_t)(Z_OFFSET(op2_addr))));
			} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
		dasm_put(Dst, 55709, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 55712, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 55715, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 55718, (Z_REG(op2_addr)));
			}
				} else {
					if (Z_REG(op2_addr) == ZREG_RSP) {
		dasm_put(Dst, 55721);
					} else {
		dasm_put(Dst, 55723, (Z_REG(op2_addr)));
					}
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 7699 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	IF_Z_TYPE FCARG2x, IS_UNDEF, >1, TMP1w
		dasm_put(Dst, 55726, offsetof(zval, u1.v.type));
			if (IS_UNDEF == 0) {
		dasm_put(Dst, 55729);
			} else {
		dasm_put(Dst, 55732, IS_UNDEF);
			}
#line 7700 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|.cold_code
		dasm_put(Dst, 55737);
#line 7701 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|1:
		//|	// zend_error(E_WARNING, "Undefined variable $%s", ZSTR_VAL(CV_DEF_OF(EX_VAR_TO_NUM(opline->op1.var))));
		//|	SET_EX_OPLINE opline, REG0
		dasm_put(Dst, 55738);
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 55740, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 55743);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 55745, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 55748, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 55751, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 55754, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 55757, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 55760, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 55763, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 55766, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 55769, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 55772, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 55775, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
#line 7704 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	LOAD_32BIT_VAL FCARG1w, opline->op2.var
			if (((uint32_t)(opline->op2.var)) <= MOVZ_IMM) {
		dasm_put(Dst, 55778, ((uint32_t)(opline->op2.var)));
			} else if (((uint32_t)(opline->op2.var) & 0xffff)) {
		dasm_put(Dst, 55781, ((uint32_t)(opline->op2.var) & 0xffff));
				if ((((uint32_t)(opline->op2.var) >> 16) & 0xffff)) {
		dasm_put(Dst, 55784, (((uint32_t)(opline->op2.var) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 55787, (((uint32_t)(opline->op2.var) >> 16) & 0xffff));
			}
#line 7705 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	EXT_CALL zend_jit_undefined_op_helper, REG0
			if (arm64_may_use_b(zend_jit_undefined_op_helper)) {
		dasm_put(Dst, 55790, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
			} else {
			if (((uintptr_t)(zend_jit_undefined_op_helper)) == 0) {
		dasm_put(Dst, 55793);
			} else if (((uintptr_t)(zend_jit_undefined_op_helper)) <= MOVZ_IMM) {
		dasm_put(Dst, 55795, ((uint64_t)(zend_jit_undefined_op_helper)));
			} else if (arm64_may_use_adr((void*)(zend_jit_undefined_op_helper))) {
		dasm_put(Dst, 55798, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_undefined_op_helper))) {
		dasm_put(Dst, 55801, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper)))))>>32));
				if (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff) {
		dasm_put(Dst, 55804, (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff) {
		dasm_put(Dst, 55807, ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff));
				if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
		dasm_put(Dst, 55810, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
		dasm_put(Dst, 55813, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
		dasm_put(Dst, 55816, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
		dasm_put(Dst, 55819, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 55822, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
			}
		dasm_put(Dst, 55825);
			}
#line 7706 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (may_throw) {
			zend_jit_check_exception_undef_result(Dst, opline);
		}
		//|	LOAD_ADDR_ZTS FCARG2x, executor_globals, uninitialized_zval
			if (((uintptr_t)(&executor_globals.uninitialized_zval)) == 0) {
		dasm_put(Dst, 55827);
			} else if (((uintptr_t)(&executor_globals.uninitialized_zval)) <= MOVZ_IMM) {
		dasm_put(Dst, 55829, ((uint64_t)(&executor_globals.uninitialized_zval)));
			} else if (arm64_may_use_adr((void*)(&executor_globals.uninitialized_zval))) {
		dasm_put(Dst, 55832, (unsigned int)((ptrdiff_t)(&executor_globals.uninitialized_zval)), (unsigned int)(((ptrdiff_t)(&executor_globals.uninitialized_zval))>>32));
			} else if (arm64_may_use_adrp((void*)(&executor_globals.uninitialized_zval))) {
		dasm_put(Dst, 55835, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.uninitialized_zval))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.uninitialized_zval)))))>>32));
				if (((uintptr_t)(&executor_globals.uninitialized_zval)) & 0xfff) {
		dasm_put(Dst, 55838, (((uintptr_t)(&executor_globals.uninitialized_zval)) & 0xfff));
				}
			} else if ((uintptr_t)(&executor_globals.uninitialized_zval) & 0xffff) {
		dasm_put(Dst, 55841, ((uintptr_t)(&executor_globals.uninitialized_zval) & 0xffff));
				if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff) {
		dasm_put(Dst, 55844, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff));
				}
				if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff) {
		dasm_put(Dst, 55847, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff) {
		dasm_put(Dst, 55850, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff));
				if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff) {
		dasm_put(Dst, 55853, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 55856, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff));
			}
#line 7710 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	b >1
		//|.code
		dasm_put(Dst, 55859);
#line 7712 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|1:
		dasm_put(Dst, 55862);
#line 7713 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (opline->op1_type != IS_CONST) {
			//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
			dasm_put(Dst, 55864);
				} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 55866, ((uint64_t)(Z_ZV(op1_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 55869, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 55872, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
			dasm_put(Dst, 55875, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
			dasm_put(Dst, 55878, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 55881, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 55884, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 55887, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 55890, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 55893, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(op1_addr)) {
				if (Z_OFFSET(op1_addr) == 0) {
			dasm_put(Dst, 55896, (Z_REG(op1_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
			dasm_put(Dst, 55899, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 55903, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 55906, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 55909, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 55912, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 55915, (Z_REG(op1_addr)));
				}
					} else {
						if (Z_REG(op1_addr) == ZREG_RSP) {
			dasm_put(Dst, 55918);
						} else {
			dasm_put(Dst, 55920, (Z_REG(op1_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 7715 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else if ((op1_info & op2_info & MAY_BE_ANY) != 0) {
		if (opline->op1_type != IS_CONST) {
			if (Z_MODE(op1_addr) == IS_REG) {
				zend_jit_addr real_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op1.var);
				if (!zend_jit_spill_store(Dst, op1_addr, real_addr, op1_info, 1)) {
					return 0;
				}
				op1_addr = real_addr;
			}
		}
		if (opline->op2_type != IS_CONST) {
			if (Z_MODE(op2_addr) == IS_REG) {
				zend_jit_addr real_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op2.var);
				if (!zend_jit_spill_store(Dst, op2_addr, real_addr, op2_info, 1)) {
					return 0;
				}
				op2_addr = real_addr;
			}
			//|	LOAD_ZVAL_ADDR FCARG2x, op2_addr
				if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op2_addr))) == 0) {
			dasm_put(Dst, 55923);
				} else if (((uintptr_t)(Z_ZV(op2_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 55925, ((uint64_t)(Z_ZV(op2_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op2_addr)))) {
			dasm_put(Dst, 55928, (unsigned int)((ptrdiff_t)(Z_ZV(op2_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op2_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op2_addr)))) {
			dasm_put(Dst, 55931, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff) {
			dasm_put(Dst, 55934, (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff) {
			dasm_put(Dst, 55937, ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 55940, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 55943, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 55946, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 55949, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 55952, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(op2_addr)) {
				if (Z_OFFSET(op2_addr) == 0) {
			dasm_put(Dst, 55955, (Z_REG(op2_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op2_addr)))) {
			dasm_put(Dst, 55958, (Z_REG(op2_addr)), Z_OFFSET(op2_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 55962, ((uint32_t)(Z_OFFSET(op2_addr))));
				} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
			dasm_put(Dst, 55965, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 55968, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 55971, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 55974, (Z_REG(op2_addr)));
				}
					} else {
						if (Z_REG(op2_addr) == ZREG_RSP) {
			dasm_put(Dst, 55977);
						} else {
			dasm_put(Dst, 55979, (Z_REG(op2_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 7735 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (opline->op1_type != IS_CONST) {
			//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
			dasm_put(Dst, 55982);
				} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 55984, ((uint64_t)(Z_ZV(op1_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 55987, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 55990, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
			dasm_put(Dst, 55993, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
			dasm_put(Dst, 55996, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 55999, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 56002, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 56005, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 56008, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 56011, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(op1_addr)) {
				if (Z_OFFSET(op1_addr) == 0) {
			dasm_put(Dst, 56014, (Z_REG(op1_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
			dasm_put(Dst, 56017, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 56021, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 56024, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 56027, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 56030, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 56033, (Z_REG(op1_addr)));
				}
					} else {
						if (Z_REG(op1_addr) == ZREG_RSP) {
			dasm_put(Dst, 56036);
						} else {
			dasm_put(Dst, 56038, (Z_REG(op1_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 7738 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	if ((op1_info & op2_info & MAY_BE_ANY) == 0) {
		if ((opline->opcode != ZEND_CASE_STRICT &&
		     (opline->op1_type & (IS_VAR|IS_TMP_VAR)) &&
		     (op1_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF))) ||
		    ((opline->op2_type & (IS_VAR|IS_TMP_VAR)) &&
		     (op2_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF)))) {
			if (opline->opcode != ZEND_CASE_STRICT) {
				//|	FREE_OP opline->op1_type, opline->op1, op1_info, 1, opline, ZREG_TMP1, ZREG_TMP2
					if (opline->op1_type & (IS_VAR|IS_TMP_VAR)) {
						zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op1.var);
					if ((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
						if ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
							if (1) {
					ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
				dasm_put(Dst, 56041, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
					} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
				dasm_put(Dst, 56045, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
				dasm_put(Dst, 56049, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 56053, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 56057, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 56062, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
					}
					if (IS_TYPE_REFCOUNTED == 0) {
				dasm_put(Dst, 56067, (ZREG_X15));
					} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
				dasm_put(Dst, 56070, (ZREG_X15), IS_TYPE_REFCOUNTED);
					} else {
					if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
				dasm_put(Dst, 56074, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
					} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
				dasm_put(Dst, 56078, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
						if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
				dasm_put(Dst, 56082, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 56086, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				dasm_put(Dst, 56090, (ZREG_X15), (ZREG_X16));
					}
				dasm_put(Dst, 56094);
				dasm_put(Dst, 56097);
							} else {
					ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
				dasm_put(Dst, 56099, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
					} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
				dasm_put(Dst, 56103, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
				dasm_put(Dst, 56107, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 56111, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 56115, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 56120, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
					}
					if (IS_TYPE_REFCOUNTED == 0) {
				dasm_put(Dst, 56125, (ZREG_X15));
					} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
				dasm_put(Dst, 56128, (ZREG_X15), IS_TYPE_REFCOUNTED);
					} else {
					if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
				dasm_put(Dst, 56132, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
					} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
				dasm_put(Dst, 56136, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
						if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
				dasm_put(Dst, 56140, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 56144, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				dasm_put(Dst, 56148, (ZREG_X15), (ZREG_X16));
					}
				dasm_put(Dst, 56152);
							}
						}
					ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 56155, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
					} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
				dasm_put(Dst, 56159, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 56163, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 56167, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 56171, (Z_REG(addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 56175, (Z_REG(addr)), (Z_OFFSET(addr)));
					}
				dasm_put(Dst, 56179, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
						if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op1_info)) {
							if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op1_info)) {
								if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
				dasm_put(Dst, 56187);
								} else {
				dasm_put(Dst, 56190);
								}
							}
					do {
						if (!((op1_info) & MAY_BE_GUARD)
						 && has_concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
							zend_uchar type = concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
							if (type == IS_STRING && !ZEND_DEBUG) {
					if (arm64_may_use_b(_efree)) {
				dasm_put(Dst, 56193, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
					} else {
					if (((uintptr_t)(_efree)) == 0) {
				dasm_put(Dst, 56196, (ZREG_X15));
					} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
				dasm_put(Dst, 56199, (ZREG_X15), ((uint64_t)(_efree)));
					} else if (arm64_may_use_adr((void*)(_efree))) {
				dasm_put(Dst, 56203, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
					} else if (arm64_may_use_adrp((void*)(_efree))) {
				dasm_put(Dst, 56207, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
						if (((uintptr_t)(_efree)) & 0xfff) {
				dasm_put(Dst, 56211, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
						}
					} else if ((uintptr_t)(_efree) & 0xffff) {
				dasm_put(Dst, 56216, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
						if (((uintptr_t)(_efree) >> 16) & 0xffff) {
				dasm_put(Dst, 56220, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
						}
						if (((uintptr_t)(_efree) >> 32) & 0xffff) {
				dasm_put(Dst, 56224, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
				dasm_put(Dst, 56228, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
						if (((uintptr_t)(_efree) >> 32) & 0xffff) {
				dasm_put(Dst, 56232, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 56236, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				dasm_put(Dst, 56240, (ZREG_X15));
					}
								break;
							} else if (type == IS_ARRAY) {
								if ((op1_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
									if (opline && ((op1_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 56243, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 56246, (ZREG_X15));
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 56249, (ZREG_X15), ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 56253, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 56257, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 56261, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 56266, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 56270, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 56274, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 56278, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 56282, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 56286, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 56290, (ZREG_X15), Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
									}
					if (arm64_may_use_b(zend_array_destroy)) {
				dasm_put(Dst, 56294, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
					} else {
					if (((uintptr_t)(zend_array_destroy)) == 0) {
				dasm_put(Dst, 56297, (ZREG_X15));
					} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
				dasm_put(Dst, 56300, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
					} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
				dasm_put(Dst, 56304, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
				dasm_put(Dst, 56308, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
						if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
				dasm_put(Dst, 56312, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
				dasm_put(Dst, 56317, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
						if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
				dasm_put(Dst, 56321, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
				dasm_put(Dst, 56325, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
				dasm_put(Dst, 56329, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
						if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
				dasm_put(Dst, 56333, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 56337, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				dasm_put(Dst, 56341, (ZREG_X15));
					}
								} else {
					if (arm64_may_use_b(zend_jit_array_free)) {
				dasm_put(Dst, 56344, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
					} else {
					if (((uintptr_t)(zend_jit_array_free)) == 0) {
				dasm_put(Dst, 56347, (ZREG_X15));
					} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
				dasm_put(Dst, 56350, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
					} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
				dasm_put(Dst, 56354, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
				dasm_put(Dst, 56358, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
						if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
				dasm_put(Dst, 56362, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
				dasm_put(Dst, 56367, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
						if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
				dasm_put(Dst, 56371, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
				dasm_put(Dst, 56375, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
				dasm_put(Dst, 56379, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
				dasm_put(Dst, 56383, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 56387, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				dasm_put(Dst, 56391, (ZREG_X15));
					}
								}
								break;
							} else if (type == IS_OBJECT) {
								if (opline) {
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 56394, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 56397);
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 56399, ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 56402, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 56405, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 56408, (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 56411, ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 56414, (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 56417, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 56420, (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 56423, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 56426, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 56429, Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
								}
					if (arm64_may_use_b(zend_objects_store_del)) {
				dasm_put(Dst, 56432, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
					} else {
					if (((uintptr_t)(zend_objects_store_del)) == 0) {
				dasm_put(Dst, 56435, (ZREG_X15));
					} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
				dasm_put(Dst, 56438, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
					} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
				dasm_put(Dst, 56442, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
				dasm_put(Dst, 56446, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
						if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
				dasm_put(Dst, 56450, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
				dasm_put(Dst, 56455, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
						if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
				dasm_put(Dst, 56459, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
				dasm_put(Dst, 56463, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
				dasm_put(Dst, 56467, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
						if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
				dasm_put(Dst, 56471, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 56475, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				dasm_put(Dst, 56479, (ZREG_X15));
					}
								break;
							}
						}
						if (opline) {
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 56482, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 56485, (ZREG_X15));
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 56488, (ZREG_X15), ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 56492, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 56496, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 56500, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 56505, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 56509, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 56513, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 56517, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 56521, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 56525, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 56529, (ZREG_X15), Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
						}
					if (arm64_may_use_b(rc_dtor_func)) {
				dasm_put(Dst, 56533, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
					} else {
					if (((uintptr_t)(rc_dtor_func)) == 0) {
				dasm_put(Dst, 56536, (ZREG_X15));
					} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
				dasm_put(Dst, 56539, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
					} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
				dasm_put(Dst, 56543, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
					} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
				dasm_put(Dst, 56547, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
						if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
				dasm_put(Dst, 56551, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
						}
					} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
				dasm_put(Dst, 56556, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
						if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
				dasm_put(Dst, 56560, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
						}
						if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
				dasm_put(Dst, 56564, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
				dasm_put(Dst, 56568, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
						if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
				dasm_put(Dst, 56572, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 56576, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				dasm_put(Dst, 56580, (ZREG_X15));
					}
					} while(0);
							if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
				dasm_put(Dst, 56583);
							}
				dasm_put(Dst, 56586);
						}
						if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
							if ((op1_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
								zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
					ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 56588, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 56592, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 56596, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 56600, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 56604, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 56609, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_REFERENCE == 0) {
				dasm_put(Dst, 56614, (ZREG_X15));
					} else {
				dasm_put(Dst, 56618, (ZREG_X15), IS_REFERENCE);
					}
					ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
				dasm_put(Dst, 56624, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
					} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
				dasm_put(Dst, 56628, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
				dasm_put(Dst, 56632, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 56636, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 56640, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 56645, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
					}
					if (IS_TYPE_COLLECTABLE == 0) {
				dasm_put(Dst, 56650, (ZREG_X15));
					} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
				dasm_put(Dst, 56653, (ZREG_X15), IS_TYPE_COLLECTABLE);
					} else {
					if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
				dasm_put(Dst, 56657, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
					} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
				dasm_put(Dst, 56661, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
						if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
				dasm_put(Dst, 56665, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 56669, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
					}
				dasm_put(Dst, 56673, (ZREG_X15), (ZREG_X16));
					}
				dasm_put(Dst, 56677);
					ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 56680, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
					} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
				dasm_put(Dst, 56684, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 56688, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 56692, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 56696, (Z_REG(ref_addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 56700, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
					}
				dasm_put(Dst, 56704);
							}
				dasm_put(Dst, 56706, (ZREG_X15));
					if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
				dasm_put(Dst, 56709, (ZREG_X15));
					} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
				dasm_put(Dst, 56712, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
					} else {
					if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
				dasm_put(Dst, 56716, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
					} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
				dasm_put(Dst, 56720, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
						if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
				dasm_put(Dst, 56724, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 56728, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
					}
				dasm_put(Dst, 56732, (ZREG_X15), (ZREG_X16));
					}
				dasm_put(Dst, 56736);
					if (arm64_may_use_b(gc_possible_root)) {
				dasm_put(Dst, 56739, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
					} else {
					if (((uintptr_t)(gc_possible_root)) == 0) {
				dasm_put(Dst, 56742, (ZREG_X15));
					} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
				dasm_put(Dst, 56745, (ZREG_X15), ((uint64_t)(gc_possible_root)));
					} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
				dasm_put(Dst, 56749, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
					} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
				dasm_put(Dst, 56753, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
						if (((uintptr_t)(gc_possible_root)) & 0xfff) {
				dasm_put(Dst, 56757, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
						}
					} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
				dasm_put(Dst, 56762, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
						if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
				dasm_put(Dst, 56766, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
						}
						if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
				dasm_put(Dst, 56770, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
				dasm_put(Dst, 56774, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
						if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
				dasm_put(Dst, 56778, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 56782, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				dasm_put(Dst, 56786, (ZREG_X15));
					}
						}
						if (1 && ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
				dasm_put(Dst, 56789);
						}
				dasm_put(Dst, 56792);
					}
					}
#line 7749 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	FREE_OP opline->op2_type, opline->op2, op2_info, 1, opline, ZREG_TMP1, ZREG_TMP2
				if (opline->op2_type & (IS_VAR|IS_TMP_VAR)) {
					zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op2.var);
				if ((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
					if ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
						if (1) {
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 56794, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 56798, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 56802, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 56806, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 56810, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 56815, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_REFCOUNTED == 0) {
			dasm_put(Dst, 56820, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
			dasm_put(Dst, 56823, (ZREG_X15), IS_TYPE_REFCOUNTED);
				} else {
				if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
			dasm_put(Dst, 56827, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
				} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
			dasm_put(Dst, 56831, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
					if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
			dasm_put(Dst, 56835, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 56839, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			dasm_put(Dst, 56843, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 56847);
			dasm_put(Dst, 56850);
						} else {
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 56852, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 56856, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 56860, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 56864, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 56868, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 56873, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_REFCOUNTED == 0) {
			dasm_put(Dst, 56878, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
			dasm_put(Dst, 56881, (ZREG_X15), IS_TYPE_REFCOUNTED);
				} else {
				if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
			dasm_put(Dst, 56885, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
				} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
			dasm_put(Dst, 56889, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
					if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
			dasm_put(Dst, 56893, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 56897, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			dasm_put(Dst, 56901, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 56905);
						}
					}
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 56908, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
				} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
			dasm_put(Dst, 56912, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 56916, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 56920, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 56924, (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 56928, (Z_REG(addr)), (Z_OFFSET(addr)));
				}
			dasm_put(Dst, 56932, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
					if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op2_info)) {
						if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op2_info)) {
							if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
			dasm_put(Dst, 56940);
							} else {
			dasm_put(Dst, 56943);
							}
						}
				do {
					if (!((op2_info) & MAY_BE_GUARD)
					 && has_concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
						zend_uchar type = concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
						if (type == IS_STRING && !ZEND_DEBUG) {
				if (arm64_may_use_b(_efree)) {
			dasm_put(Dst, 56946, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
				} else {
				if (((uintptr_t)(_efree)) == 0) {
			dasm_put(Dst, 56949, (ZREG_X15));
				} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
			dasm_put(Dst, 56952, (ZREG_X15), ((uint64_t)(_efree)));
				} else if (arm64_may_use_adr((void*)(_efree))) {
			dasm_put(Dst, 56956, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
				} else if (arm64_may_use_adrp((void*)(_efree))) {
			dasm_put(Dst, 56960, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
					if (((uintptr_t)(_efree)) & 0xfff) {
			dasm_put(Dst, 56964, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
					}
				} else if ((uintptr_t)(_efree) & 0xffff) {
			dasm_put(Dst, 56969, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
					if (((uintptr_t)(_efree) >> 16) & 0xffff) {
			dasm_put(Dst, 56973, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
					}
					if (((uintptr_t)(_efree) >> 32) & 0xffff) {
			dasm_put(Dst, 56977, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
			dasm_put(Dst, 56981, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
					if (((uintptr_t)(_efree) >> 32) & 0xffff) {
			dasm_put(Dst, 56985, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 56989, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			dasm_put(Dst, 56993, (ZREG_X15));
				}
							break;
						} else if (type == IS_ARRAY) {
							if ((op2_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
								if (opline && ((op2_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 56996, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 56999, (ZREG_X15));
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 57002, (ZREG_X15), ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 57006, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 57010, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 57014, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 57019, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 57023, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 57027, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 57031, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 57035, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 57039, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 57043, (ZREG_X15), Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
								}
				if (arm64_may_use_b(zend_array_destroy)) {
			dasm_put(Dst, 57047, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
				} else {
				if (((uintptr_t)(zend_array_destroy)) == 0) {
			dasm_put(Dst, 57050, (ZREG_X15));
				} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
			dasm_put(Dst, 57053, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
				} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
			dasm_put(Dst, 57057, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
			dasm_put(Dst, 57061, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
					if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
			dasm_put(Dst, 57065, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
			dasm_put(Dst, 57070, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
					if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
			dasm_put(Dst, 57074, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
			dasm_put(Dst, 57078, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
			dasm_put(Dst, 57082, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
					if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
			dasm_put(Dst, 57086, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 57090, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			dasm_put(Dst, 57094, (ZREG_X15));
				}
							} else {
				if (arm64_may_use_b(zend_jit_array_free)) {
			dasm_put(Dst, 57097, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
				} else {
				if (((uintptr_t)(zend_jit_array_free)) == 0) {
			dasm_put(Dst, 57100, (ZREG_X15));
				} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
			dasm_put(Dst, 57103, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
				} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
			dasm_put(Dst, 57107, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
			dasm_put(Dst, 57111, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
					if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
			dasm_put(Dst, 57115, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
			dasm_put(Dst, 57120, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
					if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
			dasm_put(Dst, 57124, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
			dasm_put(Dst, 57128, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
			dasm_put(Dst, 57132, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
			dasm_put(Dst, 57136, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 57140, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			dasm_put(Dst, 57144, (ZREG_X15));
				}
							}
							break;
						} else if (type == IS_OBJECT) {
							if (opline) {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 57147, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 57150);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 57152, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 57155, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 57158, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 57161, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 57164, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 57167, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 57170, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 57173, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 57176, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 57179, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 57182, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
							}
				if (arm64_may_use_b(zend_objects_store_del)) {
			dasm_put(Dst, 57185, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
				} else {
				if (((uintptr_t)(zend_objects_store_del)) == 0) {
			dasm_put(Dst, 57188, (ZREG_X15));
				} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
			dasm_put(Dst, 57191, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
				} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
			dasm_put(Dst, 57195, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
			dasm_put(Dst, 57199, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
					if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
			dasm_put(Dst, 57203, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
			dasm_put(Dst, 57208, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
					if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
			dasm_put(Dst, 57212, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
			dasm_put(Dst, 57216, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
			dasm_put(Dst, 57220, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
					if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
			dasm_put(Dst, 57224, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 57228, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			dasm_put(Dst, 57232, (ZREG_X15));
				}
							break;
						}
					}
					if (opline) {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 57235, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 57238, (ZREG_X15));
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 57241, (ZREG_X15), ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 57245, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 57249, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 57253, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 57258, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 57262, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 57266, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 57270, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 57274, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 57278, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 57282, (ZREG_X15), Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
					}
				if (arm64_may_use_b(rc_dtor_func)) {
			dasm_put(Dst, 57286, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
				} else {
				if (((uintptr_t)(rc_dtor_func)) == 0) {
			dasm_put(Dst, 57289, (ZREG_X15));
				} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
			dasm_put(Dst, 57292, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
				} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
			dasm_put(Dst, 57296, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
				} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
			dasm_put(Dst, 57300, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
					if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
			dasm_put(Dst, 57304, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
					}
				} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
			dasm_put(Dst, 57309, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
					if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
			dasm_put(Dst, 57313, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
					}
					if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
			dasm_put(Dst, 57317, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
			dasm_put(Dst, 57321, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
					if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
			dasm_put(Dst, 57325, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 57329, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			dasm_put(Dst, 57333, (ZREG_X15));
				}
				} while(0);
						if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
			dasm_put(Dst, 57336);
						}
			dasm_put(Dst, 57339);
					}
					if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
						if ((op2_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
							zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 57341, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 57345, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 57349, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 57353, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 57357, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 57362, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_REFERENCE == 0) {
			dasm_put(Dst, 57367, (ZREG_X15));
				} else {
			dasm_put(Dst, 57371, (ZREG_X15), IS_REFERENCE);
				}
				ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 57377, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 57381, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 57385, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 57389, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 57393, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 57398, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_COLLECTABLE == 0) {
			dasm_put(Dst, 57403, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
			dasm_put(Dst, 57406, (ZREG_X15), IS_TYPE_COLLECTABLE);
				} else {
				if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
			dasm_put(Dst, 57410, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
				} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
			dasm_put(Dst, 57414, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
					if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
			dasm_put(Dst, 57418, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 57422, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			dasm_put(Dst, 57426, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 57430);
				ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 57433, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
			dasm_put(Dst, 57437, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 57441, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 57445, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 57449, (Z_REG(ref_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 57453, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
				}
			dasm_put(Dst, 57457);
						}
			dasm_put(Dst, 57459, (ZREG_X15));
				if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
			dasm_put(Dst, 57462, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
			dasm_put(Dst, 57465, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
				} else {
				if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
			dasm_put(Dst, 57469, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
				} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
			dasm_put(Dst, 57473, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
					if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
			dasm_put(Dst, 57477, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 57481, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			dasm_put(Dst, 57485, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 57489);
				if (arm64_may_use_b(gc_possible_root)) {
			dasm_put(Dst, 57492, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
				} else {
				if (((uintptr_t)(gc_possible_root)) == 0) {
			dasm_put(Dst, 57495, (ZREG_X15));
				} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
			dasm_put(Dst, 57498, (ZREG_X15), ((uint64_t)(gc_possible_root)));
				} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
			dasm_put(Dst, 57502, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
				} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
			dasm_put(Dst, 57506, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
					if (((uintptr_t)(gc_possible_root)) & 0xfff) {
			dasm_put(Dst, 57510, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
					}
				} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
			dasm_put(Dst, 57515, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
					if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
			dasm_put(Dst, 57519, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
					}
					if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
			dasm_put(Dst, 57523, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
			dasm_put(Dst, 57527, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
					if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
			dasm_put(Dst, 57531, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 57535, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			dasm_put(Dst, 57539, (ZREG_X15));
				}
					}
					if (1 && ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
			dasm_put(Dst, 57542);
					}
			dasm_put(Dst, 57545);
				}
				}
#line 7751 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (smart_branch_opcode) {
			if (may_throw) {
				zend_jit_check_exception_undef_result(Dst, opline);
			}
			if (exit_addr) {
				if (smart_branch_opcode == ZEND_JMPZ) {
					//|	b &exit_addr
					dasm_put(Dst, 57547, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 7759 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else if (not_identical_label != (uint32_t)-1) {
				//|	b =>not_identical_label
				dasm_put(Dst, 57550, not_identical_label);
#line 7762 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else {
			//|	SET_ZVAL_TYPE_INFO res_addr, (opline->opcode != ZEND_IS_NOT_IDENTICAL ? IS_FALSE : IS_TRUE), TMP1w, TMP2
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uint32_t)((opline->opcode != ZEND_IS_NOT_IDENTICAL ? IS_FALSE : IS_TRUE))) <= MOVZ_IMM) {
			dasm_put(Dst, 57553, ((uint32_t)((opline->opcode != ZEND_IS_NOT_IDENTICAL ? IS_FALSE : IS_TRUE))));
				} else if (((uint32_t)((opline->opcode != ZEND_IS_NOT_IDENTICAL ? IS_FALSE : IS_TRUE)) & 0xffff)) {
			dasm_put(Dst, 57556, ((uint32_t)((opline->opcode != ZEND_IS_NOT_IDENTICAL ? IS_FALSE : IS_TRUE)) & 0xffff));
					if ((((uint32_t)((opline->opcode != ZEND_IS_NOT_IDENTICAL ? IS_FALSE : IS_TRUE)) >> 16) & 0xffff)) {
			dasm_put(Dst, 57559, (((uint32_t)((opline->opcode != ZEND_IS_NOT_IDENTICAL ? IS_FALSE : IS_TRUE)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 57562, (((uint32_t)((opline->opcode != ZEND_IS_NOT_IDENTICAL ? IS_FALSE : IS_TRUE)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 57565, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 57568, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 57571, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 57574, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 57577, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 57580, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
#line 7765 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (may_throw) {
				zend_jit_check_exception(Dst);
			}
		}
		return 1;
	}

	if (opline->op1_type & (IS_CV|IS_VAR)) {
		//|	ZVAL_DEREF FCARG1x, op1_info, TMP1w
			if (op1_info & MAY_BE_REF) {
		dasm_put(Dst, 57584, offsetof(zval, u1.v.type));
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 57587);
			} else {
		dasm_put(Dst, 57590, IS_REFERENCE);
			}
		dasm_put(Dst, 57595, offsetof(zend_reference, val));
			}
#line 7774 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	if (opline->op2_type & (IS_CV|IS_VAR)) {
		//|	ZVAL_DEREF FCARG2x, op2_info, TMP1w
			if (op2_info & MAY_BE_REF) {
		dasm_put(Dst, 57600, offsetof(zval, u1.v.type));
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 57603);
			} else {
		dasm_put(Dst, 57606, IS_REFERENCE);
			}
		dasm_put(Dst, 57611, offsetof(zend_reference, val));
			}
#line 7777 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	if (has_concrete_type(op1_info)
	 && has_concrete_type(op2_info)
	 && concrete_type(op1_info) == concrete_type(op2_info)
	 && concrete_type(op1_info) <= IS_TRUE) {
		if (smart_branch_opcode) {
			if (exit_addr) {
				if (smart_branch_opcode == ZEND_JMPNZ) {
					//|	b &exit_addr
					dasm_put(Dst, 57616, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 7787 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else if (identical_label != (uint32_t)-1) {
				//|	b =>identical_label
				dasm_put(Dst, 57619, identical_label);
#line 7790 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else {
			//|	SET_ZVAL_TYPE_INFO res_addr, (opline->opcode != ZEND_IS_NOT_IDENTICAL ? IS_TRUE : IS_FALSE), TMP1w, TMP2
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uint32_t)((opline->opcode != ZEND_IS_NOT_IDENTICAL ? IS_TRUE : IS_FALSE))) <= MOVZ_IMM) {
			dasm_put(Dst, 57622, ((uint32_t)((opline->opcode != ZEND_IS_NOT_IDENTICAL ? IS_TRUE : IS_FALSE))));
				} else if (((uint32_t)((opline->opcode != ZEND_IS_NOT_IDENTICAL ? IS_TRUE : IS_FALSE)) & 0xffff)) {
			dasm_put(Dst, 57625, ((uint32_t)((opline->opcode != ZEND_IS_NOT_IDENTICAL ? IS_TRUE : IS_FALSE)) & 0xffff));
					if ((((uint32_t)((opline->opcode != ZEND_IS_NOT_IDENTICAL ? IS_TRUE : IS_FALSE)) >> 16) & 0xffff)) {
			dasm_put(Dst, 57628, (((uint32_t)((opline->opcode != ZEND_IS_NOT_IDENTICAL ? IS_TRUE : IS_FALSE)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 57631, (((uint32_t)((opline->opcode != ZEND_IS_NOT_IDENTICAL ? IS_TRUE : IS_FALSE)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 57634, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 57637, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 57640, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 57643, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 57646, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 57649, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
#line 7793 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else if (Z_MODE(op1_addr) == IS_CONST_ZVAL && Z_MODE(op2_addr) == IS_CONST_ZVAL) {
		if (zend_is_identical(Z_ZV(op1_addr), Z_ZV(op2_addr))) {
			if (smart_branch_opcode) {
				if (exit_addr) {
					if (smart_branch_opcode == ZEND_JMPNZ) {
						//|	b &exit_addr
						dasm_put(Dst, 57653, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 7800 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				} else if (identical_label != (uint32_t)-1) {
					//|	b =>identical_label
					dasm_put(Dst, 57656, identical_label);
#line 7803 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else {
				//|	SET_ZVAL_TYPE_INFO res_addr, (opline->opcode != ZEND_IS_NOT_IDENTICAL ? IS_TRUE : IS_FALSE), TMP1w, TMP2
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uint32_t)((opline->opcode != ZEND_IS_NOT_IDENTICAL ? IS_TRUE : IS_FALSE))) <= MOVZ_IMM) {
				dasm_put(Dst, 57659, ((uint32_t)((opline->opcode != ZEND_IS_NOT_IDENTICAL ? IS_TRUE : IS_FALSE))));
					} else if (((uint32_t)((opline->opcode != ZEND_IS_NOT_IDENTICAL ? IS_TRUE : IS_FALSE)) & 0xffff)) {
				dasm_put(Dst, 57662, ((uint32_t)((opline->opcode != ZEND_IS_NOT_IDENTICAL ? IS_TRUE : IS_FALSE)) & 0xffff));
						if ((((uint32_t)((opline->opcode != ZEND_IS_NOT_IDENTICAL ? IS_TRUE : IS_FALSE)) >> 16) & 0xffff)) {
				dasm_put(Dst, 57665, (((uint32_t)((opline->opcode != ZEND_IS_NOT_IDENTICAL ? IS_TRUE : IS_FALSE)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 57668, (((uint32_t)((opline->opcode != ZEND_IS_NOT_IDENTICAL ? IS_TRUE : IS_FALSE)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 57671, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 57674, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 57677, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 57680, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 57683, (Z_REG(res_addr)));
					} else {
				dasm_put(Dst, 57686, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
					}
#line 7806 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else {
			if (smart_branch_opcode) {
				if (exit_addr) {
					if (smart_branch_opcode == ZEND_JMPZ) {
						//|	b &exit_addr
						dasm_put(Dst, 57690, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 7812 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				} else if (not_identical_label != (uint32_t)-1) {
					//|	b =>not_identical_label
					dasm_put(Dst, 57693, not_identical_label);
#line 7815 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else {
				//|	SET_ZVAL_TYPE_INFO res_addr, (opline->opcode != ZEND_IS_NOT_IDENTICAL ? IS_FALSE : IS_TRUE), TMP1w, TMP2
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uint32_t)((opline->opcode != ZEND_IS_NOT_IDENTICAL ? IS_FALSE : IS_TRUE))) <= MOVZ_IMM) {
				dasm_put(Dst, 57696, ((uint32_t)((opline->opcode != ZEND_IS_NOT_IDENTICAL ? IS_FALSE : IS_TRUE))));
					} else if (((uint32_t)((opline->opcode != ZEND_IS_NOT_IDENTICAL ? IS_FALSE : IS_TRUE)) & 0xffff)) {
				dasm_put(Dst, 57699, ((uint32_t)((opline->opcode != ZEND_IS_NOT_IDENTICAL ? IS_FALSE : IS_TRUE)) & 0xffff));
						if ((((uint32_t)((opline->opcode != ZEND_IS_NOT_IDENTICAL ? IS_FALSE : IS_TRUE)) >> 16) & 0xffff)) {
				dasm_put(Dst, 57702, (((uint32_t)((opline->opcode != ZEND_IS_NOT_IDENTICAL ? IS_FALSE : IS_TRUE)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 57705, (((uint32_t)((opline->opcode != ZEND_IS_NOT_IDENTICAL ? IS_FALSE : IS_TRUE)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 57708, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 57711, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 57714, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 57717, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 57720, (Z_REG(res_addr)));
					} else {
				dasm_put(Dst, 57723, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
					}
#line 7818 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
	} else if (Z_MODE(op1_addr) == IS_CONST_ZVAL && Z_TYPE_P(Z_ZV(op1_addr)) <= IS_TRUE) {
		zval *val = Z_ZV(op1_addr);

		//|	ldrb TMP1w, [FCARG2x, #offsetof(zval, u1.v.type)]
		//|	cmp TMP1w, #Z_TYPE_P(val)
		dasm_put(Dst, 57727, offsetof(zval, u1.v.type), Z_TYPE_P(val));
#line 7825 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (smart_branch_opcode) {
			if (opline->op2_type == IS_VAR && (op2_info & MAY_BE_REF)) {
				//|	bne >8
				//|	FREE_OP opline->op2_type, opline->op2, op2_info, 1, opline, ZREG_TMP1, ZREG_TMP2
				dasm_put(Dst, 57732);
					if (opline->op2_type & (IS_VAR|IS_TMP_VAR)) {
						zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op2.var);
					if ((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
						if ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
							if (1) {
					ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
				dasm_put(Dst, 57735, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
					} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
				dasm_put(Dst, 57739, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
				dasm_put(Dst, 57743, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 57747, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 57751, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 57756, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
					}
					if (IS_TYPE_REFCOUNTED == 0) {
				dasm_put(Dst, 57761, (ZREG_X15));
					} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
				dasm_put(Dst, 57764, (ZREG_X15), IS_TYPE_REFCOUNTED);
					} else {
					if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
				dasm_put(Dst, 57768, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
					} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
				dasm_put(Dst, 57772, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
						if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
				dasm_put(Dst, 57776, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 57780, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				dasm_put(Dst, 57784, (ZREG_X15), (ZREG_X16));
					}
				dasm_put(Dst, 57788);
				dasm_put(Dst, 57791);
							} else {
					ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
				dasm_put(Dst, 57793, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
					} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
				dasm_put(Dst, 57797, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
				dasm_put(Dst, 57801, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 57805, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 57809, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 57814, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
					}
					if (IS_TYPE_REFCOUNTED == 0) {
				dasm_put(Dst, 57819, (ZREG_X15));
					} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
				dasm_put(Dst, 57822, (ZREG_X15), IS_TYPE_REFCOUNTED);
					} else {
					if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
				dasm_put(Dst, 57826, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
					} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
				dasm_put(Dst, 57830, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
						if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
				dasm_put(Dst, 57834, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 57838, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				dasm_put(Dst, 57842, (ZREG_X15), (ZREG_X16));
					}
				dasm_put(Dst, 57846);
							}
						}
					ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 57849, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
					} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
				dasm_put(Dst, 57853, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 57857, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 57861, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 57865, (Z_REG(addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 57869, (Z_REG(addr)), (Z_OFFSET(addr)));
					}
				dasm_put(Dst, 57873, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
						if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op2_info)) {
							if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op2_info)) {
								if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
				dasm_put(Dst, 57881);
								} else {
				dasm_put(Dst, 57884);
								}
							}
					do {
						if (!((op2_info) & MAY_BE_GUARD)
						 && has_concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
							zend_uchar type = concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
							if (type == IS_STRING && !ZEND_DEBUG) {
					if (arm64_may_use_b(_efree)) {
				dasm_put(Dst, 57887, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
					} else {
					if (((uintptr_t)(_efree)) == 0) {
				dasm_put(Dst, 57890, (ZREG_X15));
					} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
				dasm_put(Dst, 57893, (ZREG_X15), ((uint64_t)(_efree)));
					} else if (arm64_may_use_adr((void*)(_efree))) {
				dasm_put(Dst, 57897, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
					} else if (arm64_may_use_adrp((void*)(_efree))) {
				dasm_put(Dst, 57901, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
						if (((uintptr_t)(_efree)) & 0xfff) {
				dasm_put(Dst, 57905, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
						}
					} else if ((uintptr_t)(_efree) & 0xffff) {
				dasm_put(Dst, 57910, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
						if (((uintptr_t)(_efree) >> 16) & 0xffff) {
				dasm_put(Dst, 57914, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
						}
						if (((uintptr_t)(_efree) >> 32) & 0xffff) {
				dasm_put(Dst, 57918, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
				dasm_put(Dst, 57922, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
						if (((uintptr_t)(_efree) >> 32) & 0xffff) {
				dasm_put(Dst, 57926, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 57930, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				dasm_put(Dst, 57934, (ZREG_X15));
					}
								break;
							} else if (type == IS_ARRAY) {
								if ((op2_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
									if (opline && ((op2_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 57937, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 57940, (ZREG_X15));
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 57943, (ZREG_X15), ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 57947, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 57951, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 57955, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 57960, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 57964, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 57968, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 57972, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 57976, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 57980, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 57984, (ZREG_X15), Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
									}
					if (arm64_may_use_b(zend_array_destroy)) {
				dasm_put(Dst, 57988, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
					} else {
					if (((uintptr_t)(zend_array_destroy)) == 0) {
				dasm_put(Dst, 57991, (ZREG_X15));
					} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
				dasm_put(Dst, 57994, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
					} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
				dasm_put(Dst, 57998, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
				dasm_put(Dst, 58002, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
						if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
				dasm_put(Dst, 58006, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
				dasm_put(Dst, 58011, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
						if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
				dasm_put(Dst, 58015, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
				dasm_put(Dst, 58019, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
				dasm_put(Dst, 58023, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
						if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
				dasm_put(Dst, 58027, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 58031, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				dasm_put(Dst, 58035, (ZREG_X15));
					}
								} else {
					if (arm64_may_use_b(zend_jit_array_free)) {
				dasm_put(Dst, 58038, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
					} else {
					if (((uintptr_t)(zend_jit_array_free)) == 0) {
				dasm_put(Dst, 58041, (ZREG_X15));
					} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
				dasm_put(Dst, 58044, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
					} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
				dasm_put(Dst, 58048, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
				dasm_put(Dst, 58052, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
						if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
				dasm_put(Dst, 58056, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
				dasm_put(Dst, 58061, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
						if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
				dasm_put(Dst, 58065, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
				dasm_put(Dst, 58069, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
				dasm_put(Dst, 58073, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
				dasm_put(Dst, 58077, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 58081, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				dasm_put(Dst, 58085, (ZREG_X15));
					}
								}
								break;
							} else if (type == IS_OBJECT) {
								if (opline) {
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 58088, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 58091);
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 58093, ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 58096, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 58099, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 58102, (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 58105, ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 58108, (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 58111, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 58114, (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 58117, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 58120, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 58123, Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
								}
					if (arm64_may_use_b(zend_objects_store_del)) {
				dasm_put(Dst, 58126, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
					} else {
					if (((uintptr_t)(zend_objects_store_del)) == 0) {
				dasm_put(Dst, 58129, (ZREG_X15));
					} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
				dasm_put(Dst, 58132, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
					} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
				dasm_put(Dst, 58136, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
				dasm_put(Dst, 58140, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
						if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
				dasm_put(Dst, 58144, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
				dasm_put(Dst, 58149, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
						if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
				dasm_put(Dst, 58153, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
				dasm_put(Dst, 58157, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
				dasm_put(Dst, 58161, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
						if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
				dasm_put(Dst, 58165, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 58169, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				dasm_put(Dst, 58173, (ZREG_X15));
					}
								break;
							}
						}
						if (opline) {
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 58176, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 58179, (ZREG_X15));
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 58182, (ZREG_X15), ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 58186, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 58190, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 58194, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 58199, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 58203, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 58207, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 58211, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 58215, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 58219, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 58223, (ZREG_X15), Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
						}
					if (arm64_may_use_b(rc_dtor_func)) {
				dasm_put(Dst, 58227, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
					} else {
					if (((uintptr_t)(rc_dtor_func)) == 0) {
				dasm_put(Dst, 58230, (ZREG_X15));
					} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
				dasm_put(Dst, 58233, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
					} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
				dasm_put(Dst, 58237, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
					} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
				dasm_put(Dst, 58241, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
						if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
				dasm_put(Dst, 58245, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
						}
					} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
				dasm_put(Dst, 58250, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
						if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
				dasm_put(Dst, 58254, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
						}
						if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
				dasm_put(Dst, 58258, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
				dasm_put(Dst, 58262, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
						if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
				dasm_put(Dst, 58266, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 58270, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				dasm_put(Dst, 58274, (ZREG_X15));
					}
					} while(0);
							if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
				dasm_put(Dst, 58277);
							}
				dasm_put(Dst, 58280);
						}
						if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
							if ((op2_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
								zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
					ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 58282, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 58286, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 58290, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 58294, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 58298, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 58303, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_REFERENCE == 0) {
				dasm_put(Dst, 58308, (ZREG_X15));
					} else {
				dasm_put(Dst, 58312, (ZREG_X15), IS_REFERENCE);
					}
					ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
				dasm_put(Dst, 58318, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
					} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
				dasm_put(Dst, 58322, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
				dasm_put(Dst, 58326, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 58330, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 58334, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 58339, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
					}
					if (IS_TYPE_COLLECTABLE == 0) {
				dasm_put(Dst, 58344, (ZREG_X15));
					} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
				dasm_put(Dst, 58347, (ZREG_X15), IS_TYPE_COLLECTABLE);
					} else {
					if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
				dasm_put(Dst, 58351, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
					} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
				dasm_put(Dst, 58355, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
						if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
				dasm_put(Dst, 58359, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 58363, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
					}
				dasm_put(Dst, 58367, (ZREG_X15), (ZREG_X16));
					}
				dasm_put(Dst, 58371);
					ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 58374, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
					} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
				dasm_put(Dst, 58378, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 58382, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 58386, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 58390, (Z_REG(ref_addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 58394, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
					}
				dasm_put(Dst, 58398);
							}
				dasm_put(Dst, 58400, (ZREG_X15));
					if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
				dasm_put(Dst, 58403, (ZREG_X15));
					} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
				dasm_put(Dst, 58406, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
					} else {
					if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
				dasm_put(Dst, 58410, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
					} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
				dasm_put(Dst, 58414, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
						if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
				dasm_put(Dst, 58418, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 58422, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
					}
				dasm_put(Dst, 58426, (ZREG_X15), (ZREG_X16));
					}
				dasm_put(Dst, 58430);
					if (arm64_may_use_b(gc_possible_root)) {
				dasm_put(Dst, 58433, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
					} else {
					if (((uintptr_t)(gc_possible_root)) == 0) {
				dasm_put(Dst, 58436, (ZREG_X15));
					} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
				dasm_put(Dst, 58439, (ZREG_X15), ((uint64_t)(gc_possible_root)));
					} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
				dasm_put(Dst, 58443, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
					} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
				dasm_put(Dst, 58447, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
						if (((uintptr_t)(gc_possible_root)) & 0xfff) {
				dasm_put(Dst, 58451, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
						}
					} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
				dasm_put(Dst, 58456, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
						if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
				dasm_put(Dst, 58460, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
						}
						if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
				dasm_put(Dst, 58464, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
				dasm_put(Dst, 58468, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
						if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
				dasm_put(Dst, 58472, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 58476, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				dasm_put(Dst, 58480, (ZREG_X15));
					}
						}
						if (1 && ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
				dasm_put(Dst, 58483);
						}
				dasm_put(Dst, 58486);
					}
					}
#line 7829 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				if (may_throw) {
					zend_jit_check_exception_undef_result(Dst, opline);
				}
				if (exit_addr && smart_branch_opcode == ZEND_JMPNZ) {
					//|	b &exit_addr
					dasm_put(Dst, 58488, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 7834 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else if (identical_label != (uint32_t)-1) {
					//|	b =>identical_label
					dasm_put(Dst, 58491, identical_label);
#line 7836 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	b >9
					dasm_put(Dst, 58494);
#line 7838 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|8:
				dasm_put(Dst, 58497);
#line 7840 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else if (exit_addr && smart_branch_opcode == ZEND_JMPNZ) {
				//|	beq &exit_addr
				dasm_put(Dst, 58499, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 7842 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else if (identical_label != (uint32_t)-1) {
				//|	beq =>identical_label
				dasm_put(Dst, 58502, identical_label);
#line 7844 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	beq >9
				dasm_put(Dst, 58505);
#line 7846 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else {
			if (opline->opcode != ZEND_IS_NOT_IDENTICAL) {
				//|	cset REG0w, eq
				dasm_put(Dst, 58508);
#line 7850 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	cset REG0w, ne
				dasm_put(Dst, 58510);
#line 7852 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	add REG0w, REG0w, #2
			//|	SET_ZVAL_TYPE_INFO_FROM_REG res_addr, REG0w, TMP1
			dasm_put(Dst, 58512);
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 58514, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 58517, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 58520, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 58523, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 58526, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 58529, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
#line 7855 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if ((opline->op2_type & (IS_VAR|IS_TMP_VAR)) &&
		    (op2_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF))) {
			//|	FREE_OP opline->op2_type, opline->op2, op2_info, 1, opline, ZREG_TMP1, ZREG_TMP2
				if (opline->op2_type & (IS_VAR|IS_TMP_VAR)) {
					zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op2.var);
				if ((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
					if ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
						if (1) {
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 58533, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 58537, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 58541, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 58545, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 58549, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 58554, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_REFCOUNTED == 0) {
			dasm_put(Dst, 58559, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
			dasm_put(Dst, 58562, (ZREG_X15), IS_TYPE_REFCOUNTED);
				} else {
				if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
			dasm_put(Dst, 58566, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
				} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
			dasm_put(Dst, 58570, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
					if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
			dasm_put(Dst, 58574, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 58578, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			dasm_put(Dst, 58582, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 58586);
			dasm_put(Dst, 58589);
						} else {
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 58591, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 58595, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 58599, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 58603, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 58607, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 58612, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_REFCOUNTED == 0) {
			dasm_put(Dst, 58617, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
			dasm_put(Dst, 58620, (ZREG_X15), IS_TYPE_REFCOUNTED);
				} else {
				if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
			dasm_put(Dst, 58624, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
				} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
			dasm_put(Dst, 58628, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
					if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
			dasm_put(Dst, 58632, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 58636, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			dasm_put(Dst, 58640, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 58644);
						}
					}
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 58647, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
				} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
			dasm_put(Dst, 58651, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 58655, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 58659, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 58663, (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 58667, (Z_REG(addr)), (Z_OFFSET(addr)));
				}
			dasm_put(Dst, 58671, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
					if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op2_info)) {
						if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op2_info)) {
							if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
			dasm_put(Dst, 58679);
							} else {
			dasm_put(Dst, 58682);
							}
						}
				do {
					if (!((op2_info) & MAY_BE_GUARD)
					 && has_concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
						zend_uchar type = concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
						if (type == IS_STRING && !ZEND_DEBUG) {
				if (arm64_may_use_b(_efree)) {
			dasm_put(Dst, 58685, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
				} else {
				if (((uintptr_t)(_efree)) == 0) {
			dasm_put(Dst, 58688, (ZREG_X15));
				} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
			dasm_put(Dst, 58691, (ZREG_X15), ((uint64_t)(_efree)));
				} else if (arm64_may_use_adr((void*)(_efree))) {
			dasm_put(Dst, 58695, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
				} else if (arm64_may_use_adrp((void*)(_efree))) {
			dasm_put(Dst, 58699, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
					if (((uintptr_t)(_efree)) & 0xfff) {
			dasm_put(Dst, 58703, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
					}
				} else if ((uintptr_t)(_efree) & 0xffff) {
			dasm_put(Dst, 58708, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
					if (((uintptr_t)(_efree) >> 16) & 0xffff) {
			dasm_put(Dst, 58712, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
					}
					if (((uintptr_t)(_efree) >> 32) & 0xffff) {
			dasm_put(Dst, 58716, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
			dasm_put(Dst, 58720, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
					if (((uintptr_t)(_efree) >> 32) & 0xffff) {
			dasm_put(Dst, 58724, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 58728, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			dasm_put(Dst, 58732, (ZREG_X15));
				}
							break;
						} else if (type == IS_ARRAY) {
							if ((op2_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
								if (opline && ((op2_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 58735, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 58738, (ZREG_X15));
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 58741, (ZREG_X15), ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 58745, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 58749, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 58753, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 58758, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 58762, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 58766, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 58770, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 58774, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 58778, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 58782, (ZREG_X15), Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
								}
				if (arm64_may_use_b(zend_array_destroy)) {
			dasm_put(Dst, 58786, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
				} else {
				if (((uintptr_t)(zend_array_destroy)) == 0) {
			dasm_put(Dst, 58789, (ZREG_X15));
				} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
			dasm_put(Dst, 58792, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
				} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
			dasm_put(Dst, 58796, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
			dasm_put(Dst, 58800, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
					if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
			dasm_put(Dst, 58804, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
			dasm_put(Dst, 58809, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
					if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
			dasm_put(Dst, 58813, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
			dasm_put(Dst, 58817, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
			dasm_put(Dst, 58821, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
					if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
			dasm_put(Dst, 58825, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 58829, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			dasm_put(Dst, 58833, (ZREG_X15));
				}
							} else {
				if (arm64_may_use_b(zend_jit_array_free)) {
			dasm_put(Dst, 58836, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
				} else {
				if (((uintptr_t)(zend_jit_array_free)) == 0) {
			dasm_put(Dst, 58839, (ZREG_X15));
				} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
			dasm_put(Dst, 58842, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
				} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
			dasm_put(Dst, 58846, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
			dasm_put(Dst, 58850, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
					if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
			dasm_put(Dst, 58854, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
			dasm_put(Dst, 58859, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
					if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
			dasm_put(Dst, 58863, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
			dasm_put(Dst, 58867, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
			dasm_put(Dst, 58871, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
			dasm_put(Dst, 58875, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 58879, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			dasm_put(Dst, 58883, (ZREG_X15));
				}
							}
							break;
						} else if (type == IS_OBJECT) {
							if (opline) {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 58886, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 58889);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 58891, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 58894, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 58897, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 58900, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 58903, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 58906, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 58909, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 58912, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 58915, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 58918, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 58921, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
							}
				if (arm64_may_use_b(zend_objects_store_del)) {
			dasm_put(Dst, 58924, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
				} else {
				if (((uintptr_t)(zend_objects_store_del)) == 0) {
			dasm_put(Dst, 58927, (ZREG_X15));
				} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
			dasm_put(Dst, 58930, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
				} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
			dasm_put(Dst, 58934, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
			dasm_put(Dst, 58938, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
					if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
			dasm_put(Dst, 58942, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
			dasm_put(Dst, 58947, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
					if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
			dasm_put(Dst, 58951, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
			dasm_put(Dst, 58955, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
			dasm_put(Dst, 58959, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
					if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
			dasm_put(Dst, 58963, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 58967, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			dasm_put(Dst, 58971, (ZREG_X15));
				}
							break;
						}
					}
					if (opline) {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 58974, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 58977, (ZREG_X15));
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 58980, (ZREG_X15), ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 58984, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 58988, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 58992, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 58997, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 59001, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 59005, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 59009, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 59013, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 59017, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 59021, (ZREG_X15), Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
					}
				if (arm64_may_use_b(rc_dtor_func)) {
			dasm_put(Dst, 59025, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
				} else {
				if (((uintptr_t)(rc_dtor_func)) == 0) {
			dasm_put(Dst, 59028, (ZREG_X15));
				} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
			dasm_put(Dst, 59031, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
				} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
			dasm_put(Dst, 59035, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
				} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
			dasm_put(Dst, 59039, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
					if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
			dasm_put(Dst, 59043, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
					}
				} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
			dasm_put(Dst, 59048, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
					if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
			dasm_put(Dst, 59052, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
					}
					if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
			dasm_put(Dst, 59056, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
			dasm_put(Dst, 59060, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
					if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
			dasm_put(Dst, 59064, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 59068, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			dasm_put(Dst, 59072, (ZREG_X15));
				}
				} while(0);
						if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
			dasm_put(Dst, 59075);
						}
			dasm_put(Dst, 59078);
					}
					if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
						if ((op2_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
							zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 59080, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 59084, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 59088, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 59092, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 59096, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 59101, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_REFERENCE == 0) {
			dasm_put(Dst, 59106, (ZREG_X15));
				} else {
			dasm_put(Dst, 59110, (ZREG_X15), IS_REFERENCE);
				}
				ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 59116, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 59120, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 59124, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 59128, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 59132, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 59137, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_COLLECTABLE == 0) {
			dasm_put(Dst, 59142, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
			dasm_put(Dst, 59145, (ZREG_X15), IS_TYPE_COLLECTABLE);
				} else {
				if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
			dasm_put(Dst, 59149, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
				} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
			dasm_put(Dst, 59153, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
					if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
			dasm_put(Dst, 59157, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 59161, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			dasm_put(Dst, 59165, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 59169);
				ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 59172, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
			dasm_put(Dst, 59176, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 59180, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 59184, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 59188, (Z_REG(ref_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 59192, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
				}
			dasm_put(Dst, 59196);
						}
			dasm_put(Dst, 59198, (ZREG_X15));
				if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
			dasm_put(Dst, 59201, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
			dasm_put(Dst, 59204, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
				} else {
				if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
			dasm_put(Dst, 59208, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
				} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
			dasm_put(Dst, 59212, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
					if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
			dasm_put(Dst, 59216, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 59220, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			dasm_put(Dst, 59224, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 59228);
				if (arm64_may_use_b(gc_possible_root)) {
			dasm_put(Dst, 59231, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
				} else {
				if (((uintptr_t)(gc_possible_root)) == 0) {
			dasm_put(Dst, 59234, (ZREG_X15));
				} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
			dasm_put(Dst, 59237, (ZREG_X15), ((uint64_t)(gc_possible_root)));
				} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
			dasm_put(Dst, 59241, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
				} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
			dasm_put(Dst, 59245, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
					if (((uintptr_t)(gc_possible_root)) & 0xfff) {
			dasm_put(Dst, 59249, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
					}
				} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
			dasm_put(Dst, 59254, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
					if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
			dasm_put(Dst, 59258, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
					}
					if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
			dasm_put(Dst, 59262, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
			dasm_put(Dst, 59266, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
					if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
			dasm_put(Dst, 59270, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 59274, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			dasm_put(Dst, 59278, (ZREG_X15));
				}
					}
					if (1 && ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
			dasm_put(Dst, 59281);
					}
			dasm_put(Dst, 59284);
				}
				}
#line 7859 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (may_throw) {
				zend_jit_check_exception_undef_result(Dst, opline);
			}
		}
		if (exit_addr) {
			if (smart_branch_opcode == ZEND_JMPZ) {
				//|	b &exit_addr
				dasm_put(Dst, 59286, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 7866 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else if (smart_branch_opcode && not_identical_label != (uint32_t)-1) {
			//|	b =>not_identical_label
			dasm_put(Dst, 59289, not_identical_label);
#line 7869 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else if (Z_MODE(op2_addr) == IS_CONST_ZVAL && Z_TYPE_P(Z_ZV(op2_addr)) <= IS_TRUE) {
		zval *val = Z_ZV(op2_addr);

		//|	ldrb TMP1w, [FCARG1x, #offsetof(zval, u1.v.type)]
		//|	cmp TMP1w, #Z_TYPE_P(val)
		dasm_put(Dst, 59292, offsetof(zval, u1.v.type), Z_TYPE_P(val));
#line 7875 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (smart_branch_opcode) {
			if (opline->opcode != ZEND_CASE_STRICT
			 && opline->op1_type == IS_VAR && (op1_info & MAY_BE_REF)) {
				//|	bne >8
				//|	FREE_OP opline->op1_type, opline->op1, op1_info, 1, opline, ZREG_TMP1, ZREG_TMP2
				dasm_put(Dst, 59297);
					if (opline->op1_type & (IS_VAR|IS_TMP_VAR)) {
						zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op1.var);
					if ((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
						if ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
							if (1) {
					ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
				dasm_put(Dst, 59300, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
					} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
				dasm_put(Dst, 59304, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
				dasm_put(Dst, 59308, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 59312, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 59316, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 59321, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
					}
					if (IS_TYPE_REFCOUNTED == 0) {
				dasm_put(Dst, 59326, (ZREG_X15));
					} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
				dasm_put(Dst, 59329, (ZREG_X15), IS_TYPE_REFCOUNTED);
					} else {
					if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
				dasm_put(Dst, 59333, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
					} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
				dasm_put(Dst, 59337, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
						if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
				dasm_put(Dst, 59341, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 59345, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				dasm_put(Dst, 59349, (ZREG_X15), (ZREG_X16));
					}
				dasm_put(Dst, 59353);
				dasm_put(Dst, 59356);
							} else {
					ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
				dasm_put(Dst, 59358, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
					} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
				dasm_put(Dst, 59362, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
				dasm_put(Dst, 59366, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 59370, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 59374, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 59379, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
					}
					if (IS_TYPE_REFCOUNTED == 0) {
				dasm_put(Dst, 59384, (ZREG_X15));
					} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
				dasm_put(Dst, 59387, (ZREG_X15), IS_TYPE_REFCOUNTED);
					} else {
					if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
				dasm_put(Dst, 59391, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
					} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
				dasm_put(Dst, 59395, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
						if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
				dasm_put(Dst, 59399, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 59403, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				dasm_put(Dst, 59407, (ZREG_X15), (ZREG_X16));
					}
				dasm_put(Dst, 59411);
							}
						}
					ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 59414, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
					} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
				dasm_put(Dst, 59418, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 59422, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 59426, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 59430, (Z_REG(addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 59434, (Z_REG(addr)), (Z_OFFSET(addr)));
					}
				dasm_put(Dst, 59438, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
						if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op1_info)) {
							if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op1_info)) {
								if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
				dasm_put(Dst, 59446);
								} else {
				dasm_put(Dst, 59449);
								}
							}
					do {
						if (!((op1_info) & MAY_BE_GUARD)
						 && has_concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
							zend_uchar type = concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
							if (type == IS_STRING && !ZEND_DEBUG) {
					if (arm64_may_use_b(_efree)) {
				dasm_put(Dst, 59452, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
					} else {
					if (((uintptr_t)(_efree)) == 0) {
				dasm_put(Dst, 59455, (ZREG_X15));
					} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
				dasm_put(Dst, 59458, (ZREG_X15), ((uint64_t)(_efree)));
					} else if (arm64_may_use_adr((void*)(_efree))) {
				dasm_put(Dst, 59462, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
					} else if (arm64_may_use_adrp((void*)(_efree))) {
				dasm_put(Dst, 59466, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
						if (((uintptr_t)(_efree)) & 0xfff) {
				dasm_put(Dst, 59470, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
						}
					} else if ((uintptr_t)(_efree) & 0xffff) {
				dasm_put(Dst, 59475, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
						if (((uintptr_t)(_efree) >> 16) & 0xffff) {
				dasm_put(Dst, 59479, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
						}
						if (((uintptr_t)(_efree) >> 32) & 0xffff) {
				dasm_put(Dst, 59483, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
				dasm_put(Dst, 59487, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
						if (((uintptr_t)(_efree) >> 32) & 0xffff) {
				dasm_put(Dst, 59491, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 59495, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				dasm_put(Dst, 59499, (ZREG_X15));
					}
								break;
							} else if (type == IS_ARRAY) {
								if ((op1_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
									if (opline && ((op1_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 59502, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 59505, (ZREG_X15));
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 59508, (ZREG_X15), ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 59512, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 59516, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 59520, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 59525, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 59529, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 59533, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 59537, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 59541, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 59545, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 59549, (ZREG_X15), Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
									}
					if (arm64_may_use_b(zend_array_destroy)) {
				dasm_put(Dst, 59553, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
					} else {
					if (((uintptr_t)(zend_array_destroy)) == 0) {
				dasm_put(Dst, 59556, (ZREG_X15));
					} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
				dasm_put(Dst, 59559, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
					} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
				dasm_put(Dst, 59563, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
				dasm_put(Dst, 59567, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
						if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
				dasm_put(Dst, 59571, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
				dasm_put(Dst, 59576, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
						if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
				dasm_put(Dst, 59580, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
				dasm_put(Dst, 59584, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
				dasm_put(Dst, 59588, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
						if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
				dasm_put(Dst, 59592, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 59596, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				dasm_put(Dst, 59600, (ZREG_X15));
					}
								} else {
					if (arm64_may_use_b(zend_jit_array_free)) {
				dasm_put(Dst, 59603, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
					} else {
					if (((uintptr_t)(zend_jit_array_free)) == 0) {
				dasm_put(Dst, 59606, (ZREG_X15));
					} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
				dasm_put(Dst, 59609, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
					} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
				dasm_put(Dst, 59613, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
				dasm_put(Dst, 59617, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
						if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
				dasm_put(Dst, 59621, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
				dasm_put(Dst, 59626, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
						if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
				dasm_put(Dst, 59630, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
				dasm_put(Dst, 59634, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
				dasm_put(Dst, 59638, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
				dasm_put(Dst, 59642, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 59646, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				dasm_put(Dst, 59650, (ZREG_X15));
					}
								}
								break;
							} else if (type == IS_OBJECT) {
								if (opline) {
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 59653, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 59656);
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 59658, ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 59661, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 59664, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 59667, (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 59670, ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 59673, (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 59676, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 59679, (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 59682, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 59685, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 59688, Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
								}
					if (arm64_may_use_b(zend_objects_store_del)) {
				dasm_put(Dst, 59691, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
					} else {
					if (((uintptr_t)(zend_objects_store_del)) == 0) {
				dasm_put(Dst, 59694, (ZREG_X15));
					} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
				dasm_put(Dst, 59697, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
					} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
				dasm_put(Dst, 59701, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
				dasm_put(Dst, 59705, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
						if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
				dasm_put(Dst, 59709, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
				dasm_put(Dst, 59714, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
						if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
				dasm_put(Dst, 59718, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
				dasm_put(Dst, 59722, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
				dasm_put(Dst, 59726, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
						if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
				dasm_put(Dst, 59730, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 59734, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				dasm_put(Dst, 59738, (ZREG_X15));
					}
								break;
							}
						}
						if (opline) {
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 59741, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 59744, (ZREG_X15));
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 59747, (ZREG_X15), ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 59751, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 59755, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 59759, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 59764, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 59768, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 59772, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 59776, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 59780, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 59784, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 59788, (ZREG_X15), Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
						}
					if (arm64_may_use_b(rc_dtor_func)) {
				dasm_put(Dst, 59792, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
					} else {
					if (((uintptr_t)(rc_dtor_func)) == 0) {
				dasm_put(Dst, 59795, (ZREG_X15));
					} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
				dasm_put(Dst, 59798, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
					} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
				dasm_put(Dst, 59802, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
					} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
				dasm_put(Dst, 59806, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
						if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
				dasm_put(Dst, 59810, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
						}
					} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
				dasm_put(Dst, 59815, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
						if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
				dasm_put(Dst, 59819, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
						}
						if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
				dasm_put(Dst, 59823, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
				dasm_put(Dst, 59827, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
						if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
				dasm_put(Dst, 59831, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 59835, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				dasm_put(Dst, 59839, (ZREG_X15));
					}
					} while(0);
							if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
				dasm_put(Dst, 59842);
							}
				dasm_put(Dst, 59845);
						}
						if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
							if ((op1_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
								zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
					ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 59847, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 59851, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 59855, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 59859, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 59863, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 59868, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_REFERENCE == 0) {
				dasm_put(Dst, 59873, (ZREG_X15));
					} else {
				dasm_put(Dst, 59877, (ZREG_X15), IS_REFERENCE);
					}
					ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
				dasm_put(Dst, 59883, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
					} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
				dasm_put(Dst, 59887, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
				dasm_put(Dst, 59891, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 59895, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 59899, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 59904, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
					}
					if (IS_TYPE_COLLECTABLE == 0) {
				dasm_put(Dst, 59909, (ZREG_X15));
					} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
				dasm_put(Dst, 59912, (ZREG_X15), IS_TYPE_COLLECTABLE);
					} else {
					if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
				dasm_put(Dst, 59916, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
					} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
				dasm_put(Dst, 59920, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
						if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
				dasm_put(Dst, 59924, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 59928, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
					}
				dasm_put(Dst, 59932, (ZREG_X15), (ZREG_X16));
					}
				dasm_put(Dst, 59936);
					ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 59939, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
					} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
				dasm_put(Dst, 59943, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 59947, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 59951, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 59955, (Z_REG(ref_addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 59959, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
					}
				dasm_put(Dst, 59963);
							}
				dasm_put(Dst, 59965, (ZREG_X15));
					if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
				dasm_put(Dst, 59968, (ZREG_X15));
					} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
				dasm_put(Dst, 59971, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
					} else {
					if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
				dasm_put(Dst, 59975, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
					} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
				dasm_put(Dst, 59979, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
						if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
				dasm_put(Dst, 59983, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 59987, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
					}
				dasm_put(Dst, 59991, (ZREG_X15), (ZREG_X16));
					}
				dasm_put(Dst, 59995);
					if (arm64_may_use_b(gc_possible_root)) {
				dasm_put(Dst, 59998, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
					} else {
					if (((uintptr_t)(gc_possible_root)) == 0) {
				dasm_put(Dst, 60001, (ZREG_X15));
					} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
				dasm_put(Dst, 60004, (ZREG_X15), ((uint64_t)(gc_possible_root)));
					} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
				dasm_put(Dst, 60008, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
					} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
				dasm_put(Dst, 60012, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
						if (((uintptr_t)(gc_possible_root)) & 0xfff) {
				dasm_put(Dst, 60016, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
						}
					} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
				dasm_put(Dst, 60021, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
						if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
				dasm_put(Dst, 60025, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
						}
						if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
				dasm_put(Dst, 60029, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
				dasm_put(Dst, 60033, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
						if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
				dasm_put(Dst, 60037, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 60041, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				dasm_put(Dst, 60045, (ZREG_X15));
					}
						}
						if (1 && ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
				dasm_put(Dst, 60048);
						}
				dasm_put(Dst, 60051);
					}
					}
#line 7880 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				if (may_throw) {
					zend_jit_check_exception_undef_result(Dst, opline);
				}
				if (exit_addr && smart_branch_opcode == ZEND_JMPNZ) {
					//|	b &exit_addr
					dasm_put(Dst, 60053, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 7885 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else if (identical_label != (uint32_t)-1) {
					//|	b =>identical_label
					dasm_put(Dst, 60056, identical_label);
#line 7887 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	b >9
					dasm_put(Dst, 60059);
#line 7889 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|8:
				dasm_put(Dst, 60062);
#line 7891 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else if (exit_addr && smart_branch_opcode == ZEND_JMPNZ) {
				//|	beq &exit_addr
				dasm_put(Dst, 60064, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 7893 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else if (identical_label != (uint32_t)-1) {
				//|	beq =>identical_label
				dasm_put(Dst, 60067, identical_label);
#line 7895 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	beq >9
				dasm_put(Dst, 60070);
#line 7897 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else {
			if (opline->opcode != ZEND_IS_NOT_IDENTICAL) {
				//|	cset REG0w, eq
				dasm_put(Dst, 60073);
#line 7901 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	cset REG0w, ne
				dasm_put(Dst, 60075);
#line 7903 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	add REG0w, REG0w, #2
			//|	SET_ZVAL_TYPE_INFO_FROM_REG res_addr, REG0w, TMP1
			dasm_put(Dst, 60077);
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 60079, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 60082, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 60085, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 60088, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 60091, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 60094, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
#line 7906 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (opline->opcode != ZEND_CASE_STRICT
		 && (opline->op1_type & (IS_VAR|IS_TMP_VAR)) &&
		    (op1_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF))) {
			//|	FREE_OP opline->op1_type, opline->op1, op1_info, 1, opline, ZREG_TMP1, ZREG_TMP2
				if (opline->op1_type & (IS_VAR|IS_TMP_VAR)) {
					zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op1.var);
				if ((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
					if ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
						if (1) {
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 60098, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 60102, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 60106, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 60110, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 60114, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 60119, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_REFCOUNTED == 0) {
			dasm_put(Dst, 60124, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
			dasm_put(Dst, 60127, (ZREG_X15), IS_TYPE_REFCOUNTED);
				} else {
				if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
			dasm_put(Dst, 60131, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
				} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
			dasm_put(Dst, 60135, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
					if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
			dasm_put(Dst, 60139, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 60143, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			dasm_put(Dst, 60147, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 60151);
			dasm_put(Dst, 60154);
						} else {
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 60156, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 60160, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 60164, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 60168, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 60172, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 60177, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_REFCOUNTED == 0) {
			dasm_put(Dst, 60182, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
			dasm_put(Dst, 60185, (ZREG_X15), IS_TYPE_REFCOUNTED);
				} else {
				if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
			dasm_put(Dst, 60189, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
				} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
			dasm_put(Dst, 60193, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
					if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
			dasm_put(Dst, 60197, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 60201, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			dasm_put(Dst, 60205, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 60209);
						}
					}
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 60212, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
				} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
			dasm_put(Dst, 60216, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 60220, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 60224, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 60228, (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 60232, (Z_REG(addr)), (Z_OFFSET(addr)));
				}
			dasm_put(Dst, 60236, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
					if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op1_info)) {
						if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op1_info)) {
							if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
			dasm_put(Dst, 60244);
							} else {
			dasm_put(Dst, 60247);
							}
						}
				do {
					if (!((op1_info) & MAY_BE_GUARD)
					 && has_concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
						zend_uchar type = concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
						if (type == IS_STRING && !ZEND_DEBUG) {
				if (arm64_may_use_b(_efree)) {
			dasm_put(Dst, 60250, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
				} else {
				if (((uintptr_t)(_efree)) == 0) {
			dasm_put(Dst, 60253, (ZREG_X15));
				} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
			dasm_put(Dst, 60256, (ZREG_X15), ((uint64_t)(_efree)));
				} else if (arm64_may_use_adr((void*)(_efree))) {
			dasm_put(Dst, 60260, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
				} else if (arm64_may_use_adrp((void*)(_efree))) {
			dasm_put(Dst, 60264, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
					if (((uintptr_t)(_efree)) & 0xfff) {
			dasm_put(Dst, 60268, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
					}
				} else if ((uintptr_t)(_efree) & 0xffff) {
			dasm_put(Dst, 60273, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
					if (((uintptr_t)(_efree) >> 16) & 0xffff) {
			dasm_put(Dst, 60277, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
					}
					if (((uintptr_t)(_efree) >> 32) & 0xffff) {
			dasm_put(Dst, 60281, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
			dasm_put(Dst, 60285, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
					if (((uintptr_t)(_efree) >> 32) & 0xffff) {
			dasm_put(Dst, 60289, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 60293, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			dasm_put(Dst, 60297, (ZREG_X15));
				}
							break;
						} else if (type == IS_ARRAY) {
							if ((op1_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
								if (opline && ((op1_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 60300, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 60303, (ZREG_X15));
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 60306, (ZREG_X15), ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 60310, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 60314, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 60318, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 60323, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 60327, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 60331, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 60335, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 60339, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 60343, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 60347, (ZREG_X15), Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
								}
				if (arm64_may_use_b(zend_array_destroy)) {
			dasm_put(Dst, 60351, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
				} else {
				if (((uintptr_t)(zend_array_destroy)) == 0) {
			dasm_put(Dst, 60354, (ZREG_X15));
				} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
			dasm_put(Dst, 60357, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
				} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
			dasm_put(Dst, 60361, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
			dasm_put(Dst, 60365, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
					if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
			dasm_put(Dst, 60369, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
			dasm_put(Dst, 60374, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
					if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
			dasm_put(Dst, 60378, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
			dasm_put(Dst, 60382, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
			dasm_put(Dst, 60386, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
					if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
			dasm_put(Dst, 60390, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 60394, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			dasm_put(Dst, 60398, (ZREG_X15));
				}
							} else {
				if (arm64_may_use_b(zend_jit_array_free)) {
			dasm_put(Dst, 60401, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
				} else {
				if (((uintptr_t)(zend_jit_array_free)) == 0) {
			dasm_put(Dst, 60404, (ZREG_X15));
				} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
			dasm_put(Dst, 60407, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
				} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
			dasm_put(Dst, 60411, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
			dasm_put(Dst, 60415, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
					if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
			dasm_put(Dst, 60419, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
			dasm_put(Dst, 60424, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
					if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
			dasm_put(Dst, 60428, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
			dasm_put(Dst, 60432, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
			dasm_put(Dst, 60436, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
			dasm_put(Dst, 60440, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 60444, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			dasm_put(Dst, 60448, (ZREG_X15));
				}
							}
							break;
						} else if (type == IS_OBJECT) {
							if (opline) {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 60451, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 60454);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 60456, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 60459, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 60462, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 60465, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 60468, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 60471, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 60474, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 60477, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 60480, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 60483, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 60486, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
							}
				if (arm64_may_use_b(zend_objects_store_del)) {
			dasm_put(Dst, 60489, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
				} else {
				if (((uintptr_t)(zend_objects_store_del)) == 0) {
			dasm_put(Dst, 60492, (ZREG_X15));
				} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
			dasm_put(Dst, 60495, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
				} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
			dasm_put(Dst, 60499, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
			dasm_put(Dst, 60503, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
					if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
			dasm_put(Dst, 60507, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
			dasm_put(Dst, 60512, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
					if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
			dasm_put(Dst, 60516, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
			dasm_put(Dst, 60520, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
			dasm_put(Dst, 60524, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
					if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
			dasm_put(Dst, 60528, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 60532, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			dasm_put(Dst, 60536, (ZREG_X15));
				}
							break;
						}
					}
					if (opline) {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 60539, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 60542, (ZREG_X15));
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 60545, (ZREG_X15), ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 60549, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 60553, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 60557, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 60562, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 60566, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 60570, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 60574, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 60578, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 60582, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 60586, (ZREG_X15), Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
					}
				if (arm64_may_use_b(rc_dtor_func)) {
			dasm_put(Dst, 60590, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
				} else {
				if (((uintptr_t)(rc_dtor_func)) == 0) {
			dasm_put(Dst, 60593, (ZREG_X15));
				} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
			dasm_put(Dst, 60596, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
				} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
			dasm_put(Dst, 60600, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
				} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
			dasm_put(Dst, 60604, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
					if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
			dasm_put(Dst, 60608, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
					}
				} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
			dasm_put(Dst, 60613, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
					if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
			dasm_put(Dst, 60617, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
					}
					if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
			dasm_put(Dst, 60621, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
			dasm_put(Dst, 60625, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
					if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
			dasm_put(Dst, 60629, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 60633, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			dasm_put(Dst, 60637, (ZREG_X15));
				}
				} while(0);
						if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
			dasm_put(Dst, 60640);
						}
			dasm_put(Dst, 60643);
					}
					if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
						if ((op1_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
							zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 60645, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 60649, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 60653, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 60657, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 60661, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 60666, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_REFERENCE == 0) {
			dasm_put(Dst, 60671, (ZREG_X15));
				} else {
			dasm_put(Dst, 60675, (ZREG_X15), IS_REFERENCE);
				}
				ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 60681, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 60685, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 60689, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 60693, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 60697, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 60702, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_COLLECTABLE == 0) {
			dasm_put(Dst, 60707, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
			dasm_put(Dst, 60710, (ZREG_X15), IS_TYPE_COLLECTABLE);
				} else {
				if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
			dasm_put(Dst, 60714, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
				} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
			dasm_put(Dst, 60718, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
					if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
			dasm_put(Dst, 60722, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 60726, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			dasm_put(Dst, 60730, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 60734);
				ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 60737, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
			dasm_put(Dst, 60741, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 60745, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 60749, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 60753, (Z_REG(ref_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 60757, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
				}
			dasm_put(Dst, 60761);
						}
			dasm_put(Dst, 60763, (ZREG_X15));
				if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
			dasm_put(Dst, 60766, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
			dasm_put(Dst, 60769, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
				} else {
				if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
			dasm_put(Dst, 60773, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
				} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
			dasm_put(Dst, 60777, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
					if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
			dasm_put(Dst, 60781, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 60785, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			dasm_put(Dst, 60789, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 60793);
				if (arm64_may_use_b(gc_possible_root)) {
			dasm_put(Dst, 60796, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
				} else {
				if (((uintptr_t)(gc_possible_root)) == 0) {
			dasm_put(Dst, 60799, (ZREG_X15));
				} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
			dasm_put(Dst, 60802, (ZREG_X15), ((uint64_t)(gc_possible_root)));
				} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
			dasm_put(Dst, 60806, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
				} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
			dasm_put(Dst, 60810, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
					if (((uintptr_t)(gc_possible_root)) & 0xfff) {
			dasm_put(Dst, 60814, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
					}
				} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
			dasm_put(Dst, 60819, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
					if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
			dasm_put(Dst, 60823, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
					}
					if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
			dasm_put(Dst, 60827, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
			dasm_put(Dst, 60831, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
					if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
			dasm_put(Dst, 60835, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 60839, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			dasm_put(Dst, 60843, (ZREG_X15));
				}
					}
					if (1 && ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
			dasm_put(Dst, 60846);
					}
			dasm_put(Dst, 60849);
				}
				}
#line 7911 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (may_throw) {
				zend_jit_check_exception_undef_result(Dst, opline);
			}
		}
		if (smart_branch_opcode) {
			if (exit_addr) {
				if (smart_branch_opcode == ZEND_JMPZ) {
					//|	b &exit_addr
					dasm_put(Dst, 60851, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 7919 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else if (not_identical_label != (uint32_t)-1) {
				//|	b =>not_identical_label
				dasm_put(Dst, 60854, not_identical_label);
#line 7922 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
	} else {
		if (opline->op1_type == IS_CONST) {
			//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
			dasm_put(Dst, 60857);
				} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 60859, ((uint64_t)(Z_ZV(op1_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 60862, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 60865, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
			dasm_put(Dst, 60868, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
			dasm_put(Dst, 60871, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 60874, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 60877, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 60880, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 60883, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 60886, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(op1_addr)) {
				if (Z_OFFSET(op1_addr) == 0) {
			dasm_put(Dst, 60889, (Z_REG(op1_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
			dasm_put(Dst, 60892, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 60896, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 60899, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 60902, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 60905, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 60908, (Z_REG(op1_addr)));
				}
					} else {
						if (Z_REG(op1_addr) == ZREG_RSP) {
			dasm_put(Dst, 60911);
						} else {
			dasm_put(Dst, 60913, (Z_REG(op1_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 7927 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (opline->op2_type == IS_CONST) {
			//|	LOAD_ZVAL_ADDR FCARG2x, op2_addr
				if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op2_addr))) == 0) {
			dasm_put(Dst, 60916);
				} else if (((uintptr_t)(Z_ZV(op2_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 60918, ((uint64_t)(Z_ZV(op2_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op2_addr)))) {
			dasm_put(Dst, 60921, (unsigned int)((ptrdiff_t)(Z_ZV(op2_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op2_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op2_addr)))) {
			dasm_put(Dst, 60924, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff) {
			dasm_put(Dst, 60927, (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff) {
			dasm_put(Dst, 60930, ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 60933, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 60936, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 60939, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 60942, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 60945, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(op2_addr)) {
				if (Z_OFFSET(op2_addr) == 0) {
			dasm_put(Dst, 60948, (Z_REG(op2_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op2_addr)))) {
			dasm_put(Dst, 60951, (Z_REG(op2_addr)), Z_OFFSET(op2_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 60955, ((uint32_t)(Z_OFFSET(op2_addr))));
				} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
			dasm_put(Dst, 60958, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 60961, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 60964, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 60967, (Z_REG(op2_addr)));
				}
					} else {
						if (Z_REG(op2_addr) == ZREG_RSP) {
			dasm_put(Dst, 60970);
						} else {
			dasm_put(Dst, 60972, (Z_REG(op2_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 7930 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	EXT_CALL zend_is_identical, REG0
			if (arm64_may_use_b(zend_is_identical)) {
		dasm_put(Dst, 60975, (unsigned int)((ptrdiff_t)(zend_is_identical)), (unsigned int)(((ptrdiff_t)(zend_is_identical))>>32));
			} else {
			if (((uintptr_t)(zend_is_identical)) == 0) {
		dasm_put(Dst, 60978);
			} else if (((uintptr_t)(zend_is_identical)) <= MOVZ_IMM) {
		dasm_put(Dst, 60980, ((uint64_t)(zend_is_identical)));
			} else if (arm64_may_use_adr((void*)(zend_is_identical))) {
		dasm_put(Dst, 60983, (unsigned int)((ptrdiff_t)(zend_is_identical)), (unsigned int)(((ptrdiff_t)(zend_is_identical))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_is_identical))) {
		dasm_put(Dst, 60986, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_is_identical))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_is_identical)))))>>32));
				if (((uintptr_t)(zend_is_identical)) & 0xfff) {
		dasm_put(Dst, 60989, (((uintptr_t)(zend_is_identical)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_is_identical) & 0xffff) {
		dasm_put(Dst, 60992, ((uintptr_t)(zend_is_identical) & 0xffff));
				if (((uintptr_t)(zend_is_identical) >> 16) & 0xffff) {
		dasm_put(Dst, 60995, (((uintptr_t)(zend_is_identical) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_is_identical) >> 32) & 0xffff) {
		dasm_put(Dst, 60998, (((uintptr_t)(zend_is_identical) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_is_identical) >> 16) & 0xffff) {
		dasm_put(Dst, 61001, (((uintptr_t)(zend_is_identical) >> 16) & 0xffff));
				if (((uintptr_t)(zend_is_identical) >> 32) & 0xffff) {
		dasm_put(Dst, 61004, (((uintptr_t)(zend_is_identical) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 61007, (((uintptr_t)(zend_is_identical) >> 32) & 0xffff));
			}
		dasm_put(Dst, 61010);
			}
#line 7932 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if ((opline->opcode != ZEND_CASE_STRICT &&
			     (opline->op1_type & (IS_VAR|IS_TMP_VAR)) &&
			     (op1_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF))) ||
			    ((opline->op2_type & (IS_VAR|IS_TMP_VAR)) &&
			     (op2_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF)))) {
				//|	str RETVALw, T1 // save
				dasm_put(Dst, 61012);
#line 7938 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				if (opline->opcode != ZEND_CASE_STRICT) {
					//|	FREE_OP opline->op1_type, opline->op1, op1_info, 1, opline, ZREG_TMP1, ZREG_TMP2
						if (opline->op1_type & (IS_VAR|IS_TMP_VAR)) {
							zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op1.var);
						if ((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
							if ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
								if (1) {
						ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
					dasm_put(Dst, 61014, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
						} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
					dasm_put(Dst, 61018, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
					dasm_put(Dst, 61022, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 61026, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 61030, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
						} else {
					dasm_put(Dst, 61035, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
						}
						if (IS_TYPE_REFCOUNTED == 0) {
					dasm_put(Dst, 61040, (ZREG_X15));
						} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
					dasm_put(Dst, 61043, (ZREG_X15), IS_TYPE_REFCOUNTED);
						} else {
						if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
					dasm_put(Dst, 61047, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
						} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
					dasm_put(Dst, 61051, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
							if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
					dasm_put(Dst, 61055, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 61059, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
						}
					dasm_put(Dst, 61063, (ZREG_X15), (ZREG_X16));
						}
					dasm_put(Dst, 61067);
					dasm_put(Dst, 61070);
								} else {
						ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
					dasm_put(Dst, 61072, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
						} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
					dasm_put(Dst, 61076, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
					dasm_put(Dst, 61080, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 61084, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 61088, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
						} else {
					dasm_put(Dst, 61093, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
						}
						if (IS_TYPE_REFCOUNTED == 0) {
					dasm_put(Dst, 61098, (ZREG_X15));
						} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
					dasm_put(Dst, 61101, (ZREG_X15), IS_TYPE_REFCOUNTED);
						} else {
						if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
					dasm_put(Dst, 61105, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
						} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
					dasm_put(Dst, 61109, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
							if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
					dasm_put(Dst, 61113, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 61117, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
						}
					dasm_put(Dst, 61121, (ZREG_X15), (ZREG_X16));
						}
					dasm_put(Dst, 61125);
								}
							}
						ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 61128, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
						} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
					dasm_put(Dst, 61132, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 61136, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 61140, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 61144, (Z_REG(addr)), (ZREG_X16));
						} else {
					dasm_put(Dst, 61148, (Z_REG(addr)), (Z_OFFSET(addr)));
						}
					dasm_put(Dst, 61152, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
							if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op1_info)) {
								if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op1_info)) {
									if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					dasm_put(Dst, 61160);
									} else {
					dasm_put(Dst, 61163);
									}
								}
						do {
							if (!((op1_info) & MAY_BE_GUARD)
							 && has_concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
								zend_uchar type = concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
								if (type == IS_STRING && !ZEND_DEBUG) {
						if (arm64_may_use_b(_efree)) {
					dasm_put(Dst, 61166, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
						} else {
						if (((uintptr_t)(_efree)) == 0) {
					dasm_put(Dst, 61169, (ZREG_X15));
						} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
					dasm_put(Dst, 61172, (ZREG_X15), ((uint64_t)(_efree)));
						} else if (arm64_may_use_adr((void*)(_efree))) {
					dasm_put(Dst, 61176, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
						} else if (arm64_may_use_adrp((void*)(_efree))) {
					dasm_put(Dst, 61180, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
							if (((uintptr_t)(_efree)) & 0xfff) {
					dasm_put(Dst, 61184, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
							}
						} else if ((uintptr_t)(_efree) & 0xffff) {
					dasm_put(Dst, 61189, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
							if (((uintptr_t)(_efree) >> 16) & 0xffff) {
					dasm_put(Dst, 61193, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
							}
							if (((uintptr_t)(_efree) >> 32) & 0xffff) {
					dasm_put(Dst, 61197, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
					dasm_put(Dst, 61201, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
							if (((uintptr_t)(_efree) >> 32) & 0xffff) {
					dasm_put(Dst, 61205, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 61209, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
						}
					dasm_put(Dst, 61213, (ZREG_X15));
						}
									break;
								} else if (type == IS_ARRAY) {
									if ((op1_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
										if (opline && ((op1_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
						if (opline == last_valid_opline) {
							zend_jit_use_last_valid_opline();
						if (GCC_GLOBAL_REGS) {
					dasm_put(Dst, 61216, Dt1(->opline));
						}
						} else {
						if (((uintptr_t)(opline)) == 0) {
					dasm_put(Dst, 61219, (ZREG_X15));
						} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
					dasm_put(Dst, 61222, (ZREG_X15), ((uint64_t)(opline)));
						} else if (arm64_may_use_adr((void*)(opline))) {
					dasm_put(Dst, 61226, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
						} else if (arm64_may_use_adrp((void*)(opline))) {
					dasm_put(Dst, 61230, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
							if (((uintptr_t)(opline)) & 0xfff) {
					dasm_put(Dst, 61234, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
							}
						} else if ((uintptr_t)(opline) & 0xffff) {
					dasm_put(Dst, 61239, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
							if (((uintptr_t)(opline) >> 16) & 0xffff) {
					dasm_put(Dst, 61243, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
							}
							if (((uintptr_t)(opline) >> 32) & 0xffff) {
					dasm_put(Dst, 61247, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
					dasm_put(Dst, 61251, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
							if (((uintptr_t)(opline) >> 32) & 0xffff) {
					dasm_put(Dst, 61255, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 61259, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					dasm_put(Dst, 61263, (ZREG_X15), Dt1(->opline));
							if (!GCC_GLOBAL_REGS) {
								zend_jit_reset_last_valid_opline();
							}
						}
										}
						if (arm64_may_use_b(zend_array_destroy)) {
					dasm_put(Dst, 61267, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
						} else {
						if (((uintptr_t)(zend_array_destroy)) == 0) {
					dasm_put(Dst, 61270, (ZREG_X15));
						} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
					dasm_put(Dst, 61273, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
						} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
					dasm_put(Dst, 61277, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
					dasm_put(Dst, 61281, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
							if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
					dasm_put(Dst, 61285, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
					dasm_put(Dst, 61290, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
							if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
					dasm_put(Dst, 61294, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
					dasm_put(Dst, 61298, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
					dasm_put(Dst, 61302, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
							if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
					dasm_put(Dst, 61306, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 61310, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
						}
					dasm_put(Dst, 61314, (ZREG_X15));
						}
									} else {
						if (arm64_may_use_b(zend_jit_array_free)) {
					dasm_put(Dst, 61317, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
						} else {
						if (((uintptr_t)(zend_jit_array_free)) == 0) {
					dasm_put(Dst, 61320, (ZREG_X15));
						} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
					dasm_put(Dst, 61323, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
						} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
					dasm_put(Dst, 61327, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
					dasm_put(Dst, 61331, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
							if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
					dasm_put(Dst, 61335, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
					dasm_put(Dst, 61340, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
							if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
					dasm_put(Dst, 61344, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
					dasm_put(Dst, 61348, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
					dasm_put(Dst, 61352, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
							if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
					dasm_put(Dst, 61356, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 61360, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
						}
					dasm_put(Dst, 61364, (ZREG_X15));
						}
									}
									break;
								} else if (type == IS_OBJECT) {
									if (opline) {
						if (opline == last_valid_opline) {
							zend_jit_use_last_valid_opline();
						if (GCC_GLOBAL_REGS) {
					dasm_put(Dst, 61367, Dt1(->opline));
						}
						} else {
						if (((uintptr_t)(opline)) == 0) {
					dasm_put(Dst, 61370);
						} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
					dasm_put(Dst, 61372, ((uint64_t)(opline)));
						} else if (arm64_may_use_adr((void*)(opline))) {
					dasm_put(Dst, 61375, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
						} else if (arm64_may_use_adrp((void*)(opline))) {
					dasm_put(Dst, 61378, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
							if (((uintptr_t)(opline)) & 0xfff) {
					dasm_put(Dst, 61381, (((uintptr_t)(opline)) & 0xfff));
							}
						} else if ((uintptr_t)(opline) & 0xffff) {
					dasm_put(Dst, 61384, ((uintptr_t)(opline) & 0xffff));
							if (((uintptr_t)(opline) >> 16) & 0xffff) {
					dasm_put(Dst, 61387, (((uintptr_t)(opline) >> 16) & 0xffff));
							}
							if (((uintptr_t)(opline) >> 32) & 0xffff) {
					dasm_put(Dst, 61390, (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
					dasm_put(Dst, 61393, (((uintptr_t)(opline) >> 16) & 0xffff));
							if (((uintptr_t)(opline) >> 32) & 0xffff) {
					dasm_put(Dst, 61396, (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 61399, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					dasm_put(Dst, 61402, Dt1(->opline));
							if (!GCC_GLOBAL_REGS) {
								zend_jit_reset_last_valid_opline();
							}
						}
									}
						if (arm64_may_use_b(zend_objects_store_del)) {
					dasm_put(Dst, 61405, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
						} else {
						if (((uintptr_t)(zend_objects_store_del)) == 0) {
					dasm_put(Dst, 61408, (ZREG_X15));
						} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
					dasm_put(Dst, 61411, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
						} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
					dasm_put(Dst, 61415, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
					dasm_put(Dst, 61419, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
							if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
					dasm_put(Dst, 61423, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
					dasm_put(Dst, 61428, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
							if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
					dasm_put(Dst, 61432, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
					dasm_put(Dst, 61436, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
					dasm_put(Dst, 61440, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
							if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
					dasm_put(Dst, 61444, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 61448, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
						}
					dasm_put(Dst, 61452, (ZREG_X15));
						}
									break;
								}
							}
							if (opline) {
						if (opline == last_valid_opline) {
							zend_jit_use_last_valid_opline();
						if (GCC_GLOBAL_REGS) {
					dasm_put(Dst, 61455, Dt1(->opline));
						}
						} else {
						if (((uintptr_t)(opline)) == 0) {
					dasm_put(Dst, 61458, (ZREG_X15));
						} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
					dasm_put(Dst, 61461, (ZREG_X15), ((uint64_t)(opline)));
						} else if (arm64_may_use_adr((void*)(opline))) {
					dasm_put(Dst, 61465, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
						} else if (arm64_may_use_adrp((void*)(opline))) {
					dasm_put(Dst, 61469, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
							if (((uintptr_t)(opline)) & 0xfff) {
					dasm_put(Dst, 61473, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
							}
						} else if ((uintptr_t)(opline) & 0xffff) {
					dasm_put(Dst, 61478, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
							if (((uintptr_t)(opline) >> 16) & 0xffff) {
					dasm_put(Dst, 61482, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
							}
							if (((uintptr_t)(opline) >> 32) & 0xffff) {
					dasm_put(Dst, 61486, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
					dasm_put(Dst, 61490, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
							if (((uintptr_t)(opline) >> 32) & 0xffff) {
					dasm_put(Dst, 61494, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 61498, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					dasm_put(Dst, 61502, (ZREG_X15), Dt1(->opline));
							if (!GCC_GLOBAL_REGS) {
								zend_jit_reset_last_valid_opline();
							}
						}
							}
						if (arm64_may_use_b(rc_dtor_func)) {
					dasm_put(Dst, 61506, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
						} else {
						if (((uintptr_t)(rc_dtor_func)) == 0) {
					dasm_put(Dst, 61509, (ZREG_X15));
						} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
					dasm_put(Dst, 61512, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
						} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
					dasm_put(Dst, 61516, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
						} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
					dasm_put(Dst, 61520, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
							if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
					dasm_put(Dst, 61524, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
							}
						} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
					dasm_put(Dst, 61529, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
							if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
					dasm_put(Dst, 61533, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
							}
							if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
					dasm_put(Dst, 61537, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
					dasm_put(Dst, 61541, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
							if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
					dasm_put(Dst, 61545, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 61549, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
						}
					dasm_put(Dst, 61553, (ZREG_X15));
						}
						} while(0);
								if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					dasm_put(Dst, 61556);
								}
					dasm_put(Dst, 61559);
							}
							if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
								if ((op1_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
									zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
						ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 61561, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 61565, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 61569, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 61573, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 61577, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 61582, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
						}
						if (IS_REFERENCE == 0) {
					dasm_put(Dst, 61587, (ZREG_X15));
						} else {
					dasm_put(Dst, 61591, (ZREG_X15), IS_REFERENCE);
						}
						ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
					dasm_put(Dst, 61597, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
						} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
					dasm_put(Dst, 61601, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
					dasm_put(Dst, 61605, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 61609, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 61613, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
						} else {
					dasm_put(Dst, 61618, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
						}
						if (IS_TYPE_COLLECTABLE == 0) {
					dasm_put(Dst, 61623, (ZREG_X15));
						} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
					dasm_put(Dst, 61626, (ZREG_X15), IS_TYPE_COLLECTABLE);
						} else {
						if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
					dasm_put(Dst, 61630, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
						} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
					dasm_put(Dst, 61634, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
							if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
					dasm_put(Dst, 61638, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 61642, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
						}
					dasm_put(Dst, 61646, (ZREG_X15), (ZREG_X16));
						}
					dasm_put(Dst, 61650);
						ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 61653, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
						} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
					dasm_put(Dst, 61657, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 61661, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 61665, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 61669, (Z_REG(ref_addr)), (ZREG_X16));
						} else {
					dasm_put(Dst, 61673, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
						}
					dasm_put(Dst, 61677);
								}
					dasm_put(Dst, 61679, (ZREG_X15));
						if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
					dasm_put(Dst, 61682, (ZREG_X15));
						} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
					dasm_put(Dst, 61685, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
						} else {
						if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
					dasm_put(Dst, 61689, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
						} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
					dasm_put(Dst, 61693, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
							if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
					dasm_put(Dst, 61697, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 61701, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
						}
					dasm_put(Dst, 61705, (ZREG_X15), (ZREG_X16));
						}
					dasm_put(Dst, 61709);
						if (arm64_may_use_b(gc_possible_root)) {
					dasm_put(Dst, 61712, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
						} else {
						if (((uintptr_t)(gc_possible_root)) == 0) {
					dasm_put(Dst, 61715, (ZREG_X15));
						} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
					dasm_put(Dst, 61718, (ZREG_X15), ((uint64_t)(gc_possible_root)));
						} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
					dasm_put(Dst, 61722, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
						} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
					dasm_put(Dst, 61726, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
							if (((uintptr_t)(gc_possible_root)) & 0xfff) {
					dasm_put(Dst, 61730, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
							}
						} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
					dasm_put(Dst, 61735, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
							if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
					dasm_put(Dst, 61739, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
							}
							if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
					dasm_put(Dst, 61743, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
					dasm_put(Dst, 61747, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
							if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
					dasm_put(Dst, 61751, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 61755, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
						}
					dasm_put(Dst, 61759, (ZREG_X15));
						}
							}
							if (1 && ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
					dasm_put(Dst, 61762);
							}
					dasm_put(Dst, 61765);
						}
						}
#line 7940 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|	FREE_OP opline->op2_type, opline->op2, op2_info, 1, opline, ZREG_TMP1, ZREG_TMP2
					if (opline->op2_type & (IS_VAR|IS_TMP_VAR)) {
						zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op2.var);
					if ((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
						if ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
							if (1) {
					ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
				dasm_put(Dst, 61767, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
					} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
				dasm_put(Dst, 61771, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
				dasm_put(Dst, 61775, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 61779, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 61783, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 61788, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
					}
					if (IS_TYPE_REFCOUNTED == 0) {
				dasm_put(Dst, 61793, (ZREG_X15));
					} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
				dasm_put(Dst, 61796, (ZREG_X15), IS_TYPE_REFCOUNTED);
					} else {
					if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
				dasm_put(Dst, 61800, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
					} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
				dasm_put(Dst, 61804, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
						if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
				dasm_put(Dst, 61808, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 61812, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				dasm_put(Dst, 61816, (ZREG_X15), (ZREG_X16));
					}
				dasm_put(Dst, 61820);
				dasm_put(Dst, 61823);
							} else {
					ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
				dasm_put(Dst, 61825, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
					} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
				dasm_put(Dst, 61829, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
				dasm_put(Dst, 61833, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 61837, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 61841, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 61846, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
					}
					if (IS_TYPE_REFCOUNTED == 0) {
				dasm_put(Dst, 61851, (ZREG_X15));
					} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
				dasm_put(Dst, 61854, (ZREG_X15), IS_TYPE_REFCOUNTED);
					} else {
					if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
				dasm_put(Dst, 61858, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
					} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
				dasm_put(Dst, 61862, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
						if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
				dasm_put(Dst, 61866, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 61870, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				dasm_put(Dst, 61874, (ZREG_X15), (ZREG_X16));
					}
				dasm_put(Dst, 61878);
							}
						}
					ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 61881, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
					} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
				dasm_put(Dst, 61885, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 61889, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 61893, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 61897, (Z_REG(addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 61901, (Z_REG(addr)), (Z_OFFSET(addr)));
					}
				dasm_put(Dst, 61905, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
						if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op2_info)) {
							if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op2_info)) {
								if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
				dasm_put(Dst, 61913);
								} else {
				dasm_put(Dst, 61916);
								}
							}
					do {
						if (!((op2_info) & MAY_BE_GUARD)
						 && has_concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
							zend_uchar type = concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
							if (type == IS_STRING && !ZEND_DEBUG) {
					if (arm64_may_use_b(_efree)) {
				dasm_put(Dst, 61919, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
					} else {
					if (((uintptr_t)(_efree)) == 0) {
				dasm_put(Dst, 61922, (ZREG_X15));
					} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
				dasm_put(Dst, 61925, (ZREG_X15), ((uint64_t)(_efree)));
					} else if (arm64_may_use_adr((void*)(_efree))) {
				dasm_put(Dst, 61929, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
					} else if (arm64_may_use_adrp((void*)(_efree))) {
				dasm_put(Dst, 61933, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
						if (((uintptr_t)(_efree)) & 0xfff) {
				dasm_put(Dst, 61937, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
						}
					} else if ((uintptr_t)(_efree) & 0xffff) {
				dasm_put(Dst, 61942, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
						if (((uintptr_t)(_efree) >> 16) & 0xffff) {
				dasm_put(Dst, 61946, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
						}
						if (((uintptr_t)(_efree) >> 32) & 0xffff) {
				dasm_put(Dst, 61950, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
				dasm_put(Dst, 61954, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
						if (((uintptr_t)(_efree) >> 32) & 0xffff) {
				dasm_put(Dst, 61958, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 61962, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				dasm_put(Dst, 61966, (ZREG_X15));
					}
								break;
							} else if (type == IS_ARRAY) {
								if ((op2_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
									if (opline && ((op2_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 61969, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 61972, (ZREG_X15));
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 61975, (ZREG_X15), ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 61979, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 61983, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 61987, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 61992, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 61996, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 62000, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 62004, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 62008, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 62012, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 62016, (ZREG_X15), Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
									}
					if (arm64_may_use_b(zend_array_destroy)) {
				dasm_put(Dst, 62020, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
					} else {
					if (((uintptr_t)(zend_array_destroy)) == 0) {
				dasm_put(Dst, 62023, (ZREG_X15));
					} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
				dasm_put(Dst, 62026, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
					} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
				dasm_put(Dst, 62030, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
				dasm_put(Dst, 62034, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
						if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
				dasm_put(Dst, 62038, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
				dasm_put(Dst, 62043, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
						if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
				dasm_put(Dst, 62047, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
				dasm_put(Dst, 62051, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
				dasm_put(Dst, 62055, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
						if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
				dasm_put(Dst, 62059, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 62063, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				dasm_put(Dst, 62067, (ZREG_X15));
					}
								} else {
					if (arm64_may_use_b(zend_jit_array_free)) {
				dasm_put(Dst, 62070, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
					} else {
					if (((uintptr_t)(zend_jit_array_free)) == 0) {
				dasm_put(Dst, 62073, (ZREG_X15));
					} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
				dasm_put(Dst, 62076, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
					} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
				dasm_put(Dst, 62080, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
				dasm_put(Dst, 62084, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
						if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
				dasm_put(Dst, 62088, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
				dasm_put(Dst, 62093, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
						if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
				dasm_put(Dst, 62097, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
				dasm_put(Dst, 62101, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
				dasm_put(Dst, 62105, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
				dasm_put(Dst, 62109, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 62113, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				dasm_put(Dst, 62117, (ZREG_X15));
					}
								}
								break;
							} else if (type == IS_OBJECT) {
								if (opline) {
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 62120, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 62123);
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 62125, ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 62128, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 62131, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 62134, (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 62137, ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 62140, (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 62143, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 62146, (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 62149, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 62152, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 62155, Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
								}
					if (arm64_may_use_b(zend_objects_store_del)) {
				dasm_put(Dst, 62158, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
					} else {
					if (((uintptr_t)(zend_objects_store_del)) == 0) {
				dasm_put(Dst, 62161, (ZREG_X15));
					} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
				dasm_put(Dst, 62164, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
					} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
				dasm_put(Dst, 62168, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
				dasm_put(Dst, 62172, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
						if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
				dasm_put(Dst, 62176, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
				dasm_put(Dst, 62181, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
						if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
				dasm_put(Dst, 62185, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
				dasm_put(Dst, 62189, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
				dasm_put(Dst, 62193, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
						if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
				dasm_put(Dst, 62197, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 62201, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				dasm_put(Dst, 62205, (ZREG_X15));
					}
								break;
							}
						}
						if (opline) {
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 62208, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 62211, (ZREG_X15));
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 62214, (ZREG_X15), ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 62218, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 62222, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 62226, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 62231, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 62235, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 62239, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 62243, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 62247, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 62251, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 62255, (ZREG_X15), Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
						}
					if (arm64_may_use_b(rc_dtor_func)) {
				dasm_put(Dst, 62259, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
					} else {
					if (((uintptr_t)(rc_dtor_func)) == 0) {
				dasm_put(Dst, 62262, (ZREG_X15));
					} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
				dasm_put(Dst, 62265, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
					} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
				dasm_put(Dst, 62269, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
					} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
				dasm_put(Dst, 62273, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
						if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
				dasm_put(Dst, 62277, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
						}
					} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
				dasm_put(Dst, 62282, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
						if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
				dasm_put(Dst, 62286, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
						}
						if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
				dasm_put(Dst, 62290, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
				dasm_put(Dst, 62294, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
						if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
				dasm_put(Dst, 62298, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 62302, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				dasm_put(Dst, 62306, (ZREG_X15));
					}
					} while(0);
							if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
				dasm_put(Dst, 62309);
							}
				dasm_put(Dst, 62312);
						}
						if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
							if ((op2_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
								zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
					ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 62314, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 62318, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 62322, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 62326, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 62330, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 62335, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_REFERENCE == 0) {
				dasm_put(Dst, 62340, (ZREG_X15));
					} else {
				dasm_put(Dst, 62344, (ZREG_X15), IS_REFERENCE);
					}
					ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
				dasm_put(Dst, 62350, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
					} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
				dasm_put(Dst, 62354, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
				dasm_put(Dst, 62358, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 62362, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 62366, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 62371, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
					}
					if (IS_TYPE_COLLECTABLE == 0) {
				dasm_put(Dst, 62376, (ZREG_X15));
					} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
				dasm_put(Dst, 62379, (ZREG_X15), IS_TYPE_COLLECTABLE);
					} else {
					if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
				dasm_put(Dst, 62383, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
					} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
				dasm_put(Dst, 62387, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
						if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
				dasm_put(Dst, 62391, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 62395, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
					}
				dasm_put(Dst, 62399, (ZREG_X15), (ZREG_X16));
					}
				dasm_put(Dst, 62403);
					ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 62406, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
					} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
				dasm_put(Dst, 62410, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 62414, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 62418, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 62422, (Z_REG(ref_addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 62426, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
					}
				dasm_put(Dst, 62430);
							}
				dasm_put(Dst, 62432, (ZREG_X15));
					if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
				dasm_put(Dst, 62435, (ZREG_X15));
					} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
				dasm_put(Dst, 62438, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
					} else {
					if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
				dasm_put(Dst, 62442, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
					} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
				dasm_put(Dst, 62446, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
						if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
				dasm_put(Dst, 62450, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 62454, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
					}
				dasm_put(Dst, 62458, (ZREG_X15), (ZREG_X16));
					}
				dasm_put(Dst, 62462);
					if (arm64_may_use_b(gc_possible_root)) {
				dasm_put(Dst, 62465, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
					} else {
					if (((uintptr_t)(gc_possible_root)) == 0) {
				dasm_put(Dst, 62468, (ZREG_X15));
					} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
				dasm_put(Dst, 62471, (ZREG_X15), ((uint64_t)(gc_possible_root)));
					} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
				dasm_put(Dst, 62475, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
					} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
				dasm_put(Dst, 62479, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
						if (((uintptr_t)(gc_possible_root)) & 0xfff) {
				dasm_put(Dst, 62483, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
						}
					} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
				dasm_put(Dst, 62488, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
						if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
				dasm_put(Dst, 62492, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
						}
						if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
				dasm_put(Dst, 62496, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
				dasm_put(Dst, 62500, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
						if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
				dasm_put(Dst, 62504, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 62508, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				dasm_put(Dst, 62512, (ZREG_X15));
					}
						}
						if (1 && ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
				dasm_put(Dst, 62515);
						}
				dasm_put(Dst, 62518);
					}
					}
#line 7942 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				if (may_throw) {
					zend_jit_check_exception_undef_result(Dst, opline);
				}
				//|	ldr RETVALw, T1 // restore
				dasm_put(Dst, 62520);
#line 7946 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		if (smart_branch_opcode) {
			if (exit_addr) {
				if (smart_branch_opcode == ZEND_JMPNZ) {
					//|	cbnz RETVALw, &exit_addr
					dasm_put(Dst, 62522, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 7951 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	cbz RETVALw, &exit_addr
					dasm_put(Dst, 62525, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 7953 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else if (not_identical_label != (uint32_t)-1) {
				//|	cbz RETVALw, =>not_identical_label
				dasm_put(Dst, 62528, not_identical_label);
#line 7956 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				if (identical_label != (uint32_t)-1) {
					//|	b =>identical_label
					dasm_put(Dst, 62531, identical_label);
#line 7958 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else if (identical_label != (uint32_t)-1) {
				//|	cbnz RETVALw, =>identical_label
				dasm_put(Dst, 62534, identical_label);
#line 7961 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else {
			if (opline->opcode != ZEND_IS_NOT_IDENTICAL) {
				//|	add RETVALw, RETVALw, #2
				dasm_put(Dst, 62537);
#line 7965 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	neg RETVALw, RETVALw
				//|	add RETVALw, RETVALw, #3
				dasm_put(Dst, 62539);
#line 7968 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	SET_ZVAL_TYPE_INFO_FROM_REG res_addr, RETVALw, TMP1
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 62542, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 62545, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 62548, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 62551, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 62554, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 62557, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
#line 7970 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	//|9:
	dasm_put(Dst, 62561);
#line 7974 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	if (may_throw) {
		zend_jit_check_exception(Dst);
	}
	return 1;
}

static int zend_jit_bool_jmpznz(dasm_State **Dst, const zend_op *opline, uint32_t op1_info, zend_jit_addr op1_addr, zend_jit_addr res_addr, uint32_t target_label, uint32_t target_label2, int may_throw, zend_uchar branch_opcode, const void *exit_addr)
{
	uint32_t true_label = -1;
	uint32_t false_label = -1;
	bool set_bool = 0;
	bool set_bool_not = 0;
	bool set_delayed = 0;
	bool jmp_done = 0;

	if (branch_opcode == ZEND_BOOL) {
		set_bool = 1;
	} else if (branch_opcode == ZEND_BOOL_NOT) {
		set_bool = 1;
		set_bool_not = 1;
	} else if (branch_opcode == ZEND_JMPZ) {
		false_label = target_label;
	} else if (branch_opcode == ZEND_JMPNZ) {
		true_label = target_label;
	} else if (branch_opcode == ZEND_JMPZNZ) {
		true_label = target_label2;
		false_label = target_label;
	} else if (branch_opcode == ZEND_JMPZ_EX) {
		set_bool = 1;
		false_label = target_label;
	} else if (branch_opcode == ZEND_JMPNZ_EX) {
		set_bool = 1;
		true_label = target_label;
	} else {
		ZEND_UNREACHABLE();
	}

	if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
		if (zend_is_true(Z_ZV(op1_addr))) {
			/* Always TRUE */
			if (set_bool) {
				if (set_bool_not) {
					//|	SET_ZVAL_TYPE_INFO res_addr, IS_FALSE, TMP1w, TMP2
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uint32_t)(IS_FALSE)) <= MOVZ_IMM) {
					dasm_put(Dst, 62563, ((uint32_t)(IS_FALSE)));
						} else if (((uint32_t)(IS_FALSE) & 0xffff)) {
					dasm_put(Dst, 62566, ((uint32_t)(IS_FALSE) & 0xffff));
							if ((((uint32_t)(IS_FALSE) >> 16) & 0xffff)) {
					dasm_put(Dst, 62569, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 62572, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 62575, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 62578, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 62581, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 62584, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 62587, (Z_REG(res_addr)));
						} else {
					dasm_put(Dst, 62590, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
						}
#line 8017 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	SET_ZVAL_TYPE_INFO res_addr, IS_TRUE, TMP1w, TMP2
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uint32_t)(IS_TRUE)) <= MOVZ_IMM) {
					dasm_put(Dst, 62594, ((uint32_t)(IS_TRUE)));
						} else if (((uint32_t)(IS_TRUE) & 0xffff)) {
					dasm_put(Dst, 62597, ((uint32_t)(IS_TRUE) & 0xffff));
							if ((((uint32_t)(IS_TRUE) >> 16) & 0xffff)) {
					dasm_put(Dst, 62600, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 62603, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 62606, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 62609, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 62612, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 62615, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 62618, (Z_REG(res_addr)));
						} else {
					dasm_put(Dst, 62621, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
						}
#line 8019 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			}
			if (true_label != (uint32_t)-1) {
				//|	b =>true_label
				dasm_put(Dst, 62625, true_label);
#line 8023 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else {
			/* Always FALSE */
			if (set_bool) {
				if (set_bool_not) {
					//|	SET_ZVAL_TYPE_INFO res_addr, IS_TRUE, TMP1w, TMP2
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uint32_t)(IS_TRUE)) <= MOVZ_IMM) {
					dasm_put(Dst, 62628, ((uint32_t)(IS_TRUE)));
						} else if (((uint32_t)(IS_TRUE) & 0xffff)) {
					dasm_put(Dst, 62631, ((uint32_t)(IS_TRUE) & 0xffff));
							if ((((uint32_t)(IS_TRUE) >> 16) & 0xffff)) {
					dasm_put(Dst, 62634, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 62637, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 62640, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 62643, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 62646, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 62649, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 62652, (Z_REG(res_addr)));
						} else {
					dasm_put(Dst, 62655, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
						}
#line 8029 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	SET_ZVAL_TYPE_INFO res_addr, IS_FALSE, TMP1w, TMP2
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uint32_t)(IS_FALSE)) <= MOVZ_IMM) {
					dasm_put(Dst, 62659, ((uint32_t)(IS_FALSE)));
						} else if (((uint32_t)(IS_FALSE) & 0xffff)) {
					dasm_put(Dst, 62662, ((uint32_t)(IS_FALSE) & 0xffff));
							if ((((uint32_t)(IS_FALSE) >> 16) & 0xffff)) {
					dasm_put(Dst, 62665, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 62668, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 62671, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 62674, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 62677, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 62680, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 62683, (Z_REG(res_addr)));
						} else {
					dasm_put(Dst, 62686, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
						}
#line 8031 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			}
			if (false_label != (uint32_t)-1) {
				//|	b =>false_label
				dasm_put(Dst, 62690, false_label);
#line 8035 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
		return 1;
	}

	if (opline->op1_type == IS_CV && (op1_info & MAY_BE_REF)) {
		//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
		dasm_put(Dst, 62693);
			} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 62695, ((uint64_t)(Z_ZV(op1_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 62698, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 62701, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
		dasm_put(Dst, 62704, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
		dasm_put(Dst, 62707, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 62710, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 62713, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 62716, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 62719, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 62722, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (Z_OFFSET(op1_addr)) {
			if (Z_OFFSET(op1_addr) == 0) {
		dasm_put(Dst, 62725, (Z_REG(op1_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
		dasm_put(Dst, 62728, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
			} else {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 62732, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 62735, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 62738, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 62741, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 62744, (Z_REG(op1_addr)));
			}
				} else {
					if (Z_REG(op1_addr) == ZREG_RSP) {
		dasm_put(Dst, 62747);
					} else {
		dasm_put(Dst, 62749, (Z_REG(op1_addr)));
					}
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 8042 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	ZVAL_DEREF FCARG1x, op1_info, TMP1w
			if (op1_info & MAY_BE_REF) {
		dasm_put(Dst, 62752, offsetof(zval, u1.v.type));
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 62755);
			} else {
		dasm_put(Dst, 62758, IS_REFERENCE);
			}
		dasm_put(Dst, 62763, offsetof(zend_reference, val));
			}
#line 8043 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		op1_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, 0);
	}

	if (op1_info & (MAY_BE_UNDEF|MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE)) {
		if (!(op1_info & ((MAY_BE_UNDEF|MAY_BE_ANY)-MAY_BE_TRUE))) {
			/* Always TRUE */
			if (set_bool) {
				if (set_bool_not) {
					//|	SET_ZVAL_TYPE_INFO res_addr, IS_FALSE, TMP1w, TMP2
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uint32_t)(IS_FALSE)) <= MOVZ_IMM) {
					dasm_put(Dst, 62768, ((uint32_t)(IS_FALSE)));
						} else if (((uint32_t)(IS_FALSE) & 0xffff)) {
					dasm_put(Dst, 62771, ((uint32_t)(IS_FALSE) & 0xffff));
							if ((((uint32_t)(IS_FALSE) >> 16) & 0xffff)) {
					dasm_put(Dst, 62774, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 62777, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 62780, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 62783, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 62786, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 62789, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 62792, (Z_REG(res_addr)));
						} else {
					dasm_put(Dst, 62795, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
						}
#line 8052 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	SET_ZVAL_TYPE_INFO res_addr, IS_TRUE, TMP1w, TMP2
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uint32_t)(IS_TRUE)) <= MOVZ_IMM) {
					dasm_put(Dst, 62799, ((uint32_t)(IS_TRUE)));
						} else if (((uint32_t)(IS_TRUE) & 0xffff)) {
					dasm_put(Dst, 62802, ((uint32_t)(IS_TRUE) & 0xffff));
							if ((((uint32_t)(IS_TRUE) >> 16) & 0xffff)) {
					dasm_put(Dst, 62805, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 62808, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 62811, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 62814, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 62817, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 62820, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 62823, (Z_REG(res_addr)));
						} else {
					dasm_put(Dst, 62826, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
						}
#line 8054 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			}
			if (true_label != (uint32_t)-1) {
				//|	b =>true_label
				dasm_put(Dst, 62830, true_label);
#line 8058 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else {
			if (!(op1_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE)))) {
				/* Always FALSE */
				if (set_bool) {
					if (set_bool_not) {
						//|	SET_ZVAL_TYPE_INFO res_addr, IS_TRUE, TMP1w, TMP2
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
							if (((uint32_t)(IS_TRUE)) <= MOVZ_IMM) {
						dasm_put(Dst, 62833, ((uint32_t)(IS_TRUE)));
							} else if (((uint32_t)(IS_TRUE) & 0xffff)) {
						dasm_put(Dst, 62836, ((uint32_t)(IS_TRUE) & 0xffff));
								if ((((uint32_t)(IS_TRUE) >> 16) & 0xffff)) {
						dasm_put(Dst, 62839, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 62842, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
							if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
						dasm_put(Dst, 62845, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
							} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
						dasm_put(Dst, 62848, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
						dasm_put(Dst, 62851, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 62854, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 62857, (Z_REG(res_addr)));
							} else {
						dasm_put(Dst, 62860, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
							}
#line 8065 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	SET_ZVAL_TYPE_INFO res_addr, IS_FALSE, TMP1w, TMP2
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
							if (((uint32_t)(IS_FALSE)) <= MOVZ_IMM) {
						dasm_put(Dst, 62864, ((uint32_t)(IS_FALSE)));
							} else if (((uint32_t)(IS_FALSE) & 0xffff)) {
						dasm_put(Dst, 62867, ((uint32_t)(IS_FALSE) & 0xffff));
								if ((((uint32_t)(IS_FALSE) >> 16) & 0xffff)) {
						dasm_put(Dst, 62870, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 62873, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
							if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
						dasm_put(Dst, 62876, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
							} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
						dasm_put(Dst, 62879, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
						dasm_put(Dst, 62882, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 62885, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 62888, (Z_REG(res_addr)));
							} else {
						dasm_put(Dst, 62891, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
							}
#line 8067 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				}
			} else {
				//|	CMP_ZVAL_TYPE op1_addr, IS_TRUE, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 62895, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 62899, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 62903, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 62907, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 62911, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 62916, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
					}
				dasm_put(Dst, 62921, (ZREG_X15), IS_TRUE);
#line 8071 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				if (op1_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
				    if ((op1_info & MAY_BE_LONG) &&
				        !(op1_info & MAY_BE_UNDEF) &&
				        !set_bool) {
						if (exit_addr) {
							if (branch_opcode == ZEND_JMPNZ) {
								//|	blt >9
								dasm_put(Dst, 62925);
#line 8078 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
							} else {
								//|	blt &exit_addr
								dasm_put(Dst, 62928, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 8080 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
							}
						} else if (false_label != (uint32_t)-1) {
							//|	blt =>false_label
							dasm_put(Dst, 62931, false_label);
#line 8083 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						} else {
							//|	blt >9
							dasm_put(Dst, 62934);
#line 8085 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						}
						jmp_done = 1;
					} else {
						//|	bgt >2
						dasm_put(Dst, 62937);
#line 8089 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				}
				if (!(op1_info & MAY_BE_TRUE)) {
					/* It's FALSE */
					if (set_bool) {
						if (set_bool_not) {
							//|	SET_ZVAL_TYPE_INFO res_addr, IS_TRUE, TMP1w, TMP2
								ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
								if (((uint32_t)(IS_TRUE)) <= MOVZ_IMM) {
							dasm_put(Dst, 62940, ((uint32_t)(IS_TRUE)));
								} else if (((uint32_t)(IS_TRUE) & 0xffff)) {
							dasm_put(Dst, 62943, ((uint32_t)(IS_TRUE) & 0xffff));
									if ((((uint32_t)(IS_TRUE) >> 16) & 0xffff)) {
							dasm_put(Dst, 62946, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
									}
								} else {
							dasm_put(Dst, 62949, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
								}
								if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
								if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
							dasm_put(Dst, 62952, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
								} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
							dasm_put(Dst, 62955, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
									if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
							dasm_put(Dst, 62958, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
									}
								} else {
							dasm_put(Dst, 62961, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
								}
							dasm_put(Dst, 62964, (Z_REG(res_addr)));
								} else {
							dasm_put(Dst, 62967, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
								}
#line 8096 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						} else {
							//|	SET_ZVAL_TYPE_INFO res_addr, IS_FALSE, TMP1w, TMP2
								ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
								if (((uint32_t)(IS_FALSE)) <= MOVZ_IMM) {
							dasm_put(Dst, 62971, ((uint32_t)(IS_FALSE)));
								} else if (((uint32_t)(IS_FALSE) & 0xffff)) {
							dasm_put(Dst, 62974, ((uint32_t)(IS_FALSE) & 0xffff));
									if ((((uint32_t)(IS_FALSE) >> 16) & 0xffff)) {
							dasm_put(Dst, 62977, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
									}
								} else {
							dasm_put(Dst, 62980, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
								}
								if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
								if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
							dasm_put(Dst, 62983, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
								} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
							dasm_put(Dst, 62986, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
									if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
							dasm_put(Dst, 62989, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
									}
								} else {
							dasm_put(Dst, 62992, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
								}
							dasm_put(Dst, 62995, (Z_REG(res_addr)));
								} else {
							dasm_put(Dst, 62998, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
								}
#line 8098 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						}
					}
				} else {
					if (exit_addr) {
						if (set_bool) {
							//|	bne >1
							//|	SET_ZVAL_TYPE_INFO res_addr, IS_TRUE, TMP1w, TMP2
							dasm_put(Dst, 63002);
								ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
								if (((uint32_t)(IS_TRUE)) <= MOVZ_IMM) {
							dasm_put(Dst, 63005, ((uint32_t)(IS_TRUE)));
								} else if (((uint32_t)(IS_TRUE) & 0xffff)) {
							dasm_put(Dst, 63008, ((uint32_t)(IS_TRUE) & 0xffff));
									if ((((uint32_t)(IS_TRUE) >> 16) & 0xffff)) {
							dasm_put(Dst, 63011, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
									}
								} else {
							dasm_put(Dst, 63014, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
								}
								if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
								if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
							dasm_put(Dst, 63017, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
								} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
							dasm_put(Dst, 63020, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
									if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
							dasm_put(Dst, 63023, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
									}
								} else {
							dasm_put(Dst, 63026, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
								}
							dasm_put(Dst, 63029, (Z_REG(res_addr)));
								} else {
							dasm_put(Dst, 63032, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
								}
#line 8105 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
							if (branch_opcode == ZEND_JMPNZ || branch_opcode == ZEND_JMPNZ_EX) {
								//|	b &exit_addr
								dasm_put(Dst, 63036, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 8107 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
							} else {
								//|	b >9
								dasm_put(Dst, 63039);
#line 8109 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
							}
							//|1:
							//|	SET_ZVAL_TYPE_INFO res_addr, IS_FALSE, TMP1w, TMP2
							dasm_put(Dst, 63042);
								ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
								if (((uint32_t)(IS_FALSE)) <= MOVZ_IMM) {
							dasm_put(Dst, 63044, ((uint32_t)(IS_FALSE)));
								} else if (((uint32_t)(IS_FALSE) & 0xffff)) {
							dasm_put(Dst, 63047, ((uint32_t)(IS_FALSE) & 0xffff));
									if ((((uint32_t)(IS_FALSE) >> 16) & 0xffff)) {
							dasm_put(Dst, 63050, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
									}
								} else {
							dasm_put(Dst, 63053, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
								}
								if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
								if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
							dasm_put(Dst, 63056, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
								} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
							dasm_put(Dst, 63059, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
									if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
							dasm_put(Dst, 63062, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
									}
								} else {
							dasm_put(Dst, 63065, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
								}
							dasm_put(Dst, 63068, (Z_REG(res_addr)));
								} else {
							dasm_put(Dst, 63071, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
								}
#line 8112 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
							if (branch_opcode == ZEND_JMPZ || branch_opcode == ZEND_JMPZ_EX) {
								if (!(op1_info & (MAY_BE_UNDEF|MAY_BE_LONG))) {
									//|	bne &exit_addr
									dasm_put(Dst, 63075, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 8115 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
								}
							}
						} else {
							if (branch_opcode == ZEND_JMPNZ || branch_opcode == ZEND_JMPNZ_EX) {
								//|	beq &exit_addr
								dasm_put(Dst, 63078, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 8120 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
							} else if (!(op1_info & (MAY_BE_UNDEF|MAY_BE_LONG))) {
								//|	bne &exit_addr
								dasm_put(Dst, 63081, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 8122 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
							} else {
								//|	beq >9
								dasm_put(Dst, 63084);
#line 8124 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
							}
						}
					} else if (true_label != (uint32_t)-1 || false_label != (uint32_t)-1) {
						if (set_bool) {
							//|	bne >1
							//|	SET_ZVAL_TYPE_INFO res_addr, IS_TRUE, TMP1w, TMP2
							dasm_put(Dst, 63087);
								ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
								if (((uint32_t)(IS_TRUE)) <= MOVZ_IMM) {
							dasm_put(Dst, 63090, ((uint32_t)(IS_TRUE)));
								} else if (((uint32_t)(IS_TRUE) & 0xffff)) {
							dasm_put(Dst, 63093, ((uint32_t)(IS_TRUE) & 0xffff));
									if ((((uint32_t)(IS_TRUE) >> 16) & 0xffff)) {
							dasm_put(Dst, 63096, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
									}
								} else {
							dasm_put(Dst, 63099, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
								}
								if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
								if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
							dasm_put(Dst, 63102, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
								} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
							dasm_put(Dst, 63105, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
									if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
							dasm_put(Dst, 63108, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
									}
								} else {
							dasm_put(Dst, 63111, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
								}
							dasm_put(Dst, 63114, (Z_REG(res_addr)));
								} else {
							dasm_put(Dst, 63117, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
								}
#line 8130 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
							if (true_label != (uint32_t)-1) {
								//|	b =>true_label
								dasm_put(Dst, 63121, true_label);
#line 8132 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
							} else {
								//|	b >9
								dasm_put(Dst, 63124);
#line 8134 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
							}
							//|1:
							//|	SET_ZVAL_TYPE_INFO res_addr, IS_FALSE, TMP1w, TMP2
							dasm_put(Dst, 63127);
								ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
								if (((uint32_t)(IS_FALSE)) <= MOVZ_IMM) {
							dasm_put(Dst, 63129, ((uint32_t)(IS_FALSE)));
								} else if (((uint32_t)(IS_FALSE) & 0xffff)) {
							dasm_put(Dst, 63132, ((uint32_t)(IS_FALSE) & 0xffff));
									if ((((uint32_t)(IS_FALSE) >> 16) & 0xffff)) {
							dasm_put(Dst, 63135, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
									}
								} else {
							dasm_put(Dst, 63138, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
								}
								if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
								if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
							dasm_put(Dst, 63141, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
								} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
							dasm_put(Dst, 63144, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
									if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
							dasm_put(Dst, 63147, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
									}
								} else {
							dasm_put(Dst, 63150, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
								}
							dasm_put(Dst, 63153, (Z_REG(res_addr)));
								} else {
							dasm_put(Dst, 63156, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
								}
#line 8137 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						} else {
							if (true_label != (uint32_t)-1) {
								//|	beq =>true_label
								dasm_put(Dst, 63160, true_label);
#line 8140 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
							} else if (!(op1_info & (MAY_BE_UNDEF|MAY_BE_LONG))) {
								//|	bne =>false_label
								dasm_put(Dst, 63163, false_label);
#line 8142 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
								jmp_done = 1;
							} else {
								//|	beq >9
								dasm_put(Dst, 63166);
#line 8145 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
							}
						}
					} else if (set_bool) {
						//|	cset REG0w, eq
						dasm_put(Dst, 63169);
#line 8149 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						if (set_bool_not) {
							//|	neg REG0w, REG0w
							//|	add REG0w, REG0w, #3
							dasm_put(Dst, 63171);
#line 8152 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						} else {
							//|	add REG0w, REG0w, #2
							dasm_put(Dst, 63174);
#line 8154 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						}
						if ((op1_info & MAY_BE_UNDEF) && (op1_info & MAY_BE_ANY)) {
							set_delayed = 1;
						} else {
							//|	SET_ZVAL_TYPE_INFO_FROM_REG res_addr, REG0w, TMP1
								ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
								if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
								if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
							dasm_put(Dst, 63176, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
								} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
							dasm_put(Dst, 63179, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
									if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
							dasm_put(Dst, 63182, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
									}
								} else {
							dasm_put(Dst, 63185, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
								}
							dasm_put(Dst, 63188, (Z_REG(res_addr)));
								} else {
							dasm_put(Dst, 63191, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
								}
#line 8159 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						}
					}
				}
			}

			/* It's FALSE, but may be UNDEF */
			if (op1_info & MAY_BE_UNDEF) {
				if (op1_info & MAY_BE_ANY) {
					if (set_delayed) {
						//|	CMP_ZVAL_TYPE op1_addr, IS_UNDEF, ZREG_TMP1
							ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
							if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
							if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
						dasm_put(Dst, 63195, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
							} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
						dasm_put(Dst, 63199, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
						dasm_put(Dst, 63203, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 63207, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 63211, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
							} else {
						dasm_put(Dst, 63216, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
							}
#line 8169 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						//|	SET_ZVAL_TYPE_INFO_FROM_REG res_addr, REG0w, TMP1
						dasm_put(Dst, 63221, (ZREG_X15), IS_UNDEF);
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
							if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
							if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
						dasm_put(Dst, 63225, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
							} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
						dasm_put(Dst, 63228, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
						dasm_put(Dst, 63231, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 63234, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 63237, (Z_REG(res_addr)));
							} else {
						dasm_put(Dst, 63240, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
							}
#line 8170 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						//|	beq >1
						dasm_put(Dst, 63244);
#line 8171 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	IF_ZVAL_TYPE op1_addr, IS_UNDEF, >1, ZREG_TMP1
							ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
							if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
							if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
						dasm_put(Dst, 63247, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
							} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
						dasm_put(Dst, 63251, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
						dasm_put(Dst, 63255, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 63259, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 63263, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
							} else {
						dasm_put(Dst, 63268, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
							}
							if (IS_UNDEF == 0) {
						dasm_put(Dst, 63273, (ZREG_X15));
							} else {
						dasm_put(Dst, 63277, (ZREG_X15), IS_UNDEF);
							}
#line 8173 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					//|.cold_code
					dasm_put(Dst, 63283);
#line 8175 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|1:
					dasm_put(Dst, 63284);
#line 8176 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|	LOAD_32BIT_VAL FCARG1w, opline->op1.var
					if (((uint32_t)(opline->op1.var)) <= MOVZ_IMM) {
				dasm_put(Dst, 63286, ((uint32_t)(opline->op1.var)));
					} else if (((uint32_t)(opline->op1.var) & 0xffff)) {
				dasm_put(Dst, 63289, ((uint32_t)(opline->op1.var) & 0xffff));
						if ((((uint32_t)(opline->op1.var) >> 16) & 0xffff)) {
				dasm_put(Dst, 63292, (((uint32_t)(opline->op1.var) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 63295, (((uint32_t)(opline->op1.var) >> 16) & 0xffff));
					}
#line 8178 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	SET_EX_OPLINE opline, REG0
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 63298, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 63301);
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 63303, ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 63306, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 63309, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 63312, (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 63315, ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 63318, (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 63321, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 63324, (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 63327, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 63330, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 63333, Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
#line 8179 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	EXT_CALL zend_jit_undefined_op_helper, REG0
					if (arm64_may_use_b(zend_jit_undefined_op_helper)) {
				dasm_put(Dst, 63336, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
					} else {
					if (((uintptr_t)(zend_jit_undefined_op_helper)) == 0) {
				dasm_put(Dst, 63339);
					} else if (((uintptr_t)(zend_jit_undefined_op_helper)) <= MOVZ_IMM) {
				dasm_put(Dst, 63341, ((uint64_t)(zend_jit_undefined_op_helper)));
					} else if (arm64_may_use_adr((void*)(zend_jit_undefined_op_helper))) {
				dasm_put(Dst, 63344, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_undefined_op_helper))) {
				dasm_put(Dst, 63347, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper)))))>>32));
						if (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff) {
				dasm_put(Dst, 63350, (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff) {
				dasm_put(Dst, 63353, ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff));
						if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 63356, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 63359, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 63362, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 63365, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 63368, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
					}
				dasm_put(Dst, 63371);
					}
#line 8180 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

				if (may_throw) {
					if (!zend_jit_check_exception_undef_result(Dst, opline)) {
						return 0;
					}
				}

				if (exit_addr) {
					if (branch_opcode == ZEND_JMPZ || branch_opcode == ZEND_JMPZ_EX) {
						//|	b &exit_addr
						dasm_put(Dst, 63373, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 8190 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				} else if (false_label != (uint32_t)-1) {
					//|	b =>false_label
					dasm_put(Dst, 63376, false_label);
#line 8193 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				if (op1_info & MAY_BE_ANY) {
					if (exit_addr) {
						if (branch_opcode == ZEND_JMPNZ || branch_opcode == ZEND_JMPNZ_EX) {
							//|	b >9
							dasm_put(Dst, 63379);
#line 8198 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						}
					} else if (false_label == (uint32_t)-1) {
						//|	b >9
						dasm_put(Dst, 63382);
#line 8201 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					//|.code
					dasm_put(Dst, 63385);
#line 8203 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			}

			if (!jmp_done) {
				if (exit_addr) {
					if (branch_opcode == ZEND_JMPNZ || branch_opcode == ZEND_JMPNZ_EX) {
						if (op1_info & MAY_BE_LONG) {
							//|	b >9
							dasm_put(Dst, 63386);
#line 8211 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						}
					} else if (op1_info & MAY_BE_LONG) {
						//|	b &exit_addr
						dasm_put(Dst, 63389, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 8214 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				} else if (false_label != (uint32_t)-1) {
					//|	b =>false_label
					dasm_put(Dst, 63392, false_label);
#line 8217 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else if ((op1_info & MAY_BE_LONG) || (op1_info & MAY_BE_ANY) == MAY_BE_DOUBLE) {
					//|	b >9
					dasm_put(Dst, 63395);
#line 8219 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			}
		}
	}

	if (op1_info & MAY_BE_LONG) {
		//|2:
		dasm_put(Dst, 63398);
#line 8226 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (op1_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG))) {
			//|	IF_NOT_ZVAL_TYPE op1_addr, IS_LONG, >2, ZREG_TMP1
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 63400, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 63404, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 63408, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 63412, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 63416, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 63421, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_LONG == 0) {
			dasm_put(Dst, 63426, (ZREG_X15));
				} else {
			dasm_put(Dst, 63430, (ZREG_X15), IS_LONG);
				}
#line 8228 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (Z_MODE(op1_addr) == IS_REG) {
			//|	tst Rx(Z_REG(op1_addr)), Rx(Z_REG(op1_addr))
			dasm_put(Dst, 63436, (Z_REG(op1_addr)), (Z_REG(op1_addr)));
#line 8231 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	LONG_CMP_WITH_CONST op1_addr, Z_L(0), TMP1, TMP2
				if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 63440, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 63443, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 63446, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 63449, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 63452, (Z_REG(op1_addr)));
				} else {
			dasm_put(Dst, 63455, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
				if (Z_L(0) == 0) {
			dasm_put(Dst, 63459);
				} else if (arm64_may_encode_imm12((int64_t)(Z_L(0)))) {
			dasm_put(Dst, 63461, Z_L(0));
				} else if (arm64_may_encode_imm12((int64_t)(-Z_L(0)))) {
			dasm_put(Dst, 63464, -Z_L(0));
				} else {
				if (((uint64_t)(Z_L(0))) == 0) {
			dasm_put(Dst, 63467);
				} else if (((uint64_t)(Z_L(0))) <= MOVZ_IMM) {
			dasm_put(Dst, 63469, ((uint64_t)(Z_L(0))));
				} else if (~((uint64_t)(Z_L(0))) <= MOVZ_IMM) {
			dasm_put(Dst, 63472, (~((uint64_t)(Z_L(0)))));
				} else if ((uint64_t)(Z_L(0)) & 0xffff) {
			dasm_put(Dst, 63475, ((uint64_t)(Z_L(0)) & 0xffff));
					if (((uint64_t)(Z_L(0)) >> 16) & 0xffff) {
			dasm_put(Dst, 63478, (((uint64_t)(Z_L(0)) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_L(0)) >> 32) & 0xffff) {
			dasm_put(Dst, 63481, (((uint64_t)(Z_L(0)) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_L(0)) >> 48) & 0xffff)) {
			dasm_put(Dst, 63484, (((uint64_t)(Z_L(0)) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_L(0)) >> 16) & 0xffff) {
			dasm_put(Dst, 63487, (((uint64_t)(Z_L(0)) >> 16) & 0xffff));
					if (((uint64_t)(Z_L(0)) >> 32) & 0xffff) {
			dasm_put(Dst, 63490, (((uint64_t)(Z_L(0)) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_L(0)) >> 48) & 0xffff)) {
			dasm_put(Dst, 63493, (((uint64_t)(Z_L(0)) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_L(0)) >> 32) & 0xffff) {
			dasm_put(Dst, 63496, (((uint64_t)(Z_L(0)) >> 32) & 0xffff));
					if ((((uint64_t)(Z_L(0)) >> 48) & 0xffff)) {
			dasm_put(Dst, 63499, (((uint64_t)(Z_L(0)) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 63502, (((uint64_t)(Z_L(0)) >> 48) & 0xffff));
				}
			dasm_put(Dst, 63505);
				}
				} else if (Z_MODE(op1_addr) == IS_REG) {
				if (Z_L(0) == 0) {
			dasm_put(Dst, 63507, (Z_REG(op1_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_L(0)))) {
			dasm_put(Dst, 63510, (Z_REG(op1_addr)), Z_L(0));
				} else if (arm64_may_encode_imm12((int64_t)(-Z_L(0)))) {
			dasm_put(Dst, 63514, (Z_REG(op1_addr)), -Z_L(0));
				} else {
				if (((uint64_t)(Z_L(0))) == 0) {
			dasm_put(Dst, 63518);
				} else if (((uint64_t)(Z_L(0))) <= MOVZ_IMM) {
			dasm_put(Dst, 63520, ((uint64_t)(Z_L(0))));
				} else if (~((uint64_t)(Z_L(0))) <= MOVZ_IMM) {
			dasm_put(Dst, 63523, (~((uint64_t)(Z_L(0)))));
				} else if ((uint64_t)(Z_L(0)) & 0xffff) {
			dasm_put(Dst, 63526, ((uint64_t)(Z_L(0)) & 0xffff));
					if (((uint64_t)(Z_L(0)) >> 16) & 0xffff) {
			dasm_put(Dst, 63529, (((uint64_t)(Z_L(0)) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_L(0)) >> 32) & 0xffff) {
			dasm_put(Dst, 63532, (((uint64_t)(Z_L(0)) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_L(0)) >> 48) & 0xffff)) {
			dasm_put(Dst, 63535, (((uint64_t)(Z_L(0)) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_L(0)) >> 16) & 0xffff) {
			dasm_put(Dst, 63538, (((uint64_t)(Z_L(0)) >> 16) & 0xffff));
					if (((uint64_t)(Z_L(0)) >> 32) & 0xffff) {
			dasm_put(Dst, 63541, (((uint64_t)(Z_L(0)) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_L(0)) >> 48) & 0xffff)) {
			dasm_put(Dst, 63544, (((uint64_t)(Z_L(0)) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_L(0)) >> 32) & 0xffff) {
			dasm_put(Dst, 63547, (((uint64_t)(Z_L(0)) >> 32) & 0xffff));
					if ((((uint64_t)(Z_L(0)) >> 48) & 0xffff)) {
			dasm_put(Dst, 63550, (((uint64_t)(Z_L(0)) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 63553, (((uint64_t)(Z_L(0)) >> 48) & 0xffff));
				}
			dasm_put(Dst, 63556, (Z_REG(op1_addr)));
				}
				} else {
					ZEND_UNREACHABLE();
				}
#line 8233 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (set_bool) {
			//|	cset REG0w, ne
			dasm_put(Dst, 63559);
#line 8236 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (set_bool_not) {
				//|	neg REG0w, REG0w
				//|	add REG0w, REG0w, #3
				dasm_put(Dst, 63561);
#line 8239 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	add REG0w, REG0w, #2
				dasm_put(Dst, 63564);
#line 8241 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	SET_ZVAL_TYPE_INFO_FROM_REG res_addr, REG0w, TMP1
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 63566, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 63569, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 63572, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 63575, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 63578, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 63581, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
#line 8243 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (exit_addr) {
			if (branch_opcode == ZEND_JMPNZ || branch_opcode == ZEND_JMPNZ_EX) {
				//|	bne &exit_addr
				dasm_put(Dst, 63585, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 8247 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	beq &exit_addr
				dasm_put(Dst, 63588, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 8249 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else if (true_label != (uint32_t)-1 || false_label != (uint32_t)-1) {
			if (true_label != (uint32_t)-1) {
				//|	bne =>true_label
				dasm_put(Dst, 63591, true_label);
#line 8253 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				if (false_label != (uint32_t)-1) {
					//|	b =>false_label
					dasm_put(Dst, 63594, false_label);
#line 8255 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else {
				//|	beq =>false_label
				dasm_put(Dst, 63597, false_label);
#line 8258 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
	}

	if ((op1_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG))) == MAY_BE_DOUBLE) {
		if (op1_info & (MAY_BE_UNDEF|MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG)) {
			//|.cold_code
			dasm_put(Dst, 63600);
#line 8265 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	    //|2:
		//|	fmov FPR0, xzr  // TODO: "movi d0, #0" is not recognized by DynASM/arm64
		//|	DOUBLE_CMP ZREG_FPR0, op1_addr, ZREG_TMP1, ZREG_FPTMP
		dasm_put(Dst, 63601);
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 63604, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (ZREG_V16-ZREG_V0), (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 63611, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (ZREG_V16-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
			} else {
			if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
		dasm_put(Dst, 63619, (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 63622, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 63626, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 63630, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
		dasm_put(Dst, 63634, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
		dasm_put(Dst, 63639, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 63643, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 63647, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 63651, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 63655, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 63659, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
		dasm_put(Dst, 63663, (ZREG_V16-ZREG_V0), (ZREG_X15));
			}
		dasm_put(Dst, 63667, (ZREG_V0-ZREG_V0), (ZREG_V16-ZREG_V0));
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 63671, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 63675, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 63679, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 63683, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 63687, (ZREG_V16-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 63692, (ZREG_V16-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
		dasm_put(Dst, 63697, (ZREG_V0-ZREG_V0), (ZREG_V16-ZREG_V0));
			} else if (Z_MODE(op1_addr) == IS_REG) {
		dasm_put(Dst, 63701, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
			} else {
				ZEND_UNREACHABLE();
			}
#line 8269 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

		if (set_bool) {
			if (exit_addr) {
				if (branch_opcode == ZEND_JMPNZ || branch_opcode == ZEND_JMPNZ_EX) {
					//|	SET_ZVAL_TYPE_INFO res_addr, IS_TRUE, TMP1w, TMP2
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uint32_t)(IS_TRUE)) <= MOVZ_IMM) {
					dasm_put(Dst, 63705, ((uint32_t)(IS_TRUE)));
						} else if (((uint32_t)(IS_TRUE) & 0xffff)) {
					dasm_put(Dst, 63708, ((uint32_t)(IS_TRUE) & 0xffff));
							if ((((uint32_t)(IS_TRUE) >> 16) & 0xffff)) {
					dasm_put(Dst, 63711, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 63714, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 63717, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 63720, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 63723, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 63726, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 63729, (Z_REG(res_addr)));
						} else {
					dasm_put(Dst, 63732, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
						}
#line 8274 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	bvs &exit_addr
					//|	bne &exit_addr
					//|	SET_ZVAL_TYPE_INFO res_addr, IS_FALSE, TMP1w, TMP2
					dasm_put(Dst, 63736, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32), (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uint32_t)(IS_FALSE)) <= MOVZ_IMM) {
					dasm_put(Dst, 63741, ((uint32_t)(IS_FALSE)));
						} else if (((uint32_t)(IS_FALSE) & 0xffff)) {
					dasm_put(Dst, 63744, ((uint32_t)(IS_FALSE) & 0xffff));
							if ((((uint32_t)(IS_FALSE) >> 16) & 0xffff)) {
					dasm_put(Dst, 63747, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 63750, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 63753, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 63756, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 63759, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 63762, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 63765, (Z_REG(res_addr)));
						} else {
					dasm_put(Dst, 63768, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
						}
#line 8277 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	bvs >1
					//|	SET_ZVAL_TYPE_INFO res_addr, IS_FALSE, TMP1w, TMP2
					dasm_put(Dst, 63772);
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uint32_t)(IS_FALSE)) <= MOVZ_IMM) {
					dasm_put(Dst, 63775, ((uint32_t)(IS_FALSE)));
						} else if (((uint32_t)(IS_FALSE) & 0xffff)) {
					dasm_put(Dst, 63778, ((uint32_t)(IS_FALSE) & 0xffff));
							if ((((uint32_t)(IS_FALSE) >> 16) & 0xffff)) {
					dasm_put(Dst, 63781, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 63784, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 63787, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 63790, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 63793, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 63796, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 63799, (Z_REG(res_addr)));
						} else {
					dasm_put(Dst, 63802, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
						}
#line 8280 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	beq &exit_addr
					//|1:
					//|	SET_ZVAL_TYPE_INFO res_addr, IS_TRUE, TMP1w, TMP2
					dasm_put(Dst, 63806, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uint32_t)(IS_TRUE)) <= MOVZ_IMM) {
					dasm_put(Dst, 63810, ((uint32_t)(IS_TRUE)));
						} else if (((uint32_t)(IS_TRUE) & 0xffff)) {
					dasm_put(Dst, 63813, ((uint32_t)(IS_TRUE) & 0xffff));
							if ((((uint32_t)(IS_TRUE) >> 16) & 0xffff)) {
					dasm_put(Dst, 63816, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 63819, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 63822, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 63825, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 63828, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 63831, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 63834, (Z_REG(res_addr)));
						} else {
					dasm_put(Dst, 63837, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
						}
#line 8283 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else if (false_label != (uint32_t)-1) { // JMPZ_EX
				//|	bvs >1
				//|	SET_ZVAL_TYPE_INFO res_addr, IS_FALSE, TMP1w, TMP2
				dasm_put(Dst, 63841);
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uint32_t)(IS_FALSE)) <= MOVZ_IMM) {
				dasm_put(Dst, 63844, ((uint32_t)(IS_FALSE)));
					} else if (((uint32_t)(IS_FALSE) & 0xffff)) {
				dasm_put(Dst, 63847, ((uint32_t)(IS_FALSE) & 0xffff));
						if ((((uint32_t)(IS_FALSE) >> 16) & 0xffff)) {
				dasm_put(Dst, 63850, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 63853, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 63856, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 63859, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 63862, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 63865, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 63868, (Z_REG(res_addr)));
					} else {
				dasm_put(Dst, 63871, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
					}
#line 8287 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	beq => false_label
				//|1:
				//|	SET_ZVAL_TYPE_INFO res_addr, IS_TRUE, TMP1w, TMP2
				dasm_put(Dst, 63875,  false_label);
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uint32_t)(IS_TRUE)) <= MOVZ_IMM) {
				dasm_put(Dst, 63879, ((uint32_t)(IS_TRUE)));
					} else if (((uint32_t)(IS_TRUE) & 0xffff)) {
				dasm_put(Dst, 63882, ((uint32_t)(IS_TRUE) & 0xffff));
						if ((((uint32_t)(IS_TRUE) >> 16) & 0xffff)) {
				dasm_put(Dst, 63885, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 63888, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 63891, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 63894, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 63897, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 63900, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 63903, (Z_REG(res_addr)));
					} else {
				dasm_put(Dst, 63906, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
					}
#line 8290 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else if (true_label != (uint32_t)-1) { // JMPNZ_EX
				//|	SET_ZVAL_TYPE_INFO res_addr, IS_TRUE, TMP1w, TMP2
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uint32_t)(IS_TRUE)) <= MOVZ_IMM) {
				dasm_put(Dst, 63910, ((uint32_t)(IS_TRUE)));
					} else if (((uint32_t)(IS_TRUE) & 0xffff)) {
				dasm_put(Dst, 63913, ((uint32_t)(IS_TRUE) & 0xffff));
						if ((((uint32_t)(IS_TRUE) >> 16) & 0xffff)) {
				dasm_put(Dst, 63916, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 63919, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 63922, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 63925, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 63928, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 63931, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 63934, (Z_REG(res_addr)));
					} else {
				dasm_put(Dst, 63937, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
					}
#line 8292 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	bvs => true_label
				//|	bne => true_label
				//|	SET_ZVAL_TYPE_INFO res_addr, IS_FALSE, TMP1w, TMP2
				dasm_put(Dst, 63941,  true_label,  true_label);
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uint32_t)(IS_FALSE)) <= MOVZ_IMM) {
				dasm_put(Dst, 63946, ((uint32_t)(IS_FALSE)));
					} else if (((uint32_t)(IS_FALSE) & 0xffff)) {
				dasm_put(Dst, 63949, ((uint32_t)(IS_FALSE) & 0xffff));
						if ((((uint32_t)(IS_FALSE) >> 16) & 0xffff)) {
				dasm_put(Dst, 63952, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 63955, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 63958, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 63961, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 63964, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 63967, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 63970, (Z_REG(res_addr)));
					} else {
				dasm_put(Dst, 63973, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
					}
#line 8295 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else if (set_bool_not) { // BOOL_NOT
				//|	mov REG0w, #IS_FALSE
				//|	bvs >1
				//|	bne >1
				//|	mov REG0w, #IS_TRUE
				//|1:
				//|	SET_ZVAL_TYPE_INFO_FROM_REG res_addr, REG0w, TMP1
				dasm_put(Dst, 63977, IS_FALSE, IS_TRUE);
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 63987, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 63990, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 63993, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 63996, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 63999, (Z_REG(res_addr)));
					} else {
				dasm_put(Dst, 64002, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
					}
#line 8302 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else { // BOOL
				//|	mov REG0w, #IS_TRUE
				//|	bvs >1
				//|	bne >1
				//|	mov REG0w, #IS_FALSE
				//|1:
				//|	SET_ZVAL_TYPE_INFO_FROM_REG res_addr, REG0w, TMP1
				dasm_put(Dst, 64006, IS_TRUE, IS_FALSE);
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 64016, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 64019, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 64022, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 64025, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 64028, (Z_REG(res_addr)));
					} else {
				dasm_put(Dst, 64031, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
					}
#line 8309 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if (op1_info & (MAY_BE_UNDEF|MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG)) {
				//|	b >9
				//|.code
				dasm_put(Dst, 64035);
#line 8313 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else {
			if (exit_addr) {
				if (branch_opcode == ZEND_JMPNZ || branch_opcode == ZEND_JMPNZ_EX) {
					//|	bvs &exit_addr
					//|	bne &exit_addr
					//|1:
					dasm_put(Dst, 64038, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32), (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 8320 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	bvs >1
					//|	beq &exit_addr
					//|1:
					dasm_put(Dst, 64044, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 8324 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				if (op1_info & (MAY_BE_UNDEF|MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG)) {
					//|	b >9
					dasm_put(Dst, 64050);
#line 8327 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else {
				ZEND_ASSERT(true_label != (uint32_t)-1 || false_label != (uint32_t)-1);
				if (false_label != (uint32_t)-1 ) {
					//|	bvs  >1
					//|	beq  => false_label
					//|1:
					dasm_put(Dst, 64053,  false_label);
#line 8334 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					if (true_label != (uint32_t)-1) {
						//|	b =>true_label
						dasm_put(Dst, 64059, true_label);
#line 8336 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else if (op1_info & (MAY_BE_UNDEF|MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG)) {
						//|	b >9
						dasm_put(Dst, 64062);
#line 8338 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				} else {
					//|	bvs  => true_label
					//|	bne  => true_label
					dasm_put(Dst, 64065,  true_label,  true_label);
#line 8342 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					if (op1_info & (MAY_BE_UNDEF|MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG)) {
						//|	b >9
						dasm_put(Dst, 64070);
#line 8344 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				}
			}
			if (op1_info & (MAY_BE_UNDEF|MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG)) {
				//|.code
				dasm_put(Dst, 64073);
#line 8349 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
	} else if (op1_info & (MAY_BE_ANY - (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG))) {
		if (op1_info & (MAY_BE_UNDEF|MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG)) {
			//|.cold_code
			dasm_put(Dst, 64074);
#line 8354 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|2:
			dasm_put(Dst, 64075);
#line 8355 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (Z_REG(op1_addr) != ZREG_FCARG1 || Z_OFFSET(op1_addr) != 0) {
			//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
			dasm_put(Dst, 64077);
				} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 64079, ((uint64_t)(Z_ZV(op1_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 64082, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 64085, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
			dasm_put(Dst, 64088, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
			dasm_put(Dst, 64091, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 64094, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 64097, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 64100, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 64103, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 64106, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(op1_addr)) {
				if (Z_OFFSET(op1_addr) == 0) {
			dasm_put(Dst, 64109, (Z_REG(op1_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
			dasm_put(Dst, 64112, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 64116, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 64119, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 64122, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 64125, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 64128, (Z_REG(op1_addr)));
				}
					} else {
						if (Z_REG(op1_addr) == ZREG_RSP) {
			dasm_put(Dst, 64131);
						} else {
			dasm_put(Dst, 64133, (Z_REG(op1_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 8358 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	SET_EX_OPLINE opline, REG0
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 64136, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 64139);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 64141, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 64144, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 64147, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 64150, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 64153, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 64156, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 64159, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 64162, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 64165, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 64168, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 64171, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
#line 8360 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	EXT_CALL zend_is_true, REG0
			if (arm64_may_use_b(zend_is_true)) {
		dasm_put(Dst, 64174, (unsigned int)((ptrdiff_t)(zend_is_true)), (unsigned int)(((ptrdiff_t)(zend_is_true))>>32));
			} else {
			if (((uintptr_t)(zend_is_true)) == 0) {
		dasm_put(Dst, 64177);
			} else if (((uintptr_t)(zend_is_true)) <= MOVZ_IMM) {
		dasm_put(Dst, 64179, ((uint64_t)(zend_is_true)));
			} else if (arm64_may_use_adr((void*)(zend_is_true))) {
		dasm_put(Dst, 64182, (unsigned int)((ptrdiff_t)(zend_is_true)), (unsigned int)(((ptrdiff_t)(zend_is_true))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_is_true))) {
		dasm_put(Dst, 64185, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_is_true))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_is_true)))))>>32));
				if (((uintptr_t)(zend_is_true)) & 0xfff) {
		dasm_put(Dst, 64188, (((uintptr_t)(zend_is_true)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_is_true) & 0xffff) {
		dasm_put(Dst, 64191, ((uintptr_t)(zend_is_true) & 0xffff));
				if (((uintptr_t)(zend_is_true) >> 16) & 0xffff) {
		dasm_put(Dst, 64194, (((uintptr_t)(zend_is_true) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_is_true) >> 32) & 0xffff) {
		dasm_put(Dst, 64197, (((uintptr_t)(zend_is_true) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_is_true) >> 16) & 0xffff) {
		dasm_put(Dst, 64200, (((uintptr_t)(zend_is_true) >> 16) & 0xffff));
				if (((uintptr_t)(zend_is_true) >> 32) & 0xffff) {
		dasm_put(Dst, 64203, (((uintptr_t)(zend_is_true) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 64206, (((uintptr_t)(zend_is_true) >> 32) & 0xffff));
			}
		dasm_put(Dst, 64209);
			}
#line 8361 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	mov REG0, RETVALx
		dasm_put(Dst, 64211);
#line 8362 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

		if ((opline->op1_type & (IS_VAR|IS_TMP_VAR)) &&
			(op1_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
			op1_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op1.var);

			if (op1_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
				//|	IF_NOT_ZVAL_REFCOUNTED op1_addr, >3, ZREG_TMP1, ZREG_TMP2
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
				dasm_put(Dst, 64213, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
				dasm_put(Dst, 64217, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
				dasm_put(Dst, 64221, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 64225, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 64229, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 64234, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)));
					}
					if (IS_TYPE_REFCOUNTED == 0) {
				dasm_put(Dst, 64239, (ZREG_X15));
					} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
				dasm_put(Dst, 64242, (ZREG_X15), IS_TYPE_REFCOUNTED);
					} else {
					if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
				dasm_put(Dst, 64246, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
					} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
				dasm_put(Dst, 64250, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
						if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
				dasm_put(Dst, 64254, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 64258, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				dasm_put(Dst, 64262, (ZREG_X15), (ZREG_X16));
					}
				dasm_put(Dst, 64266);
#line 8369 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	GET_ZVAL_PTR FCARG1x, op1_addr, TMP1
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 64269, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 64272, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 64275, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 64278, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 64281, (Z_REG(op1_addr)));
				} else {
			dasm_put(Dst, 64284, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
#line 8371 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	GC_DELREF FCARG1x, TMP1w
			//|	bne >3
			dasm_put(Dst, 64288);
#line 8373 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			// In x86, r0 is used in macro ZVAL_DTOR_FUNC as temporary register, hence, r0 should be saved/restored
			// before/after this macro. In AArch64, TMP1 is used, but we still have to store REG0,
			// because it's clobbered by function call.
			//|	str REG0, T1 // save
			//|	ZVAL_DTOR_FUNC op1_info, opline, TMP1
			dasm_put(Dst, 64294);
				do {
					if (!((op1_info) & MAY_BE_GUARD)
					 && has_concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
						zend_uchar type = concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
						if (type == IS_STRING && !ZEND_DEBUG) {
				if (arm64_may_use_b(_efree)) {
			dasm_put(Dst, 64296, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
				} else {
				if (((uintptr_t)(_efree)) == 0) {
			dasm_put(Dst, 64299);
				} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
			dasm_put(Dst, 64301, ((uint64_t)(_efree)));
				} else if (arm64_may_use_adr((void*)(_efree))) {
			dasm_put(Dst, 64304, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
				} else if (arm64_may_use_adrp((void*)(_efree))) {
			dasm_put(Dst, 64307, (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
					if (((uintptr_t)(_efree)) & 0xfff) {
			dasm_put(Dst, 64310, (((uintptr_t)(_efree)) & 0xfff));
					}
				} else if ((uintptr_t)(_efree) & 0xffff) {
			dasm_put(Dst, 64313, ((uintptr_t)(_efree) & 0xffff));
					if (((uintptr_t)(_efree) >> 16) & 0xffff) {
			dasm_put(Dst, 64316, (((uintptr_t)(_efree) >> 16) & 0xffff));
					}
					if (((uintptr_t)(_efree) >> 32) & 0xffff) {
			dasm_put(Dst, 64319, (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
			dasm_put(Dst, 64322, (((uintptr_t)(_efree) >> 16) & 0xffff));
					if (((uintptr_t)(_efree) >> 32) & 0xffff) {
			dasm_put(Dst, 64325, (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 64328, (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			dasm_put(Dst, 64331);
				}
							break;
						} else if (type == IS_ARRAY) {
							if ((op1_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
								if (opline && ((op1_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 64333, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 64336);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 64338, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 64341, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 64344, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 64347, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 64350, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 64353, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 64356, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 64359, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 64362, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 64365, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 64368, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
								}
				if (arm64_may_use_b(zend_array_destroy)) {
			dasm_put(Dst, 64371, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
				} else {
				if (((uintptr_t)(zend_array_destroy)) == 0) {
			dasm_put(Dst, 64374);
				} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
			dasm_put(Dst, 64376, ((uint64_t)(zend_array_destroy)));
				} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
			dasm_put(Dst, 64379, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
			dasm_put(Dst, 64382, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
					if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
			dasm_put(Dst, 64385, (((uintptr_t)(zend_array_destroy)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
			dasm_put(Dst, 64388, ((uintptr_t)(zend_array_destroy) & 0xffff));
					if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
			dasm_put(Dst, 64391, (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
			dasm_put(Dst, 64394, (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
			dasm_put(Dst, 64397, (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
					if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
			dasm_put(Dst, 64400, (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 64403, (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			dasm_put(Dst, 64406);
				}
							} else {
				if (arm64_may_use_b(zend_jit_array_free)) {
			dasm_put(Dst, 64408, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
				} else {
				if (((uintptr_t)(zend_jit_array_free)) == 0) {
			dasm_put(Dst, 64411);
				} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
			dasm_put(Dst, 64413, ((uint64_t)(zend_jit_array_free)));
				} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
			dasm_put(Dst, 64416, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
			dasm_put(Dst, 64419, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
					if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
			dasm_put(Dst, 64422, (((uintptr_t)(zend_jit_array_free)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
			dasm_put(Dst, 64425, ((uintptr_t)(zend_jit_array_free) & 0xffff));
					if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
			dasm_put(Dst, 64428, (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
			dasm_put(Dst, 64431, (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
			dasm_put(Dst, 64434, (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
			dasm_put(Dst, 64437, (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 64440, (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			dasm_put(Dst, 64443);
				}
							}
							break;
						} else if (type == IS_OBJECT) {
							if (opline) {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 64445, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 64448);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 64450, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 64453, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 64456, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 64459, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 64462, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 64465, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 64468, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 64471, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 64474, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 64477, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 64480, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
							}
				if (arm64_may_use_b(zend_objects_store_del)) {
			dasm_put(Dst, 64483, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
				} else {
				if (((uintptr_t)(zend_objects_store_del)) == 0) {
			dasm_put(Dst, 64486);
				} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
			dasm_put(Dst, 64488, ((uint64_t)(zend_objects_store_del)));
				} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
			dasm_put(Dst, 64491, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
			dasm_put(Dst, 64494, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
					if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
			dasm_put(Dst, 64497, (((uintptr_t)(zend_objects_store_del)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
			dasm_put(Dst, 64500, ((uintptr_t)(zend_objects_store_del) & 0xffff));
					if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
			dasm_put(Dst, 64503, (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
			dasm_put(Dst, 64506, (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
			dasm_put(Dst, 64509, (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
					if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
			dasm_put(Dst, 64512, (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 64515, (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			dasm_put(Dst, 64518);
				}
							break;
						}
					}
					if (opline) {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 64520, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 64523);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 64525, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 64528, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 64531, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 64534, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 64537, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 64540, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 64543, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 64546, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 64549, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 64552, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 64555, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
					}
				if (arm64_may_use_b(rc_dtor_func)) {
			dasm_put(Dst, 64558, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
				} else {
				if (((uintptr_t)(rc_dtor_func)) == 0) {
			dasm_put(Dst, 64561);
				} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
			dasm_put(Dst, 64563, ((uint64_t)(rc_dtor_func)));
				} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
			dasm_put(Dst, 64566, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
				} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
			dasm_put(Dst, 64569, (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
					if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
			dasm_put(Dst, 64572, (((uintptr_t)(rc_dtor_func)) & 0xfff));
					}
				} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
			dasm_put(Dst, 64575, ((uintptr_t)(rc_dtor_func) & 0xffff));
					if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
			dasm_put(Dst, 64578, (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
					}
					if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
			dasm_put(Dst, 64581, (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
			dasm_put(Dst, 64584, (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
					if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
			dasm_put(Dst, 64587, (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 64590, (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			dasm_put(Dst, 64593);
				}
				} while(0);
#line 8378 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	ldr REG0, T1 // restore
			//|3:
			dasm_put(Dst, 64595);
#line 8380 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (may_throw) {
			//|	MEM_LOAD_64_ZTS ldr, REG1, executor_globals, exception, TMP1
				if (((uintptr_t)(&executor_globals.exception)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.exception))) {
			dasm_put(Dst, 64598, (unsigned int)((ptrdiff_t)(&executor_globals.exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.exception))>>32));
				} else if (((uintptr_t)(&executor_globals.exception)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.exception))) {
			dasm_put(Dst, 64602, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.exception)))))>>32), (((uintptr_t)(&executor_globals.exception)) & 0xfff));
				} else {
				if (((uintptr_t)(&executor_globals.exception)) == 0) {
			dasm_put(Dst, 64607);
				} else if (((uintptr_t)(&executor_globals.exception)) <= MOVZ_IMM) {
			dasm_put(Dst, 64609, ((uint64_t)(&executor_globals.exception)));
				} else if (arm64_may_use_adr((void*)(&executor_globals.exception))) {
			dasm_put(Dst, 64612, (unsigned int)((ptrdiff_t)(&executor_globals.exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.exception))>>32));
				} else if (arm64_may_use_adrp((void*)(&executor_globals.exception))) {
			dasm_put(Dst, 64615, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.exception)))))>>32));
					if (((uintptr_t)(&executor_globals.exception)) & 0xfff) {
			dasm_put(Dst, 64618, (((uintptr_t)(&executor_globals.exception)) & 0xfff));
					}
				} else if ((uintptr_t)(&executor_globals.exception) & 0xffff) {
			dasm_put(Dst, 64621, ((uintptr_t)(&executor_globals.exception) & 0xffff));
					if (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff) {
			dasm_put(Dst, 64624, (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff));
					}
					if (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff) {
			dasm_put(Dst, 64627, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff) {
			dasm_put(Dst, 64630, (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff));
					if (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff) {
			dasm_put(Dst, 64633, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 64636, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
				}
			dasm_put(Dst, 64639);
				}
#line 8383 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	cbnz REG1, ->exception_handler_undef
			dasm_put(Dst, 64641);
#line 8384 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}

		if (set_bool) {
			if (set_bool_not) {
				//|	neg REG0w, REG0w
				//|	add REG0w, REG0w, #3
				dasm_put(Dst, 64644);
#line 8390 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	add REG0w, REG0w, #2
				dasm_put(Dst, 64647);
#line 8392 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	SET_ZVAL_TYPE_INFO_FROM_REG res_addr, REG0w, TMP1
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 64649, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 64652, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 64655, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 64658, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 64661, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 64664, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
#line 8394 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (exit_addr) {
				//|	CMP_ZVAL_TYPE res_addr, IS_FALSE, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 64668, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 64672, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 64676, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 64680, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 64684, (ZREG_X15), (Z_REG(res_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 64689, (ZREG_X15), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)));
					}
				dasm_put(Dst, 64694, (ZREG_X15), IS_FALSE);
#line 8396 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				if (branch_opcode == ZEND_JMPNZ || branch_opcode == ZEND_JMPNZ_EX) {
					//|	bne &exit_addr
					dasm_put(Dst, 64698, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 8398 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	beq &exit_addr
					dasm_put(Dst, 64701, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 8400 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else if (true_label != (uint32_t)-1 || false_label != (uint32_t)-1) {
				//|	CMP_ZVAL_TYPE res_addr, IS_FALSE, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 64704, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 64708, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 64712, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 64716, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 64720, (ZREG_X15), (Z_REG(res_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 64725, (ZREG_X15), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)));
					}
				dasm_put(Dst, 64730, (ZREG_X15), IS_FALSE);
#line 8403 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				if (true_label != (uint32_t)-1) {
					//|	bne =>true_label
					dasm_put(Dst, 64734, true_label);
#line 8405 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					if (false_label != (uint32_t)-1) {
						//|	b =>false_label
						dasm_put(Dst, 64737, false_label);
#line 8407 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else if (op1_info & (MAY_BE_UNDEF|MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG)) {
						//|	b >9
						dasm_put(Dst, 64740);
#line 8409 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				} else {
					//|	beq =>false_label
					dasm_put(Dst, 64743, false_label);
#line 8412 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			}
			if (op1_info & (MAY_BE_UNDEF|MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG)) {
				//|	b >9
				//|.code
				dasm_put(Dst, 64746);
#line 8417 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else {
			if (exit_addr) {
				if (branch_opcode == ZEND_JMPNZ || branch_opcode == ZEND_JMPNZ_EX) {
					//|	cbnz REG0w, &exit_addr
					dasm_put(Dst, 64749, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 8422 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					if (op1_info & (MAY_BE_UNDEF|MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG)) {
						//|	b >9
						dasm_put(Dst, 64752);
#line 8424 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				} else {
					//|	cbz REG0w, &exit_addr
					dasm_put(Dst, 64755, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 8427 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					if (op1_info & (MAY_BE_UNDEF|MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG)) {
						//|	b >9
						dasm_put(Dst, 64758);
#line 8429 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				}
			} else if (true_label != (uint32_t)-1) {
				//|	cbnz REG0w, =>true_label
				dasm_put(Dst, 64761, true_label);
#line 8433 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				if (false_label != (uint32_t)-1) {
					//|	b =>false_label
					dasm_put(Dst, 64764, false_label);
#line 8435 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else if (op1_info & (MAY_BE_UNDEF|MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG)) {
					//|	b >9
					dasm_put(Dst, 64767);
#line 8437 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else {
				//|	cbz REG0w, =>false_label
				dasm_put(Dst, 64770, false_label);
#line 8440 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				if (op1_info & (MAY_BE_UNDEF|MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG)) {
					//|	b >9
					dasm_put(Dst, 64773);
#line 8442 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			}

			if (op1_info & (MAY_BE_UNDEF|MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG)) {
				//|.code
				dasm_put(Dst, 64776);
#line 8447 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
	}

	//|9:
	dasm_put(Dst, 64777);
#line 8452 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	return 1;
}

static int zend_jit_qm_assign(dasm_State **Dst, const zend_op *opline, uint32_t op1_info, zend_jit_addr op1_addr, zend_jit_addr op1_def_addr, uint32_t res_use_info, uint32_t res_info, zend_jit_addr res_addr)
{
	if (op1_addr != op1_def_addr) {
		if (!zend_jit_update_regs(Dst, opline->op1.var, op1_addr, op1_def_addr, op1_info)) {
			return 0;
		}
		if (Z_MODE(op1_def_addr) == IS_REG && Z_MODE(op1_addr) != IS_REG) {
			op1_addr = op1_def_addr;
		}
	}

	if (!zend_jit_simple_assign(Dst, opline, res_addr, res_use_info, res_info, opline->op1_type, op1_addr, op1_info, 0, 0, 0, 1)) {
		return 0;
	}
	if (!zend_jit_store_var_if_necessary(Dst, opline->result.var, res_addr, res_info)) {
		return 0;
	}
	if (op1_info & MAY_BE_UNDEF) {
		zend_jit_check_exception(Dst);
	}
	return 1;
}

static int zend_jit_assign(dasm_State **Dst, const zend_op *opline, uint32_t op1_info, zend_jit_addr op1_use_addr, uint32_t op1_def_info, zend_jit_addr op1_addr, uint32_t op2_info, zend_jit_addr op2_addr, zend_jit_addr op2_def_addr, uint32_t res_info, zend_jit_addr res_addr, int may_throw)
{
	ZEND_ASSERT(opline->op1_type == IS_CV);

	if (op2_addr != op2_def_addr) {
		if (!zend_jit_update_regs(Dst, opline->op2.var, op2_addr, op2_def_addr, op2_info)) {
			return 0;
		}
		if (Z_MODE(op2_def_addr) == IS_REG && Z_MODE(op2_addr) != IS_REG) {
			op2_addr = op2_def_addr;
		}
	}

	if (Z_MODE(op1_addr) != IS_REG
	 && Z_MODE(op1_use_addr) == IS_REG
	 && !Z_LOAD(op1_use_addr)
	 && !Z_STORE(op1_use_addr)) {
		/* Force type update */
		op1_info |= MAY_BE_UNDEF;
	}
	if (!zend_jit_assign_to_variable(Dst, opline, op1_use_addr, op1_addr, op1_info, op1_def_info, opline->op2_type, op2_addr, op2_info, res_addr,
			may_throw)) {
		return 0;
	}
	if (!zend_jit_store_var_if_necessary_ex(Dst, opline->op1.var, op1_addr, op1_def_info, op1_use_addr, op1_info)) {
		return 0;
	}
	if (opline->result_type != IS_UNUSED) {
		if (!zend_jit_store_var_if_necessary(Dst, opline->result.var, res_addr, res_info)) {
			return 0;
		}
	}

	return 1;
}

/* copy of hidden zend_closure */
typedef struct _zend_closure {
	zend_object       std;
	zend_function     func;
	zval              this_ptr;
	zend_class_entry *called_scope;
	zif_handler       orig_internal_handler;
} zend_closure;

static int zend_jit_stack_check(dasm_State **Dst, const zend_op *opline, uint32_t used_stack)
{
	int32_t exit_point = zend_jit_trace_get_exit_point(opline, ZEND_JIT_EXIT_TO_VM);
	const void *exit_addr = zend_jit_trace_get_exit_addr(exit_point);

	if (!exit_addr) {
		return 0;
	}

	//|	// Check Stack Overflow
	//|	MEM_LOAD_64_ZTS ldr, REG1, executor_globals, vm_stack_end, TMP1
		if (((uintptr_t)(&executor_globals.vm_stack_end)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.vm_stack_end))) {
	dasm_put(Dst, 64779, (unsigned int)((ptrdiff_t)(&executor_globals.vm_stack_end)), (unsigned int)(((ptrdiff_t)(&executor_globals.vm_stack_end))>>32));
		} else if (((uintptr_t)(&executor_globals.vm_stack_end)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.vm_stack_end))) {
	dasm_put(Dst, 64783, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_stack_end))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_stack_end)))))>>32), (((uintptr_t)(&executor_globals.vm_stack_end)) & 0xfff));
		} else {
		if (((uintptr_t)(&executor_globals.vm_stack_end)) == 0) {
	dasm_put(Dst, 64788);
		} else if (((uintptr_t)(&executor_globals.vm_stack_end)) <= MOVZ_IMM) {
	dasm_put(Dst, 64790, ((uint64_t)(&executor_globals.vm_stack_end)));
		} else if (arm64_may_use_adr((void*)(&executor_globals.vm_stack_end))) {
	dasm_put(Dst, 64793, (unsigned int)((ptrdiff_t)(&executor_globals.vm_stack_end)), (unsigned int)(((ptrdiff_t)(&executor_globals.vm_stack_end))>>32));
		} else if (arm64_may_use_adrp((void*)(&executor_globals.vm_stack_end))) {
	dasm_put(Dst, 64796, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_stack_end))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_stack_end)))))>>32));
			if (((uintptr_t)(&executor_globals.vm_stack_end)) & 0xfff) {
	dasm_put(Dst, 64799, (((uintptr_t)(&executor_globals.vm_stack_end)) & 0xfff));
			}
		} else if ((uintptr_t)(&executor_globals.vm_stack_end) & 0xffff) {
	dasm_put(Dst, 64802, ((uintptr_t)(&executor_globals.vm_stack_end) & 0xffff));
			if (((uintptr_t)(&executor_globals.vm_stack_end) >> 16) & 0xffff) {
	dasm_put(Dst, 64805, (((uintptr_t)(&executor_globals.vm_stack_end) >> 16) & 0xffff));
			}
			if (((uintptr_t)(&executor_globals.vm_stack_end) >> 32) & 0xffff) {
	dasm_put(Dst, 64808, (((uintptr_t)(&executor_globals.vm_stack_end) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(&executor_globals.vm_stack_end) >> 16) & 0xffff) {
	dasm_put(Dst, 64811, (((uintptr_t)(&executor_globals.vm_stack_end) >> 16) & 0xffff));
			if (((uintptr_t)(&executor_globals.vm_stack_end) >> 32) & 0xffff) {
	dasm_put(Dst, 64814, (((uintptr_t)(&executor_globals.vm_stack_end) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 64817, (((uintptr_t)(&executor_globals.vm_stack_end) >> 32) & 0xffff));
		}
	dasm_put(Dst, 64820);
		}
#line 8535 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	MEM_LOAD_OP_ZTS sub, ldr, REG1, executor_globals, vm_stack_top, TMP1, TMP2
		if (((uintptr_t)(&executor_globals.vm_stack_top)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.vm_stack_top))) {
	dasm_put(Dst, 64822, (unsigned int)((ptrdiff_t)(&executor_globals.vm_stack_top)), (unsigned int)(((ptrdiff_t)(&executor_globals.vm_stack_top))>>32));
		} else if (((uintptr_t)(&executor_globals.vm_stack_top)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.vm_stack_top))) {
	dasm_put(Dst, 64826, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_stack_top))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_stack_top)))))>>32), (((uintptr_t)(&executor_globals.vm_stack_top)) & 0xfff));
		} else {
		if (((uintptr_t)(&executor_globals.vm_stack_top)) == 0) {
	dasm_put(Dst, 64831);
		} else if (((uintptr_t)(&executor_globals.vm_stack_top)) <= MOVZ_IMM) {
	dasm_put(Dst, 64833, ((uint64_t)(&executor_globals.vm_stack_top)));
		} else if (arm64_may_use_adr((void*)(&executor_globals.vm_stack_top))) {
	dasm_put(Dst, 64836, (unsigned int)((ptrdiff_t)(&executor_globals.vm_stack_top)), (unsigned int)(((ptrdiff_t)(&executor_globals.vm_stack_top))>>32));
		} else if (arm64_may_use_adrp((void*)(&executor_globals.vm_stack_top))) {
	dasm_put(Dst, 64839, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_stack_top))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_stack_top)))))>>32));
			if (((uintptr_t)(&executor_globals.vm_stack_top)) & 0xfff) {
	dasm_put(Dst, 64842, (((uintptr_t)(&executor_globals.vm_stack_top)) & 0xfff));
			}
		} else if ((uintptr_t)(&executor_globals.vm_stack_top) & 0xffff) {
	dasm_put(Dst, 64845, ((uintptr_t)(&executor_globals.vm_stack_top) & 0xffff));
			if (((uintptr_t)(&executor_globals.vm_stack_top) >> 16) & 0xffff) {
	dasm_put(Dst, 64848, (((uintptr_t)(&executor_globals.vm_stack_top) >> 16) & 0xffff));
			}
			if (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff) {
	dasm_put(Dst, 64851, (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(&executor_globals.vm_stack_top) >> 16) & 0xffff) {
	dasm_put(Dst, 64854, (((uintptr_t)(&executor_globals.vm_stack_top) >> 16) & 0xffff));
			if (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff) {
	dasm_put(Dst, 64857, (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 64860, (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff));
		}
	dasm_put(Dst, 64863);
		}
#line 8536 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	CMP_64_WITH_CONST_32 REG1, used_stack, TMP1
	dasm_put(Dst, 64865);
		if (used_stack == 0) {
	dasm_put(Dst, 64867);
		} else if (arm64_may_encode_imm12((int64_t)(used_stack))) {
	dasm_put(Dst, 64869, used_stack);
		} else if (arm64_may_encode_imm12((int64_t)(-used_stack))) {
	dasm_put(Dst, 64872, -used_stack);
		} else {
		if (((uint32_t)(used_stack)) <= MOVZ_IMM) {
	dasm_put(Dst, 64875, ((uint32_t)(used_stack)));
		} else if (((uint32_t)(used_stack) & 0xffff)) {
	dasm_put(Dst, 64878, ((uint32_t)(used_stack) & 0xffff));
			if ((((uint32_t)(used_stack) >> 16) & 0xffff)) {
	dasm_put(Dst, 64881, (((uint32_t)(used_stack) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 64884, (((uint32_t)(used_stack) >> 16) & 0xffff));
		}
	dasm_put(Dst, 64887);
		}
#line 8537 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	blo &exit_addr
	dasm_put(Dst, 64889, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 8538 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	return 1;
}

static int zend_jit_push_call_frame(dasm_State **Dst, const zend_op *opline, const zend_op_array *op_array, zend_function *func, bool is_closure, bool delayed_fetch_this, int checked_stack)
{
	uint32_t used_stack;
	bool stack_check = 1;

	// REG0   -> zend_function
	// FCARG1 -> used_stack

	if (func) {
		used_stack = zend_vm_calc_used_stack(opline->extended_value, func);
		if ((int)used_stack <= checked_stack) {
			stack_check = 0;
		}
	} else {
		used_stack = (ZEND_CALL_FRAME_SLOT + opline->extended_value) * sizeof(zval);

		//|	// if (EXPECTED(ZEND_USER_CODE(func->type))) {
		if (!is_closure) {
			//|	LOAD_32BIT_VAL FCARG1w, used_stack
				if (((uint32_t)(used_stack)) <= MOVZ_IMM) {
			dasm_put(Dst, 64892, ((uint32_t)(used_stack)));
				} else if (((uint32_t)(used_stack) & 0xffff)) {
			dasm_put(Dst, 64895, ((uint32_t)(used_stack) & 0xffff));
					if ((((uint32_t)(used_stack) >> 16) & 0xffff)) {
			dasm_put(Dst, 64898, (((uint32_t)(used_stack) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 64901, (((uint32_t)(used_stack) >> 16) & 0xffff));
				}
#line 8561 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	// Check whether REG0 is an internal function.
			//|	ldrb TMP1w, [REG0, #offsetof(zend_function, type)]
			//|	TST_32_WITH_CONST TMP1w, 1, TMP2w
			dasm_put(Dst, 64904, offsetof(zend_function, type));
				if (1 == 0) {
			dasm_put(Dst, 64907);
				} else if (logical_immediate_p((uint32_t)1, 32)) {
			dasm_put(Dst, 64909);
				} else {
				if (((uint32_t)(1)) <= MOVZ_IMM) {
			dasm_put(Dst, 64911, ((uint32_t)(1)));
				} else if (((uint32_t)(1) & 0xffff)) {
			dasm_put(Dst, 64914, ((uint32_t)(1) & 0xffff));
					if ((((uint32_t)(1) >> 16) & 0xffff)) {
			dasm_put(Dst, 64917, (((uint32_t)(1) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 64920, (((uint32_t)(1) >> 16) & 0xffff));
				}
			dasm_put(Dst, 64923);
				}
#line 8564 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	bne >1
			dasm_put(Dst, 64925);
#line 8565 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	LOAD_32BIT_VAL FCARG1w, used_stack
				if (((uint32_t)(used_stack)) <= MOVZ_IMM) {
			dasm_put(Dst, 64928, ((uint32_t)(used_stack)));
				} else if (((uint32_t)(used_stack) & 0xffff)) {
			dasm_put(Dst, 64931, ((uint32_t)(used_stack) & 0xffff));
					if ((((uint32_t)(used_stack) >> 16) & 0xffff)) {
			dasm_put(Dst, 64934, (((uint32_t)(used_stack) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 64937, (((uint32_t)(used_stack) >> 16) & 0xffff));
				}
#line 8567 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	// used_stack += (func->op_array.last_var + func->op_array.T - MIN(func->op_array.num_args, num_args)) * sizeof(zval);
		//|	LOAD_32BIT_VAL REG2w, opline->extended_value
			if (((uint32_t)(opline->extended_value)) <= MOVZ_IMM) {
		dasm_put(Dst, 64940, ((uint32_t)(opline->extended_value)));
			} else if (((uint32_t)(opline->extended_value) & 0xffff)) {
		dasm_put(Dst, 64943, ((uint32_t)(opline->extended_value) & 0xffff));
				if ((((uint32_t)(opline->extended_value) >> 16) & 0xffff)) {
		dasm_put(Dst, 64946, (((uint32_t)(opline->extended_value) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 64949, (((uint32_t)(opline->extended_value) >> 16) & 0xffff));
			}
#line 8570 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (!is_closure) {
			//|	ldr TMP1w, [REG0, #offsetof(zend_function, op_array.num_args)]
			//|	cmp REG2w, TMP1w
			//|	csel REG2w, REG2w, TMP1w, le
			//|	ldr TMP1w, [REG0, #offsetof(zend_function, op_array.last_var)]
			//|	sub REG2w, REG2w, TMP1w
			//|	ldr TMP1w, [REG0, #offsetof(zend_function, op_array.T)]
			//|	sub REG2w, REG2w, TMP1w
			dasm_put(Dst, 64952, offsetof(zend_function, op_array.num_args), offsetof(zend_function, op_array.last_var), offsetof(zend_function, op_array.T));
#line 8578 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	ldr TMP1w, [REG0, #offsetof(zend_closure, func.op_array.num_args)]
			//|	cmp REG2w, TMP1w
			//|	csel REG2w, REG2w, TMP1w, le
			//|	ldr TMP1w, [REG0, #offsetof(zend_closure, func.op_array.last_var)]
			//|	sub REG2w, REG2w, TMP1w
			//|	ldr TMP1w, [REG0, #offsetof(zend_closure, func.op_array.T)]
			//|	sub REG2w, REG2w, TMP1w
			dasm_put(Dst, 64963, offsetof(zend_closure, func.op_array.num_args), offsetof(zend_closure, func.op_array.last_var), offsetof(zend_closure, func.op_array.T));
#line 8586 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	sxtw REG2, REG2w
		//|	sub FCARG1x, FCARG1x, REG2, lsl #4
		//|1:
		dasm_put(Dst, 64974);
#line 8590 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	zend_jit_start_reuse_ip();

	//|	// if (UNEXPECTED(used_stack > (size_t)(((char*)EG(vm_stack_end)) - (char*)call))) {
	//|	MEM_LOAD_64_ZTS ldr, RX, executor_globals, vm_stack_top, TMP1
		if (((uintptr_t)(&executor_globals.vm_stack_top)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.vm_stack_top))) {
	dasm_put(Dst, 64978, (unsigned int)((ptrdiff_t)(&executor_globals.vm_stack_top)), (unsigned int)(((ptrdiff_t)(&executor_globals.vm_stack_top))>>32));
		} else if (((uintptr_t)(&executor_globals.vm_stack_top)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.vm_stack_top))) {
	dasm_put(Dst, 64982, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_stack_top))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_stack_top)))))>>32), (((uintptr_t)(&executor_globals.vm_stack_top)) & 0xfff));
		} else {
		if (((uintptr_t)(&executor_globals.vm_stack_top)) == 0) {
	dasm_put(Dst, 64987);
		} else if (((uintptr_t)(&executor_globals.vm_stack_top)) <= MOVZ_IMM) {
	dasm_put(Dst, 64989, ((uint64_t)(&executor_globals.vm_stack_top)));
		} else if (arm64_may_use_adr((void*)(&executor_globals.vm_stack_top))) {
	dasm_put(Dst, 64992, (unsigned int)((ptrdiff_t)(&executor_globals.vm_stack_top)), (unsigned int)(((ptrdiff_t)(&executor_globals.vm_stack_top))>>32));
		} else if (arm64_may_use_adrp((void*)(&executor_globals.vm_stack_top))) {
	dasm_put(Dst, 64995, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_stack_top))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_stack_top)))))>>32));
			if (((uintptr_t)(&executor_globals.vm_stack_top)) & 0xfff) {
	dasm_put(Dst, 64998, (((uintptr_t)(&executor_globals.vm_stack_top)) & 0xfff));
			}
		} else if ((uintptr_t)(&executor_globals.vm_stack_top) & 0xffff) {
	dasm_put(Dst, 65001, ((uintptr_t)(&executor_globals.vm_stack_top) & 0xffff));
			if (((uintptr_t)(&executor_globals.vm_stack_top) >> 16) & 0xffff) {
	dasm_put(Dst, 65004, (((uintptr_t)(&executor_globals.vm_stack_top) >> 16) & 0xffff));
			}
			if (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff) {
	dasm_put(Dst, 65007, (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(&executor_globals.vm_stack_top) >> 16) & 0xffff) {
	dasm_put(Dst, 65010, (((uintptr_t)(&executor_globals.vm_stack_top) >> 16) & 0xffff));
			if (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff) {
	dasm_put(Dst, 65013, (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 65016, (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff));
		}
	dasm_put(Dst, 65019);
		}
#line 8596 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	if (stack_check) {
		//|	// Check Stack Overflow
		//|	MEM_LOAD_64_ZTS ldr, REG2, executor_globals, vm_stack_end, TMP1
			if (((uintptr_t)(&executor_globals.vm_stack_end)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.vm_stack_end))) {
		dasm_put(Dst, 65021, (unsigned int)((ptrdiff_t)(&executor_globals.vm_stack_end)), (unsigned int)(((ptrdiff_t)(&executor_globals.vm_stack_end))>>32));
			} else if (((uintptr_t)(&executor_globals.vm_stack_end)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.vm_stack_end))) {
		dasm_put(Dst, 65025, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_stack_end))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_stack_end)))))>>32), (((uintptr_t)(&executor_globals.vm_stack_end)) & 0xfff));
			} else {
			if (((uintptr_t)(&executor_globals.vm_stack_end)) == 0) {
		dasm_put(Dst, 65030);
			} else if (((uintptr_t)(&executor_globals.vm_stack_end)) <= MOVZ_IMM) {
		dasm_put(Dst, 65032, ((uint64_t)(&executor_globals.vm_stack_end)));
			} else if (arm64_may_use_adr((void*)(&executor_globals.vm_stack_end))) {
		dasm_put(Dst, 65035, (unsigned int)((ptrdiff_t)(&executor_globals.vm_stack_end)), (unsigned int)(((ptrdiff_t)(&executor_globals.vm_stack_end))>>32));
			} else if (arm64_may_use_adrp((void*)(&executor_globals.vm_stack_end))) {
		dasm_put(Dst, 65038, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_stack_end))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_stack_end)))))>>32));
				if (((uintptr_t)(&executor_globals.vm_stack_end)) & 0xfff) {
		dasm_put(Dst, 65041, (((uintptr_t)(&executor_globals.vm_stack_end)) & 0xfff));
				}
			} else if ((uintptr_t)(&executor_globals.vm_stack_end) & 0xffff) {
		dasm_put(Dst, 65044, ((uintptr_t)(&executor_globals.vm_stack_end) & 0xffff));
				if (((uintptr_t)(&executor_globals.vm_stack_end) >> 16) & 0xffff) {
		dasm_put(Dst, 65047, (((uintptr_t)(&executor_globals.vm_stack_end) >> 16) & 0xffff));
				}
				if (((uintptr_t)(&executor_globals.vm_stack_end) >> 32) & 0xffff) {
		dasm_put(Dst, 65050, (((uintptr_t)(&executor_globals.vm_stack_end) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(&executor_globals.vm_stack_end) >> 16) & 0xffff) {
		dasm_put(Dst, 65053, (((uintptr_t)(&executor_globals.vm_stack_end) >> 16) & 0xffff));
				if (((uintptr_t)(&executor_globals.vm_stack_end) >> 32) & 0xffff) {
		dasm_put(Dst, 65056, (((uintptr_t)(&executor_globals.vm_stack_end) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 65059, (((uintptr_t)(&executor_globals.vm_stack_end) >> 32) & 0xffff));
			}
		dasm_put(Dst, 65062);
			}
#line 8600 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	sub REG2, REG2, RX
		dasm_put(Dst, 65064);
#line 8601 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (func) {
			//|	CMP_64_WITH_CONST_32 REG2, used_stack, TMP1
				if (used_stack == 0) {
			dasm_put(Dst, 65066);
				} else if (arm64_may_encode_imm12((int64_t)(used_stack))) {
			dasm_put(Dst, 65068, used_stack);
				} else if (arm64_may_encode_imm12((int64_t)(-used_stack))) {
			dasm_put(Dst, 65071, -used_stack);
				} else {
				if (((uint32_t)(used_stack)) <= MOVZ_IMM) {
			dasm_put(Dst, 65074, ((uint32_t)(used_stack)));
				} else if (((uint32_t)(used_stack) & 0xffff)) {
			dasm_put(Dst, 65077, ((uint32_t)(used_stack) & 0xffff));
					if ((((uint32_t)(used_stack) >> 16) & 0xffff)) {
			dasm_put(Dst, 65080, (((uint32_t)(used_stack) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 65083, (((uint32_t)(used_stack) >> 16) & 0xffff));
				}
			dasm_put(Dst, 65086);
				}
#line 8603 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	cmp REG2, FCARG1x
			dasm_put(Dst, 65088);
#line 8605 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}

		if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE) {
			int32_t exit_point = zend_jit_trace_get_exit_point(opline, ZEND_JIT_EXIT_TO_VM);
			const void *exit_addr = zend_jit_trace_get_exit_addr(exit_point);

			if (!exit_addr) {
				return 0;
			}

			//|	blo &exit_addr
			dasm_put(Dst, 65090, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 8616 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	blo >1
			//|	// EG(vm_stack_top) = (zval*)((char*)call + used_stack);
			//|.cold_code
			dasm_put(Dst, 65093);
#line 8620 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|1:
			dasm_put(Dst, 65096);
#line 8621 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (func) {
				//|	LOAD_32BIT_VAL FCARG1w, used_stack
					if (((uint32_t)(used_stack)) <= MOVZ_IMM) {
				dasm_put(Dst, 65098, ((uint32_t)(used_stack)));
					} else if (((uint32_t)(used_stack) & 0xffff)) {
				dasm_put(Dst, 65101, ((uint32_t)(used_stack) & 0xffff));
						if ((((uint32_t)(used_stack) >> 16) & 0xffff)) {
				dasm_put(Dst, 65104, (((uint32_t)(used_stack) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 65107, (((uint32_t)(used_stack) >> 16) & 0xffff));
					}
#line 8623 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if (opline->opcode == ZEND_INIT_FCALL && func && func->type == ZEND_INTERNAL_FUNCTION) {
				//|	SET_EX_OPLINE opline, REG0
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 65110, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 65113);
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 65115, ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 65118, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 65121, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 65124, (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 65127, ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 65130, (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 65133, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 65136, (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 65139, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 65142, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 65145, Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
#line 8626 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	EXT_CALL zend_jit_int_extend_stack_helper, REG0
					if (arm64_may_use_b(zend_jit_int_extend_stack_helper)) {
				dasm_put(Dst, 65148, (unsigned int)((ptrdiff_t)(zend_jit_int_extend_stack_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_int_extend_stack_helper))>>32));
					} else {
					if (((uintptr_t)(zend_jit_int_extend_stack_helper)) == 0) {
				dasm_put(Dst, 65151);
					} else if (((uintptr_t)(zend_jit_int_extend_stack_helper)) <= MOVZ_IMM) {
				dasm_put(Dst, 65153, ((uint64_t)(zend_jit_int_extend_stack_helper)));
					} else if (arm64_may_use_adr((void*)(zend_jit_int_extend_stack_helper))) {
				dasm_put(Dst, 65156, (unsigned int)((ptrdiff_t)(zend_jit_int_extend_stack_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_int_extend_stack_helper))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_int_extend_stack_helper))) {
				dasm_put(Dst, 65159, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_int_extend_stack_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_int_extend_stack_helper)))))>>32));
						if (((uintptr_t)(zend_jit_int_extend_stack_helper)) & 0xfff) {
				dasm_put(Dst, 65162, (((uintptr_t)(zend_jit_int_extend_stack_helper)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_int_extend_stack_helper) & 0xffff) {
				dasm_put(Dst, 65165, ((uintptr_t)(zend_jit_int_extend_stack_helper) & 0xffff));
						if (((uintptr_t)(zend_jit_int_extend_stack_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 65168, (((uintptr_t)(zend_jit_int_extend_stack_helper) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_int_extend_stack_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 65171, (((uintptr_t)(zend_jit_int_extend_stack_helper) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_int_extend_stack_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 65174, (((uintptr_t)(zend_jit_int_extend_stack_helper) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_int_extend_stack_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 65177, (((uintptr_t)(zend_jit_int_extend_stack_helper) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 65180, (((uintptr_t)(zend_jit_int_extend_stack_helper) >> 32) & 0xffff));
					}
				dasm_put(Dst, 65183);
					}
#line 8627 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				if (!is_closure) {
					//|	mov FCARG2x, REG0
					dasm_put(Dst, 65185);
#line 8630 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	add FCARG2x, REG0, #offsetof(zend_closure, func)
					dasm_put(Dst, 65187, offsetof(zend_closure, func));
#line 8632 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|	SET_EX_OPLINE opline, REG0
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 65190, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 65193);
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 65195, ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 65198, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 65201, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 65204, (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 65207, ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 65210, (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 65213, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 65216, (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 65219, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 65222, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 65225, Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
#line 8634 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	EXT_CALL zend_jit_extend_stack_helper, REG0
					if (arm64_may_use_b(zend_jit_extend_stack_helper)) {
				dasm_put(Dst, 65228, (unsigned int)((ptrdiff_t)(zend_jit_extend_stack_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_extend_stack_helper))>>32));
					} else {
					if (((uintptr_t)(zend_jit_extend_stack_helper)) == 0) {
				dasm_put(Dst, 65231);
					} else if (((uintptr_t)(zend_jit_extend_stack_helper)) <= MOVZ_IMM) {
				dasm_put(Dst, 65233, ((uint64_t)(zend_jit_extend_stack_helper)));
					} else if (arm64_may_use_adr((void*)(zend_jit_extend_stack_helper))) {
				dasm_put(Dst, 65236, (unsigned int)((ptrdiff_t)(zend_jit_extend_stack_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_extend_stack_helper))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_extend_stack_helper))) {
				dasm_put(Dst, 65239, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_extend_stack_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_extend_stack_helper)))))>>32));
						if (((uintptr_t)(zend_jit_extend_stack_helper)) & 0xfff) {
				dasm_put(Dst, 65242, (((uintptr_t)(zend_jit_extend_stack_helper)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_extend_stack_helper) & 0xffff) {
				dasm_put(Dst, 65245, ((uintptr_t)(zend_jit_extend_stack_helper) & 0xffff));
						if (((uintptr_t)(zend_jit_extend_stack_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 65248, (((uintptr_t)(zend_jit_extend_stack_helper) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_extend_stack_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 65251, (((uintptr_t)(zend_jit_extend_stack_helper) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_extend_stack_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 65254, (((uintptr_t)(zend_jit_extend_stack_helper) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_extend_stack_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 65257, (((uintptr_t)(zend_jit_extend_stack_helper) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 65260, (((uintptr_t)(zend_jit_extend_stack_helper) >> 32) & 0xffff));
					}
				dasm_put(Dst, 65263);
					}
#line 8635 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	mov RX, RETVALx
			//|	b >1
			//|.code
			dasm_put(Dst, 65265);
#line 8639 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	if (func) {
			if (arm64_may_encode_imm12((int64_t)used_stack)) {
		//|		MEM_UPDATE_ZTS add, ldr, str, #used_stack, executor_globals, vm_stack_top, REG2, TMP1
			if (((uintptr_t)(&executor_globals.vm_stack_top)) == 0) {
		dasm_put(Dst, 65269);
			} else if (((uintptr_t)(&executor_globals.vm_stack_top)) <= MOVZ_IMM) {
		dasm_put(Dst, 65271, ((uint64_t)(&executor_globals.vm_stack_top)));
			} else if (arm64_may_use_adr((void*)(&executor_globals.vm_stack_top))) {
		dasm_put(Dst, 65274, (unsigned int)((ptrdiff_t)(&executor_globals.vm_stack_top)), (unsigned int)(((ptrdiff_t)(&executor_globals.vm_stack_top))>>32));
			} else if (arm64_may_use_adrp((void*)(&executor_globals.vm_stack_top))) {
		dasm_put(Dst, 65277, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_stack_top))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_stack_top)))))>>32));
				if (((uintptr_t)(&executor_globals.vm_stack_top)) & 0xfff) {
		dasm_put(Dst, 65280, (((uintptr_t)(&executor_globals.vm_stack_top)) & 0xfff));
				}
			} else if ((uintptr_t)(&executor_globals.vm_stack_top) & 0xffff) {
		dasm_put(Dst, 65283, ((uintptr_t)(&executor_globals.vm_stack_top) & 0xffff));
				if (((uintptr_t)(&executor_globals.vm_stack_top) >> 16) & 0xffff) {
		dasm_put(Dst, 65286, (((uintptr_t)(&executor_globals.vm_stack_top) >> 16) & 0xffff));
				}
				if (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff) {
		dasm_put(Dst, 65289, (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(&executor_globals.vm_stack_top) >> 16) & 0xffff) {
		dasm_put(Dst, 65292, (((uintptr_t)(&executor_globals.vm_stack_top) >> 16) & 0xffff));
				if (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff) {
		dasm_put(Dst, 65295, (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 65298, (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff));
			}
#line 8645 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		dasm_put(Dst, 65301, used_stack);
			} else {
#line 8646 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|		LOAD_32BIT_VAL TMP1w, used_stack
			if (((uint32_t)(used_stack)) <= MOVZ_IMM) {
		dasm_put(Dst, 65306, ((uint32_t)(used_stack)));
			} else if (((uint32_t)(used_stack) & 0xffff)) {
		dasm_put(Dst, 65309, ((uint32_t)(used_stack) & 0xffff));
				if ((((uint32_t)(used_stack) >> 16) & 0xffff)) {
		dasm_put(Dst, 65312, (((uint32_t)(used_stack) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 65315, (((uint32_t)(used_stack) >> 16) & 0xffff));
			}
#line 8647 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|		MEM_UPDATE_ZTS add, ldr, str, TMP1, executor_globals, vm_stack_top, REG2, TMP2
			if (((uintptr_t)(&executor_globals.vm_stack_top)) == 0) {
		dasm_put(Dst, 65318);
			} else if (((uintptr_t)(&executor_globals.vm_stack_top)) <= MOVZ_IMM) {
		dasm_put(Dst, 65320, ((uint64_t)(&executor_globals.vm_stack_top)));
			} else if (arm64_may_use_adr((void*)(&executor_globals.vm_stack_top))) {
		dasm_put(Dst, 65323, (unsigned int)((ptrdiff_t)(&executor_globals.vm_stack_top)), (unsigned int)(((ptrdiff_t)(&executor_globals.vm_stack_top))>>32));
			} else if (arm64_may_use_adrp((void*)(&executor_globals.vm_stack_top))) {
		dasm_put(Dst, 65326, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_stack_top))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_stack_top)))))>>32));
				if (((uintptr_t)(&executor_globals.vm_stack_top)) & 0xfff) {
		dasm_put(Dst, 65329, (((uintptr_t)(&executor_globals.vm_stack_top)) & 0xfff));
				}
			} else if ((uintptr_t)(&executor_globals.vm_stack_top) & 0xffff) {
		dasm_put(Dst, 65332, ((uintptr_t)(&executor_globals.vm_stack_top) & 0xffff));
				if (((uintptr_t)(&executor_globals.vm_stack_top) >> 16) & 0xffff) {
		dasm_put(Dst, 65335, (((uintptr_t)(&executor_globals.vm_stack_top) >> 16) & 0xffff));
				}
				if (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff) {
		dasm_put(Dst, 65338, (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(&executor_globals.vm_stack_top) >> 16) & 0xffff) {
		dasm_put(Dst, 65341, (((uintptr_t)(&executor_globals.vm_stack_top) >> 16) & 0xffff));
				if (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff) {
		dasm_put(Dst, 65344, (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 65347, (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff));
			}
#line 8648 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		dasm_put(Dst, 65350);
			}
#line 8649 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		//|	MEM_UPDATE_ZTS add, ldr, str, FCARG1x, executor_globals, vm_stack_top, REG2, TMP1
			if (((uintptr_t)(&executor_globals.vm_stack_top)) == 0) {
		dasm_put(Dst, 65354);
			} else if (((uintptr_t)(&executor_globals.vm_stack_top)) <= MOVZ_IMM) {
		dasm_put(Dst, 65356, ((uint64_t)(&executor_globals.vm_stack_top)));
			} else if (arm64_may_use_adr((void*)(&executor_globals.vm_stack_top))) {
		dasm_put(Dst, 65359, (unsigned int)((ptrdiff_t)(&executor_globals.vm_stack_top)), (unsigned int)(((ptrdiff_t)(&executor_globals.vm_stack_top))>>32));
			} else if (arm64_may_use_adrp((void*)(&executor_globals.vm_stack_top))) {
		dasm_put(Dst, 65362, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_stack_top))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_stack_top)))))>>32));
				if (((uintptr_t)(&executor_globals.vm_stack_top)) & 0xfff) {
		dasm_put(Dst, 65365, (((uintptr_t)(&executor_globals.vm_stack_top)) & 0xfff));
				}
			} else if ((uintptr_t)(&executor_globals.vm_stack_top) & 0xffff) {
		dasm_put(Dst, 65368, ((uintptr_t)(&executor_globals.vm_stack_top) & 0xffff));
				if (((uintptr_t)(&executor_globals.vm_stack_top) >> 16) & 0xffff) {
		dasm_put(Dst, 65371, (((uintptr_t)(&executor_globals.vm_stack_top) >> 16) & 0xffff));
				}
				if (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff) {
		dasm_put(Dst, 65374, (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(&executor_globals.vm_stack_top) >> 16) & 0xffff) {
		dasm_put(Dst, 65377, (((uintptr_t)(&executor_globals.vm_stack_top) >> 16) & 0xffff));
				if (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff) {
		dasm_put(Dst, 65380, (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 65383, (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff));
			}
		dasm_put(Dst, 65386);
#line 8651 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	//|	// zend_vm_init_call_frame(call, call_info, func, num_args, called_scope, object);
	if (JIT_G(trigger) != ZEND_JIT_ON_HOT_TRACE || opline->opcode != ZEND_INIT_METHOD_CALL) {
		//|	// ZEND_SET_CALL_INFO(call, 0, call_info);
		//|	LOAD_32BIT_VAL TMP1w, (IS_UNDEF | ZEND_CALL_NESTED_FUNCTION)
			if (((uint32_t)((IS_UNDEF | ZEND_CALL_NESTED_FUNCTION))) <= MOVZ_IMM) {
		dasm_put(Dst, 65390, ((uint32_t)((IS_UNDEF | ZEND_CALL_NESTED_FUNCTION))));
			} else if (((uint32_t)((IS_UNDEF | ZEND_CALL_NESTED_FUNCTION)) & 0xffff)) {
		dasm_put(Dst, 65393, ((uint32_t)((IS_UNDEF | ZEND_CALL_NESTED_FUNCTION)) & 0xffff));
				if ((((uint32_t)((IS_UNDEF | ZEND_CALL_NESTED_FUNCTION)) >> 16) & 0xffff)) {
		dasm_put(Dst, 65396, (((uint32_t)((IS_UNDEF | ZEND_CALL_NESTED_FUNCTION)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 65399, (((uint32_t)((IS_UNDEF | ZEND_CALL_NESTED_FUNCTION)) >> 16) & 0xffff));
			}
#line 8656 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	str TMP1w, EX:RX->This.u1.type_info
		dasm_put(Dst, 65402, Dt1(->This.u1.type_info));
#line 8657 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	if (opline->opcode == ZEND_INIT_FCALL && func && func->type == ZEND_INTERNAL_FUNCTION) {
		//|	// call->func = func;
		//|1:
		//|	ADDR_STORE EX:RX->func, func, REG1
		dasm_put(Dst, 65405);
			if (((uintptr_t)(func)) == 0) {
		dasm_put(Dst, 65407);
			} else if (((uintptr_t)(func)) <= MOVZ_IMM) {
		dasm_put(Dst, 65409, ((uint64_t)(func)));
			} else if (arm64_may_use_adr((void*)(func))) {
		dasm_put(Dst, 65412, (unsigned int)((ptrdiff_t)(func)), (unsigned int)(((ptrdiff_t)(func))>>32));
			} else if (arm64_may_use_adrp((void*)(func))) {
		dasm_put(Dst, 65415, (unsigned int)((ptrdiff_t)((((uintptr_t)(func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(func)))))>>32));
				if (((uintptr_t)(func)) & 0xfff) {
		dasm_put(Dst, 65418, (((uintptr_t)(func)) & 0xfff));
				}
			} else if ((uintptr_t)(func) & 0xffff) {
		dasm_put(Dst, 65421, ((uintptr_t)(func) & 0xffff));
				if (((uintptr_t)(func) >> 16) & 0xffff) {
		dasm_put(Dst, 65424, (((uintptr_t)(func) >> 16) & 0xffff));
				}
				if (((uintptr_t)(func) >> 32) & 0xffff) {
		dasm_put(Dst, 65427, (((uintptr_t)(func) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(func) >> 16) & 0xffff) {
		dasm_put(Dst, 65430, (((uintptr_t)(func) >> 16) & 0xffff));
				if (((uintptr_t)(func) >> 32) & 0xffff) {
		dasm_put(Dst, 65433, (((uintptr_t)(func) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 65436, (((uintptr_t)(func) >> 32) & 0xffff));
			}
		dasm_put(Dst, 65439, Dt1(->func));
#line 8662 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		if (!is_closure) {
			//|	// call->func = func;
			//|	str REG0, EX:RX->func
			dasm_put(Dst, 65442, Dt1(->func));
#line 8666 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	// call->func = &closure->func;
			//|	add REG1, REG0, #offsetof(zend_closure, func)
			//|	str REG1, EX:RX->func
			dasm_put(Dst, 65445, offsetof(zend_closure, func), Dt1(->func));
#line 8670 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|1:
		dasm_put(Dst, 65450);
#line 8672 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	if (opline->opcode == ZEND_INIT_METHOD_CALL) {
		//|	// Z_PTR(call->This) = obj;
		//|	ldr REG1, T1
		//|	str REG1, EX:RX->This.value.ptr
		dasm_put(Dst, 65452, Dt1(->This.value.ptr));
#line 8677 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	    if (opline->op1_type == IS_UNUSED || delayed_fetch_this) {
			//|	// call->call_info |= ZEND_CALL_HAS_THIS;
			if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE) {
				//|	LOAD_32BIT_VAL TMP1w, ZEND_CALL_HAS_THIS
					if (((uint32_t)(ZEND_CALL_HAS_THIS)) <= MOVZ_IMM) {
				dasm_put(Dst, 65456, ((uint32_t)(ZEND_CALL_HAS_THIS)));
					} else if (((uint32_t)(ZEND_CALL_HAS_THIS) & 0xffff)) {
				dasm_put(Dst, 65459, ((uint32_t)(ZEND_CALL_HAS_THIS) & 0xffff));
						if ((((uint32_t)(ZEND_CALL_HAS_THIS) >> 16) & 0xffff)) {
				dasm_put(Dst, 65462, (((uint32_t)(ZEND_CALL_HAS_THIS) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 65465, (((uint32_t)(ZEND_CALL_HAS_THIS) >> 16) & 0xffff));
					}
#line 8681 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	str TMP1w, EX:RX->This.u1.type_info
				dasm_put(Dst, 65468, Dt1(->This.u1.type_info));
#line 8682 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	ldr TMP1w, EX:RX->This.u1.type_info
				//|	BW_OP_32_WITH_CONST orr, TMP1w, TMP1w, ZEND_CALL_HAS_THIS, TMP2w
				dasm_put(Dst, 65471, Dt1(->This.u1.type_info));
					if (ZEND_CALL_HAS_THIS == 0) {
				dasm_put(Dst, 65474);
					} else if (logical_immediate_p((uint32_t)ZEND_CALL_HAS_THIS, 32)) {
				dasm_put(Dst, 65476, ZEND_CALL_HAS_THIS);
					} else {
					if (((uint32_t)(ZEND_CALL_HAS_THIS)) <= MOVZ_IMM) {
				dasm_put(Dst, 65479, ((uint32_t)(ZEND_CALL_HAS_THIS)));
					} else if (((uint32_t)(ZEND_CALL_HAS_THIS) & 0xffff)) {
				dasm_put(Dst, 65482, ((uint32_t)(ZEND_CALL_HAS_THIS) & 0xffff));
						if ((((uint32_t)(ZEND_CALL_HAS_THIS) >> 16) & 0xffff)) {
				dasm_put(Dst, 65485, (((uint32_t)(ZEND_CALL_HAS_THIS) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 65488, (((uint32_t)(ZEND_CALL_HAS_THIS) >> 16) & 0xffff));
					}
				dasm_put(Dst, 65491);
					}
#line 8685 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	str TMP1w, EX:RX->This.u1.type_info
				dasm_put(Dst, 65493, Dt1(->This.u1.type_info));
#line 8686 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
	    } else {
			if (opline->op1_type == IS_CV) {
				//|	// GC_ADDREF(obj);
				//|	GC_ADDREF REG1, TMP1w
				dasm_put(Dst, 65496);
#line 8691 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	// call->call_info |= ZEND_CALL_HAS_THIS | ZEND_CALL_RELEASE_THIS;
			if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE) {
				//|	LOAD_32BIT_VAL TMP1w, (ZEND_CALL_HAS_THIS | ZEND_CALL_RELEASE_THIS)
					if (((uint32_t)((ZEND_CALL_HAS_THIS | ZEND_CALL_RELEASE_THIS))) <= MOVZ_IMM) {
				dasm_put(Dst, 65500, ((uint32_t)((ZEND_CALL_HAS_THIS | ZEND_CALL_RELEASE_THIS))));
					} else if (((uint32_t)((ZEND_CALL_HAS_THIS | ZEND_CALL_RELEASE_THIS)) & 0xffff)) {
				dasm_put(Dst, 65503, ((uint32_t)((ZEND_CALL_HAS_THIS | ZEND_CALL_RELEASE_THIS)) & 0xffff));
						if ((((uint32_t)((ZEND_CALL_HAS_THIS | ZEND_CALL_RELEASE_THIS)) >> 16) & 0xffff)) {
				dasm_put(Dst, 65506, (((uint32_t)((ZEND_CALL_HAS_THIS | ZEND_CALL_RELEASE_THIS)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 65509, (((uint32_t)((ZEND_CALL_HAS_THIS | ZEND_CALL_RELEASE_THIS)) >> 16) & 0xffff));
					}
#line 8695 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	str TMP1w, EX:RX->This.u1.type_info
				dasm_put(Dst, 65512, Dt1(->This.u1.type_info));
#line 8696 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	ldr TMP1w, EX:RX->This.u1.type_info
				//|	BW_OP_32_WITH_CONST orr, TMP1w, TMP1w, (ZEND_CALL_HAS_THIS | ZEND_CALL_RELEASE_THIS), TMP2w
				dasm_put(Dst, 65515, Dt1(->This.u1.type_info));
					if ((ZEND_CALL_HAS_THIS | ZEND_CALL_RELEASE_THIS) == 0) {
				dasm_put(Dst, 65518);
					} else if (logical_immediate_p((uint32_t)(ZEND_CALL_HAS_THIS | ZEND_CALL_RELEASE_THIS), 32)) {
				dasm_put(Dst, 65520, (ZEND_CALL_HAS_THIS | ZEND_CALL_RELEASE_THIS));
					} else {
					if (((uint32_t)((ZEND_CALL_HAS_THIS | ZEND_CALL_RELEASE_THIS))) <= MOVZ_IMM) {
				dasm_put(Dst, 65523, ((uint32_t)((ZEND_CALL_HAS_THIS | ZEND_CALL_RELEASE_THIS))));
					} else if (((uint32_t)((ZEND_CALL_HAS_THIS | ZEND_CALL_RELEASE_THIS)) & 0xffff)) {
				dasm_put(Dst, 65526, ((uint32_t)((ZEND_CALL_HAS_THIS | ZEND_CALL_RELEASE_THIS)) & 0xffff));
						if ((((uint32_t)((ZEND_CALL_HAS_THIS | ZEND_CALL_RELEASE_THIS)) >> 16) & 0xffff)) {
				dasm_put(Dst, 65529, (((uint32_t)((ZEND_CALL_HAS_THIS | ZEND_CALL_RELEASE_THIS)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 65532, (((uint32_t)((ZEND_CALL_HAS_THIS | ZEND_CALL_RELEASE_THIS)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 65535);
					}
#line 8699 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	str TMP1w, EX:RX->This.u1.type_info
				dasm_put(Dst, 65537, Dt1(->This.u1.type_info));
#line 8700 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
	    }
	} else if (!is_closure) {
		//|	// Z_CE(call->This) = called_scope;
		//|	str xzr, EX:RX->This.value.ptr
		dasm_put(Dst, 65540, Dt1(->This.value.ptr));
#line 8705 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		if (opline->op2_type == IS_CV) {
			//|	// GC_ADDREF(closure);
			//|	GC_ADDREF REG0, TMP1w
			dasm_put(Dst, 65543);
#line 8709 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	//	object_or_called_scope = closure->called_scope;
		//|	ldr REG1, [REG0, #offsetof(zend_closure, called_scope)]
		//|	str REG1, EX:RX->This.value.ptr
		//|	// call_info = ZEND_CALL_NESTED_FUNCTION | ZEND_CALL_DYNAMIC | ZEND_CALL_CLOSURE |
		//|	//	(closure->func->common.fn_flags & ZEND_ACC_FAKE_CLOSURE);
		//|	ldr REG2w, [REG0, #offsetof(zend_closure, func.common.fn_flags)]
		//|	BW_OP_32_WITH_CONST and, REG2w, REG2w, ZEND_ACC_FAKE_CLOSURE, TMP1w
		dasm_put(Dst, 65547, offsetof(zend_closure, called_scope), Dt1(->This.value.ptr), offsetof(zend_closure, func.common.fn_flags));
			if (ZEND_ACC_FAKE_CLOSURE == 0) {
		dasm_put(Dst, 65554);
			} else if (logical_immediate_p((uint32_t)ZEND_ACC_FAKE_CLOSURE, 32)) {
		dasm_put(Dst, 65556, ZEND_ACC_FAKE_CLOSURE);
			} else {
			if (((uint32_t)(ZEND_ACC_FAKE_CLOSURE)) <= MOVZ_IMM) {
		dasm_put(Dst, 65559, ((uint32_t)(ZEND_ACC_FAKE_CLOSURE)));
			} else if (((uint32_t)(ZEND_ACC_FAKE_CLOSURE) & 0xffff)) {
		dasm_put(Dst, 65562, ((uint32_t)(ZEND_ACC_FAKE_CLOSURE) & 0xffff));
				if ((((uint32_t)(ZEND_ACC_FAKE_CLOSURE) >> 16) & 0xffff)) {
		dasm_put(Dst, 65565, (((uint32_t)(ZEND_ACC_FAKE_CLOSURE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 65568, (((uint32_t)(ZEND_ACC_FAKE_CLOSURE) >> 16) & 0xffff));
			}
		dasm_put(Dst, 65571);
			}
#line 8717 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	BW_OP_32_WITH_CONST orr, REG2w, REG2w, (ZEND_CALL_NESTED_FUNCTION | ZEND_CALL_DYNAMIC | ZEND_CALL_CLOSURE), TMP1w
			if ((ZEND_CALL_NESTED_FUNCTION | ZEND_CALL_DYNAMIC | ZEND_CALL_CLOSURE) == 0) {
		dasm_put(Dst, 65573);
			} else if (logical_immediate_p((uint32_t)(ZEND_CALL_NESTED_FUNCTION | ZEND_CALL_DYNAMIC | ZEND_CALL_CLOSURE), 32)) {
		dasm_put(Dst, 65575, (ZEND_CALL_NESTED_FUNCTION | ZEND_CALL_DYNAMIC | ZEND_CALL_CLOSURE));
			} else {
			if (((uint32_t)((ZEND_CALL_NESTED_FUNCTION | ZEND_CALL_DYNAMIC | ZEND_CALL_CLOSURE))) <= MOVZ_IMM) {
		dasm_put(Dst, 65578, ((uint32_t)((ZEND_CALL_NESTED_FUNCTION | ZEND_CALL_DYNAMIC | ZEND_CALL_CLOSURE))));
			} else if (((uint32_t)((ZEND_CALL_NESTED_FUNCTION | ZEND_CALL_DYNAMIC | ZEND_CALL_CLOSURE)) & 0xffff)) {
		dasm_put(Dst, 65581, ((uint32_t)((ZEND_CALL_NESTED_FUNCTION | ZEND_CALL_DYNAMIC | ZEND_CALL_CLOSURE)) & 0xffff));
				if ((((uint32_t)((ZEND_CALL_NESTED_FUNCTION | ZEND_CALL_DYNAMIC | ZEND_CALL_CLOSURE)) >> 16) & 0xffff)) {
		dasm_put(Dst, 65584, (((uint32_t)((ZEND_CALL_NESTED_FUNCTION | ZEND_CALL_DYNAMIC | ZEND_CALL_CLOSURE)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 65587, (((uint32_t)((ZEND_CALL_NESTED_FUNCTION | ZEND_CALL_DYNAMIC | ZEND_CALL_CLOSURE)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 65590);
			}
#line 8718 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	//	if (Z_TYPE(closure->this_ptr) != IS_UNDEF) {
		//|	ldrb TMP1w, [REG0, #offsetof(zend_closure, this_ptr.u1.v.type)]
		//|	cmp TMP1w, #IS_UNDEF
		//|	beq >1
		//|	//	call_info |= ZEND_CALL_HAS_THIS;
		//|	BW_OP_32_WITH_CONST orr, REG2w, REG2w, ZEND_CALL_HAS_THIS, TMP1w
		dasm_put(Dst, 65592, offsetof(zend_closure, this_ptr.u1.v.type), IS_UNDEF);
			if (ZEND_CALL_HAS_THIS == 0) {
		dasm_put(Dst, 65599);
			} else if (logical_immediate_p((uint32_t)ZEND_CALL_HAS_THIS, 32)) {
		dasm_put(Dst, 65601, ZEND_CALL_HAS_THIS);
			} else {
			if (((uint32_t)(ZEND_CALL_HAS_THIS)) <= MOVZ_IMM) {
		dasm_put(Dst, 65604, ((uint32_t)(ZEND_CALL_HAS_THIS)));
			} else if (((uint32_t)(ZEND_CALL_HAS_THIS) & 0xffff)) {
		dasm_put(Dst, 65607, ((uint32_t)(ZEND_CALL_HAS_THIS) & 0xffff));
				if ((((uint32_t)(ZEND_CALL_HAS_THIS) >> 16) & 0xffff)) {
		dasm_put(Dst, 65610, (((uint32_t)(ZEND_CALL_HAS_THIS) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 65613, (((uint32_t)(ZEND_CALL_HAS_THIS) >> 16) & 0xffff));
			}
		dasm_put(Dst, 65616);
			}
#line 8724 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	//	object_or_called_scope = Z_OBJ(closure->this_ptr);
		//|	ldr REG1, [REG0, #offsetof(zend_closure, this_ptr.value.ptr)]
	    //|1:
		//|	// ZEND_SET_CALL_INFO(call, 0, call_info);
		//|	ldr TMP1w, EX:RX->This.u1.type_info
		//|	orr TMP1w, TMP1w, REG2w
		//|	str TMP1w, EX:RX->This.u1.type_info
		//|	// Z_PTR(call->This) = object_or_called_scope;
		//|	str REG1, EX:RX->This.value.ptr
		//|	ldr TMP1, [REG0, #offsetof(zend_closure, func.op_array.run_time_cache__ptr)]
		//|	cbnz TMP1, >1
		//|	add FCARG1x, REG0, #offsetof(zend_closure, func)
		//|	EXT_CALL zend_jit_init_func_run_time_cache_helper, REG0
		dasm_put(Dst, 65618, offsetof(zend_closure, this_ptr.value.ptr), Dt1(->This.u1.type_info), Dt1(->This.u1.type_info), Dt1(->This.value.ptr), offsetof(zend_closure, func.op_array.run_time_cache__ptr), offsetof(zend_closure, func));
			if (arm64_may_use_b(zend_jit_init_func_run_time_cache_helper)) {
		dasm_put(Dst, 65635, (unsigned int)((ptrdiff_t)(zend_jit_init_func_run_time_cache_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_init_func_run_time_cache_helper))>>32));
			} else {
			if (((uintptr_t)(zend_jit_init_func_run_time_cache_helper)) == 0) {
		dasm_put(Dst, 65638);
			} else if (((uintptr_t)(zend_jit_init_func_run_time_cache_helper)) <= MOVZ_IMM) {
		dasm_put(Dst, 65640, ((uint64_t)(zend_jit_init_func_run_time_cache_helper)));
			} else if (arm64_may_use_adr((void*)(zend_jit_init_func_run_time_cache_helper))) {
		dasm_put(Dst, 65643, (unsigned int)((ptrdiff_t)(zend_jit_init_func_run_time_cache_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_init_func_run_time_cache_helper))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_init_func_run_time_cache_helper))) {
		dasm_put(Dst, 65646, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_init_func_run_time_cache_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_init_func_run_time_cache_helper)))))>>32));
				if (((uintptr_t)(zend_jit_init_func_run_time_cache_helper)) & 0xfff) {
		dasm_put(Dst, 65649, (((uintptr_t)(zend_jit_init_func_run_time_cache_helper)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_init_func_run_time_cache_helper) & 0xffff) {
		dasm_put(Dst, 65652, ((uintptr_t)(zend_jit_init_func_run_time_cache_helper) & 0xffff));
				if (((uintptr_t)(zend_jit_init_func_run_time_cache_helper) >> 16) & 0xffff) {
		dasm_put(Dst, 65655, (((uintptr_t)(zend_jit_init_func_run_time_cache_helper) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_init_func_run_time_cache_helper) >> 32) & 0xffff) {
		dasm_put(Dst, 65658, (((uintptr_t)(zend_jit_init_func_run_time_cache_helper) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_init_func_run_time_cache_helper) >> 16) & 0xffff) {
		dasm_put(Dst, 65661, (((uintptr_t)(zend_jit_init_func_run_time_cache_helper) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_init_func_run_time_cache_helper) >> 32) & 0xffff) {
		dasm_put(Dst, 65664, (((uintptr_t)(zend_jit_init_func_run_time_cache_helper) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 65667, (((uintptr_t)(zend_jit_init_func_run_time_cache_helper) >> 32) & 0xffff));
			}
		dasm_put(Dst, 65670);
			}
#line 8737 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|1:
		dasm_put(Dst, 65672);
#line 8738 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	//|	// ZEND_CALL_NUM_ARGS(call) = num_args;
	//|	LOAD_32BIT_VAL TMP1w, opline->extended_value
		if (((uint32_t)(opline->extended_value)) <= MOVZ_IMM) {
	dasm_put(Dst, 65674, ((uint32_t)(opline->extended_value)));
		} else if (((uint32_t)(opline->extended_value) & 0xffff)) {
	dasm_put(Dst, 65677, ((uint32_t)(opline->extended_value) & 0xffff));
			if ((((uint32_t)(opline->extended_value) >> 16) & 0xffff)) {
	dasm_put(Dst, 65680, (((uint32_t)(opline->extended_value) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 65683, (((uint32_t)(opline->extended_value) >> 16) & 0xffff));
		}
#line 8741 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	str TMP1w, EX:RX->This.u2.num_args
	dasm_put(Dst, 65686, Dt1(->This.u2.num_args));
#line 8742 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	return 1;
}

static int zend_jit_init_fcall_guard(dasm_State **Dst, uint32_t level, const zend_function *func, const zend_op *to_opline)
{
	int32_t exit_point;
	const void *exit_addr;

	if (func->type == ZEND_INTERNAL_FUNCTION) {
#ifdef ZEND_WIN32
		// TODO: ASLR may cause different addresses in different workers ???
		return 0;
#endif
	} else if (func->type == ZEND_USER_FUNCTION) {
		if (!zend_accel_in_shm(func->op_array.opcodes)) {
			/* op_array and op_array->opcodes are not persistent. We can't link. */
			return 0;
		}
	} else {
		ZEND_UNREACHABLE();
		return 0;
	}

	exit_point = zend_jit_trace_get_exit_point(to_opline, ZEND_JIT_EXIT_POLYMORPHISM);
	exit_addr = zend_jit_trace_get_exit_addr(exit_point);
	if (!exit_addr) {
		return 0;
	}

	//|	// call = EX(call);
	//|	ldr REG1, EX->call
	dasm_put(Dst, 65689, Dt1(->call));
#line 8774 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	while (level > 0) {
		//|	ldr REG1, EX:REG1->prev_execute_data
		dasm_put(Dst, 65692, Dt1(->prev_execute_data));
#line 8776 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		level--;
	}

	if (func->type == ZEND_USER_FUNCTION &&
	    (!(func->common.fn_flags & ZEND_ACC_IMMUTABLE) ||
	     (func->common.fn_flags & ZEND_ACC_CLOSURE) ||
	     !func->common.function_name)) {
		const zend_op *opcodes = func->op_array.opcodes;

		//|	ldr REG1, EX:REG1->func
		//|	LOAD_ADDR REG2, ((ptrdiff_t)opcodes)
		dasm_put(Dst, 65695, Dt1(->func));
			if (((uintptr_t)(((ptrdiff_t)opcodes))) == 0) {
		dasm_put(Dst, 65698);
			} else if (((uintptr_t)(((ptrdiff_t)opcodes))) <= MOVZ_IMM) {
		dasm_put(Dst, 65700, ((uint64_t)(((ptrdiff_t)opcodes))));
			} else if (arm64_may_use_adr((void*)(((ptrdiff_t)opcodes)))) {
		dasm_put(Dst, 65703, (unsigned int)((ptrdiff_t)(((ptrdiff_t)opcodes))), (unsigned int)(((ptrdiff_t)(((ptrdiff_t)opcodes)))>>32));
			} else if (arm64_may_use_adrp((void*)(((ptrdiff_t)opcodes)))) {
		dasm_put(Dst, 65706, (unsigned int)((ptrdiff_t)((((uintptr_t)(((ptrdiff_t)opcodes)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(((ptrdiff_t)opcodes))))))>>32));
				if (((uintptr_t)(((ptrdiff_t)opcodes))) & 0xfff) {
		dasm_put(Dst, 65709, (((uintptr_t)(((ptrdiff_t)opcodes))) & 0xfff));
				}
			} else if ((uintptr_t)(((ptrdiff_t)opcodes)) & 0xffff) {
		dasm_put(Dst, 65712, ((uintptr_t)(((ptrdiff_t)opcodes)) & 0xffff));
				if (((uintptr_t)(((ptrdiff_t)opcodes)) >> 16) & 0xffff) {
		dasm_put(Dst, 65715, (((uintptr_t)(((ptrdiff_t)opcodes)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(((ptrdiff_t)opcodes)) >> 32) & 0xffff) {
		dasm_put(Dst, 65718, (((uintptr_t)(((ptrdiff_t)opcodes)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(((ptrdiff_t)opcodes)) >> 16) & 0xffff) {
		dasm_put(Dst, 65721, (((uintptr_t)(((ptrdiff_t)opcodes)) >> 16) & 0xffff));
				if (((uintptr_t)(((ptrdiff_t)opcodes)) >> 32) & 0xffff) {
		dasm_put(Dst, 65724, (((uintptr_t)(((ptrdiff_t)opcodes)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 65727, (((uintptr_t)(((ptrdiff_t)opcodes)) >> 32) & 0xffff));
			}
#line 8787 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	ldr TMP1, [REG1, #offsetof(zend_op_array, opcodes)]
		//|	cmp TMP1, REG2
		//|	bne &exit_addr
		dasm_put(Dst, 65730, offsetof(zend_op_array, opcodes), (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 8790 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		//|	LOAD_ADDR REG2, ((ptrdiff_t)func)
			if (((uintptr_t)(((ptrdiff_t)func))) == 0) {
		dasm_put(Dst, 65736);
			} else if (((uintptr_t)(((ptrdiff_t)func))) <= MOVZ_IMM) {
		dasm_put(Dst, 65738, ((uint64_t)(((ptrdiff_t)func))));
			} else if (arm64_may_use_adr((void*)(((ptrdiff_t)func)))) {
		dasm_put(Dst, 65741, (unsigned int)((ptrdiff_t)(((ptrdiff_t)func))), (unsigned int)(((ptrdiff_t)(((ptrdiff_t)func)))>>32));
			} else if (arm64_may_use_adrp((void*)(((ptrdiff_t)func)))) {
		dasm_put(Dst, 65744, (unsigned int)((ptrdiff_t)((((uintptr_t)(((ptrdiff_t)func)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(((ptrdiff_t)func))))))>>32));
				if (((uintptr_t)(((ptrdiff_t)func))) & 0xfff) {
		dasm_put(Dst, 65747, (((uintptr_t)(((ptrdiff_t)func))) & 0xfff));
				}
			} else if ((uintptr_t)(((ptrdiff_t)func)) & 0xffff) {
		dasm_put(Dst, 65750, ((uintptr_t)(((ptrdiff_t)func)) & 0xffff));
				if (((uintptr_t)(((ptrdiff_t)func)) >> 16) & 0xffff) {
		dasm_put(Dst, 65753, (((uintptr_t)(((ptrdiff_t)func)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(((ptrdiff_t)func)) >> 32) & 0xffff) {
		dasm_put(Dst, 65756, (((uintptr_t)(((ptrdiff_t)func)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(((ptrdiff_t)func)) >> 16) & 0xffff) {
		dasm_put(Dst, 65759, (((uintptr_t)(((ptrdiff_t)func)) >> 16) & 0xffff));
				if (((uintptr_t)(((ptrdiff_t)func)) >> 32) & 0xffff) {
		dasm_put(Dst, 65762, (((uintptr_t)(((ptrdiff_t)func)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 65765, (((uintptr_t)(((ptrdiff_t)func)) >> 32) & 0xffff));
			}
#line 8792 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	ldr TMP1, EX:REG1->func
		//|	cmp TMP1, REG2
		//|	bne &exit_addr
		dasm_put(Dst, 65768, Dt1(->func), (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 8795 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	return 1;
}

static int zend_jit_init_fcall(dasm_State **Dst, const zend_op *opline, uint32_t b, const zend_op_array *op_array, zend_ssa *ssa, const zend_ssa_op *ssa_op, int call_level, zend_jit_trace_rec *trace, int checked_stack)
{
	zend_func_info *info = ZEND_FUNC_INFO(op_array);
	zend_call_info *call_info = NULL;
	zend_function *func = NULL;

	if (delayed_call_chain) {
		if (!zend_jit_save_call_chain(Dst, delayed_call_level)) {
			return 0;
		}
	}

	if (info) {
		call_info = info->callee_info;
		while (call_info && call_info->caller_init_opline != opline) {
			call_info = call_info->next_callee;
		}
		if (call_info && call_info->callee_func && !call_info->is_prototype) {
			func = call_info->callee_func;
		}
	}

	if (!func
	 && trace
	 && trace->op == ZEND_JIT_TRACE_INIT_CALL) {
		func = (zend_function*)trace->func;
	}

	if (opline->opcode == ZEND_INIT_FCALL
	 && func
	 && func->type == ZEND_INTERNAL_FUNCTION) {
		/* load constant address later */
	} else if (func && op_array == &func->op_array) {
		/* recursive call */
		//|	ldr REG0, EX->func
		dasm_put(Dst, 65774, Dt1(->func));
#line 8835 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		//|	// if (CACHED_PTR(opline->result.num))
		//|	ldr REG2, EX->run_time_cache
		//|	MEM_ACCESS_64_WITH_UOFFSET ldr, REG0, REG2, opline->result.num, TMP1
		dasm_put(Dst, 65777, Dt1(->run_time_cache));
			if (((uintptr_t)(opline->result.num)) > LDR_STR_PIMM64) {
			if (((uint32_t)(opline->result.num)) <= MOVZ_IMM) {
		dasm_put(Dst, 65780, ((uint32_t)(opline->result.num)));
			} else if (((uint32_t)(opline->result.num) & 0xffff)) {
		dasm_put(Dst, 65783, ((uint32_t)(opline->result.num) & 0xffff));
				if ((((uint32_t)(opline->result.num) >> 16) & 0xffff)) {
		dasm_put(Dst, 65786, (((uint32_t)(opline->result.num) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 65789, (((uint32_t)(opline->result.num) >> 16) & 0xffff));
			}
		dasm_put(Dst, 65792);
			} else {
		dasm_put(Dst, 65794, (opline->result.num));
			}
#line 8839 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE
		 && func
		 && (func->common.fn_flags & ZEND_ACC_IMMUTABLE)
		 && opline->opcode != ZEND_INIT_FCALL) {
			/* Called func may be changed because of recompilation. See ext/opcache/tests/jit/init_fcall_003.phpt */
			//|	LOAD_ADDR REG1, ((ptrdiff_t)func)
				if (((uintptr_t)(((ptrdiff_t)func))) == 0) {
			dasm_put(Dst, 65797);
				} else if (((uintptr_t)(((ptrdiff_t)func))) <= MOVZ_IMM) {
			dasm_put(Dst, 65799, ((uint64_t)(((ptrdiff_t)func))));
				} else if (arm64_may_use_adr((void*)(((ptrdiff_t)func)))) {
			dasm_put(Dst, 65802, (unsigned int)((ptrdiff_t)(((ptrdiff_t)func))), (unsigned int)(((ptrdiff_t)(((ptrdiff_t)func)))>>32));
				} else if (arm64_may_use_adrp((void*)(((ptrdiff_t)func)))) {
			dasm_put(Dst, 65805, (unsigned int)((ptrdiff_t)((((uintptr_t)(((ptrdiff_t)func)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(((ptrdiff_t)func))))))>>32));
					if (((uintptr_t)(((ptrdiff_t)func))) & 0xfff) {
			dasm_put(Dst, 65808, (((uintptr_t)(((ptrdiff_t)func))) & 0xfff));
					}
				} else if ((uintptr_t)(((ptrdiff_t)func)) & 0xffff) {
			dasm_put(Dst, 65811, ((uintptr_t)(((ptrdiff_t)func)) & 0xffff));
					if (((uintptr_t)(((ptrdiff_t)func)) >> 16) & 0xffff) {
			dasm_put(Dst, 65814, (((uintptr_t)(((ptrdiff_t)func)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(((ptrdiff_t)func)) >> 32) & 0xffff) {
			dasm_put(Dst, 65817, (((uintptr_t)(((ptrdiff_t)func)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(((ptrdiff_t)func)) >> 16) & 0xffff) {
			dasm_put(Dst, 65820, (((uintptr_t)(((ptrdiff_t)func)) >> 16) & 0xffff));
					if (((uintptr_t)(((ptrdiff_t)func)) >> 32) & 0xffff) {
			dasm_put(Dst, 65823, (((uintptr_t)(((ptrdiff_t)func)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 65826, (((uintptr_t)(((ptrdiff_t)func)) >> 32) & 0xffff));
				}
#line 8845 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	cmp REG0, REG1
			//|	bne >1
			dasm_put(Dst, 65829);
#line 8847 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	cbz REG0, >1
			dasm_put(Dst, 65833);
#line 8849 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|.cold_code
		dasm_put(Dst, 65836);
#line 8851 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|1:
		dasm_put(Dst, 65837);
#line 8852 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (opline->opcode == ZEND_INIT_FCALL
		 && func
		 && func->type == ZEND_USER_FUNCTION
		 && (func->op_array.fn_flags & ZEND_ACC_IMMUTABLE)) {
			//|	LOAD_ADDR FCARG1x, func
				if (((uintptr_t)(func)) == 0) {
			dasm_put(Dst, 65839);
				} else if (((uintptr_t)(func)) <= MOVZ_IMM) {
			dasm_put(Dst, 65841, ((uint64_t)(func)));
				} else if (arm64_may_use_adr((void*)(func))) {
			dasm_put(Dst, 65844, (unsigned int)((ptrdiff_t)(func)), (unsigned int)(((ptrdiff_t)(func))>>32));
				} else if (arm64_may_use_adrp((void*)(func))) {
			dasm_put(Dst, 65847, (unsigned int)((ptrdiff_t)((((uintptr_t)(func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(func)))))>>32));
					if (((uintptr_t)(func)) & 0xfff) {
			dasm_put(Dst, 65850, (((uintptr_t)(func)) & 0xfff));
					}
				} else if ((uintptr_t)(func) & 0xffff) {
			dasm_put(Dst, 65853, ((uintptr_t)(func) & 0xffff));
					if (((uintptr_t)(func) >> 16) & 0xffff) {
			dasm_put(Dst, 65856, (((uintptr_t)(func) >> 16) & 0xffff));
					}
					if (((uintptr_t)(func) >> 32) & 0xffff) {
			dasm_put(Dst, 65859, (((uintptr_t)(func) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(func) >> 16) & 0xffff) {
			dasm_put(Dst, 65862, (((uintptr_t)(func) >> 16) & 0xffff));
					if (((uintptr_t)(func) >> 32) & 0xffff) {
			dasm_put(Dst, 65865, (((uintptr_t)(func) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 65868, (((uintptr_t)(func) >> 32) & 0xffff));
				}
#line 8857 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	MEM_ACCESS_64_WITH_UOFFSET str, FCARG1x, REG2, opline->result.num, TMP1
				if (((uintptr_t)(opline->result.num)) > LDR_STR_PIMM64) {
				if (((uint32_t)(opline->result.num)) <= MOVZ_IMM) {
			dasm_put(Dst, 65871, ((uint32_t)(opline->result.num)));
				} else if (((uint32_t)(opline->result.num) & 0xffff)) {
			dasm_put(Dst, 65874, ((uint32_t)(opline->result.num) & 0xffff));
					if ((((uint32_t)(opline->result.num) >> 16) & 0xffff)) {
			dasm_put(Dst, 65877, (((uint32_t)(opline->result.num) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 65880, (((uint32_t)(opline->result.num) >> 16) & 0xffff));
				}
			dasm_put(Dst, 65883);
				} else {
			dasm_put(Dst, 65885, (opline->result.num));
				}
#line 8858 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	EXT_CALL zend_jit_init_func_run_time_cache_helper, REG0
				if (arm64_may_use_b(zend_jit_init_func_run_time_cache_helper)) {
			dasm_put(Dst, 65888, (unsigned int)((ptrdiff_t)(zend_jit_init_func_run_time_cache_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_init_func_run_time_cache_helper))>>32));
				} else {
				if (((uintptr_t)(zend_jit_init_func_run_time_cache_helper)) == 0) {
			dasm_put(Dst, 65891);
				} else if (((uintptr_t)(zend_jit_init_func_run_time_cache_helper)) <= MOVZ_IMM) {
			dasm_put(Dst, 65893, ((uint64_t)(zend_jit_init_func_run_time_cache_helper)));
				} else if (arm64_may_use_adr((void*)(zend_jit_init_func_run_time_cache_helper))) {
			dasm_put(Dst, 65896, (unsigned int)((ptrdiff_t)(zend_jit_init_func_run_time_cache_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_init_func_run_time_cache_helper))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_init_func_run_time_cache_helper))) {
			dasm_put(Dst, 65899, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_init_func_run_time_cache_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_init_func_run_time_cache_helper)))))>>32));
					if (((uintptr_t)(zend_jit_init_func_run_time_cache_helper)) & 0xfff) {
			dasm_put(Dst, 65902, (((uintptr_t)(zend_jit_init_func_run_time_cache_helper)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_init_func_run_time_cache_helper) & 0xffff) {
			dasm_put(Dst, 65905, ((uintptr_t)(zend_jit_init_func_run_time_cache_helper) & 0xffff));
					if (((uintptr_t)(zend_jit_init_func_run_time_cache_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 65908, (((uintptr_t)(zend_jit_init_func_run_time_cache_helper) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_init_func_run_time_cache_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 65911, (((uintptr_t)(zend_jit_init_func_run_time_cache_helper) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_init_func_run_time_cache_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 65914, (((uintptr_t)(zend_jit_init_func_run_time_cache_helper) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_init_func_run_time_cache_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 65917, (((uintptr_t)(zend_jit_init_func_run_time_cache_helper) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 65920, (((uintptr_t)(zend_jit_init_func_run_time_cache_helper) >> 32) & 0xffff));
				}
			dasm_put(Dst, 65923);
				}
#line 8859 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	mov REG0, RETVALx
			//|	b >3
			dasm_put(Dst, 65925);
#line 8861 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			zval *zv = RT_CONSTANT(opline, opline->op2);

			if (opline->opcode == ZEND_INIT_FCALL) {
				//|	LOAD_ADDR FCARG1x, Z_STR_P(zv);
					if (((uintptr_t)(Z_STR_P(zv))) == 0) {
				dasm_put(Dst, 65929);
					} else if (((uintptr_t)(Z_STR_P(zv))) <= MOVZ_IMM) {
				dasm_put(Dst, 65931, ((uint64_t)(Z_STR_P(zv))));
					} else if (arm64_may_use_adr((void*)(Z_STR_P(zv)))) {
				dasm_put(Dst, 65934, (unsigned int)((ptrdiff_t)(Z_STR_P(zv))), (unsigned int)(((ptrdiff_t)(Z_STR_P(zv)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_STR_P(zv)))) {
				dasm_put(Dst, 65937, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_STR_P(zv)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_STR_P(zv))))))>>32));
						if (((uintptr_t)(Z_STR_P(zv))) & 0xfff) {
				dasm_put(Dst, 65940, (((uintptr_t)(Z_STR_P(zv))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_STR_P(zv)) & 0xffff) {
				dasm_put(Dst, 65943, ((uintptr_t)(Z_STR_P(zv)) & 0xffff));
						if (((uintptr_t)(Z_STR_P(zv)) >> 16) & 0xffff) {
				dasm_put(Dst, 65946, (((uintptr_t)(Z_STR_P(zv)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_STR_P(zv)) >> 32) & 0xffff) {
				dasm_put(Dst, 65949, (((uintptr_t)(Z_STR_P(zv)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_STR_P(zv)) >> 16) & 0xffff) {
				dasm_put(Dst, 65952, (((uintptr_t)(Z_STR_P(zv)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_STR_P(zv)) >> 32) & 0xffff) {
				dasm_put(Dst, 65955, (((uintptr_t)(Z_STR_P(zv)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 65958, (((uintptr_t)(Z_STR_P(zv)) >> 32) & 0xffff));
					}
#line 8866 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	ADD_SUB_64_WITH_CONST_32 add, FCARG2x, REG2, opline->result.num, TMP1
					if (opline->result.num == 0) {
				dasm_put(Dst, 65961);
					} else if (arm64_may_encode_imm12((int64_t)(opline->result.num))) {
				dasm_put(Dst, 65963, opline->result.num);
					} else {
					if (((uint32_t)(opline->result.num)) <= MOVZ_IMM) {
				dasm_put(Dst, 65966, ((uint32_t)(opline->result.num)));
					} else if (((uint32_t)(opline->result.num) & 0xffff)) {
				dasm_put(Dst, 65969, ((uint32_t)(opline->result.num) & 0xffff));
						if ((((uint32_t)(opline->result.num) >> 16) & 0xffff)) {
				dasm_put(Dst, 65972, (((uint32_t)(opline->result.num) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 65975, (((uint32_t)(opline->result.num) >> 16) & 0xffff));
					}
				dasm_put(Dst, 65978);
					}
#line 8867 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	EXT_CALL zend_jit_find_func_helper, REG0
					if (arm64_may_use_b(zend_jit_find_func_helper)) {
				dasm_put(Dst, 65980, (unsigned int)((ptrdiff_t)(zend_jit_find_func_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_find_func_helper))>>32));
					} else {
					if (((uintptr_t)(zend_jit_find_func_helper)) == 0) {
				dasm_put(Dst, 65983);
					} else if (((uintptr_t)(zend_jit_find_func_helper)) <= MOVZ_IMM) {
				dasm_put(Dst, 65985, ((uint64_t)(zend_jit_find_func_helper)));
					} else if (arm64_may_use_adr((void*)(zend_jit_find_func_helper))) {
				dasm_put(Dst, 65988, (unsigned int)((ptrdiff_t)(zend_jit_find_func_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_find_func_helper))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_find_func_helper))) {
				dasm_put(Dst, 65991, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_find_func_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_find_func_helper)))))>>32));
						if (((uintptr_t)(zend_jit_find_func_helper)) & 0xfff) {
				dasm_put(Dst, 65994, (((uintptr_t)(zend_jit_find_func_helper)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_find_func_helper) & 0xffff) {
				dasm_put(Dst, 65997, ((uintptr_t)(zend_jit_find_func_helper) & 0xffff));
						if (((uintptr_t)(zend_jit_find_func_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 66000, (((uintptr_t)(zend_jit_find_func_helper) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_find_func_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 66003, (((uintptr_t)(zend_jit_find_func_helper) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_find_func_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 66006, (((uintptr_t)(zend_jit_find_func_helper) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_find_func_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 66009, (((uintptr_t)(zend_jit_find_func_helper) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 66012, (((uintptr_t)(zend_jit_find_func_helper) >> 32) & 0xffff));
					}
				dasm_put(Dst, 66015);
					}
#line 8868 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else if (opline->opcode == ZEND_INIT_FCALL_BY_NAME) {
				//|	LOAD_ADDR FCARG1x, Z_STR_P(zv + 1);
					if (((uintptr_t)(Z_STR_P(zv + 1))) == 0) {
				dasm_put(Dst, 66017);
					} else if (((uintptr_t)(Z_STR_P(zv + 1))) <= MOVZ_IMM) {
				dasm_put(Dst, 66019, ((uint64_t)(Z_STR_P(zv + 1))));
					} else if (arm64_may_use_adr((void*)(Z_STR_P(zv + 1)))) {
				dasm_put(Dst, 66022, (unsigned int)((ptrdiff_t)(Z_STR_P(zv + 1))), (unsigned int)(((ptrdiff_t)(Z_STR_P(zv + 1)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_STR_P(zv + 1)))) {
				dasm_put(Dst, 66025, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_STR_P(zv + 1)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_STR_P(zv + 1))))))>>32));
						if (((uintptr_t)(Z_STR_P(zv + 1))) & 0xfff) {
				dasm_put(Dst, 66028, (((uintptr_t)(Z_STR_P(zv + 1))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_STR_P(zv + 1)) & 0xffff) {
				dasm_put(Dst, 66031, ((uintptr_t)(Z_STR_P(zv + 1)) & 0xffff));
						if (((uintptr_t)(Z_STR_P(zv + 1)) >> 16) & 0xffff) {
				dasm_put(Dst, 66034, (((uintptr_t)(Z_STR_P(zv + 1)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_STR_P(zv + 1)) >> 32) & 0xffff) {
				dasm_put(Dst, 66037, (((uintptr_t)(Z_STR_P(zv + 1)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_STR_P(zv + 1)) >> 16) & 0xffff) {
				dasm_put(Dst, 66040, (((uintptr_t)(Z_STR_P(zv + 1)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_STR_P(zv + 1)) >> 32) & 0xffff) {
				dasm_put(Dst, 66043, (((uintptr_t)(Z_STR_P(zv + 1)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 66046, (((uintptr_t)(Z_STR_P(zv + 1)) >> 32) & 0xffff));
					}
#line 8870 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	ADD_SUB_64_WITH_CONST_32 add, FCARG2x, REG2, opline->result.num, TMP1
					if (opline->result.num == 0) {
				dasm_put(Dst, 66049);
					} else if (arm64_may_encode_imm12((int64_t)(opline->result.num))) {
				dasm_put(Dst, 66051, opline->result.num);
					} else {
					if (((uint32_t)(opline->result.num)) <= MOVZ_IMM) {
				dasm_put(Dst, 66054, ((uint32_t)(opline->result.num)));
					} else if (((uint32_t)(opline->result.num) & 0xffff)) {
				dasm_put(Dst, 66057, ((uint32_t)(opline->result.num) & 0xffff));
						if ((((uint32_t)(opline->result.num) >> 16) & 0xffff)) {
				dasm_put(Dst, 66060, (((uint32_t)(opline->result.num) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 66063, (((uint32_t)(opline->result.num) >> 16) & 0xffff));
					}
				dasm_put(Dst, 66066);
					}
#line 8871 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	EXT_CALL zend_jit_find_func_helper, REG0
					if (arm64_may_use_b(zend_jit_find_func_helper)) {
				dasm_put(Dst, 66068, (unsigned int)((ptrdiff_t)(zend_jit_find_func_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_find_func_helper))>>32));
					} else {
					if (((uintptr_t)(zend_jit_find_func_helper)) == 0) {
				dasm_put(Dst, 66071);
					} else if (((uintptr_t)(zend_jit_find_func_helper)) <= MOVZ_IMM) {
				dasm_put(Dst, 66073, ((uint64_t)(zend_jit_find_func_helper)));
					} else if (arm64_may_use_adr((void*)(zend_jit_find_func_helper))) {
				dasm_put(Dst, 66076, (unsigned int)((ptrdiff_t)(zend_jit_find_func_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_find_func_helper))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_find_func_helper))) {
				dasm_put(Dst, 66079, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_find_func_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_find_func_helper)))))>>32));
						if (((uintptr_t)(zend_jit_find_func_helper)) & 0xfff) {
				dasm_put(Dst, 66082, (((uintptr_t)(zend_jit_find_func_helper)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_find_func_helper) & 0xffff) {
				dasm_put(Dst, 66085, ((uintptr_t)(zend_jit_find_func_helper) & 0xffff));
						if (((uintptr_t)(zend_jit_find_func_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 66088, (((uintptr_t)(zend_jit_find_func_helper) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_find_func_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 66091, (((uintptr_t)(zend_jit_find_func_helper) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_find_func_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 66094, (((uintptr_t)(zend_jit_find_func_helper) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_find_func_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 66097, (((uintptr_t)(zend_jit_find_func_helper) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 66100, (((uintptr_t)(zend_jit_find_func_helper) >> 32) & 0xffff));
					}
				dasm_put(Dst, 66103);
					}
#line 8872 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else if (opline->opcode == ZEND_INIT_NS_FCALL_BY_NAME) {
				//|	LOAD_ADDR FCARG1x, zv;
					if (((uintptr_t)(zv)) == 0) {
				dasm_put(Dst, 66105);
					} else if (((uintptr_t)(zv)) <= MOVZ_IMM) {
				dasm_put(Dst, 66107, ((uint64_t)(zv)));
					} else if (arm64_may_use_adr((void*)(zv))) {
				dasm_put(Dst, 66110, (unsigned int)((ptrdiff_t)(zv)), (unsigned int)(((ptrdiff_t)(zv))>>32));
					} else if (arm64_may_use_adrp((void*)(zv))) {
				dasm_put(Dst, 66113, (unsigned int)((ptrdiff_t)((((uintptr_t)(zv))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zv)))))>>32));
						if (((uintptr_t)(zv)) & 0xfff) {
				dasm_put(Dst, 66116, (((uintptr_t)(zv)) & 0xfff));
						}
					} else if ((uintptr_t)(zv) & 0xffff) {
				dasm_put(Dst, 66119, ((uintptr_t)(zv) & 0xffff));
						if (((uintptr_t)(zv) >> 16) & 0xffff) {
				dasm_put(Dst, 66122, (((uintptr_t)(zv) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zv) >> 32) & 0xffff) {
				dasm_put(Dst, 66125, (((uintptr_t)(zv) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zv) >> 16) & 0xffff) {
				dasm_put(Dst, 66128, (((uintptr_t)(zv) >> 16) & 0xffff));
						if (((uintptr_t)(zv) >> 32) & 0xffff) {
				dasm_put(Dst, 66131, (((uintptr_t)(zv) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 66134, (((uintptr_t)(zv) >> 32) & 0xffff));
					}
#line 8874 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	ADD_SUB_64_WITH_CONST_32 add, FCARG2x, REG2, opline->result.num, TMP1
					if (opline->result.num == 0) {
				dasm_put(Dst, 66137);
					} else if (arm64_may_encode_imm12((int64_t)(opline->result.num))) {
				dasm_put(Dst, 66139, opline->result.num);
					} else {
					if (((uint32_t)(opline->result.num)) <= MOVZ_IMM) {
				dasm_put(Dst, 66142, ((uint32_t)(opline->result.num)));
					} else if (((uint32_t)(opline->result.num) & 0xffff)) {
				dasm_put(Dst, 66145, ((uint32_t)(opline->result.num) & 0xffff));
						if ((((uint32_t)(opline->result.num) >> 16) & 0xffff)) {
				dasm_put(Dst, 66148, (((uint32_t)(opline->result.num) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 66151, (((uint32_t)(opline->result.num) >> 16) & 0xffff));
					}
				dasm_put(Dst, 66154);
					}
#line 8875 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	EXT_CALL zend_jit_find_ns_func_helper, REG0
					if (arm64_may_use_b(zend_jit_find_ns_func_helper)) {
				dasm_put(Dst, 66156, (unsigned int)((ptrdiff_t)(zend_jit_find_ns_func_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_find_ns_func_helper))>>32));
					} else {
					if (((uintptr_t)(zend_jit_find_ns_func_helper)) == 0) {
				dasm_put(Dst, 66159);
					} else if (((uintptr_t)(zend_jit_find_ns_func_helper)) <= MOVZ_IMM) {
				dasm_put(Dst, 66161, ((uint64_t)(zend_jit_find_ns_func_helper)));
					} else if (arm64_may_use_adr((void*)(zend_jit_find_ns_func_helper))) {
				dasm_put(Dst, 66164, (unsigned int)((ptrdiff_t)(zend_jit_find_ns_func_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_find_ns_func_helper))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_find_ns_func_helper))) {
				dasm_put(Dst, 66167, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_find_ns_func_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_find_ns_func_helper)))))>>32));
						if (((uintptr_t)(zend_jit_find_ns_func_helper)) & 0xfff) {
				dasm_put(Dst, 66170, (((uintptr_t)(zend_jit_find_ns_func_helper)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_find_ns_func_helper) & 0xffff) {
				dasm_put(Dst, 66173, ((uintptr_t)(zend_jit_find_ns_func_helper) & 0xffff));
						if (((uintptr_t)(zend_jit_find_ns_func_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 66176, (((uintptr_t)(zend_jit_find_ns_func_helper) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_find_ns_func_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 66179, (((uintptr_t)(zend_jit_find_ns_func_helper) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_find_ns_func_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 66182, (((uintptr_t)(zend_jit_find_ns_func_helper) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_find_ns_func_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 66185, (((uintptr_t)(zend_jit_find_ns_func_helper) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 66188, (((uintptr_t)(zend_jit_find_ns_func_helper) >> 32) & 0xffff));
					}
				dasm_put(Dst, 66191);
					}
#line 8876 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				ZEND_UNREACHABLE();
			}
			//|	// Get the return value of function zend_jit_find_func_helper/zend_jit_find_ns_func_helper
			//|	mov REG0, RETVALx
			dasm_put(Dst, 66193);
#line 8881 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE) {
				int32_t exit_point = zend_jit_trace_get_exit_point(opline,
					func && (func->common.fn_flags & ZEND_ACC_IMMUTABLE) ? ZEND_JIT_EXIT_INVALIDATE : 0);
				const void *exit_addr = zend_jit_trace_get_exit_addr(exit_point);

				if (!exit_addr) {
					return 0;
				}

				if (!func || opline->opcode == ZEND_INIT_FCALL) {
					//|	cbnz REG0, >3
					dasm_put(Dst, 66195);
#line 8892 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else if (func->type == ZEND_USER_FUNCTION
					 && !(func->common.fn_flags & ZEND_ACC_IMMUTABLE)) {
					const zend_op *opcodes = func->op_array.opcodes;

					//|	LOAD_ADDR REG1, ((ptrdiff_t)opcodes)
						if (((uintptr_t)(((ptrdiff_t)opcodes))) == 0) {
					dasm_put(Dst, 66198);
						} else if (((uintptr_t)(((ptrdiff_t)opcodes))) <= MOVZ_IMM) {
					dasm_put(Dst, 66200, ((uint64_t)(((ptrdiff_t)opcodes))));
						} else if (arm64_may_use_adr((void*)(((ptrdiff_t)opcodes)))) {
					dasm_put(Dst, 66203, (unsigned int)((ptrdiff_t)(((ptrdiff_t)opcodes))), (unsigned int)(((ptrdiff_t)(((ptrdiff_t)opcodes)))>>32));
						} else if (arm64_may_use_adrp((void*)(((ptrdiff_t)opcodes)))) {
					dasm_put(Dst, 66206, (unsigned int)((ptrdiff_t)((((uintptr_t)(((ptrdiff_t)opcodes)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(((ptrdiff_t)opcodes))))))>>32));
							if (((uintptr_t)(((ptrdiff_t)opcodes))) & 0xfff) {
					dasm_put(Dst, 66209, (((uintptr_t)(((ptrdiff_t)opcodes))) & 0xfff));
							}
						} else if ((uintptr_t)(((ptrdiff_t)opcodes)) & 0xffff) {
					dasm_put(Dst, 66212, ((uintptr_t)(((ptrdiff_t)opcodes)) & 0xffff));
							if (((uintptr_t)(((ptrdiff_t)opcodes)) >> 16) & 0xffff) {
					dasm_put(Dst, 66215, (((uintptr_t)(((ptrdiff_t)opcodes)) >> 16) & 0xffff));
							}
							if (((uintptr_t)(((ptrdiff_t)opcodes)) >> 32) & 0xffff) {
					dasm_put(Dst, 66218, (((uintptr_t)(((ptrdiff_t)opcodes)) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(((ptrdiff_t)opcodes)) >> 16) & 0xffff) {
					dasm_put(Dst, 66221, (((uintptr_t)(((ptrdiff_t)opcodes)) >> 16) & 0xffff));
							if (((uintptr_t)(((ptrdiff_t)opcodes)) >> 32) & 0xffff) {
					dasm_put(Dst, 66224, (((uintptr_t)(((ptrdiff_t)opcodes)) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 66227, (((uintptr_t)(((ptrdiff_t)opcodes)) >> 32) & 0xffff));
						}
#line 8897 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	ldr TMP1, [REG0, #offsetof(zend_op_array, opcodes)]
					//|	cmp TMP1, REG1
					//|	beq >3
					dasm_put(Dst, 66230, offsetof(zend_op_array, opcodes));
#line 8900 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	LOAD_ADDR REG1, ((ptrdiff_t)func)
						if (((uintptr_t)(((ptrdiff_t)func))) == 0) {
					dasm_put(Dst, 66236);
						} else if (((uintptr_t)(((ptrdiff_t)func))) <= MOVZ_IMM) {
					dasm_put(Dst, 66238, ((uint64_t)(((ptrdiff_t)func))));
						} else if (arm64_may_use_adr((void*)(((ptrdiff_t)func)))) {
					dasm_put(Dst, 66241, (unsigned int)((ptrdiff_t)(((ptrdiff_t)func))), (unsigned int)(((ptrdiff_t)(((ptrdiff_t)func)))>>32));
						} else if (arm64_may_use_adrp((void*)(((ptrdiff_t)func)))) {
					dasm_put(Dst, 66244, (unsigned int)((ptrdiff_t)((((uintptr_t)(((ptrdiff_t)func)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(((ptrdiff_t)func))))))>>32));
							if (((uintptr_t)(((ptrdiff_t)func))) & 0xfff) {
					dasm_put(Dst, 66247, (((uintptr_t)(((ptrdiff_t)func))) & 0xfff));
							}
						} else if ((uintptr_t)(((ptrdiff_t)func)) & 0xffff) {
					dasm_put(Dst, 66250, ((uintptr_t)(((ptrdiff_t)func)) & 0xffff));
							if (((uintptr_t)(((ptrdiff_t)func)) >> 16) & 0xffff) {
					dasm_put(Dst, 66253, (((uintptr_t)(((ptrdiff_t)func)) >> 16) & 0xffff));
							}
							if (((uintptr_t)(((ptrdiff_t)func)) >> 32) & 0xffff) {
					dasm_put(Dst, 66256, (((uintptr_t)(((ptrdiff_t)func)) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(((ptrdiff_t)func)) >> 16) & 0xffff) {
					dasm_put(Dst, 66259, (((uintptr_t)(((ptrdiff_t)func)) >> 16) & 0xffff));
							if (((uintptr_t)(((ptrdiff_t)func)) >> 32) & 0xffff) {
					dasm_put(Dst, 66262, (((uintptr_t)(((ptrdiff_t)func)) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 66265, (((uintptr_t)(((ptrdiff_t)func)) >> 32) & 0xffff));
						}
#line 8902 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	cmp REG0, REG1
					//|	beq >3
					dasm_put(Dst, 66268);
#line 8904 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|	b &exit_addr
				dasm_put(Dst, 66272, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 8906 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	cbnz REG0, >3
				//|	// SAVE_OPLINE();
				//|	SET_EX_OPLINE opline, REG0
				dasm_put(Dst, 66275);
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 66278, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 66281);
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 66283, ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 66286, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 66289, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 66292, (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 66295, ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 66298, (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 66301, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 66304, (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 66307, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 66310, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 66313, Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
#line 8910 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	b ->undefined_function
				dasm_put(Dst, 66316);
#line 8911 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
		//|.code
		dasm_put(Dst, 66319);
#line 8914 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|3:
		dasm_put(Dst, 66320);
#line 8915 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	if (!zend_jit_push_call_frame(Dst, opline, op_array, func, 0, 0, checked_stack)) {
		return 0;
	}

	if (zend_jit_needs_call_chain(call_info, b, op_array, ssa, ssa_op, opline, call_level, trace)) {
		if (!zend_jit_save_call_chain(Dst, call_level)) {
			return 0;
		}
	} else {
		delayed_call_chain = 1;
		delayed_call_level = call_level;
	}

	return 1;
}

static int zend_jit_init_method_call(dasm_State          **Dst,
                                     const zend_op        *opline,
                                     uint32_t              b,
                                     const zend_op_array  *op_array,
                                     zend_ssa             *ssa,
                                     const zend_ssa_op    *ssa_op,
                                     int                   call_level,
                                     uint32_t              op1_info,
                                     zend_jit_addr         op1_addr,
                                     zend_class_entry     *ce,
                                     bool                  ce_is_instanceof,
                                     bool                  on_this,
                                     bool                  delayed_fetch_this,
                                     zend_class_entry     *trace_ce,
                                     zend_jit_trace_rec   *trace,
                                     int                   checked_stack,
                                     bool                  polymorphic_side_trace)
{
	zend_func_info *info = ZEND_FUNC_INFO(op_array);
	zend_call_info *call_info = NULL;
	zend_function *func = NULL;
	zval *function_name;

	ZEND_ASSERT(opline->op2_type == IS_CONST);
	ZEND_ASSERT(op1_info & MAY_BE_OBJECT);

	function_name = RT_CONSTANT(opline, opline->op2);

	if (info) {
		call_info = info->callee_info;
		while (call_info && call_info->caller_init_opline != opline) {
			call_info = call_info->next_callee;
		}
		if (call_info && call_info->callee_func && !call_info->is_prototype) {
			func = call_info->callee_func;
		}
	}

	if (polymorphic_side_trace) {
		/* function is passed in r0 from parent_trace */
	} else {
		if (on_this) {
			zend_jit_addr this_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, offsetof(zend_execute_data, This));

			//|	GET_ZVAL_PTR FCARG1x, this_addr, TMP1
				ZEND_ASSERT(Z_MODE(this_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(this_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(this_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 66322, ((uint32_t)(Z_OFFSET(this_addr))));
				} else if (((uint32_t)(Z_OFFSET(this_addr)) & 0xffff)) {
			dasm_put(Dst, 66325, ((uint32_t)(Z_OFFSET(this_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(this_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 66328, (((uint32_t)(Z_OFFSET(this_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 66331, (((uint32_t)(Z_OFFSET(this_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 66334, (Z_REG(this_addr)));
				} else {
			dasm_put(Dst, 66337, (Z_REG(this_addr)), (Z_OFFSET(this_addr)));
				}
#line 8978 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
		    if (op1_info & MAY_BE_REF) {
				if (opline->op1_type == IS_CV) {
					if (Z_REG(op1_addr) != ZREG_FCARG1 || Z_OFFSET(op1_addr) != 0) {
						//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
							if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
							if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
						dasm_put(Dst, 66341);
							} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
						dasm_put(Dst, 66343, ((uint64_t)(Z_ZV(op1_addr))));
							} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
						dasm_put(Dst, 66346, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
							} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
						dasm_put(Dst, 66349, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
								if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
						dasm_put(Dst, 66352, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
								}
							} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
						dasm_put(Dst, 66355, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
								if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
						dasm_put(Dst, 66358, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
								}
								if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
						dasm_put(Dst, 66361, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
						dasm_put(Dst, 66364, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
								if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
						dasm_put(Dst, 66367, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 66370, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
							}
							} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
								if (Z_OFFSET(op1_addr)) {
							if (Z_OFFSET(op1_addr) == 0) {
						dasm_put(Dst, 66373, (Z_REG(op1_addr)));
							} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
						dasm_put(Dst, 66376, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
							} else {
							if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
						dasm_put(Dst, 66380, ((uint32_t)(Z_OFFSET(op1_addr))));
							} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
						dasm_put(Dst, 66383, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
						dasm_put(Dst, 66386, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 66389, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 66392, (Z_REG(op1_addr)));
							}
								} else {
									if (Z_REG(op1_addr) == ZREG_RSP) {
						dasm_put(Dst, 66395);
									} else {
						dasm_put(Dst, 66397, (Z_REG(op1_addr)));
									}
								}
							} else {
								ZEND_UNREACHABLE();
							}
#line 8983 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					//|	ZVAL_DEREF FCARG1x, op1_info, TMP1w
						if (op1_info & MAY_BE_REF) {
					dasm_put(Dst, 66400, offsetof(zval, u1.v.type));
						if (IS_REFERENCE == 0) {
					dasm_put(Dst, 66403);
						} else {
					dasm_put(Dst, 66406, IS_REFERENCE);
						}
					dasm_put(Dst, 66411, offsetof(zend_reference, val));
						}
#line 8985 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					op1_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, 0);
				} else {
					/* Hack: Convert reference to regular value to simplify JIT code */
					ZEND_ASSERT(Z_REG(op1_addr) == ZREG_FP);
					//|	IF_NOT_ZVAL_TYPE op1_addr, IS_REFERENCE, >1, ZREG_TMP1
						ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 66416, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 66420, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 66424, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 66428, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 66432, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 66437, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
						}
						if (IS_REFERENCE == 0) {
					dasm_put(Dst, 66442, (ZREG_X15));
						} else {
					dasm_put(Dst, 66446, (ZREG_X15), IS_REFERENCE);
						}
#line 8990 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
						if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
						if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
					dasm_put(Dst, 66452);
						} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 66454, ((uint64_t)(Z_ZV(op1_addr))));
						} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
					dasm_put(Dst, 66457, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
						} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
					dasm_put(Dst, 66460, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
							if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
					dasm_put(Dst, 66463, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
							}
						} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
					dasm_put(Dst, 66466, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
							if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 66469, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 66472, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 66475, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
							if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 66478, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 66481, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
						} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
							if (Z_OFFSET(op1_addr)) {
						if (Z_OFFSET(op1_addr) == 0) {
					dasm_put(Dst, 66484, (Z_REG(op1_addr)));
						} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
					dasm_put(Dst, 66487, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
						} else {
						if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 66491, ((uint32_t)(Z_OFFSET(op1_addr))));
						} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
					dasm_put(Dst, 66494, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 66497, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 66500, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 66503, (Z_REG(op1_addr)));
						}
							} else {
								if (Z_REG(op1_addr) == ZREG_RSP) {
					dasm_put(Dst, 66506);
								} else {
					dasm_put(Dst, 66508, (Z_REG(op1_addr)));
								}
							}
						} else {
							ZEND_UNREACHABLE();
						}
#line 8991 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	EXT_CALL zend_jit_unref_helper, REG0
						if (arm64_may_use_b(zend_jit_unref_helper)) {
					dasm_put(Dst, 66511, (unsigned int)((ptrdiff_t)(zend_jit_unref_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_unref_helper))>>32));
						} else {
						if (((uintptr_t)(zend_jit_unref_helper)) == 0) {
					dasm_put(Dst, 66514);
						} else if (((uintptr_t)(zend_jit_unref_helper)) <= MOVZ_IMM) {
					dasm_put(Dst, 66516, ((uint64_t)(zend_jit_unref_helper)));
						} else if (arm64_may_use_adr((void*)(zend_jit_unref_helper))) {
					dasm_put(Dst, 66519, (unsigned int)((ptrdiff_t)(zend_jit_unref_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_unref_helper))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_jit_unref_helper))) {
					dasm_put(Dst, 66522, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_unref_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_unref_helper)))))>>32));
							if (((uintptr_t)(zend_jit_unref_helper)) & 0xfff) {
					dasm_put(Dst, 66525, (((uintptr_t)(zend_jit_unref_helper)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_jit_unref_helper) & 0xffff) {
					dasm_put(Dst, 66528, ((uintptr_t)(zend_jit_unref_helper) & 0xffff));
							if (((uintptr_t)(zend_jit_unref_helper) >> 16) & 0xffff) {
					dasm_put(Dst, 66531, (((uintptr_t)(zend_jit_unref_helper) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_jit_unref_helper) >> 32) & 0xffff) {
					dasm_put(Dst, 66534, (((uintptr_t)(zend_jit_unref_helper) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_jit_unref_helper) >> 16) & 0xffff) {
					dasm_put(Dst, 66537, (((uintptr_t)(zend_jit_unref_helper) >> 16) & 0xffff));
							if (((uintptr_t)(zend_jit_unref_helper) >> 32) & 0xffff) {
					dasm_put(Dst, 66540, (((uintptr_t)(zend_jit_unref_helper) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 66543, (((uintptr_t)(zend_jit_unref_helper) >> 32) & 0xffff));
						}
					dasm_put(Dst, 66546);
						}
#line 8992 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|1:
					dasm_put(Dst, 66548);
#line 8993 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			}
			if (op1_info & ((MAY_BE_UNDEF|MAY_BE_ANY)- MAY_BE_OBJECT)) {
				if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE) {
					int32_t exit_point = zend_jit_trace_get_exit_point(opline, ZEND_JIT_EXIT_TO_VM);
					const void *exit_addr = zend_jit_trace_get_exit_addr(exit_point);

					if (!exit_addr) {
						return 0;
					}
					//|	IF_NOT_ZVAL_TYPE op1_addr, IS_OBJECT, &exit_addr, ZREG_TMP1
						ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 66550, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 66554, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 66558, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 66562, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 66566, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 66571, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
						}
						if (IS_OBJECT == 0) {
					dasm_put(Dst, 66576, (ZREG_X15), (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
						} else {
					dasm_put(Dst, 66580, (ZREG_X15), IS_OBJECT, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
						}
#line 9004 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	IF_NOT_ZVAL_TYPE op1_addr, IS_OBJECT, >1, ZREG_TMP1
						ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 66586, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 66590, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 66594, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 66598, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 66602, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 66607, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
						}
						if (IS_OBJECT == 0) {
					dasm_put(Dst, 66612, (ZREG_X15));
						} else {
					dasm_put(Dst, 66616, (ZREG_X15), IS_OBJECT);
						}
#line 9006 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|.cold_code
					dasm_put(Dst, 66622);
#line 9007 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|1:
					dasm_put(Dst, 66623);
#line 9008 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					if (Z_REG(op1_addr) != ZREG_FCARG1 || Z_OFFSET(op1_addr) != 0) {
						//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
							if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
							if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
						dasm_put(Dst, 66625);
							} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
						dasm_put(Dst, 66627, ((uint64_t)(Z_ZV(op1_addr))));
							} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
						dasm_put(Dst, 66630, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
							} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
						dasm_put(Dst, 66633, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
								if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
						dasm_put(Dst, 66636, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
								}
							} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
						dasm_put(Dst, 66639, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
								if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
						dasm_put(Dst, 66642, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
								}
								if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
						dasm_put(Dst, 66645, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
						dasm_put(Dst, 66648, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
								if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
						dasm_put(Dst, 66651, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 66654, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
							}
							} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
								if (Z_OFFSET(op1_addr)) {
							if (Z_OFFSET(op1_addr) == 0) {
						dasm_put(Dst, 66657, (Z_REG(op1_addr)));
							} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
						dasm_put(Dst, 66660, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
							} else {
							if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
						dasm_put(Dst, 66664, ((uint32_t)(Z_OFFSET(op1_addr))));
							} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
						dasm_put(Dst, 66667, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
						dasm_put(Dst, 66670, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 66673, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 66676, (Z_REG(op1_addr)));
							}
								} else {
									if (Z_REG(op1_addr) == ZREG_RSP) {
						dasm_put(Dst, 66679);
									} else {
						dasm_put(Dst, 66681, (Z_REG(op1_addr)));
									}
								}
							} else {
								ZEND_UNREACHABLE();
							}
#line 9010 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					//|	SET_EX_OPLINE opline, REG0
						if (opline == last_valid_opline) {
							zend_jit_use_last_valid_opline();
						if (GCC_GLOBAL_REGS) {
					dasm_put(Dst, 66684, Dt1(->opline));
						}
						} else {
						if (((uintptr_t)(opline)) == 0) {
					dasm_put(Dst, 66687);
						} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
					dasm_put(Dst, 66689, ((uint64_t)(opline)));
						} else if (arm64_may_use_adr((void*)(opline))) {
					dasm_put(Dst, 66692, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
						} else if (arm64_may_use_adrp((void*)(opline))) {
					dasm_put(Dst, 66695, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
							if (((uintptr_t)(opline)) & 0xfff) {
					dasm_put(Dst, 66698, (((uintptr_t)(opline)) & 0xfff));
							}
						} else if ((uintptr_t)(opline) & 0xffff) {
					dasm_put(Dst, 66701, ((uintptr_t)(opline) & 0xffff));
							if (((uintptr_t)(opline) >> 16) & 0xffff) {
					dasm_put(Dst, 66704, (((uintptr_t)(opline) >> 16) & 0xffff));
							}
							if (((uintptr_t)(opline) >> 32) & 0xffff) {
					dasm_put(Dst, 66707, (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
					dasm_put(Dst, 66710, (((uintptr_t)(opline) >> 16) & 0xffff));
							if (((uintptr_t)(opline) >> 32) & 0xffff) {
					dasm_put(Dst, 66713, (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 66716, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					dasm_put(Dst, 66719, Dt1(->opline));
							if (!GCC_GLOBAL_REGS) {
								zend_jit_reset_last_valid_opline();
							}
						}
#line 9012 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					if ((opline->op1_type & (IS_VAR|IS_TMP_VAR)) && !delayed_fetch_this) {
						//|	EXT_CALL zend_jit_invalid_method_call_tmp, REG0
							if (arm64_may_use_b(zend_jit_invalid_method_call_tmp)) {
						dasm_put(Dst, 66722, (unsigned int)((ptrdiff_t)(zend_jit_invalid_method_call_tmp)), (unsigned int)(((ptrdiff_t)(zend_jit_invalid_method_call_tmp))>>32));
							} else {
							if (((uintptr_t)(zend_jit_invalid_method_call_tmp)) == 0) {
						dasm_put(Dst, 66725);
							} else if (((uintptr_t)(zend_jit_invalid_method_call_tmp)) <= MOVZ_IMM) {
						dasm_put(Dst, 66727, ((uint64_t)(zend_jit_invalid_method_call_tmp)));
							} else if (arm64_may_use_adr((void*)(zend_jit_invalid_method_call_tmp))) {
						dasm_put(Dst, 66730, (unsigned int)((ptrdiff_t)(zend_jit_invalid_method_call_tmp)), (unsigned int)(((ptrdiff_t)(zend_jit_invalid_method_call_tmp))>>32));
							} else if (arm64_may_use_adrp((void*)(zend_jit_invalid_method_call_tmp))) {
						dasm_put(Dst, 66733, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_invalid_method_call_tmp))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_invalid_method_call_tmp)))))>>32));
								if (((uintptr_t)(zend_jit_invalid_method_call_tmp)) & 0xfff) {
						dasm_put(Dst, 66736, (((uintptr_t)(zend_jit_invalid_method_call_tmp)) & 0xfff));
								}
							} else if ((uintptr_t)(zend_jit_invalid_method_call_tmp) & 0xffff) {
						dasm_put(Dst, 66739, ((uintptr_t)(zend_jit_invalid_method_call_tmp) & 0xffff));
								if (((uintptr_t)(zend_jit_invalid_method_call_tmp) >> 16) & 0xffff) {
						dasm_put(Dst, 66742, (((uintptr_t)(zend_jit_invalid_method_call_tmp) >> 16) & 0xffff));
								}
								if (((uintptr_t)(zend_jit_invalid_method_call_tmp) >> 32) & 0xffff) {
						dasm_put(Dst, 66745, (((uintptr_t)(zend_jit_invalid_method_call_tmp) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(zend_jit_invalid_method_call_tmp) >> 16) & 0xffff) {
						dasm_put(Dst, 66748, (((uintptr_t)(zend_jit_invalid_method_call_tmp) >> 16) & 0xffff));
								if (((uintptr_t)(zend_jit_invalid_method_call_tmp) >> 32) & 0xffff) {
						dasm_put(Dst, 66751, (((uintptr_t)(zend_jit_invalid_method_call_tmp) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 66754, (((uintptr_t)(zend_jit_invalid_method_call_tmp) >> 32) & 0xffff));
							}
						dasm_put(Dst, 66757);
							}
#line 9014 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	EXT_CALL zend_jit_invalid_method_call, REG0
							if (arm64_may_use_b(zend_jit_invalid_method_call)) {
						dasm_put(Dst, 66759, (unsigned int)((ptrdiff_t)(zend_jit_invalid_method_call)), (unsigned int)(((ptrdiff_t)(zend_jit_invalid_method_call))>>32));
							} else {
							if (((uintptr_t)(zend_jit_invalid_method_call)) == 0) {
						dasm_put(Dst, 66762);
							} else if (((uintptr_t)(zend_jit_invalid_method_call)) <= MOVZ_IMM) {
						dasm_put(Dst, 66764, ((uint64_t)(zend_jit_invalid_method_call)));
							} else if (arm64_may_use_adr((void*)(zend_jit_invalid_method_call))) {
						dasm_put(Dst, 66767, (unsigned int)((ptrdiff_t)(zend_jit_invalid_method_call)), (unsigned int)(((ptrdiff_t)(zend_jit_invalid_method_call))>>32));
							} else if (arm64_may_use_adrp((void*)(zend_jit_invalid_method_call))) {
						dasm_put(Dst, 66770, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_invalid_method_call))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_invalid_method_call)))))>>32));
								if (((uintptr_t)(zend_jit_invalid_method_call)) & 0xfff) {
						dasm_put(Dst, 66773, (((uintptr_t)(zend_jit_invalid_method_call)) & 0xfff));
								}
							} else if ((uintptr_t)(zend_jit_invalid_method_call) & 0xffff) {
						dasm_put(Dst, 66776, ((uintptr_t)(zend_jit_invalid_method_call) & 0xffff));
								if (((uintptr_t)(zend_jit_invalid_method_call) >> 16) & 0xffff) {
						dasm_put(Dst, 66779, (((uintptr_t)(zend_jit_invalid_method_call) >> 16) & 0xffff));
								}
								if (((uintptr_t)(zend_jit_invalid_method_call) >> 32) & 0xffff) {
						dasm_put(Dst, 66782, (((uintptr_t)(zend_jit_invalid_method_call) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(zend_jit_invalid_method_call) >> 16) & 0xffff) {
						dasm_put(Dst, 66785, (((uintptr_t)(zend_jit_invalid_method_call) >> 16) & 0xffff));
								if (((uintptr_t)(zend_jit_invalid_method_call) >> 32) & 0xffff) {
						dasm_put(Dst, 66788, (((uintptr_t)(zend_jit_invalid_method_call) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 66791, (((uintptr_t)(zend_jit_invalid_method_call) >> 32) & 0xffff));
							}
						dasm_put(Dst, 66794);
							}
#line 9016 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					//|	b ->exception_handler
					//|.code
					dasm_put(Dst, 66796);
#line 9019 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			}
			//|	GET_ZVAL_PTR FCARG1x, op1_addr, TMP1
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 66799, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 66802, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 66805, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 66808, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 66811, (Z_REG(op1_addr)));
				} else {
			dasm_put(Dst, 66814, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
#line 9022 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}

		if (delayed_call_chain) {
			if (!zend_jit_save_call_chain(Dst, delayed_call_level)) {
				return 0;
			}
		}

		//|	str FCARG1x, T1 // save
		dasm_put(Dst, 66818);
#line 9031 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

		if (func) {
			//|	// fbc = CACHED_PTR(opline->result.num + sizeof(void*));
			//|	ldr REG0, EX->run_time_cache
			//|	MEM_ACCESS_64_WITH_UOFFSET ldr, REG0, REG0, (opline->result.num + sizeof(void*)), TMP1
			dasm_put(Dst, 66820, Dt1(->run_time_cache));
				if (((uintptr_t)((opline->result.num + sizeof(void*)))) > LDR_STR_PIMM64) {
				if (((uint32_t)((opline->result.num + sizeof(void*)))) <= MOVZ_IMM) {
			dasm_put(Dst, 66823, ((uint32_t)((opline->result.num + sizeof(void*)))));
				} else if (((uint32_t)((opline->result.num + sizeof(void*))) & 0xffff)) {
			dasm_put(Dst, 66826, ((uint32_t)((opline->result.num + sizeof(void*))) & 0xffff));
					if ((((uint32_t)((opline->result.num + sizeof(void*))) >> 16) & 0xffff)) {
			dasm_put(Dst, 66829, (((uint32_t)((opline->result.num + sizeof(void*))) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 66832, (((uint32_t)((opline->result.num + sizeof(void*))) >> 16) & 0xffff));
				}
			dasm_put(Dst, 66835);
				} else {
			dasm_put(Dst, 66837, ((opline->result.num + sizeof(void*))));
				}
#line 9036 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	cbz REG0, >1
			dasm_put(Dst, 66840);
#line 9037 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	// if (CACHED_PTR(opline->result.num) == obj->ce)) {
			//|	ldr REG0, EX->run_time_cache
			//|	MEM_ACCESS_64_WITH_UOFFSET ldr, REG2, REG0, opline->result.num, TMP1
			dasm_put(Dst, 66843, Dt1(->run_time_cache));
				if (((uintptr_t)(opline->result.num)) > LDR_STR_PIMM64) {
				if (((uint32_t)(opline->result.num)) <= MOVZ_IMM) {
			dasm_put(Dst, 66846, ((uint32_t)(opline->result.num)));
				} else if (((uint32_t)(opline->result.num) & 0xffff)) {
			dasm_put(Dst, 66849, ((uint32_t)(opline->result.num) & 0xffff));
					if ((((uint32_t)(opline->result.num) >> 16) & 0xffff)) {
			dasm_put(Dst, 66852, (((uint32_t)(opline->result.num) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 66855, (((uint32_t)(opline->result.num) >> 16) & 0xffff));
				}
			dasm_put(Dst, 66858);
				} else {
			dasm_put(Dst, 66860, (opline->result.num));
				}
#line 9041 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	ldr TMP1, [FCARG1x, #offsetof(zend_object, ce)]
			//|	cmp REG2, TMP1
			//|	bne >1
			//|	// fbc = CACHED_PTR(opline->result.num + sizeof(void*));
			//|	MEM_ACCESS_64_WITH_UOFFSET ldr, REG0, REG0, (opline->result.num + sizeof(void*)), TMP1
			dasm_put(Dst, 66863, offsetof(zend_object, ce));
				if (((uintptr_t)((opline->result.num + sizeof(void*)))) > LDR_STR_PIMM64) {
				if (((uint32_t)((opline->result.num + sizeof(void*)))) <= MOVZ_IMM) {
			dasm_put(Dst, 66869, ((uint32_t)((opline->result.num + sizeof(void*)))));
				} else if (((uint32_t)((opline->result.num + sizeof(void*))) & 0xffff)) {
			dasm_put(Dst, 66872, ((uint32_t)((opline->result.num + sizeof(void*))) & 0xffff));
					if ((((uint32_t)((opline->result.num + sizeof(void*))) >> 16) & 0xffff)) {
			dasm_put(Dst, 66875, (((uint32_t)((opline->result.num + sizeof(void*))) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 66878, (((uint32_t)((opline->result.num + sizeof(void*))) >> 16) & 0xffff));
				}
			dasm_put(Dst, 66881);
				} else {
			dasm_put(Dst, 66883, ((opline->result.num + sizeof(void*))));
				}
#line 9046 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}

		//|.cold_code
		dasm_put(Dst, 66886);
#line 9049 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|1:
		//|	LOAD_ADDR FCARG2x, function_name
		dasm_put(Dst, 66887);
			if (((uintptr_t)(function_name)) == 0) {
		dasm_put(Dst, 66889);
			} else if (((uintptr_t)(function_name)) <= MOVZ_IMM) {
		dasm_put(Dst, 66891, ((uint64_t)(function_name)));
			} else if (arm64_may_use_adr((void*)(function_name))) {
		dasm_put(Dst, 66894, (unsigned int)((ptrdiff_t)(function_name)), (unsigned int)(((ptrdiff_t)(function_name))>>32));
			} else if (arm64_may_use_adrp((void*)(function_name))) {
		dasm_put(Dst, 66897, (unsigned int)((ptrdiff_t)((((uintptr_t)(function_name))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(function_name)))))>>32));
				if (((uintptr_t)(function_name)) & 0xfff) {
		dasm_put(Dst, 66900, (((uintptr_t)(function_name)) & 0xfff));
				}
			} else if ((uintptr_t)(function_name) & 0xffff) {
		dasm_put(Dst, 66903, ((uintptr_t)(function_name) & 0xffff));
				if (((uintptr_t)(function_name) >> 16) & 0xffff) {
		dasm_put(Dst, 66906, (((uintptr_t)(function_name) >> 16) & 0xffff));
				}
				if (((uintptr_t)(function_name) >> 32) & 0xffff) {
		dasm_put(Dst, 66909, (((uintptr_t)(function_name) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(function_name) >> 16) & 0xffff) {
		dasm_put(Dst, 66912, (((uintptr_t)(function_name) >> 16) & 0xffff));
				if (((uintptr_t)(function_name) >> 32) & 0xffff) {
		dasm_put(Dst, 66915, (((uintptr_t)(function_name) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 66918, (((uintptr_t)(function_name) >> 32) & 0xffff));
			}
#line 9051 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (TMP_ZVAL_OFFSET == 0) {
			//|	mov CARG3, sp
			dasm_put(Dst, 66921);
#line 9053 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	add CARG3, sp, #TMP_ZVAL_OFFSET
			dasm_put(Dst, 66923, TMP_ZVAL_OFFSET);
#line 9055 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	SET_EX_OPLINE opline, REG0
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 66926, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 66929);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 66931, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 66934, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 66937, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 66940, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 66943, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 66946, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 66949, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 66952, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 66955, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 66958, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 66961, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
#line 9057 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if ((opline->op1_type & (IS_VAR|IS_TMP_VAR)) && !delayed_fetch_this) {
			//|	EXT_CALL zend_jit_find_method_tmp_helper, REG0
				if (arm64_may_use_b(zend_jit_find_method_tmp_helper)) {
			dasm_put(Dst, 66964, (unsigned int)((ptrdiff_t)(zend_jit_find_method_tmp_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_find_method_tmp_helper))>>32));
				} else {
				if (((uintptr_t)(zend_jit_find_method_tmp_helper)) == 0) {
			dasm_put(Dst, 66967);
				} else if (((uintptr_t)(zend_jit_find_method_tmp_helper)) <= MOVZ_IMM) {
			dasm_put(Dst, 66969, ((uint64_t)(zend_jit_find_method_tmp_helper)));
				} else if (arm64_may_use_adr((void*)(zend_jit_find_method_tmp_helper))) {
			dasm_put(Dst, 66972, (unsigned int)((ptrdiff_t)(zend_jit_find_method_tmp_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_find_method_tmp_helper))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_find_method_tmp_helper))) {
			dasm_put(Dst, 66975, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_find_method_tmp_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_find_method_tmp_helper)))))>>32));
					if (((uintptr_t)(zend_jit_find_method_tmp_helper)) & 0xfff) {
			dasm_put(Dst, 66978, (((uintptr_t)(zend_jit_find_method_tmp_helper)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_find_method_tmp_helper) & 0xffff) {
			dasm_put(Dst, 66981, ((uintptr_t)(zend_jit_find_method_tmp_helper) & 0xffff));
					if (((uintptr_t)(zend_jit_find_method_tmp_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 66984, (((uintptr_t)(zend_jit_find_method_tmp_helper) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_find_method_tmp_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 66987, (((uintptr_t)(zend_jit_find_method_tmp_helper) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_find_method_tmp_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 66990, (((uintptr_t)(zend_jit_find_method_tmp_helper) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_find_method_tmp_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 66993, (((uintptr_t)(zend_jit_find_method_tmp_helper) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 66996, (((uintptr_t)(zend_jit_find_method_tmp_helper) >> 32) & 0xffff));
				}
			dasm_put(Dst, 66999);
				}
#line 9059 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	EXT_CALL zend_jit_find_method_helper, REG0
				if (arm64_may_use_b(zend_jit_find_method_helper)) {
			dasm_put(Dst, 67001, (unsigned int)((ptrdiff_t)(zend_jit_find_method_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_find_method_helper))>>32));
				} else {
				if (((uintptr_t)(zend_jit_find_method_helper)) == 0) {
			dasm_put(Dst, 67004);
				} else if (((uintptr_t)(zend_jit_find_method_helper)) <= MOVZ_IMM) {
			dasm_put(Dst, 67006, ((uint64_t)(zend_jit_find_method_helper)));
				} else if (arm64_may_use_adr((void*)(zend_jit_find_method_helper))) {
			dasm_put(Dst, 67009, (unsigned int)((ptrdiff_t)(zend_jit_find_method_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_find_method_helper))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_find_method_helper))) {
			dasm_put(Dst, 67012, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_find_method_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_find_method_helper)))))>>32));
					if (((uintptr_t)(zend_jit_find_method_helper)) & 0xfff) {
			dasm_put(Dst, 67015, (((uintptr_t)(zend_jit_find_method_helper)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_find_method_helper) & 0xffff) {
			dasm_put(Dst, 67018, ((uintptr_t)(zend_jit_find_method_helper) & 0xffff));
					if (((uintptr_t)(zend_jit_find_method_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 67021, (((uintptr_t)(zend_jit_find_method_helper) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_find_method_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 67024, (((uintptr_t)(zend_jit_find_method_helper) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_find_method_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 67027, (((uintptr_t)(zend_jit_find_method_helper) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_find_method_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 67030, (((uintptr_t)(zend_jit_find_method_helper) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 67033, (((uintptr_t)(zend_jit_find_method_helper) >> 32) & 0xffff));
				}
			dasm_put(Dst, 67036);
				}
#line 9061 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	mov REG0, RETVALx
		//|	cbnz REG0, >2
		//|	b ->exception_handler
		//|.code
		dasm_put(Dst, 67038);
#line 9066 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|2:
		dasm_put(Dst, 67044);
#line 9067 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	if ((!func || zend_jit_may_be_modified(func, op_array))
	 && trace
	 && trace->op == ZEND_JIT_TRACE_INIT_CALL
	 && trace->func
	) {
		int32_t exit_point;
		const void *exit_addr;

		exit_point = zend_jit_trace_get_exit_point(opline, func ? ZEND_JIT_EXIT_INVALIDATE : ZEND_JIT_EXIT_METHOD_CALL);
		exit_addr = zend_jit_trace_get_exit_addr(exit_point);
		if (!exit_addr) {
			return 0;
		}

		func = (zend_function*)trace->func;

		if (func->type == ZEND_USER_FUNCTION &&
		    (!(func->common.fn_flags & ZEND_ACC_IMMUTABLE) ||
		     (func->common.fn_flags & ZEND_ACC_CLOSURE) ||
		     !func->common.function_name)) {
			const zend_op *opcodes = func->op_array.opcodes;

			//|	LOAD_ADDR TMP1, opcodes
				if (((uintptr_t)(opcodes)) == 0) {
			dasm_put(Dst, 67046);
				} else if (((uintptr_t)(opcodes)) <= MOVZ_IMM) {
			dasm_put(Dst, 67048, ((uint64_t)(opcodes)));
				} else if (arm64_may_use_adr((void*)(opcodes))) {
			dasm_put(Dst, 67051, (unsigned int)((ptrdiff_t)(opcodes)), (unsigned int)(((ptrdiff_t)(opcodes))>>32));
				} else if (arm64_may_use_adrp((void*)(opcodes))) {
			dasm_put(Dst, 67054, (unsigned int)((ptrdiff_t)((((uintptr_t)(opcodes))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opcodes)))))>>32));
					if (((uintptr_t)(opcodes)) & 0xfff) {
			dasm_put(Dst, 67057, (((uintptr_t)(opcodes)) & 0xfff));
					}
				} else if ((uintptr_t)(opcodes) & 0xffff) {
			dasm_put(Dst, 67060, ((uintptr_t)(opcodes) & 0xffff));
					if (((uintptr_t)(opcodes) >> 16) & 0xffff) {
			dasm_put(Dst, 67063, (((uintptr_t)(opcodes) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opcodes) >> 32) & 0xffff) {
			dasm_put(Dst, 67066, (((uintptr_t)(opcodes) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opcodes) >> 16) & 0xffff) {
			dasm_put(Dst, 67069, (((uintptr_t)(opcodes) >> 16) & 0xffff));
					if (((uintptr_t)(opcodes) >> 32) & 0xffff) {
			dasm_put(Dst, 67072, (((uintptr_t)(opcodes) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 67075, (((uintptr_t)(opcodes) >> 32) & 0xffff));
				}
#line 9092 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	ldr TMP2, [REG0, #offsetof(zend_op_array, opcodes)]
			//|	cmp TMP2, TMP1
			//|	bne &exit_addr
			dasm_put(Dst, 67078, offsetof(zend_op_array, opcodes), (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 9095 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	LOAD_ADDR TMP1, func
				if (((uintptr_t)(func)) == 0) {
			dasm_put(Dst, 67084);
				} else if (((uintptr_t)(func)) <= MOVZ_IMM) {
			dasm_put(Dst, 67086, ((uint64_t)(func)));
				} else if (arm64_may_use_adr((void*)(func))) {
			dasm_put(Dst, 67089, (unsigned int)((ptrdiff_t)(func)), (unsigned int)(((ptrdiff_t)(func))>>32));
				} else if (arm64_may_use_adrp((void*)(func))) {
			dasm_put(Dst, 67092, (unsigned int)((ptrdiff_t)((((uintptr_t)(func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(func)))))>>32));
					if (((uintptr_t)(func)) & 0xfff) {
			dasm_put(Dst, 67095, (((uintptr_t)(func)) & 0xfff));
					}
				} else if ((uintptr_t)(func) & 0xffff) {
			dasm_put(Dst, 67098, ((uintptr_t)(func) & 0xffff));
					if (((uintptr_t)(func) >> 16) & 0xffff) {
			dasm_put(Dst, 67101, (((uintptr_t)(func) >> 16) & 0xffff));
					}
					if (((uintptr_t)(func) >> 32) & 0xffff) {
			dasm_put(Dst, 67104, (((uintptr_t)(func) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(func) >> 16) & 0xffff) {
			dasm_put(Dst, 67107, (((uintptr_t)(func) >> 16) & 0xffff));
					if (((uintptr_t)(func) >> 32) & 0xffff) {
			dasm_put(Dst, 67110, (((uintptr_t)(func) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 67113, (((uintptr_t)(func) >> 32) & 0xffff));
				}
#line 9097 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	cmp REG0, TMP1
			//|	bne &exit_addr
			dasm_put(Dst, 67116, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 9099 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	if (!func) {
		//|	// if (fbc->common.fn_flags & ZEND_ACC_STATIC) {
		//|	ldr TMP1w, [REG0, #offsetof(zend_function, common.fn_flags)]
		//|	TST_32_WITH_CONST TMP1w, ZEND_ACC_STATIC, TMP2w
		dasm_put(Dst, 67120, offsetof(zend_function, common.fn_flags));
			if (ZEND_ACC_STATIC == 0) {
		dasm_put(Dst, 67123);
			} else if (logical_immediate_p((uint32_t)ZEND_ACC_STATIC, 32)) {
		dasm_put(Dst, 67125, ZEND_ACC_STATIC);
			} else {
			if (((uint32_t)(ZEND_ACC_STATIC)) <= MOVZ_IMM) {
		dasm_put(Dst, 67128, ((uint32_t)(ZEND_ACC_STATIC)));
			} else if (((uint32_t)(ZEND_ACC_STATIC) & 0xffff)) {
		dasm_put(Dst, 67131, ((uint32_t)(ZEND_ACC_STATIC) & 0xffff));
				if ((((uint32_t)(ZEND_ACC_STATIC) >> 16) & 0xffff)) {
		dasm_put(Dst, 67134, (((uint32_t)(ZEND_ACC_STATIC) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 67137, (((uint32_t)(ZEND_ACC_STATIC) >> 16) & 0xffff));
			}
		dasm_put(Dst, 67140);
			}
#line 9106 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	bne >1
		//|.cold_code
		dasm_put(Dst, 67142);
#line 9108 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|1:
		dasm_put(Dst, 67145);
#line 9109 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	if (!func || (func->common.fn_flags & ZEND_ACC_STATIC) != 0) {
		//|	ldr FCARG1x, T1 // restore
		//|	mov FCARG2x, REG0
		//|	LOAD_32BIT_VAL CARG3w, opline->extended_value
		dasm_put(Dst, 67147);
			if (((uint32_t)(opline->extended_value)) <= MOVZ_IMM) {
		dasm_put(Dst, 67150, ((uint32_t)(opline->extended_value)));
			} else if (((uint32_t)(opline->extended_value) & 0xffff)) {
		dasm_put(Dst, 67153, ((uint32_t)(opline->extended_value) & 0xffff));
				if ((((uint32_t)(opline->extended_value) >> 16) & 0xffff)) {
		dasm_put(Dst, 67156, (((uint32_t)(opline->extended_value) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 67159, (((uint32_t)(opline->extended_value) >> 16) & 0xffff));
			}
#line 9115 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if ((opline->op1_type & (IS_VAR|IS_TMP_VAR)) && !delayed_fetch_this) {
			//|	EXT_CALL zend_jit_push_static_metod_call_frame_tmp, REG0
				if (arm64_may_use_b(zend_jit_push_static_metod_call_frame_tmp)) {
			dasm_put(Dst, 67162, (unsigned int)((ptrdiff_t)(zend_jit_push_static_metod_call_frame_tmp)), (unsigned int)(((ptrdiff_t)(zend_jit_push_static_metod_call_frame_tmp))>>32));
				} else {
				if (((uintptr_t)(zend_jit_push_static_metod_call_frame_tmp)) == 0) {
			dasm_put(Dst, 67165);
				} else if (((uintptr_t)(zend_jit_push_static_metod_call_frame_tmp)) <= MOVZ_IMM) {
			dasm_put(Dst, 67167, ((uint64_t)(zend_jit_push_static_metod_call_frame_tmp)));
				} else if (arm64_may_use_adr((void*)(zend_jit_push_static_metod_call_frame_tmp))) {
			dasm_put(Dst, 67170, (unsigned int)((ptrdiff_t)(zend_jit_push_static_metod_call_frame_tmp)), (unsigned int)(((ptrdiff_t)(zend_jit_push_static_metod_call_frame_tmp))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_push_static_metod_call_frame_tmp))) {
			dasm_put(Dst, 67173, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_push_static_metod_call_frame_tmp))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_push_static_metod_call_frame_tmp)))))>>32));
					if (((uintptr_t)(zend_jit_push_static_metod_call_frame_tmp)) & 0xfff) {
			dasm_put(Dst, 67176, (((uintptr_t)(zend_jit_push_static_metod_call_frame_tmp)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_push_static_metod_call_frame_tmp) & 0xffff) {
			dasm_put(Dst, 67179, ((uintptr_t)(zend_jit_push_static_metod_call_frame_tmp) & 0xffff));
					if (((uintptr_t)(zend_jit_push_static_metod_call_frame_tmp) >> 16) & 0xffff) {
			dasm_put(Dst, 67182, (((uintptr_t)(zend_jit_push_static_metod_call_frame_tmp) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_push_static_metod_call_frame_tmp) >> 32) & 0xffff) {
			dasm_put(Dst, 67185, (((uintptr_t)(zend_jit_push_static_metod_call_frame_tmp) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_push_static_metod_call_frame_tmp) >> 16) & 0xffff) {
			dasm_put(Dst, 67188, (((uintptr_t)(zend_jit_push_static_metod_call_frame_tmp) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_push_static_metod_call_frame_tmp) >> 32) & 0xffff) {
			dasm_put(Dst, 67191, (((uintptr_t)(zend_jit_push_static_metod_call_frame_tmp) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 67194, (((uintptr_t)(zend_jit_push_static_metod_call_frame_tmp) >> 32) & 0xffff));
				}
			dasm_put(Dst, 67197);
				}
#line 9117 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	EXT_CALL zend_jit_push_static_metod_call_frame, REG0
				if (arm64_may_use_b(zend_jit_push_static_metod_call_frame)) {
			dasm_put(Dst, 67199, (unsigned int)((ptrdiff_t)(zend_jit_push_static_metod_call_frame)), (unsigned int)(((ptrdiff_t)(zend_jit_push_static_metod_call_frame))>>32));
				} else {
				if (((uintptr_t)(zend_jit_push_static_metod_call_frame)) == 0) {
			dasm_put(Dst, 67202);
				} else if (((uintptr_t)(zend_jit_push_static_metod_call_frame)) <= MOVZ_IMM) {
			dasm_put(Dst, 67204, ((uint64_t)(zend_jit_push_static_metod_call_frame)));
				} else if (arm64_may_use_adr((void*)(zend_jit_push_static_metod_call_frame))) {
			dasm_put(Dst, 67207, (unsigned int)((ptrdiff_t)(zend_jit_push_static_metod_call_frame)), (unsigned int)(((ptrdiff_t)(zend_jit_push_static_metod_call_frame))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_push_static_metod_call_frame))) {
			dasm_put(Dst, 67210, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_push_static_metod_call_frame))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_push_static_metod_call_frame)))))>>32));
					if (((uintptr_t)(zend_jit_push_static_metod_call_frame)) & 0xfff) {
			dasm_put(Dst, 67213, (((uintptr_t)(zend_jit_push_static_metod_call_frame)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_push_static_metod_call_frame) & 0xffff) {
			dasm_put(Dst, 67216, ((uintptr_t)(zend_jit_push_static_metod_call_frame) & 0xffff));
					if (((uintptr_t)(zend_jit_push_static_metod_call_frame) >> 16) & 0xffff) {
			dasm_put(Dst, 67219, (((uintptr_t)(zend_jit_push_static_metod_call_frame) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_push_static_metod_call_frame) >> 32) & 0xffff) {
			dasm_put(Dst, 67222, (((uintptr_t)(zend_jit_push_static_metod_call_frame) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_push_static_metod_call_frame) >> 16) & 0xffff) {
			dasm_put(Dst, 67225, (((uintptr_t)(zend_jit_push_static_metod_call_frame) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_push_static_metod_call_frame) >> 32) & 0xffff) {
			dasm_put(Dst, 67228, (((uintptr_t)(zend_jit_push_static_metod_call_frame) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 67231, (((uintptr_t)(zend_jit_push_static_metod_call_frame) >> 32) & 0xffff));
				}
			dasm_put(Dst, 67234);
				}
#line 9119 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if ((opline->op1_type & (IS_VAR|IS_TMP_VAR) && !delayed_fetch_this)) {
			//|	cbz RETVALx, ->exception_handler
			dasm_put(Dst, 67236);
#line 9122 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	mov RX, RETVALx
		dasm_put(Dst, 67239);
#line 9124 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	if (!func) {
		//|	b >9
		//|.code
		dasm_put(Dst, 67241);
#line 9129 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	if (!func || (func->common.fn_flags & ZEND_ACC_STATIC) == 0) {
		if (!zend_jit_push_call_frame(Dst, opline, NULL, func, 0, delayed_fetch_this, checked_stack)) {
			return 0;
		}
	}

	if (!func) {
		//|9:
		dasm_put(Dst, 67244);
#line 9139 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	zend_jit_start_reuse_ip();

	if (zend_jit_needs_call_chain(call_info, b, op_array, ssa, ssa_op, opline, call_level, trace)) {
		if (!zend_jit_save_call_chain(Dst, call_level)) {
			return 0;
		}
	} else {
		delayed_call_chain = 1;
		delayed_call_level = call_level;
	}

	return 1;
}

static int zend_jit_init_closure_call(dasm_State          **Dst,
                                      const zend_op        *opline,
                                      uint32_t              b,
                                      const zend_op_array  *op_array,
                                      zend_ssa             *ssa,
                                      const zend_ssa_op    *ssa_op,
                                      int                   call_level,
                                      zend_jit_trace_rec   *trace,
                                      int                   checked_stack)
{
	zend_function *func = NULL;
	zend_jit_addr op2_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op2.var);

	//|	GET_ZVAL_PTR REG0, op2_addr, TMP1
		ZEND_ASSERT(Z_MODE(op2_addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 67246, ((uint32_t)(Z_OFFSET(op2_addr))));
		} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
	dasm_put(Dst, 67249, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 67252, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 67255, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 67258, (Z_REG(op2_addr)));
		} else {
	dasm_put(Dst, 67261, (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
		}
#line 9168 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	if (ssa->var_info[ssa_op->op2_use].ce != zend_ce_closure
	 && !(ssa->var_info[ssa_op->op2_use].type & MAY_BE_CLASS_GUARD)) {
		int32_t exit_point = zend_jit_trace_get_exit_point(opline, ZEND_JIT_EXIT_TO_VM);
		const void *exit_addr = zend_jit_trace_get_exit_addr(exit_point);

		if (!exit_addr) {
			return 0;
		}

		//|	LOAD_ADDR FCARG1x, ((ptrdiff_t)zend_ce_closure)
			if (((uintptr_t)(((ptrdiff_t)zend_ce_closure))) == 0) {
		dasm_put(Dst, 67265);
			} else if (((uintptr_t)(((ptrdiff_t)zend_ce_closure))) <= MOVZ_IMM) {
		dasm_put(Dst, 67267, ((uint64_t)(((ptrdiff_t)zend_ce_closure))));
			} else if (arm64_may_use_adr((void*)(((ptrdiff_t)zend_ce_closure)))) {
		dasm_put(Dst, 67270, (unsigned int)((ptrdiff_t)(((ptrdiff_t)zend_ce_closure))), (unsigned int)(((ptrdiff_t)(((ptrdiff_t)zend_ce_closure)))>>32));
			} else if (arm64_may_use_adrp((void*)(((ptrdiff_t)zend_ce_closure)))) {
		dasm_put(Dst, 67273, (unsigned int)((ptrdiff_t)((((uintptr_t)(((ptrdiff_t)zend_ce_closure)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(((ptrdiff_t)zend_ce_closure))))))>>32));
				if (((uintptr_t)(((ptrdiff_t)zend_ce_closure))) & 0xfff) {
		dasm_put(Dst, 67276, (((uintptr_t)(((ptrdiff_t)zend_ce_closure))) & 0xfff));
				}
			} else if ((uintptr_t)(((ptrdiff_t)zend_ce_closure)) & 0xffff) {
		dasm_put(Dst, 67279, ((uintptr_t)(((ptrdiff_t)zend_ce_closure)) & 0xffff));
				if (((uintptr_t)(((ptrdiff_t)zend_ce_closure)) >> 16) & 0xffff) {
		dasm_put(Dst, 67282, (((uintptr_t)(((ptrdiff_t)zend_ce_closure)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(((ptrdiff_t)zend_ce_closure)) >> 32) & 0xffff) {
		dasm_put(Dst, 67285, (((uintptr_t)(((ptrdiff_t)zend_ce_closure)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(((ptrdiff_t)zend_ce_closure)) >> 16) & 0xffff) {
		dasm_put(Dst, 67288, (((uintptr_t)(((ptrdiff_t)zend_ce_closure)) >> 16) & 0xffff));
				if (((uintptr_t)(((ptrdiff_t)zend_ce_closure)) >> 32) & 0xffff) {
		dasm_put(Dst, 67291, (((uintptr_t)(((ptrdiff_t)zend_ce_closure)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 67294, (((uintptr_t)(((ptrdiff_t)zend_ce_closure)) >> 32) & 0xffff));
			}
#line 9179 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	ldr, TMP1, [REG0, #offsetof(zend_object, ce)]
		//|	cmp TMP1, FCARG1x
		//|	bne &exit_addr
		dasm_put(Dst, 67297, offsetof(zend_object, ce), (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 9182 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (ssa->var_info && ssa_op->op2_use >= 0) {
			ssa->var_info[ssa_op->op2_use].type |= MAY_BE_CLASS_GUARD;
			ssa->var_info[ssa_op->op2_use].ce = zend_ce_closure;
			ssa->var_info[ssa_op->op2_use].is_instanceof = 0;
		}
	}

	if (trace
	 && trace->op == ZEND_JIT_TRACE_INIT_CALL
	 && trace->func
	 && trace->func->type == ZEND_USER_FUNCTION) {
		const zend_op *opcodes;
		int32_t exit_point;
		const void *exit_addr;

		func = (zend_function*)trace->func;
		opcodes = func->op_array.opcodes;
		exit_point = zend_jit_trace_get_exit_point(opline, ZEND_JIT_EXIT_CLOSURE_CALL);
		exit_addr = zend_jit_trace_get_exit_addr(exit_point);
		if (!exit_addr) {
			return 0;
		}

		//|	LOAD_ADDR FCARG1x, ((ptrdiff_t)opcodes)
			if (((uintptr_t)(((ptrdiff_t)opcodes))) == 0) {
		dasm_put(Dst, 67303);
			} else if (((uintptr_t)(((ptrdiff_t)opcodes))) <= MOVZ_IMM) {
		dasm_put(Dst, 67305, ((uint64_t)(((ptrdiff_t)opcodes))));
			} else if (arm64_may_use_adr((void*)(((ptrdiff_t)opcodes)))) {
		dasm_put(Dst, 67308, (unsigned int)((ptrdiff_t)(((ptrdiff_t)opcodes))), (unsigned int)(((ptrdiff_t)(((ptrdiff_t)opcodes)))>>32));
			} else if (arm64_may_use_adrp((void*)(((ptrdiff_t)opcodes)))) {
		dasm_put(Dst, 67311, (unsigned int)((ptrdiff_t)((((uintptr_t)(((ptrdiff_t)opcodes)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(((ptrdiff_t)opcodes))))))>>32));
				if (((uintptr_t)(((ptrdiff_t)opcodes))) & 0xfff) {
		dasm_put(Dst, 67314, (((uintptr_t)(((ptrdiff_t)opcodes))) & 0xfff));
				}
			} else if ((uintptr_t)(((ptrdiff_t)opcodes)) & 0xffff) {
		dasm_put(Dst, 67317, ((uintptr_t)(((ptrdiff_t)opcodes)) & 0xffff));
				if (((uintptr_t)(((ptrdiff_t)opcodes)) >> 16) & 0xffff) {
		dasm_put(Dst, 67320, (((uintptr_t)(((ptrdiff_t)opcodes)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(((ptrdiff_t)opcodes)) >> 32) & 0xffff) {
		dasm_put(Dst, 67323, (((uintptr_t)(((ptrdiff_t)opcodes)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(((ptrdiff_t)opcodes)) >> 16) & 0xffff) {
		dasm_put(Dst, 67326, (((uintptr_t)(((ptrdiff_t)opcodes)) >> 16) & 0xffff));
				if (((uintptr_t)(((ptrdiff_t)opcodes)) >> 32) & 0xffff) {
		dasm_put(Dst, 67329, (((uintptr_t)(((ptrdiff_t)opcodes)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 67332, (((uintptr_t)(((ptrdiff_t)opcodes)) >> 32) & 0xffff));
			}
#line 9206 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	ldr TMP1, [REG0, #offsetof(zend_closure, func.op_array.opcodes)]
		//|	cmp TMP1, FCARG1x
		//|	bne &exit_addr
		dasm_put(Dst, 67335, offsetof(zend_closure, func.op_array.opcodes), (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 9209 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	if (delayed_call_chain) {
		if (!zend_jit_save_call_chain(Dst, delayed_call_level)) {
			return 0;
		}
	}

	if (!zend_jit_push_call_frame(Dst, opline, NULL, func, 1, 0, checked_stack)) {
		return 0;
	}

	if (zend_jit_needs_call_chain(NULL, b, op_array, ssa, ssa_op, opline, call_level, trace)) {
		if (!zend_jit_save_call_chain(Dst, call_level)) {
			return 0;
		}
	} else {
		delayed_call_chain = 1;
		delayed_call_level = call_level;
	}

	if (trace
	 && trace->op == ZEND_JIT_TRACE_END
	 && trace->stop == ZEND_JIT_TRACE_STOP_INTERPRETER) {
		if (!zend_jit_set_valid_ip(Dst, opline + 1)) {
			return 0;
		}
	}

	return 1;
}

static int zend_jit_do_fcall(dasm_State **Dst, const zend_op *opline, const zend_op_array *op_array, zend_ssa *ssa, int call_level, unsigned int next_block, zend_jit_trace_rec *trace)
{
	zend_func_info *info = ZEND_FUNC_INFO(op_array);
	zend_call_info *call_info = NULL;
	const zend_function *func = NULL;
	uint32_t i;
	zend_jit_addr res_addr;
	uint32_t call_num_args = 0;
	bool unknown_num_args = 0;
	const void *exit_addr = NULL;
	const zend_op *prev_opline;

	if (RETURN_VALUE_USED(opline)) {
		res_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->result.var);
	} else {
		/* CPU stack allocated temporary zval */
		res_addr = ZEND_ADDR_MEM_ZVAL(ZREG_RSP, TMP_ZVAL_OFFSET);
	}

	prev_opline = opline - 1;
	while (prev_opline->opcode == ZEND_EXT_FCALL_BEGIN || prev_opline->opcode == ZEND_TICKS) {
		prev_opline--;
	}
	if (prev_opline->opcode == ZEND_SEND_UNPACK || prev_opline->opcode == ZEND_SEND_ARRAY ||
			prev_opline->opcode == ZEND_CHECK_UNDEF_ARGS) {
		unknown_num_args = 1;
	}

	if (info) {
		call_info = info->callee_info;
		while (call_info && call_info->caller_call_opline != opline) {
			call_info = call_info->next_callee;
		}
		if (call_info && call_info->callee_func && !call_info->is_prototype) {
			func = call_info->callee_func;
		}
		if ((op_array->fn_flags & ZEND_ACC_TRAIT_CLONE)
		 && JIT_G(current_frame)
		 && JIT_G(current_frame)->call
		 && !JIT_G(current_frame)->call->func) {
			call_info = NULL; func = NULL; /* megamorphic call from trait */
		}
	}
	if (!func) {
		/* resolve function at run time */
	} else if (func->type == ZEND_USER_FUNCTION) {
		ZEND_ASSERT(opline->opcode != ZEND_DO_ICALL);
		call_num_args = call_info->num_args;
	} else if (func->type == ZEND_INTERNAL_FUNCTION) {
		ZEND_ASSERT(opline->opcode != ZEND_DO_UCALL);
		call_num_args = call_info->num_args;
	} else {
		ZEND_UNREACHABLE();
	}

	if (trace && !func) {
		if (trace->op == ZEND_JIT_TRACE_DO_ICALL) {
			ZEND_ASSERT(trace->func->type == ZEND_INTERNAL_FUNCTION);
#ifndef ZEND_WIN32
			// TODO: ASLR may cause different addresses in different workers ???
			func = trace->func;
			if (JIT_G(current_frame) &&
			    JIT_G(current_frame)->call &&
			    TRACE_FRAME_NUM_ARGS(JIT_G(current_frame)->call) >= 0) {
				call_num_args = TRACE_FRAME_NUM_ARGS(JIT_G(current_frame)->call);
			} else {
				unknown_num_args = 1;
			}
#endif
		} else if (trace->op == ZEND_JIT_TRACE_ENTER) {
			ZEND_ASSERT(trace->func->type == ZEND_USER_FUNCTION);
			if (zend_accel_in_shm(trace->func->op_array.opcodes)) {
				func = trace->func;
				if (JIT_G(current_frame) &&
				    JIT_G(current_frame)->call &&
				    TRACE_FRAME_NUM_ARGS(JIT_G(current_frame)->call) >= 0) {
					call_num_args = TRACE_FRAME_NUM_ARGS(JIT_G(current_frame)->call);
				} else {
					unknown_num_args = 1;
				}
			}
		}
	}

	bool may_have_extra_named_params =
		opline->extended_value == ZEND_FCALL_MAY_HAVE_EXTRA_NAMED_PARAMS &&
		(!func || func->common.fn_flags & ZEND_ACC_VARIADIC);

	if (!reuse_ip) {
		zend_jit_start_reuse_ip();
		//|	// call = EX(call);
		//|	ldr RX, EX->call
		dasm_put(Dst, 67341, Dt1(->call));
#line 9333 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	zend_jit_stop_reuse_ip();

	//|	// fbc = call->func;
	//|	// mov r2, EX:RX->func ???
	//|	// SAVE_OPLINE();
	//|	SET_EX_OPLINE opline, REG0
		if (opline == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 67344, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(opline)) == 0) {
	dasm_put(Dst, 67347);
		} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
	dasm_put(Dst, 67349, ((uint64_t)(opline)));
		} else if (arm64_may_use_adr((void*)(opline))) {
	dasm_put(Dst, 67352, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
		} else if (arm64_may_use_adrp((void*)(opline))) {
	dasm_put(Dst, 67355, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
			if (((uintptr_t)(opline)) & 0xfff) {
	dasm_put(Dst, 67358, (((uintptr_t)(opline)) & 0xfff));
			}
		} else if ((uintptr_t)(opline) & 0xffff) {
	dasm_put(Dst, 67361, ((uintptr_t)(opline) & 0xffff));
			if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 67364, (((uintptr_t)(opline) >> 16) & 0xffff));
			}
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 67367, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 67370, (((uintptr_t)(opline) >> 16) & 0xffff));
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 67373, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 67376, (((uintptr_t)(opline) >> 32) & 0xffff));
		}
	dasm_put(Dst, 67379, Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
#line 9340 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	if (opline->opcode == ZEND_DO_FCALL) {
		if (!func) {
			if (trace) {
				uint32_t exit_point = zend_jit_trace_get_exit_point(opline, ZEND_JIT_EXIT_TO_VM);

				exit_addr = zend_jit_trace_get_exit_addr(exit_point);
				if (!exit_addr) {
					return 0;
				}
				//|	ldr REG0, EX:RX->func
				//|	ldr TMP1w, [REG0, #offsetof(zend_op_array, fn_flags)]
				//|	TST_32_WITH_CONST TMP1w, ZEND_ACC_DEPRECATED, TMP2w
				dasm_put(Dst, 67382, Dt1(->func), offsetof(zend_op_array, fn_flags));
					if (ZEND_ACC_DEPRECATED == 0) {
				dasm_put(Dst, 67387);
					} else if (logical_immediate_p((uint32_t)ZEND_ACC_DEPRECATED, 32)) {
				dasm_put(Dst, 67389, ZEND_ACC_DEPRECATED);
					} else {
					if (((uint32_t)(ZEND_ACC_DEPRECATED)) <= MOVZ_IMM) {
				dasm_put(Dst, 67392, ((uint32_t)(ZEND_ACC_DEPRECATED)));
					} else if (((uint32_t)(ZEND_ACC_DEPRECATED) & 0xffff)) {
				dasm_put(Dst, 67395, ((uint32_t)(ZEND_ACC_DEPRECATED) & 0xffff));
						if ((((uint32_t)(ZEND_ACC_DEPRECATED) >> 16) & 0xffff)) {
				dasm_put(Dst, 67398, (((uint32_t)(ZEND_ACC_DEPRECATED) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 67401, (((uint32_t)(ZEND_ACC_DEPRECATED) >> 16) & 0xffff));
					}
				dasm_put(Dst, 67404);
					}
#line 9353 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	bne &exit_addr
				dasm_put(Dst, 67406, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 9354 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
	}

	if (!delayed_call_chain) {
		if (call_level == 1) {
			//|	str xzr, EX->call
			dasm_put(Dst, 67409, Dt1(->call));
#line 9361 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	//EX(call) = call->prev_execute_data;
			//|	ldr REG0, EX:RX->prev_execute_data
			//|	str REG0, EX->call
			dasm_put(Dst, 67412, Dt1(->prev_execute_data), Dt1(->call));
#line 9365 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}
	delayed_call_chain = 0;

	//|	//call->prev_execute_data = execute_data;
	//|	str EX, EX:RX->prev_execute_data
	dasm_put(Dst, 67417, Dt1(->prev_execute_data));
#line 9371 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	if (!func) {
		//|	ldr REG0, EX:RX->func
		dasm_put(Dst, 67420, Dt1(->func));
#line 9374 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	if (opline->opcode == ZEND_DO_FCALL) {
		if (!func) {
			if (!trace) {
				//|	ldr TMP1w, [REG0, #offsetof(zend_op_array, fn_flags)]
				//|	TST_32_WITH_CONST TMP1w, ZEND_ACC_DEPRECATED, TMP2w
				dasm_put(Dst, 67423, offsetof(zend_op_array, fn_flags));
					if (ZEND_ACC_DEPRECATED == 0) {
				dasm_put(Dst, 67426);
					} else if (logical_immediate_p((uint32_t)ZEND_ACC_DEPRECATED, 32)) {
				dasm_put(Dst, 67428, ZEND_ACC_DEPRECATED);
					} else {
					if (((uint32_t)(ZEND_ACC_DEPRECATED)) <= MOVZ_IMM) {
				dasm_put(Dst, 67431, ((uint32_t)(ZEND_ACC_DEPRECATED)));
					} else if (((uint32_t)(ZEND_ACC_DEPRECATED) & 0xffff)) {
				dasm_put(Dst, 67434, ((uint32_t)(ZEND_ACC_DEPRECATED) & 0xffff));
						if ((((uint32_t)(ZEND_ACC_DEPRECATED) >> 16) & 0xffff)) {
				dasm_put(Dst, 67437, (((uint32_t)(ZEND_ACC_DEPRECATED) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 67440, (((uint32_t)(ZEND_ACC_DEPRECATED) >> 16) & 0xffff));
					}
				dasm_put(Dst, 67443);
					}
#line 9381 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	bne >1
				//|.cold_code
				dasm_put(Dst, 67445);
#line 9383 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|1:
				dasm_put(Dst, 67448);
#line 9384 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				if (!GCC_GLOBAL_REGS) {
					//|	mov FCARG1x, RX
					dasm_put(Dst, 67450);
#line 9386 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|	EXT_CALL zend_jit_deprecated_helper, REG0
					if (arm64_may_use_b(zend_jit_deprecated_helper)) {
				dasm_put(Dst, 67452, (unsigned int)((ptrdiff_t)(zend_jit_deprecated_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_deprecated_helper))>>32));
					} else {
					if (((uintptr_t)(zend_jit_deprecated_helper)) == 0) {
				dasm_put(Dst, 67455);
					} else if (((uintptr_t)(zend_jit_deprecated_helper)) <= MOVZ_IMM) {
				dasm_put(Dst, 67457, ((uint64_t)(zend_jit_deprecated_helper)));
					} else if (arm64_may_use_adr((void*)(zend_jit_deprecated_helper))) {
				dasm_put(Dst, 67460, (unsigned int)((ptrdiff_t)(zend_jit_deprecated_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_deprecated_helper))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_deprecated_helper))) {
				dasm_put(Dst, 67463, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_deprecated_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_deprecated_helper)))))>>32));
						if (((uintptr_t)(zend_jit_deprecated_helper)) & 0xfff) {
				dasm_put(Dst, 67466, (((uintptr_t)(zend_jit_deprecated_helper)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_deprecated_helper) & 0xffff) {
				dasm_put(Dst, 67469, ((uintptr_t)(zend_jit_deprecated_helper) & 0xffff));
						if (((uintptr_t)(zend_jit_deprecated_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 67472, (((uintptr_t)(zend_jit_deprecated_helper) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_deprecated_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 67475, (((uintptr_t)(zend_jit_deprecated_helper) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_deprecated_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 67478, (((uintptr_t)(zend_jit_deprecated_helper) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_deprecated_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 67481, (((uintptr_t)(zend_jit_deprecated_helper) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 67484, (((uintptr_t)(zend_jit_deprecated_helper) >> 32) & 0xffff));
					}
				dasm_put(Dst, 67487);
					}
#line 9388 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	GET_LOW_8BITS RETVALw, RETVALw
				//|	ldr REG0, EX:RX->func // reload
				//|	cbnz RETVALw, >1      // Result is 0 on exception
				//|	b ->exception_handler
				//|.code
				dasm_put(Dst, 67489, Dt1(->func));
#line 9393 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|1:
				dasm_put(Dst, 67497);
#line 9394 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else if (func->common.fn_flags & ZEND_ACC_DEPRECATED) {
			if (!GCC_GLOBAL_REGS) {
				//|	mov FCARG1x, RX
				dasm_put(Dst, 67499);
#line 9398 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	EXT_CALL zend_jit_deprecated_helper, REG0
				if (arm64_may_use_b(zend_jit_deprecated_helper)) {
			dasm_put(Dst, 67501, (unsigned int)((ptrdiff_t)(zend_jit_deprecated_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_deprecated_helper))>>32));
				} else {
				if (((uintptr_t)(zend_jit_deprecated_helper)) == 0) {
			dasm_put(Dst, 67504);
				} else if (((uintptr_t)(zend_jit_deprecated_helper)) <= MOVZ_IMM) {
			dasm_put(Dst, 67506, ((uint64_t)(zend_jit_deprecated_helper)));
				} else if (arm64_may_use_adr((void*)(zend_jit_deprecated_helper))) {
			dasm_put(Dst, 67509, (unsigned int)((ptrdiff_t)(zend_jit_deprecated_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_deprecated_helper))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_deprecated_helper))) {
			dasm_put(Dst, 67512, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_deprecated_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_deprecated_helper)))))>>32));
					if (((uintptr_t)(zend_jit_deprecated_helper)) & 0xfff) {
			dasm_put(Dst, 67515, (((uintptr_t)(zend_jit_deprecated_helper)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_deprecated_helper) & 0xffff) {
			dasm_put(Dst, 67518, ((uintptr_t)(zend_jit_deprecated_helper) & 0xffff));
					if (((uintptr_t)(zend_jit_deprecated_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 67521, (((uintptr_t)(zend_jit_deprecated_helper) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_deprecated_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 67524, (((uintptr_t)(zend_jit_deprecated_helper) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_deprecated_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 67527, (((uintptr_t)(zend_jit_deprecated_helper) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_deprecated_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 67530, (((uintptr_t)(zend_jit_deprecated_helper) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 67533, (((uintptr_t)(zend_jit_deprecated_helper) >> 32) & 0xffff));
				}
			dasm_put(Dst, 67536);
				}
#line 9400 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	cbz RETVALw, ->exception_handler
			dasm_put(Dst, 67538);
#line 9401 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	if (!func
	 && opline->opcode != ZEND_DO_UCALL
	 && opline->opcode != ZEND_DO_ICALL) {
		//|	ldrb TMP1w, [REG0, #offsetof(zend_function, type)]
		//|	cmp TMP1w, #ZEND_USER_FUNCTION
		//|	bne >8
		dasm_put(Dst, 67541, offsetof(zend_function, type), ZEND_USER_FUNCTION);
#line 9410 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	if ((!func || func->type == ZEND_USER_FUNCTION)
	 && opline->opcode != ZEND_DO_ICALL) {
		//|	// EX(call) = NULL;
		//|	str xzr, EX:RX->call
		dasm_put(Dst, 67548, Dt1(->call));
#line 9416 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

		if (RETURN_VALUE_USED(opline)) {
			//|	// EX(return_value) = EX_VAR(opline->result.var);
			//|	LOAD_ZVAL_ADDR REG2, res_addr
				if (Z_MODE(res_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(res_addr))) == 0) {
			dasm_put(Dst, 67551);
				} else if (((uintptr_t)(Z_ZV(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 67553, ((uint64_t)(Z_ZV(res_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(res_addr)))) {
			dasm_put(Dst, 67556, (unsigned int)((ptrdiff_t)(Z_ZV(res_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(res_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(res_addr)))) {
			dasm_put(Dst, 67559, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(res_addr))) & 0xfff) {
			dasm_put(Dst, 67562, (((uintptr_t)(Z_ZV(res_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(res_addr)) & 0xffff) {
			dasm_put(Dst, 67565, ((uintptr_t)(Z_ZV(res_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 67568, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 67571, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 67574, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 67577, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 67580, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(res_addr)) {
				if (Z_OFFSET(res_addr) == 0) {
			dasm_put(Dst, 67583, (Z_REG(res_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(res_addr)))) {
			dasm_put(Dst, 67586, (Z_REG(res_addr)), Z_OFFSET(res_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 67590, ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 67593, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 67596, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 67599, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 67602, (Z_REG(res_addr)));
				}
					} else {
						if (Z_REG(res_addr) == ZREG_RSP) {
			dasm_put(Dst, 67605);
						} else {
			dasm_put(Dst, 67607, (Z_REG(res_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 9420 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	str REG2, EX:RX->return_value
			dasm_put(Dst, 67610, Dt1(->return_value));
#line 9421 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	// EX(return_value) = 0;
			//|	str xzr, EX:RX->return_value
			dasm_put(Dst, 67613, Dt1(->return_value));
#line 9424 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}

		//EX_LOAD_RUN_TIME_CACHE(op_array);
		if (!func || func->op_array.cache_size) {
			if (func && op_array == &func->op_array) {
				/* recursive call */
				if (trace || func->op_array.cache_size > sizeof(void*)) {
					//|	ldr REG2, EX->run_time_cache
					//|	str REG2, EX:RX->run_time_cache
					dasm_put(Dst, 67616, Dt1(->run_time_cache), Dt1(->run_time_cache));
#line 9433 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else {
// Always defined as ZEND_MAP_PTR_KIND_PTR_OR_OFFSET. See Zend/zend_map_ptr.h.
#if ZEND_MAP_PTR_KIND == ZEND_MAP_PTR_KIND_PTR
				if (func) {
					//|	ldr REG0, EX:RX->func
					dasm_put(Dst, 67621, Dt1(->func));
#line 9439 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|	ldr REG2, [REG0, #offsetof(zend_op_array, run_time_cache__ptr)]
				//|	ldr REG2, [REG2]
				dasm_put(Dst, 67624, offsetof(zend_op_array, run_time_cache__ptr));
#line 9442 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
#elif ZEND_MAP_PTR_KIND == ZEND_MAP_PTR_KIND_PTR_OR_OFFSET
				if (func && !(func->op_array.fn_flags & ZEND_ACC_CLOSURE)) {
					if (ZEND_MAP_PTR_IS_OFFSET(func->op_array.run_time_cache)) {
						//|	MEM_LOAD_64_ZTS ldr, REG2, compiler_globals, map_ptr_base, TMP1
							if (((uintptr_t)(&compiler_globals.map_ptr_base)) > MOVZ_IMM && arm64_may_use_adr((void*)(&compiler_globals.map_ptr_base))) {
						dasm_put(Dst, 67628, (unsigned int)((ptrdiff_t)(&compiler_globals.map_ptr_base)), (unsigned int)(((ptrdiff_t)(&compiler_globals.map_ptr_base))>>32));
							} else if (((uintptr_t)(&compiler_globals.map_ptr_base)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&compiler_globals.map_ptr_base))) {
						dasm_put(Dst, 67632, (unsigned int)((ptrdiff_t)((((uintptr_t)(&compiler_globals.map_ptr_base))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&compiler_globals.map_ptr_base)))))>>32), (((uintptr_t)(&compiler_globals.map_ptr_base)) & 0xfff));
							} else {
							if (((uintptr_t)(&compiler_globals.map_ptr_base)) == 0) {
						dasm_put(Dst, 67637);
							} else if (((uintptr_t)(&compiler_globals.map_ptr_base)) <= MOVZ_IMM) {
						dasm_put(Dst, 67639, ((uint64_t)(&compiler_globals.map_ptr_base)));
							} else if (arm64_may_use_adr((void*)(&compiler_globals.map_ptr_base))) {
						dasm_put(Dst, 67642, (unsigned int)((ptrdiff_t)(&compiler_globals.map_ptr_base)), (unsigned int)(((ptrdiff_t)(&compiler_globals.map_ptr_base))>>32));
							} else if (arm64_may_use_adrp((void*)(&compiler_globals.map_ptr_base))) {
						dasm_put(Dst, 67645, (unsigned int)((ptrdiff_t)((((uintptr_t)(&compiler_globals.map_ptr_base))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&compiler_globals.map_ptr_base)))))>>32));
								if (((uintptr_t)(&compiler_globals.map_ptr_base)) & 0xfff) {
						dasm_put(Dst, 67648, (((uintptr_t)(&compiler_globals.map_ptr_base)) & 0xfff));
								}
							} else if ((uintptr_t)(&compiler_globals.map_ptr_base) & 0xffff) {
						dasm_put(Dst, 67651, ((uintptr_t)(&compiler_globals.map_ptr_base) & 0xffff));
								if (((uintptr_t)(&compiler_globals.map_ptr_base) >> 16) & 0xffff) {
						dasm_put(Dst, 67654, (((uintptr_t)(&compiler_globals.map_ptr_base) >> 16) & 0xffff));
								}
								if (((uintptr_t)(&compiler_globals.map_ptr_base) >> 32) & 0xffff) {
						dasm_put(Dst, 67657, (((uintptr_t)(&compiler_globals.map_ptr_base) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(&compiler_globals.map_ptr_base) >> 16) & 0xffff) {
						dasm_put(Dst, 67660, (((uintptr_t)(&compiler_globals.map_ptr_base) >> 16) & 0xffff));
								if (((uintptr_t)(&compiler_globals.map_ptr_base) >> 32) & 0xffff) {
						dasm_put(Dst, 67663, (((uintptr_t)(&compiler_globals.map_ptr_base) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 67666, (((uintptr_t)(&compiler_globals.map_ptr_base) >> 32) & 0xffff));
							}
						dasm_put(Dst, 67669);
							}
#line 9446 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						//|	ADD_SUB_64_WITH_CONST add, REG2, REG2, (uintptr_t)ZEND_MAP_PTR(func->op_array.run_time_cache), TMP1
							if ((uintptr_t)ZEND_MAP_PTR(func->op_array.run_time_cache) == 0) {
						dasm_put(Dst, 67671);
							} else if (arm64_may_encode_imm12((int64_t)((uintptr_t)ZEND_MAP_PTR(func->op_array.run_time_cache)))) {
						dasm_put(Dst, 67673, (uintptr_t)ZEND_MAP_PTR(func->op_array.run_time_cache));
							} else {
							if (((uint64_t)((uintptr_t)ZEND_MAP_PTR(func->op_array.run_time_cache))) == 0) {
						dasm_put(Dst, 67676);
							} else if (((uint64_t)((uintptr_t)ZEND_MAP_PTR(func->op_array.run_time_cache))) <= MOVZ_IMM) {
						dasm_put(Dst, 67678, ((uint64_t)((uintptr_t)ZEND_MAP_PTR(func->op_array.run_time_cache))));
							} else if (~((uint64_t)((uintptr_t)ZEND_MAP_PTR(func->op_array.run_time_cache))) <= MOVZ_IMM) {
						dasm_put(Dst, 67681, (~((uint64_t)((uintptr_t)ZEND_MAP_PTR(func->op_array.run_time_cache)))));
							} else if ((uint64_t)((uintptr_t)ZEND_MAP_PTR(func->op_array.run_time_cache)) & 0xffff) {
						dasm_put(Dst, 67684, ((uint64_t)((uintptr_t)ZEND_MAP_PTR(func->op_array.run_time_cache)) & 0xffff));
								if (((uint64_t)((uintptr_t)ZEND_MAP_PTR(func->op_array.run_time_cache)) >> 16) & 0xffff) {
						dasm_put(Dst, 67687, (((uint64_t)((uintptr_t)ZEND_MAP_PTR(func->op_array.run_time_cache)) >> 16) & 0xffff));
								}
								if (((uint64_t)((uintptr_t)ZEND_MAP_PTR(func->op_array.run_time_cache)) >> 32) & 0xffff) {
						dasm_put(Dst, 67690, (((uint64_t)((uintptr_t)ZEND_MAP_PTR(func->op_array.run_time_cache)) >> 32) & 0xffff));
								}
								if ((((uint64_t)((uintptr_t)ZEND_MAP_PTR(func->op_array.run_time_cache)) >> 48) & 0xffff)) {
						dasm_put(Dst, 67693, (((uint64_t)((uintptr_t)ZEND_MAP_PTR(func->op_array.run_time_cache)) >> 48) & 0xffff));
								}
							} else if (((uint64_t)((uintptr_t)ZEND_MAP_PTR(func->op_array.run_time_cache)) >> 16) & 0xffff) {
						dasm_put(Dst, 67696, (((uint64_t)((uintptr_t)ZEND_MAP_PTR(func->op_array.run_time_cache)) >> 16) & 0xffff));
								if (((uint64_t)((uintptr_t)ZEND_MAP_PTR(func->op_array.run_time_cache)) >> 32) & 0xffff) {
						dasm_put(Dst, 67699, (((uint64_t)((uintptr_t)ZEND_MAP_PTR(func->op_array.run_time_cache)) >> 32) & 0xffff));
								}
								if ((((uint64_t)((uintptr_t)ZEND_MAP_PTR(func->op_array.run_time_cache)) >> 48) & 0xffff)) {
						dasm_put(Dst, 67702, (((uint64_t)((uintptr_t)ZEND_MAP_PTR(func->op_array.run_time_cache)) >> 48) & 0xffff));
								}
							} else if (((uint64_t)((uintptr_t)ZEND_MAP_PTR(func->op_array.run_time_cache)) >> 32) & 0xffff) {
						dasm_put(Dst, 67705, (((uint64_t)((uintptr_t)ZEND_MAP_PTR(func->op_array.run_time_cache)) >> 32) & 0xffff));
								if ((((uint64_t)((uintptr_t)ZEND_MAP_PTR(func->op_array.run_time_cache)) >> 48) & 0xffff)) {
						dasm_put(Dst, 67708, (((uint64_t)((uintptr_t)ZEND_MAP_PTR(func->op_array.run_time_cache)) >> 48) & 0xffff));
								}
							} else {
						dasm_put(Dst, 67711, (((uint64_t)((uintptr_t)ZEND_MAP_PTR(func->op_array.run_time_cache)) >> 48) & 0xffff));
							}
						dasm_put(Dst, 67714);
							}
#line 9447 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						//|	ldr REG2, [REG2]
						dasm_put(Dst, 67716);
#line 9448 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else if ((func->op_array.fn_flags & ZEND_ACC_IMMUTABLE)
					        && (!func->op_array.scope || (func->op_array.scope->ce_flags & ZEND_ACC_LINKED))) {
						if (func) {
							//|	ldr REG0, EX:RX->func
							dasm_put(Dst, 67718, Dt1(->func));
#line 9452 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						}
						//|	ldr REG2, [REG0, #offsetof(zend_op_array, run_time_cache__ptr)]
						//|	MEM_LOAD_OP_ZTS add, ldr, REG2, compiler_globals, map_ptr_base, REG1, TMP1
						dasm_put(Dst, 67721, offsetof(zend_op_array, run_time_cache__ptr));
							if (((uintptr_t)(&compiler_globals.map_ptr_base)) > MOVZ_IMM && arm64_may_use_adr((void*)(&compiler_globals.map_ptr_base))) {
						dasm_put(Dst, 67724, (unsigned int)((ptrdiff_t)(&compiler_globals.map_ptr_base)), (unsigned int)(((ptrdiff_t)(&compiler_globals.map_ptr_base))>>32));
							} else if (((uintptr_t)(&compiler_globals.map_ptr_base)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&compiler_globals.map_ptr_base))) {
						dasm_put(Dst, 67728, (unsigned int)((ptrdiff_t)((((uintptr_t)(&compiler_globals.map_ptr_base))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&compiler_globals.map_ptr_base)))))>>32), (((uintptr_t)(&compiler_globals.map_ptr_base)) & 0xfff));
							} else {
							if (((uintptr_t)(&compiler_globals.map_ptr_base)) == 0) {
						dasm_put(Dst, 67733);
							} else if (((uintptr_t)(&compiler_globals.map_ptr_base)) <= MOVZ_IMM) {
						dasm_put(Dst, 67735, ((uint64_t)(&compiler_globals.map_ptr_base)));
							} else if (arm64_may_use_adr((void*)(&compiler_globals.map_ptr_base))) {
						dasm_put(Dst, 67738, (unsigned int)((ptrdiff_t)(&compiler_globals.map_ptr_base)), (unsigned int)(((ptrdiff_t)(&compiler_globals.map_ptr_base))>>32));
							} else if (arm64_may_use_adrp((void*)(&compiler_globals.map_ptr_base))) {
						dasm_put(Dst, 67741, (unsigned int)((ptrdiff_t)((((uintptr_t)(&compiler_globals.map_ptr_base))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&compiler_globals.map_ptr_base)))))>>32));
								if (((uintptr_t)(&compiler_globals.map_ptr_base)) & 0xfff) {
						dasm_put(Dst, 67744, (((uintptr_t)(&compiler_globals.map_ptr_base)) & 0xfff));
								}
							} else if ((uintptr_t)(&compiler_globals.map_ptr_base) & 0xffff) {
						dasm_put(Dst, 67747, ((uintptr_t)(&compiler_globals.map_ptr_base) & 0xffff));
								if (((uintptr_t)(&compiler_globals.map_ptr_base) >> 16) & 0xffff) {
						dasm_put(Dst, 67750, (((uintptr_t)(&compiler_globals.map_ptr_base) >> 16) & 0xffff));
								}
								if (((uintptr_t)(&compiler_globals.map_ptr_base) >> 32) & 0xffff) {
						dasm_put(Dst, 67753, (((uintptr_t)(&compiler_globals.map_ptr_base) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(&compiler_globals.map_ptr_base) >> 16) & 0xffff) {
						dasm_put(Dst, 67756, (((uintptr_t)(&compiler_globals.map_ptr_base) >> 16) & 0xffff));
								if (((uintptr_t)(&compiler_globals.map_ptr_base) >> 32) & 0xffff) {
						dasm_put(Dst, 67759, (((uintptr_t)(&compiler_globals.map_ptr_base) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 67762, (((uintptr_t)(&compiler_globals.map_ptr_base) >> 32) & 0xffff));
							}
						dasm_put(Dst, 67765);
							}
#line 9455 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						//|	ldr REG2, [REG2]
						dasm_put(Dst, 67767);
#line 9456 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						/* the called op_array may be not persisted yet */
						if (func) {
							//|	ldr REG0, EX:RX->func
							dasm_put(Dst, 67770, Dt1(->func));
#line 9460 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						}
						//|	ldr REG2, [REG0, #offsetof(zend_op_array, run_time_cache__ptr)]
						//|	TST_64_WITH_ONE REG2
						//|	beq >1
						//|	MEM_LOAD_OP_ZTS add, ldr, REG2, compiler_globals, map_ptr_base, REG1, TMP1
						dasm_put(Dst, 67773, offsetof(zend_op_array, run_time_cache__ptr));
							if (((uintptr_t)(&compiler_globals.map_ptr_base)) > MOVZ_IMM && arm64_may_use_adr((void*)(&compiler_globals.map_ptr_base))) {
						dasm_put(Dst, 67779, (unsigned int)((ptrdiff_t)(&compiler_globals.map_ptr_base)), (unsigned int)(((ptrdiff_t)(&compiler_globals.map_ptr_base))>>32));
							} else if (((uintptr_t)(&compiler_globals.map_ptr_base)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&compiler_globals.map_ptr_base))) {
						dasm_put(Dst, 67783, (unsigned int)((ptrdiff_t)((((uintptr_t)(&compiler_globals.map_ptr_base))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&compiler_globals.map_ptr_base)))))>>32), (((uintptr_t)(&compiler_globals.map_ptr_base)) & 0xfff));
							} else {
							if (((uintptr_t)(&compiler_globals.map_ptr_base)) == 0) {
						dasm_put(Dst, 67788);
							} else if (((uintptr_t)(&compiler_globals.map_ptr_base)) <= MOVZ_IMM) {
						dasm_put(Dst, 67790, ((uint64_t)(&compiler_globals.map_ptr_base)));
							} else if (arm64_may_use_adr((void*)(&compiler_globals.map_ptr_base))) {
						dasm_put(Dst, 67793, (unsigned int)((ptrdiff_t)(&compiler_globals.map_ptr_base)), (unsigned int)(((ptrdiff_t)(&compiler_globals.map_ptr_base))>>32));
							} else if (arm64_may_use_adrp((void*)(&compiler_globals.map_ptr_base))) {
						dasm_put(Dst, 67796, (unsigned int)((ptrdiff_t)((((uintptr_t)(&compiler_globals.map_ptr_base))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&compiler_globals.map_ptr_base)))))>>32));
								if (((uintptr_t)(&compiler_globals.map_ptr_base)) & 0xfff) {
						dasm_put(Dst, 67799, (((uintptr_t)(&compiler_globals.map_ptr_base)) & 0xfff));
								}
							} else if ((uintptr_t)(&compiler_globals.map_ptr_base) & 0xffff) {
						dasm_put(Dst, 67802, ((uintptr_t)(&compiler_globals.map_ptr_base) & 0xffff));
								if (((uintptr_t)(&compiler_globals.map_ptr_base) >> 16) & 0xffff) {
						dasm_put(Dst, 67805, (((uintptr_t)(&compiler_globals.map_ptr_base) >> 16) & 0xffff));
								}
								if (((uintptr_t)(&compiler_globals.map_ptr_base) >> 32) & 0xffff) {
						dasm_put(Dst, 67808, (((uintptr_t)(&compiler_globals.map_ptr_base) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(&compiler_globals.map_ptr_base) >> 16) & 0xffff) {
						dasm_put(Dst, 67811, (((uintptr_t)(&compiler_globals.map_ptr_base) >> 16) & 0xffff));
								if (((uintptr_t)(&compiler_globals.map_ptr_base) >> 32) & 0xffff) {
						dasm_put(Dst, 67814, (((uintptr_t)(&compiler_globals.map_ptr_base) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 67817, (((uintptr_t)(&compiler_globals.map_ptr_base) >> 32) & 0xffff));
							}
						dasm_put(Dst, 67820);
							}
#line 9465 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						//|1:
						//|	ldr REG2, [REG2]
						dasm_put(Dst, 67822);
#line 9467 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				} else {
					if (func) {
						//|	ldr REG0, EX:RX->func
						dasm_put(Dst, 67826, Dt1(->func));
#line 9471 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					//|	ldr REG2, [REG0, #offsetof(zend_op_array, run_time_cache__ptr)]
					//|	TST_64_WITH_ONE REG2
					//|	beq >1
					//|	MEM_LOAD_OP_ZTS add, ldr, REG2, compiler_globals, map_ptr_base, REG1, TMP1
					dasm_put(Dst, 67829, offsetof(zend_op_array, run_time_cache__ptr));
						if (((uintptr_t)(&compiler_globals.map_ptr_base)) > MOVZ_IMM && arm64_may_use_adr((void*)(&compiler_globals.map_ptr_base))) {
					dasm_put(Dst, 67835, (unsigned int)((ptrdiff_t)(&compiler_globals.map_ptr_base)), (unsigned int)(((ptrdiff_t)(&compiler_globals.map_ptr_base))>>32));
						} else if (((uintptr_t)(&compiler_globals.map_ptr_base)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&compiler_globals.map_ptr_base))) {
					dasm_put(Dst, 67839, (unsigned int)((ptrdiff_t)((((uintptr_t)(&compiler_globals.map_ptr_base))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&compiler_globals.map_ptr_base)))))>>32), (((uintptr_t)(&compiler_globals.map_ptr_base)) & 0xfff));
						} else {
						if (((uintptr_t)(&compiler_globals.map_ptr_base)) == 0) {
					dasm_put(Dst, 67844);
						} else if (((uintptr_t)(&compiler_globals.map_ptr_base)) <= MOVZ_IMM) {
					dasm_put(Dst, 67846, ((uint64_t)(&compiler_globals.map_ptr_base)));
						} else if (arm64_may_use_adr((void*)(&compiler_globals.map_ptr_base))) {
					dasm_put(Dst, 67849, (unsigned int)((ptrdiff_t)(&compiler_globals.map_ptr_base)), (unsigned int)(((ptrdiff_t)(&compiler_globals.map_ptr_base))>>32));
						} else if (arm64_may_use_adrp((void*)(&compiler_globals.map_ptr_base))) {
					dasm_put(Dst, 67852, (unsigned int)((ptrdiff_t)((((uintptr_t)(&compiler_globals.map_ptr_base))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&compiler_globals.map_ptr_base)))))>>32));
							if (((uintptr_t)(&compiler_globals.map_ptr_base)) & 0xfff) {
					dasm_put(Dst, 67855, (((uintptr_t)(&compiler_globals.map_ptr_base)) & 0xfff));
							}
						} else if ((uintptr_t)(&compiler_globals.map_ptr_base) & 0xffff) {
					dasm_put(Dst, 67858, ((uintptr_t)(&compiler_globals.map_ptr_base) & 0xffff));
							if (((uintptr_t)(&compiler_globals.map_ptr_base) >> 16) & 0xffff) {
					dasm_put(Dst, 67861, (((uintptr_t)(&compiler_globals.map_ptr_base) >> 16) & 0xffff));
							}
							if (((uintptr_t)(&compiler_globals.map_ptr_base) >> 32) & 0xffff) {
					dasm_put(Dst, 67864, (((uintptr_t)(&compiler_globals.map_ptr_base) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(&compiler_globals.map_ptr_base) >> 16) & 0xffff) {
					dasm_put(Dst, 67867, (((uintptr_t)(&compiler_globals.map_ptr_base) >> 16) & 0xffff));
							if (((uintptr_t)(&compiler_globals.map_ptr_base) >> 32) & 0xffff) {
					dasm_put(Dst, 67870, (((uintptr_t)(&compiler_globals.map_ptr_base) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 67873, (((uintptr_t)(&compiler_globals.map_ptr_base) >> 32) & 0xffff));
						}
					dasm_put(Dst, 67876);
						}
#line 9476 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|1:
					//|	ldr REG2, [REG2]
					dasm_put(Dst, 67878);
#line 9478 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
#else
# error "Unknown ZEND_MAP_PTR_KIND"
#endif
				//|	str REG2, EX:RX->run_time_cache
				dasm_put(Dst, 67882, Dt1(->run_time_cache));
#line 9483 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}

		//|	// EG(current_execute_data) = execute_data;
		//|	MEM_STORE_64_ZTS str, RX, executor_globals, current_execute_data, REG1
			if (((uintptr_t)(&executor_globals.current_execute_data)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.current_execute_data))) {
		dasm_put(Dst, 67885, (unsigned int)((ptrdiff_t)(&executor_globals.current_execute_data)), (unsigned int)(((ptrdiff_t)(&executor_globals.current_execute_data))>>32));
			} else if (((uintptr_t)(&executor_globals.current_execute_data)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.current_execute_data))) {
		dasm_put(Dst, 67889, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data)))))>>32), (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff));
			} else {
			if (((uintptr_t)(&executor_globals.current_execute_data)) == 0) {
		dasm_put(Dst, 67894);
			} else if (((uintptr_t)(&executor_globals.current_execute_data)) <= MOVZ_IMM) {
		dasm_put(Dst, 67896, ((uint64_t)(&executor_globals.current_execute_data)));
			} else if (arm64_may_use_adr((void*)(&executor_globals.current_execute_data))) {
		dasm_put(Dst, 67899, (unsigned int)((ptrdiff_t)(&executor_globals.current_execute_data)), (unsigned int)(((ptrdiff_t)(&executor_globals.current_execute_data))>>32));
			} else if (arm64_may_use_adrp((void*)(&executor_globals.current_execute_data))) {
		dasm_put(Dst, 67902, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data)))))>>32));
				if (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff) {
		dasm_put(Dst, 67905, (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff));
				}
			} else if ((uintptr_t)(&executor_globals.current_execute_data) & 0xffff) {
		dasm_put(Dst, 67908, ((uintptr_t)(&executor_globals.current_execute_data) & 0xffff));
				if (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff) {
		dasm_put(Dst, 67911, (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff));
				}
				if (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff) {
		dasm_put(Dst, 67914, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff) {
		dasm_put(Dst, 67917, (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff));
				if (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff) {
		dasm_put(Dst, 67920, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 67923, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
			}
		dasm_put(Dst, 67926);
			}
#line 9488 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	mov FP, RX
		dasm_put(Dst, 67928);
#line 9489 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

		//|	// opline = op_array->opcodes;
		if (func && !unknown_num_args) {
			//|	ADD_SUB_64_WITH_CONST_32 add, TMP1, RX, (EX_NUM_TO_VAR(call_num_args) + offsetof(zval, u1.type_info)), TMP1 // induction variable
				if ((EX_NUM_TO_VAR(call_num_args) + offsetof(zval, u1.type_info)) == 0) {
			dasm_put(Dst, 67930);
				} else if (arm64_may_encode_imm12((int64_t)((EX_NUM_TO_VAR(call_num_args) + offsetof(zval, u1.type_info))))) {
			dasm_put(Dst, 67932, (EX_NUM_TO_VAR(call_num_args) + offsetof(zval, u1.type_info)));
				} else {
				if (((uint32_t)((EX_NUM_TO_VAR(call_num_args) + offsetof(zval, u1.type_info)))) <= MOVZ_IMM) {
			dasm_put(Dst, 67935, ((uint32_t)((EX_NUM_TO_VAR(call_num_args) + offsetof(zval, u1.type_info)))));
				} else if (((uint32_t)((EX_NUM_TO_VAR(call_num_args) + offsetof(zval, u1.type_info))) & 0xffff)) {
			dasm_put(Dst, 67938, ((uint32_t)((EX_NUM_TO_VAR(call_num_args) + offsetof(zval, u1.type_info))) & 0xffff));
					if ((((uint32_t)((EX_NUM_TO_VAR(call_num_args) + offsetof(zval, u1.type_info))) >> 16) & 0xffff)) {
			dasm_put(Dst, 67941, (((uint32_t)((EX_NUM_TO_VAR(call_num_args) + offsetof(zval, u1.type_info))) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 67944, (((uint32_t)((EX_NUM_TO_VAR(call_num_args) + offsetof(zval, u1.type_info))) >> 16) & 0xffff));
				}
			dasm_put(Dst, 67947);
				}
#line 9493 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			for (i = call_num_args; i < func->op_array.last_var; i++) {
				//|	// ZVAL_UNDEF(EX_VAR(n))
				//|	str wzr, [TMP1], #16
				dasm_put(Dst, 67949);
#line 9496 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}

			if (call_num_args <= func->op_array.num_args) {
				if (!trace || (trace->op == ZEND_JIT_TRACE_END
				 && trace->stop == ZEND_JIT_TRACE_STOP_INTERPRETER)) {
					uint32_t num_args;

					if ((func->op_array.fn_flags & ZEND_ACC_HAS_TYPE_HINTS) != 0) {
						if (trace) {
							num_args = 0;
						} else if (call_info) {
							num_args = skip_valid_arguments(op_array, ssa, call_info);
						} else {
							num_args = call_num_args;
						}
					} else {
						num_args = call_num_args;
					}
					if (zend_accel_in_shm(func->op_array.opcodes)) {
						//|	LOAD_IP_ADDR (func->op_array.opcodes + num_args)
							if (GCC_GLOBAL_REGS) {
							if (((uintptr_t)((func->op_array.opcodes + num_args))) == 0) {
						dasm_put(Dst, 67951);
							} else if (((uintptr_t)((func->op_array.opcodes + num_args))) <= MOVZ_IMM) {
						dasm_put(Dst, 67953, ((uint64_t)((func->op_array.opcodes + num_args))));
							} else if (arm64_may_use_adr((void*)((func->op_array.opcodes + num_args)))) {
						dasm_put(Dst, 67956, (unsigned int)((ptrdiff_t)((func->op_array.opcodes + num_args))), (unsigned int)(((ptrdiff_t)((func->op_array.opcodes + num_args)))>>32));
							} else if (arm64_may_use_adrp((void*)((func->op_array.opcodes + num_args)))) {
						dasm_put(Dst, 67959, (unsigned int)((ptrdiff_t)((((uintptr_t)((func->op_array.opcodes + num_args)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)((func->op_array.opcodes + num_args))))))>>32));
								if (((uintptr_t)((func->op_array.opcodes + num_args))) & 0xfff) {
						dasm_put(Dst, 67962, (((uintptr_t)((func->op_array.opcodes + num_args))) & 0xfff));
								}
							} else if ((uintptr_t)((func->op_array.opcodes + num_args)) & 0xffff) {
						dasm_put(Dst, 67965, ((uintptr_t)((func->op_array.opcodes + num_args)) & 0xffff));
								if (((uintptr_t)((func->op_array.opcodes + num_args)) >> 16) & 0xffff) {
						dasm_put(Dst, 67968, (((uintptr_t)((func->op_array.opcodes + num_args)) >> 16) & 0xffff));
								}
								if (((uintptr_t)((func->op_array.opcodes + num_args)) >> 32) & 0xffff) {
						dasm_put(Dst, 67971, (((uintptr_t)((func->op_array.opcodes + num_args)) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)((func->op_array.opcodes + num_args)) >> 16) & 0xffff) {
						dasm_put(Dst, 67974, (((uintptr_t)((func->op_array.opcodes + num_args)) >> 16) & 0xffff));
								if (((uintptr_t)((func->op_array.opcodes + num_args)) >> 32) & 0xffff) {
						dasm_put(Dst, 67977, (((uintptr_t)((func->op_array.opcodes + num_args)) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 67980, (((uintptr_t)((func->op_array.opcodes + num_args)) >> 32) & 0xffff));
							}
							} else {
							if (((uintptr_t)((func->op_array.opcodes + num_args))) == 0) {
						dasm_put(Dst, 67983);
							} else if (((uintptr_t)((func->op_array.opcodes + num_args))) <= MOVZ_IMM) {
						dasm_put(Dst, 67985, ((uint64_t)((func->op_array.opcodes + num_args))));
							} else if (arm64_may_use_adr((void*)((func->op_array.opcodes + num_args)))) {
						dasm_put(Dst, 67988, (unsigned int)((ptrdiff_t)((func->op_array.opcodes + num_args))), (unsigned int)(((ptrdiff_t)((func->op_array.opcodes + num_args)))>>32));
							} else if (arm64_may_use_adrp((void*)((func->op_array.opcodes + num_args)))) {
						dasm_put(Dst, 67991, (unsigned int)((ptrdiff_t)((((uintptr_t)((func->op_array.opcodes + num_args)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)((func->op_array.opcodes + num_args))))))>>32));
								if (((uintptr_t)((func->op_array.opcodes + num_args))) & 0xfff) {
						dasm_put(Dst, 67994, (((uintptr_t)((func->op_array.opcodes + num_args))) & 0xfff));
								}
							} else if ((uintptr_t)((func->op_array.opcodes + num_args)) & 0xffff) {
						dasm_put(Dst, 67997, ((uintptr_t)((func->op_array.opcodes + num_args)) & 0xffff));
								if (((uintptr_t)((func->op_array.opcodes + num_args)) >> 16) & 0xffff) {
						dasm_put(Dst, 68000, (((uintptr_t)((func->op_array.opcodes + num_args)) >> 16) & 0xffff));
								}
								if (((uintptr_t)((func->op_array.opcodes + num_args)) >> 32) & 0xffff) {
						dasm_put(Dst, 68003, (((uintptr_t)((func->op_array.opcodes + num_args)) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)((func->op_array.opcodes + num_args)) >> 16) & 0xffff) {
						dasm_put(Dst, 68006, (((uintptr_t)((func->op_array.opcodes + num_args)) >> 16) & 0xffff));
								if (((uintptr_t)((func->op_array.opcodes + num_args)) >> 32) & 0xffff) {
						dasm_put(Dst, 68009, (((uintptr_t)((func->op_array.opcodes + num_args)) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 68012, (((uintptr_t)((func->op_array.opcodes + num_args)) >> 32) & 0xffff));
							}
						dasm_put(Dst, 68015, Dt1(->opline));
							}
#line 9516 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	ldr REG0, EX->func
						dasm_put(Dst, 68018, Dt1(->func));
							ZEND_ASSERT(arm64_may_encode_imm12((int64_t)(num_args * sizeof(zend_op))));
#line 9519 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						if (GCC_GLOBAL_REGS) {
							//|	ldr IP, [REG0, #offsetof(zend_op_array, opcodes)]
							dasm_put(Dst, 68021, offsetof(zend_op_array, opcodes));
#line 9521 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
							if (num_args) {
								//|	add IP, IP, #(num_args * sizeof(zend_op))
								dasm_put(Dst, 68024, (num_args * sizeof(zend_op)));
#line 9523 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
							}
						} else {
							//|	ldr FCARG1x, [REG0, #offsetof(zend_op_array, opcodes)]
							dasm_put(Dst, 68027, offsetof(zend_op_array, opcodes));
#line 9526 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
							if (num_args) {
								//|	add FCARG1x, FCARG1x, #(num_args * sizeof(zend_op))
								dasm_put(Dst, 68030, (num_args * sizeof(zend_op)));
#line 9528 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
							}
							//|	str FCARG1x, EX->opline
							dasm_put(Dst, 68033, Dt1(->opline));
#line 9530 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						}
					}

					if (GCC_GLOBAL_REGS && !trace && op_array == &func->op_array
							&& num_args >= op_array->required_num_args) {
						/* recursive call */
						if (ZEND_OBSERVER_ENABLED) {
							//|	SAVE_IP
								if (GCC_GLOBAL_REGS) {
							dasm_put(Dst, 68036, Dt1(->opline));
								}
#line 9538 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
							//|	mov FCARG1x, FP
							//|	EXT_CALL zend_observer_fcall_begin, REG0
							dasm_put(Dst, 68039);
								if (arm64_may_use_b(zend_observer_fcall_begin)) {
							dasm_put(Dst, 68041, (unsigned int)((ptrdiff_t)(zend_observer_fcall_begin)), (unsigned int)(((ptrdiff_t)(zend_observer_fcall_begin))>>32));
								} else {
								if (((uintptr_t)(zend_observer_fcall_begin)) == 0) {
							dasm_put(Dst, 68044);
								} else if (((uintptr_t)(zend_observer_fcall_begin)) <= MOVZ_IMM) {
							dasm_put(Dst, 68046, ((uint64_t)(zend_observer_fcall_begin)));
								} else if (arm64_may_use_adr((void*)(zend_observer_fcall_begin))) {
							dasm_put(Dst, 68049, (unsigned int)((ptrdiff_t)(zend_observer_fcall_begin)), (unsigned int)(((ptrdiff_t)(zend_observer_fcall_begin))>>32));
								} else if (arm64_may_use_adrp((void*)(zend_observer_fcall_begin))) {
							dasm_put(Dst, 68052, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_observer_fcall_begin))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_observer_fcall_begin)))))>>32));
									if (((uintptr_t)(zend_observer_fcall_begin)) & 0xfff) {
							dasm_put(Dst, 68055, (((uintptr_t)(zend_observer_fcall_begin)) & 0xfff));
									}
								} else if ((uintptr_t)(zend_observer_fcall_begin) & 0xffff) {
							dasm_put(Dst, 68058, ((uintptr_t)(zend_observer_fcall_begin) & 0xffff));
									if (((uintptr_t)(zend_observer_fcall_begin) >> 16) & 0xffff) {
							dasm_put(Dst, 68061, (((uintptr_t)(zend_observer_fcall_begin) >> 16) & 0xffff));
									}
									if (((uintptr_t)(zend_observer_fcall_begin) >> 32) & 0xffff) {
							dasm_put(Dst, 68064, (((uintptr_t)(zend_observer_fcall_begin) >> 32) & 0xffff));
									}
								} else if (((uintptr_t)(zend_observer_fcall_begin) >> 16) & 0xffff) {
							dasm_put(Dst, 68067, (((uintptr_t)(zend_observer_fcall_begin) >> 16) & 0xffff));
									if (((uintptr_t)(zend_observer_fcall_begin) >> 32) & 0xffff) {
							dasm_put(Dst, 68070, (((uintptr_t)(zend_observer_fcall_begin) >> 32) & 0xffff));
									}
								} else {
							dasm_put(Dst, 68073, (((uintptr_t)(zend_observer_fcall_begin) >> 32) & 0xffff));
								}
							dasm_put(Dst, 68076);
								}
#line 9540 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						}
#ifdef CONTEXT_THREADED_JIT
						//|	NIY	// TODO
							//ZEND_ASSERT(0);
						dasm_put(Dst, 68078);
#line 9543 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
#else
						//|	b =>num_args
						dasm_put(Dst, 68080, num_args);
#line 9545 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
#endif
						return 1;
					}
				}
			} else {
				if (!trace || (trace->op == ZEND_JIT_TRACE_END
				 && trace->stop == ZEND_JIT_TRACE_STOP_INTERPRETER)) {
					if (func && zend_accel_in_shm(func->op_array.opcodes)) {
						//|	LOAD_IP_ADDR (func->op_array.opcodes)
							if (GCC_GLOBAL_REGS) {
							if (((uintptr_t)((func->op_array.opcodes))) == 0) {
						dasm_put(Dst, 68083);
							} else if (((uintptr_t)((func->op_array.opcodes))) <= MOVZ_IMM) {
						dasm_put(Dst, 68085, ((uint64_t)((func->op_array.opcodes))));
							} else if (arm64_may_use_adr((void*)((func->op_array.opcodes)))) {
						dasm_put(Dst, 68088, (unsigned int)((ptrdiff_t)((func->op_array.opcodes))), (unsigned int)(((ptrdiff_t)((func->op_array.opcodes)))>>32));
							} else if (arm64_may_use_adrp((void*)((func->op_array.opcodes)))) {
						dasm_put(Dst, 68091, (unsigned int)((ptrdiff_t)((((uintptr_t)((func->op_array.opcodes)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)((func->op_array.opcodes))))))>>32));
								if (((uintptr_t)((func->op_array.opcodes))) & 0xfff) {
						dasm_put(Dst, 68094, (((uintptr_t)((func->op_array.opcodes))) & 0xfff));
								}
							} else if ((uintptr_t)((func->op_array.opcodes)) & 0xffff) {
						dasm_put(Dst, 68097, ((uintptr_t)((func->op_array.opcodes)) & 0xffff));
								if (((uintptr_t)((func->op_array.opcodes)) >> 16) & 0xffff) {
						dasm_put(Dst, 68100, (((uintptr_t)((func->op_array.opcodes)) >> 16) & 0xffff));
								}
								if (((uintptr_t)((func->op_array.opcodes)) >> 32) & 0xffff) {
						dasm_put(Dst, 68103, (((uintptr_t)((func->op_array.opcodes)) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)((func->op_array.opcodes)) >> 16) & 0xffff) {
						dasm_put(Dst, 68106, (((uintptr_t)((func->op_array.opcodes)) >> 16) & 0xffff));
								if (((uintptr_t)((func->op_array.opcodes)) >> 32) & 0xffff) {
						dasm_put(Dst, 68109, (((uintptr_t)((func->op_array.opcodes)) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 68112, (((uintptr_t)((func->op_array.opcodes)) >> 32) & 0xffff));
							}
							} else {
							if (((uintptr_t)((func->op_array.opcodes))) == 0) {
						dasm_put(Dst, 68115);
							} else if (((uintptr_t)((func->op_array.opcodes))) <= MOVZ_IMM) {
						dasm_put(Dst, 68117, ((uint64_t)((func->op_array.opcodes))));
							} else if (arm64_may_use_adr((void*)((func->op_array.opcodes)))) {
						dasm_put(Dst, 68120, (unsigned int)((ptrdiff_t)((func->op_array.opcodes))), (unsigned int)(((ptrdiff_t)((func->op_array.opcodes)))>>32));
							} else if (arm64_may_use_adrp((void*)((func->op_array.opcodes)))) {
						dasm_put(Dst, 68123, (unsigned int)((ptrdiff_t)((((uintptr_t)((func->op_array.opcodes)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)((func->op_array.opcodes))))))>>32));
								if (((uintptr_t)((func->op_array.opcodes))) & 0xfff) {
						dasm_put(Dst, 68126, (((uintptr_t)((func->op_array.opcodes))) & 0xfff));
								}
							} else if ((uintptr_t)((func->op_array.opcodes)) & 0xffff) {
						dasm_put(Dst, 68129, ((uintptr_t)((func->op_array.opcodes)) & 0xffff));
								if (((uintptr_t)((func->op_array.opcodes)) >> 16) & 0xffff) {
						dasm_put(Dst, 68132, (((uintptr_t)((func->op_array.opcodes)) >> 16) & 0xffff));
								}
								if (((uintptr_t)((func->op_array.opcodes)) >> 32) & 0xffff) {
						dasm_put(Dst, 68135, (((uintptr_t)((func->op_array.opcodes)) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)((func->op_array.opcodes)) >> 16) & 0xffff) {
						dasm_put(Dst, 68138, (((uintptr_t)((func->op_array.opcodes)) >> 16) & 0xffff));
								if (((uintptr_t)((func->op_array.opcodes)) >> 32) & 0xffff) {
						dasm_put(Dst, 68141, (((uintptr_t)((func->op_array.opcodes)) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 68144, (((uintptr_t)((func->op_array.opcodes)) >> 32) & 0xffff));
							}
						dasm_put(Dst, 68147, Dt1(->opline));
							}
#line 9554 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else if (GCC_GLOBAL_REGS) {
						//|	ldr IP, [REG0, #offsetof(zend_op_array, opcodes)]
						dasm_put(Dst, 68150, offsetof(zend_op_array, opcodes));
#line 9556 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	ldr FCARG1x, [REG0, #offsetof(zend_op_array, opcodes)]
						//|	str FCARG1x, EX->opline
						dasm_put(Dst, 68153, offsetof(zend_op_array, opcodes), Dt1(->opline));
#line 9559 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				}
				if (!GCC_GLOBAL_REGS) {
					//|	mov FCARG1x, FP
					dasm_put(Dst, 68158);
#line 9563 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|	EXT_CALL zend_jit_copy_extra_args_helper, REG0
					if (arm64_may_use_b(zend_jit_copy_extra_args_helper)) {
				dasm_put(Dst, 68160, (unsigned int)((ptrdiff_t)(zend_jit_copy_extra_args_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_copy_extra_args_helper))>>32));
					} else {
					if (((uintptr_t)(zend_jit_copy_extra_args_helper)) == 0) {
				dasm_put(Dst, 68163);
					} else if (((uintptr_t)(zend_jit_copy_extra_args_helper)) <= MOVZ_IMM) {
				dasm_put(Dst, 68165, ((uint64_t)(zend_jit_copy_extra_args_helper)));
					} else if (arm64_may_use_adr((void*)(zend_jit_copy_extra_args_helper))) {
				dasm_put(Dst, 68168, (unsigned int)((ptrdiff_t)(zend_jit_copy_extra_args_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_copy_extra_args_helper))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_copy_extra_args_helper))) {
				dasm_put(Dst, 68171, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_copy_extra_args_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_copy_extra_args_helper)))))>>32));
						if (((uintptr_t)(zend_jit_copy_extra_args_helper)) & 0xfff) {
				dasm_put(Dst, 68174, (((uintptr_t)(zend_jit_copy_extra_args_helper)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_copy_extra_args_helper) & 0xffff) {
				dasm_put(Dst, 68177, ((uintptr_t)(zend_jit_copy_extra_args_helper) & 0xffff));
						if (((uintptr_t)(zend_jit_copy_extra_args_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 68180, (((uintptr_t)(zend_jit_copy_extra_args_helper) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_copy_extra_args_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 68183, (((uintptr_t)(zend_jit_copy_extra_args_helper) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_copy_extra_args_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 68186, (((uintptr_t)(zend_jit_copy_extra_args_helper) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_copy_extra_args_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 68189, (((uintptr_t)(zend_jit_copy_extra_args_helper) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 68192, (((uintptr_t)(zend_jit_copy_extra_args_helper) >> 32) & 0xffff));
					}
				dasm_put(Dst, 68195);
					}
#line 9565 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else {
			//|	// opline = op_array->opcodes
			if (func && zend_accel_in_shm(func->op_array.opcodes)) {
				//|	LOAD_IP_ADDR (func->op_array.opcodes)
					if (GCC_GLOBAL_REGS) {
					if (((uintptr_t)((func->op_array.opcodes))) == 0) {
				dasm_put(Dst, 68197);
					} else if (((uintptr_t)((func->op_array.opcodes))) <= MOVZ_IMM) {
				dasm_put(Dst, 68199, ((uint64_t)((func->op_array.opcodes))));
					} else if (arm64_may_use_adr((void*)((func->op_array.opcodes)))) {
				dasm_put(Dst, 68202, (unsigned int)((ptrdiff_t)((func->op_array.opcodes))), (unsigned int)(((ptrdiff_t)((func->op_array.opcodes)))>>32));
					} else if (arm64_may_use_adrp((void*)((func->op_array.opcodes)))) {
				dasm_put(Dst, 68205, (unsigned int)((ptrdiff_t)((((uintptr_t)((func->op_array.opcodes)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)((func->op_array.opcodes))))))>>32));
						if (((uintptr_t)((func->op_array.opcodes))) & 0xfff) {
				dasm_put(Dst, 68208, (((uintptr_t)((func->op_array.opcodes))) & 0xfff));
						}
					} else if ((uintptr_t)((func->op_array.opcodes)) & 0xffff) {
				dasm_put(Dst, 68211, ((uintptr_t)((func->op_array.opcodes)) & 0xffff));
						if (((uintptr_t)((func->op_array.opcodes)) >> 16) & 0xffff) {
				dasm_put(Dst, 68214, (((uintptr_t)((func->op_array.opcodes)) >> 16) & 0xffff));
						}
						if (((uintptr_t)((func->op_array.opcodes)) >> 32) & 0xffff) {
				dasm_put(Dst, 68217, (((uintptr_t)((func->op_array.opcodes)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)((func->op_array.opcodes)) >> 16) & 0xffff) {
				dasm_put(Dst, 68220, (((uintptr_t)((func->op_array.opcodes)) >> 16) & 0xffff));
						if (((uintptr_t)((func->op_array.opcodes)) >> 32) & 0xffff) {
				dasm_put(Dst, 68223, (((uintptr_t)((func->op_array.opcodes)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 68226, (((uintptr_t)((func->op_array.opcodes)) >> 32) & 0xffff));
					}
					} else {
					if (((uintptr_t)((func->op_array.opcodes))) == 0) {
				dasm_put(Dst, 68229);
					} else if (((uintptr_t)((func->op_array.opcodes))) <= MOVZ_IMM) {
				dasm_put(Dst, 68231, ((uint64_t)((func->op_array.opcodes))));
					} else if (arm64_may_use_adr((void*)((func->op_array.opcodes)))) {
				dasm_put(Dst, 68234, (unsigned int)((ptrdiff_t)((func->op_array.opcodes))), (unsigned int)(((ptrdiff_t)((func->op_array.opcodes)))>>32));
					} else if (arm64_may_use_adrp((void*)((func->op_array.opcodes)))) {
				dasm_put(Dst, 68237, (unsigned int)((ptrdiff_t)((((uintptr_t)((func->op_array.opcodes)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)((func->op_array.opcodes))))))>>32));
						if (((uintptr_t)((func->op_array.opcodes))) & 0xfff) {
				dasm_put(Dst, 68240, (((uintptr_t)((func->op_array.opcodes))) & 0xfff));
						}
					} else if ((uintptr_t)((func->op_array.opcodes)) & 0xffff) {
				dasm_put(Dst, 68243, ((uintptr_t)((func->op_array.opcodes)) & 0xffff));
						if (((uintptr_t)((func->op_array.opcodes)) >> 16) & 0xffff) {
				dasm_put(Dst, 68246, (((uintptr_t)((func->op_array.opcodes)) >> 16) & 0xffff));
						}
						if (((uintptr_t)((func->op_array.opcodes)) >> 32) & 0xffff) {
				dasm_put(Dst, 68249, (((uintptr_t)((func->op_array.opcodes)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)((func->op_array.opcodes)) >> 16) & 0xffff) {
				dasm_put(Dst, 68252, (((uintptr_t)((func->op_array.opcodes)) >> 16) & 0xffff));
						if (((uintptr_t)((func->op_array.opcodes)) >> 32) & 0xffff) {
				dasm_put(Dst, 68255, (((uintptr_t)((func->op_array.opcodes)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 68258, (((uintptr_t)((func->op_array.opcodes)) >> 32) & 0xffff));
					}
				dasm_put(Dst, 68261, Dt1(->opline));
					}
#line 9570 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else if (GCC_GLOBAL_REGS) {
				//|	ldr IP, [REG0, #offsetof(zend_op_array, opcodes)]
				dasm_put(Dst, 68264, offsetof(zend_op_array, opcodes));
#line 9572 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	ldr FCARG1x, [REG0, #offsetof(zend_op_array, opcodes)]
				//|	str FCARG1x, EX->opline
				dasm_put(Dst, 68267, offsetof(zend_op_array, opcodes), Dt1(->opline));
#line 9575 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if (func) {
				//|	// num_args = EX_NUM_ARGS();
				//|	ldr REG1w, [FP, #offsetof(zend_execute_data, This.u2.num_args)]
				//|	// if (UNEXPECTED(num_args > first_extra_arg))
				//|	CMP_32_WITH_CONST REG1w, (func->op_array.num_args), TMP1w
				dasm_put(Dst, 68272, offsetof(zend_execute_data, This.u2.num_args));
					if ((func->op_array.num_args) == 0) {
				dasm_put(Dst, 68275);
					} else if (arm64_may_encode_imm12((int64_t)((func->op_array.num_args)))) {
				dasm_put(Dst, 68277, (func->op_array.num_args));
					} else if (arm64_may_encode_imm12((int64_t)(-(func->op_array.num_args)))) {
				dasm_put(Dst, 68280, -(func->op_array.num_args));
					} else {
					if (((uint32_t)((func->op_array.num_args))) <= MOVZ_IMM) {
				dasm_put(Dst, 68283, ((uint32_t)((func->op_array.num_args))));
					} else if (((uint32_t)((func->op_array.num_args)) & 0xffff)) {
				dasm_put(Dst, 68286, ((uint32_t)((func->op_array.num_args)) & 0xffff));
						if ((((uint32_t)((func->op_array.num_args)) >> 16) & 0xffff)) {
				dasm_put(Dst, 68289, (((uint32_t)((func->op_array.num_args)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 68292, (((uint32_t)((func->op_array.num_args)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 68295);
					}
#line 9581 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	// first_extra_arg = op_array->num_args;
				//|	ldr REG2w, [REG0, #offsetof(zend_op_array, num_args)]
				//|	// num_args = EX_NUM_ARGS();
				//|	ldr REG1w, [FP, #offsetof(zend_execute_data, This.u2.num_args)]
				//|	// if (UNEXPECTED(num_args > first_extra_arg))
				//|	cmp REG1w, REG2w
				dasm_put(Dst, 68297, offsetof(zend_op_array, num_args), offsetof(zend_execute_data, This.u2.num_args));
#line 9588 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	bgt >1
			//|.cold_code
			dasm_put(Dst, 68303);
#line 9591 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|1:
			dasm_put(Dst, 68306);
#line 9592 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (!GCC_GLOBAL_REGS) {
				//|	mov FCARG1x, FP
				dasm_put(Dst, 68308);
#line 9594 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	EXT_CALL zend_jit_copy_extra_args_helper, REG0
				if (arm64_may_use_b(zend_jit_copy_extra_args_helper)) {
			dasm_put(Dst, 68310, (unsigned int)((ptrdiff_t)(zend_jit_copy_extra_args_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_copy_extra_args_helper))>>32));
				} else {
				if (((uintptr_t)(zend_jit_copy_extra_args_helper)) == 0) {
			dasm_put(Dst, 68313);
				} else if (((uintptr_t)(zend_jit_copy_extra_args_helper)) <= MOVZ_IMM) {
			dasm_put(Dst, 68315, ((uint64_t)(zend_jit_copy_extra_args_helper)));
				} else if (arm64_may_use_adr((void*)(zend_jit_copy_extra_args_helper))) {
			dasm_put(Dst, 68318, (unsigned int)((ptrdiff_t)(zend_jit_copy_extra_args_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_copy_extra_args_helper))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_copy_extra_args_helper))) {
			dasm_put(Dst, 68321, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_copy_extra_args_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_copy_extra_args_helper)))))>>32));
					if (((uintptr_t)(zend_jit_copy_extra_args_helper)) & 0xfff) {
			dasm_put(Dst, 68324, (((uintptr_t)(zend_jit_copy_extra_args_helper)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_copy_extra_args_helper) & 0xffff) {
			dasm_put(Dst, 68327, ((uintptr_t)(zend_jit_copy_extra_args_helper) & 0xffff));
					if (((uintptr_t)(zend_jit_copy_extra_args_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 68330, (((uintptr_t)(zend_jit_copy_extra_args_helper) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_copy_extra_args_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 68333, (((uintptr_t)(zend_jit_copy_extra_args_helper) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_copy_extra_args_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 68336, (((uintptr_t)(zend_jit_copy_extra_args_helper) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_copy_extra_args_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 68339, (((uintptr_t)(zend_jit_copy_extra_args_helper) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 68342, (((uintptr_t)(zend_jit_copy_extra_args_helper) >> 32) & 0xffff));
				}
			dasm_put(Dst, 68345);
				}
#line 9596 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (!func) {
				//|	ldr REG0, EX->func // reload
				dasm_put(Dst, 68347, Dt1(->func));
#line 9598 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	ldr REG1w, [FP, #offsetof(zend_execute_data, This.u2.num_args)] // reload
			//|	b >1
			//|.code
			dasm_put(Dst, 68350, offsetof(zend_execute_data, This.u2.num_args));
#line 9602 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (!func || (func->op_array.fn_flags & ZEND_ACC_HAS_TYPE_HINTS) == 0) {
				if (!func) {
					//|	// if (EXPECTED((op_array->fn_flags & ZEND_ACC_HAS_TYPE_HINTS) == 0))
					//|	ldr TMP1w, [REG0, #offsetof(zend_op_array, fn_flags)]
					//|	TST_32_WITH_CONST TMP1w, ZEND_ACC_HAS_TYPE_HINTS, TMP2w
					dasm_put(Dst, 68355, offsetof(zend_op_array, fn_flags));
						if (ZEND_ACC_HAS_TYPE_HINTS == 0) {
					dasm_put(Dst, 68358);
						} else if (logical_immediate_p((uint32_t)ZEND_ACC_HAS_TYPE_HINTS, 32)) {
					dasm_put(Dst, 68360, ZEND_ACC_HAS_TYPE_HINTS);
						} else {
						if (((uint32_t)(ZEND_ACC_HAS_TYPE_HINTS)) <= MOVZ_IMM) {
					dasm_put(Dst, 68363, ((uint32_t)(ZEND_ACC_HAS_TYPE_HINTS)));
						} else if (((uint32_t)(ZEND_ACC_HAS_TYPE_HINTS) & 0xffff)) {
					dasm_put(Dst, 68366, ((uint32_t)(ZEND_ACC_HAS_TYPE_HINTS) & 0xffff));
							if ((((uint32_t)(ZEND_ACC_HAS_TYPE_HINTS) >> 16) & 0xffff)) {
					dasm_put(Dst, 68369, (((uint32_t)(ZEND_ACC_HAS_TYPE_HINTS) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 68372, (((uint32_t)(ZEND_ACC_HAS_TYPE_HINTS) >> 16) & 0xffff));
						}
					dasm_put(Dst, 68375);
						}
#line 9607 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	bne >1
					dasm_put(Dst, 68377);
#line 9608 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|	// opline += num_args;
					ZEND_ASSERT(sizeof(zend_op) == 32);
				//|	mov REG2w, REG1w
				//|	ADD_IP_SHIFT REG2, lsl #5, TMP1
				dasm_put(Dst, 68380);
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 68382);
					} else {
				dasm_put(Dst, 68384, Dt1(->opline), Dt1(->opline));
					}
#line 9613 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|1:
			//|	// if (EXPECTED((int)num_args < op_array->last_var)) {
			dasm_put(Dst, 68390);
#line 9616 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (func) {
				//|	LOAD_32BIT_VAL REG2w, func->op_array.last_var
					if (((uint32_t)(func->op_array.last_var)) <= MOVZ_IMM) {
				dasm_put(Dst, 68392, ((uint32_t)(func->op_array.last_var)));
					} else if (((uint32_t)(func->op_array.last_var) & 0xffff)) {
				dasm_put(Dst, 68395, ((uint32_t)(func->op_array.last_var) & 0xffff));
						if ((((uint32_t)(func->op_array.last_var) >> 16) & 0xffff)) {
				dasm_put(Dst, 68398, (((uint32_t)(func->op_array.last_var) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 68401, (((uint32_t)(func->op_array.last_var) >> 16) & 0xffff));
					}
#line 9618 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	ldr REG2w, [REG0, #offsetof(zend_op_array, last_var)]
				dasm_put(Dst, 68404, offsetof(zend_op_array, last_var));
#line 9620 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	subs REG2w, REG2w, REG1w
			//|	ble >3
			//|	// zval *var = EX_VAR_NUM(num_args);
			//|	add REG1, FP, REG1, lsl #4
			dasm_put(Dst, 68407);
				ZEND_ASSERT(arm64_may_encode_imm12((int64_t)(ZEND_CALL_FRAME_SLOT * sizeof(zval))));
#line 9626 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	add REG1, REG1, #(ZEND_CALL_FRAME_SLOT * sizeof(zval))
			//|2:
			//|	SET_Z_TYPE_INFO REG1, IS_UNDEF, TMP1w
			dasm_put(Dst, 68412, (ZEND_CALL_FRAME_SLOT * sizeof(zval)));
				if (((uint32_t)(IS_UNDEF)) <= MOVZ_IMM) {
			dasm_put(Dst, 68416, ((uint32_t)(IS_UNDEF)));
				} else if (((uint32_t)(IS_UNDEF) & 0xffff)) {
			dasm_put(Dst, 68419, ((uint32_t)(IS_UNDEF) & 0xffff));
					if ((((uint32_t)(IS_UNDEF) >> 16) & 0xffff)) {
			dasm_put(Dst, 68422, (((uint32_t)(IS_UNDEF) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 68425, (((uint32_t)(IS_UNDEF) >> 16) & 0xffff));
				}
#line 9629 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	add REG1, REG1, #16
			//|	subs REG2w, REG2w, #1
			//|	bne <2
			//|3:
			dasm_put(Dst, 68428, offsetof(zval,u1.type_info));
#line 9633 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}

		if (ZEND_OBSERVER_ENABLED) {
			//|	SAVE_IP
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 68436, Dt1(->opline));
				}
#line 9637 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	mov FCARG1x, FP
			//|	EXT_CALL zend_observer_fcall_begin, REG0
			dasm_put(Dst, 68439);
				if (arm64_may_use_b(zend_observer_fcall_begin)) {
			dasm_put(Dst, 68441, (unsigned int)((ptrdiff_t)(zend_observer_fcall_begin)), (unsigned int)(((ptrdiff_t)(zend_observer_fcall_begin))>>32));
				} else {
				if (((uintptr_t)(zend_observer_fcall_begin)) == 0) {
			dasm_put(Dst, 68444);
				} else if (((uintptr_t)(zend_observer_fcall_begin)) <= MOVZ_IMM) {
			dasm_put(Dst, 68446, ((uint64_t)(zend_observer_fcall_begin)));
				} else if (arm64_may_use_adr((void*)(zend_observer_fcall_begin))) {
			dasm_put(Dst, 68449, (unsigned int)((ptrdiff_t)(zend_observer_fcall_begin)), (unsigned int)(((ptrdiff_t)(zend_observer_fcall_begin))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_observer_fcall_begin))) {
			dasm_put(Dst, 68452, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_observer_fcall_begin))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_observer_fcall_begin)))))>>32));
					if (((uintptr_t)(zend_observer_fcall_begin)) & 0xfff) {
			dasm_put(Dst, 68455, (((uintptr_t)(zend_observer_fcall_begin)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_observer_fcall_begin) & 0xffff) {
			dasm_put(Dst, 68458, ((uintptr_t)(zend_observer_fcall_begin) & 0xffff));
					if (((uintptr_t)(zend_observer_fcall_begin) >> 16) & 0xffff) {
			dasm_put(Dst, 68461, (((uintptr_t)(zend_observer_fcall_begin) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_observer_fcall_begin) >> 32) & 0xffff) {
			dasm_put(Dst, 68464, (((uintptr_t)(zend_observer_fcall_begin) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_observer_fcall_begin) >> 16) & 0xffff) {
			dasm_put(Dst, 68467, (((uintptr_t)(zend_observer_fcall_begin) >> 16) & 0xffff));
					if (((uintptr_t)(zend_observer_fcall_begin) >> 32) & 0xffff) {
			dasm_put(Dst, 68470, (((uintptr_t)(zend_observer_fcall_begin) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 68473, (((uintptr_t)(zend_observer_fcall_begin) >> 32) & 0xffff));
				}
			dasm_put(Dst, 68476);
				}
#line 9639 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}

		if (trace) {
			if (!func && (opline->opcode != ZEND_DO_UCALL)) {
				//|	b >9
				dasm_put(Dst, 68478);
#line 9644 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else {
#ifdef CONTEXT_THREADED_JIT
			//|	NIY	// TODO: CONTEXT_THREADED_JIT is always undefined.
				//ZEND_ASSERT(0);
			dasm_put(Dst, 68481);
#line 9648 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
#else
			if (zend_jit_vm_kind == ZEND_VM_KIND_HYBRID) {
				//|	ADD_HYBRID_SPAD
				#ifndef ZEND_VM_HYBRID_JIT_RED_ZONE_SIZE
				dasm_put(Dst, 68483);
				#endif
#line 9651 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	JMP_IP TMP1
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 68485);
					} else {
				dasm_put(Dst, 68488, Dt1(->opline));
					}
#line 9652 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else if (GCC_GLOBAL_REGS) {
				//|	ldp x29, x30, [sp], # SPAD // stack alignment
				//|	JMP_IP TMP1
				dasm_put(Dst, 68492);
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 68494);
					} else {
				dasm_put(Dst, 68497, Dt1(->opline));
					}
#line 9655 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	ldp FP, RX, T2                // retore FP and IP
				//|	ldp x29, x30, [sp], # NR_SPAD // stack alignment
				//|	mov RETVALx, #1     // ZEND_VM_ENTER
				//|	ret
				dasm_put(Dst, 68501);
#line 9660 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
#endif
	}

	if ((!func || func->type == ZEND_INTERNAL_FUNCTION)
	 && (opline->opcode != ZEND_DO_UCALL)) {
		if (!func && (opline->opcode != ZEND_DO_ICALL)) {
			//|8:
			dasm_put(Dst, 68506);
#line 9669 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (opline->opcode == ZEND_DO_FCALL_BY_NAME) {
			if (!func) {
				if (trace) {
					uint32_t exit_point = zend_jit_trace_get_exit_point(opline, ZEND_JIT_EXIT_TO_VM);

					exit_addr = zend_jit_trace_get_exit_addr(exit_point);
					if (!exit_addr) {
						return 0;
					}
					//|	ldr TMP1w, [REG0, #offsetof(zend_op_array, fn_flags)]
					//|	TST_32_WITH_CONST TMP1w, ZEND_ACC_DEPRECATED, TMP2w
					dasm_put(Dst, 68508, offsetof(zend_op_array, fn_flags));
						if (ZEND_ACC_DEPRECATED == 0) {
					dasm_put(Dst, 68511);
						} else if (logical_immediate_p((uint32_t)ZEND_ACC_DEPRECATED, 32)) {
					dasm_put(Dst, 68513, ZEND_ACC_DEPRECATED);
						} else {
						if (((uint32_t)(ZEND_ACC_DEPRECATED)) <= MOVZ_IMM) {
					dasm_put(Dst, 68516, ((uint32_t)(ZEND_ACC_DEPRECATED)));
						} else if (((uint32_t)(ZEND_ACC_DEPRECATED) & 0xffff)) {
					dasm_put(Dst, 68519, ((uint32_t)(ZEND_ACC_DEPRECATED) & 0xffff));
							if ((((uint32_t)(ZEND_ACC_DEPRECATED) >> 16) & 0xffff)) {
					dasm_put(Dst, 68522, (((uint32_t)(ZEND_ACC_DEPRECATED) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 68525, (((uint32_t)(ZEND_ACC_DEPRECATED) >> 16) & 0xffff));
						}
					dasm_put(Dst, 68528);
						}
#line 9681 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	bne &exit_addr
					dasm_put(Dst, 68530, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 9682 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	ldr TMP1w, [REG0, #offsetof(zend_op_array, fn_flags)]
					//|	TST_32_WITH_CONST TMP1w, ZEND_ACC_DEPRECATED, TMP2w
					dasm_put(Dst, 68533, offsetof(zend_op_array, fn_flags));
						if (ZEND_ACC_DEPRECATED == 0) {
					dasm_put(Dst, 68536);
						} else if (logical_immediate_p((uint32_t)ZEND_ACC_DEPRECATED, 32)) {
					dasm_put(Dst, 68538, ZEND_ACC_DEPRECATED);
						} else {
						if (((uint32_t)(ZEND_ACC_DEPRECATED)) <= MOVZ_IMM) {
					dasm_put(Dst, 68541, ((uint32_t)(ZEND_ACC_DEPRECATED)));
						} else if (((uint32_t)(ZEND_ACC_DEPRECATED) & 0xffff)) {
					dasm_put(Dst, 68544, ((uint32_t)(ZEND_ACC_DEPRECATED) & 0xffff));
							if ((((uint32_t)(ZEND_ACC_DEPRECATED) >> 16) & 0xffff)) {
					dasm_put(Dst, 68547, (((uint32_t)(ZEND_ACC_DEPRECATED) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 68550, (((uint32_t)(ZEND_ACC_DEPRECATED) >> 16) & 0xffff));
						}
					dasm_put(Dst, 68553);
						}
#line 9685 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	bne >1
					//|.cold_code
					dasm_put(Dst, 68555);
#line 9687 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|1:
					dasm_put(Dst, 68558);
#line 9688 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					if (!GCC_GLOBAL_REGS) {
						//|	mov FCARG1x, RX
						dasm_put(Dst, 68560);
#line 9690 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					//|	EXT_CALL zend_jit_deprecated_helper, REG0
						if (arm64_may_use_b(zend_jit_deprecated_helper)) {
					dasm_put(Dst, 68562, (unsigned int)((ptrdiff_t)(zend_jit_deprecated_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_deprecated_helper))>>32));
						} else {
						if (((uintptr_t)(zend_jit_deprecated_helper)) == 0) {
					dasm_put(Dst, 68565);
						} else if (((uintptr_t)(zend_jit_deprecated_helper)) <= MOVZ_IMM) {
					dasm_put(Dst, 68567, ((uint64_t)(zend_jit_deprecated_helper)));
						} else if (arm64_may_use_adr((void*)(zend_jit_deprecated_helper))) {
					dasm_put(Dst, 68570, (unsigned int)((ptrdiff_t)(zend_jit_deprecated_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_deprecated_helper))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_jit_deprecated_helper))) {
					dasm_put(Dst, 68573, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_deprecated_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_deprecated_helper)))))>>32));
							if (((uintptr_t)(zend_jit_deprecated_helper)) & 0xfff) {
					dasm_put(Dst, 68576, (((uintptr_t)(zend_jit_deprecated_helper)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_jit_deprecated_helper) & 0xffff) {
					dasm_put(Dst, 68579, ((uintptr_t)(zend_jit_deprecated_helper) & 0xffff));
							if (((uintptr_t)(zend_jit_deprecated_helper) >> 16) & 0xffff) {
					dasm_put(Dst, 68582, (((uintptr_t)(zend_jit_deprecated_helper) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_jit_deprecated_helper) >> 32) & 0xffff) {
					dasm_put(Dst, 68585, (((uintptr_t)(zend_jit_deprecated_helper) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_jit_deprecated_helper) >> 16) & 0xffff) {
					dasm_put(Dst, 68588, (((uintptr_t)(zend_jit_deprecated_helper) >> 16) & 0xffff));
							if (((uintptr_t)(zend_jit_deprecated_helper) >> 32) & 0xffff) {
					dasm_put(Dst, 68591, (((uintptr_t)(zend_jit_deprecated_helper) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 68594, (((uintptr_t)(zend_jit_deprecated_helper) >> 32) & 0xffff));
						}
					dasm_put(Dst, 68597);
						}
#line 9692 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	GET_LOW_8BITS RETVALw, RETVALw
					//|	ldr REG0, EX:RX->func // reload
					//|	cbnz RETVALw, >1      // Result is 0 on exception
					//|	b ->exception_handler
					//|.code
					dasm_put(Dst, 68599, Dt1(->func));
#line 9697 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|1:
					dasm_put(Dst, 68607);
#line 9698 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else if (func->common.fn_flags & ZEND_ACC_DEPRECATED) {
				if (!GCC_GLOBAL_REGS) {
					//|	mov FCARG1x, RX
					dasm_put(Dst, 68609);
#line 9702 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|	EXT_CALL zend_jit_deprecated_helper, REG0
					if (arm64_may_use_b(zend_jit_deprecated_helper)) {
				dasm_put(Dst, 68611, (unsigned int)((ptrdiff_t)(zend_jit_deprecated_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_deprecated_helper))>>32));
					} else {
					if (((uintptr_t)(zend_jit_deprecated_helper)) == 0) {
				dasm_put(Dst, 68614);
					} else if (((uintptr_t)(zend_jit_deprecated_helper)) <= MOVZ_IMM) {
				dasm_put(Dst, 68616, ((uint64_t)(zend_jit_deprecated_helper)));
					} else if (arm64_may_use_adr((void*)(zend_jit_deprecated_helper))) {
				dasm_put(Dst, 68619, (unsigned int)((ptrdiff_t)(zend_jit_deprecated_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_deprecated_helper))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_deprecated_helper))) {
				dasm_put(Dst, 68622, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_deprecated_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_deprecated_helper)))))>>32));
						if (((uintptr_t)(zend_jit_deprecated_helper)) & 0xfff) {
				dasm_put(Dst, 68625, (((uintptr_t)(zend_jit_deprecated_helper)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_deprecated_helper) & 0xffff) {
				dasm_put(Dst, 68628, ((uintptr_t)(zend_jit_deprecated_helper) & 0xffff));
						if (((uintptr_t)(zend_jit_deprecated_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 68631, (((uintptr_t)(zend_jit_deprecated_helper) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_deprecated_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 68634, (((uintptr_t)(zend_jit_deprecated_helper) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_deprecated_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 68637, (((uintptr_t)(zend_jit_deprecated_helper) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_deprecated_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 68640, (((uintptr_t)(zend_jit_deprecated_helper) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 68643, (((uintptr_t)(zend_jit_deprecated_helper) >> 32) & 0xffff));
					}
				dasm_put(Dst, 68646);
					}
#line 9704 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	cbz RETVALw, ->exception_handler
				//|	ldr REG0, EX:RX->func // reload
				dasm_put(Dst, 68648, Dt1(->func));
#line 9706 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}

		//|	// ZVAL_NULL(EX_VAR(opline->result.var));
		//|	LOAD_ZVAL_ADDR FCARG2x, res_addr
			if (Z_MODE(res_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(res_addr))) == 0) {
		dasm_put(Dst, 68653);
			} else if (((uintptr_t)(Z_ZV(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 68655, ((uint64_t)(Z_ZV(res_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(res_addr)))) {
		dasm_put(Dst, 68658, (unsigned int)((ptrdiff_t)(Z_ZV(res_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(res_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(res_addr)))) {
		dasm_put(Dst, 68661, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(res_addr))) & 0xfff) {
		dasm_put(Dst, 68664, (((uintptr_t)(Z_ZV(res_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(res_addr)) & 0xffff) {
		dasm_put(Dst, 68667, ((uintptr_t)(Z_ZV(res_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 68670, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 68673, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 68676, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 68679, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 68682, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
			}
			} else if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
				if (Z_OFFSET(res_addr)) {
			if (Z_OFFSET(res_addr) == 0) {
		dasm_put(Dst, 68685, (Z_REG(res_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(res_addr)))) {
		dasm_put(Dst, 68688, (Z_REG(res_addr)), Z_OFFSET(res_addr));
			} else {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 68692, ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 68695, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 68698, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 68701, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 68704, (Z_REG(res_addr)));
			}
				} else {
					if (Z_REG(res_addr) == ZREG_RSP) {
		dasm_put(Dst, 68707);
					} else {
		dasm_put(Dst, 68709, (Z_REG(res_addr)));
					}
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 9711 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	SET_Z_TYPE_INFO FCARG2x, IS_NULL, TMP1w
			if (((uint32_t)(IS_NULL)) <= MOVZ_IMM) {
		dasm_put(Dst, 68712, ((uint32_t)(IS_NULL)));
			} else if (((uint32_t)(IS_NULL) & 0xffff)) {
		dasm_put(Dst, 68715, ((uint32_t)(IS_NULL) & 0xffff));
				if ((((uint32_t)(IS_NULL) >> 16) & 0xffff)) {
		dasm_put(Dst, 68718, (((uint32_t)(IS_NULL) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 68721, (((uint32_t)(IS_NULL) >> 16) & 0xffff));
			}
		dasm_put(Dst, 68724, offsetof(zval,u1.type_info));
#line 9712 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

		//|	// EG(current_execute_data) = execute_data;
		//|	MEM_STORE_64_ZTS str, RX, executor_globals, current_execute_data, REG1
			if (((uintptr_t)(&executor_globals.current_execute_data)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.current_execute_data))) {
		dasm_put(Dst, 68727, (unsigned int)((ptrdiff_t)(&executor_globals.current_execute_data)), (unsigned int)(((ptrdiff_t)(&executor_globals.current_execute_data))>>32));
			} else if (((uintptr_t)(&executor_globals.current_execute_data)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.current_execute_data))) {
		dasm_put(Dst, 68731, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data)))))>>32), (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff));
			} else {
			if (((uintptr_t)(&executor_globals.current_execute_data)) == 0) {
		dasm_put(Dst, 68736);
			} else if (((uintptr_t)(&executor_globals.current_execute_data)) <= MOVZ_IMM) {
		dasm_put(Dst, 68738, ((uint64_t)(&executor_globals.current_execute_data)));
			} else if (arm64_may_use_adr((void*)(&executor_globals.current_execute_data))) {
		dasm_put(Dst, 68741, (unsigned int)((ptrdiff_t)(&executor_globals.current_execute_data)), (unsigned int)(((ptrdiff_t)(&executor_globals.current_execute_data))>>32));
			} else if (arm64_may_use_adrp((void*)(&executor_globals.current_execute_data))) {
		dasm_put(Dst, 68744, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data)))))>>32));
				if (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff) {
		dasm_put(Dst, 68747, (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff));
				}
			} else if ((uintptr_t)(&executor_globals.current_execute_data) & 0xffff) {
		dasm_put(Dst, 68750, ((uintptr_t)(&executor_globals.current_execute_data) & 0xffff));
				if (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff) {
		dasm_put(Dst, 68753, (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff));
				}
				if (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff) {
		dasm_put(Dst, 68756, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff) {
		dasm_put(Dst, 68759, (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff));
				if (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff) {
		dasm_put(Dst, 68762, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 68765, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
			}
		dasm_put(Dst, 68768);
			}
#line 9715 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

		zend_jit_reset_last_valid_opline();

		//|	// (zend_execute_internal ? zend_execute_internal : fbc->internal_function.handler)(call, ret);
		//|	mov FCARG1x, RX
		dasm_put(Dst, 68770);
#line 9720 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (zend_execute_internal) {
			//|	EXT_CALL zend_execute_internal, REG0
				if (arm64_may_use_b(zend_execute_internal)) {
			dasm_put(Dst, 68772, (unsigned int)((ptrdiff_t)(zend_execute_internal)), (unsigned int)(((ptrdiff_t)(zend_execute_internal))>>32));
				} else {
				if (((uintptr_t)(zend_execute_internal)) == 0) {
			dasm_put(Dst, 68775);
				} else if (((uintptr_t)(zend_execute_internal)) <= MOVZ_IMM) {
			dasm_put(Dst, 68777, ((uint64_t)(zend_execute_internal)));
				} else if (arm64_may_use_adr((void*)(zend_execute_internal))) {
			dasm_put(Dst, 68780, (unsigned int)((ptrdiff_t)(zend_execute_internal)), (unsigned int)(((ptrdiff_t)(zend_execute_internal))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_execute_internal))) {
			dasm_put(Dst, 68783, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_execute_internal))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_execute_internal)))))>>32));
					if (((uintptr_t)(zend_execute_internal)) & 0xfff) {
			dasm_put(Dst, 68786, (((uintptr_t)(zend_execute_internal)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_execute_internal) & 0xffff) {
			dasm_put(Dst, 68789, ((uintptr_t)(zend_execute_internal) & 0xffff));
					if (((uintptr_t)(zend_execute_internal) >> 16) & 0xffff) {
			dasm_put(Dst, 68792, (((uintptr_t)(zend_execute_internal) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_execute_internal) >> 32) & 0xffff) {
			dasm_put(Dst, 68795, (((uintptr_t)(zend_execute_internal) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_execute_internal) >> 16) & 0xffff) {
			dasm_put(Dst, 68798, (((uintptr_t)(zend_execute_internal) >> 16) & 0xffff));
					if (((uintptr_t)(zend_execute_internal) >> 32) & 0xffff) {
			dasm_put(Dst, 68801, (((uintptr_t)(zend_execute_internal) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 68804, (((uintptr_t)(zend_execute_internal) >> 32) & 0xffff));
				}
			dasm_put(Dst, 68807);
				}
#line 9722 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			if (func) {
				//|	EXT_CALL func->internal_function.handler, REG0
					if (arm64_may_use_b(func->internal_function.handler)) {
				dasm_put(Dst, 68809, (unsigned int)((ptrdiff_t)(func->internal_function.handler)), (unsigned int)(((ptrdiff_t)(func->internal_function.handler))>>32));
					} else {
					if (((uintptr_t)(func->internal_function.handler)) == 0) {
				dasm_put(Dst, 68812);
					} else if (((uintptr_t)(func->internal_function.handler)) <= MOVZ_IMM) {
				dasm_put(Dst, 68814, ((uint64_t)(func->internal_function.handler)));
					} else if (arm64_may_use_adr((void*)(func->internal_function.handler))) {
				dasm_put(Dst, 68817, (unsigned int)((ptrdiff_t)(func->internal_function.handler)), (unsigned int)(((ptrdiff_t)(func->internal_function.handler))>>32));
					} else if (arm64_may_use_adrp((void*)(func->internal_function.handler))) {
				dasm_put(Dst, 68820, (unsigned int)((ptrdiff_t)((((uintptr_t)(func->internal_function.handler))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(func->internal_function.handler)))))>>32));
						if (((uintptr_t)(func->internal_function.handler)) & 0xfff) {
				dasm_put(Dst, 68823, (((uintptr_t)(func->internal_function.handler)) & 0xfff));
						}
					} else if ((uintptr_t)(func->internal_function.handler) & 0xffff) {
				dasm_put(Dst, 68826, ((uintptr_t)(func->internal_function.handler) & 0xffff));
						if (((uintptr_t)(func->internal_function.handler) >> 16) & 0xffff) {
				dasm_put(Dst, 68829, (((uintptr_t)(func->internal_function.handler) >> 16) & 0xffff));
						}
						if (((uintptr_t)(func->internal_function.handler) >> 32) & 0xffff) {
				dasm_put(Dst, 68832, (((uintptr_t)(func->internal_function.handler) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(func->internal_function.handler) >> 16) & 0xffff) {
				dasm_put(Dst, 68835, (((uintptr_t)(func->internal_function.handler) >> 16) & 0xffff));
						if (((uintptr_t)(func->internal_function.handler) >> 32) & 0xffff) {
				dasm_put(Dst, 68838, (((uintptr_t)(func->internal_function.handler) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 68841, (((uintptr_t)(func->internal_function.handler) >> 32) & 0xffff));
					}
				dasm_put(Dst, 68844);
					}
#line 9725 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	ldr TMP1, [REG0, #offsetof(zend_internal_function, handler)]
				//|	blr TMP1
				dasm_put(Dst, 68846, offsetof(zend_internal_function, handler));
#line 9728 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}

		//|	// EG(current_execute_data) = execute_data;
		//|	MEM_STORE_64_ZTS str, FP, executor_globals, current_execute_data, REG0
			if (((uintptr_t)(&executor_globals.current_execute_data)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.current_execute_data))) {
		dasm_put(Dst, 68850, (unsigned int)((ptrdiff_t)(&executor_globals.current_execute_data)), (unsigned int)(((ptrdiff_t)(&executor_globals.current_execute_data))>>32));
			} else if (((uintptr_t)(&executor_globals.current_execute_data)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.current_execute_data))) {
		dasm_put(Dst, 68854, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data)))))>>32), (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff));
			} else {
			if (((uintptr_t)(&executor_globals.current_execute_data)) == 0) {
		dasm_put(Dst, 68859);
			} else if (((uintptr_t)(&executor_globals.current_execute_data)) <= MOVZ_IMM) {
		dasm_put(Dst, 68861, ((uint64_t)(&executor_globals.current_execute_data)));
			} else if (arm64_may_use_adr((void*)(&executor_globals.current_execute_data))) {
		dasm_put(Dst, 68864, (unsigned int)((ptrdiff_t)(&executor_globals.current_execute_data)), (unsigned int)(((ptrdiff_t)(&executor_globals.current_execute_data))>>32));
			} else if (arm64_may_use_adrp((void*)(&executor_globals.current_execute_data))) {
		dasm_put(Dst, 68867, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data)))))>>32));
				if (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff) {
		dasm_put(Dst, 68870, (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff));
				}
			} else if ((uintptr_t)(&executor_globals.current_execute_data) & 0xffff) {
		dasm_put(Dst, 68873, ((uintptr_t)(&executor_globals.current_execute_data) & 0xffff));
				if (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff) {
		dasm_put(Dst, 68876, (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff));
				}
				if (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff) {
		dasm_put(Dst, 68879, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff) {
		dasm_put(Dst, 68882, (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff));
				if (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff) {
		dasm_put(Dst, 68885, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 68888, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
			}
		dasm_put(Dst, 68891);
			}
#line 9733 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

		//|	// zend_vm_stack_free_args(call);
		if (func && !unknown_num_args) {
			for (i = 0; i < call_num_args; i++ ) {
				if (zend_jit_needs_arg_dtor(func, i, call_info)) {
					uint32_t offset = EX_NUM_TO_VAR(i);
					zend_jit_addr arg_addr = ZEND_ADDR_MEM_ZVAL(ZREG_RX, offset);
					//|	ZVAL_PTR_DTOR arg_addr, (MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN), 0, 1, opline, ZREG_TMP1, ZREG_TMP2
						if (((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN)) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
							if (((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN)) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
								if (1) {
						ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(arg_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
					dasm_put(Dst, 68893, (ZREG_X16), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval, u1.v.type_flags))));
						} else if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
					dasm_put(Dst, 68897, (ZREG_X16), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
					dasm_put(Dst, 68901, (ZREG_X16), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 68905, (ZREG_X16), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 68909, (ZREG_X15), (Z_REG(arg_addr)), (ZREG_X16));
						} else {
					dasm_put(Dst, 68914, (ZREG_X15), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)+offsetof(zval, u1.v.type_flags)));
						}
						if (IS_TYPE_REFCOUNTED == 0) {
					dasm_put(Dst, 68919, (ZREG_X15));
						} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
					dasm_put(Dst, 68922, (ZREG_X15), IS_TYPE_REFCOUNTED);
						} else {
						if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
					dasm_put(Dst, 68926, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
						} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
					dasm_put(Dst, 68930, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
							if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
					dasm_put(Dst, 68934, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 68938, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
						}
					dasm_put(Dst, 68942, (ZREG_X15), (ZREG_X16));
						}
					dasm_put(Dst, 68946);
					dasm_put(Dst, 68949);
								} else {
						ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(arg_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
					dasm_put(Dst, 68951, (ZREG_X16), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval, u1.v.type_flags))));
						} else if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
					dasm_put(Dst, 68955, (ZREG_X16), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
					dasm_put(Dst, 68959, (ZREG_X16), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 68963, (ZREG_X16), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 68967, (ZREG_X15), (Z_REG(arg_addr)), (ZREG_X16));
						} else {
					dasm_put(Dst, 68972, (ZREG_X15), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)+offsetof(zval, u1.v.type_flags)));
						}
						if (IS_TYPE_REFCOUNTED == 0) {
					dasm_put(Dst, 68977, (ZREG_X15));
						} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
					dasm_put(Dst, 68980, (ZREG_X15), IS_TYPE_REFCOUNTED);
						} else {
						if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
					dasm_put(Dst, 68984, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
						} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
					dasm_put(Dst, 68988, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
							if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
					dasm_put(Dst, 68992, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 68996, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
						}
					dasm_put(Dst, 69000, (ZREG_X15), (ZREG_X16));
						}
					dasm_put(Dst, 69004);
								}
							}
						ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 69007, (ZREG_X16), ((uint32_t)(Z_OFFSET(arg_addr))));
						} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
					dasm_put(Dst, 69011, (ZREG_X16), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 69015, (ZREG_X16), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 69019, (ZREG_X16), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 69023, (Z_REG(arg_addr)), (ZREG_X16));
						} else {
					dasm_put(Dst, 69027, (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
						}
					dasm_put(Dst, 69031, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
							if ((((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN)) & MAY_BE_GUARD) || RC_MAY_BE_1((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN))) {
								if ((((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN)) & MAY_BE_GUARD) || RC_MAY_BE_N((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN))) {
									if (0 && ((((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN)) & MAY_BE_GUARD) || (RC_MAY_BE_N((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN)) && (((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN)) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					dasm_put(Dst, 69039);
									} else {
					dasm_put(Dst, 69042);
									}
								}
						do {
							if (!(((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN)) & MAY_BE_GUARD)
							 && has_concrete_type(((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN)) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
								zend_uchar type = concrete_type(((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN)) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
								if (type == IS_STRING && !ZEND_DEBUG) {
						if (arm64_may_use_b(_efree)) {
					dasm_put(Dst, 69045, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
						} else {
						if (((uintptr_t)(_efree)) == 0) {
					dasm_put(Dst, 69048, (ZREG_X15));
						} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
					dasm_put(Dst, 69051, (ZREG_X15), ((uint64_t)(_efree)));
						} else if (arm64_may_use_adr((void*)(_efree))) {
					dasm_put(Dst, 69055, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
						} else if (arm64_may_use_adrp((void*)(_efree))) {
					dasm_put(Dst, 69059, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
							if (((uintptr_t)(_efree)) & 0xfff) {
					dasm_put(Dst, 69063, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
							}
						} else if ((uintptr_t)(_efree) & 0xffff) {
					dasm_put(Dst, 69068, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
							if (((uintptr_t)(_efree) >> 16) & 0xffff) {
					dasm_put(Dst, 69072, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
							}
							if (((uintptr_t)(_efree) >> 32) & 0xffff) {
					dasm_put(Dst, 69076, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
					dasm_put(Dst, 69080, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
							if (((uintptr_t)(_efree) >> 32) & 0xffff) {
					dasm_put(Dst, 69084, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 69088, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
						}
					dasm_put(Dst, 69092, (ZREG_X15));
						}
									break;
								} else if (type == IS_ARRAY) {
									if (((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN)) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
										if (opline && (((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN)) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
						if (opline == last_valid_opline) {
							zend_jit_use_last_valid_opline();
						if (GCC_GLOBAL_REGS) {
					dasm_put(Dst, 69095, Dt1(->opline));
						}
						} else {
						if (((uintptr_t)(opline)) == 0) {
					dasm_put(Dst, 69098, (ZREG_X15));
						} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
					dasm_put(Dst, 69101, (ZREG_X15), ((uint64_t)(opline)));
						} else if (arm64_may_use_adr((void*)(opline))) {
					dasm_put(Dst, 69105, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
						} else if (arm64_may_use_adrp((void*)(opline))) {
					dasm_put(Dst, 69109, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
							if (((uintptr_t)(opline)) & 0xfff) {
					dasm_put(Dst, 69113, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
							}
						} else if ((uintptr_t)(opline) & 0xffff) {
					dasm_put(Dst, 69118, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
							if (((uintptr_t)(opline) >> 16) & 0xffff) {
					dasm_put(Dst, 69122, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
							}
							if (((uintptr_t)(opline) >> 32) & 0xffff) {
					dasm_put(Dst, 69126, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
					dasm_put(Dst, 69130, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
							if (((uintptr_t)(opline) >> 32) & 0xffff) {
					dasm_put(Dst, 69134, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 69138, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					dasm_put(Dst, 69142, (ZREG_X15), Dt1(->opline));
							if (!GCC_GLOBAL_REGS) {
								zend_jit_reset_last_valid_opline();
							}
						}
										}
						if (arm64_may_use_b(zend_array_destroy)) {
					dasm_put(Dst, 69146, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
						} else {
						if (((uintptr_t)(zend_array_destroy)) == 0) {
					dasm_put(Dst, 69149, (ZREG_X15));
						} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
					dasm_put(Dst, 69152, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
						} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
					dasm_put(Dst, 69156, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
					dasm_put(Dst, 69160, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
							if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
					dasm_put(Dst, 69164, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
					dasm_put(Dst, 69169, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
							if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
					dasm_put(Dst, 69173, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
					dasm_put(Dst, 69177, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
					dasm_put(Dst, 69181, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
							if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
					dasm_put(Dst, 69185, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 69189, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
						}
					dasm_put(Dst, 69193, (ZREG_X15));
						}
									} else {
						if (arm64_may_use_b(zend_jit_array_free)) {
					dasm_put(Dst, 69196, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
						} else {
						if (((uintptr_t)(zend_jit_array_free)) == 0) {
					dasm_put(Dst, 69199, (ZREG_X15));
						} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
					dasm_put(Dst, 69202, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
						} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
					dasm_put(Dst, 69206, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
					dasm_put(Dst, 69210, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
							if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
					dasm_put(Dst, 69214, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
					dasm_put(Dst, 69219, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
							if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
					dasm_put(Dst, 69223, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
					dasm_put(Dst, 69227, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
					dasm_put(Dst, 69231, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
							if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
					dasm_put(Dst, 69235, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 69239, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
						}
					dasm_put(Dst, 69243, (ZREG_X15));
						}
									}
									break;
								} else if (type == IS_OBJECT) {
									if (opline) {
						if (opline == last_valid_opline) {
							zend_jit_use_last_valid_opline();
						if (GCC_GLOBAL_REGS) {
					dasm_put(Dst, 69246, Dt1(->opline));
						}
						} else {
						if (((uintptr_t)(opline)) == 0) {
					dasm_put(Dst, 69249);
						} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
					dasm_put(Dst, 69251, ((uint64_t)(opline)));
						} else if (arm64_may_use_adr((void*)(opline))) {
					dasm_put(Dst, 69254, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
						} else if (arm64_may_use_adrp((void*)(opline))) {
					dasm_put(Dst, 69257, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
							if (((uintptr_t)(opline)) & 0xfff) {
					dasm_put(Dst, 69260, (((uintptr_t)(opline)) & 0xfff));
							}
						} else if ((uintptr_t)(opline) & 0xffff) {
					dasm_put(Dst, 69263, ((uintptr_t)(opline) & 0xffff));
							if (((uintptr_t)(opline) >> 16) & 0xffff) {
					dasm_put(Dst, 69266, (((uintptr_t)(opline) >> 16) & 0xffff));
							}
							if (((uintptr_t)(opline) >> 32) & 0xffff) {
					dasm_put(Dst, 69269, (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
					dasm_put(Dst, 69272, (((uintptr_t)(opline) >> 16) & 0xffff));
							if (((uintptr_t)(opline) >> 32) & 0xffff) {
					dasm_put(Dst, 69275, (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 69278, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					dasm_put(Dst, 69281, Dt1(->opline));
							if (!GCC_GLOBAL_REGS) {
								zend_jit_reset_last_valid_opline();
							}
						}
									}
						if (arm64_may_use_b(zend_objects_store_del)) {
					dasm_put(Dst, 69284, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
						} else {
						if (((uintptr_t)(zend_objects_store_del)) == 0) {
					dasm_put(Dst, 69287, (ZREG_X15));
						} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
					dasm_put(Dst, 69290, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
						} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
					dasm_put(Dst, 69294, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
					dasm_put(Dst, 69298, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
							if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
					dasm_put(Dst, 69302, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
					dasm_put(Dst, 69307, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
							if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
					dasm_put(Dst, 69311, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
					dasm_put(Dst, 69315, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
					dasm_put(Dst, 69319, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
							if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
					dasm_put(Dst, 69323, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 69327, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
						}
					dasm_put(Dst, 69331, (ZREG_X15));
						}
									break;
								}
							}
							if (opline) {
						if (opline == last_valid_opline) {
							zend_jit_use_last_valid_opline();
						if (GCC_GLOBAL_REGS) {
					dasm_put(Dst, 69334, Dt1(->opline));
						}
						} else {
						if (((uintptr_t)(opline)) == 0) {
					dasm_put(Dst, 69337, (ZREG_X15));
						} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
					dasm_put(Dst, 69340, (ZREG_X15), ((uint64_t)(opline)));
						} else if (arm64_may_use_adr((void*)(opline))) {
					dasm_put(Dst, 69344, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
						} else if (arm64_may_use_adrp((void*)(opline))) {
					dasm_put(Dst, 69348, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
							if (((uintptr_t)(opline)) & 0xfff) {
					dasm_put(Dst, 69352, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
							}
						} else if ((uintptr_t)(opline) & 0xffff) {
					dasm_put(Dst, 69357, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
							if (((uintptr_t)(opline) >> 16) & 0xffff) {
					dasm_put(Dst, 69361, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
							}
							if (((uintptr_t)(opline) >> 32) & 0xffff) {
					dasm_put(Dst, 69365, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
					dasm_put(Dst, 69369, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
							if (((uintptr_t)(opline) >> 32) & 0xffff) {
					dasm_put(Dst, 69373, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 69377, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					dasm_put(Dst, 69381, (ZREG_X15), Dt1(->opline));
							if (!GCC_GLOBAL_REGS) {
								zend_jit_reset_last_valid_opline();
							}
						}
							}
						if (arm64_may_use_b(rc_dtor_func)) {
					dasm_put(Dst, 69385, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
						} else {
						if (((uintptr_t)(rc_dtor_func)) == 0) {
					dasm_put(Dst, 69388, (ZREG_X15));
						} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
					dasm_put(Dst, 69391, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
						} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
					dasm_put(Dst, 69395, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
						} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
					dasm_put(Dst, 69399, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
							if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
					dasm_put(Dst, 69403, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
							}
						} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
					dasm_put(Dst, 69408, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
							if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
					dasm_put(Dst, 69412, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
							}
							if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
					dasm_put(Dst, 69416, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
					dasm_put(Dst, 69420, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
							if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
					dasm_put(Dst, 69424, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 69428, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
						}
					dasm_put(Dst, 69432, (ZREG_X15));
						}
						} while(0);
								if (0 && ((((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN)) & MAY_BE_GUARD) || (RC_MAY_BE_N((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN)) && (((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN)) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					dasm_put(Dst, 69435);
								}
					dasm_put(Dst, 69438);
							}
							if (0 && ((((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN)) & MAY_BE_GUARD) || (RC_MAY_BE_N((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN)) && (((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN)) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
								if (((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN)) & (MAY_BE_REF|MAY_BE_GUARD)) {
									zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
						ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(arg_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 69440, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 69444, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 69448, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 69452, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 69456, (ZREG_X15), (Z_REG(arg_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 69461, (ZREG_X15), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)+offsetof(zval, u1.v.type)));
						}
						if (IS_REFERENCE == 0) {
					dasm_put(Dst, 69466, (ZREG_X15));
						} else {
					dasm_put(Dst, 69470, (ZREG_X15), IS_REFERENCE);
						}
						ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
					dasm_put(Dst, 69476, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
						} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
					dasm_put(Dst, 69480, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
					dasm_put(Dst, 69484, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 69488, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 69492, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
						} else {
					dasm_put(Dst, 69497, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
						}
						if (IS_TYPE_COLLECTABLE == 0) {
					dasm_put(Dst, 69502, (ZREG_X15));
						} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
					dasm_put(Dst, 69505, (ZREG_X15), IS_TYPE_COLLECTABLE);
						} else {
						if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
					dasm_put(Dst, 69509, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
						} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
					dasm_put(Dst, 69513, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
							if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
					dasm_put(Dst, 69517, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 69521, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
						}
					dasm_put(Dst, 69525, (ZREG_X15), (ZREG_X16));
						}
					dasm_put(Dst, 69529);
						ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 69532, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
						} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
					dasm_put(Dst, 69536, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 69540, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 69544, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 69548, (Z_REG(ref_addr)), (ZREG_X16));
						} else {
					dasm_put(Dst, 69552, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
						}
					dasm_put(Dst, 69556);
								}
					dasm_put(Dst, 69558, (ZREG_X15));
						if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
					dasm_put(Dst, 69561, (ZREG_X15));
						} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
					dasm_put(Dst, 69564, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
						} else {
						if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
					dasm_put(Dst, 69568, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
						} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
					dasm_put(Dst, 69572, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
							if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
					dasm_put(Dst, 69576, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 69580, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
						}
					dasm_put(Dst, 69584, (ZREG_X15), (ZREG_X16));
						}
					dasm_put(Dst, 69588);
						if (arm64_may_use_b(gc_possible_root)) {
					dasm_put(Dst, 69591, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
						} else {
						if (((uintptr_t)(gc_possible_root)) == 0) {
					dasm_put(Dst, 69594, (ZREG_X15));
						} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
					dasm_put(Dst, 69597, (ZREG_X15), ((uint64_t)(gc_possible_root)));
						} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
					dasm_put(Dst, 69601, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
						} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
					dasm_put(Dst, 69605, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
							if (((uintptr_t)(gc_possible_root)) & 0xfff) {
					dasm_put(Dst, 69609, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
							}
						} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
					dasm_put(Dst, 69614, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
							if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
					dasm_put(Dst, 69618, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
							}
							if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
					dasm_put(Dst, 69622, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
					dasm_put(Dst, 69626, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
							if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
					dasm_put(Dst, 69630, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 69634, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
						}
					dasm_put(Dst, 69638, (ZREG_X15));
						}
							}
							if (1 && (((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN)) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
					dasm_put(Dst, 69641);
							}
					dasm_put(Dst, 69644);
						}
#line 9741 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			}
		} else {
			//|	mov FCARG1x, RX
			//|	EXT_CALL zend_jit_vm_stack_free_args_helper, REG0
			dasm_put(Dst, 69646);
				if (arm64_may_use_b(zend_jit_vm_stack_free_args_helper)) {
			dasm_put(Dst, 69648, (unsigned int)((ptrdiff_t)(zend_jit_vm_stack_free_args_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_vm_stack_free_args_helper))>>32));
				} else {
				if (((uintptr_t)(zend_jit_vm_stack_free_args_helper)) == 0) {
			dasm_put(Dst, 69651);
				} else if (((uintptr_t)(zend_jit_vm_stack_free_args_helper)) <= MOVZ_IMM) {
			dasm_put(Dst, 69653, ((uint64_t)(zend_jit_vm_stack_free_args_helper)));
				} else if (arm64_may_use_adr((void*)(zend_jit_vm_stack_free_args_helper))) {
			dasm_put(Dst, 69656, (unsigned int)((ptrdiff_t)(zend_jit_vm_stack_free_args_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_vm_stack_free_args_helper))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_vm_stack_free_args_helper))) {
			dasm_put(Dst, 69659, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_vm_stack_free_args_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_vm_stack_free_args_helper)))))>>32));
					if (((uintptr_t)(zend_jit_vm_stack_free_args_helper)) & 0xfff) {
			dasm_put(Dst, 69662, (((uintptr_t)(zend_jit_vm_stack_free_args_helper)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_vm_stack_free_args_helper) & 0xffff) {
			dasm_put(Dst, 69665, ((uintptr_t)(zend_jit_vm_stack_free_args_helper) & 0xffff));
					if (((uintptr_t)(zend_jit_vm_stack_free_args_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 69668, (((uintptr_t)(zend_jit_vm_stack_free_args_helper) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_vm_stack_free_args_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 69671, (((uintptr_t)(zend_jit_vm_stack_free_args_helper) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_vm_stack_free_args_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 69674, (((uintptr_t)(zend_jit_vm_stack_free_args_helper) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_vm_stack_free_args_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 69677, (((uintptr_t)(zend_jit_vm_stack_free_args_helper) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 69680, (((uintptr_t)(zend_jit_vm_stack_free_args_helper) >> 32) & 0xffff));
				}
			dasm_put(Dst, 69683);
				}
#line 9746 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (may_have_extra_named_params) {
		    //|	ldrb TMP1w, [RX, #(offsetof(zend_execute_data, This.u1.type_info) + 3)]
			//|	TST_32_WITH_CONST TMP1w, (ZEND_CALL_HAS_EXTRA_NAMED_PARAMS >> 24), TMP2w
			dasm_put(Dst, 69685, (offsetof(zend_execute_data, This.u1.type_info) + 3));
				if ((ZEND_CALL_HAS_EXTRA_NAMED_PARAMS >> 24) == 0) {
			dasm_put(Dst, 69688);
				} else if (logical_immediate_p((uint32_t)(ZEND_CALL_HAS_EXTRA_NAMED_PARAMS >> 24), 32)) {
			dasm_put(Dst, 69690, (ZEND_CALL_HAS_EXTRA_NAMED_PARAMS >> 24));
				} else {
				if (((uint32_t)((ZEND_CALL_HAS_EXTRA_NAMED_PARAMS >> 24))) <= MOVZ_IMM) {
			dasm_put(Dst, 69693, ((uint32_t)((ZEND_CALL_HAS_EXTRA_NAMED_PARAMS >> 24))));
				} else if (((uint32_t)((ZEND_CALL_HAS_EXTRA_NAMED_PARAMS >> 24)) & 0xffff)) {
			dasm_put(Dst, 69696, ((uint32_t)((ZEND_CALL_HAS_EXTRA_NAMED_PARAMS >> 24)) & 0xffff));
					if ((((uint32_t)((ZEND_CALL_HAS_EXTRA_NAMED_PARAMS >> 24)) >> 16) & 0xffff)) {
			dasm_put(Dst, 69699, (((uint32_t)((ZEND_CALL_HAS_EXTRA_NAMED_PARAMS >> 24)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 69702, (((uint32_t)((ZEND_CALL_HAS_EXTRA_NAMED_PARAMS >> 24)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 69705);
				}
#line 9750 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	bne >1
			//|.cold_code
			dasm_put(Dst, 69707);
#line 9752 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|1:
			//|	ldr FCARG1x, [RX, #offsetof(zend_execute_data, extra_named_params)]
			//|	EXT_CALL zend_free_extra_named_params, REG0
			dasm_put(Dst, 69710, offsetof(zend_execute_data, extra_named_params));
				if (arm64_may_use_b(zend_free_extra_named_params)) {
			dasm_put(Dst, 69714, (unsigned int)((ptrdiff_t)(zend_free_extra_named_params)), (unsigned int)(((ptrdiff_t)(zend_free_extra_named_params))>>32));
				} else {
				if (((uintptr_t)(zend_free_extra_named_params)) == 0) {
			dasm_put(Dst, 69717);
				} else if (((uintptr_t)(zend_free_extra_named_params)) <= MOVZ_IMM) {
			dasm_put(Dst, 69719, ((uint64_t)(zend_free_extra_named_params)));
				} else if (arm64_may_use_adr((void*)(zend_free_extra_named_params))) {
			dasm_put(Dst, 69722, (unsigned int)((ptrdiff_t)(zend_free_extra_named_params)), (unsigned int)(((ptrdiff_t)(zend_free_extra_named_params))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_free_extra_named_params))) {
			dasm_put(Dst, 69725, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_free_extra_named_params))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_free_extra_named_params)))))>>32));
					if (((uintptr_t)(zend_free_extra_named_params)) & 0xfff) {
			dasm_put(Dst, 69728, (((uintptr_t)(zend_free_extra_named_params)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_free_extra_named_params) & 0xffff) {
			dasm_put(Dst, 69731, ((uintptr_t)(zend_free_extra_named_params) & 0xffff));
					if (((uintptr_t)(zend_free_extra_named_params) >> 16) & 0xffff) {
			dasm_put(Dst, 69734, (((uintptr_t)(zend_free_extra_named_params) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_free_extra_named_params) >> 32) & 0xffff) {
			dasm_put(Dst, 69737, (((uintptr_t)(zend_free_extra_named_params) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_free_extra_named_params) >> 16) & 0xffff) {
			dasm_put(Dst, 69740, (((uintptr_t)(zend_free_extra_named_params) >> 16) & 0xffff));
					if (((uintptr_t)(zend_free_extra_named_params) >> 32) & 0xffff) {
			dasm_put(Dst, 69743, (((uintptr_t)(zend_free_extra_named_params) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 69746, (((uintptr_t)(zend_free_extra_named_params) >> 32) & 0xffff));
				}
			dasm_put(Dst, 69749);
				}
#line 9755 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	b >2
			//|.code
			dasm_put(Dst, 69751);
#line 9757 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|2:
			dasm_put(Dst, 69754);
#line 9758 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}

		//|8:
		dasm_put(Dst, 69756);
#line 9761 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (opline->opcode == ZEND_DO_FCALL) {
			// TODO: optimize ???
			//|	// if (UNEXPECTED(ZEND_CALL_INFO(call) & ZEND_CALL_RELEASE_THIS))
			//|	ldrb TMP1w, [RX, #(offsetof(zend_execute_data, This.u1.type_info) + 2)]
			//|	TST_32_WITH_CONST TMP1w, (ZEND_CALL_RELEASE_THIS >> 16), TMP2w
			dasm_put(Dst, 69758, (offsetof(zend_execute_data, This.u1.type_info) + 2));
				if ((ZEND_CALL_RELEASE_THIS >> 16) == 0) {
			dasm_put(Dst, 69761);
				} else if (logical_immediate_p((uint32_t)(ZEND_CALL_RELEASE_THIS >> 16), 32)) {
			dasm_put(Dst, 69763, (ZEND_CALL_RELEASE_THIS >> 16));
				} else {
				if (((uint32_t)((ZEND_CALL_RELEASE_THIS >> 16))) <= MOVZ_IMM) {
			dasm_put(Dst, 69766, ((uint32_t)((ZEND_CALL_RELEASE_THIS >> 16))));
				} else if (((uint32_t)((ZEND_CALL_RELEASE_THIS >> 16)) & 0xffff)) {
			dasm_put(Dst, 69769, ((uint32_t)((ZEND_CALL_RELEASE_THIS >> 16)) & 0xffff));
					if ((((uint32_t)((ZEND_CALL_RELEASE_THIS >> 16)) >> 16) & 0xffff)) {
			dasm_put(Dst, 69772, (((uint32_t)((ZEND_CALL_RELEASE_THIS >> 16)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 69775, (((uint32_t)((ZEND_CALL_RELEASE_THIS >> 16)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 69778);
				}
#line 9766 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	bne >1
			//|.cold_code
			dasm_put(Dst, 69780);
#line 9768 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|1:
			//|	add TMP1, RX, #offsetof(zend_execute_data, This)
			//|	GET_Z_PTR FCARG1x, TMP1
			//|	// OBJ_RELEASE(object);
			//|	OBJ_RELEASE ZREG_FCARG1, >2, ZREG_TMP1, ZREG_TMP2
			dasm_put(Dst, 69783, offsetof(zend_execute_data, This), (ZREG_X15), (ZREG_FCARG1), (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_FCARG1));
				if (ZREG_FCARG1 != ZREG_FCARG1) {
			dasm_put(Dst, 69799, (ZREG_FCARG1));
				}
				if (arm64_may_use_b(zend_objects_store_del)) {
			dasm_put(Dst, 69802, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
				} else {
				if (((uintptr_t)(zend_objects_store_del)) == 0) {
			dasm_put(Dst, 69805, (ZREG_X15));
				} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
			dasm_put(Dst, 69808, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
				} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
			dasm_put(Dst, 69812, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
			dasm_put(Dst, 69816, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
					if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
			dasm_put(Dst, 69820, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
			dasm_put(Dst, 69825, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
					if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
			dasm_put(Dst, 69829, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
			dasm_put(Dst, 69833, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
			dasm_put(Dst, 69837, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
					if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
			dasm_put(Dst, 69841, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 69845, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			dasm_put(Dst, 69849, (ZREG_X15));
				}
			dasm_put(Dst, 69852, (ZREG_X15), (ZREG_FCARG1));
				if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
			dasm_put(Dst, 69859, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
			dasm_put(Dst, 69862, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
				} else {
				if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
			dasm_put(Dst, 69866, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
				} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
			dasm_put(Dst, 69870, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
					if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
			dasm_put(Dst, 69874, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 69878, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			dasm_put(Dst, 69882, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 69886);
				if (ZREG_FCARG1 != ZREG_FCARG1) {
			dasm_put(Dst, 69889, (ZREG_FCARG1));
				}
				if (arm64_may_use_b(gc_possible_root)) {
			dasm_put(Dst, 69892, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
				} else {
				if (((uintptr_t)(gc_possible_root)) == 0) {
			dasm_put(Dst, 69895, (ZREG_X15));
				} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
			dasm_put(Dst, 69898, (ZREG_X15), ((uint64_t)(gc_possible_root)));
				} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
			dasm_put(Dst, 69902, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
				} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
			dasm_put(Dst, 69906, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
					if (((uintptr_t)(gc_possible_root)) & 0xfff) {
			dasm_put(Dst, 69910, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
					}
				} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
			dasm_put(Dst, 69915, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
					if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
			dasm_put(Dst, 69919, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
					}
					if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
			dasm_put(Dst, 69923, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
			dasm_put(Dst, 69927, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
					if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
			dasm_put(Dst, 69931, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 69935, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			dasm_put(Dst, 69939, (ZREG_X15));
				}
#line 9773 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	b >2
			//|.code
			dasm_put(Dst, 69942);
#line 9775 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|2:
			dasm_put(Dst, 69946);
#line 9776 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}

		if (JIT_G(trigger) != ZEND_JIT_ON_HOT_TRACE ||
		    !JIT_G(current_frame) ||
		    !JIT_G(current_frame)->call ||
		    !TRACE_FRAME_IS_NESTED(JIT_G(current_frame)->call) ||
		    prev_opline->opcode == ZEND_SEND_UNPACK ||
		    prev_opline->opcode == ZEND_SEND_ARRAY ||
			prev_opline->opcode == ZEND_CHECK_UNDEF_ARGS) {

			//|	// zend_vm_stack_free_call_frame(call);
			//|	ldrb TMP1w, [RX, #(offsetof(zend_execute_data, This.u1.type_info) + 2)]
			//|	TST_32_WITH_CONST TMP1w, ((ZEND_CALL_ALLOCATED >> 16) & 0xff), TMP2w
			dasm_put(Dst, 69948, (offsetof(zend_execute_data, This.u1.type_info) + 2));
				if (((ZEND_CALL_ALLOCATED >> 16) & 0xff) == 0) {
			dasm_put(Dst, 69951);
				} else if (logical_immediate_p((uint32_t)((ZEND_CALL_ALLOCATED >> 16) & 0xff), 32)) {
			dasm_put(Dst, 69953, ((ZEND_CALL_ALLOCATED >> 16) & 0xff));
				} else {
				if (((uint32_t)(((ZEND_CALL_ALLOCATED >> 16) & 0xff))) <= MOVZ_IMM) {
			dasm_put(Dst, 69956, ((uint32_t)(((ZEND_CALL_ALLOCATED >> 16) & 0xff))));
				} else if (((uint32_t)(((ZEND_CALL_ALLOCATED >> 16) & 0xff)) & 0xffff)) {
			dasm_put(Dst, 69959, ((uint32_t)(((ZEND_CALL_ALLOCATED >> 16) & 0xff)) & 0xffff));
					if ((((uint32_t)(((ZEND_CALL_ALLOCATED >> 16) & 0xff)) >> 16) & 0xffff)) {
			dasm_put(Dst, 69962, (((uint32_t)(((ZEND_CALL_ALLOCATED >> 16) & 0xff)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 69965, (((uint32_t)(((ZEND_CALL_ALLOCATED >> 16) & 0xff)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 69968);
				}
#line 9789 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	bne >1
			//|.cold_code
			dasm_put(Dst, 69970);
#line 9791 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|1:
			//|	mov FCARG1x, RX
			//|	EXT_CALL zend_jit_free_call_frame, REG0
			dasm_put(Dst, 69973);
				if (arm64_may_use_b(zend_jit_free_call_frame)) {
			dasm_put(Dst, 69976, (unsigned int)((ptrdiff_t)(zend_jit_free_call_frame)), (unsigned int)(((ptrdiff_t)(zend_jit_free_call_frame))>>32));
				} else {
				if (((uintptr_t)(zend_jit_free_call_frame)) == 0) {
			dasm_put(Dst, 69979);
				} else if (((uintptr_t)(zend_jit_free_call_frame)) <= MOVZ_IMM) {
			dasm_put(Dst, 69981, ((uint64_t)(zend_jit_free_call_frame)));
				} else if (arm64_may_use_adr((void*)(zend_jit_free_call_frame))) {
			dasm_put(Dst, 69984, (unsigned int)((ptrdiff_t)(zend_jit_free_call_frame)), (unsigned int)(((ptrdiff_t)(zend_jit_free_call_frame))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_free_call_frame))) {
			dasm_put(Dst, 69987, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_free_call_frame))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_free_call_frame)))))>>32));
					if (((uintptr_t)(zend_jit_free_call_frame)) & 0xfff) {
			dasm_put(Dst, 69990, (((uintptr_t)(zend_jit_free_call_frame)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_free_call_frame) & 0xffff) {
			dasm_put(Dst, 69993, ((uintptr_t)(zend_jit_free_call_frame) & 0xffff));
					if (((uintptr_t)(zend_jit_free_call_frame) >> 16) & 0xffff) {
			dasm_put(Dst, 69996, (((uintptr_t)(zend_jit_free_call_frame) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_free_call_frame) >> 32) & 0xffff) {
			dasm_put(Dst, 69999, (((uintptr_t)(zend_jit_free_call_frame) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_free_call_frame) >> 16) & 0xffff) {
			dasm_put(Dst, 70002, (((uintptr_t)(zend_jit_free_call_frame) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_free_call_frame) >> 32) & 0xffff) {
			dasm_put(Dst, 70005, (((uintptr_t)(zend_jit_free_call_frame) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 70008, (((uintptr_t)(zend_jit_free_call_frame) >> 32) & 0xffff));
				}
			dasm_put(Dst, 70011);
				}
#line 9794 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	b >1
			//|.code
			dasm_put(Dst, 70013);
#line 9796 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	MEM_STORE_64_ZTS str, RX, executor_globals, vm_stack_top, REG0
			if (((uintptr_t)(&executor_globals.vm_stack_top)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.vm_stack_top))) {
		dasm_put(Dst, 70016, (unsigned int)((ptrdiff_t)(&executor_globals.vm_stack_top)), (unsigned int)(((ptrdiff_t)(&executor_globals.vm_stack_top))>>32));
			} else if (((uintptr_t)(&executor_globals.vm_stack_top)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.vm_stack_top))) {
		dasm_put(Dst, 70020, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_stack_top))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_stack_top)))))>>32), (((uintptr_t)(&executor_globals.vm_stack_top)) & 0xfff));
			} else {
			if (((uintptr_t)(&executor_globals.vm_stack_top)) == 0) {
		dasm_put(Dst, 70025);
			} else if (((uintptr_t)(&executor_globals.vm_stack_top)) <= MOVZ_IMM) {
		dasm_put(Dst, 70027, ((uint64_t)(&executor_globals.vm_stack_top)));
			} else if (arm64_may_use_adr((void*)(&executor_globals.vm_stack_top))) {
		dasm_put(Dst, 70030, (unsigned int)((ptrdiff_t)(&executor_globals.vm_stack_top)), (unsigned int)(((ptrdiff_t)(&executor_globals.vm_stack_top))>>32));
			} else if (arm64_may_use_adrp((void*)(&executor_globals.vm_stack_top))) {
		dasm_put(Dst, 70033, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_stack_top))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_stack_top)))))>>32));
				if (((uintptr_t)(&executor_globals.vm_stack_top)) & 0xfff) {
		dasm_put(Dst, 70036, (((uintptr_t)(&executor_globals.vm_stack_top)) & 0xfff));
				}
			} else if ((uintptr_t)(&executor_globals.vm_stack_top) & 0xffff) {
		dasm_put(Dst, 70039, ((uintptr_t)(&executor_globals.vm_stack_top) & 0xffff));
				if (((uintptr_t)(&executor_globals.vm_stack_top) >> 16) & 0xffff) {
		dasm_put(Dst, 70042, (((uintptr_t)(&executor_globals.vm_stack_top) >> 16) & 0xffff));
				}
				if (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff) {
		dasm_put(Dst, 70045, (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(&executor_globals.vm_stack_top) >> 16) & 0xffff) {
		dasm_put(Dst, 70048, (((uintptr_t)(&executor_globals.vm_stack_top) >> 16) & 0xffff));
				if (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff) {
		dasm_put(Dst, 70051, (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 70054, (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff));
			}
		dasm_put(Dst, 70057);
			}
#line 9798 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|1:
		dasm_put(Dst, 70059);
#line 9799 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

		if (!RETURN_VALUE_USED(opline)) {
			zend_class_entry *ce;
			bool ce_is_instanceof;
			uint32_t func_info = call_info ?
				zend_get_func_info(call_info, ssa, &ce, &ce_is_instanceof) :
				(MAY_BE_ANY|MAY_BE_REF|MAY_BE_RC1|MAY_BE_RCN);

			/* If an exception is thrown, the return_value may stay at the
			 * original value of null. */
			func_info |= MAY_BE_NULL;

			if (func_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF)) {
				//|	ZVAL_PTR_DTOR res_addr, func_info, 1, 1, opline, ZREG_TMP1, ZREG_TMP2
					if ((func_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
						if ((func_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
							if (1) {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
				dasm_put(Dst, 70061, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
				dasm_put(Dst, 70065, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
				dasm_put(Dst, 70069, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 70073, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 70077, (ZREG_X15), (Z_REG(res_addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 70082, (ZREG_X15), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags)));
					}
					if (IS_TYPE_REFCOUNTED == 0) {
				dasm_put(Dst, 70087, (ZREG_X15));
					} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
				dasm_put(Dst, 70090, (ZREG_X15), IS_TYPE_REFCOUNTED);
					} else {
					if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
				dasm_put(Dst, 70094, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
					} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
				dasm_put(Dst, 70098, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
						if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
				dasm_put(Dst, 70102, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 70106, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				dasm_put(Dst, 70110, (ZREG_X15), (ZREG_X16));
					}
				dasm_put(Dst, 70114);
				dasm_put(Dst, 70117);
							} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
				dasm_put(Dst, 70119, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
				dasm_put(Dst, 70123, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
				dasm_put(Dst, 70127, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 70131, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 70135, (ZREG_X15), (Z_REG(res_addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 70140, (ZREG_X15), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags)));
					}
					if (IS_TYPE_REFCOUNTED == 0) {
				dasm_put(Dst, 70145, (ZREG_X15));
					} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
				dasm_put(Dst, 70148, (ZREG_X15), IS_TYPE_REFCOUNTED);
					} else {
					if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
				dasm_put(Dst, 70152, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
					} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
				dasm_put(Dst, 70156, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
						if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
				dasm_put(Dst, 70160, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 70164, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				dasm_put(Dst, 70168, (ZREG_X15), (ZREG_X16));
					}
				dasm_put(Dst, 70172);
							}
						}
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 70175, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 70179, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 70183, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 70187, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 70191, (Z_REG(res_addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 70195, (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
					}
				dasm_put(Dst, 70199, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
						if (((func_info) & MAY_BE_GUARD) || RC_MAY_BE_1(func_info)) {
							if (((func_info) & MAY_BE_GUARD) || RC_MAY_BE_N(func_info)) {
								if (1 && (((func_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(func_info) && ((func_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
				dasm_put(Dst, 70207);
								} else {
				dasm_put(Dst, 70210);
								}
							}
					do {
						if (!((func_info) & MAY_BE_GUARD)
						 && has_concrete_type((func_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
							zend_uchar type = concrete_type((func_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
							if (type == IS_STRING && !ZEND_DEBUG) {
					if (arm64_may_use_b(_efree)) {
				dasm_put(Dst, 70213, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
					} else {
					if (((uintptr_t)(_efree)) == 0) {
				dasm_put(Dst, 70216, (ZREG_X15));
					} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
				dasm_put(Dst, 70219, (ZREG_X15), ((uint64_t)(_efree)));
					} else if (arm64_may_use_adr((void*)(_efree))) {
				dasm_put(Dst, 70223, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
					} else if (arm64_may_use_adrp((void*)(_efree))) {
				dasm_put(Dst, 70227, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
						if (((uintptr_t)(_efree)) & 0xfff) {
				dasm_put(Dst, 70231, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
						}
					} else if ((uintptr_t)(_efree) & 0xffff) {
				dasm_put(Dst, 70236, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
						if (((uintptr_t)(_efree) >> 16) & 0xffff) {
				dasm_put(Dst, 70240, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
						}
						if (((uintptr_t)(_efree) >> 32) & 0xffff) {
				dasm_put(Dst, 70244, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
				dasm_put(Dst, 70248, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
						if (((uintptr_t)(_efree) >> 32) & 0xffff) {
				dasm_put(Dst, 70252, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 70256, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				dasm_put(Dst, 70260, (ZREG_X15));
					}
								break;
							} else if (type == IS_ARRAY) {
								if ((func_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
									if (opline && ((func_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 70263, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 70266, (ZREG_X15));
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 70269, (ZREG_X15), ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 70273, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 70277, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 70281, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 70286, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 70290, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 70294, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 70298, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 70302, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 70306, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 70310, (ZREG_X15), Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
									}
					if (arm64_may_use_b(zend_array_destroy)) {
				dasm_put(Dst, 70314, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
					} else {
					if (((uintptr_t)(zend_array_destroy)) == 0) {
				dasm_put(Dst, 70317, (ZREG_X15));
					} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
				dasm_put(Dst, 70320, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
					} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
				dasm_put(Dst, 70324, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
				dasm_put(Dst, 70328, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
						if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
				dasm_put(Dst, 70332, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
				dasm_put(Dst, 70337, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
						if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
				dasm_put(Dst, 70341, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
				dasm_put(Dst, 70345, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
				dasm_put(Dst, 70349, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
						if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
				dasm_put(Dst, 70353, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 70357, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				dasm_put(Dst, 70361, (ZREG_X15));
					}
								} else {
					if (arm64_may_use_b(zend_jit_array_free)) {
				dasm_put(Dst, 70364, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
					} else {
					if (((uintptr_t)(zend_jit_array_free)) == 0) {
				dasm_put(Dst, 70367, (ZREG_X15));
					} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
				dasm_put(Dst, 70370, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
					} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
				dasm_put(Dst, 70374, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
				dasm_put(Dst, 70378, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
						if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
				dasm_put(Dst, 70382, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
				dasm_put(Dst, 70387, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
						if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
				dasm_put(Dst, 70391, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
				dasm_put(Dst, 70395, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
				dasm_put(Dst, 70399, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
				dasm_put(Dst, 70403, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 70407, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				dasm_put(Dst, 70411, (ZREG_X15));
					}
								}
								break;
							} else if (type == IS_OBJECT) {
								if (opline) {
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 70414, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 70417);
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 70419, ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 70422, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 70425, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 70428, (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 70431, ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 70434, (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 70437, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 70440, (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 70443, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 70446, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 70449, Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
								}
					if (arm64_may_use_b(zend_objects_store_del)) {
				dasm_put(Dst, 70452, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
					} else {
					if (((uintptr_t)(zend_objects_store_del)) == 0) {
				dasm_put(Dst, 70455, (ZREG_X15));
					} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
				dasm_put(Dst, 70458, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
					} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
				dasm_put(Dst, 70462, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
				dasm_put(Dst, 70466, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
						if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
				dasm_put(Dst, 70470, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
				dasm_put(Dst, 70475, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
						if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
				dasm_put(Dst, 70479, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
				dasm_put(Dst, 70483, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
				dasm_put(Dst, 70487, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
						if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
				dasm_put(Dst, 70491, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 70495, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				dasm_put(Dst, 70499, (ZREG_X15));
					}
								break;
							}
						}
						if (opline) {
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 70502, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 70505, (ZREG_X15));
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 70508, (ZREG_X15), ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 70512, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 70516, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 70520, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 70525, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 70529, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 70533, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 70537, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 70541, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 70545, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 70549, (ZREG_X15), Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
						}
					if (arm64_may_use_b(rc_dtor_func)) {
				dasm_put(Dst, 70553, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
					} else {
					if (((uintptr_t)(rc_dtor_func)) == 0) {
				dasm_put(Dst, 70556, (ZREG_X15));
					} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
				dasm_put(Dst, 70559, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
					} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
				dasm_put(Dst, 70563, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
					} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
				dasm_put(Dst, 70567, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
						if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
				dasm_put(Dst, 70571, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
						}
					} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
				dasm_put(Dst, 70576, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
						if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
				dasm_put(Dst, 70580, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
						}
						if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
				dasm_put(Dst, 70584, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
				dasm_put(Dst, 70588, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
						if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
				dasm_put(Dst, 70592, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 70596, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				dasm_put(Dst, 70600, (ZREG_X15));
					}
					} while(0);
							if (1 && (((func_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(func_info) && ((func_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
				dasm_put(Dst, 70603);
							}
				dasm_put(Dst, 70606);
						}
						if (1 && (((func_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(func_info) && ((func_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
							if ((func_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
								zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 70608, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 70612, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 70616, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 70620, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 70624, (ZREG_X15), (Z_REG(res_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 70629, (ZREG_X15), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_REFERENCE == 0) {
				dasm_put(Dst, 70634, (ZREG_X15));
					} else {
				dasm_put(Dst, 70638, (ZREG_X15), IS_REFERENCE);
					}
					ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
				dasm_put(Dst, 70644, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
					} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
				dasm_put(Dst, 70648, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
				dasm_put(Dst, 70652, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 70656, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 70660, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 70665, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
					}
					if (IS_TYPE_COLLECTABLE == 0) {
				dasm_put(Dst, 70670, (ZREG_X15));
					} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
				dasm_put(Dst, 70673, (ZREG_X15), IS_TYPE_COLLECTABLE);
					} else {
					if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
				dasm_put(Dst, 70677, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
					} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
				dasm_put(Dst, 70681, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
						if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
				dasm_put(Dst, 70685, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 70689, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
					}
				dasm_put(Dst, 70693, (ZREG_X15), (ZREG_X16));
					}
				dasm_put(Dst, 70697);
					ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 70700, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
					} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
				dasm_put(Dst, 70704, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 70708, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 70712, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 70716, (Z_REG(ref_addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 70720, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
					}
				dasm_put(Dst, 70724);
							}
				dasm_put(Dst, 70726, (ZREG_X15));
					if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
				dasm_put(Dst, 70729, (ZREG_X15));
					} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
				dasm_put(Dst, 70732, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
					} else {
					if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
				dasm_put(Dst, 70736, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
					} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
				dasm_put(Dst, 70740, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
						if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
				dasm_put(Dst, 70744, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 70748, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
					}
				dasm_put(Dst, 70752, (ZREG_X15), (ZREG_X16));
					}
				dasm_put(Dst, 70756);
					if (arm64_may_use_b(gc_possible_root)) {
				dasm_put(Dst, 70759, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
					} else {
					if (((uintptr_t)(gc_possible_root)) == 0) {
				dasm_put(Dst, 70762, (ZREG_X15));
					} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
				dasm_put(Dst, 70765, (ZREG_X15), ((uint64_t)(gc_possible_root)));
					} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
				dasm_put(Dst, 70769, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
					} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
				dasm_put(Dst, 70773, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
						if (((uintptr_t)(gc_possible_root)) & 0xfff) {
				dasm_put(Dst, 70777, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
						}
					} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
				dasm_put(Dst, 70782, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
						if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
				dasm_put(Dst, 70786, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
						}
						if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
				dasm_put(Dst, 70790, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
				dasm_put(Dst, 70794, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
						if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
				dasm_put(Dst, 70798, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 70802, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				dasm_put(Dst, 70806, (ZREG_X15));
					}
						}
						if (1 && ((func_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
				dasm_put(Dst, 70809);
						}
				dasm_put(Dst, 70812);
					}
#line 9813 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}

		//|	// if (UNEXPECTED(EG(exception) != NULL)) {
		//|	MEM_LOAD_64_ZTS ldr, REG0, executor_globals, exception, TMP1
			if (((uintptr_t)(&executor_globals.exception)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.exception))) {
		dasm_put(Dst, 70814, (unsigned int)((ptrdiff_t)(&executor_globals.exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.exception))>>32));
			} else if (((uintptr_t)(&executor_globals.exception)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.exception))) {
		dasm_put(Dst, 70818, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.exception)))))>>32), (((uintptr_t)(&executor_globals.exception)) & 0xfff));
			} else {
			if (((uintptr_t)(&executor_globals.exception)) == 0) {
		dasm_put(Dst, 70823);
			} else if (((uintptr_t)(&executor_globals.exception)) <= MOVZ_IMM) {
		dasm_put(Dst, 70825, ((uint64_t)(&executor_globals.exception)));
			} else if (arm64_may_use_adr((void*)(&executor_globals.exception))) {
		dasm_put(Dst, 70828, (unsigned int)((ptrdiff_t)(&executor_globals.exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.exception))>>32));
			} else if (arm64_may_use_adrp((void*)(&executor_globals.exception))) {
		dasm_put(Dst, 70831, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.exception)))))>>32));
				if (((uintptr_t)(&executor_globals.exception)) & 0xfff) {
		dasm_put(Dst, 70834, (((uintptr_t)(&executor_globals.exception)) & 0xfff));
				}
			} else if ((uintptr_t)(&executor_globals.exception) & 0xffff) {
		dasm_put(Dst, 70837, ((uintptr_t)(&executor_globals.exception) & 0xffff));
				if (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff) {
		dasm_put(Dst, 70840, (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff));
				}
				if (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff) {
		dasm_put(Dst, 70843, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff) {
		dasm_put(Dst, 70846, (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff));
				if (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff) {
		dasm_put(Dst, 70849, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 70852, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
			}
		dasm_put(Dst, 70855);
			}
#line 9818 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	cbnz REG0, ->icall_throw_handler
		dasm_put(Dst, 70857);
#line 9819 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

		// TODO: Can we avoid checking for interrupts after each call ???
		if (trace && last_valid_opline != opline) {
			int32_t exit_point = zend_jit_trace_get_exit_point(opline + 1, ZEND_JIT_EXIT_TO_VM);

			exit_addr = zend_jit_trace_get_exit_addr(exit_point);
			if (!exit_addr) {
				return 0;
			}
		} else {
			exit_addr = NULL;
		}
		if (!zend_jit_check_timeout(Dst, opline + 1, exit_addr)) {
			return 0;
		}

		if ((!trace || !func) && opline->opcode != ZEND_DO_ICALL) {
			//|	LOAD_IP_ADDR (opline + 1)
				if (GCC_GLOBAL_REGS) {
				if (((uintptr_t)((opline + 1))) == 0) {
			dasm_put(Dst, 70860);
				} else if (((uintptr_t)((opline + 1))) <= MOVZ_IMM) {
			dasm_put(Dst, 70862, ((uint64_t)((opline + 1))));
				} else if (arm64_may_use_adr((void*)((opline + 1)))) {
			dasm_put(Dst, 70865, (unsigned int)((ptrdiff_t)((opline + 1))), (unsigned int)(((ptrdiff_t)((opline + 1)))>>32));
				} else if (arm64_may_use_adrp((void*)((opline + 1)))) {
			dasm_put(Dst, 70868, (unsigned int)((ptrdiff_t)((((uintptr_t)((opline + 1)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)((opline + 1))))))>>32));
					if (((uintptr_t)((opline + 1))) & 0xfff) {
			dasm_put(Dst, 70871, (((uintptr_t)((opline + 1))) & 0xfff));
					}
				} else if ((uintptr_t)((opline + 1)) & 0xffff) {
			dasm_put(Dst, 70874, ((uintptr_t)((opline + 1)) & 0xffff));
					if (((uintptr_t)((opline + 1)) >> 16) & 0xffff) {
			dasm_put(Dst, 70877, (((uintptr_t)((opline + 1)) >> 16) & 0xffff));
					}
					if (((uintptr_t)((opline + 1)) >> 32) & 0xffff) {
			dasm_put(Dst, 70880, (((uintptr_t)((opline + 1)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)((opline + 1)) >> 16) & 0xffff) {
			dasm_put(Dst, 70883, (((uintptr_t)((opline + 1)) >> 16) & 0xffff));
					if (((uintptr_t)((opline + 1)) >> 32) & 0xffff) {
			dasm_put(Dst, 70886, (((uintptr_t)((opline + 1)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 70889, (((uintptr_t)((opline + 1)) >> 32) & 0xffff));
				}
				} else {
				if (((uintptr_t)((opline + 1))) == 0) {
			dasm_put(Dst, 70892);
				} else if (((uintptr_t)((opline + 1))) <= MOVZ_IMM) {
			dasm_put(Dst, 70894, ((uint64_t)((opline + 1))));
				} else if (arm64_may_use_adr((void*)((opline + 1)))) {
			dasm_put(Dst, 70897, (unsigned int)((ptrdiff_t)((opline + 1))), (unsigned int)(((ptrdiff_t)((opline + 1)))>>32));
				} else if (arm64_may_use_adrp((void*)((opline + 1)))) {
			dasm_put(Dst, 70900, (unsigned int)((ptrdiff_t)((((uintptr_t)((opline + 1)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)((opline + 1))))))>>32));
					if (((uintptr_t)((opline + 1))) & 0xfff) {
			dasm_put(Dst, 70903, (((uintptr_t)((opline + 1))) & 0xfff));
					}
				} else if ((uintptr_t)((opline + 1)) & 0xffff) {
			dasm_put(Dst, 70906, ((uintptr_t)((opline + 1)) & 0xffff));
					if (((uintptr_t)((opline + 1)) >> 16) & 0xffff) {
			dasm_put(Dst, 70909, (((uintptr_t)((opline + 1)) >> 16) & 0xffff));
					}
					if (((uintptr_t)((opline + 1)) >> 32) & 0xffff) {
			dasm_put(Dst, 70912, (((uintptr_t)((opline + 1)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)((opline + 1)) >> 16) & 0xffff) {
			dasm_put(Dst, 70915, (((uintptr_t)((opline + 1)) >> 16) & 0xffff));
					if (((uintptr_t)((opline + 1)) >> 32) & 0xffff) {
			dasm_put(Dst, 70918, (((uintptr_t)((opline + 1)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 70921, (((uintptr_t)((opline + 1)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 70924, Dt1(->opline));
				}
#line 9837 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else if (trace
		 && trace->op == ZEND_JIT_TRACE_END
		 && trace->stop == ZEND_JIT_TRACE_STOP_INTERPRETER) {
			//|	LOAD_IP_ADDR (opline + 1)
				if (GCC_GLOBAL_REGS) {
				if (((uintptr_t)((opline + 1))) == 0) {
			dasm_put(Dst, 70927);
				} else if (((uintptr_t)((opline + 1))) <= MOVZ_IMM) {
			dasm_put(Dst, 70929, ((uint64_t)((opline + 1))));
				} else if (arm64_may_use_adr((void*)((opline + 1)))) {
			dasm_put(Dst, 70932, (unsigned int)((ptrdiff_t)((opline + 1))), (unsigned int)(((ptrdiff_t)((opline + 1)))>>32));
				} else if (arm64_may_use_adrp((void*)((opline + 1)))) {
			dasm_put(Dst, 70935, (unsigned int)((ptrdiff_t)((((uintptr_t)((opline + 1)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)((opline + 1))))))>>32));
					if (((uintptr_t)((opline + 1))) & 0xfff) {
			dasm_put(Dst, 70938, (((uintptr_t)((opline + 1))) & 0xfff));
					}
				} else if ((uintptr_t)((opline + 1)) & 0xffff) {
			dasm_put(Dst, 70941, ((uintptr_t)((opline + 1)) & 0xffff));
					if (((uintptr_t)((opline + 1)) >> 16) & 0xffff) {
			dasm_put(Dst, 70944, (((uintptr_t)((opline + 1)) >> 16) & 0xffff));
					}
					if (((uintptr_t)((opline + 1)) >> 32) & 0xffff) {
			dasm_put(Dst, 70947, (((uintptr_t)((opline + 1)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)((opline + 1)) >> 16) & 0xffff) {
			dasm_put(Dst, 70950, (((uintptr_t)((opline + 1)) >> 16) & 0xffff));
					if (((uintptr_t)((opline + 1)) >> 32) & 0xffff) {
			dasm_put(Dst, 70953, (((uintptr_t)((opline + 1)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 70956, (((uintptr_t)((opline + 1)) >> 32) & 0xffff));
				}
				} else {
				if (((uintptr_t)((opline + 1))) == 0) {
			dasm_put(Dst, 70959);
				} else if (((uintptr_t)((opline + 1))) <= MOVZ_IMM) {
			dasm_put(Dst, 70961, ((uint64_t)((opline + 1))));
				} else if (arm64_may_use_adr((void*)((opline + 1)))) {
			dasm_put(Dst, 70964, (unsigned int)((ptrdiff_t)((opline + 1))), (unsigned int)(((ptrdiff_t)((opline + 1)))>>32));
				} else if (arm64_may_use_adrp((void*)((opline + 1)))) {
			dasm_put(Dst, 70967, (unsigned int)((ptrdiff_t)((((uintptr_t)((opline + 1)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)((opline + 1))))))>>32));
					if (((uintptr_t)((opline + 1))) & 0xfff) {
			dasm_put(Dst, 70970, (((uintptr_t)((opline + 1))) & 0xfff));
					}
				} else if ((uintptr_t)((opline + 1)) & 0xffff) {
			dasm_put(Dst, 70973, ((uintptr_t)((opline + 1)) & 0xffff));
					if (((uintptr_t)((opline + 1)) >> 16) & 0xffff) {
			dasm_put(Dst, 70976, (((uintptr_t)((opline + 1)) >> 16) & 0xffff));
					}
					if (((uintptr_t)((opline + 1)) >> 32) & 0xffff) {
			dasm_put(Dst, 70979, (((uintptr_t)((opline + 1)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)((opline + 1)) >> 16) & 0xffff) {
			dasm_put(Dst, 70982, (((uintptr_t)((opline + 1)) >> 16) & 0xffff));
					if (((uintptr_t)((opline + 1)) >> 32) & 0xffff) {
			dasm_put(Dst, 70985, (((uintptr_t)((opline + 1)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 70988, (((uintptr_t)((opline + 1)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 70991, Dt1(->opline));
				}
#line 9841 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	if (!func) {
		//|9:
		dasm_put(Dst, 70994);
#line 9846 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	return 1;
}

static int zend_jit_send_val(dasm_State **Dst, const zend_op *opline, uint32_t op1_info, zend_jit_addr op1_addr)
{
	uint32_t arg_num = opline->op2.num;
	zend_jit_addr arg_addr;

	ZEND_ASSERT(opline->opcode == ZEND_SEND_VAL || arg_num <= MAX_ARG_FLAG_NUM);

	if (!zend_jit_reuse_ip(Dst)) {
		return 0;
	}

	if (opline->opcode == ZEND_SEND_VAL_EX) {
		uint32_t mask = ZEND_SEND_BY_REF << ((arg_num + 3) * 2);

		ZEND_ASSERT(arg_num <= MAX_ARG_FLAG_NUM);

		if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE
		 && JIT_G(current_frame)
		 && JIT_G(current_frame)->call
		 && JIT_G(current_frame)->call->func) {
			if (ARG_MUST_BE_SENT_BY_REF(JIT_G(current_frame)->call->func, arg_num)) {
				/* Don't generate code that always throws exception */
				return 0;
			}
		} else if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE) {
			int32_t exit_point = zend_jit_trace_get_exit_point(opline, ZEND_JIT_EXIT_TO_VM);
			const void *exit_addr = zend_jit_trace_get_exit_addr(exit_point);
			if (!exit_addr) {
				return 0;
			}
			//|	ldr REG0, EX:RX->func
			//|	ldr TMP1w, [REG0, #offsetof(zend_function, quick_arg_flags)]
			//|	TST_32_WITH_CONST TMP1w, mask, TMP2w
			dasm_put(Dst, 70996, Dt1(->func), offsetof(zend_function, quick_arg_flags));
				if (mask == 0) {
			dasm_put(Dst, 71001);
				} else if (logical_immediate_p((uint32_t)mask, 32)) {
			dasm_put(Dst, 71003, mask);
				} else {
				if (((uint32_t)(mask)) <= MOVZ_IMM) {
			dasm_put(Dst, 71006, ((uint32_t)(mask)));
				} else if (((uint32_t)(mask) & 0xffff)) {
			dasm_put(Dst, 71009, ((uint32_t)(mask) & 0xffff));
					if ((((uint32_t)(mask) >> 16) & 0xffff)) {
			dasm_put(Dst, 71012, (((uint32_t)(mask) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 71015, (((uint32_t)(mask) >> 16) & 0xffff));
				}
			dasm_put(Dst, 71018);
				}
#line 9884 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	bne &exit_addr
			dasm_put(Dst, 71020, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 9885 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	ldr REG0, EX:RX->func
			//|	ldr TMP1w, [REG0, #offsetof(zend_function, quick_arg_flags)]
			//|	TST_32_WITH_CONST TMP1w, mask, TMP2w
			dasm_put(Dst, 71023, Dt1(->func), offsetof(zend_function, quick_arg_flags));
				if (mask == 0) {
			dasm_put(Dst, 71028);
				} else if (logical_immediate_p((uint32_t)mask, 32)) {
			dasm_put(Dst, 71030, mask);
				} else {
				if (((uint32_t)(mask)) <= MOVZ_IMM) {
			dasm_put(Dst, 71033, ((uint32_t)(mask)));
				} else if (((uint32_t)(mask) & 0xffff)) {
			dasm_put(Dst, 71036, ((uint32_t)(mask) & 0xffff));
					if ((((uint32_t)(mask) >> 16) & 0xffff)) {
			dasm_put(Dst, 71039, (((uint32_t)(mask) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 71042, (((uint32_t)(mask) >> 16) & 0xffff));
				}
			dasm_put(Dst, 71045);
				}
#line 9889 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	bne >1
			//|.cold_code
			dasm_put(Dst, 71047);
#line 9891 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|1:
			dasm_put(Dst, 71050);
#line 9892 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (Z_MODE(op1_addr) == IS_REG) {
				/* set type to avoid zval_ptr_dtor() on uninitialized value */
				zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op1.var);
				//|	SET_ZVAL_TYPE_INFO addr, IS_UNDEF, TMP1w, TMP2
					ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
					if (((uint32_t)(IS_UNDEF)) <= MOVZ_IMM) {
				dasm_put(Dst, 71052, ((uint32_t)(IS_UNDEF)));
					} else if (((uint32_t)(IS_UNDEF) & 0xffff)) {
				dasm_put(Dst, 71055, ((uint32_t)(IS_UNDEF) & 0xffff));
						if ((((uint32_t)(IS_UNDEF) >> 16) & 0xffff)) {
				dasm_put(Dst, 71058, (((uint32_t)(IS_UNDEF) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 71061, (((uint32_t)(IS_UNDEF) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 71064, ((uint32_t)(Z_OFFSET(addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 71067, ((uint32_t)(Z_OFFSET(addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 71070, (((uint32_t)(Z_OFFSET(addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 71073, (((uint32_t)(Z_OFFSET(addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 71076, (Z_REG(addr)));
					} else {
				dasm_put(Dst, 71079, (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval,u1.type_info)));
					}
#line 9896 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	SET_EX_OPLINE opline, REG0
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 71083, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 71086);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 71088, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 71091, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 71094, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 71097, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 71100, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 71103, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 71106, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 71109, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 71112, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 71115, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 71118, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
#line 9898 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	b ->throw_cannot_pass_by_ref
			//|.code
			dasm_put(Dst, 71121);
#line 9900 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	arg_addr = ZEND_ADDR_MEM_ZVAL(ZREG_RX, opline->result.var);

	if (opline->op1_type == IS_CONST) {
		zval *zv = RT_CONSTANT(opline, opline->op1);

		//|	ZVAL_COPY_CONST arg_addr, MAY_BE_ANY, MAY_BE_ANY, zv, ZREG_REG0, ZREG_TMP1, ZREG_FPR0
			if (Z_TYPE_P(zv) > IS_TRUE) {
				if (Z_TYPE_P(zv) == IS_DOUBLE) {
					zend_reg dst_reg = (Z_MODE(arg_addr) == IS_REG) ? Z_REG(arg_addr) : ZREG_V0;
			if (((uintptr_t)(zv)) > MOVZ_IMM && arm64_may_use_adr((void*)(zv))) {
		dasm_put(Dst, 71124, (ZREG_X8), (unsigned int)((ptrdiff_t)(zv)), (unsigned int)(((ptrdiff_t)(zv))>>32), (dst_reg-ZREG_V0), (ZREG_X8));
			} else if (((uintptr_t)(zv)) > MOVZ_IMM && arm64_may_use_adrp((void*)(zv))) {
		dasm_put(Dst, 71131, (ZREG_X8), (unsigned int)((ptrdiff_t)((((uintptr_t)(zv))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zv)))))>>32), (dst_reg-ZREG_V0), (ZREG_X8), (((uintptr_t)(zv)) & 0xfff));
			} else {
			if (((uintptr_t)(zv)) == 0) {
		dasm_put(Dst, 71139, (ZREG_X8));
			} else if (((uintptr_t)(zv)) <= MOVZ_IMM) {
		dasm_put(Dst, 71142, (ZREG_X8), ((uint64_t)(zv)));
			} else if (arm64_may_use_adr((void*)(zv))) {
		dasm_put(Dst, 71146, (ZREG_X8), (unsigned int)((ptrdiff_t)(zv)), (unsigned int)(((ptrdiff_t)(zv))>>32));
			} else if (arm64_may_use_adrp((void*)(zv))) {
		dasm_put(Dst, 71150, (ZREG_X8), (unsigned int)((ptrdiff_t)((((uintptr_t)(zv))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zv)))))>>32));
				if (((uintptr_t)(zv)) & 0xfff) {
		dasm_put(Dst, 71154, (ZREG_X8), (ZREG_X8), (((uintptr_t)(zv)) & 0xfff));
				}
			} else if ((uintptr_t)(zv) & 0xffff) {
		dasm_put(Dst, 71159, (ZREG_X8), ((uintptr_t)(zv) & 0xffff));
				if (((uintptr_t)(zv) >> 16) & 0xffff) {
		dasm_put(Dst, 71163, (ZREG_X8), (((uintptr_t)(zv) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zv) >> 32) & 0xffff) {
		dasm_put(Dst, 71167, (ZREG_X8), (((uintptr_t)(zv) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zv) >> 16) & 0xffff) {
		dasm_put(Dst, 71171, (ZREG_X8), (((uintptr_t)(zv) >> 16) & 0xffff));
				if (((uintptr_t)(zv) >> 32) & 0xffff) {
		dasm_put(Dst, 71175, (ZREG_X8), (((uintptr_t)(zv) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 71179, (ZREG_X8), (((uintptr_t)(zv) >> 32) & 0xffff));
			}
		dasm_put(Dst, 71183, (dst_reg-ZREG_V0), (ZREG_X8));
			}
			if (Z_MODE(arg_addr) == IS_REG) {
				if (dst_reg != Z_REG(arg_addr)) {
		dasm_put(Dst, 71187, (Z_REG(arg_addr)-ZREG_V0), (dst_reg-ZREG_V0));
				}
			} else {
				ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 71191, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
			} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
		dasm_put(Dst, 71195, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 71199, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 71203, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 71207, (dst_reg-ZREG_V0), (Z_REG(arg_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 71212, (dst_reg-ZREG_V0), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
			}
			}
				} else if (Z_TYPE_P(zv) == IS_LONG && MAY_BE_ANY == MAY_BE_DOUBLE) {
					zend_reg dst_reg = (Z_MODE(arg_addr) == IS_REG) ? Z_REG(arg_addr) : ZREG_V0;
			if (Z_LVAL_P(zv) == 0) {
		dasm_put(Dst, 71217, (dst_reg-ZREG_V0));
			} else {
			if (((uint64_t)(Z_LVAL_P(zv))) == 0) {
		dasm_put(Dst, 71220, (ZREG_X8));
			} else if (((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
		dasm_put(Dst, 71223, (ZREG_X8), ((uint64_t)(Z_LVAL_P(zv))));
			} else if (~((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
		dasm_put(Dst, 71227, (ZREG_X8), (~((uint64_t)(Z_LVAL_P(zv)))));
			} else if ((uint64_t)(Z_LVAL_P(zv)) & 0xffff) {
		dasm_put(Dst, 71231, (ZREG_X8), ((uint64_t)(Z_LVAL_P(zv)) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
		dasm_put(Dst, 71235, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
		dasm_put(Dst, 71239, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
		dasm_put(Dst, 71243, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
		dasm_put(Dst, 71247, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
		dasm_put(Dst, 71251, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
		dasm_put(Dst, 71255, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
		dasm_put(Dst, 71259, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
		dasm_put(Dst, 71263, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 71267, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
			}
		dasm_put(Dst, 71271, (dst_reg-ZREG_V0), (ZREG_X8));
			}
			if (Z_MODE(arg_addr) == IS_REG) {
				if (dst_reg != Z_REG(arg_addr)) {
		dasm_put(Dst, 71275, (Z_REG(arg_addr)-ZREG_V0), (dst_reg-ZREG_V0));
				}
			} else {
				ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 71279, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
			} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
		dasm_put(Dst, 71283, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 71287, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 71291, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 71295, (dst_reg-ZREG_V0), (Z_REG(arg_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 71300, (dst_reg-ZREG_V0), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
			}
			}
				} else {
			if (Z_LVAL_P(zv) == 0) {
			if (Z_MODE(arg_addr) == IS_REG) {
		dasm_put(Dst, 71305, (Z_REG(arg_addr)));
			} else {
				ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 71308, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
			} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
		dasm_put(Dst, 71312, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 71316, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 71320, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 71324, (Z_REG(arg_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 71328, (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
			}
			}
			} else {
			if (((uint64_t)(Z_LVAL_P(zv))) == 0) {
		dasm_put(Dst, 71332, (ZREG_X8));
			} else if (((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
		dasm_put(Dst, 71335, (ZREG_X8), ((uint64_t)(Z_LVAL_P(zv))));
			} else if (~((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
		dasm_put(Dst, 71339, (ZREG_X8), (~((uint64_t)(Z_LVAL_P(zv)))));
			} else if ((uint64_t)(Z_LVAL_P(zv)) & 0xffff) {
		dasm_put(Dst, 71343, (ZREG_X8), ((uint64_t)(Z_LVAL_P(zv)) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
		dasm_put(Dst, 71347, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
		dasm_put(Dst, 71351, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
		dasm_put(Dst, 71355, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
		dasm_put(Dst, 71359, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
		dasm_put(Dst, 71363, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
		dasm_put(Dst, 71367, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
		dasm_put(Dst, 71371, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
		dasm_put(Dst, 71375, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 71379, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
			}
			if (Z_MODE(arg_addr) == IS_REG) {
		dasm_put(Dst, 71383, (Z_REG(arg_addr)), (ZREG_X8));
			} else {
				ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 71387, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
			} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
		dasm_put(Dst, 71391, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 71395, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 71399, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 71403, (ZREG_X8), (Z_REG(arg_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 71408, (ZREG_X8), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
			}
			}
			}
				}
			}
			if (Z_MODE(arg_addr) == IS_MEM_ZVAL) {
				if (MAY_BE_ANY == MAY_BE_DOUBLE) {
					if ((MAY_BE_ANY & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != MAY_BE_DOUBLE) {
			ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
			if (((uint32_t)(IS_DOUBLE)) <= MOVZ_IMM) {
		dasm_put(Dst, 71413, (ZREG_X8), ((uint32_t)(IS_DOUBLE)));
			} else if (((uint32_t)(IS_DOUBLE) & 0xffff)) {
		dasm_put(Dst, 71417, (ZREG_X8), ((uint32_t)(IS_DOUBLE) & 0xffff));
				if ((((uint32_t)(IS_DOUBLE) >> 16) & 0xffff)) {
		dasm_put(Dst, 71421, (ZREG_X8), (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 71425, (ZREG_X8), (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 71429, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 71433, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 71437, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 71441, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 71445, (ZREG_X8), (Z_REG(arg_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 71450, (ZREG_X8), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)));
			}
					}
				} else if (((MAY_BE_ANY & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (1<<Z_TYPE_P(zv))) || (MAY_BE_ANY & (MAY_BE_STRING|MAY_BE_ARRAY)) != 0) {
			ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
			if (((uint32_t)(Z_TYPE_INFO_P(zv))) <= MOVZ_IMM) {
		dasm_put(Dst, 71455, (ZREG_X8), ((uint32_t)(Z_TYPE_INFO_P(zv))));
			} else if (((uint32_t)(Z_TYPE_INFO_P(zv)) & 0xffff)) {
		dasm_put(Dst, 71459, (ZREG_X8), ((uint32_t)(Z_TYPE_INFO_P(zv)) & 0xffff));
				if ((((uint32_t)(Z_TYPE_INFO_P(zv)) >> 16) & 0xffff)) {
		dasm_put(Dst, 71463, (ZREG_X8), (((uint32_t)(Z_TYPE_INFO_P(zv)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 71467, (ZREG_X8), (((uint32_t)(Z_TYPE_INFO_P(zv)) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 71471, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 71475, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 71479, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 71483, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 71487, (ZREG_X8), (Z_REG(arg_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 71492, (ZREG_X8), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)));
			}
				}
			}
#line 9909 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (Z_REFCOUNTED_P(zv)) {
			//|	ADDREF_CONST zv, REG0, TMP1
				if (((uintptr_t)(Z_PTR_P(zv))) == 0) {
			dasm_put(Dst, 71497);
				} else if (((uintptr_t)(Z_PTR_P(zv))) <= MOVZ_IMM) {
			dasm_put(Dst, 71499, ((uint64_t)(Z_PTR_P(zv))));
				} else if (arm64_may_use_adr((void*)(Z_PTR_P(zv)))) {
			dasm_put(Dst, 71502, (unsigned int)((ptrdiff_t)(Z_PTR_P(zv))), (unsigned int)(((ptrdiff_t)(Z_PTR_P(zv)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_PTR_P(zv)))) {
			dasm_put(Dst, 71505, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_PTR_P(zv)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_PTR_P(zv))))))>>32));
					if (((uintptr_t)(Z_PTR_P(zv))) & 0xfff) {
			dasm_put(Dst, 71508, (((uintptr_t)(Z_PTR_P(zv))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_PTR_P(zv)) & 0xffff) {
			dasm_put(Dst, 71511, ((uintptr_t)(Z_PTR_P(zv)) & 0xffff));
					if (((uintptr_t)(Z_PTR_P(zv)) >> 16) & 0xffff) {
			dasm_put(Dst, 71514, (((uintptr_t)(Z_PTR_P(zv)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 71517, (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_PTR_P(zv)) >> 16) & 0xffff) {
			dasm_put(Dst, 71520, (((uintptr_t)(Z_PTR_P(zv)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 71523, (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 71526, (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 71529);
#line 9911 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else {
		//|	ZVAL_COPY_VALUE arg_addr, MAY_BE_ANY, op1_addr, op1_info, ZREG_REG0, ZREG_REG2, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
			if (op1_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
				if ((op1_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
					if (Z_MODE(op1_addr) == IS_REG) {
						if (Z_MODE(arg_addr) != IS_REG || Z_REG(arg_addr) != Z_REG(op1_addr)) {
			if (Z_MODE(arg_addr) == IS_REG) {
		dasm_put(Dst, 71533, (Z_REG(arg_addr)), (Z_REG(op1_addr)));
			} else {
				ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 71537, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
			} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
		dasm_put(Dst, 71541, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 71545, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 71549, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 71553, (Z_REG(op1_addr)), (Z_REG(arg_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 71558, (Z_REG(op1_addr)), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
			}
			}
						}
					} else if (Z_MODE(arg_addr) == IS_REG) {
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 71563, (Z_REG(arg_addr)));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 71566, (Z_REG(arg_addr)));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 71569, (Z_REG(arg_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 71573, (Z_REG(arg_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 71577, (Z_REG(arg_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 71581, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 71585, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 71589, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 71593, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 71597, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 71601, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 71605, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 71609, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 71613, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 71617, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 71621, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 71625, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 71629, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 71633, (Z_REG(arg_addr)), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 71638, (Z_REG(arg_addr)), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (Z_REG(arg_addr) != Z_REG(op1_addr)) {
		dasm_put(Dst, 71643, (Z_REG(arg_addr)), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
					} else {
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 71647, (ZREG_X10));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 71650, (ZREG_X10));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 71653, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 71657, (ZREG_X10), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 71661, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 71665, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 71669, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 71673, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 71677, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 71681, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 71685, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 71689, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 71693, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 71697, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 71701, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 71705, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 71709, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 71713, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 71717, (ZREG_X10), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 71722, (ZREG_X10), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (ZREG_X10 != Z_REG(op1_addr)) {
		dasm_put(Dst, 71727, (ZREG_X10), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
			if (Z_MODE(arg_addr) == IS_REG) {
		dasm_put(Dst, 71731, (Z_REG(arg_addr)), (ZREG_X10));
			} else {
				ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 71735, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
			} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
		dasm_put(Dst, 71739, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 71743, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 71747, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 71751, (ZREG_X10), (Z_REG(arg_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 71756, (ZREG_X10), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
			}
			}
					}
				} else if ((op1_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
					if (Z_MODE(op1_addr) == IS_REG) {
			if (Z_MODE(arg_addr) == IS_REG) {
				if (Z_REG(op1_addr) != Z_REG(arg_addr)) {
		dasm_put(Dst, 71761, (Z_REG(arg_addr)-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
				}
			} else {
				ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 71765, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
			} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
		dasm_put(Dst, 71769, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 71773, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 71777, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 71781, (Z_REG(op1_addr)-ZREG_V0), (Z_REG(arg_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 71786, (Z_REG(op1_addr)-ZREG_V0), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
			}
			}
					} else if (Z_MODE(arg_addr) == IS_REG) {
			if (Z_MODE(op1_addr) != IS_REG || Z_REG(arg_addr) != Z_REG(op1_addr)) {
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 71791, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (Z_REG(arg_addr)-ZREG_V0), (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 71798, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (Z_REG(arg_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
			} else {
			if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
		dasm_put(Dst, 71806, (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 71809, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 71813, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 71817, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
		dasm_put(Dst, 71821, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
		dasm_put(Dst, 71826, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 71830, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 71834, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 71838, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 71842, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 71846, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
		dasm_put(Dst, 71850, (Z_REG(arg_addr)-ZREG_V0), (ZREG_X15));
			}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 71854, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 71858, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 71862, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 71866, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 71870, (Z_REG(arg_addr)-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 71875, (Z_REG(arg_addr)-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
				} else if (Z_MODE(op1_addr) == IS_REG) {
		dasm_put(Dst, 71880, (Z_REG(arg_addr)-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
				} else {
					ZEND_UNREACHABLE();
				}
			}
					} else {
			if (Z_MODE(op1_addr) != IS_REG || ZREG_V0 != Z_REG(op1_addr)) {
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 71884, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 71891, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
			} else {
			if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
		dasm_put(Dst, 71899, (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 71902, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 71906, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 71910, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
		dasm_put(Dst, 71914, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
		dasm_put(Dst, 71919, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 71923, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 71927, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 71931, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 71935, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 71939, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
		dasm_put(Dst, 71943, (ZREG_V0-ZREG_V0), (ZREG_X15));
			}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 71947, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 71951, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 71955, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 71959, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 71963, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 71968, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
				} else if (Z_MODE(op1_addr) == IS_REG) {
		dasm_put(Dst, 71973, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
				} else {
					ZEND_UNREACHABLE();
				}
			}
			if (Z_MODE(arg_addr) == IS_REG) {
				if (ZREG_V0 != Z_REG(arg_addr)) {
		dasm_put(Dst, 71977, (Z_REG(arg_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
				}
			} else {
				ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 71981, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
			} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
		dasm_put(Dst, 71985, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 71989, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 71993, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 71997, (ZREG_V0-ZREG_V0), (Z_REG(arg_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 72002, (ZREG_V0-ZREG_V0), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
			}
			}
					}
				// Combine the following two branches.
				// } else if (!(op1_info & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
				} else {
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 72007, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 72011, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 72015, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 72019, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 72023, (ZREG_X10), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 72028, (ZREG_X10), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 72033, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
			} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
		dasm_put(Dst, 72037, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 72041, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 72045, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 72049, (ZREG_X10), (Z_REG(arg_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 72054, (ZREG_X10), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
			}
				}
			}
			if ((op1_info & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
				!(op1_info & MAY_BE_GUARD) &&
				has_concrete_type(op1_info & MAY_BE_ANY)) {
				if (Z_MODE(arg_addr) == IS_MEM_ZVAL) {
					if ((MAY_BE_ANY & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (op1_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD))) {
						uint32_t type = concrete_type(op1_info);
			ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
			if (((uint32_t)(type)) <= MOVZ_IMM) {
		dasm_put(Dst, 72059, (ZREG_X15), ((uint32_t)(type)));
			} else if (((uint32_t)(type) & 0xffff)) {
		dasm_put(Dst, 72063, (ZREG_X15), ((uint32_t)(type) & 0xffff));
				if ((((uint32_t)(type) >> 16) & 0xffff)) {
		dasm_put(Dst, 72067, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 72071, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 72075, (ZREG_X16), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 72079, (ZREG_X16), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 72083, (ZREG_X16), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 72087, (ZREG_X16), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 72091, (ZREG_X15), (Z_REG(arg_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 72096, (ZREG_X15), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)));
			}
					}
				}
			} else {
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 72101, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 72105, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 72109, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 72113, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 72117, (ZREG_X8), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 72122, (ZREG_X8), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)));
			}
			ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 72127, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 72131, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 72135, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 72139, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 72143, (ZREG_X8), (Z_REG(arg_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 72148, (ZREG_X8), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)));
			}
			}
#line 9914 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	return 1;
}

static int zend_jit_check_undef_args(dasm_State **Dst, const zend_op *opline)
{
	//|	ldr FCARG1x, EX->call
	//|	ldrb TMP1w, [FCARG1x, #(offsetof(zend_execute_data, This.u1.type_info) + 3)]
	//|	TST_32_WITH_CONST TMP1w, (ZEND_CALL_MAY_HAVE_UNDEF >> 24), TMP2w
	dasm_put(Dst, 72153, Dt1(->call), (offsetof(zend_execute_data, This.u1.type_info) + 3));
		if ((ZEND_CALL_MAY_HAVE_UNDEF >> 24) == 0) {
	dasm_put(Dst, 72158);
		} else if (logical_immediate_p((uint32_t)(ZEND_CALL_MAY_HAVE_UNDEF >> 24), 32)) {
	dasm_put(Dst, 72160, (ZEND_CALL_MAY_HAVE_UNDEF >> 24));
		} else {
		if (((uint32_t)((ZEND_CALL_MAY_HAVE_UNDEF >> 24))) <= MOVZ_IMM) {
	dasm_put(Dst, 72163, ((uint32_t)((ZEND_CALL_MAY_HAVE_UNDEF >> 24))));
		} else if (((uint32_t)((ZEND_CALL_MAY_HAVE_UNDEF >> 24)) & 0xffff)) {
	dasm_put(Dst, 72166, ((uint32_t)((ZEND_CALL_MAY_HAVE_UNDEF >> 24)) & 0xffff));
			if ((((uint32_t)((ZEND_CALL_MAY_HAVE_UNDEF >> 24)) >> 16) & 0xffff)) {
	dasm_put(Dst, 72169, (((uint32_t)((ZEND_CALL_MAY_HAVE_UNDEF >> 24)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 72172, (((uint32_t)((ZEND_CALL_MAY_HAVE_UNDEF >> 24)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 72175);
		}
#line 9924 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	bne >1
	//|.cold_code
	dasm_put(Dst, 72177);
#line 9926 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|1:
	//|	SET_EX_OPLINE opline, REG0
	dasm_put(Dst, 72180);
		if (opline == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 72182, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(opline)) == 0) {
	dasm_put(Dst, 72185);
		} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
	dasm_put(Dst, 72187, ((uint64_t)(opline)));
		} else if (arm64_may_use_adr((void*)(opline))) {
	dasm_put(Dst, 72190, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
		} else if (arm64_may_use_adrp((void*)(opline))) {
	dasm_put(Dst, 72193, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
			if (((uintptr_t)(opline)) & 0xfff) {
	dasm_put(Dst, 72196, (((uintptr_t)(opline)) & 0xfff));
			}
		} else if ((uintptr_t)(opline) & 0xffff) {
	dasm_put(Dst, 72199, ((uintptr_t)(opline) & 0xffff));
			if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 72202, (((uintptr_t)(opline) >> 16) & 0xffff));
			}
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 72205, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 72208, (((uintptr_t)(opline) >> 16) & 0xffff));
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 72211, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 72214, (((uintptr_t)(opline) >> 32) & 0xffff));
		}
	dasm_put(Dst, 72217, Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
#line 9928 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	EXT_CALL zend_handle_undef_args, REG0
		if (arm64_may_use_b(zend_handle_undef_args)) {
	dasm_put(Dst, 72220, (unsigned int)((ptrdiff_t)(zend_handle_undef_args)), (unsigned int)(((ptrdiff_t)(zend_handle_undef_args))>>32));
		} else {
		if (((uintptr_t)(zend_handle_undef_args)) == 0) {
	dasm_put(Dst, 72223);
		} else if (((uintptr_t)(zend_handle_undef_args)) <= MOVZ_IMM) {
	dasm_put(Dst, 72225, ((uint64_t)(zend_handle_undef_args)));
		} else if (arm64_may_use_adr((void*)(zend_handle_undef_args))) {
	dasm_put(Dst, 72228, (unsigned int)((ptrdiff_t)(zend_handle_undef_args)), (unsigned int)(((ptrdiff_t)(zend_handle_undef_args))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_handle_undef_args))) {
	dasm_put(Dst, 72231, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_handle_undef_args))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_handle_undef_args)))))>>32));
			if (((uintptr_t)(zend_handle_undef_args)) & 0xfff) {
	dasm_put(Dst, 72234, (((uintptr_t)(zend_handle_undef_args)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_handle_undef_args) & 0xffff) {
	dasm_put(Dst, 72237, ((uintptr_t)(zend_handle_undef_args) & 0xffff));
			if (((uintptr_t)(zend_handle_undef_args) >> 16) & 0xffff) {
	dasm_put(Dst, 72240, (((uintptr_t)(zend_handle_undef_args) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_handle_undef_args) >> 32) & 0xffff) {
	dasm_put(Dst, 72243, (((uintptr_t)(zend_handle_undef_args) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_handle_undef_args) >> 16) & 0xffff) {
	dasm_put(Dst, 72246, (((uintptr_t)(zend_handle_undef_args) >> 16) & 0xffff));
			if (((uintptr_t)(zend_handle_undef_args) >> 32) & 0xffff) {
	dasm_put(Dst, 72249, (((uintptr_t)(zend_handle_undef_args) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 72252, (((uintptr_t)(zend_handle_undef_args) >> 32) & 0xffff));
		}
	dasm_put(Dst, 72255);
		}
#line 9929 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	cbz RETVALw, >2
	//|	b ->exception_handler
	//|.code
	dasm_put(Dst, 72257);
#line 9932 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|2:
	dasm_put(Dst, 72262);
#line 9933 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	return 1;
}

static int zend_jit_send_ref(dasm_State **Dst, const zend_op *opline, const zend_op_array *op_array, uint32_t op1_info, int cold)
{
	zend_jit_addr op1_addr, arg_addr, ref_addr;

	op1_addr = OP1_ADDR();
	arg_addr = ZEND_ADDR_MEM_ZVAL(ZREG_RX, opline->result.var);

	if (!zend_jit_reuse_ip(Dst)) {
		return 0;
	}

	if (opline->op1_type == IS_VAR) {
		if (op1_info & MAY_BE_INDIRECT) {
			//|	LOAD_ZVAL_ADDR REG0, op1_addr
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
			dasm_put(Dst, 72264);
				} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 72266, ((uint64_t)(Z_ZV(op1_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 72269, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 72272, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
			dasm_put(Dst, 72275, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
			dasm_put(Dst, 72278, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 72281, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 72284, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 72287, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 72290, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 72293, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(op1_addr)) {
				if (Z_OFFSET(op1_addr) == 0) {
			dasm_put(Dst, 72296, (Z_REG(op1_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
			dasm_put(Dst, 72299, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 72303, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 72306, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 72309, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 72312, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 72315, (Z_REG(op1_addr)));
				}
					} else {
						if (Z_REG(op1_addr) == ZREG_RSP) {
			dasm_put(Dst, 72318);
						} else {
			dasm_put(Dst, 72320, (Z_REG(op1_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 9951 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	// if (EXPECTED(Z_TYPE_P(ret) == IS_INDIRECT)) {
			//|	IF_NOT_Z_TYPE REG0, IS_INDIRECT, >1, TMP1w
			dasm_put(Dst, 72323, offsetof(zval, u1.v.type));
				if (IS_INDIRECT == 0) {
			dasm_put(Dst, 72326);
				} else {
			dasm_put(Dst, 72329, IS_INDIRECT);
				}
#line 9953 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	// ret = Z_INDIRECT_P(ret);
			//|	GET_Z_PTR REG0, REG0
			//|1:
			dasm_put(Dst, 72334);
#line 9956 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			op1_addr = ZEND_ADDR_MEM_ZVAL(ZREG_REG0, 0);
		}
	} else if (opline->op1_type == IS_CV) {
		if (op1_info & MAY_BE_UNDEF) {
			if (op1_info & (MAY_BE_ANY|MAY_BE_REF)) {
				//|	IF_NOT_ZVAL_TYPE op1_addr, IS_UNDEF, >1, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 72337, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 72341, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 72345, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 72349, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 72353, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 72358, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_UNDEF == 0) {
				dasm_put(Dst, 72363, (ZREG_X15));
					} else {
				dasm_put(Dst, 72367, (ZREG_X15), IS_UNDEF);
					}
#line 9962 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	SET_ZVAL_TYPE_INFO op1_addr, IS_NULL, TMP1w, TMP2
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uint32_t)(IS_NULL)) <= MOVZ_IMM) {
				dasm_put(Dst, 72373, ((uint32_t)(IS_NULL)));
					} else if (((uint32_t)(IS_NULL) & 0xffff)) {
				dasm_put(Dst, 72376, ((uint32_t)(IS_NULL) & 0xffff));
						if ((((uint32_t)(IS_NULL) >> 16) & 0xffff)) {
				dasm_put(Dst, 72379, (((uint32_t)(IS_NULL) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 72382, (((uint32_t)(IS_NULL) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 72385, ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 72388, ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 72391, (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 72394, (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 72397, (Z_REG(op1_addr)));
					} else {
				dasm_put(Dst, 72400, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)));
					}
#line 9963 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	b >2
				//|1:
				dasm_put(Dst, 72404);
#line 9965 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			op1_info &= ~MAY_BE_UNDEF;
			op1_info |= MAY_BE_NULL;
		}
	} else {
		ZEND_UNREACHABLE();
	}

	if (op1_info & (MAY_BE_UNDEF|MAY_BE_ANY|MAY_BE_REF)) {
		if (op1_info & MAY_BE_REF) {
			//|	IF_NOT_ZVAL_TYPE op1_addr, IS_REFERENCE, >2, ZREG_TMP1
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 72408, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 72412, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 72416, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 72420, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 72424, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 72429, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_REFERENCE == 0) {
			dasm_put(Dst, 72434, (ZREG_X15));
				} else {
			dasm_put(Dst, 72438, (ZREG_X15), IS_REFERENCE);
				}
#line 9976 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	GET_ZVAL_PTR REG1, op1_addr, TMP1
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 72444, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 72447, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 72450, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 72453, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 72456, (Z_REG(op1_addr)));
				} else {
			dasm_put(Dst, 72459, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
#line 9977 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	GC_ADDREF REG1, TMP1w
			//|	SET_ZVAL_PTR arg_addr, REG1, TMP1
			dasm_put(Dst, 72463);
				ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 72467, ((uint32_t)(Z_OFFSET(arg_addr))));
				} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
			dasm_put(Dst, 72470, ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 72473, (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 72476, (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 72479, (Z_REG(arg_addr)));
				} else {
			dasm_put(Dst, 72482, (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
				}
#line 9979 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	SET_ZVAL_TYPE_INFO arg_addr, IS_REFERENCE_EX, TMP1w, TMP2
				ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(IS_REFERENCE_EX)) <= MOVZ_IMM) {
			dasm_put(Dst, 72486, ((uint32_t)(IS_REFERENCE_EX)));
				} else if (((uint32_t)(IS_REFERENCE_EX) & 0xffff)) {
			dasm_put(Dst, 72489, ((uint32_t)(IS_REFERENCE_EX) & 0xffff));
					if ((((uint32_t)(IS_REFERENCE_EX) >> 16) & 0xffff)) {
			dasm_put(Dst, 72492, (((uint32_t)(IS_REFERENCE_EX) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 72495, (((uint32_t)(IS_REFERENCE_EX) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 72498, ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 72501, ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 72504, (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 72507, (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 72510, (Z_REG(arg_addr)));
				} else {
			dasm_put(Dst, 72513, (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)));
				}
#line 9980 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	b >6
			dasm_put(Dst, 72517);
#line 9981 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|2:
		//|	// ZVAL_NEW_REF(arg, varptr);
		dasm_put(Dst, 72520);
#line 9984 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (opline->op1_type == IS_VAR) {
			if (Z_REG(op1_addr) != ZREG_REG0 || Z_OFFSET(op1_addr) != 0) {
				//|	LOAD_ZVAL_ADDR REG0, op1_addr
					if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
				dasm_put(Dst, 72522);
					} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 72524, ((uint64_t)(Z_ZV(op1_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 72527, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 72530, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
				dasm_put(Dst, 72533, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
				dasm_put(Dst, 72536, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 72539, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 72542, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 72545, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 72548, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 72551, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(op1_addr)) {
					if (Z_OFFSET(op1_addr) == 0) {
				dasm_put(Dst, 72554, (Z_REG(op1_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
				dasm_put(Dst, 72557, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 72561, ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 72564, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 72567, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 72570, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 72573, (Z_REG(op1_addr)));
					}
						} else {
							if (Z_REG(op1_addr) == ZREG_RSP) {
				dasm_put(Dst, 72576);
							} else {
				dasm_put(Dst, 72578, (Z_REG(op1_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 9987 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	str REG0, T1  // save
			dasm_put(Dst, 72581);
#line 9989 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	EMALLOC sizeof(zend_reference), op_array, opline  // Allocate space in REG0
		#if ZEND_DEBUG
				const char *filename = op_array->filename ? op_array->filename->val : NULL;
		dasm_put(Dst, 72583, sizeof(zend_reference));
			if (((uintptr_t)(filename)) == 0) {
		dasm_put(Dst, 72586);
			} else if (((uintptr_t)(filename)) <= MOVZ_IMM) {
		dasm_put(Dst, 72588, ((uint64_t)(filename)));
			} else if (arm64_may_use_adr((void*)(filename))) {
		dasm_put(Dst, 72591, (unsigned int)((ptrdiff_t)(filename)), (unsigned int)(((ptrdiff_t)(filename))>>32));
			} else if (arm64_may_use_adrp((void*)(filename))) {
		dasm_put(Dst, 72594, (unsigned int)((ptrdiff_t)((((uintptr_t)(filename))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(filename)))))>>32));
				if (((uintptr_t)(filename)) & 0xfff) {
		dasm_put(Dst, 72597, (((uintptr_t)(filename)) & 0xfff));
				}
			} else if ((uintptr_t)(filename) & 0xffff) {
		dasm_put(Dst, 72600, ((uintptr_t)(filename) & 0xffff));
				if (((uintptr_t)(filename) >> 16) & 0xffff) {
		dasm_put(Dst, 72603, (((uintptr_t)(filename) >> 16) & 0xffff));
				}
				if (((uintptr_t)(filename) >> 32) & 0xffff) {
		dasm_put(Dst, 72606, (((uintptr_t)(filename) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(filename) >> 16) & 0xffff) {
		dasm_put(Dst, 72609, (((uintptr_t)(filename) >> 16) & 0xffff));
				if (((uintptr_t)(filename) >> 32) & 0xffff) {
		dasm_put(Dst, 72612, (((uintptr_t)(filename) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 72615, (((uintptr_t)(filename) >> 32) & 0xffff));
			}
			if (((uint32_t)(opline->lineno)) <= MOVZ_IMM) {
		dasm_put(Dst, 72618, ((uint32_t)(opline->lineno)));
			} else if (((uint32_t)(opline->lineno) & 0xffff)) {
		dasm_put(Dst, 72621, ((uint32_t)(opline->lineno) & 0xffff));
				if ((((uint32_t)(opline->lineno) >> 16) & 0xffff)) {
		dasm_put(Dst, 72624, (((uint32_t)(opline->lineno) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 72627, (((uint32_t)(opline->lineno) >> 16) & 0xffff));
			}
		dasm_put(Dst, 72630);
			if (arm64_may_use_b(_emalloc)) {
		dasm_put(Dst, 72633, (unsigned int)((ptrdiff_t)(_emalloc)), (unsigned int)(((ptrdiff_t)(_emalloc))>>32));
			} else {
			if (((uintptr_t)(_emalloc)) == 0) {
		dasm_put(Dst, 72636);
			} else if (((uintptr_t)(_emalloc)) <= MOVZ_IMM) {
		dasm_put(Dst, 72638, ((uint64_t)(_emalloc)));
			} else if (arm64_may_use_adr((void*)(_emalloc))) {
		dasm_put(Dst, 72641, (unsigned int)((ptrdiff_t)(_emalloc)), (unsigned int)(((ptrdiff_t)(_emalloc))>>32));
			} else if (arm64_may_use_adrp((void*)(_emalloc))) {
		dasm_put(Dst, 72644, (unsigned int)((ptrdiff_t)((((uintptr_t)(_emalloc))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_emalloc)))))>>32));
				if (((uintptr_t)(_emalloc)) & 0xfff) {
		dasm_put(Dst, 72647, (((uintptr_t)(_emalloc)) & 0xfff));
				}
			} else if ((uintptr_t)(_emalloc) & 0xffff) {
		dasm_put(Dst, 72650, ((uintptr_t)(_emalloc) & 0xffff));
				if (((uintptr_t)(_emalloc) >> 16) & 0xffff) {
		dasm_put(Dst, 72653, (((uintptr_t)(_emalloc) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_emalloc) >> 32) & 0xffff) {
		dasm_put(Dst, 72656, (((uintptr_t)(_emalloc) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_emalloc) >> 16) & 0xffff) {
		dasm_put(Dst, 72659, (((uintptr_t)(_emalloc) >> 16) & 0xffff));
				if (((uintptr_t)(_emalloc) >> 32) & 0xffff) {
		dasm_put(Dst, 72662, (((uintptr_t)(_emalloc) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 72665, (((uintptr_t)(_emalloc) >> 32) & 0xffff));
			}
		dasm_put(Dst, 72668);
			}
		dasm_put(Dst, 72670);
		#else
		#ifdef HAVE_BUILTIN_CONSTANT_P
			if (sizeof(zend_reference) > 24 && sizeof(zend_reference) <= 32) {
			if (arm64_may_use_b(_emalloc_32)) {
		dasm_put(Dst, 72672, (unsigned int)((ptrdiff_t)(_emalloc_32)), (unsigned int)(((ptrdiff_t)(_emalloc_32))>>32));
			} else {
			if (((uintptr_t)(_emalloc_32)) == 0) {
		dasm_put(Dst, 72675);
			} else if (((uintptr_t)(_emalloc_32)) <= MOVZ_IMM) {
		dasm_put(Dst, 72677, ((uint64_t)(_emalloc_32)));
			} else if (arm64_may_use_adr((void*)(_emalloc_32))) {
		dasm_put(Dst, 72680, (unsigned int)((ptrdiff_t)(_emalloc_32)), (unsigned int)(((ptrdiff_t)(_emalloc_32))>>32));
			} else if (arm64_may_use_adrp((void*)(_emalloc_32))) {
		dasm_put(Dst, 72683, (unsigned int)((ptrdiff_t)((((uintptr_t)(_emalloc_32))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_emalloc_32)))))>>32));
				if (((uintptr_t)(_emalloc_32)) & 0xfff) {
		dasm_put(Dst, 72686, (((uintptr_t)(_emalloc_32)) & 0xfff));
				}
			} else if ((uintptr_t)(_emalloc_32) & 0xffff) {
		dasm_put(Dst, 72689, ((uintptr_t)(_emalloc_32) & 0xffff));
				if (((uintptr_t)(_emalloc_32) >> 16) & 0xffff) {
		dasm_put(Dst, 72692, (((uintptr_t)(_emalloc_32) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_emalloc_32) >> 32) & 0xffff) {
		dasm_put(Dst, 72695, (((uintptr_t)(_emalloc_32) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_emalloc_32) >> 16) & 0xffff) {
		dasm_put(Dst, 72698, (((uintptr_t)(_emalloc_32) >> 16) & 0xffff));
				if (((uintptr_t)(_emalloc_32) >> 32) & 0xffff) {
		dasm_put(Dst, 72701, (((uintptr_t)(_emalloc_32) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 72704, (((uintptr_t)(_emalloc_32) >> 32) & 0xffff));
			}
		dasm_put(Dst, 72707);
			}
		dasm_put(Dst, 72709);
			} else {
		dasm_put(Dst, 72711, sizeof(zend_reference));
			if (arm64_may_use_b(_emalloc)) {
		dasm_put(Dst, 72714, (unsigned int)((ptrdiff_t)(_emalloc)), (unsigned int)(((ptrdiff_t)(_emalloc))>>32));
			} else {
			if (((uintptr_t)(_emalloc)) == 0) {
		dasm_put(Dst, 72717);
			} else if (((uintptr_t)(_emalloc)) <= MOVZ_IMM) {
		dasm_put(Dst, 72719, ((uint64_t)(_emalloc)));
			} else if (arm64_may_use_adr((void*)(_emalloc))) {
		dasm_put(Dst, 72722, (unsigned int)((ptrdiff_t)(_emalloc)), (unsigned int)(((ptrdiff_t)(_emalloc))>>32));
			} else if (arm64_may_use_adrp((void*)(_emalloc))) {
		dasm_put(Dst, 72725, (unsigned int)((ptrdiff_t)((((uintptr_t)(_emalloc))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_emalloc)))))>>32));
				if (((uintptr_t)(_emalloc)) & 0xfff) {
		dasm_put(Dst, 72728, (((uintptr_t)(_emalloc)) & 0xfff));
				}
			} else if ((uintptr_t)(_emalloc) & 0xffff) {
		dasm_put(Dst, 72731, ((uintptr_t)(_emalloc) & 0xffff));
				if (((uintptr_t)(_emalloc) >> 16) & 0xffff) {
		dasm_put(Dst, 72734, (((uintptr_t)(_emalloc) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_emalloc) >> 32) & 0xffff) {
		dasm_put(Dst, 72737, (((uintptr_t)(_emalloc) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_emalloc) >> 16) & 0xffff) {
		dasm_put(Dst, 72740, (((uintptr_t)(_emalloc) >> 16) & 0xffff));
				if (((uintptr_t)(_emalloc) >> 32) & 0xffff) {
		dasm_put(Dst, 72743, (((uintptr_t)(_emalloc) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 72746, (((uintptr_t)(_emalloc) >> 32) & 0xffff));
			}
		dasm_put(Dst, 72749);
			}
		dasm_put(Dst, 72751);
			}
		#else
		dasm_put(Dst, 72753, sizeof(zend_reference));
			if (arm64_may_use_b(_emalloc)) {
		dasm_put(Dst, 72756, (unsigned int)((ptrdiff_t)(_emalloc)), (unsigned int)(((ptrdiff_t)(_emalloc))>>32));
			} else {
			if (((uintptr_t)(_emalloc)) == 0) {
		dasm_put(Dst, 72759);
			} else if (((uintptr_t)(_emalloc)) <= MOVZ_IMM) {
		dasm_put(Dst, 72761, ((uint64_t)(_emalloc)));
			} else if (arm64_may_use_adr((void*)(_emalloc))) {
		dasm_put(Dst, 72764, (unsigned int)((ptrdiff_t)(_emalloc)), (unsigned int)(((ptrdiff_t)(_emalloc))>>32));
			} else if (arm64_may_use_adrp((void*)(_emalloc))) {
		dasm_put(Dst, 72767, (unsigned int)((ptrdiff_t)((((uintptr_t)(_emalloc))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_emalloc)))))>>32));
				if (((uintptr_t)(_emalloc)) & 0xfff) {
		dasm_put(Dst, 72770, (((uintptr_t)(_emalloc)) & 0xfff));
				}
			} else if ((uintptr_t)(_emalloc) & 0xffff) {
		dasm_put(Dst, 72773, ((uintptr_t)(_emalloc) & 0xffff));
				if (((uintptr_t)(_emalloc) >> 16) & 0xffff) {
		dasm_put(Dst, 72776, (((uintptr_t)(_emalloc) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_emalloc) >> 32) & 0xffff) {
		dasm_put(Dst, 72779, (((uintptr_t)(_emalloc) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_emalloc) >> 16) & 0xffff) {
		dasm_put(Dst, 72782, (((uintptr_t)(_emalloc) >> 16) & 0xffff));
				if (((uintptr_t)(_emalloc) >> 32) & 0xffff) {
		dasm_put(Dst, 72785, (((uintptr_t)(_emalloc) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 72788, (((uintptr_t)(_emalloc) >> 32) & 0xffff));
			}
		dasm_put(Dst, 72791);
			}
		dasm_put(Dst, 72793);
		#endif
		#endif
#line 9991 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	mov TMP1w, #2
		//|	str TMP1w, [REG0]
		dasm_put(Dst, 72795);
			ZEND_ASSERT(GC_REFERENCE <= MOVZ_IMM);
#line 9994 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	movz TMP1w, #GC_REFERENCE
		//|	str TMP1w, [REG0, #offsetof(zend_reference, gc.u.type_info)]
		//|	str xzr, [REG0, #offsetof(zend_reference, sources.ptr)]
		dasm_put(Dst, 72798, GC_REFERENCE, offsetof(zend_reference, gc.u.type_info), offsetof(zend_reference, sources.ptr));
#line 9997 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_REG0, offsetof(zend_reference, val));
		if (opline->op1_type == IS_VAR) {
			zend_jit_addr val_addr = ZEND_ADDR_MEM_ZVAL(ZREG_REG1, 0);

			//|	ldr REG1, T1  // restore
			//|	ZVAL_COPY_VALUE ref_addr, MAY_BE_ANY, val_addr, op1_info, ZREG_REG2, ZREG_REG2, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
			dasm_put(Dst, 72805);
				if (op1_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
					if ((op1_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
						if (Z_MODE(val_addr) == IS_REG) {
							if (Z_MODE(ref_addr) != IS_REG || Z_REG(ref_addr) != Z_REG(val_addr)) {
				if (Z_MODE(ref_addr) == IS_REG) {
			dasm_put(Dst, 72807, (Z_REG(ref_addr)), (Z_REG(val_addr)));
				} else {
					ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 72811, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
			dasm_put(Dst, 72815, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 72819, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 72823, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 72827, (Z_REG(val_addr)), (Z_REG(ref_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 72832, (Z_REG(val_addr)), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
				}
				}
							}
						} else if (Z_MODE(ref_addr) == IS_REG) {
				if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(val_addr)) == 0) {
			dasm_put(Dst, 72837, (Z_REG(ref_addr)));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) == 0) {
			dasm_put(Dst, 72840, (Z_REG(ref_addr)));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 72843, (Z_REG(ref_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 72847, (Z_REG(ref_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff) {
			dasm_put(Dst, 72851, (Z_REG(ref_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 72855, (Z_REG(ref_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 72859, (Z_REG(ref_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 72863, (Z_REG(ref_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 72867, (Z_REG(ref_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 72871, (Z_REG(ref_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 72875, (Z_REG(ref_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 72879, (Z_REG(ref_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 72883, (Z_REG(ref_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 72887, (Z_REG(ref_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 72891, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 72895, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 72899, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 72903, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 72907, (Z_REG(ref_addr)), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 72912, (Z_REG(ref_addr)), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
				} else if (Z_MODE(val_addr) == IS_REG) {
					if (Z_REG(ref_addr) != Z_REG(val_addr)) {
			dasm_put(Dst, 72917, (Z_REG(ref_addr)), (Z_REG(val_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
						} else {
				if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(val_addr)) == 0) {
			dasm_put(Dst, 72921, (ZREG_X10));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) == 0) {
			dasm_put(Dst, 72924, (ZREG_X10));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 72927, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 72931, (ZREG_X10), (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff) {
			dasm_put(Dst, 72935, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 72939, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 72943, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 72947, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 72951, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 72955, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 72959, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 72963, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 72967, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 72971, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 72975, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 72979, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 72983, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 72987, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 72991, (ZREG_X10), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 72996, (ZREG_X10), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
				} else if (Z_MODE(val_addr) == IS_REG) {
					if (ZREG_X10 != Z_REG(val_addr)) {
			dasm_put(Dst, 73001, (ZREG_X10), (Z_REG(val_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
				if (Z_MODE(ref_addr) == IS_REG) {
			dasm_put(Dst, 73005, (Z_REG(ref_addr)), (ZREG_X10));
				} else {
					ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 73009, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
			dasm_put(Dst, 73013, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 73017, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 73021, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 73025, (ZREG_X10), (Z_REG(ref_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 73030, (ZREG_X10), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
				}
				}
						}
					} else if ((op1_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
						if (Z_MODE(val_addr) == IS_REG) {
				if (Z_MODE(ref_addr) == IS_REG) {
					if (Z_REG(val_addr) != Z_REG(ref_addr)) {
			dasm_put(Dst, 73035, (Z_REG(ref_addr)-ZREG_V0), (Z_REG(val_addr)-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 73039, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
			dasm_put(Dst, 73043, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 73047, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 73051, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 73055, (Z_REG(val_addr)-ZREG_V0), (Z_REG(ref_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 73060, (Z_REG(val_addr)-ZREG_V0), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
				}
				}
						} else if (Z_MODE(ref_addr) == IS_REG) {
				if (Z_MODE(val_addr) != IS_REG || Z_REG(ref_addr) != Z_REG(val_addr)) {
					if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 73065, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32), (Z_REG(ref_addr)-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 73072, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32), (Z_REG(ref_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(val_addr))) == 0) {
			dasm_put(Dst, 73080, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 73083, (ZREG_X15), ((uint64_t)(Z_ZV(val_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 73087, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 73091, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(val_addr))) & 0xfff) {
			dasm_put(Dst, 73095, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(val_addr)) & 0xffff) {
			dasm_put(Dst, 73100, (ZREG_X15), ((uintptr_t)(Z_ZV(val_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 73104, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 73108, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 73112, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 73116, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 73120, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 73124, (Z_REG(ref_addr)-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 73128, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 73132, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 73136, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 73140, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 73144, (Z_REG(ref_addr)-ZREG_V0), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 73149, (Z_REG(ref_addr)-ZREG_V0), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
					} else if (Z_MODE(val_addr) == IS_REG) {
			dasm_put(Dst, 73154, (Z_REG(ref_addr)-ZREG_V0), (Z_REG(val_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
						} else {
				if (Z_MODE(val_addr) != IS_REG || ZREG_V0 != Z_REG(val_addr)) {
					if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 73158, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 73165, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(val_addr))) == 0) {
			dasm_put(Dst, 73173, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 73176, (ZREG_X15), ((uint64_t)(Z_ZV(val_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 73180, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 73184, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(val_addr))) & 0xfff) {
			dasm_put(Dst, 73188, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(val_addr)) & 0xffff) {
			dasm_put(Dst, 73193, (ZREG_X15), ((uintptr_t)(Z_ZV(val_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 73197, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 73201, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 73205, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 73209, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 73213, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 73217, (ZREG_V0-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 73221, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 73225, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 73229, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 73233, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 73237, (ZREG_V0-ZREG_V0), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 73242, (ZREG_V0-ZREG_V0), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
					} else if (Z_MODE(val_addr) == IS_REG) {
			dasm_put(Dst, 73247, (ZREG_V0-ZREG_V0), (Z_REG(val_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
				if (Z_MODE(ref_addr) == IS_REG) {
					if (ZREG_V0 != Z_REG(ref_addr)) {
			dasm_put(Dst, 73251, (Z_REG(ref_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 73255, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
			dasm_put(Dst, 73259, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 73263, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 73267, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 73271, (ZREG_V0-ZREG_V0), (Z_REG(ref_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 73276, (ZREG_V0-ZREG_V0), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
				}
				}
						}
					// Combine the following two branches.
					// } else if (!(op1_info & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
					} else {
				ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 73281, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 73285, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 73289, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 73293, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 73297, (ZREG_X10), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 73302, (ZREG_X10), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
				ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 73307, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
			dasm_put(Dst, 73311, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 73315, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 73319, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 73323, (ZREG_X10), (Z_REG(ref_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 73328, (ZREG_X10), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
				}
					}
				}
				if ((op1_info & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
					!(op1_info & MAY_BE_GUARD) &&
					has_concrete_type(op1_info & MAY_BE_ANY)) {
					if (Z_MODE(ref_addr) == IS_MEM_ZVAL) {
						if ((MAY_BE_ANY & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (op1_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD))) {
							uint32_t type = concrete_type(op1_info);
				ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(type)) <= MOVZ_IMM) {
			dasm_put(Dst, 73333, (ZREG_X15), ((uint32_t)(type)));
				} else if (((uint32_t)(type) & 0xffff)) {
			dasm_put(Dst, 73337, (ZREG_X15), ((uint32_t)(type) & 0xffff));
					if ((((uint32_t)(type) >> 16) & 0xffff)) {
			dasm_put(Dst, 73341, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 73345, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 73349, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 73353, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 73357, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 73361, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 73365, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 73370, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)));
				}
						}
					}
				} else {
				ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 73375, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 73379, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 73383, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 73387, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 73391, (ZREG_X10), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 73396, (ZREG_X10), (Z_REG(val_addr)), (Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)));
				}
				ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 73401, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 73405, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 73409, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 73413, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 73417, (ZREG_X10), (Z_REG(ref_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 73422, (ZREG_X10), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)));
				}
				}
#line 10003 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	SET_ZVAL_PTR val_addr, REG0, TMP1
				ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 73427, ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 73430, ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 73433, (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 73436, (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 73439, (Z_REG(val_addr)));
				} else {
			dasm_put(Dst, 73442, (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
#line 10004 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	SET_ZVAL_TYPE_INFO val_addr, IS_REFERENCE_EX, TMP1w, TMP2
				ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(IS_REFERENCE_EX)) <= MOVZ_IMM) {
			dasm_put(Dst, 73446, ((uint32_t)(IS_REFERENCE_EX)));
				} else if (((uint32_t)(IS_REFERENCE_EX) & 0xffff)) {
			dasm_put(Dst, 73449, ((uint32_t)(IS_REFERENCE_EX) & 0xffff));
					if ((((uint32_t)(IS_REFERENCE_EX) >> 16) & 0xffff)) {
			dasm_put(Dst, 73452, (((uint32_t)(IS_REFERENCE_EX) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 73455, (((uint32_t)(IS_REFERENCE_EX) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 73458, ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 73461, ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 73464, (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 73467, (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 73470, (Z_REG(val_addr)));
				} else {
			dasm_put(Dst, 73473, (Z_REG(val_addr)), (Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)));
				}
#line 10005 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	ZVAL_COPY_VALUE ref_addr, MAY_BE_ANY, op1_addr, op1_info, ZREG_REG1, ZREG_REG2, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
				if (op1_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
					if ((op1_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
						if (Z_MODE(op1_addr) == IS_REG) {
							if (Z_MODE(ref_addr) != IS_REG || Z_REG(ref_addr) != Z_REG(op1_addr)) {
				if (Z_MODE(ref_addr) == IS_REG) {
			dasm_put(Dst, 73477, (Z_REG(ref_addr)), (Z_REG(op1_addr)));
				} else {
					ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 73481, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
			dasm_put(Dst, 73485, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 73489, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 73493, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 73497, (Z_REG(op1_addr)), (Z_REG(ref_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 73502, (Z_REG(op1_addr)), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
				}
				}
							}
						} else if (Z_MODE(ref_addr) == IS_REG) {
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
			dasm_put(Dst, 73507, (Z_REG(ref_addr)));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
			dasm_put(Dst, 73510, (Z_REG(ref_addr)));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 73513, (Z_REG(ref_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 73517, (Z_REG(ref_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
			dasm_put(Dst, 73521, (Z_REG(ref_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 73525, (Z_REG(ref_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 73529, (Z_REG(ref_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 73533, (Z_REG(ref_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 73537, (Z_REG(ref_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 73541, (Z_REG(ref_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 73545, (Z_REG(ref_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 73549, (Z_REG(ref_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 73553, (Z_REG(ref_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 73557, (Z_REG(ref_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 73561, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 73565, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 73569, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 73573, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 73577, (Z_REG(ref_addr)), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 73582, (Z_REG(ref_addr)), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
				} else if (Z_MODE(op1_addr) == IS_REG) {
					if (Z_REG(ref_addr) != Z_REG(op1_addr)) {
			dasm_put(Dst, 73587, (Z_REG(ref_addr)), (Z_REG(op1_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
						} else {
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
			dasm_put(Dst, 73591, (ZREG_X10));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
			dasm_put(Dst, 73594, (ZREG_X10));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 73597, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 73601, (ZREG_X10), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
			dasm_put(Dst, 73605, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 73609, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 73613, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 73617, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 73621, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 73625, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 73629, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 73633, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 73637, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 73641, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 73645, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 73649, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 73653, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 73657, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 73661, (ZREG_X10), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 73666, (ZREG_X10), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
				} else if (Z_MODE(op1_addr) == IS_REG) {
					if (ZREG_X10 != Z_REG(op1_addr)) {
			dasm_put(Dst, 73671, (ZREG_X10), (Z_REG(op1_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
				if (Z_MODE(ref_addr) == IS_REG) {
			dasm_put(Dst, 73675, (Z_REG(ref_addr)), (ZREG_X10));
				} else {
					ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 73679, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
			dasm_put(Dst, 73683, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 73687, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 73691, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 73695, (ZREG_X10), (Z_REG(ref_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 73700, (ZREG_X10), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
				}
				}
						}
					} else if ((op1_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
						if (Z_MODE(op1_addr) == IS_REG) {
				if (Z_MODE(ref_addr) == IS_REG) {
					if (Z_REG(op1_addr) != Z_REG(ref_addr)) {
			dasm_put(Dst, 73705, (Z_REG(ref_addr)-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 73709, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
			dasm_put(Dst, 73713, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 73717, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 73721, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 73725, (Z_REG(op1_addr)-ZREG_V0), (Z_REG(ref_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 73730, (Z_REG(op1_addr)-ZREG_V0), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
				}
				}
						} else if (Z_MODE(ref_addr) == IS_REG) {
				if (Z_MODE(op1_addr) != IS_REG || Z_REG(ref_addr) != Z_REG(op1_addr)) {
					if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 73735, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (Z_REG(ref_addr)-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 73742, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (Z_REG(ref_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
			dasm_put(Dst, 73750, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 73753, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 73757, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 73761, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
			dasm_put(Dst, 73765, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
			dasm_put(Dst, 73770, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 73774, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 73778, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 73782, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 73786, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 73790, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 73794, (Z_REG(ref_addr)-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 73798, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 73802, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 73806, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 73810, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 73814, (Z_REG(ref_addr)-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 73819, (Z_REG(ref_addr)-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
					} else if (Z_MODE(op1_addr) == IS_REG) {
			dasm_put(Dst, 73824, (Z_REG(ref_addr)-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
						} else {
				if (Z_MODE(op1_addr) != IS_REG || ZREG_V0 != Z_REG(op1_addr)) {
					if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 73828, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 73835, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
			dasm_put(Dst, 73843, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 73846, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 73850, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 73854, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
			dasm_put(Dst, 73858, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
			dasm_put(Dst, 73863, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 73867, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 73871, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 73875, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 73879, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 73883, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 73887, (ZREG_V0-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 73891, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 73895, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 73899, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 73903, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 73907, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 73912, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
					} else if (Z_MODE(op1_addr) == IS_REG) {
			dasm_put(Dst, 73917, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
				if (Z_MODE(ref_addr) == IS_REG) {
					if (ZREG_V0 != Z_REG(ref_addr)) {
			dasm_put(Dst, 73921, (Z_REG(ref_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 73925, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
			dasm_put(Dst, 73929, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 73933, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 73937, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 73941, (ZREG_V0-ZREG_V0), (Z_REG(ref_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 73946, (ZREG_V0-ZREG_V0), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
				}
				}
						}
					// Combine the following two branches.
					// } else if (!(op1_info & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
					} else {
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 73951, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 73955, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 73959, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 73963, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 73967, (ZREG_X10), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 73972, (ZREG_X10), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
				ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 73977, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
			dasm_put(Dst, 73981, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 73985, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 73989, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 73993, (ZREG_X10), (Z_REG(ref_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 73998, (ZREG_X10), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
				}
					}
				}
				if ((op1_info & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
					!(op1_info & MAY_BE_GUARD) &&
					has_concrete_type(op1_info & MAY_BE_ANY)) {
					if (Z_MODE(ref_addr) == IS_MEM_ZVAL) {
						if ((MAY_BE_ANY & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (op1_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD))) {
							uint32_t type = concrete_type(op1_info);
				ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(type)) <= MOVZ_IMM) {
			dasm_put(Dst, 74003, (ZREG_X15), ((uint32_t)(type)));
				} else if (((uint32_t)(type) & 0xffff)) {
			dasm_put(Dst, 74007, (ZREG_X15), ((uint32_t)(type) & 0xffff));
					if ((((uint32_t)(type) >> 16) & 0xffff)) {
			dasm_put(Dst, 74011, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 74015, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 74019, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 74023, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 74027, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 74031, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 74035, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 74040, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)));
				}
						}
					}
				} else {
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 74045, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 74049, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 74053, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 74057, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 74061, (ZREG_X9), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 74066, (ZREG_X9), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)));
				}
				ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 74071, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 74075, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 74079, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 74083, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 74087, (ZREG_X9), (Z_REG(ref_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 74092, (ZREG_X9), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)));
				}
				}
#line 10007 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	SET_ZVAL_PTR op1_addr, REG0, TMP1
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 74097, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 74100, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 74103, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 74106, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 74109, (Z_REG(op1_addr)));
				} else {
			dasm_put(Dst, 74112, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
#line 10008 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	SET_ZVAL_TYPE_INFO op1_addr, IS_REFERENCE_EX, TMP1w, TMP2
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(IS_REFERENCE_EX)) <= MOVZ_IMM) {
			dasm_put(Dst, 74116, ((uint32_t)(IS_REFERENCE_EX)));
				} else if (((uint32_t)(IS_REFERENCE_EX) & 0xffff)) {
			dasm_put(Dst, 74119, ((uint32_t)(IS_REFERENCE_EX) & 0xffff));
					if ((((uint32_t)(IS_REFERENCE_EX) >> 16) & 0xffff)) {
			dasm_put(Dst, 74122, (((uint32_t)(IS_REFERENCE_EX) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 74125, (((uint32_t)(IS_REFERENCE_EX) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 74128, ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 74131, ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 74134, (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 74137, (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 74140, (Z_REG(op1_addr)));
				} else {
			dasm_put(Dst, 74143, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)));
				}
#line 10009 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	SET_ZVAL_PTR arg_addr, REG0, TMP1
			ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 74147, ((uint32_t)(Z_OFFSET(arg_addr))));
			} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
		dasm_put(Dst, 74150, ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 74153, (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 74156, (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 74159, (Z_REG(arg_addr)));
			} else {
		dasm_put(Dst, 74162, (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
			}
#line 10011 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	SET_ZVAL_TYPE_INFO arg_addr, IS_REFERENCE_EX, TMP1w, TMP2
			ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
			if (((uint32_t)(IS_REFERENCE_EX)) <= MOVZ_IMM) {
		dasm_put(Dst, 74166, ((uint32_t)(IS_REFERENCE_EX)));
			} else if (((uint32_t)(IS_REFERENCE_EX) & 0xffff)) {
		dasm_put(Dst, 74169, ((uint32_t)(IS_REFERENCE_EX) & 0xffff));
				if ((((uint32_t)(IS_REFERENCE_EX) >> 16) & 0xffff)) {
		dasm_put(Dst, 74172, (((uint32_t)(IS_REFERENCE_EX) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 74175, (((uint32_t)(IS_REFERENCE_EX) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 74178, ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 74181, ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 74184, (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 74187, (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 74190, (Z_REG(arg_addr)));
			} else {
		dasm_put(Dst, 74193, (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)));
			}
#line 10012 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	//|6:
	//|	FREE_OP opline->op1_type, opline->op1, op1_info, !cold, opline, ZREG_TMP1, ZREG_TMP2
	dasm_put(Dst, 74197);
		if (opline->op1_type & (IS_VAR|IS_TMP_VAR)) {
			zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op1.var);
		if ((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
			if ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
				if (!cold) {
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
	dasm_put(Dst, 74199, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
		} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
	dasm_put(Dst, 74203, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
	dasm_put(Dst, 74207, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 74211, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 74215, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 74220, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
		}
		if (IS_TYPE_REFCOUNTED == 0) {
	dasm_put(Dst, 74225, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
	dasm_put(Dst, 74228, (ZREG_X15), IS_TYPE_REFCOUNTED);
		} else {
		if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
	dasm_put(Dst, 74232, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
		} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
	dasm_put(Dst, 74236, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
			if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
	dasm_put(Dst, 74240, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 74244, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
		}
	dasm_put(Dst, 74248, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 74252);
	dasm_put(Dst, 74255);
				} else {
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
	dasm_put(Dst, 74257, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
		} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
	dasm_put(Dst, 74261, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
	dasm_put(Dst, 74265, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 74269, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 74273, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 74278, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
		}
		if (IS_TYPE_REFCOUNTED == 0) {
	dasm_put(Dst, 74283, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
	dasm_put(Dst, 74286, (ZREG_X15), IS_TYPE_REFCOUNTED);
		} else {
		if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
	dasm_put(Dst, 74290, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
		} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
	dasm_put(Dst, 74294, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
			if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
	dasm_put(Dst, 74298, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 74302, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
		}
	dasm_put(Dst, 74306, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 74310);
				}
			}
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 74313, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
		} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
	dasm_put(Dst, 74317, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 74321, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 74325, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 74329, (Z_REG(addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 74333, (Z_REG(addr)), (Z_OFFSET(addr)));
		}
	dasm_put(Dst, 74337, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
			if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op1_info)) {
				if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op1_info)) {
					if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
	dasm_put(Dst, 74345);
					} else {
	dasm_put(Dst, 74348);
					}
				}
		do {
			if (!((op1_info) & MAY_BE_GUARD)
			 && has_concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
				zend_uchar type = concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
				if (type == IS_STRING && !ZEND_DEBUG) {
		if (arm64_may_use_b(_efree)) {
	dasm_put(Dst, 74351, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
		} else {
		if (((uintptr_t)(_efree)) == 0) {
	dasm_put(Dst, 74354, (ZREG_X15));
		} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
	dasm_put(Dst, 74357, (ZREG_X15), ((uint64_t)(_efree)));
		} else if (arm64_may_use_adr((void*)(_efree))) {
	dasm_put(Dst, 74361, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
		} else if (arm64_may_use_adrp((void*)(_efree))) {
	dasm_put(Dst, 74365, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
			if (((uintptr_t)(_efree)) & 0xfff) {
	dasm_put(Dst, 74369, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
			}
		} else if ((uintptr_t)(_efree) & 0xffff) {
	dasm_put(Dst, 74374, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
			if (((uintptr_t)(_efree) >> 16) & 0xffff) {
	dasm_put(Dst, 74378, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
			}
			if (((uintptr_t)(_efree) >> 32) & 0xffff) {
	dasm_put(Dst, 74382, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
	dasm_put(Dst, 74386, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
			if (((uintptr_t)(_efree) >> 32) & 0xffff) {
	dasm_put(Dst, 74390, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 74394, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
		}
	dasm_put(Dst, 74398, (ZREG_X15));
		}
					break;
				} else if (type == IS_ARRAY) {
					if ((op1_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
						if (opline && ((op1_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
		if (opline == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 74401, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(opline)) == 0) {
	dasm_put(Dst, 74404, (ZREG_X15));
		} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
	dasm_put(Dst, 74407, (ZREG_X15), ((uint64_t)(opline)));
		} else if (arm64_may_use_adr((void*)(opline))) {
	dasm_put(Dst, 74411, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
		} else if (arm64_may_use_adrp((void*)(opline))) {
	dasm_put(Dst, 74415, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
			if (((uintptr_t)(opline)) & 0xfff) {
	dasm_put(Dst, 74419, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
			}
		} else if ((uintptr_t)(opline) & 0xffff) {
	dasm_put(Dst, 74424, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
			if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 74428, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
			}
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 74432, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 74436, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 74440, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 74444, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
		}
	dasm_put(Dst, 74448, (ZREG_X15), Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
						}
		if (arm64_may_use_b(zend_array_destroy)) {
	dasm_put(Dst, 74452, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
		} else {
		if (((uintptr_t)(zend_array_destroy)) == 0) {
	dasm_put(Dst, 74455, (ZREG_X15));
		} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
	dasm_put(Dst, 74458, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
		} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
	dasm_put(Dst, 74462, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
	dasm_put(Dst, 74466, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
			if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
	dasm_put(Dst, 74470, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
	dasm_put(Dst, 74475, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
			if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
	dasm_put(Dst, 74479, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
	dasm_put(Dst, 74483, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
	dasm_put(Dst, 74487, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
			if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
	dasm_put(Dst, 74491, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 74495, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
		}
	dasm_put(Dst, 74499, (ZREG_X15));
		}
					} else {
		if (arm64_may_use_b(zend_jit_array_free)) {
	dasm_put(Dst, 74502, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
		} else {
		if (((uintptr_t)(zend_jit_array_free)) == 0) {
	dasm_put(Dst, 74505, (ZREG_X15));
		} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
	dasm_put(Dst, 74508, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
		} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
	dasm_put(Dst, 74512, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
	dasm_put(Dst, 74516, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
			if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
	dasm_put(Dst, 74520, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
	dasm_put(Dst, 74525, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
			if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
	dasm_put(Dst, 74529, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
	dasm_put(Dst, 74533, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
	dasm_put(Dst, 74537, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
			if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
	dasm_put(Dst, 74541, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 74545, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
		}
	dasm_put(Dst, 74549, (ZREG_X15));
		}
					}
					break;
				} else if (type == IS_OBJECT) {
					if (opline) {
		if (opline == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 74552, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(opline)) == 0) {
	dasm_put(Dst, 74555);
		} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
	dasm_put(Dst, 74557, ((uint64_t)(opline)));
		} else if (arm64_may_use_adr((void*)(opline))) {
	dasm_put(Dst, 74560, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
		} else if (arm64_may_use_adrp((void*)(opline))) {
	dasm_put(Dst, 74563, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
			if (((uintptr_t)(opline)) & 0xfff) {
	dasm_put(Dst, 74566, (((uintptr_t)(opline)) & 0xfff));
			}
		} else if ((uintptr_t)(opline) & 0xffff) {
	dasm_put(Dst, 74569, ((uintptr_t)(opline) & 0xffff));
			if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 74572, (((uintptr_t)(opline) >> 16) & 0xffff));
			}
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 74575, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 74578, (((uintptr_t)(opline) >> 16) & 0xffff));
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 74581, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 74584, (((uintptr_t)(opline) >> 32) & 0xffff));
		}
	dasm_put(Dst, 74587, Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
					}
		if (arm64_may_use_b(zend_objects_store_del)) {
	dasm_put(Dst, 74590, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
		} else {
		if (((uintptr_t)(zend_objects_store_del)) == 0) {
	dasm_put(Dst, 74593, (ZREG_X15));
		} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
	dasm_put(Dst, 74596, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
		} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
	dasm_put(Dst, 74600, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
	dasm_put(Dst, 74604, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
			if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
	dasm_put(Dst, 74608, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
	dasm_put(Dst, 74613, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
			if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
	dasm_put(Dst, 74617, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
	dasm_put(Dst, 74621, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
	dasm_put(Dst, 74625, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
			if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
	dasm_put(Dst, 74629, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 74633, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
		}
	dasm_put(Dst, 74637, (ZREG_X15));
		}
					break;
				}
			}
			if (opline) {
		if (opline == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 74640, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(opline)) == 0) {
	dasm_put(Dst, 74643, (ZREG_X15));
		} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
	dasm_put(Dst, 74646, (ZREG_X15), ((uint64_t)(opline)));
		} else if (arm64_may_use_adr((void*)(opline))) {
	dasm_put(Dst, 74650, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
		} else if (arm64_may_use_adrp((void*)(opline))) {
	dasm_put(Dst, 74654, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
			if (((uintptr_t)(opline)) & 0xfff) {
	dasm_put(Dst, 74658, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
			}
		} else if ((uintptr_t)(opline) & 0xffff) {
	dasm_put(Dst, 74663, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
			if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 74667, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
			}
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 74671, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 74675, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 74679, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 74683, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
		}
	dasm_put(Dst, 74687, (ZREG_X15), Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
			}
		if (arm64_may_use_b(rc_dtor_func)) {
	dasm_put(Dst, 74691, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
		} else {
		if (((uintptr_t)(rc_dtor_func)) == 0) {
	dasm_put(Dst, 74694, (ZREG_X15));
		} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
	dasm_put(Dst, 74697, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
		} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
	dasm_put(Dst, 74701, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
		} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
	dasm_put(Dst, 74705, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
			if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
	dasm_put(Dst, 74709, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
			}
		} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
	dasm_put(Dst, 74714, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
			if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
	dasm_put(Dst, 74718, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
			}
			if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
	dasm_put(Dst, 74722, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
	dasm_put(Dst, 74726, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
			if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
	dasm_put(Dst, 74730, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 74734, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
		}
	dasm_put(Dst, 74738, (ZREG_X15));
		}
		} while(0);
				if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
	dasm_put(Dst, 74741);
				}
	dasm_put(Dst, 74744);
			}
			if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
				if ((op1_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
					zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
	dasm_put(Dst, 74746, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
		} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
	dasm_put(Dst, 74750, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
	dasm_put(Dst, 74754, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 74758, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 74762, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
		} else {
	dasm_put(Dst, 74767, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
		}
		if (IS_REFERENCE == 0) {
	dasm_put(Dst, 74772, (ZREG_X15));
		} else {
	dasm_put(Dst, 74776, (ZREG_X15), IS_REFERENCE);
		}
		ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
	dasm_put(Dst, 74782, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
		} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
	dasm_put(Dst, 74786, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
	dasm_put(Dst, 74790, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 74794, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 74798, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 74803, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
		}
		if (IS_TYPE_COLLECTABLE == 0) {
	dasm_put(Dst, 74808, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
	dasm_put(Dst, 74811, (ZREG_X15), IS_TYPE_COLLECTABLE);
		} else {
		if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
	dasm_put(Dst, 74815, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
		} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
	dasm_put(Dst, 74819, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
			if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
	dasm_put(Dst, 74823, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 74827, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
		}
	dasm_put(Dst, 74831, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 74835);
		ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 74838, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
		} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
	dasm_put(Dst, 74842, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 74846, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 74850, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 74854, (Z_REG(ref_addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 74858, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
		}
	dasm_put(Dst, 74862);
				}
	dasm_put(Dst, 74864, (ZREG_X15));
		if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
	dasm_put(Dst, 74867, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
	dasm_put(Dst, 74870, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
		} else {
		if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
	dasm_put(Dst, 74874, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
		} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
	dasm_put(Dst, 74878, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
			if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
	dasm_put(Dst, 74882, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 74886, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
		}
	dasm_put(Dst, 74890, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 74894);
		if (arm64_may_use_b(gc_possible_root)) {
	dasm_put(Dst, 74897, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
		} else {
		if (((uintptr_t)(gc_possible_root)) == 0) {
	dasm_put(Dst, 74900, (ZREG_X15));
		} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
	dasm_put(Dst, 74903, (ZREG_X15), ((uint64_t)(gc_possible_root)));
		} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
	dasm_put(Dst, 74907, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
		} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
	dasm_put(Dst, 74911, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
			if (((uintptr_t)(gc_possible_root)) & 0xfff) {
	dasm_put(Dst, 74915, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
			}
		} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
	dasm_put(Dst, 74920, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
			if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
	dasm_put(Dst, 74924, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
			}
			if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
	dasm_put(Dst, 74928, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
	dasm_put(Dst, 74932, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
			if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
	dasm_put(Dst, 74936, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 74940, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
		}
	dasm_put(Dst, 74944, (ZREG_X15));
		}
			}
			if (!cold && ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
	dasm_put(Dst, 74947);
			}
	dasm_put(Dst, 74950);
		}
		}
#line 10016 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|7:
	dasm_put(Dst, 74952);
#line 10017 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	return 1;
}

static int zend_jit_send_var(dasm_State **Dst, const zend_op *opline, const zend_op_array *op_array, uint32_t op1_info, zend_jit_addr op1_addr, zend_jit_addr op1_def_addr)
{
	uint32_t arg_num = opline->op2.num;
	zend_jit_addr arg_addr;

	ZEND_ASSERT((opline->opcode != ZEND_SEND_VAR_EX &&
	     opline->opcode != ZEND_SEND_VAR_NO_REF_EX) ||
	    arg_num <= MAX_ARG_FLAG_NUM);

	arg_addr = ZEND_ADDR_MEM_ZVAL(ZREG_RX, opline->result.var);

	if (!zend_jit_reuse_ip(Dst)) {
		return 0;
	}

	if (opline->opcode == ZEND_SEND_VAR_EX) {
		if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE
		 && JIT_G(current_frame)
		 && JIT_G(current_frame)->call
		 && JIT_G(current_frame)->call->func) {
			if (ARG_SHOULD_BE_SENT_BY_REF(JIT_G(current_frame)->call->func, arg_num)) {
				if (!zend_jit_send_ref(Dst, opline, op_array, op1_info, 0)) {
					return 0;
				}
				return 1;
			}
		} else {
			uint32_t mask = (ZEND_SEND_BY_REF|ZEND_SEND_PREFER_REF) << ((arg_num + 3) * 2);

			//|	ldr REG0, EX:RX->func
			//|	ldr TMP1w, [REG0, #offsetof(zend_function, quick_arg_flags)]
			//|	TST_32_WITH_CONST TMP1w, mask, TMP2w
			dasm_put(Dst, 74954, Dt1(->func), offsetof(zend_function, quick_arg_flags));
				if (mask == 0) {
			dasm_put(Dst, 74959);
				} else if (logical_immediate_p((uint32_t)mask, 32)) {
			dasm_put(Dst, 74961, mask);
				} else {
				if (((uint32_t)(mask)) <= MOVZ_IMM) {
			dasm_put(Dst, 74964, ((uint32_t)(mask)));
				} else if (((uint32_t)(mask) & 0xffff)) {
			dasm_put(Dst, 74967, ((uint32_t)(mask) & 0xffff));
					if ((((uint32_t)(mask) >> 16) & 0xffff)) {
			dasm_put(Dst, 74970, (((uint32_t)(mask) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 74973, (((uint32_t)(mask) >> 16) & 0xffff));
				}
			dasm_put(Dst, 74976);
				}
#line 10053 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	bne >1
			//|.cold_code
			dasm_put(Dst, 74978);
#line 10055 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|1:
			dasm_put(Dst, 74981);
#line 10056 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (!zend_jit_send_ref(Dst, opline, op_array, op1_info, 1)) {
				return 0;
			}
			//|	b >7
			//|.code
			dasm_put(Dst, 74983);
#line 10061 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else if (opline->opcode == ZEND_SEND_VAR_NO_REF_EX) {
		if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE
		 && JIT_G(current_frame)
		 && JIT_G(current_frame)->call
		 && JIT_G(current_frame)->call->func) {
			if (ARG_SHOULD_BE_SENT_BY_REF(JIT_G(current_frame)->call->func, arg_num)) {

				//|	ZVAL_COPY_VALUE arg_addr, MAY_BE_ANY, op1_addr, op1_info, ZREG_REG1, ZREG_REG2, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
					if (op1_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
						if ((op1_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
							if (Z_MODE(op1_addr) == IS_REG) {
								if (Z_MODE(arg_addr) != IS_REG || Z_REG(arg_addr) != Z_REG(op1_addr)) {
					if (Z_MODE(arg_addr) == IS_REG) {
				dasm_put(Dst, 74986, (Z_REG(arg_addr)), (Z_REG(op1_addr)));
					} else {
						ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 74990, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
					} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
				dasm_put(Dst, 74994, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 74998, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 75002, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 75006, (Z_REG(op1_addr)), (Z_REG(arg_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 75011, (Z_REG(op1_addr)), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
					}
					}
								}
							} else if (Z_MODE(arg_addr) == IS_REG) {
					if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
						if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
				dasm_put(Dst, 75016, (Z_REG(arg_addr)));
						} else {
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
				dasm_put(Dst, 75019, (Z_REG(arg_addr)));
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 75022, (Z_REG(arg_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
					} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 75026, (Z_REG(arg_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
					} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
				dasm_put(Dst, 75030, (Z_REG(arg_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 75034, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
						}
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 75038, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 75042, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 75046, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 75050, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 75054, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 75058, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 75062, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 75066, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
						}
					} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 75070, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 75074, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 75078, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 75082, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 75086, (Z_REG(arg_addr)), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 75091, (Z_REG(arg_addr)), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
					}
					} else if (Z_MODE(op1_addr) == IS_REG) {
						if (Z_REG(arg_addr) != Z_REG(op1_addr)) {
				dasm_put(Dst, 75096, (Z_REG(arg_addr)), (Z_REG(op1_addr)));
						}
					} else {
						ZEND_UNREACHABLE();
					}
							} else {
					if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
						if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
				dasm_put(Dst, 75100, (ZREG_X10));
						} else {
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
				dasm_put(Dst, 75103, (ZREG_X10));
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 75106, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
					} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 75110, (ZREG_X10), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
					} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
				dasm_put(Dst, 75114, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 75118, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
						}
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 75122, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 75126, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 75130, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 75134, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 75138, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 75142, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 75146, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 75150, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
						}
					} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 75154, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 75158, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 75162, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 75166, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 75170, (ZREG_X10), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 75175, (ZREG_X10), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
					}
					} else if (Z_MODE(op1_addr) == IS_REG) {
						if (ZREG_X10 != Z_REG(op1_addr)) {
				dasm_put(Dst, 75180, (ZREG_X10), (Z_REG(op1_addr)));
						}
					} else {
						ZEND_UNREACHABLE();
					}
					if (Z_MODE(arg_addr) == IS_REG) {
				dasm_put(Dst, 75184, (Z_REG(arg_addr)), (ZREG_X10));
					} else {
						ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 75188, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
					} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
				dasm_put(Dst, 75192, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 75196, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 75200, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 75204, (ZREG_X10), (Z_REG(arg_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 75209, (ZREG_X10), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
					}
					}
							}
						} else if ((op1_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
							if (Z_MODE(op1_addr) == IS_REG) {
					if (Z_MODE(arg_addr) == IS_REG) {
						if (Z_REG(op1_addr) != Z_REG(arg_addr)) {
				dasm_put(Dst, 75214, (Z_REG(arg_addr)-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
						}
					} else {
						ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 75218, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
					} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
				dasm_put(Dst, 75222, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 75226, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 75230, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 75234, (Z_REG(op1_addr)-ZREG_V0), (Z_REG(arg_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 75239, (Z_REG(op1_addr)-ZREG_V0), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
					}
					}
							} else if (Z_MODE(arg_addr) == IS_REG) {
					if (Z_MODE(op1_addr) != IS_REG || Z_REG(arg_addr) != Z_REG(op1_addr)) {
						if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 75244, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (Z_REG(arg_addr)-ZREG_V0), (ZREG_X15));
					} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 75251, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (Z_REG(arg_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					} else {
					if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
				dasm_put(Dst, 75259, (ZREG_X15));
					} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 75262, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 75266, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 75270, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
				dasm_put(Dst, 75274, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
				dasm_put(Dst, 75279, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 75283, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 75287, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 75291, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 75295, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 75299, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				dasm_put(Dst, 75303, (Z_REG(arg_addr)-ZREG_V0), (ZREG_X15));
					}
						} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 75307, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 75311, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 75315, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 75319, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 75323, (Z_REG(arg_addr)-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 75328, (Z_REG(arg_addr)-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
					}
						} else if (Z_MODE(op1_addr) == IS_REG) {
				dasm_put(Dst, 75333, (Z_REG(arg_addr)-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
						} else {
							ZEND_UNREACHABLE();
						}
					}
							} else {
					if (Z_MODE(op1_addr) != IS_REG || ZREG_V0 != Z_REG(op1_addr)) {
						if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 75337, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
					} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 75344, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					} else {
					if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
				dasm_put(Dst, 75352, (ZREG_X15));
					} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 75355, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 75359, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 75363, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
				dasm_put(Dst, 75367, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
				dasm_put(Dst, 75372, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 75376, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 75380, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 75384, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 75388, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 75392, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				dasm_put(Dst, 75396, (ZREG_V0-ZREG_V0), (ZREG_X15));
					}
						} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 75400, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 75404, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 75408, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 75412, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 75416, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 75421, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
					}
						} else if (Z_MODE(op1_addr) == IS_REG) {
				dasm_put(Dst, 75426, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
						} else {
							ZEND_UNREACHABLE();
						}
					}
					if (Z_MODE(arg_addr) == IS_REG) {
						if (ZREG_V0 != Z_REG(arg_addr)) {
				dasm_put(Dst, 75430, (Z_REG(arg_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
						}
					} else {
						ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 75434, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
					} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
				dasm_put(Dst, 75438, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 75442, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 75446, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 75450, (ZREG_V0-ZREG_V0), (Z_REG(arg_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 75455, (ZREG_V0-ZREG_V0), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
					}
					}
							}
						// Combine the following two branches.
						// } else if (!(op1_info & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
						} else {
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 75460, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 75464, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 75468, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 75472, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 75476, (ZREG_X10), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 75481, (ZREG_X10), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
					}
					ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 75486, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
					} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
				dasm_put(Dst, 75490, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 75494, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 75498, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 75502, (ZREG_X10), (Z_REG(arg_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 75507, (ZREG_X10), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
					}
						}
					}
					if ((op1_info & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
						!(op1_info & MAY_BE_GUARD) &&
						has_concrete_type(op1_info & MAY_BE_ANY)) {
						if (Z_MODE(arg_addr) == IS_MEM_ZVAL) {
							if ((MAY_BE_ANY & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (op1_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD))) {
								uint32_t type = concrete_type(op1_info);
					ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
					if (((uint32_t)(type)) <= MOVZ_IMM) {
				dasm_put(Dst, 75512, (ZREG_X15), ((uint32_t)(type)));
					} else if (((uint32_t)(type) & 0xffff)) {
				dasm_put(Dst, 75516, (ZREG_X15), ((uint32_t)(type) & 0xffff));
						if ((((uint32_t)(type) >> 16) & 0xffff)) {
				dasm_put(Dst, 75520, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 75524, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 75528, (ZREG_X16), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 75532, (ZREG_X16), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 75536, (ZREG_X16), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 75540, (ZREG_X16), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 75544, (ZREG_X15), (Z_REG(arg_addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 75549, (ZREG_X15), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)));
					}
							}
						}
					} else {
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 75554, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 75558, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 75562, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 75566, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 75570, (ZREG_X9), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 75575, (ZREG_X9), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)));
					}
					ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 75580, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 75584, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 75588, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 75592, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 75596, (ZREG_X9), (Z_REG(arg_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 75601, (ZREG_X9), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)));
					}
					}
#line 10070 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

				if (!ARG_MAY_BE_SENT_BY_REF(JIT_G(current_frame)->call->func, arg_num)) {
					if (!(op1_info & MAY_BE_REF)) {
						/* Don't generate code that always throws exception */
						return 0;
					} else {
						int32_t exit_point = zend_jit_trace_get_exit_point(opline, ZEND_JIT_EXIT_TO_VM);
						const void *exit_addr = zend_jit_trace_get_exit_addr(exit_point);
						if (!exit_addr) {
							return 0;
						}
						//|	GET_LOW_8BITS TMP1w, REG1w
						//|	cmp TMP1w, #IS_REFERENCE
						//|	bne &exit_addr
						dasm_put(Dst, 75606, IS_REFERENCE, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 10084 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				}
				return 1;
			}
		} else {
			uint32_t mask = (ZEND_SEND_BY_REF|ZEND_SEND_PREFER_REF) << ((arg_num + 3) * 2);

			//|	ldr REG0, EX:RX->func
			//|	ldr TMP1w, [REG0, #offsetof(zend_function, quick_arg_flags)]
			//|	TST_32_WITH_CONST TMP1w, mask, TMP2w
			dasm_put(Dst, 75612, Dt1(->func), offsetof(zend_function, quick_arg_flags));
				if (mask == 0) {
			dasm_put(Dst, 75617);
				} else if (logical_immediate_p((uint32_t)mask, 32)) {
			dasm_put(Dst, 75619, mask);
				} else {
				if (((uint32_t)(mask)) <= MOVZ_IMM) {
			dasm_put(Dst, 75622, ((uint32_t)(mask)));
				} else if (((uint32_t)(mask) & 0xffff)) {
			dasm_put(Dst, 75625, ((uint32_t)(mask) & 0xffff));
					if ((((uint32_t)(mask) >> 16) & 0xffff)) {
			dasm_put(Dst, 75628, (((uint32_t)(mask) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 75631, (((uint32_t)(mask) >> 16) & 0xffff));
				}
			dasm_put(Dst, 75634);
				}
#line 10094 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	bne >1
			//|.cold_code
			dasm_put(Dst, 75636);
#line 10096 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|1:
			dasm_put(Dst, 75639);
#line 10097 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

			mask = ZEND_SEND_PREFER_REF << ((arg_num + 3) * 2);

			//|	ZVAL_COPY_VALUE arg_addr, MAY_BE_ANY, op1_addr, op1_info, ZREG_REG1, ZREG_REG2, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
				if (op1_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
					if ((op1_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
						if (Z_MODE(op1_addr) == IS_REG) {
							if (Z_MODE(arg_addr) != IS_REG || Z_REG(arg_addr) != Z_REG(op1_addr)) {
				if (Z_MODE(arg_addr) == IS_REG) {
			dasm_put(Dst, 75641, (Z_REG(arg_addr)), (Z_REG(op1_addr)));
				} else {
					ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 75645, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
				} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
			dasm_put(Dst, 75649, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 75653, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 75657, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 75661, (Z_REG(op1_addr)), (Z_REG(arg_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 75666, (Z_REG(op1_addr)), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
				}
				}
							}
						} else if (Z_MODE(arg_addr) == IS_REG) {
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
			dasm_put(Dst, 75671, (Z_REG(arg_addr)));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
			dasm_put(Dst, 75674, (Z_REG(arg_addr)));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 75677, (Z_REG(arg_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 75681, (Z_REG(arg_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
			dasm_put(Dst, 75685, (Z_REG(arg_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 75689, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 75693, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 75697, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 75701, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 75705, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 75709, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 75713, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 75717, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 75721, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 75725, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 75729, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 75733, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 75737, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 75741, (Z_REG(arg_addr)), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 75746, (Z_REG(arg_addr)), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
				} else if (Z_MODE(op1_addr) == IS_REG) {
					if (Z_REG(arg_addr) != Z_REG(op1_addr)) {
			dasm_put(Dst, 75751, (Z_REG(arg_addr)), (Z_REG(op1_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
						} else {
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
			dasm_put(Dst, 75755, (ZREG_X10));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
			dasm_put(Dst, 75758, (ZREG_X10));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 75761, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 75765, (ZREG_X10), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
			dasm_put(Dst, 75769, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 75773, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 75777, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 75781, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 75785, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 75789, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 75793, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 75797, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 75801, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 75805, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 75809, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 75813, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 75817, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 75821, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 75825, (ZREG_X10), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 75830, (ZREG_X10), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
				} else if (Z_MODE(op1_addr) == IS_REG) {
					if (ZREG_X10 != Z_REG(op1_addr)) {
			dasm_put(Dst, 75835, (ZREG_X10), (Z_REG(op1_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
				if (Z_MODE(arg_addr) == IS_REG) {
			dasm_put(Dst, 75839, (Z_REG(arg_addr)), (ZREG_X10));
				} else {
					ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 75843, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
				} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
			dasm_put(Dst, 75847, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 75851, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 75855, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 75859, (ZREG_X10), (Z_REG(arg_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 75864, (ZREG_X10), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
				}
				}
						}
					} else if ((op1_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
						if (Z_MODE(op1_addr) == IS_REG) {
				if (Z_MODE(arg_addr) == IS_REG) {
					if (Z_REG(op1_addr) != Z_REG(arg_addr)) {
			dasm_put(Dst, 75869, (Z_REG(arg_addr)-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 75873, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
				} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
			dasm_put(Dst, 75877, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 75881, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 75885, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 75889, (Z_REG(op1_addr)-ZREG_V0), (Z_REG(arg_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 75894, (Z_REG(op1_addr)-ZREG_V0), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
				}
				}
						} else if (Z_MODE(arg_addr) == IS_REG) {
				if (Z_MODE(op1_addr) != IS_REG || Z_REG(arg_addr) != Z_REG(op1_addr)) {
					if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 75899, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (Z_REG(arg_addr)-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 75906, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (Z_REG(arg_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
			dasm_put(Dst, 75914, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 75917, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 75921, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 75925, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
			dasm_put(Dst, 75929, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
			dasm_put(Dst, 75934, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 75938, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 75942, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 75946, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 75950, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 75954, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 75958, (Z_REG(arg_addr)-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 75962, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 75966, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 75970, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 75974, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 75978, (Z_REG(arg_addr)-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 75983, (Z_REG(arg_addr)-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
					} else if (Z_MODE(op1_addr) == IS_REG) {
			dasm_put(Dst, 75988, (Z_REG(arg_addr)-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
						} else {
				if (Z_MODE(op1_addr) != IS_REG || ZREG_V0 != Z_REG(op1_addr)) {
					if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 75992, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 75999, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
			dasm_put(Dst, 76007, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 76010, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 76014, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 76018, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
			dasm_put(Dst, 76022, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
			dasm_put(Dst, 76027, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 76031, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 76035, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 76039, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 76043, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 76047, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 76051, (ZREG_V0-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 76055, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 76059, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 76063, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 76067, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 76071, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 76076, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
					} else if (Z_MODE(op1_addr) == IS_REG) {
			dasm_put(Dst, 76081, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
				if (Z_MODE(arg_addr) == IS_REG) {
					if (ZREG_V0 != Z_REG(arg_addr)) {
			dasm_put(Dst, 76085, (Z_REG(arg_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 76089, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
				} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
			dasm_put(Dst, 76093, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 76097, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 76101, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 76105, (ZREG_V0-ZREG_V0), (Z_REG(arg_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 76110, (ZREG_V0-ZREG_V0), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
				}
				}
						}
					// Combine the following two branches.
					// } else if (!(op1_info & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
					} else {
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 76115, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 76119, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 76123, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 76127, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 76131, (ZREG_X10), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 76136, (ZREG_X10), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
				ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 76141, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
				} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
			dasm_put(Dst, 76145, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 76149, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 76153, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 76157, (ZREG_X10), (Z_REG(arg_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 76162, (ZREG_X10), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
				}
					}
				}
				if ((op1_info & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
					!(op1_info & MAY_BE_GUARD) &&
					has_concrete_type(op1_info & MAY_BE_ANY)) {
					if (Z_MODE(arg_addr) == IS_MEM_ZVAL) {
						if ((MAY_BE_ANY & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (op1_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD))) {
							uint32_t type = concrete_type(op1_info);
				ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(type)) <= MOVZ_IMM) {
			dasm_put(Dst, 76167, (ZREG_X15), ((uint32_t)(type)));
				} else if (((uint32_t)(type) & 0xffff)) {
			dasm_put(Dst, 76171, (ZREG_X15), ((uint32_t)(type) & 0xffff));
					if ((((uint32_t)(type) >> 16) & 0xffff)) {
			dasm_put(Dst, 76175, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 76179, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 76183, (ZREG_X16), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 76187, (ZREG_X16), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 76191, (ZREG_X16), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 76195, (ZREG_X16), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 76199, (ZREG_X15), (Z_REG(arg_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 76204, (ZREG_X15), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)));
				}
						}
					}
				} else {
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 76209, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 76213, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 76217, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 76221, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 76225, (ZREG_X9), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 76230, (ZREG_X9), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)));
				}
				ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 76235, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 76239, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 76243, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 76247, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 76251, (ZREG_X9), (Z_REG(arg_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 76256, (ZREG_X9), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)));
				}
				}
#line 10101 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (op1_info & MAY_BE_REF) {
				//|	GET_LOW_8BITS TMP1w, REG1w
				//|	cmp TMP1w, #IS_REFERENCE
				//|	beq >7
				dasm_put(Dst, 76261, IS_REFERENCE);
#line 10105 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	ldr TMP1w, [REG0, #offsetof(zend_function, quick_arg_flags)]
			//|	TST_32_WITH_CONST TMP1w, mask, TMP2w
			dasm_put(Dst, 76267, offsetof(zend_function, quick_arg_flags));
				if (mask == 0) {
			dasm_put(Dst, 76270);
				} else if (logical_immediate_p((uint32_t)mask, 32)) {
			dasm_put(Dst, 76272, mask);
				} else {
				if (((uint32_t)(mask)) <= MOVZ_IMM) {
			dasm_put(Dst, 76275, ((uint32_t)(mask)));
				} else if (((uint32_t)(mask) & 0xffff)) {
			dasm_put(Dst, 76278, ((uint32_t)(mask) & 0xffff));
					if ((((uint32_t)(mask) >> 16) & 0xffff)) {
			dasm_put(Dst, 76281, (((uint32_t)(mask) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 76284, (((uint32_t)(mask) >> 16) & 0xffff));
				}
			dasm_put(Dst, 76287);
				}
#line 10108 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	bne >7
			dasm_put(Dst, 76289);
#line 10109 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE) {
				int32_t exit_point = zend_jit_trace_get_exit_point(opline, ZEND_JIT_EXIT_TO_VM);
				const void *exit_addr = zend_jit_trace_get_exit_addr(exit_point);
				if (!exit_addr) {
					return 0;
				}
				//|	b &exit_addr
				dasm_put(Dst, 76292, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 10116 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	SET_EX_OPLINE opline, REG0
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 76295, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 76298);
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 76300, ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 76303, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 76306, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 76309, (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 76312, ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 76315, (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 76318, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 76321, (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 76324, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 76327, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 76330, Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
#line 10118 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	LOAD_ZVAL_ADDR FCARG1x, arg_addr
					if (Z_MODE(arg_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(arg_addr))) == 0) {
				dasm_put(Dst, 76333);
					} else if (((uintptr_t)(Z_ZV(arg_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 76335, ((uint64_t)(Z_ZV(arg_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(arg_addr)))) {
				dasm_put(Dst, 76338, (unsigned int)((ptrdiff_t)(Z_ZV(arg_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(arg_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(arg_addr)))) {
				dasm_put(Dst, 76341, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(arg_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(arg_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(arg_addr))) & 0xfff) {
				dasm_put(Dst, 76344, (((uintptr_t)(Z_ZV(arg_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(arg_addr)) & 0xffff) {
				dasm_put(Dst, 76347, ((uintptr_t)(Z_ZV(arg_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(arg_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 76350, (((uintptr_t)(Z_ZV(arg_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(arg_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 76353, (((uintptr_t)(Z_ZV(arg_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(arg_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 76356, (((uintptr_t)(Z_ZV(arg_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(arg_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 76359, (((uintptr_t)(Z_ZV(arg_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 76362, (((uintptr_t)(Z_ZV(arg_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(arg_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(arg_addr)) {
					if (Z_OFFSET(arg_addr) == 0) {
				dasm_put(Dst, 76365, (Z_REG(arg_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(arg_addr)))) {
				dasm_put(Dst, 76368, (Z_REG(arg_addr)), Z_OFFSET(arg_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 76372, ((uint32_t)(Z_OFFSET(arg_addr))));
					} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
				dasm_put(Dst, 76375, ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 76378, (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 76381, (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 76384, (Z_REG(arg_addr)));
					}
						} else {
							if (Z_REG(arg_addr) == ZREG_RSP) {
				dasm_put(Dst, 76387);
							} else {
				dasm_put(Dst, 76389, (Z_REG(arg_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 10119 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	EXT_CALL zend_jit_only_vars_by_reference, REG0
					if (arm64_may_use_b(zend_jit_only_vars_by_reference)) {
				dasm_put(Dst, 76392, (unsigned int)((ptrdiff_t)(zend_jit_only_vars_by_reference)), (unsigned int)(((ptrdiff_t)(zend_jit_only_vars_by_reference))>>32));
					} else {
					if (((uintptr_t)(zend_jit_only_vars_by_reference)) == 0) {
				dasm_put(Dst, 76395);
					} else if (((uintptr_t)(zend_jit_only_vars_by_reference)) <= MOVZ_IMM) {
				dasm_put(Dst, 76397, ((uint64_t)(zend_jit_only_vars_by_reference)));
					} else if (arm64_may_use_adr((void*)(zend_jit_only_vars_by_reference))) {
				dasm_put(Dst, 76400, (unsigned int)((ptrdiff_t)(zend_jit_only_vars_by_reference)), (unsigned int)(((ptrdiff_t)(zend_jit_only_vars_by_reference))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_only_vars_by_reference))) {
				dasm_put(Dst, 76403, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_only_vars_by_reference))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_only_vars_by_reference)))))>>32));
						if (((uintptr_t)(zend_jit_only_vars_by_reference)) & 0xfff) {
				dasm_put(Dst, 76406, (((uintptr_t)(zend_jit_only_vars_by_reference)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_only_vars_by_reference) & 0xffff) {
				dasm_put(Dst, 76409, ((uintptr_t)(zend_jit_only_vars_by_reference) & 0xffff));
						if (((uintptr_t)(zend_jit_only_vars_by_reference) >> 16) & 0xffff) {
				dasm_put(Dst, 76412, (((uintptr_t)(zend_jit_only_vars_by_reference) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_only_vars_by_reference) >> 32) & 0xffff) {
				dasm_put(Dst, 76415, (((uintptr_t)(zend_jit_only_vars_by_reference) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_only_vars_by_reference) >> 16) & 0xffff) {
				dasm_put(Dst, 76418, (((uintptr_t)(zend_jit_only_vars_by_reference) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_only_vars_by_reference) >> 32) & 0xffff) {
				dasm_put(Dst, 76421, (((uintptr_t)(zend_jit_only_vars_by_reference) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 76424, (((uintptr_t)(zend_jit_only_vars_by_reference) >> 32) & 0xffff));
					}
				dasm_put(Dst, 76427);
					}
#line 10120 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				if (!zend_jit_check_exception(Dst)) {
					return 0;
				}
				//|	b >7
				dasm_put(Dst, 76429);
#line 10124 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}

			//|.code
			dasm_put(Dst, 76432);
#line 10127 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else if (opline->opcode == ZEND_SEND_FUNC_ARG) {
		if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE
		 && JIT_G(current_frame)
		 && JIT_G(current_frame)->call
		 && JIT_G(current_frame)->call->func) {
			if (ARG_SHOULD_BE_SENT_BY_REF(JIT_G(current_frame)->call->func, arg_num)) {
				if (!zend_jit_send_ref(Dst, opline, op_array, op1_info, 0)) {
					return 0;
				}
				return 1;
			}
		} else {
			//|	ldr TMP1w, [RX, #offsetof(zend_execute_data, This.u1.type_info)]
			//|	TST_32_WITH_CONST TMP1w, ZEND_CALL_SEND_ARG_BY_REF, TMP2w
			dasm_put(Dst, 76433, offsetof(zend_execute_data, This.u1.type_info));
				if (ZEND_CALL_SEND_ARG_BY_REF == 0) {
			dasm_put(Dst, 76436);
				} else if (logical_immediate_p((uint32_t)ZEND_CALL_SEND_ARG_BY_REF, 32)) {
			dasm_put(Dst, 76438, ZEND_CALL_SEND_ARG_BY_REF);
				} else {
				if (((uint32_t)(ZEND_CALL_SEND_ARG_BY_REF)) <= MOVZ_IMM) {
			dasm_put(Dst, 76441, ((uint32_t)(ZEND_CALL_SEND_ARG_BY_REF)));
				} else if (((uint32_t)(ZEND_CALL_SEND_ARG_BY_REF) & 0xffff)) {
			dasm_put(Dst, 76444, ((uint32_t)(ZEND_CALL_SEND_ARG_BY_REF) & 0xffff));
					if ((((uint32_t)(ZEND_CALL_SEND_ARG_BY_REF) >> 16) & 0xffff)) {
			dasm_put(Dst, 76447, (((uint32_t)(ZEND_CALL_SEND_ARG_BY_REF) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 76450, (((uint32_t)(ZEND_CALL_SEND_ARG_BY_REF) >> 16) & 0xffff));
				}
			dasm_put(Dst, 76453);
				}
#line 10142 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	bne >1
			//|.cold_code
			dasm_put(Dst, 76455);
#line 10144 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|1:
			dasm_put(Dst, 76458);
#line 10145 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (!zend_jit_send_ref(Dst, opline, op_array, op1_info, 1)) {
				return 0;
			}
			//|	b >7
			//|.code
			dasm_put(Dst, 76460);
#line 10150 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	if (op1_info & MAY_BE_UNDEF) {
		if (op1_info & (MAY_BE_ANY|MAY_BE_REF)) {
			//|	IF_ZVAL_TYPE op1_addr, IS_UNDEF, >1, ZREG_TMP1
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 76463, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 76467, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 76471, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 76475, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 76479, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 76484, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_UNDEF == 0) {
			dasm_put(Dst, 76489, (ZREG_X15));
				} else {
			dasm_put(Dst, 76493, (ZREG_X15), IS_UNDEF);
				}
#line 10156 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|.cold_code
			dasm_put(Dst, 76499);
#line 10157 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|1:
			dasm_put(Dst, 76500);
#line 10158 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}

		//|	SET_EX_OPLINE opline, REG0
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 76502, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 76505);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 76507, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 76510, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 76513, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 76516, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 76519, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 76522, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 76525, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 76528, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 76531, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 76534, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 76537, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
#line 10161 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	LOAD_32BIT_VAL FCARG1w, opline->op1.var
			if (((uint32_t)(opline->op1.var)) <= MOVZ_IMM) {
		dasm_put(Dst, 76540, ((uint32_t)(opline->op1.var)));
			} else if (((uint32_t)(opline->op1.var) & 0xffff)) {
		dasm_put(Dst, 76543, ((uint32_t)(opline->op1.var) & 0xffff));
				if ((((uint32_t)(opline->op1.var) >> 16) & 0xffff)) {
		dasm_put(Dst, 76546, (((uint32_t)(opline->op1.var) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 76549, (((uint32_t)(opline->op1.var) >> 16) & 0xffff));
			}
#line 10162 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	EXT_CALL zend_jit_undefined_op_helper, REG0
			if (arm64_may_use_b(zend_jit_undefined_op_helper)) {
		dasm_put(Dst, 76552, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
			} else {
			if (((uintptr_t)(zend_jit_undefined_op_helper)) == 0) {
		dasm_put(Dst, 76555);
			} else if (((uintptr_t)(zend_jit_undefined_op_helper)) <= MOVZ_IMM) {
		dasm_put(Dst, 76557, ((uint64_t)(zend_jit_undefined_op_helper)));
			} else if (arm64_may_use_adr((void*)(zend_jit_undefined_op_helper))) {
		dasm_put(Dst, 76560, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_undefined_op_helper))) {
		dasm_put(Dst, 76563, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper)))))>>32));
				if (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff) {
		dasm_put(Dst, 76566, (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff) {
		dasm_put(Dst, 76569, ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff));
				if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
		dasm_put(Dst, 76572, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
		dasm_put(Dst, 76575, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
		dasm_put(Dst, 76578, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
		dasm_put(Dst, 76581, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 76584, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
			}
		dasm_put(Dst, 76587);
			}
#line 10163 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	SET_ZVAL_TYPE_INFO arg_addr, IS_NULL, TMP1w, TMP2
			ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
			if (((uint32_t)(IS_NULL)) <= MOVZ_IMM) {
		dasm_put(Dst, 76589, ((uint32_t)(IS_NULL)));
			} else if (((uint32_t)(IS_NULL) & 0xffff)) {
		dasm_put(Dst, 76592, ((uint32_t)(IS_NULL) & 0xffff));
				if ((((uint32_t)(IS_NULL) >> 16) & 0xffff)) {
		dasm_put(Dst, 76595, (((uint32_t)(IS_NULL) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 76598, (((uint32_t)(IS_NULL) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 76601, ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 76604, ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 76607, (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 76610, (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 76613, (Z_REG(arg_addr)));
			} else {
		dasm_put(Dst, 76616, (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)));
			}
#line 10164 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	cbz RETVALx, ->exception_handler
		dasm_put(Dst, 76620);
#line 10165 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

		if (op1_info & (MAY_BE_ANY|MAY_BE_REF)) {
			//|	b >7
			//|.code
			dasm_put(Dst, 76623);
#line 10169 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|7:
			dasm_put(Dst, 76626);
#line 10171 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			return 1;
		}
	}

	if (opline->opcode == ZEND_SEND_VAR_NO_REF) {
		//|	ZVAL_COPY_VALUE arg_addr, MAY_BE_ANY, op1_addr, op1_info, ZREG_REG1, ZREG_REG2, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
			if (op1_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
				if ((op1_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
					if (Z_MODE(op1_addr) == IS_REG) {
						if (Z_MODE(arg_addr) != IS_REG || Z_REG(arg_addr) != Z_REG(op1_addr)) {
			if (Z_MODE(arg_addr) == IS_REG) {
		dasm_put(Dst, 76628, (Z_REG(arg_addr)), (Z_REG(op1_addr)));
			} else {
				ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 76632, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
			} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
		dasm_put(Dst, 76636, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 76640, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 76644, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 76648, (Z_REG(op1_addr)), (Z_REG(arg_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 76653, (Z_REG(op1_addr)), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
			}
			}
						}
					} else if (Z_MODE(arg_addr) == IS_REG) {
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 76658, (Z_REG(arg_addr)));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 76661, (Z_REG(arg_addr)));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 76664, (Z_REG(arg_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 76668, (Z_REG(arg_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 76672, (Z_REG(arg_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 76676, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 76680, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 76684, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 76688, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 76692, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 76696, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 76700, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 76704, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 76708, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 76712, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 76716, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 76720, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 76724, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 76728, (Z_REG(arg_addr)), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 76733, (Z_REG(arg_addr)), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (Z_REG(arg_addr) != Z_REG(op1_addr)) {
		dasm_put(Dst, 76738, (Z_REG(arg_addr)), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
					} else {
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 76742, (ZREG_X10));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 76745, (ZREG_X10));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 76748, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 76752, (ZREG_X10), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 76756, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 76760, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 76764, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 76768, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 76772, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 76776, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 76780, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 76784, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 76788, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 76792, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 76796, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 76800, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 76804, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 76808, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 76812, (ZREG_X10), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 76817, (ZREG_X10), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (ZREG_X10 != Z_REG(op1_addr)) {
		dasm_put(Dst, 76822, (ZREG_X10), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
			if (Z_MODE(arg_addr) == IS_REG) {
		dasm_put(Dst, 76826, (Z_REG(arg_addr)), (ZREG_X10));
			} else {
				ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 76830, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
			} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
		dasm_put(Dst, 76834, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 76838, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 76842, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 76846, (ZREG_X10), (Z_REG(arg_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 76851, (ZREG_X10), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
			}
			}
					}
				} else if ((op1_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
					if (Z_MODE(op1_addr) == IS_REG) {
			if (Z_MODE(arg_addr) == IS_REG) {
				if (Z_REG(op1_addr) != Z_REG(arg_addr)) {
		dasm_put(Dst, 76856, (Z_REG(arg_addr)-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
				}
			} else {
				ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 76860, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
			} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
		dasm_put(Dst, 76864, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 76868, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 76872, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 76876, (Z_REG(op1_addr)-ZREG_V0), (Z_REG(arg_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 76881, (Z_REG(op1_addr)-ZREG_V0), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
			}
			}
					} else if (Z_MODE(arg_addr) == IS_REG) {
			if (Z_MODE(op1_addr) != IS_REG || Z_REG(arg_addr) != Z_REG(op1_addr)) {
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 76886, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (Z_REG(arg_addr)-ZREG_V0), (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 76893, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (Z_REG(arg_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
			} else {
			if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
		dasm_put(Dst, 76901, (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 76904, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 76908, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 76912, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
		dasm_put(Dst, 76916, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
		dasm_put(Dst, 76921, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 76925, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 76929, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 76933, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 76937, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 76941, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
		dasm_put(Dst, 76945, (Z_REG(arg_addr)-ZREG_V0), (ZREG_X15));
			}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 76949, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 76953, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 76957, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 76961, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 76965, (Z_REG(arg_addr)-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 76970, (Z_REG(arg_addr)-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
				} else if (Z_MODE(op1_addr) == IS_REG) {
		dasm_put(Dst, 76975, (Z_REG(arg_addr)-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
				} else {
					ZEND_UNREACHABLE();
				}
			}
					} else {
			if (Z_MODE(op1_addr) != IS_REG || ZREG_V0 != Z_REG(op1_addr)) {
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 76979, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 76986, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
			} else {
			if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
		dasm_put(Dst, 76994, (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 76997, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 77001, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 77005, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
		dasm_put(Dst, 77009, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
		dasm_put(Dst, 77014, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 77018, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 77022, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 77026, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 77030, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 77034, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
		dasm_put(Dst, 77038, (ZREG_V0-ZREG_V0), (ZREG_X15));
			}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 77042, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 77046, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 77050, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 77054, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 77058, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 77063, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
				} else if (Z_MODE(op1_addr) == IS_REG) {
		dasm_put(Dst, 77068, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
				} else {
					ZEND_UNREACHABLE();
				}
			}
			if (Z_MODE(arg_addr) == IS_REG) {
				if (ZREG_V0 != Z_REG(arg_addr)) {
		dasm_put(Dst, 77072, (Z_REG(arg_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
				}
			} else {
				ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 77076, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
			} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
		dasm_put(Dst, 77080, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 77084, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 77088, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 77092, (ZREG_V0-ZREG_V0), (Z_REG(arg_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 77097, (ZREG_V0-ZREG_V0), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
			}
			}
					}
				// Combine the following two branches.
				// } else if (!(op1_info & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
				} else {
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 77102, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 77106, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 77110, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 77114, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 77118, (ZREG_X10), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 77123, (ZREG_X10), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 77128, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
			} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
		dasm_put(Dst, 77132, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 77136, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 77140, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 77144, (ZREG_X10), (Z_REG(arg_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 77149, (ZREG_X10), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
			}
				}
			}
			if ((op1_info & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
				!(op1_info & MAY_BE_GUARD) &&
				has_concrete_type(op1_info & MAY_BE_ANY)) {
				if (Z_MODE(arg_addr) == IS_MEM_ZVAL) {
					if ((MAY_BE_ANY & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (op1_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD))) {
						uint32_t type = concrete_type(op1_info);
			ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
			if (((uint32_t)(type)) <= MOVZ_IMM) {
		dasm_put(Dst, 77154, (ZREG_X15), ((uint32_t)(type)));
			} else if (((uint32_t)(type) & 0xffff)) {
		dasm_put(Dst, 77158, (ZREG_X15), ((uint32_t)(type) & 0xffff));
				if ((((uint32_t)(type) >> 16) & 0xffff)) {
		dasm_put(Dst, 77162, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 77166, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 77170, (ZREG_X16), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 77174, (ZREG_X16), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 77178, (ZREG_X16), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 77182, (ZREG_X16), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 77186, (ZREG_X15), (Z_REG(arg_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 77191, (ZREG_X15), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)));
			}
					}
				}
			} else {
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 77196, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 77200, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 77204, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 77208, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 77212, (ZREG_X9), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 77217, (ZREG_X9), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)));
			}
			ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 77222, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 77226, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 77230, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 77234, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 77238, (ZREG_X9), (Z_REG(arg_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 77243, (ZREG_X9), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)));
			}
			}
#line 10177 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (op1_info & MAY_BE_REF) {
			//|	GET_LOW_8BITS TMP1w, REG1w
			//|	cmp TMP1w, #IS_REFERENCE
			//|	beq >7
			dasm_put(Dst, 77248, IS_REFERENCE);
#line 10181 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE) {
			int32_t exit_point = zend_jit_trace_get_exit_point(opline, ZEND_JIT_EXIT_TO_VM);
			const void *exit_addr = zend_jit_trace_get_exit_addr(exit_point);
			if (!exit_addr) {
				return 0;
			}
			//|	b &exit_addr
			dasm_put(Dst, 77254, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 10189 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	SET_EX_OPLINE opline, REG0
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 77257, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 77260);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 77262, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 77265, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 77268, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 77271, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 77274, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 77277, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 77280, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 77283, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 77286, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 77289, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 77292, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
#line 10191 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	LOAD_ZVAL_ADDR FCARG1x, arg_addr
				if (Z_MODE(arg_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(arg_addr))) == 0) {
			dasm_put(Dst, 77295);
				} else if (((uintptr_t)(Z_ZV(arg_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 77297, ((uint64_t)(Z_ZV(arg_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(arg_addr)))) {
			dasm_put(Dst, 77300, (unsigned int)((ptrdiff_t)(Z_ZV(arg_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(arg_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(arg_addr)))) {
			dasm_put(Dst, 77303, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(arg_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(arg_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(arg_addr))) & 0xfff) {
			dasm_put(Dst, 77306, (((uintptr_t)(Z_ZV(arg_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(arg_addr)) & 0xffff) {
			dasm_put(Dst, 77309, ((uintptr_t)(Z_ZV(arg_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(arg_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 77312, (((uintptr_t)(Z_ZV(arg_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(arg_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 77315, (((uintptr_t)(Z_ZV(arg_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(arg_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 77318, (((uintptr_t)(Z_ZV(arg_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(arg_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 77321, (((uintptr_t)(Z_ZV(arg_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 77324, (((uintptr_t)(Z_ZV(arg_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(arg_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(arg_addr)) {
				if (Z_OFFSET(arg_addr) == 0) {
			dasm_put(Dst, 77327, (Z_REG(arg_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(arg_addr)))) {
			dasm_put(Dst, 77330, (Z_REG(arg_addr)), Z_OFFSET(arg_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 77334, ((uint32_t)(Z_OFFSET(arg_addr))));
				} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
			dasm_put(Dst, 77337, ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 77340, (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 77343, (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 77346, (Z_REG(arg_addr)));
				}
					} else {
						if (Z_REG(arg_addr) == ZREG_RSP) {
			dasm_put(Dst, 77349);
						} else {
			dasm_put(Dst, 77351, (Z_REG(arg_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 10192 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	EXT_CALL zend_jit_only_vars_by_reference, REG0
				if (arm64_may_use_b(zend_jit_only_vars_by_reference)) {
			dasm_put(Dst, 77354, (unsigned int)((ptrdiff_t)(zend_jit_only_vars_by_reference)), (unsigned int)(((ptrdiff_t)(zend_jit_only_vars_by_reference))>>32));
				} else {
				if (((uintptr_t)(zend_jit_only_vars_by_reference)) == 0) {
			dasm_put(Dst, 77357);
				} else if (((uintptr_t)(zend_jit_only_vars_by_reference)) <= MOVZ_IMM) {
			dasm_put(Dst, 77359, ((uint64_t)(zend_jit_only_vars_by_reference)));
				} else if (arm64_may_use_adr((void*)(zend_jit_only_vars_by_reference))) {
			dasm_put(Dst, 77362, (unsigned int)((ptrdiff_t)(zend_jit_only_vars_by_reference)), (unsigned int)(((ptrdiff_t)(zend_jit_only_vars_by_reference))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_only_vars_by_reference))) {
			dasm_put(Dst, 77365, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_only_vars_by_reference))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_only_vars_by_reference)))))>>32));
					if (((uintptr_t)(zend_jit_only_vars_by_reference)) & 0xfff) {
			dasm_put(Dst, 77368, (((uintptr_t)(zend_jit_only_vars_by_reference)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_only_vars_by_reference) & 0xffff) {
			dasm_put(Dst, 77371, ((uintptr_t)(zend_jit_only_vars_by_reference) & 0xffff));
					if (((uintptr_t)(zend_jit_only_vars_by_reference) >> 16) & 0xffff) {
			dasm_put(Dst, 77374, (((uintptr_t)(zend_jit_only_vars_by_reference) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_only_vars_by_reference) >> 32) & 0xffff) {
			dasm_put(Dst, 77377, (((uintptr_t)(zend_jit_only_vars_by_reference) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_only_vars_by_reference) >> 16) & 0xffff) {
			dasm_put(Dst, 77380, (((uintptr_t)(zend_jit_only_vars_by_reference) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_only_vars_by_reference) >> 32) & 0xffff) {
			dasm_put(Dst, 77383, (((uintptr_t)(zend_jit_only_vars_by_reference) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 77386, (((uintptr_t)(zend_jit_only_vars_by_reference) >> 32) & 0xffff));
				}
			dasm_put(Dst, 77389);
				}
#line 10193 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (!zend_jit_check_exception(Dst)) {
				return 0;
			}
		}
	} else {
		if (op1_info & MAY_BE_REF) {
			if (opline->op1_type == IS_CV) {
				zend_jit_addr val_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, 0);

				//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
					if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
				dasm_put(Dst, 77391);
					} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 77393, ((uint64_t)(Z_ZV(op1_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 77396, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 77399, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
				dasm_put(Dst, 77402, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
				dasm_put(Dst, 77405, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 77408, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 77411, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 77414, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 77417, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 77420, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(op1_addr)) {
					if (Z_OFFSET(op1_addr) == 0) {
				dasm_put(Dst, 77423, (Z_REG(op1_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
				dasm_put(Dst, 77426, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 77430, ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 77433, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 77436, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 77439, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 77442, (Z_REG(op1_addr)));
					}
						} else {
							if (Z_REG(op1_addr) == ZREG_RSP) {
				dasm_put(Dst, 77445);
							} else {
				dasm_put(Dst, 77447, (Z_REG(op1_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 10203 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	ZVAL_DEREF FCARG1x, op1_info, TMP1w
					if (op1_info & MAY_BE_REF) {
				dasm_put(Dst, 77450, offsetof(zval, u1.v.type));
					if (IS_REFERENCE == 0) {
				dasm_put(Dst, 77453);
					} else {
				dasm_put(Dst, 77456, IS_REFERENCE);
					}
				dasm_put(Dst, 77461, offsetof(zend_reference, val));
					}
#line 10204 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	ZVAL_COPY_VALUE arg_addr, MAY_BE_ANY, val_addr, op1_info, ZREG_REG0, ZREG_REG2, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
					if (op1_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
						if ((op1_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
							if (Z_MODE(val_addr) == IS_REG) {
								if (Z_MODE(arg_addr) != IS_REG || Z_REG(arg_addr) != Z_REG(val_addr)) {
					if (Z_MODE(arg_addr) == IS_REG) {
				dasm_put(Dst, 77466, (Z_REG(arg_addr)), (Z_REG(val_addr)));
					} else {
						ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 77470, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
					} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
				dasm_put(Dst, 77474, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 77478, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 77482, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 77486, (Z_REG(val_addr)), (Z_REG(arg_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 77491, (Z_REG(val_addr)), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
					}
					}
								}
							} else if (Z_MODE(arg_addr) == IS_REG) {
					if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
						if (Z_LVAL_P(Z_ZV(val_addr)) == 0) {
				dasm_put(Dst, 77496, (Z_REG(arg_addr)));
						} else {
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) == 0) {
				dasm_put(Dst, 77499, (Z_REG(arg_addr)));
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 77502, (Z_REG(arg_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))));
					} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 77506, (Z_REG(arg_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))))));
					} else if ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff) {
				dasm_put(Dst, 77510, (Z_REG(arg_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 77514, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
						}
						if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 77518, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 77522, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 77526, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 77530, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 77534, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 77538, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 77542, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 77546, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
						}
					} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 77550, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
					} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
				dasm_put(Dst, 77554, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 77558, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 77562, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 77566, (Z_REG(arg_addr)), (Z_REG(val_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 77571, (Z_REG(arg_addr)), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
					}
					} else if (Z_MODE(val_addr) == IS_REG) {
						if (Z_REG(arg_addr) != Z_REG(val_addr)) {
				dasm_put(Dst, 77576, (Z_REG(arg_addr)), (Z_REG(val_addr)));
						}
					} else {
						ZEND_UNREACHABLE();
					}
							} else {
					if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
						if (Z_LVAL_P(Z_ZV(val_addr)) == 0) {
				dasm_put(Dst, 77580, (ZREG_X10));
						} else {
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) == 0) {
				dasm_put(Dst, 77583, (ZREG_X10));
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 77586, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))));
					} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 77590, (ZREG_X10), (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))))));
					} else if ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff) {
				dasm_put(Dst, 77594, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 77598, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
						}
						if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 77602, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 77606, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 77610, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 77614, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 77618, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 77622, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 77626, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 77630, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
						}
					} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 77634, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
					} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
				dasm_put(Dst, 77638, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 77642, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 77646, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 77650, (ZREG_X10), (Z_REG(val_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 77655, (ZREG_X10), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
					}
					} else if (Z_MODE(val_addr) == IS_REG) {
						if (ZREG_X10 != Z_REG(val_addr)) {
				dasm_put(Dst, 77660, (ZREG_X10), (Z_REG(val_addr)));
						}
					} else {
						ZEND_UNREACHABLE();
					}
					if (Z_MODE(arg_addr) == IS_REG) {
				dasm_put(Dst, 77664, (Z_REG(arg_addr)), (ZREG_X10));
					} else {
						ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 77668, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
					} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
				dasm_put(Dst, 77672, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 77676, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 77680, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 77684, (ZREG_X10), (Z_REG(arg_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 77689, (ZREG_X10), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
					}
					}
							}
						} else if ((op1_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
							if (Z_MODE(val_addr) == IS_REG) {
					if (Z_MODE(arg_addr) == IS_REG) {
						if (Z_REG(val_addr) != Z_REG(arg_addr)) {
				dasm_put(Dst, 77694, (Z_REG(arg_addr)-ZREG_V0), (Z_REG(val_addr)-ZREG_V0));
						}
					} else {
						ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 77698, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
					} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
				dasm_put(Dst, 77702, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 77706, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 77710, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 77714, (Z_REG(val_addr)-ZREG_V0), (Z_REG(arg_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 77719, (Z_REG(val_addr)-ZREG_V0), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
					}
					}
							} else if (Z_MODE(arg_addr) == IS_REG) {
					if (Z_MODE(val_addr) != IS_REG || Z_REG(arg_addr) != Z_REG(val_addr)) {
						if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
				dasm_put(Dst, 77724, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32), (Z_REG(arg_addr)-ZREG_V0), (ZREG_X15));
					} else if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
				dasm_put(Dst, 77731, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32), (Z_REG(arg_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
					} else {
					if (((uintptr_t)(Z_ZV(val_addr))) == 0) {
				dasm_put(Dst, 77739, (ZREG_X15));
					} else if (((uintptr_t)(Z_ZV(val_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 77742, (ZREG_X15), ((uint64_t)(Z_ZV(val_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
				dasm_put(Dst, 77746, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
				dasm_put(Dst, 77750, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(val_addr))) & 0xfff) {
				dasm_put(Dst, 77754, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(val_addr)) & 0xffff) {
				dasm_put(Dst, 77759, (ZREG_X15), ((uintptr_t)(Z_ZV(val_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 77763, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 77767, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 77771, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 77775, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 77779, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				dasm_put(Dst, 77783, (Z_REG(arg_addr)-ZREG_V0), (ZREG_X15));
					}
						} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 77787, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
					} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
				dasm_put(Dst, 77791, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 77795, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 77799, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 77803, (Z_REG(arg_addr)-ZREG_V0), (Z_REG(val_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 77808, (Z_REG(arg_addr)-ZREG_V0), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
					}
						} else if (Z_MODE(val_addr) == IS_REG) {
				dasm_put(Dst, 77813, (Z_REG(arg_addr)-ZREG_V0), (Z_REG(val_addr)-ZREG_V0));
						} else {
							ZEND_UNREACHABLE();
						}
					}
							} else {
					if (Z_MODE(val_addr) != IS_REG || ZREG_V0 != Z_REG(val_addr)) {
						if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
				dasm_put(Dst, 77817, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
					} else if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
				dasm_put(Dst, 77824, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
					} else {
					if (((uintptr_t)(Z_ZV(val_addr))) == 0) {
				dasm_put(Dst, 77832, (ZREG_X15));
					} else if (((uintptr_t)(Z_ZV(val_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 77835, (ZREG_X15), ((uint64_t)(Z_ZV(val_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
				dasm_put(Dst, 77839, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
				dasm_put(Dst, 77843, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(val_addr))) & 0xfff) {
				dasm_put(Dst, 77847, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(val_addr)) & 0xffff) {
				dasm_put(Dst, 77852, (ZREG_X15), ((uintptr_t)(Z_ZV(val_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 77856, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 77860, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 77864, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 77868, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 77872, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				dasm_put(Dst, 77876, (ZREG_V0-ZREG_V0), (ZREG_X15));
					}
						} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 77880, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
					} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
				dasm_put(Dst, 77884, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 77888, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 77892, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 77896, (ZREG_V0-ZREG_V0), (Z_REG(val_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 77901, (ZREG_V0-ZREG_V0), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
					}
						} else if (Z_MODE(val_addr) == IS_REG) {
				dasm_put(Dst, 77906, (ZREG_V0-ZREG_V0), (Z_REG(val_addr)-ZREG_V0));
						} else {
							ZEND_UNREACHABLE();
						}
					}
					if (Z_MODE(arg_addr) == IS_REG) {
						if (ZREG_V0 != Z_REG(arg_addr)) {
				dasm_put(Dst, 77910, (Z_REG(arg_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
						}
					} else {
						ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 77914, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
					} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
				dasm_put(Dst, 77918, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 77922, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 77926, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 77930, (ZREG_V0-ZREG_V0), (Z_REG(arg_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 77935, (ZREG_V0-ZREG_V0), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
					}
					}
							}
						// Combine the following two branches.
						// } else if (!(op1_info & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
						} else {
					ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 77940, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
					} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
				dasm_put(Dst, 77944, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 77948, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 77952, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 77956, (ZREG_X10), (Z_REG(val_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 77961, (ZREG_X10), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
					}
					ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 77966, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
					} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
				dasm_put(Dst, 77970, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 77974, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 77978, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 77982, (ZREG_X10), (Z_REG(arg_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 77987, (ZREG_X10), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
					}
						}
					}
					if ((op1_info & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
						!(op1_info & MAY_BE_GUARD) &&
						has_concrete_type(op1_info & MAY_BE_ANY)) {
						if (Z_MODE(arg_addr) == IS_MEM_ZVAL) {
							if ((MAY_BE_ANY & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (op1_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD))) {
								uint32_t type = concrete_type(op1_info);
					ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
					if (((uint32_t)(type)) <= MOVZ_IMM) {
				dasm_put(Dst, 77992, (ZREG_X15), ((uint32_t)(type)));
					} else if (((uint32_t)(type) & 0xffff)) {
				dasm_put(Dst, 77996, (ZREG_X15), ((uint32_t)(type) & 0xffff));
						if ((((uint32_t)(type) >> 16) & 0xffff)) {
				dasm_put(Dst, 78000, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 78004, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 78008, (ZREG_X16), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 78012, (ZREG_X16), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 78016, (ZREG_X16), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 78020, (ZREG_X16), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 78024, (ZREG_X15), (Z_REG(arg_addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 78029, (ZREG_X15), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)));
					}
							}
						}
					} else {
					ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 78034, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 78038, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 78042, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 78046, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 78050, (ZREG_X8), (Z_REG(val_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 78055, (ZREG_X8), (Z_REG(val_addr)), (Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)));
					}
					ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 78060, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 78064, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 78068, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 78072, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 78076, (ZREG_X8), (Z_REG(arg_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 78081, (ZREG_X8), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)));
					}
					}
#line 10205 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	TRY_ADDREF op1_info, REG0w, REG2, TMP1w
					if (op1_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) {
						if (op1_info & (MAY_BE_ANY-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if ((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT) == 0) {
				dasm_put(Dst, 78086);
					} else if (logical_immediate_p((uint32_t)(IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT), 32)) {
				dasm_put(Dst, 78088, (IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT));
					} else {
					if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))) <= MOVZ_IMM) {
				dasm_put(Dst, 78091, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))));
					} else if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff)) {
				dasm_put(Dst, 78094, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff));
						if ((((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff)) {
				dasm_put(Dst, 78097, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 78100, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 78103);
					}
				dasm_put(Dst, 78105);
						}
				dasm_put(Dst, 78108);
					}
#line 10206 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, 8);

				//|	IF_ZVAL_TYPE op1_addr, IS_REFERENCE, >1, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 78113, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 78117, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 78121, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 78125, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 78129, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 78134, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_REFERENCE == 0) {
				dasm_put(Dst, 78139, (ZREG_X15));
					} else {
				dasm_put(Dst, 78143, (ZREG_X15), IS_REFERENCE);
					}
#line 10210 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|.cold_code
				dasm_put(Dst, 78149);
#line 10211 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|1:
				//|	// zend_refcounted *ref = Z_COUNTED_P(retval_ptr);
				//|	GET_ZVAL_PTR FCARG1x, op1_addr, TMP1
				dasm_put(Dst, 78150);
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 78152, ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 78155, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 78158, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 78161, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 78164, (Z_REG(op1_addr)));
					} else {
				dasm_put(Dst, 78167, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
					}
#line 10214 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	// ZVAL_COPY_VALUE(return_value, &ref->value);
				//|	ZVAL_COPY_VALUE arg_addr, MAY_BE_ANY, ref_addr, op1_info, ZREG_REG0, ZREG_REG2, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
					if (op1_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
						if ((op1_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
							if (Z_MODE(ref_addr) == IS_REG) {
								if (Z_MODE(arg_addr) != IS_REG || Z_REG(arg_addr) != Z_REG(ref_addr)) {
					if (Z_MODE(arg_addr) == IS_REG) {
				dasm_put(Dst, 78171, (Z_REG(arg_addr)), (Z_REG(ref_addr)));
					} else {
						ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 78175, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
					} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
				dasm_put(Dst, 78179, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 78183, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 78187, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 78191, (Z_REG(ref_addr)), (Z_REG(arg_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 78196, (Z_REG(ref_addr)), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
					}
					}
								}
							} else if (Z_MODE(arg_addr) == IS_REG) {
					if (Z_MODE(ref_addr) == IS_CONST_ZVAL) {
						if (Z_LVAL_P(Z_ZV(ref_addr)) == 0) {
				dasm_put(Dst, 78201, (Z_REG(arg_addr)));
						} else {
					if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))) == 0) {
				dasm_put(Dst, 78204, (Z_REG(arg_addr)));
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 78207, (Z_REG(arg_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))));
					} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 78211, (Z_REG(arg_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))))));
					} else if ((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) & 0xffff) {
				dasm_put(Dst, 78215, (Z_REG(arg_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 78219, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff));
						}
						if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 78223, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 78227, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 78231, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 78235, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 78239, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 78243, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff));
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 78247, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 78251, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
					}
						}
					} else if (Z_MODE(ref_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 78255, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr))));
					} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
				dasm_put(Dst, 78259, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 78263, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 78267, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 78271, (Z_REG(arg_addr)), (Z_REG(ref_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 78276, (Z_REG(arg_addr)), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
					}
					} else if (Z_MODE(ref_addr) == IS_REG) {
						if (Z_REG(arg_addr) != Z_REG(ref_addr)) {
				dasm_put(Dst, 78281, (Z_REG(arg_addr)), (Z_REG(ref_addr)));
						}
					} else {
						ZEND_UNREACHABLE();
					}
							} else {
					if (Z_MODE(ref_addr) == IS_CONST_ZVAL) {
						if (Z_LVAL_P(Z_ZV(ref_addr)) == 0) {
				dasm_put(Dst, 78285, (ZREG_X10));
						} else {
					if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))) == 0) {
				dasm_put(Dst, 78288, (ZREG_X10));
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 78291, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))));
					} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 78295, (ZREG_X10), (~((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))))));
					} else if ((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) & 0xffff) {
				dasm_put(Dst, 78299, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 78303, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff));
						}
						if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 78307, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 78311, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 78315, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 78319, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 78323, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 78327, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff));
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 78331, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 78335, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
					}
						}
					} else if (Z_MODE(ref_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 78339, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr))));
					} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
				dasm_put(Dst, 78343, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 78347, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 78351, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 78355, (ZREG_X10), (Z_REG(ref_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 78360, (ZREG_X10), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
					}
					} else if (Z_MODE(ref_addr) == IS_REG) {
						if (ZREG_X10 != Z_REG(ref_addr)) {
				dasm_put(Dst, 78365, (ZREG_X10), (Z_REG(ref_addr)));
						}
					} else {
						ZEND_UNREACHABLE();
					}
					if (Z_MODE(arg_addr) == IS_REG) {
				dasm_put(Dst, 78369, (Z_REG(arg_addr)), (ZREG_X10));
					} else {
						ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 78373, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
					} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
				dasm_put(Dst, 78377, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 78381, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 78385, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 78389, (ZREG_X10), (Z_REG(arg_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 78394, (ZREG_X10), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
					}
					}
							}
						} else if ((op1_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
							if (Z_MODE(ref_addr) == IS_REG) {
					if (Z_MODE(arg_addr) == IS_REG) {
						if (Z_REG(ref_addr) != Z_REG(arg_addr)) {
				dasm_put(Dst, 78399, (Z_REG(arg_addr)-ZREG_V0), (Z_REG(ref_addr)-ZREG_V0));
						}
					} else {
						ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 78403, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
					} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
				dasm_put(Dst, 78407, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 78411, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 78415, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 78419, (Z_REG(ref_addr)-ZREG_V0), (Z_REG(arg_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 78424, (Z_REG(ref_addr)-ZREG_V0), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
					}
					}
							} else if (Z_MODE(arg_addr) == IS_REG) {
					if (Z_MODE(ref_addr) != IS_REG || Z_REG(arg_addr) != Z_REG(ref_addr)) {
						if (Z_MODE(ref_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(ref_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(ref_addr)))) {
				dasm_put(Dst, 78429, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(ref_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(ref_addr)))>>32), (Z_REG(arg_addr)-ZREG_V0), (ZREG_X15));
					} else if (((uintptr_t)(Z_ZV(ref_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(ref_addr)))) {
				dasm_put(Dst, 78436, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr))))))>>32), (Z_REG(arg_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr))) & 0xfff));
					} else {
					if (((uintptr_t)(Z_ZV(ref_addr))) == 0) {
				dasm_put(Dst, 78444, (ZREG_X15));
					} else if (((uintptr_t)(Z_ZV(ref_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 78447, (ZREG_X15), ((uint64_t)(Z_ZV(ref_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(ref_addr)))) {
				dasm_put(Dst, 78451, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(ref_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(ref_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(ref_addr)))) {
				dasm_put(Dst, 78455, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(ref_addr))) & 0xfff) {
				dasm_put(Dst, 78459, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(ref_addr)) & 0xffff) {
				dasm_put(Dst, 78464, (ZREG_X15), ((uintptr_t)(Z_ZV(ref_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 78468, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 78472, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 78476, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 78480, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 78484, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff));
					}
				dasm_put(Dst, 78488, (Z_REG(arg_addr)-ZREG_V0), (ZREG_X15));
					}
						} else if (Z_MODE(ref_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 78492, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr))));
					} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
				dasm_put(Dst, 78496, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 78500, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 78504, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 78508, (Z_REG(arg_addr)-ZREG_V0), (Z_REG(ref_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 78513, (Z_REG(arg_addr)-ZREG_V0), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
					}
						} else if (Z_MODE(ref_addr) == IS_REG) {
				dasm_put(Dst, 78518, (Z_REG(arg_addr)-ZREG_V0), (Z_REG(ref_addr)-ZREG_V0));
						} else {
							ZEND_UNREACHABLE();
						}
					}
							} else {
					if (Z_MODE(ref_addr) != IS_REG || ZREG_V0 != Z_REG(ref_addr)) {
						if (Z_MODE(ref_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(ref_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(ref_addr)))) {
				dasm_put(Dst, 78522, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(ref_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(ref_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
					} else if (((uintptr_t)(Z_ZV(ref_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(ref_addr)))) {
				dasm_put(Dst, 78529, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr))) & 0xfff));
					} else {
					if (((uintptr_t)(Z_ZV(ref_addr))) == 0) {
				dasm_put(Dst, 78537, (ZREG_X15));
					} else if (((uintptr_t)(Z_ZV(ref_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 78540, (ZREG_X15), ((uint64_t)(Z_ZV(ref_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(ref_addr)))) {
				dasm_put(Dst, 78544, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(ref_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(ref_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(ref_addr)))) {
				dasm_put(Dst, 78548, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(ref_addr))) & 0xfff) {
				dasm_put(Dst, 78552, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(ref_addr)) & 0xffff) {
				dasm_put(Dst, 78557, (ZREG_X15), ((uintptr_t)(Z_ZV(ref_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 78561, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 78565, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 78569, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 78573, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 78577, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff));
					}
				dasm_put(Dst, 78581, (ZREG_V0-ZREG_V0), (ZREG_X15));
					}
						} else if (Z_MODE(ref_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 78585, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr))));
					} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
				dasm_put(Dst, 78589, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 78593, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 78597, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 78601, (ZREG_V0-ZREG_V0), (Z_REG(ref_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 78606, (ZREG_V0-ZREG_V0), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
					}
						} else if (Z_MODE(ref_addr) == IS_REG) {
				dasm_put(Dst, 78611, (ZREG_V0-ZREG_V0), (Z_REG(ref_addr)-ZREG_V0));
						} else {
							ZEND_UNREACHABLE();
						}
					}
					if (Z_MODE(arg_addr) == IS_REG) {
						if (ZREG_V0 != Z_REG(arg_addr)) {
				dasm_put(Dst, 78615, (Z_REG(arg_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
						}
					} else {
						ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 78619, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
					} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
				dasm_put(Dst, 78623, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 78627, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 78631, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 78635, (ZREG_V0-ZREG_V0), (Z_REG(arg_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 78640, (ZREG_V0-ZREG_V0), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
					}
					}
							}
						// Combine the following two branches.
						// } else if (!(op1_info & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
						} else {
					ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 78645, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr))));
					} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
				dasm_put(Dst, 78649, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 78653, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 78657, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 78661, (ZREG_X10), (Z_REG(ref_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 78666, (ZREG_X10), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
					}
					ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 78671, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
					} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
				dasm_put(Dst, 78675, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 78679, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 78683, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 78687, (ZREG_X10), (Z_REG(arg_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 78692, (ZREG_X10), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
					}
						}
					}
					if ((op1_info & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
						!(op1_info & MAY_BE_GUARD) &&
						has_concrete_type(op1_info & MAY_BE_ANY)) {
						if (Z_MODE(arg_addr) == IS_MEM_ZVAL) {
							if ((MAY_BE_ANY & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (op1_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD))) {
								uint32_t type = concrete_type(op1_info);
					ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
					if (((uint32_t)(type)) <= MOVZ_IMM) {
				dasm_put(Dst, 78697, (ZREG_X15), ((uint32_t)(type)));
					} else if (((uint32_t)(type) & 0xffff)) {
				dasm_put(Dst, 78701, (ZREG_X15), ((uint32_t)(type) & 0xffff));
						if ((((uint32_t)(type) >> 16) & 0xffff)) {
				dasm_put(Dst, 78705, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 78709, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 78713, (ZREG_X16), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 78717, (ZREG_X16), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 78721, (ZREG_X16), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 78725, (ZREG_X16), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 78729, (ZREG_X15), (Z_REG(arg_addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 78734, (ZREG_X15), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)));
					}
							}
						}
					} else {
					ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 78739, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 78743, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 78747, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 78751, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 78755, (ZREG_X8), (Z_REG(ref_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 78760, (ZREG_X8), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)));
					}
					ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 78765, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 78769, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 78773, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 78777, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 78781, (ZREG_X8), (Z_REG(arg_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 78786, (ZREG_X8), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)));
					}
					}
#line 10216 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	GC_DELREF FCARG1x, TMP1w
				//|	beq >1
				//|	IF_NOT_REFCOUNTED REG0w, >2, TMP1w
				dasm_put(Dst, 78791);
					if ((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT) == 0) {
				dasm_put(Dst, 78797);
					} else if (logical_immediate_p((uint32_t)(IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT), 32)) {
				dasm_put(Dst, 78799, (IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT));
					} else {
					if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))) <= MOVZ_IMM) {
				dasm_put(Dst, 78802, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))));
					} else if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff)) {
				dasm_put(Dst, 78805, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff));
						if ((((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff)) {
				dasm_put(Dst, 78808, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 78811, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 78814);
					}
#line 10219 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	GC_ADDREF REG2, TMP1w
				//|	b >2
				//|1:
				//|	EFREE_REFERENCE
				dasm_put(Dst, 78816);
				#if ZEND_DEBUG
				dasm_put(Dst, 78825);
					if (arm64_may_use_b(_efree)) {
				dasm_put(Dst, 78830, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
					} else {
					if (((uintptr_t)(_efree)) == 0) {
				dasm_put(Dst, 78833);
					} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
				dasm_put(Dst, 78835, ((uint64_t)(_efree)));
					} else if (arm64_may_use_adr((void*)(_efree))) {
				dasm_put(Dst, 78838, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
					} else if (arm64_may_use_adrp((void*)(_efree))) {
				dasm_put(Dst, 78841, (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
						if (((uintptr_t)(_efree)) & 0xfff) {
				dasm_put(Dst, 78844, (((uintptr_t)(_efree)) & 0xfff));
						}
					} else if ((uintptr_t)(_efree) & 0xffff) {
				dasm_put(Dst, 78847, ((uintptr_t)(_efree) & 0xffff));
						if (((uintptr_t)(_efree) >> 16) & 0xffff) {
				dasm_put(Dst, 78850, (((uintptr_t)(_efree) >> 16) & 0xffff));
						}
						if (((uintptr_t)(_efree) >> 32) & 0xffff) {
				dasm_put(Dst, 78853, (((uintptr_t)(_efree) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
				dasm_put(Dst, 78856, (((uintptr_t)(_efree) >> 16) & 0xffff));
						if (((uintptr_t)(_efree) >> 32) & 0xffff) {
				dasm_put(Dst, 78859, (((uintptr_t)(_efree) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 78862, (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				dasm_put(Dst, 78865);
					}
				#else
				#ifdef HAVE_BUILTIN_CONSTANT_P
					if (arm64_may_use_b(_efree_32)) {
				dasm_put(Dst, 78867, (unsigned int)((ptrdiff_t)(_efree_32)), (unsigned int)(((ptrdiff_t)(_efree_32))>>32));
					} else {
					if (((uintptr_t)(_efree_32)) == 0) {
				dasm_put(Dst, 78870);
					} else if (((uintptr_t)(_efree_32)) <= MOVZ_IMM) {
				dasm_put(Dst, 78872, ((uint64_t)(_efree_32)));
					} else if (arm64_may_use_adr((void*)(_efree_32))) {
				dasm_put(Dst, 78875, (unsigned int)((ptrdiff_t)(_efree_32)), (unsigned int)(((ptrdiff_t)(_efree_32))>>32));
					} else if (arm64_may_use_adrp((void*)(_efree_32))) {
				dasm_put(Dst, 78878, (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree_32))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree_32)))))>>32));
						if (((uintptr_t)(_efree_32)) & 0xfff) {
				dasm_put(Dst, 78881, (((uintptr_t)(_efree_32)) & 0xfff));
						}
					} else if ((uintptr_t)(_efree_32) & 0xffff) {
				dasm_put(Dst, 78884, ((uintptr_t)(_efree_32) & 0xffff));
						if (((uintptr_t)(_efree_32) >> 16) & 0xffff) {
				dasm_put(Dst, 78887, (((uintptr_t)(_efree_32) >> 16) & 0xffff));
						}
						if (((uintptr_t)(_efree_32) >> 32) & 0xffff) {
				dasm_put(Dst, 78890, (((uintptr_t)(_efree_32) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(_efree_32) >> 16) & 0xffff) {
				dasm_put(Dst, 78893, (((uintptr_t)(_efree_32) >> 16) & 0xffff));
						if (((uintptr_t)(_efree_32) >> 32) & 0xffff) {
				dasm_put(Dst, 78896, (((uintptr_t)(_efree_32) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 78899, (((uintptr_t)(_efree_32) >> 32) & 0xffff));
					}
				dasm_put(Dst, 78902);
					}
				#else
					if (arm64_may_use_b(_efree)) {
				dasm_put(Dst, 78904, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
					} else {
					if (((uintptr_t)(_efree)) == 0) {
				dasm_put(Dst, 78907);
					} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
				dasm_put(Dst, 78909, ((uint64_t)(_efree)));
					} else if (arm64_may_use_adr((void*)(_efree))) {
				dasm_put(Dst, 78912, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
					} else if (arm64_may_use_adrp((void*)(_efree))) {
				dasm_put(Dst, 78915, (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
						if (((uintptr_t)(_efree)) & 0xfff) {
				dasm_put(Dst, 78918, (((uintptr_t)(_efree)) & 0xfff));
						}
					} else if ((uintptr_t)(_efree) & 0xffff) {
				dasm_put(Dst, 78921, ((uintptr_t)(_efree) & 0xffff));
						if (((uintptr_t)(_efree) >> 16) & 0xffff) {
				dasm_put(Dst, 78924, (((uintptr_t)(_efree) >> 16) & 0xffff));
						}
						if (((uintptr_t)(_efree) >> 32) & 0xffff) {
				dasm_put(Dst, 78927, (((uintptr_t)(_efree) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
				dasm_put(Dst, 78930, (((uintptr_t)(_efree) >> 16) & 0xffff));
						if (((uintptr_t)(_efree) >> 32) & 0xffff) {
				dasm_put(Dst, 78933, (((uintptr_t)(_efree) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 78936, (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				dasm_put(Dst, 78939);
					}
				#endif
				#endif
#line 10223 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	b >2
				//|.code
				dasm_put(Dst, 78941);
#line 10225 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	ZVAL_COPY_VALUE arg_addr, MAY_BE_ANY, op1_addr, op1_info, ZREG_REG0, ZREG_REG2, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
					if (op1_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
						if ((op1_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
							if (Z_MODE(op1_addr) == IS_REG) {
								if (Z_MODE(arg_addr) != IS_REG || Z_REG(arg_addr) != Z_REG(op1_addr)) {
					if (Z_MODE(arg_addr) == IS_REG) {
				dasm_put(Dst, 78944, (Z_REG(arg_addr)), (Z_REG(op1_addr)));
					} else {
						ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 78948, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
					} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
				dasm_put(Dst, 78952, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 78956, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 78960, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 78964, (Z_REG(op1_addr)), (Z_REG(arg_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 78969, (Z_REG(op1_addr)), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
					}
					}
								}
							} else if (Z_MODE(arg_addr) == IS_REG) {
					if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
						if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
				dasm_put(Dst, 78974, (Z_REG(arg_addr)));
						} else {
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
				dasm_put(Dst, 78977, (Z_REG(arg_addr)));
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 78980, (Z_REG(arg_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
					} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 78984, (Z_REG(arg_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
					} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
				dasm_put(Dst, 78988, (Z_REG(arg_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 78992, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
						}
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 78996, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 79000, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 79004, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 79008, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 79012, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 79016, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 79020, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 79024, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
						}
					} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 79028, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 79032, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 79036, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 79040, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 79044, (Z_REG(arg_addr)), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 79049, (Z_REG(arg_addr)), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
					}
					} else if (Z_MODE(op1_addr) == IS_REG) {
						if (Z_REG(arg_addr) != Z_REG(op1_addr)) {
				dasm_put(Dst, 79054, (Z_REG(arg_addr)), (Z_REG(op1_addr)));
						}
					} else {
						ZEND_UNREACHABLE();
					}
							} else {
					if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
						if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
				dasm_put(Dst, 79058, (ZREG_X10));
						} else {
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
				dasm_put(Dst, 79061, (ZREG_X10));
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 79064, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
					} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 79068, (ZREG_X10), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
					} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
				dasm_put(Dst, 79072, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 79076, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
						}
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 79080, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 79084, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 79088, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 79092, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 79096, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 79100, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 79104, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 79108, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
						}
					} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 79112, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 79116, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 79120, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 79124, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 79128, (ZREG_X10), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 79133, (ZREG_X10), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
					}
					} else if (Z_MODE(op1_addr) == IS_REG) {
						if (ZREG_X10 != Z_REG(op1_addr)) {
				dasm_put(Dst, 79138, (ZREG_X10), (Z_REG(op1_addr)));
						}
					} else {
						ZEND_UNREACHABLE();
					}
					if (Z_MODE(arg_addr) == IS_REG) {
				dasm_put(Dst, 79142, (Z_REG(arg_addr)), (ZREG_X10));
					} else {
						ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 79146, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
					} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
				dasm_put(Dst, 79150, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 79154, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 79158, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 79162, (ZREG_X10), (Z_REG(arg_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 79167, (ZREG_X10), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
					}
					}
							}
						} else if ((op1_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
							if (Z_MODE(op1_addr) == IS_REG) {
					if (Z_MODE(arg_addr) == IS_REG) {
						if (Z_REG(op1_addr) != Z_REG(arg_addr)) {
				dasm_put(Dst, 79172, (Z_REG(arg_addr)-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
						}
					} else {
						ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 79176, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
					} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
				dasm_put(Dst, 79180, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 79184, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 79188, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 79192, (Z_REG(op1_addr)-ZREG_V0), (Z_REG(arg_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 79197, (Z_REG(op1_addr)-ZREG_V0), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
					}
					}
							} else if (Z_MODE(arg_addr) == IS_REG) {
					if (Z_MODE(op1_addr) != IS_REG || Z_REG(arg_addr) != Z_REG(op1_addr)) {
						if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 79202, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (Z_REG(arg_addr)-ZREG_V0), (ZREG_X15));
					} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 79209, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (Z_REG(arg_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					} else {
					if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
				dasm_put(Dst, 79217, (ZREG_X15));
					} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 79220, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 79224, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 79228, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
				dasm_put(Dst, 79232, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
				dasm_put(Dst, 79237, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 79241, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 79245, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 79249, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 79253, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 79257, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				dasm_put(Dst, 79261, (Z_REG(arg_addr)-ZREG_V0), (ZREG_X15));
					}
						} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 79265, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 79269, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 79273, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 79277, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 79281, (Z_REG(arg_addr)-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 79286, (Z_REG(arg_addr)-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
					}
						} else if (Z_MODE(op1_addr) == IS_REG) {
				dasm_put(Dst, 79291, (Z_REG(arg_addr)-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
						} else {
							ZEND_UNREACHABLE();
						}
					}
							} else {
					if (Z_MODE(op1_addr) != IS_REG || ZREG_V0 != Z_REG(op1_addr)) {
						if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 79295, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
					} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 79302, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					} else {
					if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
				dasm_put(Dst, 79310, (ZREG_X15));
					} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 79313, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 79317, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 79321, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
				dasm_put(Dst, 79325, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
				dasm_put(Dst, 79330, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 79334, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 79338, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 79342, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 79346, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 79350, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				dasm_put(Dst, 79354, (ZREG_V0-ZREG_V0), (ZREG_X15));
					}
						} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 79358, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 79362, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 79366, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 79370, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 79374, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 79379, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
					}
						} else if (Z_MODE(op1_addr) == IS_REG) {
				dasm_put(Dst, 79384, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
						} else {
							ZEND_UNREACHABLE();
						}
					}
					if (Z_MODE(arg_addr) == IS_REG) {
						if (ZREG_V0 != Z_REG(arg_addr)) {
				dasm_put(Dst, 79388, (Z_REG(arg_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
						}
					} else {
						ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 79392, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
					} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
				dasm_put(Dst, 79396, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 79400, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 79404, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 79408, (ZREG_V0-ZREG_V0), (Z_REG(arg_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 79413, (ZREG_V0-ZREG_V0), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
					}
					}
							}
						// Combine the following two branches.
						// } else if (!(op1_info & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
						} else {
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 79418, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 79422, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 79426, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 79430, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 79434, (ZREG_X10), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 79439, (ZREG_X10), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
					}
					ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 79444, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
					} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
				dasm_put(Dst, 79448, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 79452, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 79456, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 79460, (ZREG_X10), (Z_REG(arg_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 79465, (ZREG_X10), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
					}
						}
					}
					if ((op1_info & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
						!(op1_info & MAY_BE_GUARD) &&
						has_concrete_type(op1_info & MAY_BE_ANY)) {
						if (Z_MODE(arg_addr) == IS_MEM_ZVAL) {
							if ((MAY_BE_ANY & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (op1_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD))) {
								uint32_t type = concrete_type(op1_info);
					ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
					if (((uint32_t)(type)) <= MOVZ_IMM) {
				dasm_put(Dst, 79470, (ZREG_X15), ((uint32_t)(type)));
					} else if (((uint32_t)(type) & 0xffff)) {
				dasm_put(Dst, 79474, (ZREG_X15), ((uint32_t)(type) & 0xffff));
						if ((((uint32_t)(type) >> 16) & 0xffff)) {
				dasm_put(Dst, 79478, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 79482, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 79486, (ZREG_X16), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 79490, (ZREG_X16), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 79494, (ZREG_X16), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 79498, (ZREG_X16), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 79502, (ZREG_X15), (Z_REG(arg_addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 79507, (ZREG_X15), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)));
					}
							}
						}
					} else {
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 79512, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 79516, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 79520, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 79524, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 79528, (ZREG_X8), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 79533, (ZREG_X8), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)));
					}
					ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 79538, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 79542, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 79546, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 79550, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 79554, (ZREG_X8), (Z_REG(arg_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 79559, (ZREG_X8), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)));
					}
					}
#line 10226 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|2:
				dasm_put(Dst, 79564);
#line 10227 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else {
			if (op1_addr != op1_def_addr) {
				if (!zend_jit_update_regs(Dst, opline->op1.var, op1_addr, op1_def_addr, op1_info)) {
					return 0;
				}
				if (Z_MODE(op1_def_addr) == IS_REG && Z_MODE(op1_addr) != IS_REG) {
					op1_addr= op1_def_addr;
				}
			}
			//|	ZVAL_COPY_VALUE arg_addr, MAY_BE_ANY, op1_addr, op1_info, ZREG_REG0, ZREG_REG2, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
				if (op1_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
					if ((op1_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
						if (Z_MODE(op1_addr) == IS_REG) {
							if (Z_MODE(arg_addr) != IS_REG || Z_REG(arg_addr) != Z_REG(op1_addr)) {
				if (Z_MODE(arg_addr) == IS_REG) {
			dasm_put(Dst, 79566, (Z_REG(arg_addr)), (Z_REG(op1_addr)));
				} else {
					ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 79570, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
				} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
			dasm_put(Dst, 79574, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 79578, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 79582, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 79586, (Z_REG(op1_addr)), (Z_REG(arg_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 79591, (Z_REG(op1_addr)), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
				}
				}
							}
						} else if (Z_MODE(arg_addr) == IS_REG) {
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
			dasm_put(Dst, 79596, (Z_REG(arg_addr)));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
			dasm_put(Dst, 79599, (Z_REG(arg_addr)));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 79602, (Z_REG(arg_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 79606, (Z_REG(arg_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
			dasm_put(Dst, 79610, (Z_REG(arg_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 79614, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 79618, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 79622, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 79626, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 79630, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 79634, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 79638, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 79642, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 79646, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 79650, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 79654, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 79658, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 79662, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 79666, (Z_REG(arg_addr)), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 79671, (Z_REG(arg_addr)), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
				} else if (Z_MODE(op1_addr) == IS_REG) {
					if (Z_REG(arg_addr) != Z_REG(op1_addr)) {
			dasm_put(Dst, 79676, (Z_REG(arg_addr)), (Z_REG(op1_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
						} else {
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
			dasm_put(Dst, 79680, (ZREG_X10));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
			dasm_put(Dst, 79683, (ZREG_X10));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 79686, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 79690, (ZREG_X10), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
			dasm_put(Dst, 79694, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 79698, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 79702, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 79706, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 79710, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 79714, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 79718, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 79722, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 79726, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 79730, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 79734, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 79738, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 79742, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 79746, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 79750, (ZREG_X10), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 79755, (ZREG_X10), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
				} else if (Z_MODE(op1_addr) == IS_REG) {
					if (ZREG_X10 != Z_REG(op1_addr)) {
			dasm_put(Dst, 79760, (ZREG_X10), (Z_REG(op1_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
				if (Z_MODE(arg_addr) == IS_REG) {
			dasm_put(Dst, 79764, (Z_REG(arg_addr)), (ZREG_X10));
				} else {
					ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 79768, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
				} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
			dasm_put(Dst, 79772, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 79776, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 79780, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 79784, (ZREG_X10), (Z_REG(arg_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 79789, (ZREG_X10), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
				}
				}
						}
					} else if ((op1_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
						if (Z_MODE(op1_addr) == IS_REG) {
				if (Z_MODE(arg_addr) == IS_REG) {
					if (Z_REG(op1_addr) != Z_REG(arg_addr)) {
			dasm_put(Dst, 79794, (Z_REG(arg_addr)-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 79798, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
				} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
			dasm_put(Dst, 79802, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 79806, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 79810, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 79814, (Z_REG(op1_addr)-ZREG_V0), (Z_REG(arg_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 79819, (Z_REG(op1_addr)-ZREG_V0), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
				}
				}
						} else if (Z_MODE(arg_addr) == IS_REG) {
				if (Z_MODE(op1_addr) != IS_REG || Z_REG(arg_addr) != Z_REG(op1_addr)) {
					if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 79824, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (Z_REG(arg_addr)-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 79831, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (Z_REG(arg_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
			dasm_put(Dst, 79839, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 79842, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 79846, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 79850, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
			dasm_put(Dst, 79854, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
			dasm_put(Dst, 79859, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 79863, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 79867, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 79871, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 79875, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 79879, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 79883, (Z_REG(arg_addr)-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 79887, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 79891, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 79895, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 79899, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 79903, (Z_REG(arg_addr)-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 79908, (Z_REG(arg_addr)-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
					} else if (Z_MODE(op1_addr) == IS_REG) {
			dasm_put(Dst, 79913, (Z_REG(arg_addr)-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
						} else {
				if (Z_MODE(op1_addr) != IS_REG || ZREG_V0 != Z_REG(op1_addr)) {
					if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 79917, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 79924, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
			dasm_put(Dst, 79932, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 79935, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 79939, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 79943, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
			dasm_put(Dst, 79947, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
			dasm_put(Dst, 79952, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 79956, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 79960, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 79964, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 79968, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 79972, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 79976, (ZREG_V0-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 79980, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 79984, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 79988, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 79992, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 79996, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 80001, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
					} else if (Z_MODE(op1_addr) == IS_REG) {
			dasm_put(Dst, 80006, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
				if (Z_MODE(arg_addr) == IS_REG) {
					if (ZREG_V0 != Z_REG(arg_addr)) {
			dasm_put(Dst, 80010, (Z_REG(arg_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 80014, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
				} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
			dasm_put(Dst, 80018, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 80022, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 80026, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 80030, (ZREG_V0-ZREG_V0), (Z_REG(arg_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 80035, (ZREG_V0-ZREG_V0), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
				}
				}
						}
					// Combine the following two branches.
					// } else if (!(op1_info & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
					} else {
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 80040, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 80044, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 80048, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 80052, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 80056, (ZREG_X10), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 80061, (ZREG_X10), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
				ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 80066, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
				} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
			dasm_put(Dst, 80070, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 80074, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 80078, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 80082, (ZREG_X10), (Z_REG(arg_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 80087, (ZREG_X10), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
				}
					}
				}
				if ((op1_info & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
					!(op1_info & MAY_BE_GUARD) &&
					has_concrete_type(op1_info & MAY_BE_ANY)) {
					if (Z_MODE(arg_addr) == IS_MEM_ZVAL) {
						if ((MAY_BE_ANY & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (op1_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD))) {
							uint32_t type = concrete_type(op1_info);
				ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(type)) <= MOVZ_IMM) {
			dasm_put(Dst, 80092, (ZREG_X15), ((uint32_t)(type)));
				} else if (((uint32_t)(type) & 0xffff)) {
			dasm_put(Dst, 80096, (ZREG_X15), ((uint32_t)(type) & 0xffff));
					if ((((uint32_t)(type) >> 16) & 0xffff)) {
			dasm_put(Dst, 80100, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 80104, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 80108, (ZREG_X16), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 80112, (ZREG_X16), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 80116, (ZREG_X16), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 80120, (ZREG_X16), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 80124, (ZREG_X15), (Z_REG(arg_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 80129, (ZREG_X15), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)));
				}
						}
					}
				} else {
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 80134, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 80138, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 80142, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 80146, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 80150, (ZREG_X8), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 80155, (ZREG_X8), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)));
				}
				ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 80160, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 80164, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 80168, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 80172, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 80176, (ZREG_X8), (Z_REG(arg_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 80181, (ZREG_X8), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)));
				}
				}
#line 10238 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (opline->op1_type == IS_CV) {
				//|	TRY_ADDREF op1_info, REG0w, REG2, TMP1w
					if (op1_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) {
						if (op1_info & (MAY_BE_ANY-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if ((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT) == 0) {
				dasm_put(Dst, 80186);
					} else if (logical_immediate_p((uint32_t)(IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT), 32)) {
				dasm_put(Dst, 80188, (IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT));
					} else {
					if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))) <= MOVZ_IMM) {
				dasm_put(Dst, 80191, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))));
					} else if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff)) {
				dasm_put(Dst, 80194, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff));
						if ((((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff)) {
				dasm_put(Dst, 80197, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 80200, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 80203);
					}
				dasm_put(Dst, 80205);
						}
				dasm_put(Dst, 80208);
					}
#line 10240 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
	}
	//|7:
	dasm_put(Dst, 80213);
#line 10244 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	return 1;
}

static int zend_jit_check_func_arg(dasm_State **Dst, const zend_op *opline)
{
	uint32_t arg_num = opline->op2.num;

	if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE
	 && JIT_G(current_frame)
	 && JIT_G(current_frame)->call
	 && JIT_G(current_frame)->call->func) {
		if (ARG_SHOULD_BE_SENT_BY_REF(JIT_G(current_frame)->call->func, arg_num)) {
			if (!TRACE_FRAME_IS_LAST_SEND_BY_REF(JIT_G(current_frame)->call)) {
				TRACE_FRAME_SET_LAST_SEND_BY_REF(JIT_G(current_frame)->call);
				//|	// ZEND_ADD_CALL_FLAG(EX(call), ZEND_CALL_SEND_ARG_BY_REF);
					if (reuse_ip) {
				//|		ldr TMP1w, [RX, #offsetof(zend_execute_data, This.u1.type_info)]
				//|		BW_OP_32_WITH_CONST orr, TMP1w, TMP1w, ZEND_CALL_SEND_ARG_BY_REF, TMP2w
				dasm_put(Dst, 80215, offsetof(zend_execute_data, This.u1.type_info));
					if (ZEND_CALL_SEND_ARG_BY_REF == 0) {
				dasm_put(Dst, 80218);
					} else if (logical_immediate_p((uint32_t)ZEND_CALL_SEND_ARG_BY_REF, 32)) {
				dasm_put(Dst, 80220, ZEND_CALL_SEND_ARG_BY_REF);
					} else {
					if (((uint32_t)(ZEND_CALL_SEND_ARG_BY_REF)) <= MOVZ_IMM) {
				dasm_put(Dst, 80223, ((uint32_t)(ZEND_CALL_SEND_ARG_BY_REF)));
					} else if (((uint32_t)(ZEND_CALL_SEND_ARG_BY_REF) & 0xffff)) {
				dasm_put(Dst, 80226, ((uint32_t)(ZEND_CALL_SEND_ARG_BY_REF) & 0xffff));
						if ((((uint32_t)(ZEND_CALL_SEND_ARG_BY_REF) >> 16) & 0xffff)) {
				dasm_put(Dst, 80229, (((uint32_t)(ZEND_CALL_SEND_ARG_BY_REF) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 80232, (((uint32_t)(ZEND_CALL_SEND_ARG_BY_REF) >> 16) & 0xffff));
					}
				dasm_put(Dst, 80235);
					}
#line 10263 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|		str TMP1w, [RX, #offsetof(zend_execute_data, This.u1.type_info)]
				dasm_put(Dst, 80237, offsetof(zend_execute_data, This.u1.type_info));
					} else {
#line 10265 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|		ldr REG0, EX->call
				//|		ldr TMP1w, [REG0, #offsetof(zend_execute_data, This.u1.type_info)]
				//|		BW_OP_32_WITH_CONST orr, TMP1w, TMP1w, ZEND_CALL_SEND_ARG_BY_REF, TMP2w
				dasm_put(Dst, 80240, Dt1(->call), offsetof(zend_execute_data, This.u1.type_info));
					if (ZEND_CALL_SEND_ARG_BY_REF == 0) {
				dasm_put(Dst, 80245);
					} else if (logical_immediate_p((uint32_t)ZEND_CALL_SEND_ARG_BY_REF, 32)) {
				dasm_put(Dst, 80247, ZEND_CALL_SEND_ARG_BY_REF);
					} else {
					if (((uint32_t)(ZEND_CALL_SEND_ARG_BY_REF)) <= MOVZ_IMM) {
				dasm_put(Dst, 80250, ((uint32_t)(ZEND_CALL_SEND_ARG_BY_REF)));
					} else if (((uint32_t)(ZEND_CALL_SEND_ARG_BY_REF) & 0xffff)) {
				dasm_put(Dst, 80253, ((uint32_t)(ZEND_CALL_SEND_ARG_BY_REF) & 0xffff));
						if ((((uint32_t)(ZEND_CALL_SEND_ARG_BY_REF) >> 16) & 0xffff)) {
				dasm_put(Dst, 80256, (((uint32_t)(ZEND_CALL_SEND_ARG_BY_REF) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 80259, (((uint32_t)(ZEND_CALL_SEND_ARG_BY_REF) >> 16) & 0xffff));
					}
				dasm_put(Dst, 80262);
					}
#line 10268 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|		str TMP1w, [REG0, #offsetof(zend_execute_data, This.u1.type_info)]
				dasm_put(Dst, 80264, offsetof(zend_execute_data, This.u1.type_info));
					}
#line 10270 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else {
			if (!TRACE_FRAME_IS_LAST_SEND_BY_VAL(JIT_G(current_frame)->call)) {
				TRACE_FRAME_SET_LAST_SEND_BY_VAL(JIT_G(current_frame)->call);
				//|	// ZEND_DEL_CALL_FLAG(EX(call), ZEND_CALL_SEND_ARG_BY_REF);
					if (reuse_ip) {
				//|		ldr TMP1w, [RX, #offsetof(zend_execute_data, This.u1.type_info)]
				//|		BW_OP_32_WITH_CONST and, TMP1w, TMP1w, (~ZEND_CALL_SEND_ARG_BY_REF), TMP2w
				dasm_put(Dst, 80267, offsetof(zend_execute_data, This.u1.type_info));
					if ((~ZEND_CALL_SEND_ARG_BY_REF) == 0) {
				dasm_put(Dst, 80270);
					} else if (logical_immediate_p((uint32_t)(~ZEND_CALL_SEND_ARG_BY_REF), 32)) {
				dasm_put(Dst, 80272, (~ZEND_CALL_SEND_ARG_BY_REF));
					} else {
					if (((uint32_t)((~ZEND_CALL_SEND_ARG_BY_REF))) <= MOVZ_IMM) {
				dasm_put(Dst, 80275, ((uint32_t)((~ZEND_CALL_SEND_ARG_BY_REF))));
					} else if (((uint32_t)((~ZEND_CALL_SEND_ARG_BY_REF)) & 0xffff)) {
				dasm_put(Dst, 80278, ((uint32_t)((~ZEND_CALL_SEND_ARG_BY_REF)) & 0xffff));
						if ((((uint32_t)((~ZEND_CALL_SEND_ARG_BY_REF)) >> 16) & 0xffff)) {
				dasm_put(Dst, 80281, (((uint32_t)((~ZEND_CALL_SEND_ARG_BY_REF)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 80284, (((uint32_t)((~ZEND_CALL_SEND_ARG_BY_REF)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 80287);
					}
#line 10278 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|		str TMP1w, [RX, #offsetof(zend_execute_data, This.u1.type_info)]
				dasm_put(Dst, 80289, offsetof(zend_execute_data, This.u1.type_info));
					} else {
#line 10280 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|		ldr REG0, EX->call
				//|		ldr TMP1w, [REG0, #offsetof(zend_execute_data, This.u1.type_info)]
				//|		BW_OP_32_WITH_CONST and, TMP1w, TMP1w, (~ZEND_CALL_SEND_ARG_BY_REF), TMP2w
				dasm_put(Dst, 80292, Dt1(->call), offsetof(zend_execute_data, This.u1.type_info));
					if ((~ZEND_CALL_SEND_ARG_BY_REF) == 0) {
				dasm_put(Dst, 80297);
					} else if (logical_immediate_p((uint32_t)(~ZEND_CALL_SEND_ARG_BY_REF), 32)) {
				dasm_put(Dst, 80299, (~ZEND_CALL_SEND_ARG_BY_REF));
					} else {
					if (((uint32_t)((~ZEND_CALL_SEND_ARG_BY_REF))) <= MOVZ_IMM) {
				dasm_put(Dst, 80302, ((uint32_t)((~ZEND_CALL_SEND_ARG_BY_REF))));
					} else if (((uint32_t)((~ZEND_CALL_SEND_ARG_BY_REF)) & 0xffff)) {
				dasm_put(Dst, 80305, ((uint32_t)((~ZEND_CALL_SEND_ARG_BY_REF)) & 0xffff));
						if ((((uint32_t)((~ZEND_CALL_SEND_ARG_BY_REF)) >> 16) & 0xffff)) {
				dasm_put(Dst, 80308, (((uint32_t)((~ZEND_CALL_SEND_ARG_BY_REF)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 80311, (((uint32_t)((~ZEND_CALL_SEND_ARG_BY_REF)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 80314);
					}
#line 10283 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|		str TMP1w, [REG0, #offsetof(zend_execute_data, This.u1.type_info)]
				dasm_put(Dst, 80316, offsetof(zend_execute_data, This.u1.type_info));
					}
#line 10285 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
	} else {
		// if (QUICK_ARG_SHOULD_BE_SENT_BY_REF(EX(call)->func, arg_num)) {
		uint32_t mask = (ZEND_SEND_BY_REF|ZEND_SEND_PREFER_REF) << ((arg_num + 3) * 2);

		if (!zend_jit_reuse_ip(Dst)) {
			return 0;
		}

		//|	ldr REG0, EX:RX->func
		//|	ldr TMP1w, [REG0, #offsetof(zend_function, quick_arg_flags)]
		//|	TST_32_WITH_CONST TMP1w, mask, TMP2w
		dasm_put(Dst, 80319, Dt1(->func), offsetof(zend_function, quick_arg_flags));
			if (mask == 0) {
		dasm_put(Dst, 80324);
			} else if (logical_immediate_p((uint32_t)mask, 32)) {
		dasm_put(Dst, 80326, mask);
			} else {
			if (((uint32_t)(mask)) <= MOVZ_IMM) {
		dasm_put(Dst, 80329, ((uint32_t)(mask)));
			} else if (((uint32_t)(mask) & 0xffff)) {
		dasm_put(Dst, 80332, ((uint32_t)(mask) & 0xffff));
				if ((((uint32_t)(mask) >> 16) & 0xffff)) {
		dasm_put(Dst, 80335, (((uint32_t)(mask) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 80338, (((uint32_t)(mask) >> 16) & 0xffff));
			}
		dasm_put(Dst, 80341);
			}
#line 10298 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	bne >1
		//|.cold_code
		dasm_put(Dst, 80343);
#line 10300 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|1:
		//|	// ZEND_ADD_CALL_FLAG(EX(call), ZEND_CALL_SEND_ARG_BY_REF);
		//|	ldr TMP1w, [RX, #offsetof(zend_execute_data, This.u1.type_info)]
		//|	BW_OP_32_WITH_CONST orr, TMP1w, TMP1w, ZEND_CALL_SEND_ARG_BY_REF, TMP2w
		dasm_put(Dst, 80346, offsetof(zend_execute_data, This.u1.type_info));
			if (ZEND_CALL_SEND_ARG_BY_REF == 0) {
		dasm_put(Dst, 80350);
			} else if (logical_immediate_p((uint32_t)ZEND_CALL_SEND_ARG_BY_REF, 32)) {
		dasm_put(Dst, 80352, ZEND_CALL_SEND_ARG_BY_REF);
			} else {
			if (((uint32_t)(ZEND_CALL_SEND_ARG_BY_REF)) <= MOVZ_IMM) {
		dasm_put(Dst, 80355, ((uint32_t)(ZEND_CALL_SEND_ARG_BY_REF)));
			} else if (((uint32_t)(ZEND_CALL_SEND_ARG_BY_REF) & 0xffff)) {
		dasm_put(Dst, 80358, ((uint32_t)(ZEND_CALL_SEND_ARG_BY_REF) & 0xffff));
				if ((((uint32_t)(ZEND_CALL_SEND_ARG_BY_REF) >> 16) & 0xffff)) {
		dasm_put(Dst, 80361, (((uint32_t)(ZEND_CALL_SEND_ARG_BY_REF) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 80364, (((uint32_t)(ZEND_CALL_SEND_ARG_BY_REF) >> 16) & 0xffff));
			}
		dasm_put(Dst, 80367);
			}
#line 10304 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	str TMP1w, [RX, #offsetof(zend_execute_data, This.u1.type_info)]
		//|	b >1
		//|.code
		dasm_put(Dst, 80369, offsetof(zend_execute_data, This.u1.type_info));
#line 10307 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	// ZEND_DEL_CALL_FLAG(EX(call), ZEND_CALL_SEND_ARG_BY_REF);
		//|	ldr TMP1w, [RX, #offsetof(zend_execute_data, This.u1.type_info)]
		//|	BW_OP_32_WITH_CONST and, TMP1w, TMP1w, (~(ZEND_CALL_SEND_ARG_BY_REF)), TMP2w
		dasm_put(Dst, 80374, offsetof(zend_execute_data, This.u1.type_info));
			if ((~(ZEND_CALL_SEND_ARG_BY_REF)) == 0) {
		dasm_put(Dst, 80377);
			} else if (logical_immediate_p((uint32_t)(~(ZEND_CALL_SEND_ARG_BY_REF)), 32)) {
		dasm_put(Dst, 80379, (~(ZEND_CALL_SEND_ARG_BY_REF)));
			} else {
			if (((uint32_t)((~(ZEND_CALL_SEND_ARG_BY_REF)))) <= MOVZ_IMM) {
		dasm_put(Dst, 80382, ((uint32_t)((~(ZEND_CALL_SEND_ARG_BY_REF)))));
			} else if (((uint32_t)((~(ZEND_CALL_SEND_ARG_BY_REF))) & 0xffff)) {
		dasm_put(Dst, 80385, ((uint32_t)((~(ZEND_CALL_SEND_ARG_BY_REF))) & 0xffff));
				if ((((uint32_t)((~(ZEND_CALL_SEND_ARG_BY_REF))) >> 16) & 0xffff)) {
		dasm_put(Dst, 80388, (((uint32_t)((~(ZEND_CALL_SEND_ARG_BY_REF))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 80391, (((uint32_t)((~(ZEND_CALL_SEND_ARG_BY_REF))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 80394);
			}
#line 10310 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	str TMP1w, [RX, #offsetof(zend_execute_data, This.u1.type_info)]
		//|1:
		dasm_put(Dst, 80396, offsetof(zend_execute_data, This.u1.type_info));
#line 10312 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	return 1;
}

static int zend_jit_smart_true(dasm_State **Dst, const zend_op *opline, int jmp, zend_uchar smart_branch_opcode, uint32_t target_label, uint32_t target_label2)
{
	if (smart_branch_opcode) {
		if (smart_branch_opcode == ZEND_JMPZ) {
			if (jmp) {
				//|	b >7
				dasm_put(Dst, 80400);
#line 10323 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else if (smart_branch_opcode == ZEND_JMPNZ) {
			//|	b =>target_label
			dasm_put(Dst, 80403, target_label);
#line 10326 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else if (smart_branch_opcode == ZEND_JMPZNZ) {
			//|	b =>target_label2
			dasm_put(Dst, 80406, target_label2);
#line 10328 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			ZEND_UNREACHABLE();
		}
	} else {
		zend_jit_addr res_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->result.var);

		//|	SET_ZVAL_TYPE_INFO res_addr, IS_TRUE, TMP1w, TMP2
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uint32_t)(IS_TRUE)) <= MOVZ_IMM) {
		dasm_put(Dst, 80409, ((uint32_t)(IS_TRUE)));
			} else if (((uint32_t)(IS_TRUE) & 0xffff)) {
		dasm_put(Dst, 80412, ((uint32_t)(IS_TRUE) & 0xffff));
				if ((((uint32_t)(IS_TRUE) >> 16) & 0xffff)) {
		dasm_put(Dst, 80415, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 80418, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 80421, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 80424, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 80427, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 80430, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 80433, (Z_REG(res_addr)));
			} else {
		dasm_put(Dst, 80436, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
			}
#line 10335 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (jmp) {
			//|	b >7
			dasm_put(Dst, 80440);
#line 10337 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	return 1;
}

static int zend_jit_smart_false(dasm_State **Dst, const zend_op *opline, int jmp, zend_uchar smart_branch_opcode, uint32_t target_label)
{
	if (smart_branch_opcode) {
		if (smart_branch_opcode == ZEND_JMPZ) {
			//|	b =>target_label
			dasm_put(Dst, 80443, target_label);
#line 10348 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else if (smart_branch_opcode == ZEND_JMPNZ) {
			if (jmp) {
				//|	b >7
				dasm_put(Dst, 80446);
#line 10351 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else if (smart_branch_opcode == ZEND_JMPZNZ) {
			//|	b =>target_label
			dasm_put(Dst, 80449, target_label);
#line 10354 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			ZEND_UNREACHABLE();
		}
	} else {
		zend_jit_addr res_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->result.var);

		//|	SET_ZVAL_TYPE_INFO res_addr, IS_FALSE, TMP1w, TMP2
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uint32_t)(IS_FALSE)) <= MOVZ_IMM) {
		dasm_put(Dst, 80452, ((uint32_t)(IS_FALSE)));
			} else if (((uint32_t)(IS_FALSE) & 0xffff)) {
		dasm_put(Dst, 80455, ((uint32_t)(IS_FALSE) & 0xffff));
				if ((((uint32_t)(IS_FALSE) >> 16) & 0xffff)) {
		dasm_put(Dst, 80458, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 80461, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 80464, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 80467, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 80470, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 80473, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 80476, (Z_REG(res_addr)));
			} else {
		dasm_put(Dst, 80479, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
			}
#line 10361 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (jmp) {
			//|	b >7
			dasm_put(Dst, 80483);
#line 10363 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	return 1;
}

static int zend_jit_defined(dasm_State **Dst, const zend_op *opline, zend_uchar smart_branch_opcode, uint32_t target_label, uint32_t target_label2, const void *exit_addr)
{
	uint32_t defined_label = (uint32_t)-1;
	uint32_t undefined_label = (uint32_t)-1;
	zval *zv = RT_CONSTANT(opline, opline->op1);
	zend_jit_addr res_addr = 0;

	if (smart_branch_opcode && !exit_addr) {
		if (smart_branch_opcode == ZEND_JMPZ) {
			undefined_label = target_label;
		} else if (smart_branch_opcode == ZEND_JMPNZ) {
			defined_label = target_label;
		} else if (smart_branch_opcode == ZEND_JMPZNZ) {
			undefined_label = target_label;
			defined_label = target_label2;
		} else {
			ZEND_UNREACHABLE();
		}
	}

	//|	// if (CACHED_PTR(opline->extended_value)) {
	//|	ldr REG0, EX->run_time_cache
	//|	MEM_ACCESS_64_WITH_UOFFSET ldr, REG0, REG0, opline->extended_value, TMP1
	dasm_put(Dst, 80486, Dt1(->run_time_cache));
		if (((uintptr_t)(opline->extended_value)) > LDR_STR_PIMM64) {
		if (((uint32_t)(opline->extended_value)) <= MOVZ_IMM) {
	dasm_put(Dst, 80489, ((uint32_t)(opline->extended_value)));
		} else if (((uint32_t)(opline->extended_value) & 0xffff)) {
	dasm_put(Dst, 80492, ((uint32_t)(opline->extended_value) & 0xffff));
			if ((((uint32_t)(opline->extended_value) >> 16) & 0xffff)) {
	dasm_put(Dst, 80495, (((uint32_t)(opline->extended_value) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 80498, (((uint32_t)(opline->extended_value) >> 16) & 0xffff));
		}
	dasm_put(Dst, 80501);
		} else {
	dasm_put(Dst, 80503, (opline->extended_value));
		}
#line 10392 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	cbz REG0, >1
	//|	TST_64_WITH_ONE REG0
	//|	bne >4
	//|.cold_code
	dasm_put(Dst, 80506);
#line 10396 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|4:
	//|	MEM_LOAD_64_ZTS ldr, FCARG1x, executor_globals, zend_constants, FCARG1x
	dasm_put(Dst, 80512);
		if (((uintptr_t)(&executor_globals.zend_constants)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.zend_constants))) {
	dasm_put(Dst, 80514, (unsigned int)((ptrdiff_t)(&executor_globals.zend_constants)), (unsigned int)(((ptrdiff_t)(&executor_globals.zend_constants))>>32));
		} else if (((uintptr_t)(&executor_globals.zend_constants)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.zend_constants))) {
	dasm_put(Dst, 80518, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.zend_constants))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.zend_constants)))))>>32), (((uintptr_t)(&executor_globals.zend_constants)) & 0xfff));
		} else {
		if (((uintptr_t)(&executor_globals.zend_constants)) == 0) {
	dasm_put(Dst, 80523);
		} else if (((uintptr_t)(&executor_globals.zend_constants)) <= MOVZ_IMM) {
	dasm_put(Dst, 80525, ((uint64_t)(&executor_globals.zend_constants)));
		} else if (arm64_may_use_adr((void*)(&executor_globals.zend_constants))) {
	dasm_put(Dst, 80528, (unsigned int)((ptrdiff_t)(&executor_globals.zend_constants)), (unsigned int)(((ptrdiff_t)(&executor_globals.zend_constants))>>32));
		} else if (arm64_may_use_adrp((void*)(&executor_globals.zend_constants))) {
	dasm_put(Dst, 80531, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.zend_constants))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.zend_constants)))))>>32));
			if (((uintptr_t)(&executor_globals.zend_constants)) & 0xfff) {
	dasm_put(Dst, 80534, (((uintptr_t)(&executor_globals.zend_constants)) & 0xfff));
			}
		} else if ((uintptr_t)(&executor_globals.zend_constants) & 0xffff) {
	dasm_put(Dst, 80537, ((uintptr_t)(&executor_globals.zend_constants) & 0xffff));
			if (((uintptr_t)(&executor_globals.zend_constants) >> 16) & 0xffff) {
	dasm_put(Dst, 80540, (((uintptr_t)(&executor_globals.zend_constants) >> 16) & 0xffff));
			}
			if (((uintptr_t)(&executor_globals.zend_constants) >> 32) & 0xffff) {
	dasm_put(Dst, 80543, (((uintptr_t)(&executor_globals.zend_constants) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(&executor_globals.zend_constants) >> 16) & 0xffff) {
	dasm_put(Dst, 80546, (((uintptr_t)(&executor_globals.zend_constants) >> 16) & 0xffff));
			if (((uintptr_t)(&executor_globals.zend_constants) >> 32) & 0xffff) {
	dasm_put(Dst, 80549, (((uintptr_t)(&executor_globals.zend_constants) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 80552, (((uintptr_t)(&executor_globals.zend_constants) >> 32) & 0xffff));
		}
	dasm_put(Dst, 80555);
		}
#line 10398 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	ldr TMP1w, [FCARG1x, #offsetof(HashTable, nNumOfElements)]
	//|	cmp TMP1, REG0, lsr #1
	dasm_put(Dst, 80557, offsetof(HashTable, nNumOfElements));
#line 10400 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	if (smart_branch_opcode) {
		if (exit_addr) {
			if (smart_branch_opcode == ZEND_JMPZ) {
				//|	beq &exit_addr
				dasm_put(Dst, 80561, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 10405 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	beq >3
				dasm_put(Dst, 80564);
#line 10407 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else if (undefined_label != (uint32_t)-1) {
			//|	beq =>undefined_label
			dasm_put(Dst, 80567, undefined_label);
#line 10410 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	beq >3
			dasm_put(Dst, 80570);
#line 10412 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else {
		//|	beq >2
		dasm_put(Dst, 80573);
#line 10415 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	//|1:
	//|	SET_EX_OPLINE opline, REG0
	dasm_put(Dst, 80576);
		if (opline == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 80578, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(opline)) == 0) {
	dasm_put(Dst, 80581);
		} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
	dasm_put(Dst, 80583, ((uint64_t)(opline)));
		} else if (arm64_may_use_adr((void*)(opline))) {
	dasm_put(Dst, 80586, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
		} else if (arm64_may_use_adrp((void*)(opline))) {
	dasm_put(Dst, 80589, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
			if (((uintptr_t)(opline)) & 0xfff) {
	dasm_put(Dst, 80592, (((uintptr_t)(opline)) & 0xfff));
			}
		} else if ((uintptr_t)(opline) & 0xffff) {
	dasm_put(Dst, 80595, ((uintptr_t)(opline) & 0xffff));
			if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 80598, (((uintptr_t)(opline) >> 16) & 0xffff));
			}
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 80601, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 80604, (((uintptr_t)(opline) >> 16) & 0xffff));
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 80607, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 80610, (((uintptr_t)(opline) >> 32) & 0xffff));
		}
	dasm_put(Dst, 80613, Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
#line 10418 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	LOAD_ADDR FCARG1x, zv
		if (((uintptr_t)(zv)) == 0) {
	dasm_put(Dst, 80616);
		} else if (((uintptr_t)(zv)) <= MOVZ_IMM) {
	dasm_put(Dst, 80618, ((uint64_t)(zv)));
		} else if (arm64_may_use_adr((void*)(zv))) {
	dasm_put(Dst, 80621, (unsigned int)((ptrdiff_t)(zv)), (unsigned int)(((ptrdiff_t)(zv))>>32));
		} else if (arm64_may_use_adrp((void*)(zv))) {
	dasm_put(Dst, 80624, (unsigned int)((ptrdiff_t)((((uintptr_t)(zv))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zv)))))>>32));
			if (((uintptr_t)(zv)) & 0xfff) {
	dasm_put(Dst, 80627, (((uintptr_t)(zv)) & 0xfff));
			}
		} else if ((uintptr_t)(zv) & 0xffff) {
	dasm_put(Dst, 80630, ((uintptr_t)(zv) & 0xffff));
			if (((uintptr_t)(zv) >> 16) & 0xffff) {
	dasm_put(Dst, 80633, (((uintptr_t)(zv) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zv) >> 32) & 0xffff) {
	dasm_put(Dst, 80636, (((uintptr_t)(zv) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zv) >> 16) & 0xffff) {
	dasm_put(Dst, 80639, (((uintptr_t)(zv) >> 16) & 0xffff));
			if (((uintptr_t)(zv) >> 32) & 0xffff) {
	dasm_put(Dst, 80642, (((uintptr_t)(zv) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 80645, (((uintptr_t)(zv) >> 32) & 0xffff));
		}
#line 10419 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	EXT_CALL zend_jit_check_constant, REG0
		if (arm64_may_use_b(zend_jit_check_constant)) {
	dasm_put(Dst, 80648, (unsigned int)((ptrdiff_t)(zend_jit_check_constant)), (unsigned int)(((ptrdiff_t)(zend_jit_check_constant))>>32));
		} else {
		if (((uintptr_t)(zend_jit_check_constant)) == 0) {
	dasm_put(Dst, 80651);
		} else if (((uintptr_t)(zend_jit_check_constant)) <= MOVZ_IMM) {
	dasm_put(Dst, 80653, ((uint64_t)(zend_jit_check_constant)));
		} else if (arm64_may_use_adr((void*)(zend_jit_check_constant))) {
	dasm_put(Dst, 80656, (unsigned int)((ptrdiff_t)(zend_jit_check_constant)), (unsigned int)(((ptrdiff_t)(zend_jit_check_constant))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_jit_check_constant))) {
	dasm_put(Dst, 80659, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_check_constant))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_check_constant)))))>>32));
			if (((uintptr_t)(zend_jit_check_constant)) & 0xfff) {
	dasm_put(Dst, 80662, (((uintptr_t)(zend_jit_check_constant)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_jit_check_constant) & 0xffff) {
	dasm_put(Dst, 80665, ((uintptr_t)(zend_jit_check_constant) & 0xffff));
			if (((uintptr_t)(zend_jit_check_constant) >> 16) & 0xffff) {
	dasm_put(Dst, 80668, (((uintptr_t)(zend_jit_check_constant) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_jit_check_constant) >> 32) & 0xffff) {
	dasm_put(Dst, 80671, (((uintptr_t)(zend_jit_check_constant) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_jit_check_constant) >> 16) & 0xffff) {
	dasm_put(Dst, 80674, (((uintptr_t)(zend_jit_check_constant) >> 16) & 0xffff));
			if (((uintptr_t)(zend_jit_check_constant) >> 32) & 0xffff) {
	dasm_put(Dst, 80677, (((uintptr_t)(zend_jit_check_constant) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 80680, (((uintptr_t)(zend_jit_check_constant) >> 32) & 0xffff));
		}
	dasm_put(Dst, 80683);
		}
#line 10420 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	if (exit_addr) {
		if (smart_branch_opcode == ZEND_JMPNZ) {
			//|	cbz RETVALx, >3
			dasm_put(Dst, 80685);
#line 10423 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	cbnz RETVALx, >3
			dasm_put(Dst, 80688);
#line 10425 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	b &exit_addr
		dasm_put(Dst, 80691, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 10427 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else if (smart_branch_opcode) {
		if (undefined_label != (uint32_t)-1) {
			//|	cbz RETVALx, =>undefined_label
			dasm_put(Dst, 80694, undefined_label);
#line 10430 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	cbz RETVALx, >3
			dasm_put(Dst, 80697);
#line 10432 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (defined_label != (uint32_t)-1) {
			//|	b =>defined_label
			dasm_put(Dst, 80700, defined_label);
#line 10435 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	b >3
			dasm_put(Dst, 80703);
#line 10437 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else {
		res_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->result.var);
		//|	cbnz RETVALx, >1
		//|2:
		//|	SET_ZVAL_TYPE_INFO res_addr, IS_FALSE, TMP1w, TMP2
		dasm_put(Dst, 80706);
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uint32_t)(IS_FALSE)) <= MOVZ_IMM) {
		dasm_put(Dst, 80710, ((uint32_t)(IS_FALSE)));
			} else if (((uint32_t)(IS_FALSE) & 0xffff)) {
		dasm_put(Dst, 80713, ((uint32_t)(IS_FALSE) & 0xffff));
				if ((((uint32_t)(IS_FALSE) >> 16) & 0xffff)) {
		dasm_put(Dst, 80716, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 80719, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 80722, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 80725, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 80728, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 80731, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 80734, (Z_REG(res_addr)));
			} else {
		dasm_put(Dst, 80737, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
			}
#line 10443 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	b >3
		dasm_put(Dst, 80741);
#line 10444 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	//|.code
	dasm_put(Dst, 80744);
#line 10446 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	if (smart_branch_opcode) {
		if (exit_addr) {
			if (smart_branch_opcode == ZEND_JMPNZ) {
				//|	b &exit_addr
				dasm_put(Dst, 80745, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 10450 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else if (defined_label != (uint32_t)-1) {
			//|	b =>defined_label
			dasm_put(Dst, 80748, defined_label);
#line 10453 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else {
		//|1:
		//|	SET_ZVAL_TYPE_INFO res_addr, IS_TRUE, TMP1w, TMP2
		dasm_put(Dst, 80751);
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uint32_t)(IS_TRUE)) <= MOVZ_IMM) {
		dasm_put(Dst, 80753, ((uint32_t)(IS_TRUE)));
			} else if (((uint32_t)(IS_TRUE) & 0xffff)) {
		dasm_put(Dst, 80756, ((uint32_t)(IS_TRUE) & 0xffff));
				if ((((uint32_t)(IS_TRUE) >> 16) & 0xffff)) {
		dasm_put(Dst, 80759, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 80762, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 80765, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 80768, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 80771, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 80774, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 80777, (Z_REG(res_addr)));
			} else {
		dasm_put(Dst, 80780, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
			}
#line 10457 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	//|3:
	dasm_put(Dst, 80784);
#line 10459 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	return 1;
}

static int zend_jit_type_check(dasm_State **Dst, const zend_op *opline, uint32_t op1_info, zend_uchar smart_branch_opcode, uint32_t target_label, uint32_t target_label2, const void *exit_addr)
{
	uint32_t  mask;
	zend_jit_addr op1_addr = OP1_ADDR();

	// TODO: support for is_resource() ???
	ZEND_ASSERT(opline->extended_value != MAY_BE_RESOURCE);

	if (op1_info & MAY_BE_UNDEF) {
		if (op1_info & (MAY_BE_ANY|MAY_BE_REF)) {
			//|	IF_ZVAL_TYPE op1_addr, IS_UNDEF, >1, ZREG_TMP1
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 80786, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 80790, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 80794, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 80798, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 80802, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 80807, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_UNDEF == 0) {
			dasm_put(Dst, 80812, (ZREG_X15));
				} else {
			dasm_put(Dst, 80816, (ZREG_X15), IS_UNDEF);
				}
#line 10474 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|.cold_code
			dasm_put(Dst, 80822);
#line 10475 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|1:
			dasm_put(Dst, 80823);
#line 10476 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	SET_EX_OPLINE opline, REG0
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 80825, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 80828);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 80830, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 80833, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 80836, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 80839, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 80842, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 80845, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 80848, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 80851, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 80854, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 80857, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 80860, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
#line 10478 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	LOAD_32BIT_VAL FCARG1w, opline->op1.var
			if (((uint32_t)(opline->op1.var)) <= MOVZ_IMM) {
		dasm_put(Dst, 80863, ((uint32_t)(opline->op1.var)));
			} else if (((uint32_t)(opline->op1.var) & 0xffff)) {
		dasm_put(Dst, 80866, ((uint32_t)(opline->op1.var) & 0xffff));
				if ((((uint32_t)(opline->op1.var) >> 16) & 0xffff)) {
		dasm_put(Dst, 80869, (((uint32_t)(opline->op1.var) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 80872, (((uint32_t)(opline->op1.var) >> 16) & 0xffff));
			}
#line 10479 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	EXT_CALL zend_jit_undefined_op_helper, REG0
			if (arm64_may_use_b(zend_jit_undefined_op_helper)) {
		dasm_put(Dst, 80875, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
			} else {
			if (((uintptr_t)(zend_jit_undefined_op_helper)) == 0) {
		dasm_put(Dst, 80878);
			} else if (((uintptr_t)(zend_jit_undefined_op_helper)) <= MOVZ_IMM) {
		dasm_put(Dst, 80880, ((uint64_t)(zend_jit_undefined_op_helper)));
			} else if (arm64_may_use_adr((void*)(zend_jit_undefined_op_helper))) {
		dasm_put(Dst, 80883, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_undefined_op_helper))) {
		dasm_put(Dst, 80886, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper)))))>>32));
				if (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff) {
		dasm_put(Dst, 80889, (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff) {
		dasm_put(Dst, 80892, ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff));
				if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
		dasm_put(Dst, 80895, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
		dasm_put(Dst, 80898, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
		dasm_put(Dst, 80901, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
		dasm_put(Dst, 80904, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 80907, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
			}
		dasm_put(Dst, 80910);
			}
#line 10480 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		zend_jit_check_exception_undef_result(Dst, opline);
		if (opline->extended_value & MAY_BE_NULL) {
			if (exit_addr) {
				if (smart_branch_opcode == ZEND_JMPNZ) {
					//|	b &exit_addr
					dasm_put(Dst, 80912, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 10485 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else if ((op1_info & (MAY_BE_ANY|MAY_BE_REF)) != 0) {
					//|	b >7
					dasm_put(Dst, 80915);
#line 10487 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else if (!zend_jit_smart_true(Dst, opline, (op1_info & (MAY_BE_ANY|MAY_BE_REF)) != 0, smart_branch_opcode, target_label, target_label2)) {
				return 0;
			}
		} else {
			if (exit_addr) {
				if (smart_branch_opcode == ZEND_JMPZ) {
					//|	b &exit_addr
					dasm_put(Dst, 80918, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 10495 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else if ((op1_info & (MAY_BE_ANY|MAY_BE_REF)) != 0) {
					//|	b >7
					dasm_put(Dst, 80921);
#line 10497 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else if (!zend_jit_smart_false(Dst, opline, (op1_info & (MAY_BE_ANY|MAY_BE_REF)) != 0, smart_branch_opcode, target_label)) {
				return 0;
			}
		}
		if (op1_info & (MAY_BE_ANY|MAY_BE_REF)) {
			//|.code
			dasm_put(Dst, 80924);
#line 10504 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	if (op1_info & (MAY_BE_ANY|MAY_BE_REF)) {
		mask = opline->extended_value;
		if (!(op1_info & MAY_BE_GUARD) && !(op1_info & (MAY_BE_ANY - mask))) {
			//|	FREE_OP opline->op1_type, opline->op1, op1_info, 1, opline, ZREG_TMP1, ZREG_TMP2
				if (opline->op1_type & (IS_VAR|IS_TMP_VAR)) {
					zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op1.var);
				if ((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
					if ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
						if (1) {
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 80925, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 80929, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 80933, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 80937, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 80941, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 80946, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_REFCOUNTED == 0) {
			dasm_put(Dst, 80951, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
			dasm_put(Dst, 80954, (ZREG_X15), IS_TYPE_REFCOUNTED);
				} else {
				if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
			dasm_put(Dst, 80958, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
				} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
			dasm_put(Dst, 80962, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
					if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
			dasm_put(Dst, 80966, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 80970, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			dasm_put(Dst, 80974, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 80978);
			dasm_put(Dst, 80981);
						} else {
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 80983, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 80987, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 80991, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 80995, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 80999, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 81004, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_REFCOUNTED == 0) {
			dasm_put(Dst, 81009, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
			dasm_put(Dst, 81012, (ZREG_X15), IS_TYPE_REFCOUNTED);
				} else {
				if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
			dasm_put(Dst, 81016, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
				} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
			dasm_put(Dst, 81020, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
					if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
			dasm_put(Dst, 81024, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 81028, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			dasm_put(Dst, 81032, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 81036);
						}
					}
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 81039, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
				} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
			dasm_put(Dst, 81043, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 81047, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 81051, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 81055, (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 81059, (Z_REG(addr)), (Z_OFFSET(addr)));
				}
			dasm_put(Dst, 81063, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
					if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op1_info)) {
						if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op1_info)) {
							if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
			dasm_put(Dst, 81071);
							} else {
			dasm_put(Dst, 81074);
							}
						}
				do {
					if (!((op1_info) & MAY_BE_GUARD)
					 && has_concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
						zend_uchar type = concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
						if (type == IS_STRING && !ZEND_DEBUG) {
				if (arm64_may_use_b(_efree)) {
			dasm_put(Dst, 81077, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
				} else {
				if (((uintptr_t)(_efree)) == 0) {
			dasm_put(Dst, 81080, (ZREG_X15));
				} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
			dasm_put(Dst, 81083, (ZREG_X15), ((uint64_t)(_efree)));
				} else if (arm64_may_use_adr((void*)(_efree))) {
			dasm_put(Dst, 81087, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
				} else if (arm64_may_use_adrp((void*)(_efree))) {
			dasm_put(Dst, 81091, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
					if (((uintptr_t)(_efree)) & 0xfff) {
			dasm_put(Dst, 81095, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
					}
				} else if ((uintptr_t)(_efree) & 0xffff) {
			dasm_put(Dst, 81100, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
					if (((uintptr_t)(_efree) >> 16) & 0xffff) {
			dasm_put(Dst, 81104, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
					}
					if (((uintptr_t)(_efree) >> 32) & 0xffff) {
			dasm_put(Dst, 81108, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
			dasm_put(Dst, 81112, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
					if (((uintptr_t)(_efree) >> 32) & 0xffff) {
			dasm_put(Dst, 81116, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 81120, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			dasm_put(Dst, 81124, (ZREG_X15));
				}
							break;
						} else if (type == IS_ARRAY) {
							if ((op1_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
								if (opline && ((op1_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 81127, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 81130, (ZREG_X15));
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 81133, (ZREG_X15), ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 81137, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 81141, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 81145, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 81150, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 81154, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 81158, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 81162, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 81166, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 81170, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 81174, (ZREG_X15), Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
								}
				if (arm64_may_use_b(zend_array_destroy)) {
			dasm_put(Dst, 81178, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
				} else {
				if (((uintptr_t)(zend_array_destroy)) == 0) {
			dasm_put(Dst, 81181, (ZREG_X15));
				} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
			dasm_put(Dst, 81184, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
				} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
			dasm_put(Dst, 81188, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
			dasm_put(Dst, 81192, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
					if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
			dasm_put(Dst, 81196, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
			dasm_put(Dst, 81201, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
					if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
			dasm_put(Dst, 81205, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
			dasm_put(Dst, 81209, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
			dasm_put(Dst, 81213, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
					if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
			dasm_put(Dst, 81217, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 81221, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			dasm_put(Dst, 81225, (ZREG_X15));
				}
							} else {
				if (arm64_may_use_b(zend_jit_array_free)) {
			dasm_put(Dst, 81228, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
				} else {
				if (((uintptr_t)(zend_jit_array_free)) == 0) {
			dasm_put(Dst, 81231, (ZREG_X15));
				} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
			dasm_put(Dst, 81234, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
				} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
			dasm_put(Dst, 81238, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
			dasm_put(Dst, 81242, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
					if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
			dasm_put(Dst, 81246, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
			dasm_put(Dst, 81251, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
					if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
			dasm_put(Dst, 81255, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
			dasm_put(Dst, 81259, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
			dasm_put(Dst, 81263, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
			dasm_put(Dst, 81267, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 81271, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			dasm_put(Dst, 81275, (ZREG_X15));
				}
							}
							break;
						} else if (type == IS_OBJECT) {
							if (opline) {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 81278, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 81281);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 81283, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 81286, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 81289, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 81292, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 81295, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 81298, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 81301, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 81304, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 81307, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 81310, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 81313, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
							}
				if (arm64_may_use_b(zend_objects_store_del)) {
			dasm_put(Dst, 81316, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
				} else {
				if (((uintptr_t)(zend_objects_store_del)) == 0) {
			dasm_put(Dst, 81319, (ZREG_X15));
				} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
			dasm_put(Dst, 81322, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
				} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
			dasm_put(Dst, 81326, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
			dasm_put(Dst, 81330, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
					if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
			dasm_put(Dst, 81334, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
			dasm_put(Dst, 81339, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
					if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
			dasm_put(Dst, 81343, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
			dasm_put(Dst, 81347, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
			dasm_put(Dst, 81351, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
					if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
			dasm_put(Dst, 81355, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 81359, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			dasm_put(Dst, 81363, (ZREG_X15));
				}
							break;
						}
					}
					if (opline) {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 81366, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 81369, (ZREG_X15));
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 81372, (ZREG_X15), ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 81376, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 81380, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 81384, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 81389, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 81393, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 81397, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 81401, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 81405, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 81409, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 81413, (ZREG_X15), Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
					}
				if (arm64_may_use_b(rc_dtor_func)) {
			dasm_put(Dst, 81417, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
				} else {
				if (((uintptr_t)(rc_dtor_func)) == 0) {
			dasm_put(Dst, 81420, (ZREG_X15));
				} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
			dasm_put(Dst, 81423, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
				} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
			dasm_put(Dst, 81427, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
				} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
			dasm_put(Dst, 81431, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
					if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
			dasm_put(Dst, 81435, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
					}
				} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
			dasm_put(Dst, 81440, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
					if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
			dasm_put(Dst, 81444, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
					}
					if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
			dasm_put(Dst, 81448, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
			dasm_put(Dst, 81452, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
					if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
			dasm_put(Dst, 81456, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 81460, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			dasm_put(Dst, 81464, (ZREG_X15));
				}
				} while(0);
						if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
			dasm_put(Dst, 81467);
						}
			dasm_put(Dst, 81470);
					}
					if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
						if ((op1_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
							zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 81472, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 81476, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 81480, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 81484, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 81488, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 81493, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_REFERENCE == 0) {
			dasm_put(Dst, 81498, (ZREG_X15));
				} else {
			dasm_put(Dst, 81502, (ZREG_X15), IS_REFERENCE);
				}
				ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 81508, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 81512, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 81516, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 81520, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 81524, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 81529, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_COLLECTABLE == 0) {
			dasm_put(Dst, 81534, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
			dasm_put(Dst, 81537, (ZREG_X15), IS_TYPE_COLLECTABLE);
				} else {
				if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
			dasm_put(Dst, 81541, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
				} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
			dasm_put(Dst, 81545, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
					if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
			dasm_put(Dst, 81549, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 81553, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			dasm_put(Dst, 81557, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 81561);
				ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 81564, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
			dasm_put(Dst, 81568, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 81572, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 81576, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 81580, (Z_REG(ref_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 81584, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
				}
			dasm_put(Dst, 81588);
						}
			dasm_put(Dst, 81590, (ZREG_X15));
				if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
			dasm_put(Dst, 81593, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
			dasm_put(Dst, 81596, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
				} else {
				if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
			dasm_put(Dst, 81600, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
				} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
			dasm_put(Dst, 81604, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
					if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
			dasm_put(Dst, 81608, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 81612, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			dasm_put(Dst, 81616, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 81620);
				if (arm64_may_use_b(gc_possible_root)) {
			dasm_put(Dst, 81623, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
				} else {
				if (((uintptr_t)(gc_possible_root)) == 0) {
			dasm_put(Dst, 81626, (ZREG_X15));
				} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
			dasm_put(Dst, 81629, (ZREG_X15), ((uint64_t)(gc_possible_root)));
				} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
			dasm_put(Dst, 81633, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
				} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
			dasm_put(Dst, 81637, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
					if (((uintptr_t)(gc_possible_root)) & 0xfff) {
			dasm_put(Dst, 81641, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
					}
				} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
			dasm_put(Dst, 81646, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
					if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
			dasm_put(Dst, 81650, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
					}
					if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
			dasm_put(Dst, 81654, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
			dasm_put(Dst, 81658, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
					if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
			dasm_put(Dst, 81662, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 81666, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			dasm_put(Dst, 81670, (ZREG_X15));
				}
					}
					if (1 && ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
			dasm_put(Dst, 81673);
					}
			dasm_put(Dst, 81676);
				}
				}
#line 10511 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (exit_addr) {
				if (smart_branch_opcode == ZEND_JMPNZ) {
					//|	b &exit_addr
					dasm_put(Dst, 81678, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 10514 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else if (!zend_jit_smart_true(Dst, opline, 0, smart_branch_opcode, target_label, target_label2)) {
				return 0;
			}
	    } else if (!(op1_info & MAY_BE_GUARD) && !(op1_info & mask)) {
			//|	FREE_OP opline->op1_type, opline->op1, op1_info, 1, opline, ZREG_TMP1, ZREG_TMP2
				if (opline->op1_type & (IS_VAR|IS_TMP_VAR)) {
					zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op1.var);
				if ((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
					if ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
						if (1) {
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 81681, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 81685, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 81689, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 81693, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 81697, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 81702, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_REFCOUNTED == 0) {
			dasm_put(Dst, 81707, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
			dasm_put(Dst, 81710, (ZREG_X15), IS_TYPE_REFCOUNTED);
				} else {
				if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
			dasm_put(Dst, 81714, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
				} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
			dasm_put(Dst, 81718, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
					if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
			dasm_put(Dst, 81722, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 81726, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			dasm_put(Dst, 81730, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 81734);
			dasm_put(Dst, 81737);
						} else {
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 81739, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 81743, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 81747, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 81751, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 81755, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 81760, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_REFCOUNTED == 0) {
			dasm_put(Dst, 81765, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
			dasm_put(Dst, 81768, (ZREG_X15), IS_TYPE_REFCOUNTED);
				} else {
				if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
			dasm_put(Dst, 81772, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
				} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
			dasm_put(Dst, 81776, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
					if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
			dasm_put(Dst, 81780, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 81784, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			dasm_put(Dst, 81788, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 81792);
						}
					}
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 81795, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
				} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
			dasm_put(Dst, 81799, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 81803, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 81807, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 81811, (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 81815, (Z_REG(addr)), (Z_OFFSET(addr)));
				}
			dasm_put(Dst, 81819, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
					if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op1_info)) {
						if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op1_info)) {
							if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
			dasm_put(Dst, 81827);
							} else {
			dasm_put(Dst, 81830);
							}
						}
				do {
					if (!((op1_info) & MAY_BE_GUARD)
					 && has_concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
						zend_uchar type = concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
						if (type == IS_STRING && !ZEND_DEBUG) {
				if (arm64_may_use_b(_efree)) {
			dasm_put(Dst, 81833, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
				} else {
				if (((uintptr_t)(_efree)) == 0) {
			dasm_put(Dst, 81836, (ZREG_X15));
				} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
			dasm_put(Dst, 81839, (ZREG_X15), ((uint64_t)(_efree)));
				} else if (arm64_may_use_adr((void*)(_efree))) {
			dasm_put(Dst, 81843, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
				} else if (arm64_may_use_adrp((void*)(_efree))) {
			dasm_put(Dst, 81847, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
					if (((uintptr_t)(_efree)) & 0xfff) {
			dasm_put(Dst, 81851, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
					}
				} else if ((uintptr_t)(_efree) & 0xffff) {
			dasm_put(Dst, 81856, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
					if (((uintptr_t)(_efree) >> 16) & 0xffff) {
			dasm_put(Dst, 81860, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
					}
					if (((uintptr_t)(_efree) >> 32) & 0xffff) {
			dasm_put(Dst, 81864, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
			dasm_put(Dst, 81868, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
					if (((uintptr_t)(_efree) >> 32) & 0xffff) {
			dasm_put(Dst, 81872, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 81876, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			dasm_put(Dst, 81880, (ZREG_X15));
				}
							break;
						} else if (type == IS_ARRAY) {
							if ((op1_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
								if (opline && ((op1_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 81883, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 81886, (ZREG_X15));
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 81889, (ZREG_X15), ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 81893, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 81897, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 81901, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 81906, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 81910, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 81914, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 81918, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 81922, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 81926, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 81930, (ZREG_X15), Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
								}
				if (arm64_may_use_b(zend_array_destroy)) {
			dasm_put(Dst, 81934, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
				} else {
				if (((uintptr_t)(zend_array_destroy)) == 0) {
			dasm_put(Dst, 81937, (ZREG_X15));
				} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
			dasm_put(Dst, 81940, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
				} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
			dasm_put(Dst, 81944, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
			dasm_put(Dst, 81948, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
					if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
			dasm_put(Dst, 81952, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
			dasm_put(Dst, 81957, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
					if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
			dasm_put(Dst, 81961, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
			dasm_put(Dst, 81965, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
			dasm_put(Dst, 81969, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
					if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
			dasm_put(Dst, 81973, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 81977, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			dasm_put(Dst, 81981, (ZREG_X15));
				}
							} else {
				if (arm64_may_use_b(zend_jit_array_free)) {
			dasm_put(Dst, 81984, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
				} else {
				if (((uintptr_t)(zend_jit_array_free)) == 0) {
			dasm_put(Dst, 81987, (ZREG_X15));
				} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
			dasm_put(Dst, 81990, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
				} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
			dasm_put(Dst, 81994, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
			dasm_put(Dst, 81998, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
					if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
			dasm_put(Dst, 82002, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
			dasm_put(Dst, 82007, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
					if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
			dasm_put(Dst, 82011, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
			dasm_put(Dst, 82015, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
			dasm_put(Dst, 82019, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
			dasm_put(Dst, 82023, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 82027, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			dasm_put(Dst, 82031, (ZREG_X15));
				}
							}
							break;
						} else if (type == IS_OBJECT) {
							if (opline) {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 82034, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 82037);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 82039, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 82042, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 82045, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 82048, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 82051, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 82054, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 82057, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 82060, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 82063, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 82066, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 82069, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
							}
				if (arm64_may_use_b(zend_objects_store_del)) {
			dasm_put(Dst, 82072, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
				} else {
				if (((uintptr_t)(zend_objects_store_del)) == 0) {
			dasm_put(Dst, 82075, (ZREG_X15));
				} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
			dasm_put(Dst, 82078, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
				} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
			dasm_put(Dst, 82082, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
			dasm_put(Dst, 82086, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
					if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
			dasm_put(Dst, 82090, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
			dasm_put(Dst, 82095, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
					if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
			dasm_put(Dst, 82099, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
			dasm_put(Dst, 82103, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
			dasm_put(Dst, 82107, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
					if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
			dasm_put(Dst, 82111, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 82115, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			dasm_put(Dst, 82119, (ZREG_X15));
				}
							break;
						}
					}
					if (opline) {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 82122, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 82125, (ZREG_X15));
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 82128, (ZREG_X15), ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 82132, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 82136, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 82140, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 82145, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 82149, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 82153, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 82157, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 82161, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 82165, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 82169, (ZREG_X15), Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
					}
				if (arm64_may_use_b(rc_dtor_func)) {
			dasm_put(Dst, 82173, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
				} else {
				if (((uintptr_t)(rc_dtor_func)) == 0) {
			dasm_put(Dst, 82176, (ZREG_X15));
				} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
			dasm_put(Dst, 82179, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
				} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
			dasm_put(Dst, 82183, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
				} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
			dasm_put(Dst, 82187, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
					if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
			dasm_put(Dst, 82191, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
					}
				} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
			dasm_put(Dst, 82196, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
					if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
			dasm_put(Dst, 82200, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
					}
					if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
			dasm_put(Dst, 82204, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
			dasm_put(Dst, 82208, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
					if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
			dasm_put(Dst, 82212, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 82216, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			dasm_put(Dst, 82220, (ZREG_X15));
				}
				} while(0);
						if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
			dasm_put(Dst, 82223);
						}
			dasm_put(Dst, 82226);
					}
					if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
						if ((op1_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
							zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 82228, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 82232, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 82236, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 82240, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 82244, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 82249, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_REFERENCE == 0) {
			dasm_put(Dst, 82254, (ZREG_X15));
				} else {
			dasm_put(Dst, 82258, (ZREG_X15), IS_REFERENCE);
				}
				ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 82264, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 82268, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 82272, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 82276, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 82280, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 82285, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_COLLECTABLE == 0) {
			dasm_put(Dst, 82290, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
			dasm_put(Dst, 82293, (ZREG_X15), IS_TYPE_COLLECTABLE);
				} else {
				if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
			dasm_put(Dst, 82297, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
				} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
			dasm_put(Dst, 82301, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
					if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
			dasm_put(Dst, 82305, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 82309, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			dasm_put(Dst, 82313, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 82317);
				ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 82320, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
			dasm_put(Dst, 82324, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 82328, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 82332, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 82336, (Z_REG(ref_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 82340, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
				}
			dasm_put(Dst, 82344);
						}
			dasm_put(Dst, 82346, (ZREG_X15));
				if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
			dasm_put(Dst, 82349, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
			dasm_put(Dst, 82352, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
				} else {
				if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
			dasm_put(Dst, 82356, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
				} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
			dasm_put(Dst, 82360, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
					if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
			dasm_put(Dst, 82364, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 82368, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			dasm_put(Dst, 82372, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 82376);
				if (arm64_may_use_b(gc_possible_root)) {
			dasm_put(Dst, 82379, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
				} else {
				if (((uintptr_t)(gc_possible_root)) == 0) {
			dasm_put(Dst, 82382, (ZREG_X15));
				} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
			dasm_put(Dst, 82385, (ZREG_X15), ((uint64_t)(gc_possible_root)));
				} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
			dasm_put(Dst, 82389, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
				} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
			dasm_put(Dst, 82393, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
					if (((uintptr_t)(gc_possible_root)) & 0xfff) {
			dasm_put(Dst, 82397, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
					}
				} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
			dasm_put(Dst, 82402, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
					if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
			dasm_put(Dst, 82406, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
					}
					if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
			dasm_put(Dst, 82410, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
			dasm_put(Dst, 82414, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
					if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
			dasm_put(Dst, 82418, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 82422, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			dasm_put(Dst, 82426, (ZREG_X15));
				}
					}
					if (1 && ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
			dasm_put(Dst, 82429);
					}
			dasm_put(Dst, 82432);
				}
				}
#line 10520 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (exit_addr) {
				if (smart_branch_opcode == ZEND_JMPZ) {
					//|	b &exit_addr
					dasm_put(Dst, 82434, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 10523 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else if (!zend_jit_smart_false(Dst, opline, 0, smart_branch_opcode, target_label)) {
				return 0;
			}
		} else {
			bool invert = 0;
			zend_uchar type;

			switch (mask) {
				case MAY_BE_NULL:   type = IS_NULL;   break;
				case MAY_BE_FALSE:  type = IS_FALSE;  break;
				case MAY_BE_TRUE:   type = IS_TRUE;   break;
				case MAY_BE_LONG:   type = IS_LONG;   break;
				case MAY_BE_DOUBLE: type = IS_DOUBLE; break;
				case MAY_BE_STRING: type = IS_STRING; break;
				case MAY_BE_ARRAY:  type = IS_ARRAY;  break;
				case MAY_BE_OBJECT: type = IS_OBJECT; break;
				case MAY_BE_ANY - MAY_BE_NULL:     type = IS_NULL;   invert = 1; break;
				case MAY_BE_ANY - MAY_BE_FALSE:    type = IS_FALSE;  invert = 1; break;
				case MAY_BE_ANY - MAY_BE_TRUE:     type = IS_TRUE;   invert = 1; break;
				case MAY_BE_ANY - MAY_BE_LONG:     type = IS_LONG;   invert = 1; break;
				case MAY_BE_ANY - MAY_BE_DOUBLE:   type = IS_DOUBLE; invert = 1; break;
				case MAY_BE_ANY - MAY_BE_STRING:   type = IS_STRING; invert = 1; break;
				case MAY_BE_ANY - MAY_BE_ARRAY:    type = IS_ARRAY;  invert = 1; break;
				case MAY_BE_ANY - MAY_BE_OBJECT:   type = IS_OBJECT; invert = 1; break;
				case MAY_BE_ANY - MAY_BE_RESOURCE: type = IS_OBJECT; invert = 1; break;
				default:
					type = 0;
			}

			if (op1_info & MAY_BE_REF) {
				//|	LOAD_ZVAL_ADDR REG0, op1_addr
					if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
				dasm_put(Dst, 82437);
					} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 82439, ((uint64_t)(Z_ZV(op1_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 82442, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 82445, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
				dasm_put(Dst, 82448, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
				dasm_put(Dst, 82451, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 82454, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 82457, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 82460, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 82463, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 82466, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(op1_addr)) {
					if (Z_OFFSET(op1_addr) == 0) {
				dasm_put(Dst, 82469, (Z_REG(op1_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
				dasm_put(Dst, 82472, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 82476, ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 82479, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 82482, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 82485, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 82488, (Z_REG(op1_addr)));
					}
						} else {
							if (Z_REG(op1_addr) == ZREG_RSP) {
				dasm_put(Dst, 82491);
							} else {
				dasm_put(Dst, 82493, (Z_REG(op1_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 10555 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	ZVAL_DEREF REG0, op1_info, TMP1w
					if (op1_info & MAY_BE_REF) {
				dasm_put(Dst, 82496, offsetof(zval, u1.v.type));
					if (IS_REFERENCE == 0) {
				dasm_put(Dst, 82499);
					} else {
				dasm_put(Dst, 82502, IS_REFERENCE);
					}
				dasm_put(Dst, 82507, offsetof(zend_reference, val));
					}
#line 10556 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if (type == 0) {
				if (smart_branch_opcode &&
				    (opline->op1_type & (IS_VAR|IS_TMP_VAR)) &&
				    (op1_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if ((op1_info) & (MAY_BE_ANY-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
						//|	// if (Z_REFCOUNTED_P(cv)) {
						//|	IF_ZVAL_REFCOUNTED op1_addr, >1, ZREG_TMP1, ZREG_TMP2
							ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
							if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
							if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
						dasm_put(Dst, 82512, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))));
							} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
						dasm_put(Dst, 82516, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
						dasm_put(Dst, 82520, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 82524, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 82528, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X16));
							} else {
						dasm_put(Dst, 82533, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)));
							}
							if (IS_TYPE_REFCOUNTED == 0) {
						dasm_put(Dst, 82538, (ZREG_X15));
							} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
						dasm_put(Dst, 82541, (ZREG_X15), IS_TYPE_REFCOUNTED);
							} else {
							if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
						dasm_put(Dst, 82545, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
							} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
						dasm_put(Dst, 82549, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
								if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
						dasm_put(Dst, 82553, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 82557, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
							}
						dasm_put(Dst, 82561, (ZREG_X15), (ZREG_X16));
							}
#line 10564 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						//|.cold_code
						dasm_put(Dst, 82565);
#line 10565 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						//|1:
						dasm_put(Dst, 82568);
#line 10566 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					//|	// if (!Z_DELREF_P(cv)) {
					//|	GET_ZVAL_PTR FCARG1x, op1_addr, TMP1
						ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 82570, ((uint32_t)(Z_OFFSET(op1_addr))));
						} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
					dasm_put(Dst, 82573, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 82576, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 82579, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 82582, (Z_REG(op1_addr)));
						} else {
					dasm_put(Dst, 82585, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
						}
#line 10569 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	GC_DELREF FCARG1x, TMP1w
					dasm_put(Dst, 82589);
#line 10570 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					if (RC_MAY_BE_1(op1_info)) {
						if (RC_MAY_BE_N(op1_info)) {
							//|	bne >3
							dasm_put(Dst, 82593);
#line 10573 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						}
						if (op1_info & MAY_BE_REF) {
							//|	ldrb REG0w, [REG0, #offsetof(zval,u1.v.type)]
							dasm_put(Dst, 82596, offsetof(zval,u1.v.type));
#line 10576 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						} else {
							//|	MEM_ACCESS_8_WITH_UOFFSET ldrb, REG0w, FP, (opline->op1.var + offsetof(zval,u1.v.type)), TMP1
								if (((uintptr_t)((opline->op1.var + offsetof(zval,u1.v.type)))) > LDRB_STRB_PIMM) {
								if (((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type)))) <= MOVZ_IMM) {
							dasm_put(Dst, 82599, ((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type)))));
								} else if (((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type))) & 0xffff)) {
							dasm_put(Dst, 82602, ((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type))) & 0xffff));
									if ((((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type))) >> 16) & 0xffff)) {
							dasm_put(Dst, 82605, (((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type))) >> 16) & 0xffff));
									}
								} else {
							dasm_put(Dst, 82608, (((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type))) >> 16) & 0xffff));
								}
							dasm_put(Dst, 82611);
								} else {
							dasm_put(Dst, 82613, ((opline->op1.var + offsetof(zval,u1.v.type))));
								}
#line 10578 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						}
						//|	str REG0w, T1 // save
						//|	// zval_dtor_func(r);
						//|	ZVAL_DTOR_FUNC op1_info, opline, TMP1
						dasm_put(Dst, 82616);
							do {
								if (!((op1_info) & MAY_BE_GUARD)
								 && has_concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
									zend_uchar type = concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
									if (type == IS_STRING && !ZEND_DEBUG) {
							if (arm64_may_use_b(_efree)) {
						dasm_put(Dst, 82618, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
							} else {
							if (((uintptr_t)(_efree)) == 0) {
						dasm_put(Dst, 82621);
							} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
						dasm_put(Dst, 82623, ((uint64_t)(_efree)));
							} else if (arm64_may_use_adr((void*)(_efree))) {
						dasm_put(Dst, 82626, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
							} else if (arm64_may_use_adrp((void*)(_efree))) {
						dasm_put(Dst, 82629, (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
								if (((uintptr_t)(_efree)) & 0xfff) {
						dasm_put(Dst, 82632, (((uintptr_t)(_efree)) & 0xfff));
								}
							} else if ((uintptr_t)(_efree) & 0xffff) {
						dasm_put(Dst, 82635, ((uintptr_t)(_efree) & 0xffff));
								if (((uintptr_t)(_efree) >> 16) & 0xffff) {
						dasm_put(Dst, 82638, (((uintptr_t)(_efree) >> 16) & 0xffff));
								}
								if (((uintptr_t)(_efree) >> 32) & 0xffff) {
						dasm_put(Dst, 82641, (((uintptr_t)(_efree) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
						dasm_put(Dst, 82644, (((uintptr_t)(_efree) >> 16) & 0xffff));
								if (((uintptr_t)(_efree) >> 32) & 0xffff) {
						dasm_put(Dst, 82647, (((uintptr_t)(_efree) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 82650, (((uintptr_t)(_efree) >> 32) & 0xffff));
							}
						dasm_put(Dst, 82653);
							}
										break;
									} else if (type == IS_ARRAY) {
										if ((op1_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
											if (opline && ((op1_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
							if (opline == last_valid_opline) {
								zend_jit_use_last_valid_opline();
							if (GCC_GLOBAL_REGS) {
						dasm_put(Dst, 82655, Dt1(->opline));
							}
							} else {
							if (((uintptr_t)(opline)) == 0) {
						dasm_put(Dst, 82658);
							} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
						dasm_put(Dst, 82660, ((uint64_t)(opline)));
							} else if (arm64_may_use_adr((void*)(opline))) {
						dasm_put(Dst, 82663, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
							} else if (arm64_may_use_adrp((void*)(opline))) {
						dasm_put(Dst, 82666, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
								if (((uintptr_t)(opline)) & 0xfff) {
						dasm_put(Dst, 82669, (((uintptr_t)(opline)) & 0xfff));
								}
							} else if ((uintptr_t)(opline) & 0xffff) {
						dasm_put(Dst, 82672, ((uintptr_t)(opline) & 0xffff));
								if (((uintptr_t)(opline) >> 16) & 0xffff) {
						dasm_put(Dst, 82675, (((uintptr_t)(opline) >> 16) & 0xffff));
								}
								if (((uintptr_t)(opline) >> 32) & 0xffff) {
						dasm_put(Dst, 82678, (((uintptr_t)(opline) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
						dasm_put(Dst, 82681, (((uintptr_t)(opline) >> 16) & 0xffff));
								if (((uintptr_t)(opline) >> 32) & 0xffff) {
						dasm_put(Dst, 82684, (((uintptr_t)(opline) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 82687, (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						dasm_put(Dst, 82690, Dt1(->opline));
								if (!GCC_GLOBAL_REGS) {
									zend_jit_reset_last_valid_opline();
								}
							}
											}
							if (arm64_may_use_b(zend_array_destroy)) {
						dasm_put(Dst, 82693, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
							} else {
							if (((uintptr_t)(zend_array_destroy)) == 0) {
						dasm_put(Dst, 82696);
							} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
						dasm_put(Dst, 82698, ((uint64_t)(zend_array_destroy)));
							} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
						dasm_put(Dst, 82701, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
							} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
						dasm_put(Dst, 82704, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
								if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
						dasm_put(Dst, 82707, (((uintptr_t)(zend_array_destroy)) & 0xfff));
								}
							} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
						dasm_put(Dst, 82710, ((uintptr_t)(zend_array_destroy) & 0xffff));
								if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
						dasm_put(Dst, 82713, (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
								}
								if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
						dasm_put(Dst, 82716, (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
						dasm_put(Dst, 82719, (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
								if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
						dasm_put(Dst, 82722, (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 82725, (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
							}
						dasm_put(Dst, 82728);
							}
										} else {
							if (arm64_may_use_b(zend_jit_array_free)) {
						dasm_put(Dst, 82730, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
							} else {
							if (((uintptr_t)(zend_jit_array_free)) == 0) {
						dasm_put(Dst, 82733);
							} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
						dasm_put(Dst, 82735, ((uint64_t)(zend_jit_array_free)));
							} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
						dasm_put(Dst, 82738, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
							} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
						dasm_put(Dst, 82741, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
								if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
						dasm_put(Dst, 82744, (((uintptr_t)(zend_jit_array_free)) & 0xfff));
								}
							} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
						dasm_put(Dst, 82747, ((uintptr_t)(zend_jit_array_free) & 0xffff));
								if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
						dasm_put(Dst, 82750, (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
								}
								if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
						dasm_put(Dst, 82753, (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
						dasm_put(Dst, 82756, (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
								if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
						dasm_put(Dst, 82759, (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 82762, (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
							}
						dasm_put(Dst, 82765);
							}
										}
										break;
									} else if (type == IS_OBJECT) {
										if (opline) {
							if (opline == last_valid_opline) {
								zend_jit_use_last_valid_opline();
							if (GCC_GLOBAL_REGS) {
						dasm_put(Dst, 82767, Dt1(->opline));
							}
							} else {
							if (((uintptr_t)(opline)) == 0) {
						dasm_put(Dst, 82770);
							} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
						dasm_put(Dst, 82772, ((uint64_t)(opline)));
							} else if (arm64_may_use_adr((void*)(opline))) {
						dasm_put(Dst, 82775, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
							} else if (arm64_may_use_adrp((void*)(opline))) {
						dasm_put(Dst, 82778, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
								if (((uintptr_t)(opline)) & 0xfff) {
						dasm_put(Dst, 82781, (((uintptr_t)(opline)) & 0xfff));
								}
							} else if ((uintptr_t)(opline) & 0xffff) {
						dasm_put(Dst, 82784, ((uintptr_t)(opline) & 0xffff));
								if (((uintptr_t)(opline) >> 16) & 0xffff) {
						dasm_put(Dst, 82787, (((uintptr_t)(opline) >> 16) & 0xffff));
								}
								if (((uintptr_t)(opline) >> 32) & 0xffff) {
						dasm_put(Dst, 82790, (((uintptr_t)(opline) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
						dasm_put(Dst, 82793, (((uintptr_t)(opline) >> 16) & 0xffff));
								if (((uintptr_t)(opline) >> 32) & 0xffff) {
						dasm_put(Dst, 82796, (((uintptr_t)(opline) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 82799, (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						dasm_put(Dst, 82802, Dt1(->opline));
								if (!GCC_GLOBAL_REGS) {
									zend_jit_reset_last_valid_opline();
								}
							}
										}
							if (arm64_may_use_b(zend_objects_store_del)) {
						dasm_put(Dst, 82805, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
							} else {
							if (((uintptr_t)(zend_objects_store_del)) == 0) {
						dasm_put(Dst, 82808);
							} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
						dasm_put(Dst, 82810, ((uint64_t)(zend_objects_store_del)));
							} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
						dasm_put(Dst, 82813, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
							} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
						dasm_put(Dst, 82816, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
								if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
						dasm_put(Dst, 82819, (((uintptr_t)(zend_objects_store_del)) & 0xfff));
								}
							} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
						dasm_put(Dst, 82822, ((uintptr_t)(zend_objects_store_del) & 0xffff));
								if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
						dasm_put(Dst, 82825, (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
								}
								if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
						dasm_put(Dst, 82828, (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
						dasm_put(Dst, 82831, (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
								if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
						dasm_put(Dst, 82834, (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 82837, (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
							}
						dasm_put(Dst, 82840);
							}
										break;
									}
								}
								if (opline) {
							if (opline == last_valid_opline) {
								zend_jit_use_last_valid_opline();
							if (GCC_GLOBAL_REGS) {
						dasm_put(Dst, 82842, Dt1(->opline));
							}
							} else {
							if (((uintptr_t)(opline)) == 0) {
						dasm_put(Dst, 82845);
							} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
						dasm_put(Dst, 82847, ((uint64_t)(opline)));
							} else if (arm64_may_use_adr((void*)(opline))) {
						dasm_put(Dst, 82850, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
							} else if (arm64_may_use_adrp((void*)(opline))) {
						dasm_put(Dst, 82853, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
								if (((uintptr_t)(opline)) & 0xfff) {
						dasm_put(Dst, 82856, (((uintptr_t)(opline)) & 0xfff));
								}
							} else if ((uintptr_t)(opline) & 0xffff) {
						dasm_put(Dst, 82859, ((uintptr_t)(opline) & 0xffff));
								if (((uintptr_t)(opline) >> 16) & 0xffff) {
						dasm_put(Dst, 82862, (((uintptr_t)(opline) >> 16) & 0xffff));
								}
								if (((uintptr_t)(opline) >> 32) & 0xffff) {
						dasm_put(Dst, 82865, (((uintptr_t)(opline) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
						dasm_put(Dst, 82868, (((uintptr_t)(opline) >> 16) & 0xffff));
								if (((uintptr_t)(opline) >> 32) & 0xffff) {
						dasm_put(Dst, 82871, (((uintptr_t)(opline) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 82874, (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						dasm_put(Dst, 82877, Dt1(->opline));
								if (!GCC_GLOBAL_REGS) {
									zend_jit_reset_last_valid_opline();
								}
							}
								}
							if (arm64_may_use_b(rc_dtor_func)) {
						dasm_put(Dst, 82880, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
							} else {
							if (((uintptr_t)(rc_dtor_func)) == 0) {
						dasm_put(Dst, 82883);
							} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
						dasm_put(Dst, 82885, ((uint64_t)(rc_dtor_func)));
							} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
						dasm_put(Dst, 82888, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
							} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
						dasm_put(Dst, 82891, (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
								if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
						dasm_put(Dst, 82894, (((uintptr_t)(rc_dtor_func)) & 0xfff));
								}
							} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
						dasm_put(Dst, 82897, ((uintptr_t)(rc_dtor_func) & 0xffff));
								if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
						dasm_put(Dst, 82900, (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
								}
								if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
						dasm_put(Dst, 82903, (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
						dasm_put(Dst, 82906, (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
								if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
						dasm_put(Dst, 82909, (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 82912, (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
							}
						dasm_put(Dst, 82915);
							}
							} while(0);
#line 10582 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						//|	ldr REG1w, T1 // restore
						//|	b >2
						dasm_put(Dst, 82917);
#line 10584 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					if ((op1_info) & (MAY_BE_ANY-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
						if (!RC_MAY_BE_1(op1_info)) {
							//|	b >3
							dasm_put(Dst, 82921);
#line 10588 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						}
						//|.code
						dasm_put(Dst, 82924);
#line 10590 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					//|3:
					dasm_put(Dst, 82925);
#line 10592 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					if (op1_info & MAY_BE_REF) {
						//|	ldrb REG1w, [REG0, #offsetof(zval,u1.v.type)]
						dasm_put(Dst, 82927, offsetof(zval,u1.v.type));
#line 10594 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	MEM_ACCESS_8_WITH_UOFFSET ldrb, REG1w, FP, (opline->op1.var + offsetof(zval,u1.v.type)), TMP1
							if (((uintptr_t)((opline->op1.var + offsetof(zval,u1.v.type)))) > LDRB_STRB_PIMM) {
							if (((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type)))) <= MOVZ_IMM) {
						dasm_put(Dst, 82930, ((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type)))));
							} else if (((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type))) & 0xffff)) {
						dasm_put(Dst, 82933, ((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type))) & 0xffff));
								if ((((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type))) >> 16) & 0xffff)) {
						dasm_put(Dst, 82936, (((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type))) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 82939, (((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type))) >> 16) & 0xffff));
							}
						dasm_put(Dst, 82942);
							} else {
						dasm_put(Dst, 82944, ((opline->op1.var + offsetof(zval,u1.v.type))));
							}
#line 10596 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					//|2:
					dasm_put(Dst, 82947);
#line 10598 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					if (op1_info & MAY_BE_REF) {
						//|	ldrb REG1w, [REG0, #offsetof(zval,u1.v.type)]
						dasm_put(Dst, 82949, offsetof(zval,u1.v.type));
#line 10601 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	MEM_ACCESS_8_WITH_UOFFSET ldrb, REG1w, FP, (opline->op1.var + offsetof(zval,u1.v.type)), TMP1
							if (((uintptr_t)((opline->op1.var + offsetof(zval,u1.v.type)))) > LDRB_STRB_PIMM) {
							if (((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type)))) <= MOVZ_IMM) {
						dasm_put(Dst, 82952, ((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type)))));
							} else if (((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type))) & 0xffff)) {
						dasm_put(Dst, 82955, ((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type))) & 0xffff));
								if ((((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type))) >> 16) & 0xffff)) {
						dasm_put(Dst, 82958, (((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type))) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 82961, (((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type))) >> 16) & 0xffff));
							}
						dasm_put(Dst, 82964);
							} else {
						dasm_put(Dst, 82966, ((opline->op1.var + offsetof(zval,u1.v.type))));
							}
#line 10603 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				}
				//|	mov REG0w, #1
				//|	lsl REG0w, REG0w, REG1w
				//|	TST_32_WITH_CONST REG0w, mask, TMP1w
				dasm_put(Dst, 82969);
					if (mask == 0) {
				dasm_put(Dst, 82972);
					} else if (logical_immediate_p((uint32_t)mask, 32)) {
				dasm_put(Dst, 82974, mask);
					} else {
					if (((uint32_t)(mask)) <= MOVZ_IMM) {
				dasm_put(Dst, 82977, ((uint32_t)(mask)));
					} else if (((uint32_t)(mask) & 0xffff)) {
				dasm_put(Dst, 82980, ((uint32_t)(mask) & 0xffff));
						if ((((uint32_t)(mask) >> 16) & 0xffff)) {
				dasm_put(Dst, 82983, (((uint32_t)(mask) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 82986, (((uint32_t)(mask) >> 16) & 0xffff));
					}
				dasm_put(Dst, 82989);
					}
#line 10608 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				if (exit_addr) {
					if (smart_branch_opcode == ZEND_JMPNZ) {
						//|	bne &exit_addr
						dasm_put(Dst, 82991, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 10611 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	beq &exit_addr
						dasm_put(Dst, 82994, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 10613 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				} else if (smart_branch_opcode) {
					if (smart_branch_opcode == ZEND_JMPZ) {
						//|	beq =>target_label
						dasm_put(Dst, 82997, target_label);
#line 10617 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else if (smart_branch_opcode == ZEND_JMPNZ) {
						//|	bne =>target_label
						dasm_put(Dst, 83000, target_label);
#line 10619 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else if (smart_branch_opcode == ZEND_JMPZNZ) {
						//|	beq =>target_label
						//|	b =>target_label2
						dasm_put(Dst, 83003, target_label, target_label2);
#line 10622 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						ZEND_UNREACHABLE();
					}
				} else {
					zend_jit_addr res_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->result.var);

					//|	cset REG0w, ne
					//|	add REG0w, REG0w, #2
					//|	SET_ZVAL_TYPE_INFO_FROM_REG res_addr, REG0w, TMP1
					dasm_put(Dst, 83008);
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 83011, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 83014, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 83017, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 83020, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 83023, (Z_REG(res_addr)));
						} else {
					dasm_put(Dst, 83026, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
						}
#line 10631 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	FREE_OP opline->op1_type, opline->op1, op1_info, 1, opline, ZREG_TMP1, ZREG_TMP2
						if (opline->op1_type & (IS_VAR|IS_TMP_VAR)) {
							zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op1.var);
						if ((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
							if ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
								if (1) {
						ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
					dasm_put(Dst, 83030, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
						} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
					dasm_put(Dst, 83034, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
					dasm_put(Dst, 83038, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 83042, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 83046, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
						} else {
					dasm_put(Dst, 83051, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
						}
						if (IS_TYPE_REFCOUNTED == 0) {
					dasm_put(Dst, 83056, (ZREG_X15));
						} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
					dasm_put(Dst, 83059, (ZREG_X15), IS_TYPE_REFCOUNTED);
						} else {
						if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
					dasm_put(Dst, 83063, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
						} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
					dasm_put(Dst, 83067, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
							if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
					dasm_put(Dst, 83071, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 83075, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
						}
					dasm_put(Dst, 83079, (ZREG_X15), (ZREG_X16));
						}
					dasm_put(Dst, 83083);
					dasm_put(Dst, 83086);
								} else {
						ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
					dasm_put(Dst, 83088, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
						} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
					dasm_put(Dst, 83092, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
					dasm_put(Dst, 83096, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 83100, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 83104, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
						} else {
					dasm_put(Dst, 83109, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
						}
						if (IS_TYPE_REFCOUNTED == 0) {
					dasm_put(Dst, 83114, (ZREG_X15));
						} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
					dasm_put(Dst, 83117, (ZREG_X15), IS_TYPE_REFCOUNTED);
						} else {
						if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
					dasm_put(Dst, 83121, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
						} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
					dasm_put(Dst, 83125, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
							if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
					dasm_put(Dst, 83129, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 83133, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
						}
					dasm_put(Dst, 83137, (ZREG_X15), (ZREG_X16));
						}
					dasm_put(Dst, 83141);
								}
							}
						ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 83144, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
						} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
					dasm_put(Dst, 83148, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 83152, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 83156, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 83160, (Z_REG(addr)), (ZREG_X16));
						} else {
					dasm_put(Dst, 83164, (Z_REG(addr)), (Z_OFFSET(addr)));
						}
					dasm_put(Dst, 83168, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
							if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op1_info)) {
								if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op1_info)) {
									if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					dasm_put(Dst, 83176);
									} else {
					dasm_put(Dst, 83179);
									}
								}
						do {
							if (!((op1_info) & MAY_BE_GUARD)
							 && has_concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
								zend_uchar type = concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
								if (type == IS_STRING && !ZEND_DEBUG) {
						if (arm64_may_use_b(_efree)) {
					dasm_put(Dst, 83182, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
						} else {
						if (((uintptr_t)(_efree)) == 0) {
					dasm_put(Dst, 83185, (ZREG_X15));
						} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
					dasm_put(Dst, 83188, (ZREG_X15), ((uint64_t)(_efree)));
						} else if (arm64_may_use_adr((void*)(_efree))) {
					dasm_put(Dst, 83192, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
						} else if (arm64_may_use_adrp((void*)(_efree))) {
					dasm_put(Dst, 83196, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
							if (((uintptr_t)(_efree)) & 0xfff) {
					dasm_put(Dst, 83200, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
							}
						} else if ((uintptr_t)(_efree) & 0xffff) {
					dasm_put(Dst, 83205, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
							if (((uintptr_t)(_efree) >> 16) & 0xffff) {
					dasm_put(Dst, 83209, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
							}
							if (((uintptr_t)(_efree) >> 32) & 0xffff) {
					dasm_put(Dst, 83213, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
					dasm_put(Dst, 83217, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
							if (((uintptr_t)(_efree) >> 32) & 0xffff) {
					dasm_put(Dst, 83221, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 83225, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
						}
					dasm_put(Dst, 83229, (ZREG_X15));
						}
									break;
								} else if (type == IS_ARRAY) {
									if ((op1_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
										if (opline && ((op1_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
						if (opline == last_valid_opline) {
							zend_jit_use_last_valid_opline();
						if (GCC_GLOBAL_REGS) {
					dasm_put(Dst, 83232, Dt1(->opline));
						}
						} else {
						if (((uintptr_t)(opline)) == 0) {
					dasm_put(Dst, 83235, (ZREG_X15));
						} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
					dasm_put(Dst, 83238, (ZREG_X15), ((uint64_t)(opline)));
						} else if (arm64_may_use_adr((void*)(opline))) {
					dasm_put(Dst, 83242, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
						} else if (arm64_may_use_adrp((void*)(opline))) {
					dasm_put(Dst, 83246, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
							if (((uintptr_t)(opline)) & 0xfff) {
					dasm_put(Dst, 83250, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
							}
						} else if ((uintptr_t)(opline) & 0xffff) {
					dasm_put(Dst, 83255, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
							if (((uintptr_t)(opline) >> 16) & 0xffff) {
					dasm_put(Dst, 83259, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
							}
							if (((uintptr_t)(opline) >> 32) & 0xffff) {
					dasm_put(Dst, 83263, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
					dasm_put(Dst, 83267, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
							if (((uintptr_t)(opline) >> 32) & 0xffff) {
					dasm_put(Dst, 83271, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 83275, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					dasm_put(Dst, 83279, (ZREG_X15), Dt1(->opline));
							if (!GCC_GLOBAL_REGS) {
								zend_jit_reset_last_valid_opline();
							}
						}
										}
						if (arm64_may_use_b(zend_array_destroy)) {
					dasm_put(Dst, 83283, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
						} else {
						if (((uintptr_t)(zend_array_destroy)) == 0) {
					dasm_put(Dst, 83286, (ZREG_X15));
						} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
					dasm_put(Dst, 83289, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
						} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
					dasm_put(Dst, 83293, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
					dasm_put(Dst, 83297, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
							if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
					dasm_put(Dst, 83301, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
					dasm_put(Dst, 83306, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
							if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
					dasm_put(Dst, 83310, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
					dasm_put(Dst, 83314, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
					dasm_put(Dst, 83318, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
							if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
					dasm_put(Dst, 83322, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 83326, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
						}
					dasm_put(Dst, 83330, (ZREG_X15));
						}
									} else {
						if (arm64_may_use_b(zend_jit_array_free)) {
					dasm_put(Dst, 83333, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
						} else {
						if (((uintptr_t)(zend_jit_array_free)) == 0) {
					dasm_put(Dst, 83336, (ZREG_X15));
						} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
					dasm_put(Dst, 83339, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
						} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
					dasm_put(Dst, 83343, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
					dasm_put(Dst, 83347, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
							if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
					dasm_put(Dst, 83351, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
					dasm_put(Dst, 83356, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
							if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
					dasm_put(Dst, 83360, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
					dasm_put(Dst, 83364, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
					dasm_put(Dst, 83368, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
							if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
					dasm_put(Dst, 83372, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 83376, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
						}
					dasm_put(Dst, 83380, (ZREG_X15));
						}
									}
									break;
								} else if (type == IS_OBJECT) {
									if (opline) {
						if (opline == last_valid_opline) {
							zend_jit_use_last_valid_opline();
						if (GCC_GLOBAL_REGS) {
					dasm_put(Dst, 83383, Dt1(->opline));
						}
						} else {
						if (((uintptr_t)(opline)) == 0) {
					dasm_put(Dst, 83386);
						} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
					dasm_put(Dst, 83388, ((uint64_t)(opline)));
						} else if (arm64_may_use_adr((void*)(opline))) {
					dasm_put(Dst, 83391, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
						} else if (arm64_may_use_adrp((void*)(opline))) {
					dasm_put(Dst, 83394, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
							if (((uintptr_t)(opline)) & 0xfff) {
					dasm_put(Dst, 83397, (((uintptr_t)(opline)) & 0xfff));
							}
						} else if ((uintptr_t)(opline) & 0xffff) {
					dasm_put(Dst, 83400, ((uintptr_t)(opline) & 0xffff));
							if (((uintptr_t)(opline) >> 16) & 0xffff) {
					dasm_put(Dst, 83403, (((uintptr_t)(opline) >> 16) & 0xffff));
							}
							if (((uintptr_t)(opline) >> 32) & 0xffff) {
					dasm_put(Dst, 83406, (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
					dasm_put(Dst, 83409, (((uintptr_t)(opline) >> 16) & 0xffff));
							if (((uintptr_t)(opline) >> 32) & 0xffff) {
					dasm_put(Dst, 83412, (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 83415, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					dasm_put(Dst, 83418, Dt1(->opline));
							if (!GCC_GLOBAL_REGS) {
								zend_jit_reset_last_valid_opline();
							}
						}
									}
						if (arm64_may_use_b(zend_objects_store_del)) {
					dasm_put(Dst, 83421, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
						} else {
						if (((uintptr_t)(zend_objects_store_del)) == 0) {
					dasm_put(Dst, 83424, (ZREG_X15));
						} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
					dasm_put(Dst, 83427, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
						} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
					dasm_put(Dst, 83431, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
					dasm_put(Dst, 83435, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
							if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
					dasm_put(Dst, 83439, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
					dasm_put(Dst, 83444, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
							if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
					dasm_put(Dst, 83448, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
					dasm_put(Dst, 83452, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
					dasm_put(Dst, 83456, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
							if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
					dasm_put(Dst, 83460, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 83464, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
						}
					dasm_put(Dst, 83468, (ZREG_X15));
						}
									break;
								}
							}
							if (opline) {
						if (opline == last_valid_opline) {
							zend_jit_use_last_valid_opline();
						if (GCC_GLOBAL_REGS) {
					dasm_put(Dst, 83471, Dt1(->opline));
						}
						} else {
						if (((uintptr_t)(opline)) == 0) {
					dasm_put(Dst, 83474, (ZREG_X15));
						} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
					dasm_put(Dst, 83477, (ZREG_X15), ((uint64_t)(opline)));
						} else if (arm64_may_use_adr((void*)(opline))) {
					dasm_put(Dst, 83481, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
						} else if (arm64_may_use_adrp((void*)(opline))) {
					dasm_put(Dst, 83485, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
							if (((uintptr_t)(opline)) & 0xfff) {
					dasm_put(Dst, 83489, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
							}
						} else if ((uintptr_t)(opline) & 0xffff) {
					dasm_put(Dst, 83494, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
							if (((uintptr_t)(opline) >> 16) & 0xffff) {
					dasm_put(Dst, 83498, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
							}
							if (((uintptr_t)(opline) >> 32) & 0xffff) {
					dasm_put(Dst, 83502, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
					dasm_put(Dst, 83506, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
							if (((uintptr_t)(opline) >> 32) & 0xffff) {
					dasm_put(Dst, 83510, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 83514, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					dasm_put(Dst, 83518, (ZREG_X15), Dt1(->opline));
							if (!GCC_GLOBAL_REGS) {
								zend_jit_reset_last_valid_opline();
							}
						}
							}
						if (arm64_may_use_b(rc_dtor_func)) {
					dasm_put(Dst, 83522, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
						} else {
						if (((uintptr_t)(rc_dtor_func)) == 0) {
					dasm_put(Dst, 83525, (ZREG_X15));
						} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
					dasm_put(Dst, 83528, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
						} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
					dasm_put(Dst, 83532, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
						} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
					dasm_put(Dst, 83536, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
							if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
					dasm_put(Dst, 83540, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
							}
						} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
					dasm_put(Dst, 83545, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
							if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
					dasm_put(Dst, 83549, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
							}
							if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
					dasm_put(Dst, 83553, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
					dasm_put(Dst, 83557, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
							if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
					dasm_put(Dst, 83561, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 83565, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
						}
					dasm_put(Dst, 83569, (ZREG_X15));
						}
						} while(0);
								if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					dasm_put(Dst, 83572);
								}
					dasm_put(Dst, 83575);
							}
							if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
								if ((op1_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
									zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
						ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 83577, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 83581, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 83585, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 83589, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 83593, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 83598, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
						}
						if (IS_REFERENCE == 0) {
					dasm_put(Dst, 83603, (ZREG_X15));
						} else {
					dasm_put(Dst, 83607, (ZREG_X15), IS_REFERENCE);
						}
						ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
					dasm_put(Dst, 83613, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
						} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
					dasm_put(Dst, 83617, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
					dasm_put(Dst, 83621, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 83625, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 83629, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
						} else {
					dasm_put(Dst, 83634, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
						}
						if (IS_TYPE_COLLECTABLE == 0) {
					dasm_put(Dst, 83639, (ZREG_X15));
						} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
					dasm_put(Dst, 83642, (ZREG_X15), IS_TYPE_COLLECTABLE);
						} else {
						if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
					dasm_put(Dst, 83646, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
						} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
					dasm_put(Dst, 83650, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
							if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
					dasm_put(Dst, 83654, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 83658, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
						}
					dasm_put(Dst, 83662, (ZREG_X15), (ZREG_X16));
						}
					dasm_put(Dst, 83666);
						ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 83669, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
						} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
					dasm_put(Dst, 83673, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 83677, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 83681, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 83685, (Z_REG(ref_addr)), (ZREG_X16));
						} else {
					dasm_put(Dst, 83689, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
						}
					dasm_put(Dst, 83693);
								}
					dasm_put(Dst, 83695, (ZREG_X15));
						if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
					dasm_put(Dst, 83698, (ZREG_X15));
						} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
					dasm_put(Dst, 83701, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
						} else {
						if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
					dasm_put(Dst, 83705, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
						} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
					dasm_put(Dst, 83709, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
							if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
					dasm_put(Dst, 83713, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 83717, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
						}
					dasm_put(Dst, 83721, (ZREG_X15), (ZREG_X16));
						}
					dasm_put(Dst, 83725);
						if (arm64_may_use_b(gc_possible_root)) {
					dasm_put(Dst, 83728, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
						} else {
						if (((uintptr_t)(gc_possible_root)) == 0) {
					dasm_put(Dst, 83731, (ZREG_X15));
						} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
					dasm_put(Dst, 83734, (ZREG_X15), ((uint64_t)(gc_possible_root)));
						} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
					dasm_put(Dst, 83738, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
						} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
					dasm_put(Dst, 83742, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
							if (((uintptr_t)(gc_possible_root)) & 0xfff) {
					dasm_put(Dst, 83746, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
							}
						} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
					dasm_put(Dst, 83751, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
							if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
					dasm_put(Dst, 83755, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
							}
							if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
					dasm_put(Dst, 83759, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
					dasm_put(Dst, 83763, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
							if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
					dasm_put(Dst, 83767, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 83771, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
						}
					dasm_put(Dst, 83775, (ZREG_X15));
						}
							}
							if (1 && ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
					dasm_put(Dst, 83778);
							}
					dasm_put(Dst, 83781);
						}
						}
#line 10632 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else {
				if (smart_branch_opcode &&
				    (opline->op1_type & (IS_VAR|IS_TMP_VAR)) &&
				    (op1_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if ((op1_info) & (MAY_BE_ANY-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
						//|	// if (Z_REFCOUNTED_P(cv)) {
						//|	IF_ZVAL_REFCOUNTED op1_addr, >1, ZREG_TMP1, ZREG_TMP2
							ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
							if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
							if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
						dasm_put(Dst, 83783, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))));
							} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
						dasm_put(Dst, 83787, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
						dasm_put(Dst, 83791, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 83795, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 83799, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X16));
							} else {
						dasm_put(Dst, 83804, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)));
							}
							if (IS_TYPE_REFCOUNTED == 0) {
						dasm_put(Dst, 83809, (ZREG_X15));
							} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
						dasm_put(Dst, 83812, (ZREG_X15), IS_TYPE_REFCOUNTED);
							} else {
							if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
						dasm_put(Dst, 83816, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
							} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
						dasm_put(Dst, 83820, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
								if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
						dasm_put(Dst, 83824, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 83828, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
							}
						dasm_put(Dst, 83832, (ZREG_X15), (ZREG_X16));
							}
#line 10640 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						//|.cold_code
						dasm_put(Dst, 83836);
#line 10641 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						//|1:
						dasm_put(Dst, 83839);
#line 10642 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					//|	// if (!Z_DELREF_P(cv)) {
					//|	GET_ZVAL_PTR FCARG1x, op1_addr, TMP1
						ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 83841, ((uint32_t)(Z_OFFSET(op1_addr))));
						} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
					dasm_put(Dst, 83844, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 83847, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 83850, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 83853, (Z_REG(op1_addr)));
						} else {
					dasm_put(Dst, 83856, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
						}
#line 10645 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	GC_DELREF FCARG1x, TMP1w
					dasm_put(Dst, 83860);
#line 10646 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					if (RC_MAY_BE_1(op1_info)) {
						if (RC_MAY_BE_N(op1_info)) {
							//|	bne >3
							dasm_put(Dst, 83864);
#line 10649 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						}
						if (op1_info & MAY_BE_REF) {
							//|	ldrb REG0w, [REG0, #offsetof(zval,u1.v.type)]
							dasm_put(Dst, 83867, offsetof(zval,u1.v.type));
#line 10652 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						} else {
							//|	MEM_ACCESS_8_WITH_UOFFSET ldrb, REG0w, FP, (opline->op1.var + offsetof(zval,u1.v.type)), TMP1
								if (((uintptr_t)((opline->op1.var + offsetof(zval,u1.v.type)))) > LDRB_STRB_PIMM) {
								if (((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type)))) <= MOVZ_IMM) {
							dasm_put(Dst, 83870, ((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type)))));
								} else if (((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type))) & 0xffff)) {
							dasm_put(Dst, 83873, ((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type))) & 0xffff));
									if ((((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type))) >> 16) & 0xffff)) {
							dasm_put(Dst, 83876, (((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type))) >> 16) & 0xffff));
									}
								} else {
							dasm_put(Dst, 83879, (((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type))) >> 16) & 0xffff));
								}
							dasm_put(Dst, 83882);
								} else {
							dasm_put(Dst, 83884, ((opline->op1.var + offsetof(zval,u1.v.type))));
								}
#line 10654 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						}
						//|	str REG0w, T1 // save
						//|	// zval_dtor_func(r);
						//|	ZVAL_DTOR_FUNC op1_info, opline, TMP1
						dasm_put(Dst, 83887);
							do {
								if (!((op1_info) & MAY_BE_GUARD)
								 && has_concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
									zend_uchar type = concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
									if (type == IS_STRING && !ZEND_DEBUG) {
							if (arm64_may_use_b(_efree)) {
						dasm_put(Dst, 83889, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
							} else {
							if (((uintptr_t)(_efree)) == 0) {
						dasm_put(Dst, 83892);
							} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
						dasm_put(Dst, 83894, ((uint64_t)(_efree)));
							} else if (arm64_may_use_adr((void*)(_efree))) {
						dasm_put(Dst, 83897, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
							} else if (arm64_may_use_adrp((void*)(_efree))) {
						dasm_put(Dst, 83900, (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
								if (((uintptr_t)(_efree)) & 0xfff) {
						dasm_put(Dst, 83903, (((uintptr_t)(_efree)) & 0xfff));
								}
							} else if ((uintptr_t)(_efree) & 0xffff) {
						dasm_put(Dst, 83906, ((uintptr_t)(_efree) & 0xffff));
								if (((uintptr_t)(_efree) >> 16) & 0xffff) {
						dasm_put(Dst, 83909, (((uintptr_t)(_efree) >> 16) & 0xffff));
								}
								if (((uintptr_t)(_efree) >> 32) & 0xffff) {
						dasm_put(Dst, 83912, (((uintptr_t)(_efree) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
						dasm_put(Dst, 83915, (((uintptr_t)(_efree) >> 16) & 0xffff));
								if (((uintptr_t)(_efree) >> 32) & 0xffff) {
						dasm_put(Dst, 83918, (((uintptr_t)(_efree) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 83921, (((uintptr_t)(_efree) >> 32) & 0xffff));
							}
						dasm_put(Dst, 83924);
							}
										break;
									} else if (type == IS_ARRAY) {
										if ((op1_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
											if (opline && ((op1_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
							if (opline == last_valid_opline) {
								zend_jit_use_last_valid_opline();
							if (GCC_GLOBAL_REGS) {
						dasm_put(Dst, 83926, Dt1(->opline));
							}
							} else {
							if (((uintptr_t)(opline)) == 0) {
						dasm_put(Dst, 83929);
							} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
						dasm_put(Dst, 83931, ((uint64_t)(opline)));
							} else if (arm64_may_use_adr((void*)(opline))) {
						dasm_put(Dst, 83934, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
							} else if (arm64_may_use_adrp((void*)(opline))) {
						dasm_put(Dst, 83937, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
								if (((uintptr_t)(opline)) & 0xfff) {
						dasm_put(Dst, 83940, (((uintptr_t)(opline)) & 0xfff));
								}
							} else if ((uintptr_t)(opline) & 0xffff) {
						dasm_put(Dst, 83943, ((uintptr_t)(opline) & 0xffff));
								if (((uintptr_t)(opline) >> 16) & 0xffff) {
						dasm_put(Dst, 83946, (((uintptr_t)(opline) >> 16) & 0xffff));
								}
								if (((uintptr_t)(opline) >> 32) & 0xffff) {
						dasm_put(Dst, 83949, (((uintptr_t)(opline) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
						dasm_put(Dst, 83952, (((uintptr_t)(opline) >> 16) & 0xffff));
								if (((uintptr_t)(opline) >> 32) & 0xffff) {
						dasm_put(Dst, 83955, (((uintptr_t)(opline) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 83958, (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						dasm_put(Dst, 83961, Dt1(->opline));
								if (!GCC_GLOBAL_REGS) {
									zend_jit_reset_last_valid_opline();
								}
							}
											}
							if (arm64_may_use_b(zend_array_destroy)) {
						dasm_put(Dst, 83964, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
							} else {
							if (((uintptr_t)(zend_array_destroy)) == 0) {
						dasm_put(Dst, 83967);
							} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
						dasm_put(Dst, 83969, ((uint64_t)(zend_array_destroy)));
							} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
						dasm_put(Dst, 83972, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
							} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
						dasm_put(Dst, 83975, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
								if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
						dasm_put(Dst, 83978, (((uintptr_t)(zend_array_destroy)) & 0xfff));
								}
							} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
						dasm_put(Dst, 83981, ((uintptr_t)(zend_array_destroy) & 0xffff));
								if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
						dasm_put(Dst, 83984, (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
								}
								if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
						dasm_put(Dst, 83987, (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
						dasm_put(Dst, 83990, (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
								if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
						dasm_put(Dst, 83993, (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 83996, (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
							}
						dasm_put(Dst, 83999);
							}
										} else {
							if (arm64_may_use_b(zend_jit_array_free)) {
						dasm_put(Dst, 84001, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
							} else {
							if (((uintptr_t)(zend_jit_array_free)) == 0) {
						dasm_put(Dst, 84004);
							} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
						dasm_put(Dst, 84006, ((uint64_t)(zend_jit_array_free)));
							} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
						dasm_put(Dst, 84009, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
							} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
						dasm_put(Dst, 84012, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
								if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
						dasm_put(Dst, 84015, (((uintptr_t)(zend_jit_array_free)) & 0xfff));
								}
							} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
						dasm_put(Dst, 84018, ((uintptr_t)(zend_jit_array_free) & 0xffff));
								if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
						dasm_put(Dst, 84021, (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
								}
								if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
						dasm_put(Dst, 84024, (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
						dasm_put(Dst, 84027, (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
								if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
						dasm_put(Dst, 84030, (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 84033, (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
							}
						dasm_put(Dst, 84036);
							}
										}
										break;
									} else if (type == IS_OBJECT) {
										if (opline) {
							if (opline == last_valid_opline) {
								zend_jit_use_last_valid_opline();
							if (GCC_GLOBAL_REGS) {
						dasm_put(Dst, 84038, Dt1(->opline));
							}
							} else {
							if (((uintptr_t)(opline)) == 0) {
						dasm_put(Dst, 84041);
							} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
						dasm_put(Dst, 84043, ((uint64_t)(opline)));
							} else if (arm64_may_use_adr((void*)(opline))) {
						dasm_put(Dst, 84046, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
							} else if (arm64_may_use_adrp((void*)(opline))) {
						dasm_put(Dst, 84049, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
								if (((uintptr_t)(opline)) & 0xfff) {
						dasm_put(Dst, 84052, (((uintptr_t)(opline)) & 0xfff));
								}
							} else if ((uintptr_t)(opline) & 0xffff) {
						dasm_put(Dst, 84055, ((uintptr_t)(opline) & 0xffff));
								if (((uintptr_t)(opline) >> 16) & 0xffff) {
						dasm_put(Dst, 84058, (((uintptr_t)(opline) >> 16) & 0xffff));
								}
								if (((uintptr_t)(opline) >> 32) & 0xffff) {
						dasm_put(Dst, 84061, (((uintptr_t)(opline) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
						dasm_put(Dst, 84064, (((uintptr_t)(opline) >> 16) & 0xffff));
								if (((uintptr_t)(opline) >> 32) & 0xffff) {
						dasm_put(Dst, 84067, (((uintptr_t)(opline) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 84070, (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						dasm_put(Dst, 84073, Dt1(->opline));
								if (!GCC_GLOBAL_REGS) {
									zend_jit_reset_last_valid_opline();
								}
							}
										}
							if (arm64_may_use_b(zend_objects_store_del)) {
						dasm_put(Dst, 84076, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
							} else {
							if (((uintptr_t)(zend_objects_store_del)) == 0) {
						dasm_put(Dst, 84079);
							} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
						dasm_put(Dst, 84081, ((uint64_t)(zend_objects_store_del)));
							} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
						dasm_put(Dst, 84084, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
							} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
						dasm_put(Dst, 84087, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
								if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
						dasm_put(Dst, 84090, (((uintptr_t)(zend_objects_store_del)) & 0xfff));
								}
							} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
						dasm_put(Dst, 84093, ((uintptr_t)(zend_objects_store_del) & 0xffff));
								if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
						dasm_put(Dst, 84096, (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
								}
								if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
						dasm_put(Dst, 84099, (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
						dasm_put(Dst, 84102, (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
								if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
						dasm_put(Dst, 84105, (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 84108, (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
							}
						dasm_put(Dst, 84111);
							}
										break;
									}
								}
								if (opline) {
							if (opline == last_valid_opline) {
								zend_jit_use_last_valid_opline();
							if (GCC_GLOBAL_REGS) {
						dasm_put(Dst, 84113, Dt1(->opline));
							}
							} else {
							if (((uintptr_t)(opline)) == 0) {
						dasm_put(Dst, 84116);
							} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
						dasm_put(Dst, 84118, ((uint64_t)(opline)));
							} else if (arm64_may_use_adr((void*)(opline))) {
						dasm_put(Dst, 84121, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
							} else if (arm64_may_use_adrp((void*)(opline))) {
						dasm_put(Dst, 84124, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
								if (((uintptr_t)(opline)) & 0xfff) {
						dasm_put(Dst, 84127, (((uintptr_t)(opline)) & 0xfff));
								}
							} else if ((uintptr_t)(opline) & 0xffff) {
						dasm_put(Dst, 84130, ((uintptr_t)(opline) & 0xffff));
								if (((uintptr_t)(opline) >> 16) & 0xffff) {
						dasm_put(Dst, 84133, (((uintptr_t)(opline) >> 16) & 0xffff));
								}
								if (((uintptr_t)(opline) >> 32) & 0xffff) {
						dasm_put(Dst, 84136, (((uintptr_t)(opline) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
						dasm_put(Dst, 84139, (((uintptr_t)(opline) >> 16) & 0xffff));
								if (((uintptr_t)(opline) >> 32) & 0xffff) {
						dasm_put(Dst, 84142, (((uintptr_t)(opline) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 84145, (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						dasm_put(Dst, 84148, Dt1(->opline));
								if (!GCC_GLOBAL_REGS) {
									zend_jit_reset_last_valid_opline();
								}
							}
								}
							if (arm64_may_use_b(rc_dtor_func)) {
						dasm_put(Dst, 84151, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
							} else {
							if (((uintptr_t)(rc_dtor_func)) == 0) {
						dasm_put(Dst, 84154);
							} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
						dasm_put(Dst, 84156, ((uint64_t)(rc_dtor_func)));
							} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
						dasm_put(Dst, 84159, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
							} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
						dasm_put(Dst, 84162, (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
								if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
						dasm_put(Dst, 84165, (((uintptr_t)(rc_dtor_func)) & 0xfff));
								}
							} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
						dasm_put(Dst, 84168, ((uintptr_t)(rc_dtor_func) & 0xffff));
								if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
						dasm_put(Dst, 84171, (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
								}
								if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
						dasm_put(Dst, 84174, (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
						dasm_put(Dst, 84177, (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
								if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
						dasm_put(Dst, 84180, (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 84183, (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
							}
						dasm_put(Dst, 84186);
							}
							} while(0);
#line 10658 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						//|	ldr REG1w, T1 // restore
						//|	b >2
						dasm_put(Dst, 84188);
#line 10660 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					if ((op1_info) & (MAY_BE_ANY-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
						if (!RC_MAY_BE_1(op1_info)) {
							//|	b >3
							dasm_put(Dst, 84192);
#line 10664 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						}
						//|.code
						dasm_put(Dst, 84195);
#line 10666 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					//|3:
					dasm_put(Dst, 84196);
#line 10668 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					if (op1_info & MAY_BE_REF) {
						//|	ldrb REG1w, [REG0, #offsetof(zval,u1.v.type)]
						dasm_put(Dst, 84198, offsetof(zval,u1.v.type));
#line 10670 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	MEM_ACCESS_8_WITH_UOFFSET ldrb, REG1w, FP, (opline->op1.var + offsetof(zval,u1.v.type)), TMP1
							if (((uintptr_t)((opline->op1.var + offsetof(zval,u1.v.type)))) > LDRB_STRB_PIMM) {
							if (((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type)))) <= MOVZ_IMM) {
						dasm_put(Dst, 84201, ((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type)))));
							} else if (((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type))) & 0xffff)) {
						dasm_put(Dst, 84204, ((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type))) & 0xffff));
								if ((((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type))) >> 16) & 0xffff)) {
						dasm_put(Dst, 84207, (((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type))) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 84210, (((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type))) >> 16) & 0xffff));
							}
						dasm_put(Dst, 84213);
							} else {
						dasm_put(Dst, 84215, ((opline->op1.var + offsetof(zval,u1.v.type))));
							}
#line 10672 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					//|2:
					dasm_put(Dst, 84218);
#line 10674 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					// Note: 'type' is of uchar type and holds a positive value,
					// hence it's safe to directly encode it as the imm field of 'cmp' instruction.
					//|	cmp REG1w, #type
					dasm_put(Dst, 84220, type);
#line 10677 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					if (op1_info & MAY_BE_REF) {
						//|	ldrb TMP1w, [REG0, #offsetof(zval,u1.v.type)]
						//|	cmp TMP1w, #type
						dasm_put(Dst, 84223, offsetof(zval,u1.v.type), type);
#line 10681 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	MEM_ACCESS_8_WITH_UOFFSET ldrb, TMP1w, FP, (opline->op1.var + offsetof(zval,u1.v.type)), TMP1
							if (((uintptr_t)((opline->op1.var + offsetof(zval,u1.v.type)))) > LDRB_STRB_PIMM) {
							if (((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type)))) <= MOVZ_IMM) {
						dasm_put(Dst, 84228, ((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type)))));
							} else if (((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type))) & 0xffff)) {
						dasm_put(Dst, 84231, ((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type))) & 0xffff));
								if ((((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type))) >> 16) & 0xffff)) {
						dasm_put(Dst, 84234, (((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type))) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 84237, (((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type))) >> 16) & 0xffff));
							}
						dasm_put(Dst, 84240);
							} else {
						dasm_put(Dst, 84242, ((opline->op1.var + offsetof(zval,u1.v.type))));
							}
#line 10683 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						//|	cmp TMP1w, #type
						dasm_put(Dst, 84245, type);
#line 10684 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				}
				if (exit_addr) {
					if (invert) {
						if (smart_branch_opcode == ZEND_JMPNZ) {
							//|	bne &exit_addr
							dasm_put(Dst, 84248, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 10690 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						} else {
							//|	beq &exit_addr
							dasm_put(Dst, 84251, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 10692 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						}
					} else {
						if (smart_branch_opcode == ZEND_JMPNZ) {
							//|	beq &exit_addr
							dasm_put(Dst, 84254, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 10696 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						} else {
							//|	bne &exit_addr
							dasm_put(Dst, 84257, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 10698 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						}
					}
				} else if (smart_branch_opcode) {
					if (invert) {
						if (smart_branch_opcode == ZEND_JMPZ) {
							//|	beq =>target_label
							dasm_put(Dst, 84260, target_label);
#line 10704 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						} else if (smart_branch_opcode == ZEND_JMPNZ) {
							//|	bne =>target_label
							dasm_put(Dst, 84263, target_label);
#line 10706 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						} else if (smart_branch_opcode == ZEND_JMPZNZ) {
							//|	beq =>target_label
							//|	b =>target_label2
							dasm_put(Dst, 84266, target_label, target_label2);
#line 10709 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						} else {
							ZEND_UNREACHABLE();
						}
					} else {
						if (smart_branch_opcode == ZEND_JMPZ) {
							//|	bne =>target_label
							dasm_put(Dst, 84271, target_label);
#line 10715 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						} else if (smart_branch_opcode == ZEND_JMPNZ) {
							//|	beq =>target_label
							dasm_put(Dst, 84274, target_label);
#line 10717 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						} else if (smart_branch_opcode == ZEND_JMPZNZ) {
							//|	bne =>target_label
							//|	b =>target_label2
							dasm_put(Dst, 84277, target_label, target_label2);
#line 10720 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						} else {
							ZEND_UNREACHABLE();
						}
					}
				} else {
					zend_jit_addr res_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->result.var);

					if (invert) {
						//|	cset REG0w, ne
						dasm_put(Dst, 84282);
#line 10729 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	cset REG0w, eq
						dasm_put(Dst, 84284);
#line 10731 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					//|	add REG0w, REG0w, #2
					//|	SET_ZVAL_TYPE_INFO_FROM_REG res_addr, REG0w, TMP1
					dasm_put(Dst, 84286);
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 84288, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 84291, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 84294, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 84297, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 84300, (Z_REG(res_addr)));
						} else {
					dasm_put(Dst, 84303, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
						}
#line 10734 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	FREE_OP opline->op1_type, opline->op1, op1_info, 1, opline, ZREG_TMP1, ZREG_TMP2
						if (opline->op1_type & (IS_VAR|IS_TMP_VAR)) {
							zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op1.var);
						if ((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
							if ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
								if (1) {
						ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
					dasm_put(Dst, 84307, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
						} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
					dasm_put(Dst, 84311, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
					dasm_put(Dst, 84315, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 84319, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 84323, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
						} else {
					dasm_put(Dst, 84328, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
						}
						if (IS_TYPE_REFCOUNTED == 0) {
					dasm_put(Dst, 84333, (ZREG_X15));
						} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
					dasm_put(Dst, 84336, (ZREG_X15), IS_TYPE_REFCOUNTED);
						} else {
						if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
					dasm_put(Dst, 84340, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
						} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
					dasm_put(Dst, 84344, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
							if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
					dasm_put(Dst, 84348, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 84352, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
						}
					dasm_put(Dst, 84356, (ZREG_X15), (ZREG_X16));
						}
					dasm_put(Dst, 84360);
					dasm_put(Dst, 84363);
								} else {
						ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
					dasm_put(Dst, 84365, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
						} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
					dasm_put(Dst, 84369, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
					dasm_put(Dst, 84373, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 84377, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 84381, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
						} else {
					dasm_put(Dst, 84386, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
						}
						if (IS_TYPE_REFCOUNTED == 0) {
					dasm_put(Dst, 84391, (ZREG_X15));
						} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
					dasm_put(Dst, 84394, (ZREG_X15), IS_TYPE_REFCOUNTED);
						} else {
						if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
					dasm_put(Dst, 84398, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
						} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
					dasm_put(Dst, 84402, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
							if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
					dasm_put(Dst, 84406, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 84410, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
						}
					dasm_put(Dst, 84414, (ZREG_X15), (ZREG_X16));
						}
					dasm_put(Dst, 84418);
								}
							}
						ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 84421, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
						} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
					dasm_put(Dst, 84425, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 84429, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 84433, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 84437, (Z_REG(addr)), (ZREG_X16));
						} else {
					dasm_put(Dst, 84441, (Z_REG(addr)), (Z_OFFSET(addr)));
						}
					dasm_put(Dst, 84445, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
							if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op1_info)) {
								if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op1_info)) {
									if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					dasm_put(Dst, 84453);
									} else {
					dasm_put(Dst, 84456);
									}
								}
						do {
							if (!((op1_info) & MAY_BE_GUARD)
							 && has_concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
								zend_uchar type = concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
								if (type == IS_STRING && !ZEND_DEBUG) {
						if (arm64_may_use_b(_efree)) {
					dasm_put(Dst, 84459, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
						} else {
						if (((uintptr_t)(_efree)) == 0) {
					dasm_put(Dst, 84462, (ZREG_X15));
						} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
					dasm_put(Dst, 84465, (ZREG_X15), ((uint64_t)(_efree)));
						} else if (arm64_may_use_adr((void*)(_efree))) {
					dasm_put(Dst, 84469, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
						} else if (arm64_may_use_adrp((void*)(_efree))) {
					dasm_put(Dst, 84473, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
							if (((uintptr_t)(_efree)) & 0xfff) {
					dasm_put(Dst, 84477, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
							}
						} else if ((uintptr_t)(_efree) & 0xffff) {
					dasm_put(Dst, 84482, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
							if (((uintptr_t)(_efree) >> 16) & 0xffff) {
					dasm_put(Dst, 84486, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
							}
							if (((uintptr_t)(_efree) >> 32) & 0xffff) {
					dasm_put(Dst, 84490, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
					dasm_put(Dst, 84494, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
							if (((uintptr_t)(_efree) >> 32) & 0xffff) {
					dasm_put(Dst, 84498, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 84502, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
						}
					dasm_put(Dst, 84506, (ZREG_X15));
						}
									break;
								} else if (type == IS_ARRAY) {
									if ((op1_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
										if (opline && ((op1_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
						if (opline == last_valid_opline) {
							zend_jit_use_last_valid_opline();
						if (GCC_GLOBAL_REGS) {
					dasm_put(Dst, 84509, Dt1(->opline));
						}
						} else {
						if (((uintptr_t)(opline)) == 0) {
					dasm_put(Dst, 84512, (ZREG_X15));
						} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
					dasm_put(Dst, 84515, (ZREG_X15), ((uint64_t)(opline)));
						} else if (arm64_may_use_adr((void*)(opline))) {
					dasm_put(Dst, 84519, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
						} else if (arm64_may_use_adrp((void*)(opline))) {
					dasm_put(Dst, 84523, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
							if (((uintptr_t)(opline)) & 0xfff) {
					dasm_put(Dst, 84527, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
							}
						} else if ((uintptr_t)(opline) & 0xffff) {
					dasm_put(Dst, 84532, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
							if (((uintptr_t)(opline) >> 16) & 0xffff) {
					dasm_put(Dst, 84536, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
							}
							if (((uintptr_t)(opline) >> 32) & 0xffff) {
					dasm_put(Dst, 84540, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
					dasm_put(Dst, 84544, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
							if (((uintptr_t)(opline) >> 32) & 0xffff) {
					dasm_put(Dst, 84548, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 84552, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					dasm_put(Dst, 84556, (ZREG_X15), Dt1(->opline));
							if (!GCC_GLOBAL_REGS) {
								zend_jit_reset_last_valid_opline();
							}
						}
										}
						if (arm64_may_use_b(zend_array_destroy)) {
					dasm_put(Dst, 84560, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
						} else {
						if (((uintptr_t)(zend_array_destroy)) == 0) {
					dasm_put(Dst, 84563, (ZREG_X15));
						} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
					dasm_put(Dst, 84566, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
						} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
					dasm_put(Dst, 84570, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
					dasm_put(Dst, 84574, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
							if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
					dasm_put(Dst, 84578, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
					dasm_put(Dst, 84583, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
							if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
					dasm_put(Dst, 84587, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
					dasm_put(Dst, 84591, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
					dasm_put(Dst, 84595, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
							if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
					dasm_put(Dst, 84599, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 84603, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
						}
					dasm_put(Dst, 84607, (ZREG_X15));
						}
									} else {
						if (arm64_may_use_b(zend_jit_array_free)) {
					dasm_put(Dst, 84610, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
						} else {
						if (((uintptr_t)(zend_jit_array_free)) == 0) {
					dasm_put(Dst, 84613, (ZREG_X15));
						} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
					dasm_put(Dst, 84616, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
						} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
					dasm_put(Dst, 84620, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
					dasm_put(Dst, 84624, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
							if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
					dasm_put(Dst, 84628, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
					dasm_put(Dst, 84633, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
							if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
					dasm_put(Dst, 84637, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
					dasm_put(Dst, 84641, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
					dasm_put(Dst, 84645, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
							if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
					dasm_put(Dst, 84649, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 84653, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
						}
					dasm_put(Dst, 84657, (ZREG_X15));
						}
									}
									break;
								} else if (type == IS_OBJECT) {
									if (opline) {
						if (opline == last_valid_opline) {
							zend_jit_use_last_valid_opline();
						if (GCC_GLOBAL_REGS) {
					dasm_put(Dst, 84660, Dt1(->opline));
						}
						} else {
						if (((uintptr_t)(opline)) == 0) {
					dasm_put(Dst, 84663);
						} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
					dasm_put(Dst, 84665, ((uint64_t)(opline)));
						} else if (arm64_may_use_adr((void*)(opline))) {
					dasm_put(Dst, 84668, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
						} else if (arm64_may_use_adrp((void*)(opline))) {
					dasm_put(Dst, 84671, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
							if (((uintptr_t)(opline)) & 0xfff) {
					dasm_put(Dst, 84674, (((uintptr_t)(opline)) & 0xfff));
							}
						} else if ((uintptr_t)(opline) & 0xffff) {
					dasm_put(Dst, 84677, ((uintptr_t)(opline) & 0xffff));
							if (((uintptr_t)(opline) >> 16) & 0xffff) {
					dasm_put(Dst, 84680, (((uintptr_t)(opline) >> 16) & 0xffff));
							}
							if (((uintptr_t)(opline) >> 32) & 0xffff) {
					dasm_put(Dst, 84683, (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
					dasm_put(Dst, 84686, (((uintptr_t)(opline) >> 16) & 0xffff));
							if (((uintptr_t)(opline) >> 32) & 0xffff) {
					dasm_put(Dst, 84689, (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 84692, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					dasm_put(Dst, 84695, Dt1(->opline));
							if (!GCC_GLOBAL_REGS) {
								zend_jit_reset_last_valid_opline();
							}
						}
									}
						if (arm64_may_use_b(zend_objects_store_del)) {
					dasm_put(Dst, 84698, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
						} else {
						if (((uintptr_t)(zend_objects_store_del)) == 0) {
					dasm_put(Dst, 84701, (ZREG_X15));
						} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
					dasm_put(Dst, 84704, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
						} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
					dasm_put(Dst, 84708, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
					dasm_put(Dst, 84712, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
							if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
					dasm_put(Dst, 84716, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
					dasm_put(Dst, 84721, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
							if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
					dasm_put(Dst, 84725, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
					dasm_put(Dst, 84729, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
					dasm_put(Dst, 84733, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
							if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
					dasm_put(Dst, 84737, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 84741, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
						}
					dasm_put(Dst, 84745, (ZREG_X15));
						}
									break;
								}
							}
							if (opline) {
						if (opline == last_valid_opline) {
							zend_jit_use_last_valid_opline();
						if (GCC_GLOBAL_REGS) {
					dasm_put(Dst, 84748, Dt1(->opline));
						}
						} else {
						if (((uintptr_t)(opline)) == 0) {
					dasm_put(Dst, 84751, (ZREG_X15));
						} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
					dasm_put(Dst, 84754, (ZREG_X15), ((uint64_t)(opline)));
						} else if (arm64_may_use_adr((void*)(opline))) {
					dasm_put(Dst, 84758, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
						} else if (arm64_may_use_adrp((void*)(opline))) {
					dasm_put(Dst, 84762, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
							if (((uintptr_t)(opline)) & 0xfff) {
					dasm_put(Dst, 84766, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
							}
						} else if ((uintptr_t)(opline) & 0xffff) {
					dasm_put(Dst, 84771, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
							if (((uintptr_t)(opline) >> 16) & 0xffff) {
					dasm_put(Dst, 84775, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
							}
							if (((uintptr_t)(opline) >> 32) & 0xffff) {
					dasm_put(Dst, 84779, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
					dasm_put(Dst, 84783, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
							if (((uintptr_t)(opline) >> 32) & 0xffff) {
					dasm_put(Dst, 84787, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 84791, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					dasm_put(Dst, 84795, (ZREG_X15), Dt1(->opline));
							if (!GCC_GLOBAL_REGS) {
								zend_jit_reset_last_valid_opline();
							}
						}
							}
						if (arm64_may_use_b(rc_dtor_func)) {
					dasm_put(Dst, 84799, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
						} else {
						if (((uintptr_t)(rc_dtor_func)) == 0) {
					dasm_put(Dst, 84802, (ZREG_X15));
						} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
					dasm_put(Dst, 84805, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
						} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
					dasm_put(Dst, 84809, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
						} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
					dasm_put(Dst, 84813, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
							if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
					dasm_put(Dst, 84817, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
							}
						} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
					dasm_put(Dst, 84822, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
							if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
					dasm_put(Dst, 84826, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
							}
							if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
					dasm_put(Dst, 84830, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
					dasm_put(Dst, 84834, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
							if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
					dasm_put(Dst, 84838, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 84842, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
						}
					dasm_put(Dst, 84846, (ZREG_X15));
						}
						} while(0);
								if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					dasm_put(Dst, 84849);
								}
					dasm_put(Dst, 84852);
							}
							if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
								if ((op1_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
									zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
						ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 84854, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 84858, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 84862, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 84866, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 84870, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 84875, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
						}
						if (IS_REFERENCE == 0) {
					dasm_put(Dst, 84880, (ZREG_X15));
						} else {
					dasm_put(Dst, 84884, (ZREG_X15), IS_REFERENCE);
						}
						ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
					dasm_put(Dst, 84890, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
						} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
					dasm_put(Dst, 84894, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
					dasm_put(Dst, 84898, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 84902, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 84906, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
						} else {
					dasm_put(Dst, 84911, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
						}
						if (IS_TYPE_COLLECTABLE == 0) {
					dasm_put(Dst, 84916, (ZREG_X15));
						} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
					dasm_put(Dst, 84919, (ZREG_X15), IS_TYPE_COLLECTABLE);
						} else {
						if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
					dasm_put(Dst, 84923, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
						} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
					dasm_put(Dst, 84927, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
							if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
					dasm_put(Dst, 84931, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 84935, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
						}
					dasm_put(Dst, 84939, (ZREG_X15), (ZREG_X16));
						}
					dasm_put(Dst, 84943);
						ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 84946, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
						} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
					dasm_put(Dst, 84950, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 84954, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 84958, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 84962, (Z_REG(ref_addr)), (ZREG_X16));
						} else {
					dasm_put(Dst, 84966, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
						}
					dasm_put(Dst, 84970);
								}
					dasm_put(Dst, 84972, (ZREG_X15));
						if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
					dasm_put(Dst, 84975, (ZREG_X15));
						} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
					dasm_put(Dst, 84978, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
						} else {
						if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
					dasm_put(Dst, 84982, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
						} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
					dasm_put(Dst, 84986, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
							if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
					dasm_put(Dst, 84990, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 84994, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
						}
					dasm_put(Dst, 84998, (ZREG_X15), (ZREG_X16));
						}
					dasm_put(Dst, 85002);
						if (arm64_may_use_b(gc_possible_root)) {
					dasm_put(Dst, 85005, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
						} else {
						if (((uintptr_t)(gc_possible_root)) == 0) {
					dasm_put(Dst, 85008, (ZREG_X15));
						} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
					dasm_put(Dst, 85011, (ZREG_X15), ((uint64_t)(gc_possible_root)));
						} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
					dasm_put(Dst, 85015, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
						} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
					dasm_put(Dst, 85019, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
							if (((uintptr_t)(gc_possible_root)) & 0xfff) {
					dasm_put(Dst, 85023, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
							}
						} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
					dasm_put(Dst, 85028, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
							if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
					dasm_put(Dst, 85032, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
							}
							if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
					dasm_put(Dst, 85036, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
					dasm_put(Dst, 85040, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
							if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
					dasm_put(Dst, 85044, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 85048, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
						}
					dasm_put(Dst, 85052, (ZREG_X15));
						}
							}
							if (1 && ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
					dasm_put(Dst, 85055);
							}
					dasm_put(Dst, 85058);
						}
						}
#line 10735 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			}
	    }
	}

	//|7:
	dasm_put(Dst, 85060);
#line 10741 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	return 1;
}

static int zend_jit_leave_frame(dasm_State **Dst)
{
	//|	// EG(current_execute_data) = EX(prev_execute_data);
	//|	ldr REG0, EX->prev_execute_data
	//|	MEM_STORE_64_ZTS str, REG0, executor_globals, current_execute_data, REG2
	dasm_put(Dst, 85062, Dt1(->prev_execute_data));
		if (((uintptr_t)(&executor_globals.current_execute_data)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.current_execute_data))) {
	dasm_put(Dst, 85065, (unsigned int)((ptrdiff_t)(&executor_globals.current_execute_data)), (unsigned int)(((ptrdiff_t)(&executor_globals.current_execute_data))>>32));
		} else if (((uintptr_t)(&executor_globals.current_execute_data)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.current_execute_data))) {
	dasm_put(Dst, 85069, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data)))))>>32), (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff));
		} else {
		if (((uintptr_t)(&executor_globals.current_execute_data)) == 0) {
	dasm_put(Dst, 85074);
		} else if (((uintptr_t)(&executor_globals.current_execute_data)) <= MOVZ_IMM) {
	dasm_put(Dst, 85076, ((uint64_t)(&executor_globals.current_execute_data)));
		} else if (arm64_may_use_adr((void*)(&executor_globals.current_execute_data))) {
	dasm_put(Dst, 85079, (unsigned int)((ptrdiff_t)(&executor_globals.current_execute_data)), (unsigned int)(((ptrdiff_t)(&executor_globals.current_execute_data))>>32));
		} else if (arm64_may_use_adrp((void*)(&executor_globals.current_execute_data))) {
	dasm_put(Dst, 85082, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data)))))>>32));
			if (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff) {
	dasm_put(Dst, 85085, (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff));
			}
		} else if ((uintptr_t)(&executor_globals.current_execute_data) & 0xffff) {
	dasm_put(Dst, 85088, ((uintptr_t)(&executor_globals.current_execute_data) & 0xffff));
			if (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff) {
	dasm_put(Dst, 85091, (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff));
			}
			if (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff) {
	dasm_put(Dst, 85094, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff) {
	dasm_put(Dst, 85097, (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff));
			if (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff) {
	dasm_put(Dst, 85100, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 85103, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
		}
	dasm_put(Dst, 85106);
		}
#line 10750 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	return 1;
}

static int zend_jit_free_cvs(dasm_State **Dst)
{
	//|	// EG(current_execute_data) = EX(prev_execute_data);
	//|	ldr FCARG1x, EX->prev_execute_data
	//|	MEM_STORE_64_ZTS str, FCARG1x, executor_globals, current_execute_data, REG0
	dasm_put(Dst, 85108, Dt1(->prev_execute_data));
		if (((uintptr_t)(&executor_globals.current_execute_data)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.current_execute_data))) {
	dasm_put(Dst, 85111, (unsigned int)((ptrdiff_t)(&executor_globals.current_execute_data)), (unsigned int)(((ptrdiff_t)(&executor_globals.current_execute_data))>>32));
		} else if (((uintptr_t)(&executor_globals.current_execute_data)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.current_execute_data))) {
	dasm_put(Dst, 85115, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data)))))>>32), (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff));
		} else {
		if (((uintptr_t)(&executor_globals.current_execute_data)) == 0) {
	dasm_put(Dst, 85120);
		} else if (((uintptr_t)(&executor_globals.current_execute_data)) <= MOVZ_IMM) {
	dasm_put(Dst, 85122, ((uint64_t)(&executor_globals.current_execute_data)));
		} else if (arm64_may_use_adr((void*)(&executor_globals.current_execute_data))) {
	dasm_put(Dst, 85125, (unsigned int)((ptrdiff_t)(&executor_globals.current_execute_data)), (unsigned int)(((ptrdiff_t)(&executor_globals.current_execute_data))>>32));
		} else if (arm64_may_use_adrp((void*)(&executor_globals.current_execute_data))) {
	dasm_put(Dst, 85128, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data)))))>>32));
			if (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff) {
	dasm_put(Dst, 85131, (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff));
			}
		} else if ((uintptr_t)(&executor_globals.current_execute_data) & 0xffff) {
	dasm_put(Dst, 85134, ((uintptr_t)(&executor_globals.current_execute_data) & 0xffff));
			if (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff) {
	dasm_put(Dst, 85137, (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff));
			}
			if (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff) {
	dasm_put(Dst, 85140, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff) {
	dasm_put(Dst, 85143, (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff));
			if (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff) {
	dasm_put(Dst, 85146, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 85149, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
		}
	dasm_put(Dst, 85152);
		}
#line 10758 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	// zend_free_compiled_variables(execute_data);
	//|	mov FCARG1x, FP
	//|	EXT_CALL zend_free_compiled_variables, REG0
	dasm_put(Dst, 85154);
		if (arm64_may_use_b(zend_free_compiled_variables)) {
	dasm_put(Dst, 85156, (unsigned int)((ptrdiff_t)(zend_free_compiled_variables)), (unsigned int)(((ptrdiff_t)(zend_free_compiled_variables))>>32));
		} else {
		if (((uintptr_t)(zend_free_compiled_variables)) == 0) {
	dasm_put(Dst, 85159);
		} else if (((uintptr_t)(zend_free_compiled_variables)) <= MOVZ_IMM) {
	dasm_put(Dst, 85161, ((uint64_t)(zend_free_compiled_variables)));
		} else if (arm64_may_use_adr((void*)(zend_free_compiled_variables))) {
	dasm_put(Dst, 85164, (unsigned int)((ptrdiff_t)(zend_free_compiled_variables)), (unsigned int)(((ptrdiff_t)(zend_free_compiled_variables))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_free_compiled_variables))) {
	dasm_put(Dst, 85167, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_free_compiled_variables))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_free_compiled_variables)))))>>32));
			if (((uintptr_t)(zend_free_compiled_variables)) & 0xfff) {
	dasm_put(Dst, 85170, (((uintptr_t)(zend_free_compiled_variables)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_free_compiled_variables) & 0xffff) {
	dasm_put(Dst, 85173, ((uintptr_t)(zend_free_compiled_variables) & 0xffff));
			if (((uintptr_t)(zend_free_compiled_variables) >> 16) & 0xffff) {
	dasm_put(Dst, 85176, (((uintptr_t)(zend_free_compiled_variables) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_free_compiled_variables) >> 32) & 0xffff) {
	dasm_put(Dst, 85179, (((uintptr_t)(zend_free_compiled_variables) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_free_compiled_variables) >> 16) & 0xffff) {
	dasm_put(Dst, 85182, (((uintptr_t)(zend_free_compiled_variables) >> 16) & 0xffff));
			if (((uintptr_t)(zend_free_compiled_variables) >> 32) & 0xffff) {
	dasm_put(Dst, 85185, (((uintptr_t)(zend_free_compiled_variables) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 85188, (((uintptr_t)(zend_free_compiled_variables) >> 32) & 0xffff));
		}
	dasm_put(Dst, 85191);
		}
#line 10761 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	return 1;
}

static int zend_jit_free_cv(dasm_State **Dst, uint32_t info, uint32_t var)
{
	if (info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF)) {
		uint32_t offset = EX_NUM_TO_VAR(var);
		zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, offset);
		//|	ZVAL_PTR_DTOR addr, info, 1, 1, NULL, ZREG_TMP1, ZREG_TMP2
			if ((info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
				if ((info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if (1) {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 85193, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 85197, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 85201, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 85205, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 85209, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 85214, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 85219, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 85222, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 85226, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 85230, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 85234, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 85238, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 85242, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 85246);
		dasm_put(Dst, 85249);
					} else {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 85251, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 85255, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 85259, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 85263, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 85267, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 85272, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 85277, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 85280, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 85284, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 85288, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 85292, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 85296, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 85300, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 85304);
					}
				}
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 85307, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
			} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
		dasm_put(Dst, 85311, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 85315, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 85319, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 85323, (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 85327, (Z_REG(addr)), (Z_OFFSET(addr)));
			}
		dasm_put(Dst, 85331, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
				if (((info) & MAY_BE_GUARD) || RC_MAY_BE_1(info)) {
					if (((info) & MAY_BE_GUARD) || RC_MAY_BE_N(info)) {
						if (1 && (((info) & MAY_BE_GUARD) || (RC_MAY_BE_N(info) && ((info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 85339);
						} else {
		dasm_put(Dst, 85342);
						}
					}
			do {
				if (!((info) & MAY_BE_GUARD)
				 && has_concrete_type((info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					zend_uchar type = concrete_type((info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
					if (type == IS_STRING && !ZEND_DEBUG) {
			if (arm64_may_use_b(_efree)) {
		dasm_put(Dst, 85345, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else {
			if (((uintptr_t)(_efree)) == 0) {
		dasm_put(Dst, 85348, (ZREG_X15));
			} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
		dasm_put(Dst, 85351, (ZREG_X15), ((uint64_t)(_efree)));
			} else if (arm64_may_use_adr((void*)(_efree))) {
		dasm_put(Dst, 85355, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else if (arm64_may_use_adrp((void*)(_efree))) {
		dasm_put(Dst, 85359, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
				if (((uintptr_t)(_efree)) & 0xfff) {
		dasm_put(Dst, 85363, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
				}
			} else if ((uintptr_t)(_efree) & 0xffff) {
		dasm_put(Dst, 85368, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
				if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 85372, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 85376, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 85380, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 85384, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 85388, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		dasm_put(Dst, 85392, (ZREG_X15));
			}
						break;
					} else if (type == IS_ARRAY) {
						if ((info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
							if (NULL && ((info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
			if (NULL == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 85395, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(NULL)) == 0) {
		dasm_put(Dst, 85398, (ZREG_X15));
			} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
		dasm_put(Dst, 85401, (ZREG_X15), ((uint64_t)(NULL)));
			} else if (arm64_may_use_adr((void*)(NULL))) {
		dasm_put(Dst, 85405, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
			} else if (arm64_may_use_adrp((void*)(NULL))) {
		dasm_put(Dst, 85409, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
				if (((uintptr_t)(NULL)) & 0xfff) {
		dasm_put(Dst, 85413, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
				}
			} else if ((uintptr_t)(NULL) & 0xffff) {
		dasm_put(Dst, 85418, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
				if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 85422, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				}
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 85426, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 85430, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 85434, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 85438, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		dasm_put(Dst, 85442, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
							}
			if (arm64_may_use_b(zend_array_destroy)) {
		dasm_put(Dst, 85446, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else {
			if (((uintptr_t)(zend_array_destroy)) == 0) {
		dasm_put(Dst, 85449, (ZREG_X15));
			} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
		dasm_put(Dst, 85452, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
			} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
		dasm_put(Dst, 85456, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
		dasm_put(Dst, 85460, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
				if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
		dasm_put(Dst, 85464, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
		dasm_put(Dst, 85469, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 85473, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 85477, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 85481, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 85485, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 85489, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		dasm_put(Dst, 85493, (ZREG_X15));
			}
						} else {
			if (arm64_may_use_b(zend_jit_array_free)) {
		dasm_put(Dst, 85496, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else {
			if (((uintptr_t)(zend_jit_array_free)) == 0) {
		dasm_put(Dst, 85499, (ZREG_X15));
			} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
		dasm_put(Dst, 85502, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
			} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 85506, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 85510, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
				if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
		dasm_put(Dst, 85514, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
		dasm_put(Dst, 85519, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 85523, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 85527, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 85531, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 85535, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 85539, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		dasm_put(Dst, 85543, (ZREG_X15));
			}
						}
						break;
					} else if (type == IS_OBJECT) {
						if (NULL) {
			if (NULL == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 85546, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(NULL)) == 0) {
		dasm_put(Dst, 85549);
			} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
		dasm_put(Dst, 85551, ((uint64_t)(NULL)));
			} else if (arm64_may_use_adr((void*)(NULL))) {
		dasm_put(Dst, 85554, (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
			} else if (arm64_may_use_adrp((void*)(NULL))) {
		dasm_put(Dst, 85557, (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
				if (((uintptr_t)(NULL)) & 0xfff) {
		dasm_put(Dst, 85560, (((uintptr_t)(NULL)) & 0xfff));
				}
			} else if ((uintptr_t)(NULL) & 0xffff) {
		dasm_put(Dst, 85563, ((uintptr_t)(NULL) & 0xffff));
				if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 85566, (((uintptr_t)(NULL) >> 16) & 0xffff));
				}
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 85569, (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 85572, (((uintptr_t)(NULL) >> 16) & 0xffff));
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 85575, (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 85578, (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		dasm_put(Dst, 85581, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
						}
			if (arm64_may_use_b(zend_objects_store_del)) {
		dasm_put(Dst, 85584, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else {
			if (((uintptr_t)(zend_objects_store_del)) == 0) {
		dasm_put(Dst, 85587, (ZREG_X15));
			} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
		dasm_put(Dst, 85590, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
			} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 85594, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 85598, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
				if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
		dasm_put(Dst, 85602, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
		dasm_put(Dst, 85607, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 85611, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 85615, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 85619, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 85623, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 85627, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		dasm_put(Dst, 85631, (ZREG_X15));
			}
						break;
					}
				}
				if (NULL) {
			if (NULL == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 85634, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(NULL)) == 0) {
		dasm_put(Dst, 85637, (ZREG_X15));
			} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
		dasm_put(Dst, 85640, (ZREG_X15), ((uint64_t)(NULL)));
			} else if (arm64_may_use_adr((void*)(NULL))) {
		dasm_put(Dst, 85644, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
			} else if (arm64_may_use_adrp((void*)(NULL))) {
		dasm_put(Dst, 85648, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
				if (((uintptr_t)(NULL)) & 0xfff) {
		dasm_put(Dst, 85652, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
				}
			} else if ((uintptr_t)(NULL) & 0xffff) {
		dasm_put(Dst, 85657, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
				if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 85661, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				}
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 85665, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 85669, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 85673, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 85677, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		dasm_put(Dst, 85681, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
				}
			if (arm64_may_use_b(rc_dtor_func)) {
		dasm_put(Dst, 85685, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else {
			if (((uintptr_t)(rc_dtor_func)) == 0) {
		dasm_put(Dst, 85688, (ZREG_X15));
			} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
		dasm_put(Dst, 85691, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
			} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
		dasm_put(Dst, 85695, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
		dasm_put(Dst, 85699, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
				if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
		dasm_put(Dst, 85703, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
				}
			} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
		dasm_put(Dst, 85708, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 85712, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				}
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 85716, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 85720, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 85724, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 85728, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		dasm_put(Dst, 85732, (ZREG_X15));
			}
			} while(0);
					if (1 && (((info) & MAY_BE_GUARD) || (RC_MAY_BE_N(info) && ((info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 85735);
					}
		dasm_put(Dst, 85738);
				}
				if (1 && (((info) & MAY_BE_GUARD) || (RC_MAY_BE_N(info) && ((info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					if ((info) & (MAY_BE_REF|MAY_BE_GUARD)) {
						zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
		dasm_put(Dst, 85740, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
		dasm_put(Dst, 85744, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
		dasm_put(Dst, 85748, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 85752, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 85756, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 85761, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
			}
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 85766, (ZREG_X15));
			} else {
		dasm_put(Dst, 85770, (ZREG_X15), IS_REFERENCE);
			}
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 85776, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 85780, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 85784, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 85788, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 85792, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 85797, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_COLLECTABLE == 0) {
		dasm_put(Dst, 85802, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
		dasm_put(Dst, 85805, (ZREG_X15), IS_TYPE_COLLECTABLE);
			} else {
			if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
		dasm_put(Dst, 85809, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
			} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
		dasm_put(Dst, 85813, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
				if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
		dasm_put(Dst, 85817, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 85821, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		dasm_put(Dst, 85825, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 85829);
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 85832, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
		dasm_put(Dst, 85836, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 85840, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 85844, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 85848, (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 85852, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
			}
		dasm_put(Dst, 85856);
					}
		dasm_put(Dst, 85858, (ZREG_X15));
			if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
		dasm_put(Dst, 85861, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
		dasm_put(Dst, 85864, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
			} else {
			if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
		dasm_put(Dst, 85868, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
			} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
		dasm_put(Dst, 85872, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
				if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
		dasm_put(Dst, 85876, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 85880, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 85884, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 85888);
			if (arm64_may_use_b(gc_possible_root)) {
		dasm_put(Dst, 85891, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else {
			if (((uintptr_t)(gc_possible_root)) == 0) {
		dasm_put(Dst, 85894, (ZREG_X15));
			} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
		dasm_put(Dst, 85897, (ZREG_X15), ((uint64_t)(gc_possible_root)));
			} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
		dasm_put(Dst, 85901, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
		dasm_put(Dst, 85905, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
				if (((uintptr_t)(gc_possible_root)) & 0xfff) {
		dasm_put(Dst, 85909, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
				}
			} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
		dasm_put(Dst, 85914, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 85918, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				}
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 85922, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 85926, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 85930, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 85934, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		dasm_put(Dst, 85938, (ZREG_X15));
			}
				}
				if (1 && ((info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
		dasm_put(Dst, 85941);
				}
		dasm_put(Dst, 85944);
			}
#line 10770 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	return 1;
}

static int zend_jit_free_op(dasm_State **Dst, const zend_op *opline, uint32_t info, uint32_t var_offset)
{
	if (info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF)) {
		zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, var_offset);
		//|	ZVAL_PTR_DTOR addr, info, 0, 1, opline, ZREG_TMP1, ZREG_TMP2
			if ((info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
				if ((info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if (1) {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 85946, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 85950, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 85954, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 85958, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 85962, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 85967, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 85972, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 85975, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 85979, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 85983, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 85987, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 85991, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 85995, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 85999);
		dasm_put(Dst, 86002);
					} else {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 86004, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 86008, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 86012, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 86016, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 86020, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 86025, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 86030, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 86033, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 86037, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 86041, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 86045, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 86049, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 86053, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 86057);
					}
				}
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 86060, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
			} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
		dasm_put(Dst, 86064, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 86068, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 86072, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 86076, (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 86080, (Z_REG(addr)), (Z_OFFSET(addr)));
			}
		dasm_put(Dst, 86084, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
				if (((info) & MAY_BE_GUARD) || RC_MAY_BE_1(info)) {
					if (((info) & MAY_BE_GUARD) || RC_MAY_BE_N(info)) {
						if (0 && (((info) & MAY_BE_GUARD) || (RC_MAY_BE_N(info) && ((info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 86092);
						} else {
		dasm_put(Dst, 86095);
						}
					}
			do {
				if (!((info) & MAY_BE_GUARD)
				 && has_concrete_type((info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					zend_uchar type = concrete_type((info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
					if (type == IS_STRING && !ZEND_DEBUG) {
			if (arm64_may_use_b(_efree)) {
		dasm_put(Dst, 86098, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else {
			if (((uintptr_t)(_efree)) == 0) {
		dasm_put(Dst, 86101, (ZREG_X15));
			} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
		dasm_put(Dst, 86104, (ZREG_X15), ((uint64_t)(_efree)));
			} else if (arm64_may_use_adr((void*)(_efree))) {
		dasm_put(Dst, 86108, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else if (arm64_may_use_adrp((void*)(_efree))) {
		dasm_put(Dst, 86112, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
				if (((uintptr_t)(_efree)) & 0xfff) {
		dasm_put(Dst, 86116, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
				}
			} else if ((uintptr_t)(_efree) & 0xffff) {
		dasm_put(Dst, 86121, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
				if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 86125, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 86129, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 86133, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 86137, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 86141, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		dasm_put(Dst, 86145, (ZREG_X15));
			}
						break;
					} else if (type == IS_ARRAY) {
						if ((info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
							if (opline && ((info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 86148, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 86151, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 86154, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 86158, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 86162, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 86166, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 86171, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 86175, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 86179, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 86183, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 86187, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 86191, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 86195, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
							}
			if (arm64_may_use_b(zend_array_destroy)) {
		dasm_put(Dst, 86199, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else {
			if (((uintptr_t)(zend_array_destroy)) == 0) {
		dasm_put(Dst, 86202, (ZREG_X15));
			} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
		dasm_put(Dst, 86205, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
			} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
		dasm_put(Dst, 86209, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
		dasm_put(Dst, 86213, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
				if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
		dasm_put(Dst, 86217, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
		dasm_put(Dst, 86222, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 86226, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 86230, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 86234, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 86238, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 86242, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		dasm_put(Dst, 86246, (ZREG_X15));
			}
						} else {
			if (arm64_may_use_b(zend_jit_array_free)) {
		dasm_put(Dst, 86249, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else {
			if (((uintptr_t)(zend_jit_array_free)) == 0) {
		dasm_put(Dst, 86252, (ZREG_X15));
			} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
		dasm_put(Dst, 86255, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
			} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 86259, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 86263, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
				if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
		dasm_put(Dst, 86267, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
		dasm_put(Dst, 86272, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 86276, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 86280, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 86284, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 86288, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 86292, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		dasm_put(Dst, 86296, (ZREG_X15));
			}
						}
						break;
					} else if (type == IS_OBJECT) {
						if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 86299, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 86302);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 86304, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 86307, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 86310, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 86313, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 86316, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 86319, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 86322, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 86325, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 86328, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 86331, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 86334, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
						}
			if (arm64_may_use_b(zend_objects_store_del)) {
		dasm_put(Dst, 86337, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else {
			if (((uintptr_t)(zend_objects_store_del)) == 0) {
		dasm_put(Dst, 86340, (ZREG_X15));
			} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
		dasm_put(Dst, 86343, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
			} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 86347, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 86351, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
				if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
		dasm_put(Dst, 86355, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
		dasm_put(Dst, 86360, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 86364, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 86368, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 86372, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 86376, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 86380, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		dasm_put(Dst, 86384, (ZREG_X15));
			}
						break;
					}
				}
				if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 86387, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 86390, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 86393, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 86397, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 86401, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 86405, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 86410, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 86414, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 86418, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 86422, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 86426, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 86430, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 86434, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
				}
			if (arm64_may_use_b(rc_dtor_func)) {
		dasm_put(Dst, 86438, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else {
			if (((uintptr_t)(rc_dtor_func)) == 0) {
		dasm_put(Dst, 86441, (ZREG_X15));
			} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
		dasm_put(Dst, 86444, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
			} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
		dasm_put(Dst, 86448, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
		dasm_put(Dst, 86452, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
				if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
		dasm_put(Dst, 86456, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
				}
			} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
		dasm_put(Dst, 86461, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 86465, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				}
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 86469, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 86473, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 86477, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 86481, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		dasm_put(Dst, 86485, (ZREG_X15));
			}
			} while(0);
					if (0 && (((info) & MAY_BE_GUARD) || (RC_MAY_BE_N(info) && ((info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 86488);
					}
		dasm_put(Dst, 86491);
				}
				if (0 && (((info) & MAY_BE_GUARD) || (RC_MAY_BE_N(info) && ((info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					if ((info) & (MAY_BE_REF|MAY_BE_GUARD)) {
						zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
		dasm_put(Dst, 86493, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
		dasm_put(Dst, 86497, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
		dasm_put(Dst, 86501, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 86505, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 86509, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 86514, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
			}
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 86519, (ZREG_X15));
			} else {
		dasm_put(Dst, 86523, (ZREG_X15), IS_REFERENCE);
			}
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 86529, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 86533, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 86537, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 86541, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 86545, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 86550, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_COLLECTABLE == 0) {
		dasm_put(Dst, 86555, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
		dasm_put(Dst, 86558, (ZREG_X15), IS_TYPE_COLLECTABLE);
			} else {
			if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
		dasm_put(Dst, 86562, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
			} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
		dasm_put(Dst, 86566, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
				if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
		dasm_put(Dst, 86570, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 86574, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		dasm_put(Dst, 86578, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 86582);
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 86585, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
		dasm_put(Dst, 86589, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 86593, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 86597, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 86601, (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 86605, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
			}
		dasm_put(Dst, 86609);
					}
		dasm_put(Dst, 86611, (ZREG_X15));
			if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
		dasm_put(Dst, 86614, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
		dasm_put(Dst, 86617, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
			} else {
			if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
		dasm_put(Dst, 86621, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
			} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
		dasm_put(Dst, 86625, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
				if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
		dasm_put(Dst, 86629, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 86633, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 86637, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 86641);
			if (arm64_may_use_b(gc_possible_root)) {
		dasm_put(Dst, 86644, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else {
			if (((uintptr_t)(gc_possible_root)) == 0) {
		dasm_put(Dst, 86647, (ZREG_X15));
			} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
		dasm_put(Dst, 86650, (ZREG_X15), ((uint64_t)(gc_possible_root)));
			} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
		dasm_put(Dst, 86654, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
		dasm_put(Dst, 86658, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
				if (((uintptr_t)(gc_possible_root)) & 0xfff) {
		dasm_put(Dst, 86662, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
				}
			} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
		dasm_put(Dst, 86667, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 86671, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				}
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 86675, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 86679, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 86683, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 86687, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		dasm_put(Dst, 86691, (ZREG_X15));
			}
				}
				if (1 && ((info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
		dasm_put(Dst, 86694);
				}
		dasm_put(Dst, 86697);
			}
#line 10779 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	return 1;
}

static int zend_jit_leave_func(dasm_State          **Dst,
                               const zend_op_array  *op_array,
                               const zend_op        *opline,
                               uint32_t              op1_info,
                               bool                  left_frame,
                               zend_jit_trace_rec   *trace,
                               zend_jit_trace_info  *trace_info,
                               int                   indirect_var_access,
                               int                   may_throw)
{
	bool may_be_top_frame =
		JIT_G(trigger) != ZEND_JIT_ON_HOT_TRACE ||
		!JIT_G(current_frame) ||
		!TRACE_FRAME_IS_NESTED(JIT_G(current_frame));
	bool may_need_call_helper =
		indirect_var_access || /* may have symbol table */
		!op_array->function_name || /* may have symbol table */
		may_be_top_frame ||
		(op_array->fn_flags & ZEND_ACC_VARIADIC) || /* may have extra named args */
		JIT_G(trigger) != ZEND_JIT_ON_HOT_TRACE ||
		!JIT_G(current_frame) ||
		TRACE_FRAME_NUM_ARGS(JIT_G(current_frame)) == -1 || /* unknown number of args */
		(uint32_t)TRACE_FRAME_NUM_ARGS(JIT_G(current_frame)) > op_array->num_args; /* extra args */
	bool may_need_release_this =
		!(op_array->fn_flags & ZEND_ACC_CLOSURE) &&
		op_array->scope &&
		!(op_array->fn_flags & ZEND_ACC_STATIC) &&
		(JIT_G(trigger) != ZEND_JIT_ON_HOT_TRACE ||
		 !JIT_G(current_frame) ||
		 !TRACE_FRAME_NO_NEED_RELEASE_THIS(JIT_G(current_frame)));

	if (may_need_call_helper || may_need_release_this) {
		//|	ldr FCARG1w, [FP, #offsetof(zend_execute_data, This.u1.type_info)]
		dasm_put(Dst, 86699, offsetof(zend_execute_data, This.u1.type_info));
#line 10816 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	if (may_need_call_helper) {
		if (!left_frame) {
			left_frame = 1;
		    if (!zend_jit_leave_frame(Dst)) {
				return 0;
		    }
		}
		/* ZEND_CALL_FAKE_CLOSURE handled on slow path to eliminate check for ZEND_CALL_CLOSURE on fast path */

		//|	TST_32_WITH_CONST FCARG1w, (ZEND_CALL_TOP|ZEND_CALL_HAS_SYMBOL_TABLE|ZEND_CALL_FREE_EXTRA_ARGS|ZEND_CALL_ALLOCATED|ZEND_CALL_HAS_EXTRA_NAMED_PARAMS|ZEND_CALL_FAKE_CLOSURE), TMP1w
			if ((ZEND_CALL_TOP|ZEND_CALL_HAS_SYMBOL_TABLE|ZEND_CALL_FREE_EXTRA_ARGS|ZEND_CALL_ALLOCATED|ZEND_CALL_HAS_EXTRA_NAMED_PARAMS|ZEND_CALL_FAKE_CLOSURE) == 0) {
		dasm_put(Dst, 86702);
			} else if (logical_immediate_p((uint32_t)(ZEND_CALL_TOP|ZEND_CALL_HAS_SYMBOL_TABLE|ZEND_CALL_FREE_EXTRA_ARGS|ZEND_CALL_ALLOCATED|ZEND_CALL_HAS_EXTRA_NAMED_PARAMS|ZEND_CALL_FAKE_CLOSURE), 32)) {
		dasm_put(Dst, 86704, (ZEND_CALL_TOP|ZEND_CALL_HAS_SYMBOL_TABLE|ZEND_CALL_FREE_EXTRA_ARGS|ZEND_CALL_ALLOCATED|ZEND_CALL_HAS_EXTRA_NAMED_PARAMS|ZEND_CALL_FAKE_CLOSURE));
			} else {
			if (((uint32_t)((ZEND_CALL_TOP|ZEND_CALL_HAS_SYMBOL_TABLE|ZEND_CALL_FREE_EXTRA_ARGS|ZEND_CALL_ALLOCATED|ZEND_CALL_HAS_EXTRA_NAMED_PARAMS|ZEND_CALL_FAKE_CLOSURE))) <= MOVZ_IMM) {
		dasm_put(Dst, 86707, ((uint32_t)((ZEND_CALL_TOP|ZEND_CALL_HAS_SYMBOL_TABLE|ZEND_CALL_FREE_EXTRA_ARGS|ZEND_CALL_ALLOCATED|ZEND_CALL_HAS_EXTRA_NAMED_PARAMS|ZEND_CALL_FAKE_CLOSURE))));
			} else if (((uint32_t)((ZEND_CALL_TOP|ZEND_CALL_HAS_SYMBOL_TABLE|ZEND_CALL_FREE_EXTRA_ARGS|ZEND_CALL_ALLOCATED|ZEND_CALL_HAS_EXTRA_NAMED_PARAMS|ZEND_CALL_FAKE_CLOSURE)) & 0xffff)) {
		dasm_put(Dst, 86710, ((uint32_t)((ZEND_CALL_TOP|ZEND_CALL_HAS_SYMBOL_TABLE|ZEND_CALL_FREE_EXTRA_ARGS|ZEND_CALL_ALLOCATED|ZEND_CALL_HAS_EXTRA_NAMED_PARAMS|ZEND_CALL_FAKE_CLOSURE)) & 0xffff));
				if ((((uint32_t)((ZEND_CALL_TOP|ZEND_CALL_HAS_SYMBOL_TABLE|ZEND_CALL_FREE_EXTRA_ARGS|ZEND_CALL_ALLOCATED|ZEND_CALL_HAS_EXTRA_NAMED_PARAMS|ZEND_CALL_FAKE_CLOSURE)) >> 16) & 0xffff)) {
		dasm_put(Dst, 86713, (((uint32_t)((ZEND_CALL_TOP|ZEND_CALL_HAS_SYMBOL_TABLE|ZEND_CALL_FREE_EXTRA_ARGS|ZEND_CALL_ALLOCATED|ZEND_CALL_HAS_EXTRA_NAMED_PARAMS|ZEND_CALL_FAKE_CLOSURE)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 86716, (((uint32_t)((ZEND_CALL_TOP|ZEND_CALL_HAS_SYMBOL_TABLE|ZEND_CALL_FREE_EXTRA_ARGS|ZEND_CALL_ALLOCATED|ZEND_CALL_HAS_EXTRA_NAMED_PARAMS|ZEND_CALL_FAKE_CLOSURE)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 86719);
			}
#line 10827 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (trace && trace->op != ZEND_JIT_TRACE_END) {
			//|	bne >1
			//|.cold_code
			dasm_put(Dst, 86721);
#line 10830 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|1:
			dasm_put(Dst, 86724);
#line 10831 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (!GCC_GLOBAL_REGS) {
				//|	mov FCARG1x, FP
				dasm_put(Dst, 86726);
#line 10833 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	EXT_CALL zend_jit_leave_func_helper, REG0
				if (arm64_may_use_b(zend_jit_leave_func_helper)) {
			dasm_put(Dst, 86728, (unsigned int)((ptrdiff_t)(zend_jit_leave_func_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_leave_func_helper))>>32));
				} else {
				if (((uintptr_t)(zend_jit_leave_func_helper)) == 0) {
			dasm_put(Dst, 86731);
				} else if (((uintptr_t)(zend_jit_leave_func_helper)) <= MOVZ_IMM) {
			dasm_put(Dst, 86733, ((uint64_t)(zend_jit_leave_func_helper)));
				} else if (arm64_may_use_adr((void*)(zend_jit_leave_func_helper))) {
			dasm_put(Dst, 86736, (unsigned int)((ptrdiff_t)(zend_jit_leave_func_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_leave_func_helper))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_leave_func_helper))) {
			dasm_put(Dst, 86739, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_leave_func_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_leave_func_helper)))))>>32));
					if (((uintptr_t)(zend_jit_leave_func_helper)) & 0xfff) {
			dasm_put(Dst, 86742, (((uintptr_t)(zend_jit_leave_func_helper)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_leave_func_helper) & 0xffff) {
			dasm_put(Dst, 86745, ((uintptr_t)(zend_jit_leave_func_helper) & 0xffff));
					if (((uintptr_t)(zend_jit_leave_func_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 86748, (((uintptr_t)(zend_jit_leave_func_helper) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_leave_func_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 86751, (((uintptr_t)(zend_jit_leave_func_helper) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_leave_func_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 86754, (((uintptr_t)(zend_jit_leave_func_helper) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_leave_func_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 86757, (((uintptr_t)(zend_jit_leave_func_helper) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 86760, (((uintptr_t)(zend_jit_leave_func_helper) >> 32) & 0xffff));
				}
			dasm_put(Dst, 86763);
				}
#line 10835 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

			if (may_be_top_frame) {
				// TODO: try to avoid this check ???
				if (zend_jit_vm_kind == ZEND_VM_KIND_HYBRID) {
#if 0
					/* this check should be handled by the following OPLINE guard */
					//|	LOAD_ADDR TMP1, zend_jit_halt_op
						if (((uintptr_t)(zend_jit_halt_op)) == 0) {
					dasm_put(Dst, 86765);
						} else if (((uintptr_t)(zend_jit_halt_op)) <= MOVZ_IMM) {
					dasm_put(Dst, 86767, ((uint64_t)(zend_jit_halt_op)));
						} else if (arm64_may_use_adr((void*)(zend_jit_halt_op))) {
					dasm_put(Dst, 86770, (unsigned int)((ptrdiff_t)(zend_jit_halt_op)), (unsigned int)(((ptrdiff_t)(zend_jit_halt_op))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_jit_halt_op))) {
					dasm_put(Dst, 86773, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_halt_op))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_halt_op)))))>>32));
							if (((uintptr_t)(zend_jit_halt_op)) & 0xfff) {
					dasm_put(Dst, 86776, (((uintptr_t)(zend_jit_halt_op)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_jit_halt_op) & 0xffff) {
					dasm_put(Dst, 86779, ((uintptr_t)(zend_jit_halt_op) & 0xffff));
							if (((uintptr_t)(zend_jit_halt_op) >> 16) & 0xffff) {
					dasm_put(Dst, 86782, (((uintptr_t)(zend_jit_halt_op) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_jit_halt_op) >> 32) & 0xffff) {
					dasm_put(Dst, 86785, (((uintptr_t)(zend_jit_halt_op) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_jit_halt_op) >> 16) & 0xffff) {
					dasm_put(Dst, 86788, (((uintptr_t)(zend_jit_halt_op) >> 16) & 0xffff));
							if (((uintptr_t)(zend_jit_halt_op) >> 32) & 0xffff) {
					dasm_put(Dst, 86791, (((uintptr_t)(zend_jit_halt_op) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 86794, (((uintptr_t)(zend_jit_halt_op) >> 32) & 0xffff));
						}
#line 10842 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	cmp IP, TMP1
					//|	beq ->trace_halt
					dasm_put(Dst, 86797);
#line 10844 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
#endif
				} else if (GCC_GLOBAL_REGS) {
					//|	cbz IP, ->trace_halt
					dasm_put(Dst, 86801);
#line 10847 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	tst RETVALw, RETVALw
					//|	blt ->trace_halt
					dasm_put(Dst, 86804);
#line 10850 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			}

			if (!GCC_GLOBAL_REGS) {
				//|	// execute_data = EG(current_execute_data)
				//|	MEM_LOAD_64_ZTS ldr, FP, executor_globals, current_execute_data, TMP1
					if (((uintptr_t)(&executor_globals.current_execute_data)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.current_execute_data))) {
				dasm_put(Dst, 86808, (unsigned int)((ptrdiff_t)(&executor_globals.current_execute_data)), (unsigned int)(((ptrdiff_t)(&executor_globals.current_execute_data))>>32));
					} else if (((uintptr_t)(&executor_globals.current_execute_data)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.current_execute_data))) {
				dasm_put(Dst, 86812, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data)))))>>32), (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff));
					} else {
					if (((uintptr_t)(&executor_globals.current_execute_data)) == 0) {
				dasm_put(Dst, 86817);
					} else if (((uintptr_t)(&executor_globals.current_execute_data)) <= MOVZ_IMM) {
				dasm_put(Dst, 86819, ((uint64_t)(&executor_globals.current_execute_data)));
					} else if (arm64_may_use_adr((void*)(&executor_globals.current_execute_data))) {
				dasm_put(Dst, 86822, (unsigned int)((ptrdiff_t)(&executor_globals.current_execute_data)), (unsigned int)(((ptrdiff_t)(&executor_globals.current_execute_data))>>32));
					} else if (arm64_may_use_adrp((void*)(&executor_globals.current_execute_data))) {
				dasm_put(Dst, 86825, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data)))))>>32));
						if (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff) {
				dasm_put(Dst, 86828, (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff));
						}
					} else if ((uintptr_t)(&executor_globals.current_execute_data) & 0xffff) {
				dasm_put(Dst, 86831, ((uintptr_t)(&executor_globals.current_execute_data) & 0xffff));
						if (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff) {
				dasm_put(Dst, 86834, (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff));
						}
						if (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff) {
				dasm_put(Dst, 86837, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff) {
				dasm_put(Dst, 86840, (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff));
						if (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff) {
				dasm_put(Dst, 86843, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 86846, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
					}
				dasm_put(Dst, 86849);
					}
#line 10856 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	b >8
			//|.code
			dasm_put(Dst, 86851);
#line 10859 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	bne ->leave_function_handler
			dasm_put(Dst, 86854);
#line 10861 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	if (op_array->fn_flags & ZEND_ACC_CLOSURE) {
		if (!left_frame) {
			left_frame = 1;
		    if (!zend_jit_leave_frame(Dst)) {
				return 0;
		    }
		}
		//|	// OBJ_RELEASE(ZEND_CLOSURE_OBJECT(EX(func)));
		//|	ldr FCARG1x, EX->func
		//|	sub FCARG1x, FCARG1x, #sizeof(zend_object)
		//|	OBJ_RELEASE ZREG_FCARG1, >4, ZREG_TMP1, ZREG_TMP2
		dasm_put(Dst, 86857, Dt1(->func), sizeof(zend_object), (ZREG_X15), (ZREG_FCARG1), (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_FCARG1));
			if (ZREG_FCARG1 != ZREG_FCARG1) {
		dasm_put(Dst, 86873, (ZREG_FCARG1));
			}
			if (arm64_may_use_b(zend_objects_store_del)) {
		dasm_put(Dst, 86876, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else {
			if (((uintptr_t)(zend_objects_store_del)) == 0) {
		dasm_put(Dst, 86879, (ZREG_X15));
			} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
		dasm_put(Dst, 86882, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
			} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 86886, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 86890, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
				if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
		dasm_put(Dst, 86894, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
		dasm_put(Dst, 86899, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 86903, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 86907, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 86911, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 86915, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 86919, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		dasm_put(Dst, 86923, (ZREG_X15));
			}
		dasm_put(Dst, 86926, (ZREG_X15), (ZREG_FCARG1));
			if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
		dasm_put(Dst, 86933, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
		dasm_put(Dst, 86936, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
			} else {
			if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
		dasm_put(Dst, 86940, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
			} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
		dasm_put(Dst, 86944, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
				if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
		dasm_put(Dst, 86948, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 86952, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 86956, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 86960);
			if (ZREG_FCARG1 != ZREG_FCARG1) {
		dasm_put(Dst, 86963, (ZREG_FCARG1));
			}
			if (arm64_may_use_b(gc_possible_root)) {
		dasm_put(Dst, 86966, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else {
			if (((uintptr_t)(gc_possible_root)) == 0) {
		dasm_put(Dst, 86969, (ZREG_X15));
			} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
		dasm_put(Dst, 86972, (ZREG_X15), ((uint64_t)(gc_possible_root)));
			} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
		dasm_put(Dst, 86976, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
		dasm_put(Dst, 86980, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
				if (((uintptr_t)(gc_possible_root)) & 0xfff) {
		dasm_put(Dst, 86984, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
				}
			} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
		dasm_put(Dst, 86989, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 86993, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				}
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 86997, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 87001, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 87005, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 87009, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		dasm_put(Dst, 87013, (ZREG_X15));
			}
#line 10875 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|4:
		dasm_put(Dst, 87016);
#line 10876 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else if (may_need_release_this) {
		if (!left_frame) {
			left_frame = 1;
		    if (!zend_jit_leave_frame(Dst)) {
				return 0;
		    }
		}
		//|	// if (call_info & ZEND_CALL_RELEASE_THIS)
		//|	TST_32_WITH_CONST FCARG1w, ZEND_CALL_RELEASE_THIS, TMP1w
			if (ZEND_CALL_RELEASE_THIS == 0) {
		dasm_put(Dst, 87019);
			} else if (logical_immediate_p((uint32_t)ZEND_CALL_RELEASE_THIS, 32)) {
		dasm_put(Dst, 87021, ZEND_CALL_RELEASE_THIS);
			} else {
			if (((uint32_t)(ZEND_CALL_RELEASE_THIS)) <= MOVZ_IMM) {
		dasm_put(Dst, 87024, ((uint32_t)(ZEND_CALL_RELEASE_THIS)));
			} else if (((uint32_t)(ZEND_CALL_RELEASE_THIS) & 0xffff)) {
		dasm_put(Dst, 87027, ((uint32_t)(ZEND_CALL_RELEASE_THIS) & 0xffff));
				if ((((uint32_t)(ZEND_CALL_RELEASE_THIS) >> 16) & 0xffff)) {
		dasm_put(Dst, 87030, (((uint32_t)(ZEND_CALL_RELEASE_THIS) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 87033, (((uint32_t)(ZEND_CALL_RELEASE_THIS) >> 16) & 0xffff));
			}
		dasm_put(Dst, 87036);
			}
#line 10885 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	beq >4
		//|	// zend_object *object = Z_OBJ(execute_data->This);
		//|	ldr FCARG1x, EX->This.value.obj
		//|	// OBJ_RELEASE(object);
		//|	OBJ_RELEASE ZREG_FCARG1, >4, ZREG_TMP1, ZREG_TMP2
		dasm_put(Dst, 87038, Dt1(->This.value.obj), (ZREG_X15), (ZREG_FCARG1), (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_FCARG1));
			if (ZREG_FCARG1 != ZREG_FCARG1) {
		dasm_put(Dst, 87054, (ZREG_FCARG1));
			}
			if (arm64_may_use_b(zend_objects_store_del)) {
		dasm_put(Dst, 87057, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else {
			if (((uintptr_t)(zend_objects_store_del)) == 0) {
		dasm_put(Dst, 87060, (ZREG_X15));
			} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
		dasm_put(Dst, 87063, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
			} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 87067, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 87071, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
				if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
		dasm_put(Dst, 87075, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
		dasm_put(Dst, 87080, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 87084, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 87088, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 87092, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 87096, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 87100, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		dasm_put(Dst, 87104, (ZREG_X15));
			}
		dasm_put(Dst, 87107, (ZREG_X15), (ZREG_FCARG1));
			if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
		dasm_put(Dst, 87114, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
		dasm_put(Dst, 87117, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
			} else {
			if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
		dasm_put(Dst, 87121, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
			} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
		dasm_put(Dst, 87125, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
				if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
		dasm_put(Dst, 87129, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 87133, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 87137, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 87141);
			if (ZREG_FCARG1 != ZREG_FCARG1) {
		dasm_put(Dst, 87144, (ZREG_FCARG1));
			}
			if (arm64_may_use_b(gc_possible_root)) {
		dasm_put(Dst, 87147, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else {
			if (((uintptr_t)(gc_possible_root)) == 0) {
		dasm_put(Dst, 87150, (ZREG_X15));
			} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
		dasm_put(Dst, 87153, (ZREG_X15), ((uint64_t)(gc_possible_root)));
			} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
		dasm_put(Dst, 87157, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
		dasm_put(Dst, 87161, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
				if (((uintptr_t)(gc_possible_root)) & 0xfff) {
		dasm_put(Dst, 87165, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
				}
			} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
		dasm_put(Dst, 87170, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 87174, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				}
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 87178, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 87182, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 87186, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 87190, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		dasm_put(Dst, 87194, (ZREG_X15));
			}
#line 10890 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|4:
		dasm_put(Dst, 87197);
#line 10891 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		// TODO: avoid EG(excption) check for $this->foo() calls
		may_throw = 1;
	}

	//|	// EG(vm_stack_top) = (zval*)execute_data;
	//|	MEM_STORE_64_ZTS str, FP, executor_globals, vm_stack_top, REG0
		if (((uintptr_t)(&executor_globals.vm_stack_top)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.vm_stack_top))) {
	dasm_put(Dst, 87200, (unsigned int)((ptrdiff_t)(&executor_globals.vm_stack_top)), (unsigned int)(((ptrdiff_t)(&executor_globals.vm_stack_top))>>32));
		} else if (((uintptr_t)(&executor_globals.vm_stack_top)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.vm_stack_top))) {
	dasm_put(Dst, 87204, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_stack_top))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_stack_top)))))>>32), (((uintptr_t)(&executor_globals.vm_stack_top)) & 0xfff));
		} else {
		if (((uintptr_t)(&executor_globals.vm_stack_top)) == 0) {
	dasm_put(Dst, 87209);
		} else if (((uintptr_t)(&executor_globals.vm_stack_top)) <= MOVZ_IMM) {
	dasm_put(Dst, 87211, ((uint64_t)(&executor_globals.vm_stack_top)));
		} else if (arm64_may_use_adr((void*)(&executor_globals.vm_stack_top))) {
	dasm_put(Dst, 87214, (unsigned int)((ptrdiff_t)(&executor_globals.vm_stack_top)), (unsigned int)(((ptrdiff_t)(&executor_globals.vm_stack_top))>>32));
		} else if (arm64_may_use_adrp((void*)(&executor_globals.vm_stack_top))) {
	dasm_put(Dst, 87217, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_stack_top))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_stack_top)))))>>32));
			if (((uintptr_t)(&executor_globals.vm_stack_top)) & 0xfff) {
	dasm_put(Dst, 87220, (((uintptr_t)(&executor_globals.vm_stack_top)) & 0xfff));
			}
		} else if ((uintptr_t)(&executor_globals.vm_stack_top) & 0xffff) {
	dasm_put(Dst, 87223, ((uintptr_t)(&executor_globals.vm_stack_top) & 0xffff));
			if (((uintptr_t)(&executor_globals.vm_stack_top) >> 16) & 0xffff) {
	dasm_put(Dst, 87226, (((uintptr_t)(&executor_globals.vm_stack_top) >> 16) & 0xffff));
			}
			if (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff) {
	dasm_put(Dst, 87229, (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(&executor_globals.vm_stack_top) >> 16) & 0xffff) {
	dasm_put(Dst, 87232, (((uintptr_t)(&executor_globals.vm_stack_top) >> 16) & 0xffff));
			if (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff) {
	dasm_put(Dst, 87235, (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 87238, (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff));
		}
	dasm_put(Dst, 87241);
		}
#line 10897 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	// execute_data = EX(prev_execute_data);
	//|	ldr FP, EX->prev_execute_data
	dasm_put(Dst, 87243, Dt1(->prev_execute_data));
#line 10899 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	if (!left_frame) {
		//|	// EG(current_execute_data) = execute_data;
		//|	MEM_STORE_64_ZTS str, FP, executor_globals, current_execute_data, REG0
			if (((uintptr_t)(&executor_globals.current_execute_data)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.current_execute_data))) {
		dasm_put(Dst, 87246, (unsigned int)((ptrdiff_t)(&executor_globals.current_execute_data)), (unsigned int)(((ptrdiff_t)(&executor_globals.current_execute_data))>>32));
			} else if (((uintptr_t)(&executor_globals.current_execute_data)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.current_execute_data))) {
		dasm_put(Dst, 87250, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data)))))>>32), (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff));
			} else {
			if (((uintptr_t)(&executor_globals.current_execute_data)) == 0) {
		dasm_put(Dst, 87255);
			} else if (((uintptr_t)(&executor_globals.current_execute_data)) <= MOVZ_IMM) {
		dasm_put(Dst, 87257, ((uint64_t)(&executor_globals.current_execute_data)));
			} else if (arm64_may_use_adr((void*)(&executor_globals.current_execute_data))) {
		dasm_put(Dst, 87260, (unsigned int)((ptrdiff_t)(&executor_globals.current_execute_data)), (unsigned int)(((ptrdiff_t)(&executor_globals.current_execute_data))>>32));
			} else if (arm64_may_use_adrp((void*)(&executor_globals.current_execute_data))) {
		dasm_put(Dst, 87263, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data)))))>>32));
				if (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff) {
		dasm_put(Dst, 87266, (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff));
				}
			} else if ((uintptr_t)(&executor_globals.current_execute_data) & 0xffff) {
		dasm_put(Dst, 87269, ((uintptr_t)(&executor_globals.current_execute_data) & 0xffff));
				if (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff) {
		dasm_put(Dst, 87272, (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff));
				}
				if (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff) {
		dasm_put(Dst, 87275, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff) {
		dasm_put(Dst, 87278, (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff));
				if (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff) {
		dasm_put(Dst, 87281, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 87284, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
			}
		dasm_put(Dst, 87287);
			}
#line 10903 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	//|9:
	dasm_put(Dst, 87289);
#line 10906 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	if (trace) {
		if (trace->op != ZEND_JIT_TRACE_END
		 && (JIT_G(current_frame) && !TRACE_FRAME_IS_UNKNOWN_RETURN(JIT_G(current_frame)))) {
			zend_jit_reset_last_valid_opline();
		} else {
			//|	LOAD_IP
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 87291, Dt1(->opline));
				}
#line 10912 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	ADD_IP_WITH_CONST sizeof(zend_op), TMP1
				ZEND_ASSERT(arm64_may_encode_imm12((int64_t)(sizeof(zend_op))));
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 87294, sizeof(zend_op));
				} else {
			dasm_put(Dst, 87297, Dt1(->opline), sizeof(zend_op), Dt1(->opline));
				}
#line 10913 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}

		//|8:
		dasm_put(Dst, 87304);
#line 10916 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

		if (trace->op == ZEND_JIT_TRACE_BACK
		 && (!JIT_G(current_frame) || TRACE_FRAME_IS_UNKNOWN_RETURN(JIT_G(current_frame)))) {
			const zend_op *next_opline = trace->opline;

			if ((opline->op1_type & (IS_VAR|IS_TMP_VAR))
			 && (op1_info & MAY_BE_RC1)
			 && (op1_info & (MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_ARRAY))) {
				/* exception might be thrown during destruction of unused return value */
				//|	// if (EG(exception))
				//|	MEM_LOAD_64_ZTS ldr, REG0, executor_globals, exception, TMP1
					if (((uintptr_t)(&executor_globals.exception)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.exception))) {
				dasm_put(Dst, 87306, (unsigned int)((ptrdiff_t)(&executor_globals.exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.exception))>>32));
					} else if (((uintptr_t)(&executor_globals.exception)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.exception))) {
				dasm_put(Dst, 87310, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.exception)))))>>32), (((uintptr_t)(&executor_globals.exception)) & 0xfff));
					} else {
					if (((uintptr_t)(&executor_globals.exception)) == 0) {
				dasm_put(Dst, 87315);
					} else if (((uintptr_t)(&executor_globals.exception)) <= MOVZ_IMM) {
				dasm_put(Dst, 87317, ((uint64_t)(&executor_globals.exception)));
					} else if (arm64_may_use_adr((void*)(&executor_globals.exception))) {
				dasm_put(Dst, 87320, (unsigned int)((ptrdiff_t)(&executor_globals.exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.exception))>>32));
					} else if (arm64_may_use_adrp((void*)(&executor_globals.exception))) {
				dasm_put(Dst, 87323, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.exception)))))>>32));
						if (((uintptr_t)(&executor_globals.exception)) & 0xfff) {
				dasm_put(Dst, 87326, (((uintptr_t)(&executor_globals.exception)) & 0xfff));
						}
					} else if ((uintptr_t)(&executor_globals.exception) & 0xffff) {
				dasm_put(Dst, 87329, ((uintptr_t)(&executor_globals.exception) & 0xffff));
						if (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff) {
				dasm_put(Dst, 87332, (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff));
						}
						if (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff) {
				dasm_put(Dst, 87335, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff) {
				dasm_put(Dst, 87338, (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff));
						if (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff) {
				dasm_put(Dst, 87341, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 87344, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
					}
				dasm_put(Dst, 87347);
					}
#line 10927 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	cbnz REG0, ->leave_throw_handler
				dasm_put(Dst, 87349);
#line 10928 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			do {
				trace++;
			} while (trace->op == ZEND_JIT_TRACE_INIT_CALL);
			ZEND_ASSERT(trace->op == ZEND_JIT_TRACE_VM || trace->op == ZEND_JIT_TRACE_END);
			next_opline = trace->opline;
			ZEND_ASSERT(next_opline != NULL);

			if (trace->op == ZEND_JIT_TRACE_END
			 && trace->stop == ZEND_JIT_TRACE_STOP_RECURSIVE_RET) {
				trace_info->flags |= ZEND_JIT_TRACE_LOOP;
				//|	CMP_IP next_opline, TMP1, TMP2
					if (((uintptr_t)(next_opline)) == 0) {
				dasm_put(Dst, 87352);
					} else if (((uintptr_t)(next_opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 87354, ((uint64_t)(next_opline)));
					} else if (arm64_may_use_adr((void*)(next_opline))) {
				dasm_put(Dst, 87357, (unsigned int)((ptrdiff_t)(next_opline)), (unsigned int)(((ptrdiff_t)(next_opline))>>32));
					} else if (arm64_may_use_adrp((void*)(next_opline))) {
				dasm_put(Dst, 87360, (unsigned int)((ptrdiff_t)((((uintptr_t)(next_opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(next_opline)))))>>32));
						if (((uintptr_t)(next_opline)) & 0xfff) {
				dasm_put(Dst, 87363, (((uintptr_t)(next_opline)) & 0xfff));
						}
					} else if ((uintptr_t)(next_opline) & 0xffff) {
				dasm_put(Dst, 87366, ((uintptr_t)(next_opline) & 0xffff));
						if (((uintptr_t)(next_opline) >> 16) & 0xffff) {
				dasm_put(Dst, 87369, (((uintptr_t)(next_opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(next_opline) >> 32) & 0xffff) {
				dasm_put(Dst, 87372, (((uintptr_t)(next_opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(next_opline) >> 16) & 0xffff) {
				dasm_put(Dst, 87375, (((uintptr_t)(next_opline) >> 16) & 0xffff));
						if (((uintptr_t)(next_opline) >> 32) & 0xffff) {
				dasm_put(Dst, 87378, (((uintptr_t)(next_opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 87381, (((uintptr_t)(next_opline) >> 32) & 0xffff));
					}
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 87384);
					} else {
				dasm_put(Dst, 87386, Dt1(->opline));
					}
#line 10940 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	beq =>0 // LOOP
				dasm_put(Dst, 87390, 0);
#line 10941 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
#ifdef ZEND_VM_HYBRID_JIT_RED_ZONE_SIZE
				//|	JMP_IP TMP1
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 87393);
					} else {
				dasm_put(Dst, 87396, Dt1(->opline));
					}
#line 10943 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
#else
				//|	b ->trace_escape
				dasm_put(Dst, 87400);
#line 10945 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
#endif
			} else {
				//|	CMP_IP next_opline, TMP1, TMP2
					if (((uintptr_t)(next_opline)) == 0) {
				dasm_put(Dst, 87403);
					} else if (((uintptr_t)(next_opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 87405, ((uint64_t)(next_opline)));
					} else if (arm64_may_use_adr((void*)(next_opline))) {
				dasm_put(Dst, 87408, (unsigned int)((ptrdiff_t)(next_opline)), (unsigned int)(((ptrdiff_t)(next_opline))>>32));
					} else if (arm64_may_use_adrp((void*)(next_opline))) {
				dasm_put(Dst, 87411, (unsigned int)((ptrdiff_t)((((uintptr_t)(next_opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(next_opline)))))>>32));
						if (((uintptr_t)(next_opline)) & 0xfff) {
				dasm_put(Dst, 87414, (((uintptr_t)(next_opline)) & 0xfff));
						}
					} else if ((uintptr_t)(next_opline) & 0xffff) {
				dasm_put(Dst, 87417, ((uintptr_t)(next_opline) & 0xffff));
						if (((uintptr_t)(next_opline) >> 16) & 0xffff) {
				dasm_put(Dst, 87420, (((uintptr_t)(next_opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(next_opline) >> 32) & 0xffff) {
				dasm_put(Dst, 87423, (((uintptr_t)(next_opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(next_opline) >> 16) & 0xffff) {
				dasm_put(Dst, 87426, (((uintptr_t)(next_opline) >> 16) & 0xffff));
						if (((uintptr_t)(next_opline) >> 32) & 0xffff) {
				dasm_put(Dst, 87429, (((uintptr_t)(next_opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 87432, (((uintptr_t)(next_opline) >> 32) & 0xffff));
					}
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 87435);
					} else {
				dasm_put(Dst, 87437, Dt1(->opline));
					}
#line 10948 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	bne ->trace_escape
				dasm_put(Dst, 87441);
#line 10949 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}

			zend_jit_set_last_valid_opline(trace->opline);

			return 1;
		} else if (may_throw ||
				(((opline->op1_type & (IS_VAR|IS_TMP_VAR))
				  && (op1_info & MAY_BE_RC1)
				  && (op1_info & (MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_ARRAY)))
				 && (!JIT_G(current_frame) || TRACE_FRAME_IS_RETURN_VALUE_UNUSED(JIT_G(current_frame))))) {
			//|	// if (EG(exception))
			//|	MEM_LOAD_64_ZTS ldr, REG0, executor_globals, exception, TMP1
				if (((uintptr_t)(&executor_globals.exception)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.exception))) {
			dasm_put(Dst, 87444, (unsigned int)((ptrdiff_t)(&executor_globals.exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.exception))>>32));
				} else if (((uintptr_t)(&executor_globals.exception)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.exception))) {
			dasm_put(Dst, 87448, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.exception)))))>>32), (((uintptr_t)(&executor_globals.exception)) & 0xfff));
				} else {
				if (((uintptr_t)(&executor_globals.exception)) == 0) {
			dasm_put(Dst, 87453);
				} else if (((uintptr_t)(&executor_globals.exception)) <= MOVZ_IMM) {
			dasm_put(Dst, 87455, ((uint64_t)(&executor_globals.exception)));
				} else if (arm64_may_use_adr((void*)(&executor_globals.exception))) {
			dasm_put(Dst, 87458, (unsigned int)((ptrdiff_t)(&executor_globals.exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.exception))>>32));
				} else if (arm64_may_use_adrp((void*)(&executor_globals.exception))) {
			dasm_put(Dst, 87461, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.exception)))))>>32));
					if (((uintptr_t)(&executor_globals.exception)) & 0xfff) {
			dasm_put(Dst, 87464, (((uintptr_t)(&executor_globals.exception)) & 0xfff));
					}
				} else if ((uintptr_t)(&executor_globals.exception) & 0xffff) {
			dasm_put(Dst, 87467, ((uintptr_t)(&executor_globals.exception) & 0xffff));
					if (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff) {
			dasm_put(Dst, 87470, (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff));
					}
					if (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff) {
			dasm_put(Dst, 87473, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff) {
			dasm_put(Dst, 87476, (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff));
					if (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff) {
			dasm_put(Dst, 87479, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 87482, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
				}
			dasm_put(Dst, 87485);
				}
#line 10961 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	cbnz REG0, ->leave_throw_handler
			dasm_put(Dst, 87487);
#line 10962 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}

		return 1;
	} else {
		//|	// if (EG(exception))
		//|	MEM_LOAD_64_ZTS ldr, REG0, executor_globals, exception, TMP1
			if (((uintptr_t)(&executor_globals.exception)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.exception))) {
		dasm_put(Dst, 87490, (unsigned int)((ptrdiff_t)(&executor_globals.exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.exception))>>32));
			} else if (((uintptr_t)(&executor_globals.exception)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.exception))) {
		dasm_put(Dst, 87494, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.exception)))))>>32), (((uintptr_t)(&executor_globals.exception)) & 0xfff));
			} else {
			if (((uintptr_t)(&executor_globals.exception)) == 0) {
		dasm_put(Dst, 87499);
			} else if (((uintptr_t)(&executor_globals.exception)) <= MOVZ_IMM) {
		dasm_put(Dst, 87501, ((uint64_t)(&executor_globals.exception)));
			} else if (arm64_may_use_adr((void*)(&executor_globals.exception))) {
		dasm_put(Dst, 87504, (unsigned int)((ptrdiff_t)(&executor_globals.exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.exception))>>32));
			} else if (arm64_may_use_adrp((void*)(&executor_globals.exception))) {
		dasm_put(Dst, 87507, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.exception)))))>>32));
				if (((uintptr_t)(&executor_globals.exception)) & 0xfff) {
		dasm_put(Dst, 87510, (((uintptr_t)(&executor_globals.exception)) & 0xfff));
				}
			} else if ((uintptr_t)(&executor_globals.exception) & 0xffff) {
		dasm_put(Dst, 87513, ((uintptr_t)(&executor_globals.exception) & 0xffff));
				if (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff) {
		dasm_put(Dst, 87516, (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff));
				}
				if (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff) {
		dasm_put(Dst, 87519, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff) {
		dasm_put(Dst, 87522, (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff));
				if (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff) {
		dasm_put(Dst, 87525, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 87528, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
			}
		dasm_put(Dst, 87531);
			}
#line 10968 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	LOAD_IP
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 87533, Dt1(->opline));
			}
#line 10969 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	cbnz REG0, ->leave_throw_handler
		//|	// opline = EX(opline) + 1
		//|	ADD_IP_WITH_CONST sizeof(zend_op), TMP1
		dasm_put(Dst, 87536);
			ZEND_ASSERT(arm64_may_encode_imm12((int64_t)(sizeof(zend_op))));
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 87539, sizeof(zend_op));
			} else {
		dasm_put(Dst, 87542, Dt1(->opline), sizeof(zend_op), Dt1(->opline));
			}
#line 10972 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	if (zend_jit_vm_kind == ZEND_VM_KIND_HYBRID) {
		//|	ADD_HYBRID_SPAD
		#ifndef ZEND_VM_HYBRID_JIT_RED_ZONE_SIZE
		dasm_put(Dst, 87549);
		#endif
#line 10976 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
#ifdef CONTEXT_THREADED_JIT
		//|	NIY	// TODO: CONTEXT_THREADED_JIT is always undefined
			//ZEND_ASSERT(0);
		dasm_put(Dst, 87551);
#line 10978 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
#else
		//|	JMP_IP TMP1
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 87553);
			} else {
		dasm_put(Dst, 87556, Dt1(->opline));
			}
#line 10980 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
#endif
	} else if (GCC_GLOBAL_REGS) {
		//|	ldp x29, x30, [sp], # SPAD // stack alignment
		dasm_put(Dst, 87560);
#line 10983 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
#ifdef CONTEXT_THREADED_JIT
		//|	NIY	// TODO
			//ZEND_ASSERT(0);
		dasm_put(Dst, 87562);
#line 10985 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
#else
		//|	JMP_IP TMP1
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 87564);
			} else {
		dasm_put(Dst, 87567, Dt1(->opline));
			}
#line 10987 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
#endif
	} else {
#ifdef CONTEXT_THREADED_JIT
		ZEND_UNREACHABLE();
		// TODO: context threading can't work without GLOBAL REGS because we have to change
		//       the value of execute_data in execute_ex()
		//|	NIY	// TODO
			//ZEND_ASSERT(0);
		dasm_put(Dst, 87571);
#line 10994 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
#else
		//|	ldp FP, RX, T2                // retore FP and IP
		//|	ldp x29, x30, [sp], # NR_SPAD // stack alignment
		//|	mov RETVALx, #2               // ZEND_VM_LEAVE ????
		//|	ret
		dasm_put(Dst, 87573);
#line 10999 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
#endif
	}

	return 1;
}

static int zend_jit_return(dasm_State **Dst, const zend_op *opline, const zend_op_array *op_array, uint32_t op1_info, zend_jit_addr op1_addr)
{
	zend_jit_addr ret_addr;
	int8_t return_value_used;

	ZEND_ASSERT(op_array->type != ZEND_EVAL_CODE && op_array->function_name);
	ZEND_ASSERT(!(op1_info & MAY_BE_UNDEF));

	if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE && JIT_G(current_frame)) {
		if (TRACE_FRAME_IS_RETURN_VALUE_USED(JIT_G(current_frame))) {
			return_value_used = 1;
		} else if (TRACE_FRAME_IS_RETURN_VALUE_UNUSED(JIT_G(current_frame))) {
			return_value_used = 0;
		} else {
			return_value_used = -1;
		}
	} else {
		return_value_used = -1;
	}

	if (ZEND_OBSERVER_ENABLED) {
		if (Z_MODE(op1_addr) == IS_REG) {
			zend_jit_addr dst = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op1.var);

			if (!zend_jit_spill_store(Dst, op1_addr, dst, op1_info, 1)) {
				return 0;
			}
			op1_addr = dst;
		}
		//|	LOAD_ZVAL_ADDR FCARG2x, op1_addr
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
		dasm_put(Dst, 87578);
			} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 87580, ((uint64_t)(Z_ZV(op1_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 87583, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 87586, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
		dasm_put(Dst, 87589, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
		dasm_put(Dst, 87592, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 87595, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 87598, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 87601, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 87604, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 87607, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (Z_OFFSET(op1_addr)) {
			if (Z_OFFSET(op1_addr) == 0) {
		dasm_put(Dst, 87610, (Z_REG(op1_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
		dasm_put(Dst, 87613, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
			} else {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 87617, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 87620, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 87623, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 87626, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 87629, (Z_REG(op1_addr)));
			}
				} else {
					if (Z_REG(op1_addr) == ZREG_RSP) {
		dasm_put(Dst, 87632);
					} else {
		dasm_put(Dst, 87634, (Z_REG(op1_addr)));
					}
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 11035 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	mov FCARG1x, FP
		//|	SET_EX_OPLINE opline, REG0
		dasm_put(Dst, 87637);
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 87639, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 87642);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 87644, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 87647, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 87650, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 87653, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 87656, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 87659, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 87662, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 87665, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 87668, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 87671, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 87674, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
#line 11037 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	EXT_CALL zend_observer_fcall_end, REG0
			if (arm64_may_use_b(zend_observer_fcall_end)) {
		dasm_put(Dst, 87677, (unsigned int)((ptrdiff_t)(zend_observer_fcall_end)), (unsigned int)(((ptrdiff_t)(zend_observer_fcall_end))>>32));
			} else {
			if (((uintptr_t)(zend_observer_fcall_end)) == 0) {
		dasm_put(Dst, 87680);
			} else if (((uintptr_t)(zend_observer_fcall_end)) <= MOVZ_IMM) {
		dasm_put(Dst, 87682, ((uint64_t)(zend_observer_fcall_end)));
			} else if (arm64_may_use_adr((void*)(zend_observer_fcall_end))) {
		dasm_put(Dst, 87685, (unsigned int)((ptrdiff_t)(zend_observer_fcall_end)), (unsigned int)(((ptrdiff_t)(zend_observer_fcall_end))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_observer_fcall_end))) {
		dasm_put(Dst, 87688, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_observer_fcall_end))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_observer_fcall_end)))))>>32));
				if (((uintptr_t)(zend_observer_fcall_end)) & 0xfff) {
		dasm_put(Dst, 87691, (((uintptr_t)(zend_observer_fcall_end)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_observer_fcall_end) & 0xffff) {
		dasm_put(Dst, 87694, ((uintptr_t)(zend_observer_fcall_end) & 0xffff));
				if (((uintptr_t)(zend_observer_fcall_end) >> 16) & 0xffff) {
		dasm_put(Dst, 87697, (((uintptr_t)(zend_observer_fcall_end) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_observer_fcall_end) >> 32) & 0xffff) {
		dasm_put(Dst, 87700, (((uintptr_t)(zend_observer_fcall_end) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_observer_fcall_end) >> 16) & 0xffff) {
		dasm_put(Dst, 87703, (((uintptr_t)(zend_observer_fcall_end) >> 16) & 0xffff));
				if (((uintptr_t)(zend_observer_fcall_end) >> 32) & 0xffff) {
		dasm_put(Dst, 87706, (((uintptr_t)(zend_observer_fcall_end) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 87709, (((uintptr_t)(zend_observer_fcall_end) >> 32) & 0xffff));
			}
		dasm_put(Dst, 87712);
			}
#line 11038 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	// if (!EX(return_value))
	if (Z_MODE(op1_addr) == IS_REG && Z_REG(op1_addr) == ZREG_REG1) {
		if (return_value_used != 0) {
			//|	ldr REG2, EX->return_value
			dasm_put(Dst, 87714, Dt1(->return_value));
#line 11044 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		ret_addr = ZEND_ADDR_MEM_ZVAL(ZREG_REG2, 0);
	} else {
		if (return_value_used != 0) {
			//|	ldr REG1, EX->return_value
			dasm_put(Dst, 87717, Dt1(->return_value));
#line 11049 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		ret_addr = ZEND_ADDR_MEM_ZVAL(ZREG_REG1, 0);
	}
	if ((opline->op1_type & (IS_VAR|IS_TMP_VAR)) &&
	    (op1_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
		if (return_value_used == -1) {
			//|	cbz Rx(Z_REG(ret_addr)), >1
			//|.cold_code
			dasm_put(Dst, 87720, (Z_REG(ret_addr)));
#line 11057 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|1:
			dasm_put(Dst, 87724);
#line 11058 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (return_value_used != 1) {
			if (op1_info & ((MAY_BE_UNDEF|MAY_BE_ANY|MAY_BE_REF)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
				if (jit_return_label >= 0) {
					//|	IF_NOT_ZVAL_REFCOUNTED op1_addr, =>jit_return_label, ZREG_TMP1, ZREG_TMP2
						ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
					dasm_put(Dst, 87726, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))));
						} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
					dasm_put(Dst, 87730, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
					dasm_put(Dst, 87734, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 87738, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 87742, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X16));
						} else {
					dasm_put(Dst, 87747, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)));
						}
						if (IS_TYPE_REFCOUNTED == 0) {
					dasm_put(Dst, 87752, (ZREG_X15));
						} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
					dasm_put(Dst, 87755, (ZREG_X15), IS_TYPE_REFCOUNTED);
						} else {
						if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
					dasm_put(Dst, 87759, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
						} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
					dasm_put(Dst, 87763, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
							if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
					dasm_put(Dst, 87767, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 87771, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
						}
					dasm_put(Dst, 87775, (ZREG_X15), (ZREG_X16));
						}
					dasm_put(Dst, 87779, jit_return_label);
#line 11063 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	IF_NOT_ZVAL_REFCOUNTED op1_addr, >9, ZREG_TMP1, ZREG_TMP2
						ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
					dasm_put(Dst, 87782, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))));
						} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
					dasm_put(Dst, 87786, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
					dasm_put(Dst, 87790, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 87794, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 87798, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X16));
						} else {
					dasm_put(Dst, 87803, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)));
						}
						if (IS_TYPE_REFCOUNTED == 0) {
					dasm_put(Dst, 87808, (ZREG_X15));
						} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
					dasm_put(Dst, 87811, (ZREG_X15), IS_TYPE_REFCOUNTED);
						} else {
						if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
					dasm_put(Dst, 87815, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
						} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
					dasm_put(Dst, 87819, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
							if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
					dasm_put(Dst, 87823, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 87827, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
						}
					dasm_put(Dst, 87831, (ZREG_X15), (ZREG_X16));
						}
					dasm_put(Dst, 87835);
#line 11065 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			}
			//|	GET_ZVAL_PTR FCARG1x, op1_addr, TMP1
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 87838, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 87841, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 87844, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 87847, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 87850, (Z_REG(op1_addr)));
				} else {
			dasm_put(Dst, 87853, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
#line 11068 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	GC_DELREF FCARG1x, TMP1w
			dasm_put(Dst, 87857);
#line 11069 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (RC_MAY_BE_1(op1_info)) {
				if (RC_MAY_BE_N(op1_info)) {
					if (jit_return_label >= 0) {
						//|	bne =>jit_return_label
						dasm_put(Dst, 87861, jit_return_label);
#line 11073 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	bne >9
						dasm_put(Dst, 87864);
#line 11075 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				}
				//|	//SAVE_OPLINE()
				//|	ZVAL_DTOR_FUNC op1_info, opline, TMP1
					do {
						if (!((op1_info) & MAY_BE_GUARD)
						 && has_concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
							zend_uchar type = concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
							if (type == IS_STRING && !ZEND_DEBUG) {
					if (arm64_may_use_b(_efree)) {
				dasm_put(Dst, 87867, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
					} else {
					if (((uintptr_t)(_efree)) == 0) {
				dasm_put(Dst, 87870);
					} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
				dasm_put(Dst, 87872, ((uint64_t)(_efree)));
					} else if (arm64_may_use_adr((void*)(_efree))) {
				dasm_put(Dst, 87875, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
					} else if (arm64_may_use_adrp((void*)(_efree))) {
				dasm_put(Dst, 87878, (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
						if (((uintptr_t)(_efree)) & 0xfff) {
				dasm_put(Dst, 87881, (((uintptr_t)(_efree)) & 0xfff));
						}
					} else if ((uintptr_t)(_efree) & 0xffff) {
				dasm_put(Dst, 87884, ((uintptr_t)(_efree) & 0xffff));
						if (((uintptr_t)(_efree) >> 16) & 0xffff) {
				dasm_put(Dst, 87887, (((uintptr_t)(_efree) >> 16) & 0xffff));
						}
						if (((uintptr_t)(_efree) >> 32) & 0xffff) {
				dasm_put(Dst, 87890, (((uintptr_t)(_efree) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
				dasm_put(Dst, 87893, (((uintptr_t)(_efree) >> 16) & 0xffff));
						if (((uintptr_t)(_efree) >> 32) & 0xffff) {
				dasm_put(Dst, 87896, (((uintptr_t)(_efree) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 87899, (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				dasm_put(Dst, 87902);
					}
								break;
							} else if (type == IS_ARRAY) {
								if ((op1_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
									if (opline && ((op1_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 87904, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 87907);
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 87909, ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 87912, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 87915, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 87918, (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 87921, ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 87924, (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 87927, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 87930, (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 87933, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 87936, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 87939, Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
									}
					if (arm64_may_use_b(zend_array_destroy)) {
				dasm_put(Dst, 87942, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
					} else {
					if (((uintptr_t)(zend_array_destroy)) == 0) {
				dasm_put(Dst, 87945);
					} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
				dasm_put(Dst, 87947, ((uint64_t)(zend_array_destroy)));
					} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
				dasm_put(Dst, 87950, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
				dasm_put(Dst, 87953, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
						if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
				dasm_put(Dst, 87956, (((uintptr_t)(zend_array_destroy)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
				dasm_put(Dst, 87959, ((uintptr_t)(zend_array_destroy) & 0xffff));
						if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
				dasm_put(Dst, 87962, (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
				dasm_put(Dst, 87965, (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
				dasm_put(Dst, 87968, (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
						if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
				dasm_put(Dst, 87971, (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 87974, (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				dasm_put(Dst, 87977);
					}
								} else {
					if (arm64_may_use_b(zend_jit_array_free)) {
				dasm_put(Dst, 87979, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
					} else {
					if (((uintptr_t)(zend_jit_array_free)) == 0) {
				dasm_put(Dst, 87982);
					} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
				dasm_put(Dst, 87984, ((uint64_t)(zend_jit_array_free)));
					} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
				dasm_put(Dst, 87987, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
				dasm_put(Dst, 87990, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
						if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
				dasm_put(Dst, 87993, (((uintptr_t)(zend_jit_array_free)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
				dasm_put(Dst, 87996, ((uintptr_t)(zend_jit_array_free) & 0xffff));
						if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
				dasm_put(Dst, 87999, (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
				dasm_put(Dst, 88002, (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
				dasm_put(Dst, 88005, (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
				dasm_put(Dst, 88008, (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 88011, (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				dasm_put(Dst, 88014);
					}
								}
								break;
							} else if (type == IS_OBJECT) {
								if (opline) {
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 88016, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 88019);
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 88021, ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 88024, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 88027, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 88030, (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 88033, ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 88036, (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 88039, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 88042, (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 88045, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 88048, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 88051, Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
								}
					if (arm64_may_use_b(zend_objects_store_del)) {
				dasm_put(Dst, 88054, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
					} else {
					if (((uintptr_t)(zend_objects_store_del)) == 0) {
				dasm_put(Dst, 88057);
					} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
				dasm_put(Dst, 88059, ((uint64_t)(zend_objects_store_del)));
					} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
				dasm_put(Dst, 88062, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
				dasm_put(Dst, 88065, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
						if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
				dasm_put(Dst, 88068, (((uintptr_t)(zend_objects_store_del)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
				dasm_put(Dst, 88071, ((uintptr_t)(zend_objects_store_del) & 0xffff));
						if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
				dasm_put(Dst, 88074, (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
				dasm_put(Dst, 88077, (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
				dasm_put(Dst, 88080, (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
						if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
				dasm_put(Dst, 88083, (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 88086, (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				dasm_put(Dst, 88089);
					}
								break;
							}
						}
						if (opline) {
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 88091, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 88094);
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 88096, ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 88099, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 88102, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 88105, (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 88108, ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 88111, (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 88114, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 88117, (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 88120, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 88123, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 88126, Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
						}
					if (arm64_may_use_b(rc_dtor_func)) {
				dasm_put(Dst, 88129, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
					} else {
					if (((uintptr_t)(rc_dtor_func)) == 0) {
				dasm_put(Dst, 88132);
					} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
				dasm_put(Dst, 88134, ((uint64_t)(rc_dtor_func)));
					} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
				dasm_put(Dst, 88137, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
					} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
				dasm_put(Dst, 88140, (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
						if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
				dasm_put(Dst, 88143, (((uintptr_t)(rc_dtor_func)) & 0xfff));
						}
					} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
				dasm_put(Dst, 88146, ((uintptr_t)(rc_dtor_func) & 0xffff));
						if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
				dasm_put(Dst, 88149, (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
						}
						if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
				dasm_put(Dst, 88152, (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
				dasm_put(Dst, 88155, (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
						if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
				dasm_put(Dst, 88158, (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 88161, (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				dasm_put(Dst, 88164);
					}
					} while(0);
#line 11079 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	//????ldr REG1, EX->return_value // reload ???
			}
			if (return_value_used == -1) {
				if (jit_return_label >= 0) {
					//|	b =>jit_return_label
					dasm_put(Dst, 88166, jit_return_label);
#line 11084 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	b >9
					dasm_put(Dst, 88169);
#line 11086 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|.code
				dasm_put(Dst, 88172);
#line 11088 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
	} else if (return_value_used == -1) {
		if (jit_return_label >= 0) {
			//|	cbz Rx(Z_REG(ret_addr)), =>jit_return_label
			dasm_put(Dst, 88173, (Z_REG(ret_addr)), jit_return_label);
#line 11093 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	cbz Rx(Z_REG(ret_addr)), >9
			dasm_put(Dst, 88177, (Z_REG(ret_addr)));
#line 11095 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	if (return_value_used == 0) {
		//|9:
		dasm_put(Dst, 88181);
#line 11100 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		return 1;
	}

	if (opline->op1_type == IS_CONST) {
		zval *zv = RT_CONSTANT(opline, opline->op1);
		//|	ZVAL_COPY_CONST ret_addr, MAY_BE_ANY, MAY_BE_ANY, zv, ZREG_REG0, ZREG_TMP1, ZREG_FPR0
			if (Z_TYPE_P(zv) > IS_TRUE) {
				if (Z_TYPE_P(zv) == IS_DOUBLE) {
					zend_reg dst_reg = (Z_MODE(ret_addr) == IS_REG) ? Z_REG(ret_addr) : ZREG_V0;
			if (((uintptr_t)(zv)) > MOVZ_IMM && arm64_may_use_adr((void*)(zv))) {
		dasm_put(Dst, 88183, (ZREG_X8), (unsigned int)((ptrdiff_t)(zv)), (unsigned int)(((ptrdiff_t)(zv))>>32), (dst_reg-ZREG_V0), (ZREG_X8));
			} else if (((uintptr_t)(zv)) > MOVZ_IMM && arm64_may_use_adrp((void*)(zv))) {
		dasm_put(Dst, 88190, (ZREG_X8), (unsigned int)((ptrdiff_t)((((uintptr_t)(zv))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zv)))))>>32), (dst_reg-ZREG_V0), (ZREG_X8), (((uintptr_t)(zv)) & 0xfff));
			} else {
			if (((uintptr_t)(zv)) == 0) {
		dasm_put(Dst, 88198, (ZREG_X8));
			} else if (((uintptr_t)(zv)) <= MOVZ_IMM) {
		dasm_put(Dst, 88201, (ZREG_X8), ((uint64_t)(zv)));
			} else if (arm64_may_use_adr((void*)(zv))) {
		dasm_put(Dst, 88205, (ZREG_X8), (unsigned int)((ptrdiff_t)(zv)), (unsigned int)(((ptrdiff_t)(zv))>>32));
			} else if (arm64_may_use_adrp((void*)(zv))) {
		dasm_put(Dst, 88209, (ZREG_X8), (unsigned int)((ptrdiff_t)((((uintptr_t)(zv))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zv)))))>>32));
				if (((uintptr_t)(zv)) & 0xfff) {
		dasm_put(Dst, 88213, (ZREG_X8), (ZREG_X8), (((uintptr_t)(zv)) & 0xfff));
				}
			} else if ((uintptr_t)(zv) & 0xffff) {
		dasm_put(Dst, 88218, (ZREG_X8), ((uintptr_t)(zv) & 0xffff));
				if (((uintptr_t)(zv) >> 16) & 0xffff) {
		dasm_put(Dst, 88222, (ZREG_X8), (((uintptr_t)(zv) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zv) >> 32) & 0xffff) {
		dasm_put(Dst, 88226, (ZREG_X8), (((uintptr_t)(zv) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zv) >> 16) & 0xffff) {
		dasm_put(Dst, 88230, (ZREG_X8), (((uintptr_t)(zv) >> 16) & 0xffff));
				if (((uintptr_t)(zv) >> 32) & 0xffff) {
		dasm_put(Dst, 88234, (ZREG_X8), (((uintptr_t)(zv) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 88238, (ZREG_X8), (((uintptr_t)(zv) >> 32) & 0xffff));
			}
		dasm_put(Dst, 88242, (dst_reg-ZREG_V0), (ZREG_X8));
			}
			if (Z_MODE(ret_addr) == IS_REG) {
				if (dst_reg != Z_REG(ret_addr)) {
		dasm_put(Dst, 88246, (Z_REG(ret_addr)-ZREG_V0), (dst_reg-ZREG_V0));
				}
			} else {
				ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ret_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ret_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 88250, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr))));
			} else if (((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff)) {
		dasm_put(Dst, 88254, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 88258, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 88262, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 88266, (dst_reg-ZREG_V0), (Z_REG(ret_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 88271, (dst_reg-ZREG_V0), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)));
			}
			}
				} else if (Z_TYPE_P(zv) == IS_LONG && MAY_BE_ANY == MAY_BE_DOUBLE) {
					zend_reg dst_reg = (Z_MODE(ret_addr) == IS_REG) ? Z_REG(ret_addr) : ZREG_V0;
			if (Z_LVAL_P(zv) == 0) {
		dasm_put(Dst, 88276, (dst_reg-ZREG_V0));
			} else {
			if (((uint64_t)(Z_LVAL_P(zv))) == 0) {
		dasm_put(Dst, 88279, (ZREG_X8));
			} else if (((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
		dasm_put(Dst, 88282, (ZREG_X8), ((uint64_t)(Z_LVAL_P(zv))));
			} else if (~((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
		dasm_put(Dst, 88286, (ZREG_X8), (~((uint64_t)(Z_LVAL_P(zv)))));
			} else if ((uint64_t)(Z_LVAL_P(zv)) & 0xffff) {
		dasm_put(Dst, 88290, (ZREG_X8), ((uint64_t)(Z_LVAL_P(zv)) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
		dasm_put(Dst, 88294, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
		dasm_put(Dst, 88298, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
		dasm_put(Dst, 88302, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
		dasm_put(Dst, 88306, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
		dasm_put(Dst, 88310, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
		dasm_put(Dst, 88314, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
		dasm_put(Dst, 88318, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
		dasm_put(Dst, 88322, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 88326, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
			}
		dasm_put(Dst, 88330, (dst_reg-ZREG_V0), (ZREG_X8));
			}
			if (Z_MODE(ret_addr) == IS_REG) {
				if (dst_reg != Z_REG(ret_addr)) {
		dasm_put(Dst, 88334, (Z_REG(ret_addr)-ZREG_V0), (dst_reg-ZREG_V0));
				}
			} else {
				ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ret_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ret_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 88338, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr))));
			} else if (((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff)) {
		dasm_put(Dst, 88342, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 88346, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 88350, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 88354, (dst_reg-ZREG_V0), (Z_REG(ret_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 88359, (dst_reg-ZREG_V0), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)));
			}
			}
				} else {
			if (Z_LVAL_P(zv) == 0) {
			if (Z_MODE(ret_addr) == IS_REG) {
		dasm_put(Dst, 88364, (Z_REG(ret_addr)));
			} else {
				ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ret_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ret_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 88367, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr))));
			} else if (((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff)) {
		dasm_put(Dst, 88371, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 88375, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 88379, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 88383, (Z_REG(ret_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 88387, (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)));
			}
			}
			} else {
			if (((uint64_t)(Z_LVAL_P(zv))) == 0) {
		dasm_put(Dst, 88391, (ZREG_X8));
			} else if (((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
		dasm_put(Dst, 88394, (ZREG_X8), ((uint64_t)(Z_LVAL_P(zv))));
			} else if (~((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
		dasm_put(Dst, 88398, (ZREG_X8), (~((uint64_t)(Z_LVAL_P(zv)))));
			} else if ((uint64_t)(Z_LVAL_P(zv)) & 0xffff) {
		dasm_put(Dst, 88402, (ZREG_X8), ((uint64_t)(Z_LVAL_P(zv)) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
		dasm_put(Dst, 88406, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
		dasm_put(Dst, 88410, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
		dasm_put(Dst, 88414, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
		dasm_put(Dst, 88418, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
		dasm_put(Dst, 88422, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
		dasm_put(Dst, 88426, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
		dasm_put(Dst, 88430, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
		dasm_put(Dst, 88434, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 88438, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
			}
			if (Z_MODE(ret_addr) == IS_REG) {
		dasm_put(Dst, 88442, (Z_REG(ret_addr)), (ZREG_X8));
			} else {
				ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ret_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ret_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 88446, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr))));
			} else if (((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff)) {
		dasm_put(Dst, 88450, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 88454, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 88458, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 88462, (ZREG_X8), (Z_REG(ret_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 88467, (ZREG_X8), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)));
			}
			}
			}
				}
			}
			if (Z_MODE(ret_addr) == IS_MEM_ZVAL) {
				if (MAY_BE_ANY == MAY_BE_DOUBLE) {
					if ((MAY_BE_ANY & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != MAY_BE_DOUBLE) {
			ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
			if (((uint32_t)(IS_DOUBLE)) <= MOVZ_IMM) {
		dasm_put(Dst, 88472, (ZREG_X8), ((uint32_t)(IS_DOUBLE)));
			} else if (((uint32_t)(IS_DOUBLE) & 0xffff)) {
		dasm_put(Dst, 88476, (ZREG_X8), ((uint32_t)(IS_DOUBLE) & 0xffff));
				if ((((uint32_t)(IS_DOUBLE) >> 16) & 0xffff)) {
		dasm_put(Dst, 88480, (ZREG_X8), (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 88484, (ZREG_X8), (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 88488, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 88492, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 88496, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 88500, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 88504, (ZREG_X8), (Z_REG(ret_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 88509, (ZREG_X8), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)));
			}
					}
				} else if (((MAY_BE_ANY & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (1<<Z_TYPE_P(zv))) || (MAY_BE_ANY & (MAY_BE_STRING|MAY_BE_ARRAY)) != 0) {
			ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
			if (((uint32_t)(Z_TYPE_INFO_P(zv))) <= MOVZ_IMM) {
		dasm_put(Dst, 88514, (ZREG_X8), ((uint32_t)(Z_TYPE_INFO_P(zv))));
			} else if (((uint32_t)(Z_TYPE_INFO_P(zv)) & 0xffff)) {
		dasm_put(Dst, 88518, (ZREG_X8), ((uint32_t)(Z_TYPE_INFO_P(zv)) & 0xffff));
				if ((((uint32_t)(Z_TYPE_INFO_P(zv)) >> 16) & 0xffff)) {
		dasm_put(Dst, 88522, (ZREG_X8), (((uint32_t)(Z_TYPE_INFO_P(zv)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 88526, (ZREG_X8), (((uint32_t)(Z_TYPE_INFO_P(zv)) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 88530, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 88534, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 88538, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 88542, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 88546, (ZREG_X8), (Z_REG(ret_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 88551, (ZREG_X8), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)));
			}
				}
			}
#line 11106 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (Z_REFCOUNTED_P(zv)) {
			//|	ADDREF_CONST zv, REG0, TMP1
				if (((uintptr_t)(Z_PTR_P(zv))) == 0) {
			dasm_put(Dst, 88556);
				} else if (((uintptr_t)(Z_PTR_P(zv))) <= MOVZ_IMM) {
			dasm_put(Dst, 88558, ((uint64_t)(Z_PTR_P(zv))));
				} else if (arm64_may_use_adr((void*)(Z_PTR_P(zv)))) {
			dasm_put(Dst, 88561, (unsigned int)((ptrdiff_t)(Z_PTR_P(zv))), (unsigned int)(((ptrdiff_t)(Z_PTR_P(zv)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_PTR_P(zv)))) {
			dasm_put(Dst, 88564, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_PTR_P(zv)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_PTR_P(zv))))))>>32));
					if (((uintptr_t)(Z_PTR_P(zv))) & 0xfff) {
			dasm_put(Dst, 88567, (((uintptr_t)(Z_PTR_P(zv))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_PTR_P(zv)) & 0xffff) {
			dasm_put(Dst, 88570, ((uintptr_t)(Z_PTR_P(zv)) & 0xffff));
					if (((uintptr_t)(Z_PTR_P(zv)) >> 16) & 0xffff) {
			dasm_put(Dst, 88573, (((uintptr_t)(Z_PTR_P(zv)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 88576, (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_PTR_P(zv)) >> 16) & 0xffff) {
			dasm_put(Dst, 88579, (((uintptr_t)(Z_PTR_P(zv)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 88582, (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 88585, (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 88588);
#line 11108 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else if (opline->op1_type == IS_TMP_VAR) {
		//|	ZVAL_COPY_VALUE ret_addr, MAY_BE_ANY, op1_addr, op1_info, ZREG_REG0, ZREG_REG2, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
			if (op1_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
				if ((op1_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
					if (Z_MODE(op1_addr) == IS_REG) {
						if (Z_MODE(ret_addr) != IS_REG || Z_REG(ret_addr) != Z_REG(op1_addr)) {
			if (Z_MODE(ret_addr) == IS_REG) {
		dasm_put(Dst, 88592, (Z_REG(ret_addr)), (Z_REG(op1_addr)));
			} else {
				ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ret_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ret_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 88596, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr))));
			} else if (((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff)) {
		dasm_put(Dst, 88600, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 88604, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 88608, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 88612, (Z_REG(op1_addr)), (Z_REG(ret_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 88617, (Z_REG(op1_addr)), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)));
			}
			}
						}
					} else if (Z_MODE(ret_addr) == IS_REG) {
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 88622, (Z_REG(ret_addr)));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 88625, (Z_REG(ret_addr)));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 88628, (Z_REG(ret_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 88632, (Z_REG(ret_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 88636, (Z_REG(ret_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 88640, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 88644, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 88648, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 88652, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 88656, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 88660, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 88664, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 88668, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 88672, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 88676, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 88680, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 88684, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 88688, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 88692, (Z_REG(ret_addr)), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 88697, (Z_REG(ret_addr)), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (Z_REG(ret_addr) != Z_REG(op1_addr)) {
		dasm_put(Dst, 88702, (Z_REG(ret_addr)), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
					} else {
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 88706, (ZREG_X10));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 88709, (ZREG_X10));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 88712, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 88716, (ZREG_X10), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 88720, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 88724, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 88728, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 88732, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 88736, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 88740, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 88744, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 88748, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 88752, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 88756, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 88760, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 88764, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 88768, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 88772, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 88776, (ZREG_X10), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 88781, (ZREG_X10), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (ZREG_X10 != Z_REG(op1_addr)) {
		dasm_put(Dst, 88786, (ZREG_X10), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
			if (Z_MODE(ret_addr) == IS_REG) {
		dasm_put(Dst, 88790, (Z_REG(ret_addr)), (ZREG_X10));
			} else {
				ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ret_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ret_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 88794, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr))));
			} else if (((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff)) {
		dasm_put(Dst, 88798, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 88802, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 88806, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 88810, (ZREG_X10), (Z_REG(ret_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 88815, (ZREG_X10), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)));
			}
			}
					}
				} else if ((op1_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
					if (Z_MODE(op1_addr) == IS_REG) {
			if (Z_MODE(ret_addr) == IS_REG) {
				if (Z_REG(op1_addr) != Z_REG(ret_addr)) {
		dasm_put(Dst, 88820, (Z_REG(ret_addr)-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
				}
			} else {
				ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ret_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ret_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 88824, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr))));
			} else if (((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff)) {
		dasm_put(Dst, 88828, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 88832, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 88836, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 88840, (Z_REG(op1_addr)-ZREG_V0), (Z_REG(ret_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 88845, (Z_REG(op1_addr)-ZREG_V0), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)));
			}
			}
					} else if (Z_MODE(ret_addr) == IS_REG) {
			if (Z_MODE(op1_addr) != IS_REG || Z_REG(ret_addr) != Z_REG(op1_addr)) {
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 88850, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (Z_REG(ret_addr)-ZREG_V0), (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 88857, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (Z_REG(ret_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
			} else {
			if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
		dasm_put(Dst, 88865, (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 88868, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 88872, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 88876, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
		dasm_put(Dst, 88880, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
		dasm_put(Dst, 88885, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 88889, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 88893, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 88897, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 88901, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 88905, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
		dasm_put(Dst, 88909, (Z_REG(ret_addr)-ZREG_V0), (ZREG_X15));
			}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 88913, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 88917, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 88921, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 88925, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 88929, (Z_REG(ret_addr)-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 88934, (Z_REG(ret_addr)-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
				} else if (Z_MODE(op1_addr) == IS_REG) {
		dasm_put(Dst, 88939, (Z_REG(ret_addr)-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
				} else {
					ZEND_UNREACHABLE();
				}
			}
					} else {
			if (Z_MODE(op1_addr) != IS_REG || ZREG_V0 != Z_REG(op1_addr)) {
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 88943, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 88950, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
			} else {
			if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
		dasm_put(Dst, 88958, (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 88961, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 88965, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 88969, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
		dasm_put(Dst, 88973, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
		dasm_put(Dst, 88978, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 88982, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 88986, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 88990, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 88994, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 88998, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
		dasm_put(Dst, 89002, (ZREG_V0-ZREG_V0), (ZREG_X15));
			}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 89006, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 89010, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 89014, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 89018, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 89022, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 89027, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
				} else if (Z_MODE(op1_addr) == IS_REG) {
		dasm_put(Dst, 89032, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
				} else {
					ZEND_UNREACHABLE();
				}
			}
			if (Z_MODE(ret_addr) == IS_REG) {
				if (ZREG_V0 != Z_REG(ret_addr)) {
		dasm_put(Dst, 89036, (Z_REG(ret_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
				}
			} else {
				ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ret_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ret_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 89040, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr))));
			} else if (((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff)) {
		dasm_put(Dst, 89044, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 89048, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 89052, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 89056, (ZREG_V0-ZREG_V0), (Z_REG(ret_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 89061, (ZREG_V0-ZREG_V0), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)));
			}
			}
					}
				// Combine the following two branches.
				// } else if (!(op1_info & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
				} else {
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 89066, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 89070, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 89074, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 89078, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 89082, (ZREG_X10), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 89087, (ZREG_X10), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ret_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ret_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 89092, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr))));
			} else if (((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff)) {
		dasm_put(Dst, 89096, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 89100, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 89104, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 89108, (ZREG_X10), (Z_REG(ret_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 89113, (ZREG_X10), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)));
			}
				}
			}
			if ((op1_info & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
				!(op1_info & MAY_BE_GUARD) &&
				has_concrete_type(op1_info & MAY_BE_ANY)) {
				if (Z_MODE(ret_addr) == IS_MEM_ZVAL) {
					if ((MAY_BE_ANY & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (op1_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD))) {
						uint32_t type = concrete_type(op1_info);
			ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
			if (((uint32_t)(type)) <= MOVZ_IMM) {
		dasm_put(Dst, 89118, (ZREG_X15), ((uint32_t)(type)));
			} else if (((uint32_t)(type) & 0xffff)) {
		dasm_put(Dst, 89122, (ZREG_X15), ((uint32_t)(type) & 0xffff));
				if ((((uint32_t)(type) >> 16) & 0xffff)) {
		dasm_put(Dst, 89126, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 89130, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 89134, (ZREG_X16), ((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 89138, (ZREG_X16), ((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 89142, (ZREG_X16), (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 89146, (ZREG_X16), (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 89150, (ZREG_X15), (Z_REG(ret_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 89155, (ZREG_X15), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)));
			}
					}
				}
			} else {
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 89160, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 89164, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 89168, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 89172, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 89176, (ZREG_X8), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 89181, (ZREG_X8), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)));
			}
			ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 89186, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 89190, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 89194, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 89198, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 89202, (ZREG_X8), (Z_REG(ret_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 89207, (ZREG_X8), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)));
			}
			}
#line 11111 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else if (opline->op1_type == IS_CV) {
		if (op1_info & MAY_BE_REF) {
			//|	LOAD_ZVAL_ADDR REG0, op1_addr
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
			dasm_put(Dst, 89212);
				} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 89214, ((uint64_t)(Z_ZV(op1_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 89217, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 89220, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
			dasm_put(Dst, 89223, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
			dasm_put(Dst, 89226, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 89229, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 89232, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 89235, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 89238, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 89241, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(op1_addr)) {
				if (Z_OFFSET(op1_addr) == 0) {
			dasm_put(Dst, 89244, (Z_REG(op1_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
			dasm_put(Dst, 89247, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 89251, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 89254, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 89257, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 89260, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 89263, (Z_REG(op1_addr)));
				}
					} else {
						if (Z_REG(op1_addr) == ZREG_RSP) {
			dasm_put(Dst, 89266);
						} else {
			dasm_put(Dst, 89268, (Z_REG(op1_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 11114 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	ZVAL_DEREF REG0, op1_info, TMP1w
				if (op1_info & MAY_BE_REF) {
			dasm_put(Dst, 89271, offsetof(zval, u1.v.type));
				if (IS_REFERENCE == 0) {
			dasm_put(Dst, 89274);
				} else {
			dasm_put(Dst, 89277, IS_REFERENCE);
				}
			dasm_put(Dst, 89282, offsetof(zend_reference, val));
				}
#line 11115 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			op1_addr = ZEND_ADDR_MEM_ZVAL(ZREG_REG0, 0);
		}
		//|	ZVAL_COPY_VALUE ret_addr, MAY_BE_ANY, op1_addr, op1_info, ZREG_REG0, ZREG_REG2, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
			if (op1_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
				if ((op1_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
					if (Z_MODE(op1_addr) == IS_REG) {
						if (Z_MODE(ret_addr) != IS_REG || Z_REG(ret_addr) != Z_REG(op1_addr)) {
			if (Z_MODE(ret_addr) == IS_REG) {
		dasm_put(Dst, 89287, (Z_REG(ret_addr)), (Z_REG(op1_addr)));
			} else {
				ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ret_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ret_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 89291, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr))));
			} else if (((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff)) {
		dasm_put(Dst, 89295, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 89299, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 89303, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 89307, (Z_REG(op1_addr)), (Z_REG(ret_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 89312, (Z_REG(op1_addr)), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)));
			}
			}
						}
					} else if (Z_MODE(ret_addr) == IS_REG) {
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 89317, (Z_REG(ret_addr)));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 89320, (Z_REG(ret_addr)));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 89323, (Z_REG(ret_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 89327, (Z_REG(ret_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 89331, (Z_REG(ret_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 89335, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 89339, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 89343, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 89347, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 89351, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 89355, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 89359, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 89363, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 89367, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 89371, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 89375, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 89379, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 89383, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 89387, (Z_REG(ret_addr)), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 89392, (Z_REG(ret_addr)), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (Z_REG(ret_addr) != Z_REG(op1_addr)) {
		dasm_put(Dst, 89397, (Z_REG(ret_addr)), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
					} else {
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 89401, (ZREG_X10));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 89404, (ZREG_X10));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 89407, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 89411, (ZREG_X10), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 89415, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 89419, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 89423, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 89427, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 89431, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 89435, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 89439, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 89443, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 89447, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 89451, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 89455, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 89459, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 89463, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 89467, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 89471, (ZREG_X10), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 89476, (ZREG_X10), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (ZREG_X10 != Z_REG(op1_addr)) {
		dasm_put(Dst, 89481, (ZREG_X10), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
			if (Z_MODE(ret_addr) == IS_REG) {
		dasm_put(Dst, 89485, (Z_REG(ret_addr)), (ZREG_X10));
			} else {
				ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ret_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ret_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 89489, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr))));
			} else if (((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff)) {
		dasm_put(Dst, 89493, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 89497, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 89501, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 89505, (ZREG_X10), (Z_REG(ret_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 89510, (ZREG_X10), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)));
			}
			}
					}
				} else if ((op1_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
					if (Z_MODE(op1_addr) == IS_REG) {
			if (Z_MODE(ret_addr) == IS_REG) {
				if (Z_REG(op1_addr) != Z_REG(ret_addr)) {
		dasm_put(Dst, 89515, (Z_REG(ret_addr)-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
				}
			} else {
				ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ret_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ret_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 89519, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr))));
			} else if (((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff)) {
		dasm_put(Dst, 89523, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 89527, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 89531, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 89535, (Z_REG(op1_addr)-ZREG_V0), (Z_REG(ret_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 89540, (Z_REG(op1_addr)-ZREG_V0), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)));
			}
			}
					} else if (Z_MODE(ret_addr) == IS_REG) {
			if (Z_MODE(op1_addr) != IS_REG || Z_REG(ret_addr) != Z_REG(op1_addr)) {
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 89545, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (Z_REG(ret_addr)-ZREG_V0), (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 89552, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (Z_REG(ret_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
			} else {
			if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
		dasm_put(Dst, 89560, (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 89563, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 89567, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 89571, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
		dasm_put(Dst, 89575, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
		dasm_put(Dst, 89580, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 89584, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 89588, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 89592, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 89596, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 89600, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
		dasm_put(Dst, 89604, (Z_REG(ret_addr)-ZREG_V0), (ZREG_X15));
			}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 89608, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 89612, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 89616, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 89620, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 89624, (Z_REG(ret_addr)-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 89629, (Z_REG(ret_addr)-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
				} else if (Z_MODE(op1_addr) == IS_REG) {
		dasm_put(Dst, 89634, (Z_REG(ret_addr)-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
				} else {
					ZEND_UNREACHABLE();
				}
			}
					} else {
			if (Z_MODE(op1_addr) != IS_REG || ZREG_V0 != Z_REG(op1_addr)) {
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 89638, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 89645, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
			} else {
			if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
		dasm_put(Dst, 89653, (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 89656, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 89660, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 89664, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
		dasm_put(Dst, 89668, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
		dasm_put(Dst, 89673, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 89677, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 89681, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 89685, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 89689, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 89693, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
		dasm_put(Dst, 89697, (ZREG_V0-ZREG_V0), (ZREG_X15));
			}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 89701, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 89705, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 89709, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 89713, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 89717, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 89722, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
				} else if (Z_MODE(op1_addr) == IS_REG) {
		dasm_put(Dst, 89727, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
				} else {
					ZEND_UNREACHABLE();
				}
			}
			if (Z_MODE(ret_addr) == IS_REG) {
				if (ZREG_V0 != Z_REG(ret_addr)) {
		dasm_put(Dst, 89731, (Z_REG(ret_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
				}
			} else {
				ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ret_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ret_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 89735, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr))));
			} else if (((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff)) {
		dasm_put(Dst, 89739, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 89743, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 89747, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 89751, (ZREG_V0-ZREG_V0), (Z_REG(ret_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 89756, (ZREG_V0-ZREG_V0), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)));
			}
			}
					}
				// Combine the following two branches.
				// } else if (!(op1_info & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
				} else {
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 89761, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 89765, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 89769, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 89773, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 89777, (ZREG_X10), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 89782, (ZREG_X10), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ret_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ret_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 89787, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr))));
			} else if (((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff)) {
		dasm_put(Dst, 89791, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 89795, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 89799, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 89803, (ZREG_X10), (Z_REG(ret_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 89808, (ZREG_X10), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)));
			}
				}
			}
			if ((op1_info & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
				!(op1_info & MAY_BE_GUARD) &&
				has_concrete_type(op1_info & MAY_BE_ANY)) {
				if (Z_MODE(ret_addr) == IS_MEM_ZVAL) {
					if ((MAY_BE_ANY & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (op1_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD))) {
						uint32_t type = concrete_type(op1_info);
			ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
			if (((uint32_t)(type)) <= MOVZ_IMM) {
		dasm_put(Dst, 89813, (ZREG_X15), ((uint32_t)(type)));
			} else if (((uint32_t)(type) & 0xffff)) {
		dasm_put(Dst, 89817, (ZREG_X15), ((uint32_t)(type) & 0xffff));
				if ((((uint32_t)(type) >> 16) & 0xffff)) {
		dasm_put(Dst, 89821, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 89825, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 89829, (ZREG_X16), ((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 89833, (ZREG_X16), ((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 89837, (ZREG_X16), (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 89841, (ZREG_X16), (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 89845, (ZREG_X15), (Z_REG(ret_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 89850, (ZREG_X15), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)));
			}
					}
				}
			} else {
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 89855, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 89859, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 89863, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 89867, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 89871, (ZREG_X8), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 89876, (ZREG_X8), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)));
			}
			ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 89881, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 89885, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 89889, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 89893, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 89897, (ZREG_X8), (Z_REG(ret_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 89902, (ZREG_X8), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)));
			}
			}
#line 11118 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (op1_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) {
			if (JIT_G(trigger) != ZEND_JIT_ON_HOT_TRACE ||
			    (op1_info & (MAY_BE_REF|MAY_BE_OBJECT)) ||
			    !op_array->function_name) {
				//|	TRY_ADDREF op1_info, REG0w, REG2, TMP1w
					if (op1_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) {
						if (op1_info & (MAY_BE_ANY-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if ((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT) == 0) {
				dasm_put(Dst, 89907);
					} else if (logical_immediate_p((uint32_t)(IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT), 32)) {
				dasm_put(Dst, 89909, (IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT));
					} else {
					if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))) <= MOVZ_IMM) {
				dasm_put(Dst, 89912, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))));
					} else if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff)) {
				dasm_put(Dst, 89915, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff));
						if ((((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff)) {
				dasm_put(Dst, 89918, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 89921, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 89924);
					}
				dasm_put(Dst, 89926);
						}
				dasm_put(Dst, 89929);
					}
#line 11123 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else if (return_value_used != 1) {
				//|	// if (EXPECTED(!(EX_CALL_INFO() & ZEND_CALL_CODE))) ZVAL_NULL(retval_ptr);
				//|	SET_ZVAL_TYPE_INFO op1_addr, IS_NULL, TMP1w, TMP2
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uint32_t)(IS_NULL)) <= MOVZ_IMM) {
				dasm_put(Dst, 89934, ((uint32_t)(IS_NULL)));
					} else if (((uint32_t)(IS_NULL) & 0xffff)) {
				dasm_put(Dst, 89937, ((uint32_t)(IS_NULL) & 0xffff));
						if ((((uint32_t)(IS_NULL) >> 16) & 0xffff)) {
				dasm_put(Dst, 89940, (((uint32_t)(IS_NULL) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 89943, (((uint32_t)(IS_NULL) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 89946, ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 89949, ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 89952, (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 89955, (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 89958, (Z_REG(op1_addr)));
					} else {
				dasm_put(Dst, 89961, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)));
					}
#line 11126 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
	} else {
		if (op1_info & MAY_BE_REF) {
			zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_REG0, offsetof(zend_reference, val));

			//|	IF_ZVAL_TYPE op1_addr, IS_REFERENCE, >1, ZREG_TMP1
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 89965, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 89969, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 89973, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 89977, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 89981, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 89986, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_REFERENCE == 0) {
			dasm_put(Dst, 89991, (ZREG_X15));
				} else {
			dasm_put(Dst, 89995, (ZREG_X15), IS_REFERENCE);
				}
#line 11133 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|.cold_code
			dasm_put(Dst, 90001);
#line 11134 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|1:
			//|	// zend_refcounted *ref = Z_COUNTED_P(retval_ptr);
			//|	GET_ZVAL_PTR REG0, op1_addr, TMP1
			dasm_put(Dst, 90002);
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 90004, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 90007, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 90010, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 90013, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 90016, (Z_REG(op1_addr)));
				} else {
			dasm_put(Dst, 90019, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
#line 11137 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	// ZVAL_COPY_VALUE(return_value, &ref->value);
			//|	ZVAL_COPY_VALUE ret_addr, MAY_BE_ANY, ref_addr, op1_info, ZREG_REG2, ZREG_REG2, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
				if (op1_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
					if ((op1_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
						if (Z_MODE(ref_addr) == IS_REG) {
							if (Z_MODE(ret_addr) != IS_REG || Z_REG(ret_addr) != Z_REG(ref_addr)) {
				if (Z_MODE(ret_addr) == IS_REG) {
			dasm_put(Dst, 90023, (Z_REG(ret_addr)), (Z_REG(ref_addr)));
				} else {
					ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ret_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(ret_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 90027, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr))));
				} else if (((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff)) {
			dasm_put(Dst, 90031, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 90035, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 90039, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 90043, (Z_REG(ref_addr)), (Z_REG(ret_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 90048, (Z_REG(ref_addr)), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)));
				}
				}
							}
						} else if (Z_MODE(ret_addr) == IS_REG) {
				if (Z_MODE(ref_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(ref_addr)) == 0) {
			dasm_put(Dst, 90053, (Z_REG(ret_addr)));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))) == 0) {
			dasm_put(Dst, 90056, (Z_REG(ret_addr)));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 90059, (Z_REG(ret_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 90063, (Z_REG(ret_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) & 0xffff) {
			dasm_put(Dst, 90067, (Z_REG(ret_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 90071, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 90075, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 90079, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 90083, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 90087, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 90091, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 90095, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 90099, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 90103, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(ref_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 90107, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
			dasm_put(Dst, 90111, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 90115, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 90119, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 90123, (Z_REG(ret_addr)), (Z_REG(ref_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 90128, (Z_REG(ret_addr)), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
				}
				} else if (Z_MODE(ref_addr) == IS_REG) {
					if (Z_REG(ret_addr) != Z_REG(ref_addr)) {
			dasm_put(Dst, 90133, (Z_REG(ret_addr)), (Z_REG(ref_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
						} else {
				if (Z_MODE(ref_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(ref_addr)) == 0) {
			dasm_put(Dst, 90137, (ZREG_X10));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))) == 0) {
			dasm_put(Dst, 90140, (ZREG_X10));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 90143, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 90147, (ZREG_X10), (~((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) & 0xffff) {
			dasm_put(Dst, 90151, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 90155, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 90159, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 90163, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 90167, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 90171, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 90175, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 90179, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 90183, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 90187, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(ref_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 90191, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
			dasm_put(Dst, 90195, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 90199, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 90203, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 90207, (ZREG_X10), (Z_REG(ref_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 90212, (ZREG_X10), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
				}
				} else if (Z_MODE(ref_addr) == IS_REG) {
					if (ZREG_X10 != Z_REG(ref_addr)) {
			dasm_put(Dst, 90217, (ZREG_X10), (Z_REG(ref_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
				if (Z_MODE(ret_addr) == IS_REG) {
			dasm_put(Dst, 90221, (Z_REG(ret_addr)), (ZREG_X10));
				} else {
					ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ret_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(ret_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 90225, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr))));
				} else if (((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff)) {
			dasm_put(Dst, 90229, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 90233, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 90237, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 90241, (ZREG_X10), (Z_REG(ret_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 90246, (ZREG_X10), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)));
				}
				}
						}
					} else if ((op1_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
						if (Z_MODE(ref_addr) == IS_REG) {
				if (Z_MODE(ret_addr) == IS_REG) {
					if (Z_REG(ref_addr) != Z_REG(ret_addr)) {
			dasm_put(Dst, 90251, (Z_REG(ret_addr)-ZREG_V0), (Z_REG(ref_addr)-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ret_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(ret_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 90255, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr))));
				} else if (((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff)) {
			dasm_put(Dst, 90259, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 90263, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 90267, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 90271, (Z_REG(ref_addr)-ZREG_V0), (Z_REG(ret_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 90276, (Z_REG(ref_addr)-ZREG_V0), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)));
				}
				}
						} else if (Z_MODE(ret_addr) == IS_REG) {
				if (Z_MODE(ref_addr) != IS_REG || Z_REG(ret_addr) != Z_REG(ref_addr)) {
					if (Z_MODE(ref_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(ref_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(ref_addr)))) {
			dasm_put(Dst, 90281, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(ref_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(ref_addr)))>>32), (Z_REG(ret_addr)-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(ref_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(ref_addr)))) {
			dasm_put(Dst, 90288, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr))))))>>32), (Z_REG(ret_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(ref_addr))) == 0) {
			dasm_put(Dst, 90296, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(ref_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 90299, (ZREG_X15), ((uint64_t)(Z_ZV(ref_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(ref_addr)))) {
			dasm_put(Dst, 90303, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(ref_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(ref_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(ref_addr)))) {
			dasm_put(Dst, 90307, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(ref_addr))) & 0xfff) {
			dasm_put(Dst, 90311, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(ref_addr)) & 0xffff) {
			dasm_put(Dst, 90316, (ZREG_X15), ((uintptr_t)(Z_ZV(ref_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 90320, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 90324, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 90328, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 90332, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 90336, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 90340, (Z_REG(ret_addr)-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(ref_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 90344, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
			dasm_put(Dst, 90348, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 90352, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 90356, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 90360, (Z_REG(ret_addr)-ZREG_V0), (Z_REG(ref_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 90365, (Z_REG(ret_addr)-ZREG_V0), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
				}
					} else if (Z_MODE(ref_addr) == IS_REG) {
			dasm_put(Dst, 90370, (Z_REG(ret_addr)-ZREG_V0), (Z_REG(ref_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
						} else {
				if (Z_MODE(ref_addr) != IS_REG || ZREG_V0 != Z_REG(ref_addr)) {
					if (Z_MODE(ref_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(ref_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(ref_addr)))) {
			dasm_put(Dst, 90374, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(ref_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(ref_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(ref_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(ref_addr)))) {
			dasm_put(Dst, 90381, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(ref_addr))) == 0) {
			dasm_put(Dst, 90389, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(ref_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 90392, (ZREG_X15), ((uint64_t)(Z_ZV(ref_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(ref_addr)))) {
			dasm_put(Dst, 90396, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(ref_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(ref_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(ref_addr)))) {
			dasm_put(Dst, 90400, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(ref_addr))) & 0xfff) {
			dasm_put(Dst, 90404, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(ref_addr)) & 0xffff) {
			dasm_put(Dst, 90409, (ZREG_X15), ((uintptr_t)(Z_ZV(ref_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 90413, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 90417, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 90421, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 90425, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 90429, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 90433, (ZREG_V0-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(ref_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 90437, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
			dasm_put(Dst, 90441, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 90445, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 90449, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 90453, (ZREG_V0-ZREG_V0), (Z_REG(ref_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 90458, (ZREG_V0-ZREG_V0), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
				}
					} else if (Z_MODE(ref_addr) == IS_REG) {
			dasm_put(Dst, 90463, (ZREG_V0-ZREG_V0), (Z_REG(ref_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
				if (Z_MODE(ret_addr) == IS_REG) {
					if (ZREG_V0 != Z_REG(ret_addr)) {
			dasm_put(Dst, 90467, (Z_REG(ret_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ret_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(ret_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 90471, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr))));
				} else if (((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff)) {
			dasm_put(Dst, 90475, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 90479, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 90483, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 90487, (ZREG_V0-ZREG_V0), (Z_REG(ret_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 90492, (ZREG_V0-ZREG_V0), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)));
				}
				}
						}
					// Combine the following two branches.
					// } else if (!(op1_info & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
					} else {
				ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 90497, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
			dasm_put(Dst, 90501, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 90505, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 90509, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 90513, (ZREG_X10), (Z_REG(ref_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 90518, (ZREG_X10), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
				}
				ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ret_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(ret_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 90523, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr))));
				} else if (((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff)) {
			dasm_put(Dst, 90527, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 90531, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 90535, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 90539, (ZREG_X10), (Z_REG(ret_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 90544, (ZREG_X10), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)));
				}
					}
				}
				if ((op1_info & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
					!(op1_info & MAY_BE_GUARD) &&
					has_concrete_type(op1_info & MAY_BE_ANY)) {
					if (Z_MODE(ret_addr) == IS_MEM_ZVAL) {
						if ((MAY_BE_ANY & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (op1_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD))) {
							uint32_t type = concrete_type(op1_info);
				ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(type)) <= MOVZ_IMM) {
			dasm_put(Dst, 90549, (ZREG_X15), ((uint32_t)(type)));
				} else if (((uint32_t)(type) & 0xffff)) {
			dasm_put(Dst, 90553, (ZREG_X15), ((uint32_t)(type) & 0xffff));
					if ((((uint32_t)(type) >> 16) & 0xffff)) {
			dasm_put(Dst, 90557, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 90561, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 90565, (ZREG_X16), ((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 90569, (ZREG_X16), ((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 90573, (ZREG_X16), (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 90577, (ZREG_X16), (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 90581, (ZREG_X15), (Z_REG(ret_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 90586, (ZREG_X15), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)));
				}
						}
					}
				} else {
				ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 90591, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 90595, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 90599, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 90603, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 90607, (ZREG_X10), (Z_REG(ref_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 90612, (ZREG_X10), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)));
				}
				ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 90617, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 90621, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 90625, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 90629, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 90633, (ZREG_X10), (Z_REG(ret_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 90638, (ZREG_X10), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)));
				}
				}
#line 11139 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	GC_DELREF REG0, TMP1w
			//|	beq >2
			//|	// if (IS_REFCOUNTED())
			dasm_put(Dst, 90643);
#line 11142 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (jit_return_label >= 0) {
				//|	IF_NOT_REFCOUNTED REG2w, =>jit_return_label, TMP1w
					if ((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT) == 0) {
				dasm_put(Dst, 90649);
					} else if (logical_immediate_p((uint32_t)(IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT), 32)) {
				dasm_put(Dst, 90651, (IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT));
					} else {
					if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))) <= MOVZ_IMM) {
				dasm_put(Dst, 90654, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))));
					} else if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff)) {
				dasm_put(Dst, 90657, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff));
						if ((((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff)) {
				dasm_put(Dst, 90660, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 90663, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 90666);
					}
				dasm_put(Dst, 90668, jit_return_label);
#line 11144 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	IF_NOT_REFCOUNTED REG2w, >9, TMP1w
					if ((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT) == 0) {
				dasm_put(Dst, 90671);
					} else if (logical_immediate_p((uint32_t)(IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT), 32)) {
				dasm_put(Dst, 90673, (IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT));
					} else {
					if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))) <= MOVZ_IMM) {
				dasm_put(Dst, 90676, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))));
					} else if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff)) {
				dasm_put(Dst, 90679, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff));
						if ((((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff)) {
				dasm_put(Dst, 90682, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 90685, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 90688);
					}
				dasm_put(Dst, 90690);
#line 11146 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	// ADDREF
			//|	GET_ZVAL_PTR REG2, ret_addr, TMP1 // reload
				ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ret_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(ret_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 90693, ((uint32_t)(Z_OFFSET(ret_addr))));
				} else if (((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff)) {
			dasm_put(Dst, 90696, ((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 90699, (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 90702, (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 90705, (Z_REG(ret_addr)));
				} else {
			dasm_put(Dst, 90708, (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)));
				}
#line 11149 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	GC_ADDREF REG2, TMP1w
			dasm_put(Dst, 90712);
#line 11150 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (jit_return_label >= 0) {
				//|	b =>jit_return_label
				dasm_put(Dst, 90716, jit_return_label);
#line 11152 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	b >9
				dasm_put(Dst, 90719);
#line 11154 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|2:
			//|	mov FCARG1x, REG0
			//|	EFREE_REFERENCE
			dasm_put(Dst, 90722);
			#if ZEND_DEBUG
			dasm_put(Dst, 90725);
				if (arm64_may_use_b(_efree)) {
			dasm_put(Dst, 90730, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
				} else {
				if (((uintptr_t)(_efree)) == 0) {
			dasm_put(Dst, 90733);
				} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
			dasm_put(Dst, 90735, ((uint64_t)(_efree)));
				} else if (arm64_may_use_adr((void*)(_efree))) {
			dasm_put(Dst, 90738, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
				} else if (arm64_may_use_adrp((void*)(_efree))) {
			dasm_put(Dst, 90741, (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
					if (((uintptr_t)(_efree)) & 0xfff) {
			dasm_put(Dst, 90744, (((uintptr_t)(_efree)) & 0xfff));
					}
				} else if ((uintptr_t)(_efree) & 0xffff) {
			dasm_put(Dst, 90747, ((uintptr_t)(_efree) & 0xffff));
					if (((uintptr_t)(_efree) >> 16) & 0xffff) {
			dasm_put(Dst, 90750, (((uintptr_t)(_efree) >> 16) & 0xffff));
					}
					if (((uintptr_t)(_efree) >> 32) & 0xffff) {
			dasm_put(Dst, 90753, (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
			dasm_put(Dst, 90756, (((uintptr_t)(_efree) >> 16) & 0xffff));
					if (((uintptr_t)(_efree) >> 32) & 0xffff) {
			dasm_put(Dst, 90759, (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 90762, (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			dasm_put(Dst, 90765);
				}
			#else
			#ifdef HAVE_BUILTIN_CONSTANT_P
				if (arm64_may_use_b(_efree_32)) {
			dasm_put(Dst, 90767, (unsigned int)((ptrdiff_t)(_efree_32)), (unsigned int)(((ptrdiff_t)(_efree_32))>>32));
				} else {
				if (((uintptr_t)(_efree_32)) == 0) {
			dasm_put(Dst, 90770);
				} else if (((uintptr_t)(_efree_32)) <= MOVZ_IMM) {
			dasm_put(Dst, 90772, ((uint64_t)(_efree_32)));
				} else if (arm64_may_use_adr((void*)(_efree_32))) {
			dasm_put(Dst, 90775, (unsigned int)((ptrdiff_t)(_efree_32)), (unsigned int)(((ptrdiff_t)(_efree_32))>>32));
				} else if (arm64_may_use_adrp((void*)(_efree_32))) {
			dasm_put(Dst, 90778, (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree_32))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree_32)))))>>32));
					if (((uintptr_t)(_efree_32)) & 0xfff) {
			dasm_put(Dst, 90781, (((uintptr_t)(_efree_32)) & 0xfff));
					}
				} else if ((uintptr_t)(_efree_32) & 0xffff) {
			dasm_put(Dst, 90784, ((uintptr_t)(_efree_32) & 0xffff));
					if (((uintptr_t)(_efree_32) >> 16) & 0xffff) {
			dasm_put(Dst, 90787, (((uintptr_t)(_efree_32) >> 16) & 0xffff));
					}
					if (((uintptr_t)(_efree_32) >> 32) & 0xffff) {
			dasm_put(Dst, 90790, (((uintptr_t)(_efree_32) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(_efree_32) >> 16) & 0xffff) {
			dasm_put(Dst, 90793, (((uintptr_t)(_efree_32) >> 16) & 0xffff));
					if (((uintptr_t)(_efree_32) >> 32) & 0xffff) {
			dasm_put(Dst, 90796, (((uintptr_t)(_efree_32) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 90799, (((uintptr_t)(_efree_32) >> 32) & 0xffff));
				}
			dasm_put(Dst, 90802);
				}
			#else
				if (arm64_may_use_b(_efree)) {
			dasm_put(Dst, 90804, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
				} else {
				if (((uintptr_t)(_efree)) == 0) {
			dasm_put(Dst, 90807);
				} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
			dasm_put(Dst, 90809, ((uint64_t)(_efree)));
				} else if (arm64_may_use_adr((void*)(_efree))) {
			dasm_put(Dst, 90812, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
				} else if (arm64_may_use_adrp((void*)(_efree))) {
			dasm_put(Dst, 90815, (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
					if (((uintptr_t)(_efree)) & 0xfff) {
			dasm_put(Dst, 90818, (((uintptr_t)(_efree)) & 0xfff));
					}
				} else if ((uintptr_t)(_efree) & 0xffff) {
			dasm_put(Dst, 90821, ((uintptr_t)(_efree) & 0xffff));
					if (((uintptr_t)(_efree) >> 16) & 0xffff) {
			dasm_put(Dst, 90824, (((uintptr_t)(_efree) >> 16) & 0xffff));
					}
					if (((uintptr_t)(_efree) >> 32) & 0xffff) {
			dasm_put(Dst, 90827, (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
			dasm_put(Dst, 90830, (((uintptr_t)(_efree) >> 16) & 0xffff));
					if (((uintptr_t)(_efree) >> 32) & 0xffff) {
			dasm_put(Dst, 90833, (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 90836, (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			dasm_put(Dst, 90839);
				}
			#endif
			#endif
#line 11158 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (jit_return_label >= 0) {
				//|	b =>jit_return_label
				dasm_put(Dst, 90841, jit_return_label);
#line 11160 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	b >9
				dasm_put(Dst, 90844);
#line 11162 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|.code
			dasm_put(Dst, 90847);
#line 11164 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	ZVAL_COPY_VALUE ret_addr, MAY_BE_ANY, op1_addr, op1_info, ZREG_REG0, ZREG_REG2, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
			if (op1_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
				if ((op1_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
					if (Z_MODE(op1_addr) == IS_REG) {
						if (Z_MODE(ret_addr) != IS_REG || Z_REG(ret_addr) != Z_REG(op1_addr)) {
			if (Z_MODE(ret_addr) == IS_REG) {
		dasm_put(Dst, 90848, (Z_REG(ret_addr)), (Z_REG(op1_addr)));
			} else {
				ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ret_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ret_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 90852, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr))));
			} else if (((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff)) {
		dasm_put(Dst, 90856, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 90860, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 90864, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 90868, (Z_REG(op1_addr)), (Z_REG(ret_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 90873, (Z_REG(op1_addr)), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)));
			}
			}
						}
					} else if (Z_MODE(ret_addr) == IS_REG) {
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 90878, (Z_REG(ret_addr)));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 90881, (Z_REG(ret_addr)));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 90884, (Z_REG(ret_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 90888, (Z_REG(ret_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 90892, (Z_REG(ret_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 90896, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 90900, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 90904, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 90908, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 90912, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 90916, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 90920, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 90924, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 90928, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 90932, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 90936, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 90940, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 90944, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 90948, (Z_REG(ret_addr)), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 90953, (Z_REG(ret_addr)), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (Z_REG(ret_addr) != Z_REG(op1_addr)) {
		dasm_put(Dst, 90958, (Z_REG(ret_addr)), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
					} else {
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 90962, (ZREG_X10));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 90965, (ZREG_X10));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 90968, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 90972, (ZREG_X10), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 90976, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 90980, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 90984, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 90988, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 90992, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 90996, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 91000, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 91004, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 91008, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 91012, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 91016, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 91020, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 91024, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 91028, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 91032, (ZREG_X10), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 91037, (ZREG_X10), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (ZREG_X10 != Z_REG(op1_addr)) {
		dasm_put(Dst, 91042, (ZREG_X10), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
			if (Z_MODE(ret_addr) == IS_REG) {
		dasm_put(Dst, 91046, (Z_REG(ret_addr)), (ZREG_X10));
			} else {
				ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ret_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ret_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 91050, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr))));
			} else if (((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff)) {
		dasm_put(Dst, 91054, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 91058, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 91062, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 91066, (ZREG_X10), (Z_REG(ret_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 91071, (ZREG_X10), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)));
			}
			}
					}
				} else if ((op1_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
					if (Z_MODE(op1_addr) == IS_REG) {
			if (Z_MODE(ret_addr) == IS_REG) {
				if (Z_REG(op1_addr) != Z_REG(ret_addr)) {
		dasm_put(Dst, 91076, (Z_REG(ret_addr)-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
				}
			} else {
				ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ret_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ret_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 91080, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr))));
			} else if (((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff)) {
		dasm_put(Dst, 91084, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 91088, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 91092, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 91096, (Z_REG(op1_addr)-ZREG_V0), (Z_REG(ret_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 91101, (Z_REG(op1_addr)-ZREG_V0), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)));
			}
			}
					} else if (Z_MODE(ret_addr) == IS_REG) {
			if (Z_MODE(op1_addr) != IS_REG || Z_REG(ret_addr) != Z_REG(op1_addr)) {
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 91106, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (Z_REG(ret_addr)-ZREG_V0), (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 91113, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (Z_REG(ret_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
			} else {
			if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
		dasm_put(Dst, 91121, (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 91124, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 91128, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 91132, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
		dasm_put(Dst, 91136, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
		dasm_put(Dst, 91141, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 91145, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 91149, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 91153, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 91157, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 91161, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
		dasm_put(Dst, 91165, (Z_REG(ret_addr)-ZREG_V0), (ZREG_X15));
			}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 91169, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 91173, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 91177, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 91181, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 91185, (Z_REG(ret_addr)-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 91190, (Z_REG(ret_addr)-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
				} else if (Z_MODE(op1_addr) == IS_REG) {
		dasm_put(Dst, 91195, (Z_REG(ret_addr)-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
				} else {
					ZEND_UNREACHABLE();
				}
			}
					} else {
			if (Z_MODE(op1_addr) != IS_REG || ZREG_V0 != Z_REG(op1_addr)) {
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 91199, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 91206, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
			} else {
			if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
		dasm_put(Dst, 91214, (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 91217, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 91221, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 91225, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
		dasm_put(Dst, 91229, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
		dasm_put(Dst, 91234, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 91238, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 91242, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 91246, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 91250, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 91254, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
		dasm_put(Dst, 91258, (ZREG_V0-ZREG_V0), (ZREG_X15));
			}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 91262, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 91266, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 91270, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 91274, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 91278, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 91283, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
				} else if (Z_MODE(op1_addr) == IS_REG) {
		dasm_put(Dst, 91288, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
				} else {
					ZEND_UNREACHABLE();
				}
			}
			if (Z_MODE(ret_addr) == IS_REG) {
				if (ZREG_V0 != Z_REG(ret_addr)) {
		dasm_put(Dst, 91292, (Z_REG(ret_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
				}
			} else {
				ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ret_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ret_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 91296, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr))));
			} else if (((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff)) {
		dasm_put(Dst, 91300, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 91304, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 91308, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 91312, (ZREG_V0-ZREG_V0), (Z_REG(ret_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 91317, (ZREG_V0-ZREG_V0), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)));
			}
			}
					}
				// Combine the following two branches.
				// } else if (!(op1_info & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
				} else {
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 91322, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 91326, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 91330, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 91334, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 91338, (ZREG_X10), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 91343, (ZREG_X10), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ret_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ret_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 91348, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr))));
			} else if (((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff)) {
		dasm_put(Dst, 91352, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 91356, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 91360, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 91364, (ZREG_X10), (Z_REG(ret_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 91369, (ZREG_X10), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)));
			}
				}
			}
			if ((op1_info & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
				!(op1_info & MAY_BE_GUARD) &&
				has_concrete_type(op1_info & MAY_BE_ANY)) {
				if (Z_MODE(ret_addr) == IS_MEM_ZVAL) {
					if ((MAY_BE_ANY & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (op1_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD))) {
						uint32_t type = concrete_type(op1_info);
			ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
			if (((uint32_t)(type)) <= MOVZ_IMM) {
		dasm_put(Dst, 91374, (ZREG_X15), ((uint32_t)(type)));
			} else if (((uint32_t)(type) & 0xffff)) {
		dasm_put(Dst, 91378, (ZREG_X15), ((uint32_t)(type) & 0xffff));
				if ((((uint32_t)(type) >> 16) & 0xffff)) {
		dasm_put(Dst, 91382, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 91386, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 91390, (ZREG_X16), ((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 91394, (ZREG_X16), ((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 91398, (ZREG_X16), (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 91402, (ZREG_X16), (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 91406, (ZREG_X15), (Z_REG(ret_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 91411, (ZREG_X15), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)));
			}
					}
				}
			} else {
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 91416, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 91420, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 91424, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 91428, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 91432, (ZREG_X8), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 91437, (ZREG_X8), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)));
			}
			ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 91442, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 91446, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 91450, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 91454, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 91458, (ZREG_X8), (Z_REG(ret_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 91463, (ZREG_X8), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)));
			}
			}
#line 11166 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	//|9:
	dasm_put(Dst, 91468);
#line 11169 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	return 1;
}

static int zend_jit_zval_copy_deref(dasm_State **Dst, zend_jit_addr res_addr, zend_jit_addr val_addr, zend_reg type_reg)
{
	ZEND_ASSERT(type_reg == ZREG_REG2);

	//|	GET_ZVAL_PTR REG1, val_addr, TMP1
		ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 91470, ((uint32_t)(Z_OFFSET(val_addr))));
		} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
	dasm_put(Dst, 91473, ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 91476, (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 91479, (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 91482, (Z_REG(val_addr)));
		} else {
	dasm_put(Dst, 91485, (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
		}
#line 11177 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	IF_NOT_REFCOUNTED REG2w, >2, TMP1w
		if ((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT) == 0) {
	dasm_put(Dst, 91489);
		} else if (logical_immediate_p((uint32_t)(IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT), 32)) {
	dasm_put(Dst, 91491, (IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT));
		} else {
		if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))) <= MOVZ_IMM) {
	dasm_put(Dst, 91494, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))));
		} else if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff)) {
	dasm_put(Dst, 91497, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff));
			if ((((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff)) {
	dasm_put(Dst, 91500, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 91503, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 91506);
		}
#line 11178 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	GET_LOW_8BITS TMP2w, REG2w
	//|	IF_NOT_TYPE TMP2w, IS_REFERENCE, >1
	dasm_put(Dst, 91508);
		if (IS_REFERENCE == 0) {
	dasm_put(Dst, 91512);
		} else {
	dasm_put(Dst, 91515, IS_REFERENCE);
		}
#line 11180 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	add REG1, REG1, #offsetof(zend_reference, val)
	//|	GET_Z_TYPE_INFO REG2w, REG1
	//|	GET_Z_PTR REG1, REG1
	//|	IF_NOT_REFCOUNTED REG2w, >2, TMP1w
	dasm_put(Dst, 91520, offsetof(zend_reference, val), offsetof(zval,u1.type_info));
		if ((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT) == 0) {
	dasm_put(Dst, 91526);
		} else if (logical_immediate_p((uint32_t)(IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT), 32)) {
	dasm_put(Dst, 91528, (IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT));
		} else {
		if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))) <= MOVZ_IMM) {
	dasm_put(Dst, 91531, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))));
		} else if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff)) {
	dasm_put(Dst, 91534, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff));
			if ((((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff)) {
	dasm_put(Dst, 91537, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 91540, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 91543);
		}
#line 11184 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|1:
	//|	GC_ADDREF REG1, TMP2w
	//|2:
	//|	SET_ZVAL_PTR res_addr, REG1, TMP1
	dasm_put(Dst, 91545);
		ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 91553, ((uint32_t)(Z_OFFSET(res_addr))));
		} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
	dasm_put(Dst, 91556, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 91559, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 91562, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 91565, (Z_REG(res_addr)));
		} else {
	dasm_put(Dst, 91568, (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
		}
#line 11188 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	SET_ZVAL_TYPE_INFO_FROM_REG res_addr, REG2w, TMP1
		ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
		if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
	dasm_put(Dst, 91572, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
		} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
	dasm_put(Dst, 91575, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
	dasm_put(Dst, 91578, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 91581, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 91584, (Z_REG(res_addr)));
		} else {
	dasm_put(Dst, 91587, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
		}
#line 11189 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	return 1;
}

static int zend_jit_fetch_dim_read(dasm_State        **Dst,
                                   const zend_op      *opline,
                                   zend_ssa           *ssa,
                                   const zend_ssa_op  *ssa_op,
                                   uint32_t            op1_info,
                                   zend_jit_addr       op1_addr,
                                   bool                op1_avoid_refcounting,
                                   uint32_t            op2_info,
                                   uint32_t            res_info,
                                   zend_jit_addr       res_addr,
                                   uint8_t             dim_type)
{
	zend_jit_addr orig_op1_addr, op2_addr;
	const void *exit_addr = NULL;
	const void *not_found_exit_addr = NULL;
	const void *res_exit_addr = NULL;
	bool result_avoid_refcounting = 0;
	uint32_t may_be_string = (opline->opcode != ZEND_FETCH_LIST_R) ? MAY_BE_STRING : 0;
	int may_throw = 0;

	orig_op1_addr = OP1_ADDR();
	op2_addr = OP2_ADDR();

	if (opline->opcode != ZEND_FETCH_DIM_IS
	 && JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE) {
		int32_t exit_point = zend_jit_trace_get_exit_point(opline, ZEND_JIT_EXIT_TO_VM);
		exit_addr = zend_jit_trace_get_exit_addr(exit_point);
		if (!exit_addr) {
			return 0;
		}
	}

	if ((res_info & MAY_BE_GUARD)
	 && JIT_G(current_frame)
	 && (op1_info & (MAY_BE_ANY|MAY_BE_UNDEF)) == MAY_BE_ARRAY) {
		uint32_t flags = 0;
		uint32_t old_op1_info = 0;
		uint32_t old_info;
		zend_jit_trace_stack *stack = JIT_G(current_frame)->stack;
		int32_t exit_point;

		if (opline->opcode != ZEND_FETCH_LIST_R
		 && (opline->op1_type & (IS_VAR|IS_TMP_VAR))
		 && !op1_avoid_refcounting) {
			flags |= ZEND_JIT_EXIT_FREE_OP1;
		}
		if ((opline->op2_type & (IS_VAR|IS_TMP_VAR))
		 && (op2_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
			flags |= ZEND_JIT_EXIT_FREE_OP2;
		}
		if ((opline->result_type & (IS_VAR|IS_TMP_VAR))
		 && !(flags & ZEND_JIT_EXIT_FREE_OP1)
		 && (res_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))
		 && (ssa_op+1)->op1_use == ssa_op->result_def
		 && !(op2_info & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_REF) - (MAY_BE_STRING|MAY_BE_LONG)))
		 && zend_jit_may_avoid_refcounting(opline+1, res_info)) {
			result_avoid_refcounting = 1;
			ssa->var_info[ssa_op->result_def].avoid_refcounting = 1;
		}

		if (op1_avoid_refcounting) {
			old_op1_info = STACK_INFO(stack, EX_VAR_TO_NUM(opline->op1.var));
			SET_STACK_REG(stack, EX_VAR_TO_NUM(opline->op1.var), ZREG_NONE);
		}

		if (!(op2_info & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_REF) - (MAY_BE_STRING|MAY_BE_LONG)))) {
			old_info = STACK_INFO(stack, EX_VAR_TO_NUM(opline->result.var));
			SET_STACK_TYPE(stack, EX_VAR_TO_NUM(opline->result.var), IS_UNKNOWN, 1);
			SET_STACK_REG(stack, EX_VAR_TO_NUM(opline->result.var), ZREG_ZVAL_COPY_GPR0);
			exit_point = zend_jit_trace_get_exit_point(opline+1, flags);
			SET_STACK_INFO(stack, EX_VAR_TO_NUM(opline->result.var), old_info);
			res_exit_addr = zend_jit_trace_get_exit_addr(exit_point);
			if (!res_exit_addr) {
				return 0;
			}
			res_info &= ~MAY_BE_GUARD;
			ssa->var_info[ssa_op->result_def].type &= ~MAY_BE_GUARD;
		}

		if (opline->opcode == ZEND_FETCH_DIM_IS
		 && !(res_info & MAY_BE_NULL)) {
			old_info = STACK_INFO(stack, EX_VAR_TO_NUM(opline->result.var));
			SET_STACK_TYPE(stack, EX_VAR_TO_NUM(opline->result.var), IS_NULL, 0);
			SET_STACK_REG(stack, EX_VAR_TO_NUM(opline->result.var), ZREG_NULL);
			exit_point = zend_jit_trace_get_exit_point(opline+1, flags);
			SET_STACK_INFO(stack, EX_VAR_TO_NUM(opline->result.var), old_info);
			not_found_exit_addr = zend_jit_trace_get_exit_addr(exit_point);
			if (!not_found_exit_addr) {
				return 0;
			}
		}

		if (op1_avoid_refcounting) {
			SET_STACK_INFO(stack, EX_VAR_TO_NUM(opline->op1.var), old_op1_info);
		}
	}

	if (op1_info & MAY_BE_REF) {
		//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
		dasm_put(Dst, 91591);
			} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 91593, ((uint64_t)(Z_ZV(op1_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 91596, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 91599, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
		dasm_put(Dst, 91602, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
		dasm_put(Dst, 91605, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 91608, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 91611, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 91614, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 91617, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 91620, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (Z_OFFSET(op1_addr)) {
			if (Z_OFFSET(op1_addr) == 0) {
		dasm_put(Dst, 91623, (Z_REG(op1_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
		dasm_put(Dst, 91626, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
			} else {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 91630, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 91633, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 91636, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 91639, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 91642, (Z_REG(op1_addr)));
			}
				} else {
					if (Z_REG(op1_addr) == ZREG_RSP) {
		dasm_put(Dst, 91645);
					} else {
		dasm_put(Dst, 91647, (Z_REG(op1_addr)));
					}
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 11292 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	ZVAL_DEREF FCARG1x, op1_info, TMP1w
			if (op1_info & MAY_BE_REF) {
		dasm_put(Dst, 91650, offsetof(zval, u1.v.type));
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 91653);
			} else {
		dasm_put(Dst, 91656, IS_REFERENCE);
			}
		dasm_put(Dst, 91661, offsetof(zend_reference, val));
			}
#line 11293 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		op1_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, 0);
	}

	if (op1_info & MAY_BE_ARRAY) {
		if (op1_info & ((MAY_BE_ANY|MAY_BE_UNDEF) - MAY_BE_ARRAY)) {
			if (exit_addr && !(op1_info & (MAY_BE_OBJECT|may_be_string))) {
				//|	IF_NOT_ZVAL_TYPE op1_addr, IS_ARRAY, &exit_addr, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 91666, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 91670, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 91674, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 91678, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 91682, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 91687, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_ARRAY == 0) {
				dasm_put(Dst, 91692, (ZREG_X15), (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
					} else {
				dasm_put(Dst, 91696, (ZREG_X15), IS_ARRAY, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
					}
#line 11300 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	IF_NOT_ZVAL_TYPE op1_addr, IS_ARRAY, >7, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 91702, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 91706, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 91710, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 91714, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 91718, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 91723, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_ARRAY == 0) {
				dasm_put(Dst, 91728, (ZREG_X15));
					} else {
				dasm_put(Dst, 91732, (ZREG_X15), IS_ARRAY);
					}
#line 11302 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
		//|	GET_ZVAL_LVAL ZREG_FCARG1, op1_addr, TMP1
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 91738, (ZREG_FCARG1));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 91741, (ZREG_FCARG1));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 91744, (ZREG_FCARG1), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 91748, (ZREG_FCARG1), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 91752, (ZREG_FCARG1), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 91756, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 91760, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 91764, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 91768, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 91772, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 91776, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 91780, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 91784, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 91788, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 91792, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 91795, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 91798, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 91801, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 91804, (ZREG_FCARG1), (Z_REG(op1_addr)));
			} else {
		dasm_put(Dst, 91808, (ZREG_FCARG1), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (ZREG_FCARG1 != Z_REG(op1_addr)) {
		dasm_put(Dst, 91813, (ZREG_FCARG1), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 11305 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if ((op2_info & ((MAY_BE_ANY|MAY_BE_UNDEF) - (MAY_BE_LONG|MAY_BE_STRING))) ||
		    (opline->opcode != ZEND_FETCH_DIM_IS && JIT_G(trigger) != ZEND_JIT_ON_HOT_TRACE)) {
			may_throw = 1;
		}
		if (!zend_jit_fetch_dimension_address_inner(Dst, opline, (opline->opcode != ZEND_FETCH_DIM_IS) ? BP_VAR_R : BP_VAR_IS, op1_info, op2_info, dim_type, res_exit_addr, not_found_exit_addr, exit_addr)) {
			return 0;
		}
	}

	if (op1_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-MAY_BE_ARRAY)) {
		if (op1_info & MAY_BE_ARRAY) {
			//|.cold_code
			dasm_put(Dst, 91817);
#line 11317 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|7:
			dasm_put(Dst, 91818);
#line 11318 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}

		if (opline->opcode != ZEND_FETCH_LIST_R && (op1_info & MAY_BE_STRING)) {
			may_throw = 1;
			if (op1_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-(MAY_BE_ARRAY|MAY_BE_STRING))) {
				if (exit_addr && !(op1_info & MAY_BE_OBJECT)) {
					//|	IF_NOT_ZVAL_TYPE op1_addr, IS_STRING, &exit_addr, ZREG_TMP1
						ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 91820, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 91824, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 91828, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 91832, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 91836, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 91841, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
						}
						if (IS_STRING == 0) {
					dasm_put(Dst, 91846, (ZREG_X15), (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
						} else {
					dasm_put(Dst, 91850, (ZREG_X15), IS_STRING, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
						}
#line 11325 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	IF_NOT_ZVAL_TYPE op1_addr, IS_STRING, >6, ZREG_TMP1
						ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 91856, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 91860, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 91864, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 91868, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 91872, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 91877, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
						}
						if (IS_STRING == 0) {
					dasm_put(Dst, 91882, (ZREG_X15));
						} else {
					dasm_put(Dst, 91886, (ZREG_X15), IS_STRING);
						}
#line 11327 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			}
			//|	SET_EX_OPLINE opline, REG0
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 91892, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 91895);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 91897, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 91900, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 91903, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 91906, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 91909, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 91912, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 91915, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 91918, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 91921, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 91924, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 91927, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
#line 11330 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	GET_ZVAL_LVAL ZREG_FCARG1, op1_addr, TMP1
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
			dasm_put(Dst, 91930, (ZREG_FCARG1));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
			dasm_put(Dst, 91933, (ZREG_FCARG1));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 91936, (ZREG_FCARG1), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 91940, (ZREG_FCARG1), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
			dasm_put(Dst, 91944, (ZREG_FCARG1), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 91948, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 91952, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 91956, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 91960, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 91964, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 91968, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 91972, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 91976, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 91980, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 91984, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 91987, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 91990, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 91993, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 91996, (ZREG_FCARG1), (Z_REG(op1_addr)));
				} else {
			dasm_put(Dst, 92000, (ZREG_FCARG1), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
				} else if (Z_MODE(op1_addr) == IS_REG) {
					if (ZREG_FCARG1 != Z_REG(op1_addr)) {
			dasm_put(Dst, 92005, (ZREG_FCARG1), (Z_REG(op1_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 11331 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (opline->opcode != ZEND_FETCH_DIM_IS) {
				if ((op2_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) == MAY_BE_LONG) {
					//|	GET_ZVAL_LVAL ZREG_FCARG2, op2_addr, TMP1
						if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
							if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
					dasm_put(Dst, 92009, (ZREG_FCARG2));
							} else {
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
					dasm_put(Dst, 92012, (ZREG_FCARG2));
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
					dasm_put(Dst, 92015, (ZREG_FCARG2), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
						} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
					dasm_put(Dst, 92019, (ZREG_FCARG2), (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
						} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
					dasm_put(Dst, 92023, (ZREG_FCARG2), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
							if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
					dasm_put(Dst, 92027, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
							}
							if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 92031, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
							}
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 92035, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
							}
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
					dasm_put(Dst, 92039, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
							if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 92043, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
							}
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 92047, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
							}
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 92051, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 92055, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
							}
						} else {
					dasm_put(Dst, 92059, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
						}
							}
						} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
						if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 92063, ((uint32_t)(Z_OFFSET(op2_addr))));
						} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
					dasm_put(Dst, 92066, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 92069, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 92072, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 92075, (ZREG_FCARG2), (Z_REG(op2_addr)));
						} else {
					dasm_put(Dst, 92079, (ZREG_FCARG2), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
						}
						} else if (Z_MODE(op2_addr) == IS_REG) {
							if (ZREG_FCARG2 != Z_REG(op2_addr)) {
					dasm_put(Dst, 92084, (ZREG_FCARG2), (Z_REG(op2_addr)));
							}
						} else {
							ZEND_UNREACHABLE();
						}
#line 11334 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	EXT_CALL zend_jit_fetch_dim_str_offset_r_helper, REG0
						if (arm64_may_use_b(zend_jit_fetch_dim_str_offset_r_helper)) {
					dasm_put(Dst, 92088, (unsigned int)((ptrdiff_t)(zend_jit_fetch_dim_str_offset_r_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_dim_str_offset_r_helper))>>32));
						} else {
						if (((uintptr_t)(zend_jit_fetch_dim_str_offset_r_helper)) == 0) {
					dasm_put(Dst, 92091);
						} else if (((uintptr_t)(zend_jit_fetch_dim_str_offset_r_helper)) <= MOVZ_IMM) {
					dasm_put(Dst, 92093, ((uint64_t)(zend_jit_fetch_dim_str_offset_r_helper)));
						} else if (arm64_may_use_adr((void*)(zend_jit_fetch_dim_str_offset_r_helper))) {
					dasm_put(Dst, 92096, (unsigned int)((ptrdiff_t)(zend_jit_fetch_dim_str_offset_r_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_dim_str_offset_r_helper))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_jit_fetch_dim_str_offset_r_helper))) {
					dasm_put(Dst, 92099, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_dim_str_offset_r_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_dim_str_offset_r_helper)))))>>32));
							if (((uintptr_t)(zend_jit_fetch_dim_str_offset_r_helper)) & 0xfff) {
					dasm_put(Dst, 92102, (((uintptr_t)(zend_jit_fetch_dim_str_offset_r_helper)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_jit_fetch_dim_str_offset_r_helper) & 0xffff) {
					dasm_put(Dst, 92105, ((uintptr_t)(zend_jit_fetch_dim_str_offset_r_helper) & 0xffff));
							if (((uintptr_t)(zend_jit_fetch_dim_str_offset_r_helper) >> 16) & 0xffff) {
					dasm_put(Dst, 92108, (((uintptr_t)(zend_jit_fetch_dim_str_offset_r_helper) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_jit_fetch_dim_str_offset_r_helper) >> 32) & 0xffff) {
					dasm_put(Dst, 92111, (((uintptr_t)(zend_jit_fetch_dim_str_offset_r_helper) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_jit_fetch_dim_str_offset_r_helper) >> 16) & 0xffff) {
					dasm_put(Dst, 92114, (((uintptr_t)(zend_jit_fetch_dim_str_offset_r_helper) >> 16) & 0xffff));
							if (((uintptr_t)(zend_jit_fetch_dim_str_offset_r_helper) >> 32) & 0xffff) {
					dasm_put(Dst, 92117, (((uintptr_t)(zend_jit_fetch_dim_str_offset_r_helper) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 92120, (((uintptr_t)(zend_jit_fetch_dim_str_offset_r_helper) >> 32) & 0xffff));
						}
					dasm_put(Dst, 92123);
						}
#line 11335 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	LOAD_ZVAL_ADDR FCARG2x, op2_addr
						if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
						if (((uintptr_t)(Z_ZV(op2_addr))) == 0) {
					dasm_put(Dst, 92125);
						} else if (((uintptr_t)(Z_ZV(op2_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 92127, ((uint64_t)(Z_ZV(op2_addr))));
						} else if (arm64_may_use_adr((void*)(Z_ZV(op2_addr)))) {
					dasm_put(Dst, 92130, (unsigned int)((ptrdiff_t)(Z_ZV(op2_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op2_addr)))>>32));
						} else if (arm64_may_use_adrp((void*)(Z_ZV(op2_addr)))) {
					dasm_put(Dst, 92133, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr))))))>>32));
							if (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff) {
					dasm_put(Dst, 92136, (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff));
							}
						} else if ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff) {
					dasm_put(Dst, 92139, ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff));
							if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 92142, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 92145, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 92148, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
							if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 92151, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 92154, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
						}
						} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
							if (Z_OFFSET(op2_addr)) {
						if (Z_OFFSET(op2_addr) == 0) {
					dasm_put(Dst, 92157, (Z_REG(op2_addr)));
						} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op2_addr)))) {
					dasm_put(Dst, 92160, (Z_REG(op2_addr)), Z_OFFSET(op2_addr));
						} else {
						if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 92164, ((uint32_t)(Z_OFFSET(op2_addr))));
						} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
					dasm_put(Dst, 92167, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 92170, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 92173, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 92176, (Z_REG(op2_addr)));
						}
							} else {
								if (Z_REG(op2_addr) == ZREG_RSP) {
					dasm_put(Dst, 92179);
								} else {
					dasm_put(Dst, 92181, (Z_REG(op2_addr)));
								}
							}
						} else {
							ZEND_UNREACHABLE();
						}
#line 11337 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	EXT_CALL zend_jit_fetch_dim_str_r_helper, REG0
						if (arm64_may_use_b(zend_jit_fetch_dim_str_r_helper)) {
					dasm_put(Dst, 92184, (unsigned int)((ptrdiff_t)(zend_jit_fetch_dim_str_r_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_dim_str_r_helper))>>32));
						} else {
						if (((uintptr_t)(zend_jit_fetch_dim_str_r_helper)) == 0) {
					dasm_put(Dst, 92187);
						} else if (((uintptr_t)(zend_jit_fetch_dim_str_r_helper)) <= MOVZ_IMM) {
					dasm_put(Dst, 92189, ((uint64_t)(zend_jit_fetch_dim_str_r_helper)));
						} else if (arm64_may_use_adr((void*)(zend_jit_fetch_dim_str_r_helper))) {
					dasm_put(Dst, 92192, (unsigned int)((ptrdiff_t)(zend_jit_fetch_dim_str_r_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_dim_str_r_helper))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_jit_fetch_dim_str_r_helper))) {
					dasm_put(Dst, 92195, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_dim_str_r_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_dim_str_r_helper)))))>>32));
							if (((uintptr_t)(zend_jit_fetch_dim_str_r_helper)) & 0xfff) {
					dasm_put(Dst, 92198, (((uintptr_t)(zend_jit_fetch_dim_str_r_helper)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_jit_fetch_dim_str_r_helper) & 0xffff) {
					dasm_put(Dst, 92201, ((uintptr_t)(zend_jit_fetch_dim_str_r_helper) & 0xffff));
							if (((uintptr_t)(zend_jit_fetch_dim_str_r_helper) >> 16) & 0xffff) {
					dasm_put(Dst, 92204, (((uintptr_t)(zend_jit_fetch_dim_str_r_helper) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_jit_fetch_dim_str_r_helper) >> 32) & 0xffff) {
					dasm_put(Dst, 92207, (((uintptr_t)(zend_jit_fetch_dim_str_r_helper) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_jit_fetch_dim_str_r_helper) >> 16) & 0xffff) {
					dasm_put(Dst, 92210, (((uintptr_t)(zend_jit_fetch_dim_str_r_helper) >> 16) & 0xffff));
							if (((uintptr_t)(zend_jit_fetch_dim_str_r_helper) >> 32) & 0xffff) {
					dasm_put(Dst, 92213, (((uintptr_t)(zend_jit_fetch_dim_str_r_helper) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 92216, (((uintptr_t)(zend_jit_fetch_dim_str_r_helper) >> 32) & 0xffff));
						}
					dasm_put(Dst, 92219);
						}
#line 11338 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|	SET_ZVAL_PTR res_addr, RETVALx, TMP1
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 92221, ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 92224, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 92227, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 92230, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 92233, (Z_REG(res_addr)));
					} else {
				dasm_put(Dst, 92236, (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
					}
#line 11340 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	SET_ZVAL_TYPE_INFO res_addr, IS_STRING, TMP1w, TMP2
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uint32_t)(IS_STRING)) <= MOVZ_IMM) {
				dasm_put(Dst, 92240, ((uint32_t)(IS_STRING)));
					} else if (((uint32_t)(IS_STRING) & 0xffff)) {
				dasm_put(Dst, 92243, ((uint32_t)(IS_STRING) & 0xffff));
						if ((((uint32_t)(IS_STRING) >> 16) & 0xffff)) {
				dasm_put(Dst, 92246, (((uint32_t)(IS_STRING) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 92249, (((uint32_t)(IS_STRING) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 92252, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 92255, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 92258, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 92261, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 92264, (Z_REG(res_addr)));
					} else {
				dasm_put(Dst, 92267, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
					}
#line 11341 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	LOAD_ZVAL_ADDR FCARG2x, op2_addr
					if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(op2_addr))) == 0) {
				dasm_put(Dst, 92271);
					} else if (((uintptr_t)(Z_ZV(op2_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 92273, ((uint64_t)(Z_ZV(op2_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(op2_addr)))) {
				dasm_put(Dst, 92276, (unsigned int)((ptrdiff_t)(Z_ZV(op2_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op2_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(op2_addr)))) {
				dasm_put(Dst, 92279, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff) {
				dasm_put(Dst, 92282, (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff) {
				dasm_put(Dst, 92285, ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 92288, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 92291, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 92294, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 92297, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 92300, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(op2_addr)) {
					if (Z_OFFSET(op2_addr) == 0) {
				dasm_put(Dst, 92303, (Z_REG(op2_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op2_addr)))) {
				dasm_put(Dst, 92306, (Z_REG(op2_addr)), Z_OFFSET(op2_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 92310, ((uint32_t)(Z_OFFSET(op2_addr))));
					} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
				dasm_put(Dst, 92313, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 92316, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 92319, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 92322, (Z_REG(op2_addr)));
					}
						} else {
							if (Z_REG(op2_addr) == ZREG_RSP) {
				dasm_put(Dst, 92325);
							} else {
				dasm_put(Dst, 92327, (Z_REG(op2_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 11343 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	LOAD_ZVAL_ADDR CARG3, res_addr
					if (Z_MODE(res_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(res_addr))) == 0) {
				dasm_put(Dst, 92330);
					} else if (((uintptr_t)(Z_ZV(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 92332, ((uint64_t)(Z_ZV(res_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 92335, (unsigned int)((ptrdiff_t)(Z_ZV(res_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(res_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 92338, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(res_addr))) & 0xfff) {
				dasm_put(Dst, 92341, (((uintptr_t)(Z_ZV(res_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(res_addr)) & 0xffff) {
				dasm_put(Dst, 92344, ((uintptr_t)(Z_ZV(res_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 92347, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 92350, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 92353, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 92356, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 92359, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(res_addr)) {
					if (Z_OFFSET(res_addr) == 0) {
				dasm_put(Dst, 92362, (Z_REG(res_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(res_addr)))) {
				dasm_put(Dst, 92365, (Z_REG(res_addr)), Z_OFFSET(res_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 92369, ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 92372, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 92375, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 92378, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 92381, (Z_REG(res_addr)));
					}
						} else {
							if (Z_REG(res_addr) == ZREG_RSP) {
				dasm_put(Dst, 92384);
							} else {
				dasm_put(Dst, 92386, (Z_REG(res_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 11344 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	EXT_CALL zend_jit_fetch_dim_str_is_helper, REG0
					if (arm64_may_use_b(zend_jit_fetch_dim_str_is_helper)) {
				dasm_put(Dst, 92389, (unsigned int)((ptrdiff_t)(zend_jit_fetch_dim_str_is_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_dim_str_is_helper))>>32));
					} else {
					if (((uintptr_t)(zend_jit_fetch_dim_str_is_helper)) == 0) {
				dasm_put(Dst, 92392);
					} else if (((uintptr_t)(zend_jit_fetch_dim_str_is_helper)) <= MOVZ_IMM) {
				dasm_put(Dst, 92394, ((uint64_t)(zend_jit_fetch_dim_str_is_helper)));
					} else if (arm64_may_use_adr((void*)(zend_jit_fetch_dim_str_is_helper))) {
				dasm_put(Dst, 92397, (unsigned int)((ptrdiff_t)(zend_jit_fetch_dim_str_is_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_dim_str_is_helper))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_fetch_dim_str_is_helper))) {
				dasm_put(Dst, 92400, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_dim_str_is_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_dim_str_is_helper)))))>>32));
						if (((uintptr_t)(zend_jit_fetch_dim_str_is_helper)) & 0xfff) {
				dasm_put(Dst, 92403, (((uintptr_t)(zend_jit_fetch_dim_str_is_helper)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_fetch_dim_str_is_helper) & 0xffff) {
				dasm_put(Dst, 92406, ((uintptr_t)(zend_jit_fetch_dim_str_is_helper) & 0xffff));
						if (((uintptr_t)(zend_jit_fetch_dim_str_is_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 92409, (((uintptr_t)(zend_jit_fetch_dim_str_is_helper) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_fetch_dim_str_is_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 92412, (((uintptr_t)(zend_jit_fetch_dim_str_is_helper) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_fetch_dim_str_is_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 92415, (((uintptr_t)(zend_jit_fetch_dim_str_is_helper) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_fetch_dim_str_is_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 92418, (((uintptr_t)(zend_jit_fetch_dim_str_is_helper) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 92421, (((uintptr_t)(zend_jit_fetch_dim_str_is_helper) >> 32) & 0xffff));
					}
				dasm_put(Dst, 92424);
					}
#line 11345 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if ((op1_info & MAY_BE_ARRAY) ||
				(op1_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-(MAY_BE_ARRAY|MAY_BE_STRING)))) {
				//|	b >9 // END
				dasm_put(Dst, 92426);
#line 11349 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|6:
			dasm_put(Dst, 92429);
#line 11351 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}

		if (op1_info & MAY_BE_OBJECT) {
			may_throw = 1;
			if (op1_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-(MAY_BE_ARRAY|MAY_BE_OBJECT|may_be_string))) {
				if (exit_addr) {
					//|	IF_NOT_ZVAL_TYPE op1_addr, IS_OBJECT, &exit_addr, ZREG_TMP1
						ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 92431, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 92435, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 92439, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 92443, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 92447, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 92452, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
						}
						if (IS_OBJECT == 0) {
					dasm_put(Dst, 92457, (ZREG_X15), (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
						} else {
					dasm_put(Dst, 92461, (ZREG_X15), IS_OBJECT, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
						}
#line 11358 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	IF_NOT_ZVAL_TYPE op1_addr, IS_OBJECT, >6, ZREG_TMP1
						ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 92467, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 92471, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 92475, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 92479, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 92483, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 92488, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
						}
						if (IS_OBJECT == 0) {
					dasm_put(Dst, 92493, (ZREG_X15));
						} else {
					dasm_put(Dst, 92497, (ZREG_X15), IS_OBJECT);
						}
#line 11360 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			}
			//|	SET_EX_OPLINE opline, REG0
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 92503, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 92506);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 92508, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 92511, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 92514, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 92517, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 92520, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 92523, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 92526, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 92529, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 92532, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 92535, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 92538, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
#line 11363 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		    if (Z_REG(op1_addr) != ZREG_FCARG1 || Z_OFFSET(op1_addr) != 0) {
				//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
					if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
				dasm_put(Dst, 92541);
					} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 92543, ((uint64_t)(Z_ZV(op1_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 92546, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 92549, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
				dasm_put(Dst, 92552, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
				dasm_put(Dst, 92555, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 92558, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 92561, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 92564, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 92567, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 92570, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(op1_addr)) {
					if (Z_OFFSET(op1_addr) == 0) {
				dasm_put(Dst, 92573, (Z_REG(op1_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
				dasm_put(Dst, 92576, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 92580, ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 92583, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 92586, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 92589, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 92592, (Z_REG(op1_addr)));
					}
						} else {
							if (Z_REG(op1_addr) == ZREG_RSP) {
				dasm_put(Dst, 92595);
							} else {
				dasm_put(Dst, 92597, (Z_REG(op1_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 11365 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		    }
			if (opline->op2_type == IS_CONST && Z_EXTRA_P(RT_CONSTANT(opline, opline->op2)) == ZEND_EXTRA_VALUE) {
				ZEND_ASSERT(Z_MODE(op2_addr) == IS_CONST_ZVAL);
				//|	LOAD_ADDR FCARG2x, (Z_ZV(op2_addr) + 1)
					if (((uintptr_t)((Z_ZV(op2_addr) + 1))) == 0) {
				dasm_put(Dst, 92600);
					} else if (((uintptr_t)((Z_ZV(op2_addr) + 1))) <= MOVZ_IMM) {
				dasm_put(Dst, 92602, ((uint64_t)((Z_ZV(op2_addr) + 1))));
					} else if (arm64_may_use_adr((void*)((Z_ZV(op2_addr) + 1)))) {
				dasm_put(Dst, 92605, (unsigned int)((ptrdiff_t)((Z_ZV(op2_addr) + 1))), (unsigned int)(((ptrdiff_t)((Z_ZV(op2_addr) + 1)))>>32));
					} else if (arm64_may_use_adrp((void*)((Z_ZV(op2_addr) + 1)))) {
				dasm_put(Dst, 92608, (unsigned int)((ptrdiff_t)((((uintptr_t)((Z_ZV(op2_addr) + 1)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)((Z_ZV(op2_addr) + 1))))))>>32));
						if (((uintptr_t)((Z_ZV(op2_addr) + 1))) & 0xfff) {
				dasm_put(Dst, 92611, (((uintptr_t)((Z_ZV(op2_addr) + 1))) & 0xfff));
						}
					} else if ((uintptr_t)((Z_ZV(op2_addr) + 1)) & 0xffff) {
				dasm_put(Dst, 92614, ((uintptr_t)((Z_ZV(op2_addr) + 1)) & 0xffff));
						if (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 16) & 0xffff) {
				dasm_put(Dst, 92617, (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 16) & 0xffff));
						}
						if (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 32) & 0xffff) {
				dasm_put(Dst, 92620, (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 16) & 0xffff) {
				dasm_put(Dst, 92623, (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 16) & 0xffff));
						if (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 32) & 0xffff) {
				dasm_put(Dst, 92626, (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 92629, (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 32) & 0xffff));
					}
#line 11369 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	LOAD_ZVAL_ADDR FCARG2x, op2_addr
					if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(op2_addr))) == 0) {
				dasm_put(Dst, 92632);
					} else if (((uintptr_t)(Z_ZV(op2_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 92634, ((uint64_t)(Z_ZV(op2_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(op2_addr)))) {
				dasm_put(Dst, 92637, (unsigned int)((ptrdiff_t)(Z_ZV(op2_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op2_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(op2_addr)))) {
				dasm_put(Dst, 92640, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff) {
				dasm_put(Dst, 92643, (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff) {
				dasm_put(Dst, 92646, ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 92649, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 92652, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 92655, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 92658, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 92661, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(op2_addr)) {
					if (Z_OFFSET(op2_addr) == 0) {
				dasm_put(Dst, 92664, (Z_REG(op2_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op2_addr)))) {
				dasm_put(Dst, 92667, (Z_REG(op2_addr)), Z_OFFSET(op2_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 92671, ((uint32_t)(Z_OFFSET(op2_addr))));
					} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
				dasm_put(Dst, 92674, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 92677, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 92680, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 92683, (Z_REG(op2_addr)));
					}
						} else {
							if (Z_REG(op2_addr) == ZREG_RSP) {
				dasm_put(Dst, 92686);
							} else {
				dasm_put(Dst, 92688, (Z_REG(op2_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 11371 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	LOAD_ZVAL_ADDR CARG3, res_addr
				if (Z_MODE(res_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(res_addr))) == 0) {
			dasm_put(Dst, 92691);
				} else if (((uintptr_t)(Z_ZV(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 92693, ((uint64_t)(Z_ZV(res_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(res_addr)))) {
			dasm_put(Dst, 92696, (unsigned int)((ptrdiff_t)(Z_ZV(res_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(res_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(res_addr)))) {
			dasm_put(Dst, 92699, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(res_addr))) & 0xfff) {
			dasm_put(Dst, 92702, (((uintptr_t)(Z_ZV(res_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(res_addr)) & 0xffff) {
			dasm_put(Dst, 92705, ((uintptr_t)(Z_ZV(res_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 92708, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 92711, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 92714, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 92717, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 92720, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(res_addr)) {
				if (Z_OFFSET(res_addr) == 0) {
			dasm_put(Dst, 92723, (Z_REG(res_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(res_addr)))) {
			dasm_put(Dst, 92726, (Z_REG(res_addr)), Z_OFFSET(res_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 92730, ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 92733, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 92736, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 92739, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 92742, (Z_REG(res_addr)));
				}
					} else {
						if (Z_REG(res_addr) == ZREG_RSP) {
			dasm_put(Dst, 92745);
						} else {
			dasm_put(Dst, 92747, (Z_REG(res_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 11373 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (opline->opcode != ZEND_FETCH_DIM_IS) {
				//|	EXT_CALL zend_jit_fetch_dim_obj_r_helper, REG0
					if (arm64_may_use_b(zend_jit_fetch_dim_obj_r_helper)) {
				dasm_put(Dst, 92750, (unsigned int)((ptrdiff_t)(zend_jit_fetch_dim_obj_r_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_dim_obj_r_helper))>>32));
					} else {
					if (((uintptr_t)(zend_jit_fetch_dim_obj_r_helper)) == 0) {
				dasm_put(Dst, 92753);
					} else if (((uintptr_t)(zend_jit_fetch_dim_obj_r_helper)) <= MOVZ_IMM) {
				dasm_put(Dst, 92755, ((uint64_t)(zend_jit_fetch_dim_obj_r_helper)));
					} else if (arm64_may_use_adr((void*)(zend_jit_fetch_dim_obj_r_helper))) {
				dasm_put(Dst, 92758, (unsigned int)((ptrdiff_t)(zend_jit_fetch_dim_obj_r_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_dim_obj_r_helper))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_fetch_dim_obj_r_helper))) {
				dasm_put(Dst, 92761, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_dim_obj_r_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_dim_obj_r_helper)))))>>32));
						if (((uintptr_t)(zend_jit_fetch_dim_obj_r_helper)) & 0xfff) {
				dasm_put(Dst, 92764, (((uintptr_t)(zend_jit_fetch_dim_obj_r_helper)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_fetch_dim_obj_r_helper) & 0xffff) {
				dasm_put(Dst, 92767, ((uintptr_t)(zend_jit_fetch_dim_obj_r_helper) & 0xffff));
						if (((uintptr_t)(zend_jit_fetch_dim_obj_r_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 92770, (((uintptr_t)(zend_jit_fetch_dim_obj_r_helper) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_fetch_dim_obj_r_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 92773, (((uintptr_t)(zend_jit_fetch_dim_obj_r_helper) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_fetch_dim_obj_r_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 92776, (((uintptr_t)(zend_jit_fetch_dim_obj_r_helper) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_fetch_dim_obj_r_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 92779, (((uintptr_t)(zend_jit_fetch_dim_obj_r_helper) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 92782, (((uintptr_t)(zend_jit_fetch_dim_obj_r_helper) >> 32) & 0xffff));
					}
				dasm_put(Dst, 92785);
					}
#line 11375 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	EXT_CALL zend_jit_fetch_dim_obj_is_helper, REG0
					if (arm64_may_use_b(zend_jit_fetch_dim_obj_is_helper)) {
				dasm_put(Dst, 92787, (unsigned int)((ptrdiff_t)(zend_jit_fetch_dim_obj_is_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_dim_obj_is_helper))>>32));
					} else {
					if (((uintptr_t)(zend_jit_fetch_dim_obj_is_helper)) == 0) {
				dasm_put(Dst, 92790);
					} else if (((uintptr_t)(zend_jit_fetch_dim_obj_is_helper)) <= MOVZ_IMM) {
				dasm_put(Dst, 92792, ((uint64_t)(zend_jit_fetch_dim_obj_is_helper)));
					} else if (arm64_may_use_adr((void*)(zend_jit_fetch_dim_obj_is_helper))) {
				dasm_put(Dst, 92795, (unsigned int)((ptrdiff_t)(zend_jit_fetch_dim_obj_is_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_dim_obj_is_helper))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_fetch_dim_obj_is_helper))) {
				dasm_put(Dst, 92798, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_dim_obj_is_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_dim_obj_is_helper)))))>>32));
						if (((uintptr_t)(zend_jit_fetch_dim_obj_is_helper)) & 0xfff) {
				dasm_put(Dst, 92801, (((uintptr_t)(zend_jit_fetch_dim_obj_is_helper)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_fetch_dim_obj_is_helper) & 0xffff) {
				dasm_put(Dst, 92804, ((uintptr_t)(zend_jit_fetch_dim_obj_is_helper) & 0xffff));
						if (((uintptr_t)(zend_jit_fetch_dim_obj_is_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 92807, (((uintptr_t)(zend_jit_fetch_dim_obj_is_helper) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_fetch_dim_obj_is_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 92810, (((uintptr_t)(zend_jit_fetch_dim_obj_is_helper) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_fetch_dim_obj_is_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 92813, (((uintptr_t)(zend_jit_fetch_dim_obj_is_helper) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_fetch_dim_obj_is_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 92816, (((uintptr_t)(zend_jit_fetch_dim_obj_is_helper) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 92819, (((uintptr_t)(zend_jit_fetch_dim_obj_is_helper) >> 32) & 0xffff));
					}
				dasm_put(Dst, 92822);
					}
#line 11377 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if ((op1_info & MAY_BE_ARRAY) ||
				(op1_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-(MAY_BE_ARRAY|MAY_BE_OBJECT|may_be_string)))) {
				//|	b >9 // END
				dasm_put(Dst, 92824);
#line 11381 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|6:
			dasm_put(Dst, 92827);
#line 11383 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}

		if ((op1_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-(MAY_BE_ARRAY|MAY_BE_OBJECT|may_be_string)))
		 && (!exit_addr || !(op1_info & (MAY_BE_ARRAY|MAY_BE_OBJECT|may_be_string)))) {
			if ((opline->opcode != ZEND_FETCH_DIM_IS && (op1_info & MAY_BE_UNDEF)) || (op2_info & MAY_BE_UNDEF)) {
				//|	SET_EX_OPLINE opline, REG0
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 92829, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 92832);
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 92834, ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 92837, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 92840, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 92843, (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 92846, ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 92849, (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 92852, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 92855, (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 92858, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 92861, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 92864, Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
#line 11389 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				if (opline->opcode != ZEND_FETCH_DIM_IS && (op1_info & MAY_BE_UNDEF)) {
					may_throw = 1;
					//|	IF_NOT_ZVAL_TYPE op1_addr, IS_UNDEF, >1, ZREG_TMP1
						ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 92867, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 92871, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 92875, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 92879, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 92883, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 92888, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
						}
						if (IS_UNDEF == 0) {
					dasm_put(Dst, 92893, (ZREG_X15));
						} else {
					dasm_put(Dst, 92897, (ZREG_X15), IS_UNDEF);
						}
#line 11392 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	// zend_error(E_WARNING, "Undefined variable $%s", ZSTR_VAL(CV_DEF_OF(EX_VAR_TO_NUM(opline->op1.var))));
					//|	LOAD_32BIT_VAL FCARG1w, opline->op1.var
						if (((uint32_t)(opline->op1.var)) <= MOVZ_IMM) {
					dasm_put(Dst, 92903, ((uint32_t)(opline->op1.var)));
						} else if (((uint32_t)(opline->op1.var) & 0xffff)) {
					dasm_put(Dst, 92906, ((uint32_t)(opline->op1.var) & 0xffff));
							if ((((uint32_t)(opline->op1.var) >> 16) & 0xffff)) {
					dasm_put(Dst, 92909, (((uint32_t)(opline->op1.var) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 92912, (((uint32_t)(opline->op1.var) >> 16) & 0xffff));
						}
#line 11394 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	EXT_CALL zend_jit_undefined_op_helper, REG0
						if (arm64_may_use_b(zend_jit_undefined_op_helper)) {
					dasm_put(Dst, 92915, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
						} else {
						if (((uintptr_t)(zend_jit_undefined_op_helper)) == 0) {
					dasm_put(Dst, 92918);
						} else if (((uintptr_t)(zend_jit_undefined_op_helper)) <= MOVZ_IMM) {
					dasm_put(Dst, 92920, ((uint64_t)(zend_jit_undefined_op_helper)));
						} else if (arm64_may_use_adr((void*)(zend_jit_undefined_op_helper))) {
					dasm_put(Dst, 92923, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_jit_undefined_op_helper))) {
					dasm_put(Dst, 92926, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper)))))>>32));
							if (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff) {
					dasm_put(Dst, 92929, (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff) {
					dasm_put(Dst, 92932, ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff));
							if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
					dasm_put(Dst, 92935, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
					dasm_put(Dst, 92938, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
					dasm_put(Dst, 92941, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
							if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
					dasm_put(Dst, 92944, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 92947, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
						}
					dasm_put(Dst, 92950);
						}
#line 11395 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|1:
					dasm_put(Dst, 92952);
#line 11396 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}

				if (op2_info & MAY_BE_UNDEF) {
					may_throw = 1;
					//|	IF_NOT_ZVAL_TYPE op2_addr, IS_UNDEF, >1, ZREG_TMP1
						ZEND_ASSERT(Z_MODE(op2_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 92954, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 92958, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 92962, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 92966, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 92970, (ZREG_X15), (Z_REG(op2_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 92975, (ZREG_X15), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)));
						}
						if (IS_UNDEF == 0) {
					dasm_put(Dst, 92980, (ZREG_X15));
						} else {
					dasm_put(Dst, 92984, (ZREG_X15), IS_UNDEF);
						}
#line 11401 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	LOAD_32BIT_VAL FCARG1w, opline->op2.var
						if (((uint32_t)(opline->op2.var)) <= MOVZ_IMM) {
					dasm_put(Dst, 92990, ((uint32_t)(opline->op2.var)));
						} else if (((uint32_t)(opline->op2.var) & 0xffff)) {
					dasm_put(Dst, 92993, ((uint32_t)(opline->op2.var) & 0xffff));
							if ((((uint32_t)(opline->op2.var) >> 16) & 0xffff)) {
					dasm_put(Dst, 92996, (((uint32_t)(opline->op2.var) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 92999, (((uint32_t)(opline->op2.var) >> 16) & 0xffff));
						}
#line 11402 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	EXT_CALL zend_jit_undefined_op_helper, REG0
						if (arm64_may_use_b(zend_jit_undefined_op_helper)) {
					dasm_put(Dst, 93002, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
						} else {
						if (((uintptr_t)(zend_jit_undefined_op_helper)) == 0) {
					dasm_put(Dst, 93005);
						} else if (((uintptr_t)(zend_jit_undefined_op_helper)) <= MOVZ_IMM) {
					dasm_put(Dst, 93007, ((uint64_t)(zend_jit_undefined_op_helper)));
						} else if (arm64_may_use_adr((void*)(zend_jit_undefined_op_helper))) {
					dasm_put(Dst, 93010, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_jit_undefined_op_helper))) {
					dasm_put(Dst, 93013, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper)))))>>32));
							if (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff) {
					dasm_put(Dst, 93016, (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff) {
					dasm_put(Dst, 93019, ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff));
							if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
					dasm_put(Dst, 93022, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
					dasm_put(Dst, 93025, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
					dasm_put(Dst, 93028, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
							if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
					dasm_put(Dst, 93031, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 93034, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
						}
					dasm_put(Dst, 93037);
						}
#line 11403 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|1:
					dasm_put(Dst, 93039);
#line 11404 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			}

			if (opline->opcode != ZEND_FETCH_DIM_IS && opline->opcode != ZEND_FETCH_LIST_R) {
				may_throw = 1;
				if ((op1_info & MAY_BE_UNDEF) || (op2_info & MAY_BE_UNDEF)) {
					//|	LOAD_ZVAL_ADDR FCARG1x, orig_op1_addr
						if (Z_MODE(orig_op1_addr) == IS_CONST_ZVAL) {
						if (((uintptr_t)(Z_ZV(orig_op1_addr))) == 0) {
					dasm_put(Dst, 93041);
						} else if (((uintptr_t)(Z_ZV(orig_op1_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 93043, ((uint64_t)(Z_ZV(orig_op1_addr))));
						} else if (arm64_may_use_adr((void*)(Z_ZV(orig_op1_addr)))) {
					dasm_put(Dst, 93046, (unsigned int)((ptrdiff_t)(Z_ZV(orig_op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(orig_op1_addr)))>>32));
						} else if (arm64_may_use_adrp((void*)(Z_ZV(orig_op1_addr)))) {
					dasm_put(Dst, 93049, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(orig_op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(orig_op1_addr))))))>>32));
							if (((uintptr_t)(Z_ZV(orig_op1_addr))) & 0xfff) {
					dasm_put(Dst, 93052, (((uintptr_t)(Z_ZV(orig_op1_addr))) & 0xfff));
							}
						} else if ((uintptr_t)(Z_ZV(orig_op1_addr)) & 0xffff) {
					dasm_put(Dst, 93055, ((uintptr_t)(Z_ZV(orig_op1_addr)) & 0xffff));
							if (((uintptr_t)(Z_ZV(orig_op1_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 93058, (((uintptr_t)(Z_ZV(orig_op1_addr)) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_ZV(orig_op1_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 93061, (((uintptr_t)(Z_ZV(orig_op1_addr)) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(Z_ZV(orig_op1_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 93064, (((uintptr_t)(Z_ZV(orig_op1_addr)) >> 16) & 0xffff));
							if (((uintptr_t)(Z_ZV(orig_op1_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 93067, (((uintptr_t)(Z_ZV(orig_op1_addr)) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 93070, (((uintptr_t)(Z_ZV(orig_op1_addr)) >> 32) & 0xffff));
						}
						} else if (Z_MODE(orig_op1_addr) == IS_MEM_ZVAL) {
							if (Z_OFFSET(orig_op1_addr)) {
						if (Z_OFFSET(orig_op1_addr) == 0) {
					dasm_put(Dst, 93073, (Z_REG(orig_op1_addr)));
						} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(orig_op1_addr)))) {
					dasm_put(Dst, 93076, (Z_REG(orig_op1_addr)), Z_OFFSET(orig_op1_addr));
						} else {
						if (((uint32_t)(Z_OFFSET(orig_op1_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 93080, ((uint32_t)(Z_OFFSET(orig_op1_addr))));
						} else if (((uint32_t)(Z_OFFSET(orig_op1_addr)) & 0xffff)) {
					dasm_put(Dst, 93083, ((uint32_t)(Z_OFFSET(orig_op1_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(orig_op1_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 93086, (((uint32_t)(Z_OFFSET(orig_op1_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 93089, (((uint32_t)(Z_OFFSET(orig_op1_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 93092, (Z_REG(orig_op1_addr)));
						}
							} else {
								if (Z_REG(orig_op1_addr) == ZREG_RSP) {
					dasm_put(Dst, 93095);
								} else {
					dasm_put(Dst, 93097, (Z_REG(orig_op1_addr)));
								}
							}
						} else {
							ZEND_UNREACHABLE();
						}
#line 11411 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	SET_EX_OPLINE opline, REG0
						if (opline == last_valid_opline) {
							zend_jit_use_last_valid_opline();
						if (GCC_GLOBAL_REGS) {
					dasm_put(Dst, 93100, Dt1(->opline));
						}
						} else {
						if (((uintptr_t)(opline)) == 0) {
					dasm_put(Dst, 93103);
						} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
					dasm_put(Dst, 93105, ((uint64_t)(opline)));
						} else if (arm64_may_use_adr((void*)(opline))) {
					dasm_put(Dst, 93108, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
						} else if (arm64_may_use_adrp((void*)(opline))) {
					dasm_put(Dst, 93111, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
							if (((uintptr_t)(opline)) & 0xfff) {
					dasm_put(Dst, 93114, (((uintptr_t)(opline)) & 0xfff));
							}
						} else if ((uintptr_t)(opline) & 0xffff) {
					dasm_put(Dst, 93117, ((uintptr_t)(opline) & 0xffff));
							if (((uintptr_t)(opline) >> 16) & 0xffff) {
					dasm_put(Dst, 93120, (((uintptr_t)(opline) >> 16) & 0xffff));
							}
							if (((uintptr_t)(opline) >> 32) & 0xffff) {
					dasm_put(Dst, 93123, (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
					dasm_put(Dst, 93126, (((uintptr_t)(opline) >> 16) & 0xffff));
							if (((uintptr_t)(opline) >> 32) & 0xffff) {
					dasm_put(Dst, 93129, (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 93132, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					dasm_put(Dst, 93135, Dt1(->opline));
							if (!GCC_GLOBAL_REGS) {
								zend_jit_reset_last_valid_opline();
							}
						}
#line 11413 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					if (Z_MODE(op1_addr) != IS_MEM_ZVAL ||
					    Z_REG(op1_addr) != ZREG_FCARG1 ||
					    Z_OFFSET(op1_addr) != 0) {
						//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
							if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
							if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
						dasm_put(Dst, 93138);
							} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
						dasm_put(Dst, 93140, ((uint64_t)(Z_ZV(op1_addr))));
							} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
						dasm_put(Dst, 93143, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
							} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
						dasm_put(Dst, 93146, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
								if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
						dasm_put(Dst, 93149, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
								}
							} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
						dasm_put(Dst, 93152, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
								if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
						dasm_put(Dst, 93155, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
								}
								if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
						dasm_put(Dst, 93158, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
						dasm_put(Dst, 93161, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
								if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
						dasm_put(Dst, 93164, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 93167, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
							}
							} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
								if (Z_OFFSET(op1_addr)) {
							if (Z_OFFSET(op1_addr) == 0) {
						dasm_put(Dst, 93170, (Z_REG(op1_addr)));
							} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
						dasm_put(Dst, 93173, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
							} else {
							if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
						dasm_put(Dst, 93177, ((uint32_t)(Z_OFFSET(op1_addr))));
							} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
						dasm_put(Dst, 93180, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
						dasm_put(Dst, 93183, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 93186, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 93189, (Z_REG(op1_addr)));
							}
								} else {
									if (Z_REG(op1_addr) == ZREG_RSP) {
						dasm_put(Dst, 93192);
									} else {
						dasm_put(Dst, 93194, (Z_REG(op1_addr)));
									}
								}
							} else {
								ZEND_UNREACHABLE();
							}
#line 11417 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				}
				//|	EXT_CALL zend_jit_invalid_array_access, REG0
					if (arm64_may_use_b(zend_jit_invalid_array_access)) {
				dasm_put(Dst, 93197, (unsigned int)((ptrdiff_t)(zend_jit_invalid_array_access)), (unsigned int)(((ptrdiff_t)(zend_jit_invalid_array_access))>>32));
					} else {
					if (((uintptr_t)(zend_jit_invalid_array_access)) == 0) {
				dasm_put(Dst, 93200);
					} else if (((uintptr_t)(zend_jit_invalid_array_access)) <= MOVZ_IMM) {
				dasm_put(Dst, 93202, ((uint64_t)(zend_jit_invalid_array_access)));
					} else if (arm64_may_use_adr((void*)(zend_jit_invalid_array_access))) {
				dasm_put(Dst, 93205, (unsigned int)((ptrdiff_t)(zend_jit_invalid_array_access)), (unsigned int)(((ptrdiff_t)(zend_jit_invalid_array_access))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_invalid_array_access))) {
				dasm_put(Dst, 93208, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_invalid_array_access))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_invalid_array_access)))))>>32));
						if (((uintptr_t)(zend_jit_invalid_array_access)) & 0xfff) {
				dasm_put(Dst, 93211, (((uintptr_t)(zend_jit_invalid_array_access)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_invalid_array_access) & 0xffff) {
				dasm_put(Dst, 93214, ((uintptr_t)(zend_jit_invalid_array_access) & 0xffff));
						if (((uintptr_t)(zend_jit_invalid_array_access) >> 16) & 0xffff) {
				dasm_put(Dst, 93217, (((uintptr_t)(zend_jit_invalid_array_access) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_invalid_array_access) >> 32) & 0xffff) {
				dasm_put(Dst, 93220, (((uintptr_t)(zend_jit_invalid_array_access) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_invalid_array_access) >> 16) & 0xffff) {
				dasm_put(Dst, 93223, (((uintptr_t)(zend_jit_invalid_array_access) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_invalid_array_access) >> 32) & 0xffff) {
				dasm_put(Dst, 93226, (((uintptr_t)(zend_jit_invalid_array_access) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 93229, (((uintptr_t)(zend_jit_invalid_array_access) >> 32) & 0xffff));
					}
				dasm_put(Dst, 93232);
					}
#line 11420 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	SET_ZVAL_TYPE_INFO res_addr, IS_NULL, TMP1w, TMP2
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(IS_NULL)) <= MOVZ_IMM) {
			dasm_put(Dst, 93234, ((uint32_t)(IS_NULL)));
				} else if (((uint32_t)(IS_NULL) & 0xffff)) {
			dasm_put(Dst, 93237, ((uint32_t)(IS_NULL) & 0xffff));
					if ((((uint32_t)(IS_NULL) >> 16) & 0xffff)) {
			dasm_put(Dst, 93240, (((uint32_t)(IS_NULL) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 93243, (((uint32_t)(IS_NULL) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 93246, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 93249, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 93252, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 93255, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 93258, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 93261, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
#line 11422 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (op1_info & MAY_BE_ARRAY) {
				//|	b >9 // END
				dasm_put(Dst, 93265);
#line 11424 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}

		if (op1_info & MAY_BE_ARRAY) {
			//|.code
			dasm_put(Dst, 93268);
#line 11429 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	if (op1_info & MAY_BE_ARRAY) {
		zend_jit_addr val_addr = ZEND_ADDR_MEM_ZVAL(ZREG_REG0, 0);

		//|8:
		dasm_put(Dst, 93269);
#line 11436 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (res_exit_addr) {
			uint32_t type = concrete_type(res_info);
			if ((op1_info & MAY_BE_ARRAY_OF_REF)
			 && dim_type != IS_UNKNOWN
			 && dim_type != IS_REFERENCE) {
				if (type < IS_STRING) {
					//|	IF_NOT_ZVAL_TYPE val_addr, type, >1, ZREG_TMP1
						ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 93271, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 93275, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 93279, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 93283, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 93287, (ZREG_X15), (Z_REG(val_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 93292, (ZREG_X15), (Z_REG(val_addr)), (Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)));
						}
						if (type == 0) {
					dasm_put(Dst, 93297, (ZREG_X15));
						} else {
					dasm_put(Dst, 93301, (ZREG_X15), type);
						}
#line 11443 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|.cold_code
					dasm_put(Dst, 93307);
#line 11444 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|1:
					//|	IF_NOT_ZVAL_TYPE val_addr, IS_REFERENCE, &res_exit_addr, ZREG_TMP1
					dasm_put(Dst, 93308);
						ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 93310, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 93314, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 93318, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 93322, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 93326, (ZREG_X15), (Z_REG(val_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 93331, (ZREG_X15), (Z_REG(val_addr)), (Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)));
						}
						if (IS_REFERENCE == 0) {
					dasm_put(Dst, 93336, (ZREG_X15), (unsigned int)((ptrdiff_t)(res_exit_addr)), (unsigned int)(((ptrdiff_t)(res_exit_addr))>>32));
						} else {
					dasm_put(Dst, 93340, (ZREG_X15), IS_REFERENCE, (unsigned int)((ptrdiff_t)(res_exit_addr)), (unsigned int)(((ptrdiff_t)(res_exit_addr))>>32));
						}
#line 11446 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	GET_Z_PTR REG0, REG0
					//|	add REG0, REG0, #offsetof(zend_reference, val)
					//|	IF_ZVAL_TYPE val_addr, type, >1, ZREG_TMP1
					dasm_put(Dst, 93346, offsetof(zend_reference, val));
						ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 93350, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 93354, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 93358, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 93362, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 93366, (ZREG_X15), (Z_REG(val_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 93371, (ZREG_X15), (Z_REG(val_addr)), (Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)));
						}
						if (type == 0) {
					dasm_put(Dst, 93376, (ZREG_X15));
						} else {
					dasm_put(Dst, 93380, (ZREG_X15), type);
						}
#line 11449 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	b &res_exit_addr
					//|.code
					dasm_put(Dst, 93386, (unsigned int)((ptrdiff_t)(res_exit_addr)), (unsigned int)(((ptrdiff_t)(res_exit_addr))>>32));
#line 11451 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|1:
					dasm_put(Dst, 93389);
#line 11452 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	GET_ZVAL_TYPE_INFO REG2w, val_addr, TMP1
						ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 93391, ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 93394, ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 93397, (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 93400, (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 93403, (Z_REG(val_addr)));
						} else {
					dasm_put(Dst, 93406, (Z_REG(val_addr)), (Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)));
						}
#line 11454 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	GET_LOW_8BITS TMP1w, REG2w
					//|	IF_NOT_TYPE TMP1w, type, >1
					dasm_put(Dst, 93410);
						if (type == 0) {
					dasm_put(Dst, 93412);
						} else {
					dasm_put(Dst, 93415, type);
						}
#line 11456 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|.cold_code
					dasm_put(Dst, 93420);
#line 11457 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|1:
					//|	IF_NOT_TYPE TMP1w, IS_REFERENCE, &res_exit_addr
					dasm_put(Dst, 93421);
						if (IS_REFERENCE == 0) {
					dasm_put(Dst, 93423, (unsigned int)((ptrdiff_t)(res_exit_addr)), (unsigned int)(((ptrdiff_t)(res_exit_addr))>>32));
						} else {
					dasm_put(Dst, 93426, IS_REFERENCE, (unsigned int)((ptrdiff_t)(res_exit_addr)), (unsigned int)(((ptrdiff_t)(res_exit_addr))>>32));
						}
#line 11459 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	GET_Z_PTR REG0, REG0
					//|	add REG0, REG0, #offsetof(zend_reference, val)
					//|	GET_ZVAL_TYPE_INFO REG2w, val_addr, TMP1
					dasm_put(Dst, 93431, offsetof(zend_reference, val));
						ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 93435, ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 93438, ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 93441, (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 93444, (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 93447, (Z_REG(val_addr)));
						} else {
					dasm_put(Dst, 93450, (Z_REG(val_addr)), (Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)));
						}
#line 11462 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	GET_LOW_8BITS TMP1w, REG2w
					//|	IF_TYPE TMP1w, type, >1
					dasm_put(Dst, 93454);
						if (type == 0) {
					dasm_put(Dst, 93456);
						} else {
					dasm_put(Dst, 93459, type);
						}
#line 11464 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	b &res_exit_addr
					//|.code
					dasm_put(Dst, 93464, (unsigned int)((ptrdiff_t)(res_exit_addr)), (unsigned int)(((ptrdiff_t)(res_exit_addr))>>32));
#line 11466 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|1:
					dasm_put(Dst, 93467);
#line 11467 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else {
				if (op1_info & MAY_BE_ARRAY_OF_REF) {
					//|	ZVAL_DEREF REG0, MAY_BE_REF, TMP1w
						if (MAY_BE_REF & MAY_BE_REF) {
					dasm_put(Dst, 93469, offsetof(zval, u1.v.type));
						if (IS_REFERENCE == 0) {
					dasm_put(Dst, 93472);
						} else {
					dasm_put(Dst, 93475, IS_REFERENCE);
						}
					dasm_put(Dst, 93480, offsetof(zend_reference, val));
						}
#line 11471 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				if (type < IS_STRING) {
					//|	IF_NOT_ZVAL_TYPE val_addr, type, &res_exit_addr, ZREG_TMP1
						ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 93485, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 93489, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 93493, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 93497, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 93501, (ZREG_X15), (Z_REG(val_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 93506, (ZREG_X15), (Z_REG(val_addr)), (Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)));
						}
						if (type == 0) {
					dasm_put(Dst, 93511, (ZREG_X15), (unsigned int)((ptrdiff_t)(res_exit_addr)), (unsigned int)(((ptrdiff_t)(res_exit_addr))>>32));
						} else {
					dasm_put(Dst, 93515, (ZREG_X15), type, (unsigned int)((ptrdiff_t)(res_exit_addr)), (unsigned int)(((ptrdiff_t)(res_exit_addr))>>32));
						}
#line 11474 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	GET_ZVAL_TYPE_INFO REG2w, val_addr, TMP1
						ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 93521, ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 93524, ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 93527, (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 93530, (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 93533, (Z_REG(val_addr)));
						} else {
					dasm_put(Dst, 93536, (Z_REG(val_addr)), (Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)));
						}
#line 11476 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	GET_LOW_8BITS TMP1w, REG2w
					//|	IF_NOT_TYPE TMP1w, type, &res_exit_addr
					dasm_put(Dst, 93540);
						if (type == 0) {
					dasm_put(Dst, 93542, (unsigned int)((ptrdiff_t)(res_exit_addr)), (unsigned int)(((ptrdiff_t)(res_exit_addr))>>32));
						} else {
					dasm_put(Dst, 93545, type, (unsigned int)((ptrdiff_t)(res_exit_addr)), (unsigned int)(((ptrdiff_t)(res_exit_addr))>>32));
						}
#line 11478 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			}
			//|	// ZVAL_COPY
			//|7:
			//|	ZVAL_COPY_VALUE_V res_addr, -1, val_addr, res_info, ZREG_REG0, ZREG_REG1, ZREG_TMP1, ZREG_FPR0
			dasm_put(Dst, 93550);
				if (res_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
					if ((res_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
						if (Z_MODE(val_addr) == IS_REG) {
							if (Z_MODE(res_addr) != IS_REG || Z_REG(res_addr) != Z_REG(val_addr)) {
				if (Z_MODE(res_addr) == IS_REG) {
			dasm_put(Dst, 93552, (Z_REG(res_addr)), (Z_REG(val_addr)));
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 93556, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 93560, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 93564, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 93568, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 93572, (Z_REG(val_addr)), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 93577, (Z_REG(val_addr)), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
							}
						} else if (Z_MODE(res_addr) == IS_REG) {
				if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(val_addr)) == 0) {
			dasm_put(Dst, 93582, (Z_REG(res_addr)));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) == 0) {
			dasm_put(Dst, 93585, (Z_REG(res_addr)));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 93588, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 93592, (Z_REG(res_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff) {
			dasm_put(Dst, 93596, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 93600, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 93604, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 93608, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 93612, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 93616, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 93620, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 93624, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 93628, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 93632, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 93636, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 93640, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 93644, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 93648, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 93652, (Z_REG(res_addr)), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 93657, (Z_REG(res_addr)), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
				} else if (Z_MODE(val_addr) == IS_REG) {
					if (Z_REG(res_addr) != Z_REG(val_addr)) {
			dasm_put(Dst, 93662, (Z_REG(res_addr)), (Z_REG(val_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
						} else {
				if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(val_addr)) == 0) {
			dasm_put(Dst, 93666, (ZREG_X9));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) == 0) {
			dasm_put(Dst, 93669, (ZREG_X9));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 93672, (ZREG_X9), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 93676, (ZREG_X9), (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff) {
			dasm_put(Dst, 93680, (ZREG_X9), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 93684, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 93688, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 93692, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 93696, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 93700, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 93704, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 93708, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 93712, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 93716, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 93720, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 93724, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 93728, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 93732, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 93736, (ZREG_X9), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 93741, (ZREG_X9), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
				} else if (Z_MODE(val_addr) == IS_REG) {
					if (ZREG_X9 != Z_REG(val_addr)) {
			dasm_put(Dst, 93746, (ZREG_X9), (Z_REG(val_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
				if (Z_MODE(res_addr) == IS_REG) {
			dasm_put(Dst, 93750, (Z_REG(res_addr)), (ZREG_X9));
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 93754, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 93758, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 93762, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 93766, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 93770, (ZREG_X9), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 93775, (ZREG_X9), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
						}
					} else if ((res_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
						if (Z_MODE(val_addr) == IS_REG) {
				if (Z_MODE(res_addr) == IS_REG) {
					if (Z_REG(val_addr) != Z_REG(res_addr)) {
			dasm_put(Dst, 93780, (Z_REG(res_addr)-ZREG_V0), (Z_REG(val_addr)-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 93784, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 93788, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 93792, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 93796, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 93800, (Z_REG(val_addr)-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 93805, (Z_REG(val_addr)-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
						} else if (Z_MODE(res_addr) == IS_REG) {
				if (Z_MODE(val_addr) != IS_REG || Z_REG(res_addr) != Z_REG(val_addr)) {
					if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 93810, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 93817, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(val_addr))) == 0) {
			dasm_put(Dst, 93825, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 93828, (ZREG_X15), ((uint64_t)(Z_ZV(val_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 93832, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 93836, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(val_addr))) & 0xfff) {
			dasm_put(Dst, 93840, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(val_addr)) & 0xffff) {
			dasm_put(Dst, 93845, (ZREG_X15), ((uintptr_t)(Z_ZV(val_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 93849, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 93853, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 93857, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 93861, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 93865, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 93869, (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 93873, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 93877, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 93881, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 93885, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 93889, (Z_REG(res_addr)-ZREG_V0), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 93894, (Z_REG(res_addr)-ZREG_V0), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
					} else if (Z_MODE(val_addr) == IS_REG) {
			dasm_put(Dst, 93899, (Z_REG(res_addr)-ZREG_V0), (Z_REG(val_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
						} else {
				if (Z_MODE(val_addr) != IS_REG || ZREG_V0 != Z_REG(val_addr)) {
					if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 93903, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 93910, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(val_addr))) == 0) {
			dasm_put(Dst, 93918, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 93921, (ZREG_X15), ((uint64_t)(Z_ZV(val_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 93925, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 93929, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(val_addr))) & 0xfff) {
			dasm_put(Dst, 93933, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(val_addr)) & 0xffff) {
			dasm_put(Dst, 93938, (ZREG_X15), ((uintptr_t)(Z_ZV(val_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 93942, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 93946, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 93950, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 93954, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 93958, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 93962, (ZREG_V0-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 93966, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 93970, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 93974, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 93978, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 93982, (ZREG_V0-ZREG_V0), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 93987, (ZREG_V0-ZREG_V0), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
					} else if (Z_MODE(val_addr) == IS_REG) {
			dasm_put(Dst, 93992, (ZREG_V0-ZREG_V0), (Z_REG(val_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
				if (Z_MODE(res_addr) == IS_REG) {
					if (ZREG_V0 != Z_REG(res_addr)) {
			dasm_put(Dst, 93996, (Z_REG(res_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 94000, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 94004, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 94008, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 94012, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 94016, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 94021, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
						}
					// Combine the following two branches.
					// } else if (!(res_info & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
					} else {
				ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 94026, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 94030, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 94034, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 94038, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 94042, (ZREG_X9), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 94047, (ZREG_X9), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 94052, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 94056, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 94060, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 94064, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 94068, (ZREG_X9), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 94073, (ZREG_X9), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
					}
				}
#line 11483 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
				if (type < IS_STRING) {
					if (Z_REG(res_addr) != ZREG_FP ||
					    JIT_G(current_frame) == NULL ||
					    STACK_MEM_TYPE(JIT_G(current_frame)->stack, EX_VAR_TO_NUM(Z_OFFSET(res_addr))) != type) {
						//|	SET_ZVAL_TYPE_INFO res_addr, type, TMP1w, TMP2
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
							if (((uint32_t)(type)) <= MOVZ_IMM) {
						dasm_put(Dst, 94078, ((uint32_t)(type)));
							} else if (((uint32_t)(type) & 0xffff)) {
						dasm_put(Dst, 94081, ((uint32_t)(type) & 0xffff));
								if ((((uint32_t)(type) >> 16) & 0xffff)) {
						dasm_put(Dst, 94084, (((uint32_t)(type) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 94087, (((uint32_t)(type) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
							if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
						dasm_put(Dst, 94090, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
							} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
						dasm_put(Dst, 94093, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
						dasm_put(Dst, 94096, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 94099, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 94102, (Z_REG(res_addr)));
							} else {
						dasm_put(Dst, 94105, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
							}
#line 11489 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				} else {
					//|	SET_ZVAL_TYPE_INFO_FROM_REG res_addr, REG2w, TMP1
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 94109, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 94112, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 94115, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 94118, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 94121, (Z_REG(res_addr)));
						} else {
					dasm_put(Dst, 94124, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
						}
#line 11492 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					if (!result_avoid_refcounting) {
						//|	TRY_ADDREF res_info, REG2w, REG1, TMP1w
							if (res_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) {
								if (res_info & (MAY_BE_ANY-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
							if ((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT) == 0) {
						dasm_put(Dst, 94128);
							} else if (logical_immediate_p((uint32_t)(IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT), 32)) {
						dasm_put(Dst, 94130, (IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT));
							} else {
							if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))) <= MOVZ_IMM) {
						dasm_put(Dst, 94133, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))));
							} else if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff)) {
						dasm_put(Dst, 94136, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff));
								if ((((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff)) {
						dasm_put(Dst, 94139, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 94142, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 94145);
							}
						dasm_put(Dst, 94147);
								}
						dasm_put(Dst, 94150);
							}
#line 11494 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				}
			} else if (!zend_jit_store_var_if_necessary(Dst, opline->result.var, res_addr, res_info)) {
				return 0;
			}
		} else if (op1_info & MAY_BE_ARRAY_OF_REF) {
			//|	// ZVAL_COPY_DEREF
			//|	GET_ZVAL_TYPE_INFO Rw(ZREG_REG2), val_addr, TMP1
				ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 94155, ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 94158, ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 94161, (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 94164, (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 94167, (ZREG_X10), (Z_REG(val_addr)));
				} else {
			dasm_put(Dst, 94171, (ZREG_X10), (Z_REG(val_addr)), (Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)));
				}
#line 11502 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (!zend_jit_zval_copy_deref(Dst, res_addr, val_addr, ZREG_REG2)) {
				return 0;
			}
		} else  {
			//|	// ZVAL_COPY
			//|	ZVAL_COPY_VALUE res_addr, -1, val_addr, res_info, ZREG_REG1, ZREG_REG2, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
				if (res_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
					if ((res_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
						if (Z_MODE(val_addr) == IS_REG) {
							if (Z_MODE(res_addr) != IS_REG || Z_REG(res_addr) != Z_REG(val_addr)) {
				if (Z_MODE(res_addr) == IS_REG) {
			dasm_put(Dst, 94176, (Z_REG(res_addr)), (Z_REG(val_addr)));
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 94180, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 94184, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 94188, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 94192, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 94196, (Z_REG(val_addr)), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 94201, (Z_REG(val_addr)), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
							}
						} else if (Z_MODE(res_addr) == IS_REG) {
				if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(val_addr)) == 0) {
			dasm_put(Dst, 94206, (Z_REG(res_addr)));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) == 0) {
			dasm_put(Dst, 94209, (Z_REG(res_addr)));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 94212, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 94216, (Z_REG(res_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff) {
			dasm_put(Dst, 94220, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 94224, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 94228, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 94232, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 94236, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 94240, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 94244, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 94248, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 94252, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 94256, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 94260, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 94264, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 94268, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 94272, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 94276, (Z_REG(res_addr)), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 94281, (Z_REG(res_addr)), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
				} else if (Z_MODE(val_addr) == IS_REG) {
					if (Z_REG(res_addr) != Z_REG(val_addr)) {
			dasm_put(Dst, 94286, (Z_REG(res_addr)), (Z_REG(val_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
						} else {
				if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(val_addr)) == 0) {
			dasm_put(Dst, 94290, (ZREG_X10));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) == 0) {
			dasm_put(Dst, 94293, (ZREG_X10));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 94296, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 94300, (ZREG_X10), (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff) {
			dasm_put(Dst, 94304, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 94308, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 94312, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 94316, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 94320, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 94324, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 94328, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 94332, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 94336, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 94340, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 94344, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 94348, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 94352, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 94356, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 94360, (ZREG_X10), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 94365, (ZREG_X10), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
				} else if (Z_MODE(val_addr) == IS_REG) {
					if (ZREG_X10 != Z_REG(val_addr)) {
			dasm_put(Dst, 94370, (ZREG_X10), (Z_REG(val_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
				if (Z_MODE(res_addr) == IS_REG) {
			dasm_put(Dst, 94374, (Z_REG(res_addr)), (ZREG_X10));
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 94378, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 94382, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 94386, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 94390, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 94394, (ZREG_X10), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 94399, (ZREG_X10), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
						}
					} else if ((res_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
						if (Z_MODE(val_addr) == IS_REG) {
				if (Z_MODE(res_addr) == IS_REG) {
					if (Z_REG(val_addr) != Z_REG(res_addr)) {
			dasm_put(Dst, 94404, (Z_REG(res_addr)-ZREG_V0), (Z_REG(val_addr)-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 94408, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 94412, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 94416, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 94420, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 94424, (Z_REG(val_addr)-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 94429, (Z_REG(val_addr)-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
						} else if (Z_MODE(res_addr) == IS_REG) {
				if (Z_MODE(val_addr) != IS_REG || Z_REG(res_addr) != Z_REG(val_addr)) {
					if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 94434, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 94441, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(val_addr))) == 0) {
			dasm_put(Dst, 94449, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 94452, (ZREG_X15), ((uint64_t)(Z_ZV(val_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 94456, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 94460, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(val_addr))) & 0xfff) {
			dasm_put(Dst, 94464, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(val_addr)) & 0xffff) {
			dasm_put(Dst, 94469, (ZREG_X15), ((uintptr_t)(Z_ZV(val_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 94473, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 94477, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 94481, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 94485, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 94489, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 94493, (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 94497, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 94501, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 94505, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 94509, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 94513, (Z_REG(res_addr)-ZREG_V0), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 94518, (Z_REG(res_addr)-ZREG_V0), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
					} else if (Z_MODE(val_addr) == IS_REG) {
			dasm_put(Dst, 94523, (Z_REG(res_addr)-ZREG_V0), (Z_REG(val_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
						} else {
				if (Z_MODE(val_addr) != IS_REG || ZREG_V0 != Z_REG(val_addr)) {
					if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 94527, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 94534, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(val_addr))) == 0) {
			dasm_put(Dst, 94542, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 94545, (ZREG_X15), ((uint64_t)(Z_ZV(val_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 94549, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 94553, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(val_addr))) & 0xfff) {
			dasm_put(Dst, 94557, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(val_addr)) & 0xffff) {
			dasm_put(Dst, 94562, (ZREG_X15), ((uintptr_t)(Z_ZV(val_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 94566, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 94570, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 94574, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 94578, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 94582, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 94586, (ZREG_V0-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 94590, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 94594, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 94598, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 94602, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 94606, (ZREG_V0-ZREG_V0), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 94611, (ZREG_V0-ZREG_V0), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
					} else if (Z_MODE(val_addr) == IS_REG) {
			dasm_put(Dst, 94616, (ZREG_V0-ZREG_V0), (Z_REG(val_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
				if (Z_MODE(res_addr) == IS_REG) {
					if (ZREG_V0 != Z_REG(res_addr)) {
			dasm_put(Dst, 94620, (Z_REG(res_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 94624, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 94628, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 94632, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 94636, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 94640, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 94645, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
						}
					// Combine the following two branches.
					// } else if (!(res_info & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
					} else {
				ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 94650, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 94654, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 94658, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 94662, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 94666, (ZREG_X10), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 94671, (ZREG_X10), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 94676, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 94680, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 94684, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 94688, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 94692, (ZREG_X10), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 94697, (ZREG_X10), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
					}
				}
				if ((res_info & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
					!(res_info & MAY_BE_GUARD) &&
					has_concrete_type(res_info & MAY_BE_ANY)) {
					if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
						if ((-1 & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (res_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD))) {
							uint32_t type = concrete_type(res_info);
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(type)) <= MOVZ_IMM) {
			dasm_put(Dst, 94702, (ZREG_X15), ((uint32_t)(type)));
				} else if (((uint32_t)(type) & 0xffff)) {
			dasm_put(Dst, 94706, (ZREG_X15), ((uint32_t)(type) & 0xffff));
					if ((((uint32_t)(type) >> 16) & 0xffff)) {
			dasm_put(Dst, 94710, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 94714, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 94718, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 94722, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 94726, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 94730, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 94734, (ZREG_X15), (Z_REG(res_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 94739, (ZREG_X15), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
						}
					}
				} else {
				ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 94744, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 94748, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 94752, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 94756, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 94760, (ZREG_X9), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 94765, (ZREG_X9), (Z_REG(val_addr)), (Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)));
				}
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 94770, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 94774, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 94778, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 94782, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 94786, (ZREG_X9), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 94791, (ZREG_X9), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
				}
#line 11508 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	TRY_ADDREF res_info, REG1w, REG2, TMP1w
				if (res_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) {
					if (res_info & (MAY_BE_ANY-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
				if ((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT) == 0) {
			dasm_put(Dst, 94796);
				} else if (logical_immediate_p((uint32_t)(IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT), 32)) {
			dasm_put(Dst, 94798, (IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT));
				} else {
				if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))) <= MOVZ_IMM) {
			dasm_put(Dst, 94801, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))));
				} else if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff)) {
			dasm_put(Dst, 94804, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff));
					if ((((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff)) {
			dasm_put(Dst, 94807, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 94810, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 94813);
				}
			dasm_put(Dst, 94815);
					}
			dasm_put(Dst, 94818);
				}
#line 11509 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}
	//|9: // END
	dasm_put(Dst, 94823);
#line 11512 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

#ifdef ZEND_JIT_USE_RC_INFERENCE
	if ((opline->op2_type & (IS_TMP_VAR|IS_VAR)) && (op1_info & MAY_BE_OBJECT)) {
		/* Magic offsetGet() may increase refcount of the key */
		op2_info |= MAY_BE_RCN;
	}
#endif

    if (opline->op2_type & (IS_TMP_VAR|IS_VAR)) {
		if ((op2_info & MAY_HAVE_DTOR) && (op2_info & MAY_BE_RC1)) {
			may_throw = 1;
		}
		//|	FREE_OP opline->op2_type, opline->op2, op2_info, 0, opline, ZREG_TMP1, ZREG_TMP2
			if (opline->op2_type & (IS_VAR|IS_TMP_VAR)) {
				zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op2.var);
			if ((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
				if ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if (0) {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 94825, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 94829, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 94833, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 94837, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 94841, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 94846, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 94851, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 94854, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 94858, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 94862, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 94866, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 94870, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 94874, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 94878);
		dasm_put(Dst, 94881);
					} else {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 94883, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 94887, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 94891, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 94895, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 94899, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 94904, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 94909, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 94912, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 94916, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 94920, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 94924, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 94928, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 94932, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 94936);
					}
				}
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 94939, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
			} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
		dasm_put(Dst, 94943, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 94947, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 94951, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 94955, (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 94959, (Z_REG(addr)), (Z_OFFSET(addr)));
			}
		dasm_put(Dst, 94963, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
				if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op2_info)) {
					if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op2_info)) {
						if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 94971);
						} else {
		dasm_put(Dst, 94974);
						}
					}
			do {
				if (!((op2_info) & MAY_BE_GUARD)
				 && has_concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					zend_uchar type = concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
					if (type == IS_STRING && !ZEND_DEBUG) {
			if (arm64_may_use_b(_efree)) {
		dasm_put(Dst, 94977, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else {
			if (((uintptr_t)(_efree)) == 0) {
		dasm_put(Dst, 94980, (ZREG_X15));
			} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
		dasm_put(Dst, 94983, (ZREG_X15), ((uint64_t)(_efree)));
			} else if (arm64_may_use_adr((void*)(_efree))) {
		dasm_put(Dst, 94987, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else if (arm64_may_use_adrp((void*)(_efree))) {
		dasm_put(Dst, 94991, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
				if (((uintptr_t)(_efree)) & 0xfff) {
		dasm_put(Dst, 94995, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
				}
			} else if ((uintptr_t)(_efree) & 0xffff) {
		dasm_put(Dst, 95000, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
				if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 95004, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 95008, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 95012, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 95016, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 95020, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		dasm_put(Dst, 95024, (ZREG_X15));
			}
						break;
					} else if (type == IS_ARRAY) {
						if ((op2_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
							if (opline && ((op2_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 95027, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 95030, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 95033, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 95037, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 95041, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 95045, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 95050, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 95054, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 95058, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 95062, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 95066, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 95070, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 95074, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
							}
			if (arm64_may_use_b(zend_array_destroy)) {
		dasm_put(Dst, 95078, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else {
			if (((uintptr_t)(zend_array_destroy)) == 0) {
		dasm_put(Dst, 95081, (ZREG_X15));
			} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
		dasm_put(Dst, 95084, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
			} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
		dasm_put(Dst, 95088, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
		dasm_put(Dst, 95092, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
				if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
		dasm_put(Dst, 95096, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
		dasm_put(Dst, 95101, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 95105, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 95109, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 95113, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 95117, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 95121, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		dasm_put(Dst, 95125, (ZREG_X15));
			}
						} else {
			if (arm64_may_use_b(zend_jit_array_free)) {
		dasm_put(Dst, 95128, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else {
			if (((uintptr_t)(zend_jit_array_free)) == 0) {
		dasm_put(Dst, 95131, (ZREG_X15));
			} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
		dasm_put(Dst, 95134, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
			} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 95138, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 95142, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
				if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
		dasm_put(Dst, 95146, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
		dasm_put(Dst, 95151, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 95155, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 95159, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 95163, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 95167, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 95171, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		dasm_put(Dst, 95175, (ZREG_X15));
			}
						}
						break;
					} else if (type == IS_OBJECT) {
						if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 95178, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 95181);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 95183, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 95186, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 95189, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 95192, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 95195, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 95198, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 95201, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 95204, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 95207, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 95210, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 95213, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
						}
			if (arm64_may_use_b(zend_objects_store_del)) {
		dasm_put(Dst, 95216, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else {
			if (((uintptr_t)(zend_objects_store_del)) == 0) {
		dasm_put(Dst, 95219, (ZREG_X15));
			} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
		dasm_put(Dst, 95222, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
			} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 95226, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 95230, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
				if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
		dasm_put(Dst, 95234, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
		dasm_put(Dst, 95239, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 95243, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 95247, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 95251, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 95255, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 95259, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		dasm_put(Dst, 95263, (ZREG_X15));
			}
						break;
					}
				}
				if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 95266, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 95269, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 95272, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 95276, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 95280, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 95284, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 95289, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 95293, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 95297, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 95301, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 95305, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 95309, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 95313, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
				}
			if (arm64_may_use_b(rc_dtor_func)) {
		dasm_put(Dst, 95317, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else {
			if (((uintptr_t)(rc_dtor_func)) == 0) {
		dasm_put(Dst, 95320, (ZREG_X15));
			} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
		dasm_put(Dst, 95323, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
			} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
		dasm_put(Dst, 95327, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
		dasm_put(Dst, 95331, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
				if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
		dasm_put(Dst, 95335, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
				}
			} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
		dasm_put(Dst, 95340, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 95344, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				}
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 95348, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 95352, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 95356, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 95360, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		dasm_put(Dst, 95364, (ZREG_X15));
			}
			} while(0);
					if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 95367);
					}
		dasm_put(Dst, 95370);
				}
				if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					if ((op2_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
						zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
		dasm_put(Dst, 95372, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
		dasm_put(Dst, 95376, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
		dasm_put(Dst, 95380, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 95384, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 95388, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 95393, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
			}
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 95398, (ZREG_X15));
			} else {
		dasm_put(Dst, 95402, (ZREG_X15), IS_REFERENCE);
			}
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 95408, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 95412, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 95416, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 95420, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 95424, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 95429, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_COLLECTABLE == 0) {
		dasm_put(Dst, 95434, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
		dasm_put(Dst, 95437, (ZREG_X15), IS_TYPE_COLLECTABLE);
			} else {
			if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
		dasm_put(Dst, 95441, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
			} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
		dasm_put(Dst, 95445, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
				if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
		dasm_put(Dst, 95449, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 95453, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		dasm_put(Dst, 95457, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 95461);
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 95464, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
		dasm_put(Dst, 95468, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 95472, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 95476, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 95480, (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 95484, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
			}
		dasm_put(Dst, 95488);
					}
		dasm_put(Dst, 95490, (ZREG_X15));
			if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
		dasm_put(Dst, 95493, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
		dasm_put(Dst, 95496, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
			} else {
			if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
		dasm_put(Dst, 95500, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
			} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
		dasm_put(Dst, 95504, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
				if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
		dasm_put(Dst, 95508, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 95512, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 95516, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 95520);
			if (arm64_may_use_b(gc_possible_root)) {
		dasm_put(Dst, 95523, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else {
			if (((uintptr_t)(gc_possible_root)) == 0) {
		dasm_put(Dst, 95526, (ZREG_X15));
			} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
		dasm_put(Dst, 95529, (ZREG_X15), ((uint64_t)(gc_possible_root)));
			} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
		dasm_put(Dst, 95533, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
		dasm_put(Dst, 95537, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
				if (((uintptr_t)(gc_possible_root)) & 0xfff) {
		dasm_put(Dst, 95541, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
				}
			} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
		dasm_put(Dst, 95546, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 95550, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				}
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 95554, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 95558, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 95562, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 95566, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		dasm_put(Dst, 95570, (ZREG_X15));
			}
				}
				if (0 && ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
		dasm_put(Dst, 95573);
				}
		dasm_put(Dst, 95576);
			}
			}
#line 11525 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	if (opline->opcode != ZEND_FETCH_LIST_R && !op1_avoid_refcounting) {
		if (opline->op1_type & (IS_TMP_VAR|IS_VAR)) {
			if ((op1_info & MAY_HAVE_DTOR) && (op1_info & MAY_BE_RC1)) {
				may_throw = 1;
			}
			//|	FREE_OP opline->op1_type, opline->op1, op1_info, 0, opline, ZREG_TMP1, ZREG_TMP2
				if (opline->op1_type & (IS_VAR|IS_TMP_VAR)) {
					zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op1.var);
				if ((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
					if ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
						if (0) {
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 95578, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 95582, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 95586, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 95590, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 95594, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 95599, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_REFCOUNTED == 0) {
			dasm_put(Dst, 95604, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
			dasm_put(Dst, 95607, (ZREG_X15), IS_TYPE_REFCOUNTED);
				} else {
				if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
			dasm_put(Dst, 95611, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
				} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
			dasm_put(Dst, 95615, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
					if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
			dasm_put(Dst, 95619, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 95623, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			dasm_put(Dst, 95627, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 95631);
			dasm_put(Dst, 95634);
						} else {
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 95636, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 95640, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 95644, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 95648, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 95652, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 95657, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_REFCOUNTED == 0) {
			dasm_put(Dst, 95662, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
			dasm_put(Dst, 95665, (ZREG_X15), IS_TYPE_REFCOUNTED);
				} else {
				if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
			dasm_put(Dst, 95669, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
				} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
			dasm_put(Dst, 95673, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
					if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
			dasm_put(Dst, 95677, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 95681, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			dasm_put(Dst, 95685, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 95689);
						}
					}
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 95692, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
				} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
			dasm_put(Dst, 95696, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 95700, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 95704, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 95708, (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 95712, (Z_REG(addr)), (Z_OFFSET(addr)));
				}
			dasm_put(Dst, 95716, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
					if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op1_info)) {
						if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op1_info)) {
							if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
			dasm_put(Dst, 95724);
							} else {
			dasm_put(Dst, 95727);
							}
						}
				do {
					if (!((op1_info) & MAY_BE_GUARD)
					 && has_concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
						zend_uchar type = concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
						if (type == IS_STRING && !ZEND_DEBUG) {
				if (arm64_may_use_b(_efree)) {
			dasm_put(Dst, 95730, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
				} else {
				if (((uintptr_t)(_efree)) == 0) {
			dasm_put(Dst, 95733, (ZREG_X15));
				} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
			dasm_put(Dst, 95736, (ZREG_X15), ((uint64_t)(_efree)));
				} else if (arm64_may_use_adr((void*)(_efree))) {
			dasm_put(Dst, 95740, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
				} else if (arm64_may_use_adrp((void*)(_efree))) {
			dasm_put(Dst, 95744, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
					if (((uintptr_t)(_efree)) & 0xfff) {
			dasm_put(Dst, 95748, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
					}
				} else if ((uintptr_t)(_efree) & 0xffff) {
			dasm_put(Dst, 95753, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
					if (((uintptr_t)(_efree) >> 16) & 0xffff) {
			dasm_put(Dst, 95757, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
					}
					if (((uintptr_t)(_efree) >> 32) & 0xffff) {
			dasm_put(Dst, 95761, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
			dasm_put(Dst, 95765, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
					if (((uintptr_t)(_efree) >> 32) & 0xffff) {
			dasm_put(Dst, 95769, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 95773, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			dasm_put(Dst, 95777, (ZREG_X15));
				}
							break;
						} else if (type == IS_ARRAY) {
							if ((op1_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
								if (opline && ((op1_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 95780, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 95783, (ZREG_X15));
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 95786, (ZREG_X15), ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 95790, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 95794, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 95798, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 95803, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 95807, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 95811, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 95815, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 95819, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 95823, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 95827, (ZREG_X15), Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
								}
				if (arm64_may_use_b(zend_array_destroy)) {
			dasm_put(Dst, 95831, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
				} else {
				if (((uintptr_t)(zend_array_destroy)) == 0) {
			dasm_put(Dst, 95834, (ZREG_X15));
				} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
			dasm_put(Dst, 95837, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
				} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
			dasm_put(Dst, 95841, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
			dasm_put(Dst, 95845, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
					if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
			dasm_put(Dst, 95849, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
			dasm_put(Dst, 95854, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
					if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
			dasm_put(Dst, 95858, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
			dasm_put(Dst, 95862, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
			dasm_put(Dst, 95866, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
					if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
			dasm_put(Dst, 95870, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 95874, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			dasm_put(Dst, 95878, (ZREG_X15));
				}
							} else {
				if (arm64_may_use_b(zend_jit_array_free)) {
			dasm_put(Dst, 95881, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
				} else {
				if (((uintptr_t)(zend_jit_array_free)) == 0) {
			dasm_put(Dst, 95884, (ZREG_X15));
				} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
			dasm_put(Dst, 95887, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
				} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
			dasm_put(Dst, 95891, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
			dasm_put(Dst, 95895, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
					if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
			dasm_put(Dst, 95899, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
			dasm_put(Dst, 95904, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
					if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
			dasm_put(Dst, 95908, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
			dasm_put(Dst, 95912, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
			dasm_put(Dst, 95916, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
			dasm_put(Dst, 95920, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 95924, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			dasm_put(Dst, 95928, (ZREG_X15));
				}
							}
							break;
						} else if (type == IS_OBJECT) {
							if (opline) {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 95931, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 95934);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 95936, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 95939, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 95942, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 95945, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 95948, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 95951, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 95954, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 95957, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 95960, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 95963, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 95966, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
							}
				if (arm64_may_use_b(zend_objects_store_del)) {
			dasm_put(Dst, 95969, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
				} else {
				if (((uintptr_t)(zend_objects_store_del)) == 0) {
			dasm_put(Dst, 95972, (ZREG_X15));
				} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
			dasm_put(Dst, 95975, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
				} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
			dasm_put(Dst, 95979, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
			dasm_put(Dst, 95983, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
					if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
			dasm_put(Dst, 95987, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
			dasm_put(Dst, 95992, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
					if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
			dasm_put(Dst, 95996, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
			dasm_put(Dst, 96000, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
			dasm_put(Dst, 96004, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
					if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
			dasm_put(Dst, 96008, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 96012, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			dasm_put(Dst, 96016, (ZREG_X15));
				}
							break;
						}
					}
					if (opline) {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 96019, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 96022, (ZREG_X15));
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 96025, (ZREG_X15), ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 96029, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 96033, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 96037, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 96042, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 96046, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 96050, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 96054, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 96058, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 96062, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 96066, (ZREG_X15), Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
					}
				if (arm64_may_use_b(rc_dtor_func)) {
			dasm_put(Dst, 96070, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
				} else {
				if (((uintptr_t)(rc_dtor_func)) == 0) {
			dasm_put(Dst, 96073, (ZREG_X15));
				} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
			dasm_put(Dst, 96076, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
				} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
			dasm_put(Dst, 96080, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
				} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
			dasm_put(Dst, 96084, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
					if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
			dasm_put(Dst, 96088, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
					}
				} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
			dasm_put(Dst, 96093, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
					if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
			dasm_put(Dst, 96097, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
					}
					if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
			dasm_put(Dst, 96101, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
			dasm_put(Dst, 96105, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
					if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
			dasm_put(Dst, 96109, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 96113, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			dasm_put(Dst, 96117, (ZREG_X15));
				}
				} while(0);
						if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
			dasm_put(Dst, 96120);
						}
			dasm_put(Dst, 96123);
					}
					if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
						if ((op1_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
							zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 96125, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 96129, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 96133, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 96137, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 96141, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 96146, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_REFERENCE == 0) {
			dasm_put(Dst, 96151, (ZREG_X15));
				} else {
			dasm_put(Dst, 96155, (ZREG_X15), IS_REFERENCE);
				}
				ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 96161, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 96165, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 96169, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 96173, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 96177, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 96182, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_COLLECTABLE == 0) {
			dasm_put(Dst, 96187, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
			dasm_put(Dst, 96190, (ZREG_X15), IS_TYPE_COLLECTABLE);
				} else {
				if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
			dasm_put(Dst, 96194, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
				} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
			dasm_put(Dst, 96198, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
					if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
			dasm_put(Dst, 96202, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 96206, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			dasm_put(Dst, 96210, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 96214);
				ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 96217, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
			dasm_put(Dst, 96221, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 96225, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 96229, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 96233, (Z_REG(ref_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 96237, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
				}
			dasm_put(Dst, 96241);
						}
			dasm_put(Dst, 96243, (ZREG_X15));
				if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
			dasm_put(Dst, 96246, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
			dasm_put(Dst, 96249, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
				} else {
				if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
			dasm_put(Dst, 96253, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
				} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
			dasm_put(Dst, 96257, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
					if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
			dasm_put(Dst, 96261, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 96265, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			dasm_put(Dst, 96269, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 96273);
				if (arm64_may_use_b(gc_possible_root)) {
			dasm_put(Dst, 96276, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
				} else {
				if (((uintptr_t)(gc_possible_root)) == 0) {
			dasm_put(Dst, 96279, (ZREG_X15));
				} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
			dasm_put(Dst, 96282, (ZREG_X15), ((uint64_t)(gc_possible_root)));
				} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
			dasm_put(Dst, 96286, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
				} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
			dasm_put(Dst, 96290, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
					if (((uintptr_t)(gc_possible_root)) & 0xfff) {
			dasm_put(Dst, 96294, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
					}
				} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
			dasm_put(Dst, 96299, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
					if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
			dasm_put(Dst, 96303, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
					}
					if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
			dasm_put(Dst, 96307, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
			dasm_put(Dst, 96311, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
					if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
			dasm_put(Dst, 96315, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 96319, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			dasm_put(Dst, 96323, (ZREG_X15));
				}
					}
					if (0 && ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
			dasm_put(Dst, 96326);
					}
			dasm_put(Dst, 96329);
				}
				}
#line 11532 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	if (may_throw) {
		if (!zend_jit_check_exception(Dst)) {
			return 0;
		}
	}

	return 1;
}

static int zend_jit_fetch_dim(dasm_State    **Dst,
                              const zend_op  *opline,
                              uint32_t        op1_info,
                              zend_jit_addr   op1_addr,
                              uint32_t        op2_info,
                              zend_jit_addr   res_addr,
                              uint8_t         dim_type)
{
	zend_jit_addr op2_addr;
	int may_throw = 0;

	op2_addr = (opline->op2_type != IS_UNUSED) ? OP2_ADDR() : 0;

	if (opline->opcode == ZEND_FETCH_DIM_RW) {
		//|	SET_EX_OPLINE opline, REG0
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 96331, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 96334);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 96336, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 96339, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 96342, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 96345, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 96348, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 96351, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 96354, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 96357, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 96360, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 96363, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 96366, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
#line 11559 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	if (op1_info & MAY_BE_REF) {
		may_throw = 1;
		//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
		dasm_put(Dst, 96369);
			} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 96371, ((uint64_t)(Z_ZV(op1_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 96374, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 96377, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
		dasm_put(Dst, 96380, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
		dasm_put(Dst, 96383, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 96386, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 96389, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 96392, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 96395, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 96398, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (Z_OFFSET(op1_addr)) {
			if (Z_OFFSET(op1_addr) == 0) {
		dasm_put(Dst, 96401, (Z_REG(op1_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
		dasm_put(Dst, 96404, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
			} else {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 96408, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 96411, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 96414, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 96417, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 96420, (Z_REG(op1_addr)));
			}
				} else {
					if (Z_REG(op1_addr) == ZREG_RSP) {
		dasm_put(Dst, 96423);
					} else {
		dasm_put(Dst, 96425, (Z_REG(op1_addr)));
					}
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 11563 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	IF_NOT_Z_TYPE FCARG1x, IS_REFERENCE, >1, TMP1w
		dasm_put(Dst, 96428, offsetof(zval, u1.v.type));
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 96431);
			} else {
		dasm_put(Dst, 96434, IS_REFERENCE);
			}
#line 11564 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	GET_Z_PTR FCARG2x, FCARG1x
		//|	ldrb TMP1w, [FCARG2x, #(offsetof(zend_reference, val) + offsetof(zval, u1.v.type))]
		//|	cmp TMP1w, #IS_ARRAY
		//|	bne >2
		//|	add FCARG1x, FCARG2x, #offsetof(zend_reference, val)
		//|	b >3
		//|.cold_code
		dasm_put(Dst, 96439, (offsetof(zend_reference, val) + offsetof(zval, u1.v.type)), IS_ARRAY, offsetof(zend_reference, val));
#line 11571 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|2:
		//|	SET_EX_OPLINE opline, REG0
		dasm_put(Dst, 96451);
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 96453, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 96456);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 96458, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 96461, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 96464, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 96467, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 96470, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 96473, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 96476, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 96479, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 96482, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 96485, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 96488, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
#line 11573 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (opline->opcode != ZEND_FETCH_DIM_RW) {
			//|	EXT_CALL zend_jit_prepare_assign_dim_ref, REG0
				if (arm64_may_use_b(zend_jit_prepare_assign_dim_ref)) {
			dasm_put(Dst, 96491, (unsigned int)((ptrdiff_t)(zend_jit_prepare_assign_dim_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_prepare_assign_dim_ref))>>32));
				} else {
				if (((uintptr_t)(zend_jit_prepare_assign_dim_ref)) == 0) {
			dasm_put(Dst, 96494);
				} else if (((uintptr_t)(zend_jit_prepare_assign_dim_ref)) <= MOVZ_IMM) {
			dasm_put(Dst, 96496, ((uint64_t)(zend_jit_prepare_assign_dim_ref)));
				} else if (arm64_may_use_adr((void*)(zend_jit_prepare_assign_dim_ref))) {
			dasm_put(Dst, 96499, (unsigned int)((ptrdiff_t)(zend_jit_prepare_assign_dim_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_prepare_assign_dim_ref))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_prepare_assign_dim_ref))) {
			dasm_put(Dst, 96502, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_prepare_assign_dim_ref))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_prepare_assign_dim_ref)))))>>32));
					if (((uintptr_t)(zend_jit_prepare_assign_dim_ref)) & 0xfff) {
			dasm_put(Dst, 96505, (((uintptr_t)(zend_jit_prepare_assign_dim_ref)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_prepare_assign_dim_ref) & 0xffff) {
			dasm_put(Dst, 96508, ((uintptr_t)(zend_jit_prepare_assign_dim_ref) & 0xffff));
					if (((uintptr_t)(zend_jit_prepare_assign_dim_ref) >> 16) & 0xffff) {
			dasm_put(Dst, 96511, (((uintptr_t)(zend_jit_prepare_assign_dim_ref) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_prepare_assign_dim_ref) >> 32) & 0xffff) {
			dasm_put(Dst, 96514, (((uintptr_t)(zend_jit_prepare_assign_dim_ref) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_prepare_assign_dim_ref) >> 16) & 0xffff) {
			dasm_put(Dst, 96517, (((uintptr_t)(zend_jit_prepare_assign_dim_ref) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_prepare_assign_dim_ref) >> 32) & 0xffff) {
			dasm_put(Dst, 96520, (((uintptr_t)(zend_jit_prepare_assign_dim_ref) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 96523, (((uintptr_t)(zend_jit_prepare_assign_dim_ref) >> 32) & 0xffff));
				}
			dasm_put(Dst, 96526);
				}
#line 11575 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	mov FCARG1x, RETVALx
		//|	cbnz FCARG1x, >1
		//|	b ->exception_handler_undef
		//|.code
		dasm_put(Dst, 96528);
#line 11580 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|1:
		dasm_put(Dst, 96534);
#line 11581 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		op1_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, 0);
	}

	if (op1_info & MAY_BE_ARRAY) {
		if (op1_info & ((MAY_BE_ANY|MAY_BE_UNDEF) - MAY_BE_ARRAY)) {
			//|	IF_NOT_ZVAL_TYPE op1_addr, IS_ARRAY, >7, ZREG_TMP1
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 96536, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 96540, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 96544, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 96548, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 96552, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 96557, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_ARRAY == 0) {
			dasm_put(Dst, 96562, (ZREG_X15));
				} else {
			dasm_put(Dst, 96566, (ZREG_X15), IS_ARRAY);
				}
#line 11587 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|3:
		//|	SEPARATE_ARRAY op1_addr, op1_info, 1, ZREG_TMP1, ZREG_TMP2
		dasm_put(Dst, 96572);
			if (RC_MAY_BE_N(op1_info)) {
				if (Z_REG(op1_addr) != ZREG_FP) {
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 96574, (ZREG_X8));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 96577, (ZREG_X8));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 96580, (ZREG_X8), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 96584, (ZREG_X8), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 96588, (ZREG_X8), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 96592, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 96596, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 96600, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 96604, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 96608, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 96612, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 96616, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 96620, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 96624, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 96628, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 96632, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 96636, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 96640, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 96644, (ZREG_X8), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 96649, (ZREG_X8), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (ZREG_X8 != Z_REG(op1_addr)) {
		dasm_put(Dst, 96654, (ZREG_X8), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
					if (RC_MAY_BE_1(op1_info)) {
		dasm_put(Dst, 96658, (ZREG_X15), (ZREG_X15));
					}
					if (Z_REG(op1_addr) != ZREG_FCARG1 || Z_OFFSET(op1_addr) != 0) {
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
		dasm_put(Dst, 96665);
			} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 96667, ((uint64_t)(Z_ZV(op1_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 96670, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 96673, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
		dasm_put(Dst, 96676, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
		dasm_put(Dst, 96679, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 96682, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 96685, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 96688, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 96691, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 96694, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (Z_OFFSET(op1_addr)) {
			if (Z_OFFSET(op1_addr) == 0) {
		dasm_put(Dst, 96697, (Z_REG(op1_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
		dasm_put(Dst, 96700, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
			} else {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 96704, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 96707, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 96710, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 96713, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 96716, (Z_REG(op1_addr)));
			}
				} else {
					if (Z_REG(op1_addr) == ZREG_RSP) {
		dasm_put(Dst, 96719);
					} else {
		dasm_put(Dst, 96721, (Z_REG(op1_addr)));
					}
				}
			} else {
				ZEND_UNREACHABLE();
			}
					}
			if (arm64_may_use_b(zend_jit_zval_array_dup)) {
		dasm_put(Dst, 96724, (unsigned int)((ptrdiff_t)(zend_jit_zval_array_dup)), (unsigned int)(((ptrdiff_t)(zend_jit_zval_array_dup))>>32));
			} else {
			if (((uintptr_t)(zend_jit_zval_array_dup)) == 0) {
		dasm_put(Dst, 96727);
			} else if (((uintptr_t)(zend_jit_zval_array_dup)) <= MOVZ_IMM) {
		dasm_put(Dst, 96729, ((uint64_t)(zend_jit_zval_array_dup)));
			} else if (arm64_may_use_adr((void*)(zend_jit_zval_array_dup))) {
		dasm_put(Dst, 96732, (unsigned int)((ptrdiff_t)(zend_jit_zval_array_dup)), (unsigned int)(((ptrdiff_t)(zend_jit_zval_array_dup))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_zval_array_dup))) {
		dasm_put(Dst, 96735, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_zval_array_dup))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_zval_array_dup)))))>>32));
				if (((uintptr_t)(zend_jit_zval_array_dup)) & 0xfff) {
		dasm_put(Dst, 96738, (((uintptr_t)(zend_jit_zval_array_dup)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_zval_array_dup) & 0xffff) {
		dasm_put(Dst, 96741, ((uintptr_t)(zend_jit_zval_array_dup) & 0xffff));
				if (((uintptr_t)(zend_jit_zval_array_dup) >> 16) & 0xffff) {
		dasm_put(Dst, 96744, (((uintptr_t)(zend_jit_zval_array_dup) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_zval_array_dup) >> 32) & 0xffff) {
		dasm_put(Dst, 96747, (((uintptr_t)(zend_jit_zval_array_dup) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_zval_array_dup) >> 16) & 0xffff) {
		dasm_put(Dst, 96750, (((uintptr_t)(zend_jit_zval_array_dup) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_zval_array_dup) >> 32) & 0xffff) {
		dasm_put(Dst, 96753, (((uintptr_t)(zend_jit_zval_array_dup) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 96756, (((uintptr_t)(zend_jit_zval_array_dup) >> 32) & 0xffff));
			}
		dasm_put(Dst, 96759);
			}
		dasm_put(Dst, 96761);
				} else {
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 96765, (ZREG_FCARG1));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 96768, (ZREG_FCARG1));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 96771, (ZREG_FCARG1), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 96775, (ZREG_FCARG1), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 96779, (ZREG_FCARG1), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 96783, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 96787, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 96791, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 96795, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 96799, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 96803, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 96807, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 96811, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 96815, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 96819, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 96823, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 96827, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 96831, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 96835, (ZREG_FCARG1), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 96840, (ZREG_FCARG1), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (ZREG_FCARG1 != Z_REG(op1_addr)) {
		dasm_put(Dst, 96845, (ZREG_FCARG1), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
					if (RC_MAY_BE_1(op1_info)) {
		dasm_put(Dst, 96849, (ZREG_X15), (ZREG_X15));
						if (1) {
		dasm_put(Dst, 96854);
		dasm_put(Dst, 96857);
						} else {
		dasm_put(Dst, 96859);
						}
					}
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 96862, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 96866, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 96870, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 96874, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 96878, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 96883, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 96888, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 96891, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 96895, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 96899, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 96903, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 96907, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 96911, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 96915, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
			if (arm64_may_use_b(zend_array_dup)) {
		dasm_put(Dst, 96926, (unsigned int)((ptrdiff_t)(zend_array_dup)), (unsigned int)(((ptrdiff_t)(zend_array_dup))>>32));
			} else {
			if (((uintptr_t)(zend_array_dup)) == 0) {
		dasm_put(Dst, 96929);
			} else if (((uintptr_t)(zend_array_dup)) <= MOVZ_IMM) {
		dasm_put(Dst, 96931, ((uint64_t)(zend_array_dup)));
			} else if (arm64_may_use_adr((void*)(zend_array_dup))) {
		dasm_put(Dst, 96934, (unsigned int)((ptrdiff_t)(zend_array_dup)), (unsigned int)(((ptrdiff_t)(zend_array_dup))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_array_dup))) {
		dasm_put(Dst, 96937, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_dup))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_dup)))))>>32));
				if (((uintptr_t)(zend_array_dup)) & 0xfff) {
		dasm_put(Dst, 96940, (((uintptr_t)(zend_array_dup)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_array_dup) & 0xffff) {
		dasm_put(Dst, 96943, ((uintptr_t)(zend_array_dup) & 0xffff));
				if (((uintptr_t)(zend_array_dup) >> 16) & 0xffff) {
		dasm_put(Dst, 96946, (((uintptr_t)(zend_array_dup) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_array_dup) >> 32) & 0xffff) {
		dasm_put(Dst, 96949, (((uintptr_t)(zend_array_dup) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_array_dup) >> 16) & 0xffff) {
		dasm_put(Dst, 96952, (((uintptr_t)(zend_array_dup) >> 16) & 0xffff));
				if (((uintptr_t)(zend_array_dup) >> 32) & 0xffff) {
		dasm_put(Dst, 96955, (((uintptr_t)(zend_array_dup) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 96958, (((uintptr_t)(zend_array_dup) >> 32) & 0xffff));
			}
		dasm_put(Dst, 96961);
			}
		dasm_put(Dst, 96963);
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 96965, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 96969, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 96973, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 96977, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 96981, (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 96985, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uint32_t)(IS_ARRAY_EX)) <= MOVZ_IMM) {
		dasm_put(Dst, 96989, (ZREG_X15), ((uint32_t)(IS_ARRAY_EX)));
			} else if (((uint32_t)(IS_ARRAY_EX) & 0xffff)) {
		dasm_put(Dst, 96993, (ZREG_X15), ((uint32_t)(IS_ARRAY_EX) & 0xffff));
				if ((((uint32_t)(IS_ARRAY_EX) >> 16) & 0xffff)) {
		dasm_put(Dst, 96997, (ZREG_X15), (((uint32_t)(IS_ARRAY_EX) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 97001, (ZREG_X15), (((uint32_t)(IS_ARRAY_EX) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 97005, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 97009, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 97013, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 97017, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 97021, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 97026, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)));
			}
		dasm_put(Dst, 97031);
					if (RC_MAY_BE_1(op1_info)) {
						if (1) {
		dasm_put(Dst, 97033);
						}
					}
		dasm_put(Dst, 97036);
				}
			} else {
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 97038, (ZREG_FCARG1));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 97041, (ZREG_FCARG1));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 97044, (ZREG_FCARG1), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 97048, (ZREG_FCARG1), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 97052, (ZREG_FCARG1), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 97056, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 97060, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 97064, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 97068, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 97072, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 97076, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 97080, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 97084, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 97088, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 97092, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 97096, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 97100, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 97104, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 97108, (ZREG_FCARG1), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 97113, (ZREG_FCARG1), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (ZREG_FCARG1 != Z_REG(op1_addr)) {
		dasm_put(Dst, 97118, (ZREG_FCARG1), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
			}
#line 11590 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	if (op1_info & (MAY_BE_UNDEF|MAY_BE_NULL)) {
		if (op1_info & MAY_BE_ARRAY) {
			//|.cold_code
			dasm_put(Dst, 97122);
#line 11594 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|7:
			dasm_put(Dst, 97123);
#line 11595 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (op1_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_ARRAY))) {
			//|	CMP_ZVAL_TYPE op1_addr, IS_NULL, ZREG_TMP1
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 97125, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 97129, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 97133, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 97137, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 97141, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 97146, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
				}
#line 11598 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	bgt >7
			dasm_put(Dst, 97151, (ZREG_X15), IS_NULL);
#line 11599 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (Z_REG(op1_addr) != ZREG_FP) {
			//|	str Rx(Z_REG(op1_addr)), T1 // save
			dasm_put(Dst, 97157, (Z_REG(op1_addr)));
#line 11602 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if ((op1_info & MAY_BE_UNDEF)
		 && opline->opcode == ZEND_FETCH_DIM_RW) {
			may_throw = 1;
			if (op1_info & MAY_BE_NULL) {
				//|	IF_NOT_ZVAL_TYPE op1_addr, IS_UNDEF, >1, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 97160, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 97164, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 97168, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 97172, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 97176, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 97181, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_UNDEF == 0) {
				dasm_put(Dst, 97186, (ZREG_X15));
					} else {
				dasm_put(Dst, 97190, (ZREG_X15), IS_UNDEF);
					}
#line 11608 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	LOAD_32BIT_VAL FCARG1w, opline->op1.var
				if (((uint32_t)(opline->op1.var)) <= MOVZ_IMM) {
			dasm_put(Dst, 97196, ((uint32_t)(opline->op1.var)));
				} else if (((uint32_t)(opline->op1.var) & 0xffff)) {
			dasm_put(Dst, 97199, ((uint32_t)(opline->op1.var) & 0xffff));
					if ((((uint32_t)(opline->op1.var) >> 16) & 0xffff)) {
			dasm_put(Dst, 97202, (((uint32_t)(opline->op1.var) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 97205, (((uint32_t)(opline->op1.var) >> 16) & 0xffff));
				}
#line 11610 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	EXT_CALL zend_jit_undefined_op_helper, REG0
				if (arm64_may_use_b(zend_jit_undefined_op_helper)) {
			dasm_put(Dst, 97208, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
				} else {
				if (((uintptr_t)(zend_jit_undefined_op_helper)) == 0) {
			dasm_put(Dst, 97211);
				} else if (((uintptr_t)(zend_jit_undefined_op_helper)) <= MOVZ_IMM) {
			dasm_put(Dst, 97213, ((uint64_t)(zend_jit_undefined_op_helper)));
				} else if (arm64_may_use_adr((void*)(zend_jit_undefined_op_helper))) {
			dasm_put(Dst, 97216, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_undefined_op_helper))) {
			dasm_put(Dst, 97219, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper)))))>>32));
					if (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff) {
			dasm_put(Dst, 97222, (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff) {
			dasm_put(Dst, 97225, ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff));
					if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 97228, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 97231, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 97234, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 97237, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 97240, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
				}
			dasm_put(Dst, 97243);
				}
#line 11611 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|1:
			dasm_put(Dst, 97245);
#line 11612 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	// ZVAL_ARR(container, zend_new_array(8));
		//|	EXT_CALL _zend_new_array_0, REG0
			if (arm64_may_use_b(_zend_new_array_0)) {
		dasm_put(Dst, 97247, (unsigned int)((ptrdiff_t)(_zend_new_array_0)), (unsigned int)(((ptrdiff_t)(_zend_new_array_0))>>32));
			} else {
			if (((uintptr_t)(_zend_new_array_0)) == 0) {
		dasm_put(Dst, 97250);
			} else if (((uintptr_t)(_zend_new_array_0)) <= MOVZ_IMM) {
		dasm_put(Dst, 97252, ((uint64_t)(_zend_new_array_0)));
			} else if (arm64_may_use_adr((void*)(_zend_new_array_0))) {
		dasm_put(Dst, 97255, (unsigned int)((ptrdiff_t)(_zend_new_array_0)), (unsigned int)(((ptrdiff_t)(_zend_new_array_0))>>32));
			} else if (arm64_may_use_adrp((void*)(_zend_new_array_0))) {
		dasm_put(Dst, 97258, (unsigned int)((ptrdiff_t)((((uintptr_t)(_zend_new_array_0))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_zend_new_array_0)))))>>32));
				if (((uintptr_t)(_zend_new_array_0)) & 0xfff) {
		dasm_put(Dst, 97261, (((uintptr_t)(_zend_new_array_0)) & 0xfff));
				}
			} else if ((uintptr_t)(_zend_new_array_0) & 0xffff) {
		dasm_put(Dst, 97264, ((uintptr_t)(_zend_new_array_0) & 0xffff));
				if (((uintptr_t)(_zend_new_array_0) >> 16) & 0xffff) {
		dasm_put(Dst, 97267, (((uintptr_t)(_zend_new_array_0) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_zend_new_array_0) >> 32) & 0xffff) {
		dasm_put(Dst, 97270, (((uintptr_t)(_zend_new_array_0) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_zend_new_array_0) >> 16) & 0xffff) {
		dasm_put(Dst, 97273, (((uintptr_t)(_zend_new_array_0) >> 16) & 0xffff));
				if (((uintptr_t)(_zend_new_array_0) >> 32) & 0xffff) {
		dasm_put(Dst, 97276, (((uintptr_t)(_zend_new_array_0) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 97279, (((uintptr_t)(_zend_new_array_0) >> 32) & 0xffff));
			}
		dasm_put(Dst, 97282);
			}
#line 11615 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	mov REG0, RETVALx
		dasm_put(Dst, 97284);
#line 11616 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (Z_REG(op1_addr) != ZREG_FP) {
			//|	ldr Rx(Z_REG(op1_addr)), T1 // restore
			dasm_put(Dst, 97286, (Z_REG(op1_addr)));
#line 11618 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	SET_ZVAL_LVAL_FROM_REG op1_addr, REG0, TMP1
			if (Z_MODE(op1_addr) == IS_REG) {
		dasm_put(Dst, 97289, (Z_REG(op1_addr)));
			} else {
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 97292, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 97295, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 97298, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 97301, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 97304, (Z_REG(op1_addr)));
			} else {
		dasm_put(Dst, 97307, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			}
#line 11620 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	SET_ZVAL_TYPE_INFO op1_addr, IS_ARRAY_EX, TMP1w, TMP2
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uint32_t)(IS_ARRAY_EX)) <= MOVZ_IMM) {
		dasm_put(Dst, 97311, ((uint32_t)(IS_ARRAY_EX)));
			} else if (((uint32_t)(IS_ARRAY_EX) & 0xffff)) {
		dasm_put(Dst, 97314, ((uint32_t)(IS_ARRAY_EX) & 0xffff));
				if ((((uint32_t)(IS_ARRAY_EX) >> 16) & 0xffff)) {
		dasm_put(Dst, 97317, (((uint32_t)(IS_ARRAY_EX) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 97320, (((uint32_t)(IS_ARRAY_EX) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 97323, ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 97326, ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 97329, (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 97332, (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 97335, (Z_REG(op1_addr)));
			} else {
		dasm_put(Dst, 97338, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)));
			}
#line 11621 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	mov FCARG1x, REG0
		dasm_put(Dst, 97342);
#line 11622 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (op1_info & MAY_BE_ARRAY) {
			//|	b >1
			//|.code
			dasm_put(Dst, 97344);
#line 11625 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|1:
			dasm_put(Dst, 97347);
#line 11626 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	if (op1_info & (MAY_BE_UNDEF|MAY_BE_NULL|MAY_BE_ARRAY)) {
		//|6:
		dasm_put(Dst, 97349);
#line 11631 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (opline->op2_type == IS_UNUSED) {
			may_throw = 1;
			//|	// var_ptr = zend_hash_next_index_insert(Z_ARRVAL_P(container), &EG(uninitialized_zval));
			//|	LOAD_ADDR_ZTS FCARG2x, executor_globals, uninitialized_zval
				if (((uintptr_t)(&executor_globals.uninitialized_zval)) == 0) {
			dasm_put(Dst, 97351);
				} else if (((uintptr_t)(&executor_globals.uninitialized_zval)) <= MOVZ_IMM) {
			dasm_put(Dst, 97353, ((uint64_t)(&executor_globals.uninitialized_zval)));
				} else if (arm64_may_use_adr((void*)(&executor_globals.uninitialized_zval))) {
			dasm_put(Dst, 97356, (unsigned int)((ptrdiff_t)(&executor_globals.uninitialized_zval)), (unsigned int)(((ptrdiff_t)(&executor_globals.uninitialized_zval))>>32));
				} else if (arm64_may_use_adrp((void*)(&executor_globals.uninitialized_zval))) {
			dasm_put(Dst, 97359, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.uninitialized_zval))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.uninitialized_zval)))))>>32));
					if (((uintptr_t)(&executor_globals.uninitialized_zval)) & 0xfff) {
			dasm_put(Dst, 97362, (((uintptr_t)(&executor_globals.uninitialized_zval)) & 0xfff));
					}
				} else if ((uintptr_t)(&executor_globals.uninitialized_zval) & 0xffff) {
			dasm_put(Dst, 97365, ((uintptr_t)(&executor_globals.uninitialized_zval) & 0xffff));
					if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff) {
			dasm_put(Dst, 97368, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff));
					}
					if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff) {
			dasm_put(Dst, 97371, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff) {
			dasm_put(Dst, 97374, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff));
					if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff) {
			dasm_put(Dst, 97377, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 97380, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff));
				}
#line 11635 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	EXT_CALL zend_hash_next_index_insert, REG0
				if (arm64_may_use_b(zend_hash_next_index_insert)) {
			dasm_put(Dst, 97383, (unsigned int)((ptrdiff_t)(zend_hash_next_index_insert)), (unsigned int)(((ptrdiff_t)(zend_hash_next_index_insert))>>32));
				} else {
				if (((uintptr_t)(zend_hash_next_index_insert)) == 0) {
			dasm_put(Dst, 97386);
				} else if (((uintptr_t)(zend_hash_next_index_insert)) <= MOVZ_IMM) {
			dasm_put(Dst, 97388, ((uint64_t)(zend_hash_next_index_insert)));
				} else if (arm64_may_use_adr((void*)(zend_hash_next_index_insert))) {
			dasm_put(Dst, 97391, (unsigned int)((ptrdiff_t)(zend_hash_next_index_insert)), (unsigned int)(((ptrdiff_t)(zend_hash_next_index_insert))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_hash_next_index_insert))) {
			dasm_put(Dst, 97394, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_hash_next_index_insert))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_hash_next_index_insert)))))>>32));
					if (((uintptr_t)(zend_hash_next_index_insert)) & 0xfff) {
			dasm_put(Dst, 97397, (((uintptr_t)(zend_hash_next_index_insert)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_hash_next_index_insert) & 0xffff) {
			dasm_put(Dst, 97400, ((uintptr_t)(zend_hash_next_index_insert) & 0xffff));
					if (((uintptr_t)(zend_hash_next_index_insert) >> 16) & 0xffff) {
			dasm_put(Dst, 97403, (((uintptr_t)(zend_hash_next_index_insert) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_hash_next_index_insert) >> 32) & 0xffff) {
			dasm_put(Dst, 97406, (((uintptr_t)(zend_hash_next_index_insert) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_hash_next_index_insert) >> 16) & 0xffff) {
			dasm_put(Dst, 97409, (((uintptr_t)(zend_hash_next_index_insert) >> 16) & 0xffff));
					if (((uintptr_t)(zend_hash_next_index_insert) >> 32) & 0xffff) {
			dasm_put(Dst, 97412, (((uintptr_t)(zend_hash_next_index_insert) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 97415, (((uintptr_t)(zend_hash_next_index_insert) >> 32) & 0xffff));
				}
			dasm_put(Dst, 97418);
				}
#line 11636 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	// if (UNEXPECTED(!var_ptr)) {
			//|	cbz RETVALx, >1
			//|.cold_code
			dasm_put(Dst, 97420);
#line 11639 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|1:
			//|	// zend_throw_error(NULL, "Cannot add element to the array as the next element is already occupied");
			//|	CANNOT_ADD_ELEMENT opline
			dasm_put(Dst, 97423);
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
			dasm_put(Dst, 97425);
				} else {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 97428, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 97431);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 97433, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 97436, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 97439, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 97442, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 97445, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 97448, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 97451, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 97454, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 97457, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 97460, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 97463, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
			dasm_put(Dst, 97466);
				}
#line 11642 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	SET_ZVAL_TYPE_INFO res_addr, IS_UNDEF, TMP1w, TMP2
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(IS_UNDEF)) <= MOVZ_IMM) {
			dasm_put(Dst, 97469, ((uint32_t)(IS_UNDEF)));
				} else if (((uint32_t)(IS_UNDEF) & 0xffff)) {
			dasm_put(Dst, 97472, ((uint32_t)(IS_UNDEF) & 0xffff));
					if ((((uint32_t)(IS_UNDEF) >> 16) & 0xffff)) {
			dasm_put(Dst, 97475, (((uint32_t)(IS_UNDEF) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 97478, (((uint32_t)(IS_UNDEF) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 97481, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 97484, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 97487, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 97490, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 97493, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 97496, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
#line 11643 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	//ZEND_VM_C_GOTO(assign_dim_op_ret_null);
			//|	b >8
			//|.code
			dasm_put(Dst, 97500);
#line 11646 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	SET_ZVAL_PTR res_addr, RETVALx, TMP1
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 97503, ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 97506, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 97509, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 97512, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 97515, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 97518, (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
#line 11647 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	SET_ZVAL_TYPE_INFO res_addr, IS_INDIRECT, TMP1w, TMP2
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(IS_INDIRECT)) <= MOVZ_IMM) {
			dasm_put(Dst, 97522, ((uint32_t)(IS_INDIRECT)));
				} else if (((uint32_t)(IS_INDIRECT) & 0xffff)) {
			dasm_put(Dst, 97525, ((uint32_t)(IS_INDIRECT) & 0xffff));
					if ((((uint32_t)(IS_INDIRECT) >> 16) & 0xffff)) {
			dasm_put(Dst, 97528, (((uint32_t)(IS_INDIRECT) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 97531, (((uint32_t)(IS_INDIRECT) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 97534, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 97537, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 97540, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 97543, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 97546, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 97549, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
#line 11648 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			uint32_t type;

			switch (opline->opcode) {
				case ZEND_FETCH_DIM_W:
				case ZEND_FETCH_LIST_W:
					type = BP_VAR_W;
					break;
				case ZEND_FETCH_DIM_RW:
					may_throw = 1;
					type = BP_VAR_RW;
					break;
				case ZEND_FETCH_DIM_UNSET:
					type = BP_VAR_UNSET;
					break;
				default:
					ZEND_UNREACHABLE();
			}

			if (op2_info & ((MAY_BE_ANY|MAY_BE_UNDEF) - (MAY_BE_LONG|MAY_BE_STRING))) {
				may_throw = 1;
			}
			if (!zend_jit_fetch_dimension_address_inner(Dst, opline, type, op1_info, op2_info, dim_type, NULL, NULL, NULL)) {
				return 0;
			}

			//|8:
			//|	SET_ZVAL_PTR res_addr, REG0, TMP1
			dasm_put(Dst, 97553);
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 97555, ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 97558, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 97561, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 97564, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 97567, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 97570, (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
#line 11676 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	SET_ZVAL_TYPE_INFO res_addr, IS_INDIRECT, TMP1w, TMP2
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(IS_INDIRECT)) <= MOVZ_IMM) {
			dasm_put(Dst, 97574, ((uint32_t)(IS_INDIRECT)));
				} else if (((uint32_t)(IS_INDIRECT) & 0xffff)) {
			dasm_put(Dst, 97577, ((uint32_t)(IS_INDIRECT) & 0xffff));
					if ((((uint32_t)(IS_INDIRECT) >> 16) & 0xffff)) {
			dasm_put(Dst, 97580, (((uint32_t)(IS_INDIRECT) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 97583, (((uint32_t)(IS_INDIRECT) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 97586, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 97589, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 97592, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 97595, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 97598, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 97601, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
#line 11677 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

			if (type == BP_VAR_RW || (op2_info & ((MAY_BE_ANY|MAY_BE_UNDEF) - (MAY_BE_LONG|MAY_BE_STRING)))) {
				//|.cold_code
				dasm_put(Dst, 97605);
#line 11680 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|9:
				//|	SET_ZVAL_TYPE_INFO res_addr, IS_NULL, TMP1w, TMP2
				dasm_put(Dst, 97606);
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uint32_t)(IS_NULL)) <= MOVZ_IMM) {
				dasm_put(Dst, 97608, ((uint32_t)(IS_NULL)));
					} else if (((uint32_t)(IS_NULL) & 0xffff)) {
				dasm_put(Dst, 97611, ((uint32_t)(IS_NULL) & 0xffff));
						if ((((uint32_t)(IS_NULL) >> 16) & 0xffff)) {
				dasm_put(Dst, 97614, (((uint32_t)(IS_NULL) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 97617, (((uint32_t)(IS_NULL) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 97620, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 97623, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 97626, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 97629, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 97632, (Z_REG(res_addr)));
					} else {
				dasm_put(Dst, 97635, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
					}
#line 11682 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	b >8
				//|.code
				dasm_put(Dst, 97639);
#line 11684 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
	}

	if (op1_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_ARRAY))) {
		may_throw = 1;
		if (op1_info & (MAY_BE_UNDEF|MAY_BE_NULL|MAY_BE_ARRAY)) {
			//|.cold_code
			dasm_put(Dst, 97642);
#line 11692 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|7:
			dasm_put(Dst, 97643);
#line 11693 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}

		if (opline->opcode != ZEND_FETCH_DIM_RW) {
			//|	SET_EX_OPLINE opline, REG0
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 97645, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 97648);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 97650, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 97653, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 97656, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 97659, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 97662, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 97665, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 97668, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 97671, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 97674, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 97677, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 97680, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
#line 11697 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (Z_REG(op1_addr) != ZREG_FCARG1 || Z_OFFSET(op1_addr) != 0) {
			//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
			dasm_put(Dst, 97683);
				} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 97685, ((uint64_t)(Z_ZV(op1_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 97688, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 97691, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
			dasm_put(Dst, 97694, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
			dasm_put(Dst, 97697, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 97700, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 97703, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 97706, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 97709, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 97712, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(op1_addr)) {
				if (Z_OFFSET(op1_addr) == 0) {
			dasm_put(Dst, 97715, (Z_REG(op1_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
			dasm_put(Dst, 97718, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 97722, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 97725, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 97728, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 97731, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 97734, (Z_REG(op1_addr)));
				}
					} else {
						if (Z_REG(op1_addr) == ZREG_RSP) {
			dasm_put(Dst, 97737);
						} else {
			dasm_put(Dst, 97739, (Z_REG(op1_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 11700 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	    if (opline->op2_type == IS_UNUSED) {
			//|	mov FCARG2x, xzr
			dasm_put(Dst, 97742);
#line 11703 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else if (opline->op2_type == IS_CONST && Z_EXTRA_P(RT_CONSTANT(opline, opline->op2)) == ZEND_EXTRA_VALUE) {
			ZEND_ASSERT(Z_MODE(op2_addr) == IS_CONST_ZVAL);
			//|	LOAD_ADDR FCARG2x, (Z_ZV(op2_addr) + 1)
				if (((uintptr_t)((Z_ZV(op2_addr) + 1))) == 0) {
			dasm_put(Dst, 97744);
				} else if (((uintptr_t)((Z_ZV(op2_addr) + 1))) <= MOVZ_IMM) {
			dasm_put(Dst, 97746, ((uint64_t)((Z_ZV(op2_addr) + 1))));
				} else if (arm64_may_use_adr((void*)((Z_ZV(op2_addr) + 1)))) {
			dasm_put(Dst, 97749, (unsigned int)((ptrdiff_t)((Z_ZV(op2_addr) + 1))), (unsigned int)(((ptrdiff_t)((Z_ZV(op2_addr) + 1)))>>32));
				} else if (arm64_may_use_adrp((void*)((Z_ZV(op2_addr) + 1)))) {
			dasm_put(Dst, 97752, (unsigned int)((ptrdiff_t)((((uintptr_t)((Z_ZV(op2_addr) + 1)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)((Z_ZV(op2_addr) + 1))))))>>32));
					if (((uintptr_t)((Z_ZV(op2_addr) + 1))) & 0xfff) {
			dasm_put(Dst, 97755, (((uintptr_t)((Z_ZV(op2_addr) + 1))) & 0xfff));
					}
				} else if ((uintptr_t)((Z_ZV(op2_addr) + 1)) & 0xffff) {
			dasm_put(Dst, 97758, ((uintptr_t)((Z_ZV(op2_addr) + 1)) & 0xffff));
					if (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 16) & 0xffff) {
			dasm_put(Dst, 97761, (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 16) & 0xffff));
					}
					if (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 32) & 0xffff) {
			dasm_put(Dst, 97764, (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 16) & 0xffff) {
			dasm_put(Dst, 97767, (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 16) & 0xffff));
					if (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 32) & 0xffff) {
			dasm_put(Dst, 97770, (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 97773, (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 32) & 0xffff));
				}
#line 11706 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	LOAD_ZVAL_ADDR FCARG2x, op2_addr
				if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op2_addr))) == 0) {
			dasm_put(Dst, 97776);
				} else if (((uintptr_t)(Z_ZV(op2_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 97778, ((uint64_t)(Z_ZV(op2_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op2_addr)))) {
			dasm_put(Dst, 97781, (unsigned int)((ptrdiff_t)(Z_ZV(op2_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op2_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op2_addr)))) {
			dasm_put(Dst, 97784, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff) {
			dasm_put(Dst, 97787, (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff) {
			dasm_put(Dst, 97790, ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 97793, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 97796, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 97799, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 97802, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 97805, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(op2_addr)) {
				if (Z_OFFSET(op2_addr) == 0) {
			dasm_put(Dst, 97808, (Z_REG(op2_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op2_addr)))) {
			dasm_put(Dst, 97811, (Z_REG(op2_addr)), Z_OFFSET(op2_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 97815, ((uint32_t)(Z_OFFSET(op2_addr))));
				} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
			dasm_put(Dst, 97818, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 97821, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 97824, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 97827, (Z_REG(op2_addr)));
				}
					} else {
						if (Z_REG(op2_addr) == ZREG_RSP) {
			dasm_put(Dst, 97830);
						} else {
			dasm_put(Dst, 97832, (Z_REG(op2_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 11708 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	LOAD_ZVAL_ADDR CARG3, res_addr
			if (Z_MODE(res_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(res_addr))) == 0) {
		dasm_put(Dst, 97835);
			} else if (((uintptr_t)(Z_ZV(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 97837, ((uint64_t)(Z_ZV(res_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(res_addr)))) {
		dasm_put(Dst, 97840, (unsigned int)((ptrdiff_t)(Z_ZV(res_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(res_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(res_addr)))) {
		dasm_put(Dst, 97843, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(res_addr))) & 0xfff) {
		dasm_put(Dst, 97846, (((uintptr_t)(Z_ZV(res_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(res_addr)) & 0xffff) {
		dasm_put(Dst, 97849, ((uintptr_t)(Z_ZV(res_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 97852, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 97855, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 97858, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 97861, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 97864, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
			}
			} else if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
				if (Z_OFFSET(res_addr)) {
			if (Z_OFFSET(res_addr) == 0) {
		dasm_put(Dst, 97867, (Z_REG(res_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(res_addr)))) {
		dasm_put(Dst, 97870, (Z_REG(res_addr)), Z_OFFSET(res_addr));
			} else {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 97874, ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 97877, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 97880, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 97883, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 97886, (Z_REG(res_addr)));
			}
				} else {
					if (Z_REG(res_addr) == ZREG_RSP) {
		dasm_put(Dst, 97889);
					} else {
		dasm_put(Dst, 97891, (Z_REG(res_addr)));
					}
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 11710 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		switch (opline->opcode) {
			case ZEND_FETCH_DIM_W:
			case ZEND_FETCH_LIST_W:
				//|	EXT_CALL zend_jit_fetch_dim_obj_w_helper, REG0
					if (arm64_may_use_b(zend_jit_fetch_dim_obj_w_helper)) {
				dasm_put(Dst, 97894, (unsigned int)((ptrdiff_t)(zend_jit_fetch_dim_obj_w_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_dim_obj_w_helper))>>32));
					} else {
					if (((uintptr_t)(zend_jit_fetch_dim_obj_w_helper)) == 0) {
				dasm_put(Dst, 97897);
					} else if (((uintptr_t)(zend_jit_fetch_dim_obj_w_helper)) <= MOVZ_IMM) {
				dasm_put(Dst, 97899, ((uint64_t)(zend_jit_fetch_dim_obj_w_helper)));
					} else if (arm64_may_use_adr((void*)(zend_jit_fetch_dim_obj_w_helper))) {
				dasm_put(Dst, 97902, (unsigned int)((ptrdiff_t)(zend_jit_fetch_dim_obj_w_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_dim_obj_w_helper))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_fetch_dim_obj_w_helper))) {
				dasm_put(Dst, 97905, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_dim_obj_w_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_dim_obj_w_helper)))))>>32));
						if (((uintptr_t)(zend_jit_fetch_dim_obj_w_helper)) & 0xfff) {
				dasm_put(Dst, 97908, (((uintptr_t)(zend_jit_fetch_dim_obj_w_helper)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_fetch_dim_obj_w_helper) & 0xffff) {
				dasm_put(Dst, 97911, ((uintptr_t)(zend_jit_fetch_dim_obj_w_helper) & 0xffff));
						if (((uintptr_t)(zend_jit_fetch_dim_obj_w_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 97914, (((uintptr_t)(zend_jit_fetch_dim_obj_w_helper) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_fetch_dim_obj_w_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 97917, (((uintptr_t)(zend_jit_fetch_dim_obj_w_helper) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_fetch_dim_obj_w_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 97920, (((uintptr_t)(zend_jit_fetch_dim_obj_w_helper) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_fetch_dim_obj_w_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 97923, (((uintptr_t)(zend_jit_fetch_dim_obj_w_helper) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 97926, (((uintptr_t)(zend_jit_fetch_dim_obj_w_helper) >> 32) & 0xffff));
					}
				dasm_put(Dst, 97929);
					}
#line 11714 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				break;
			case ZEND_FETCH_DIM_RW:
				//|	EXT_CALL zend_jit_fetch_dim_obj_rw_helper, REG0
					if (arm64_may_use_b(zend_jit_fetch_dim_obj_rw_helper)) {
				dasm_put(Dst, 97931, (unsigned int)((ptrdiff_t)(zend_jit_fetch_dim_obj_rw_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_dim_obj_rw_helper))>>32));
					} else {
					if (((uintptr_t)(zend_jit_fetch_dim_obj_rw_helper)) == 0) {
				dasm_put(Dst, 97934);
					} else if (((uintptr_t)(zend_jit_fetch_dim_obj_rw_helper)) <= MOVZ_IMM) {
				dasm_put(Dst, 97936, ((uint64_t)(zend_jit_fetch_dim_obj_rw_helper)));
					} else if (arm64_may_use_adr((void*)(zend_jit_fetch_dim_obj_rw_helper))) {
				dasm_put(Dst, 97939, (unsigned int)((ptrdiff_t)(zend_jit_fetch_dim_obj_rw_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_dim_obj_rw_helper))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_fetch_dim_obj_rw_helper))) {
				dasm_put(Dst, 97942, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_dim_obj_rw_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_dim_obj_rw_helper)))))>>32));
						if (((uintptr_t)(zend_jit_fetch_dim_obj_rw_helper)) & 0xfff) {
				dasm_put(Dst, 97945, (((uintptr_t)(zend_jit_fetch_dim_obj_rw_helper)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_fetch_dim_obj_rw_helper) & 0xffff) {
				dasm_put(Dst, 97948, ((uintptr_t)(zend_jit_fetch_dim_obj_rw_helper) & 0xffff));
						if (((uintptr_t)(zend_jit_fetch_dim_obj_rw_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 97951, (((uintptr_t)(zend_jit_fetch_dim_obj_rw_helper) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_fetch_dim_obj_rw_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 97954, (((uintptr_t)(zend_jit_fetch_dim_obj_rw_helper) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_fetch_dim_obj_rw_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 97957, (((uintptr_t)(zend_jit_fetch_dim_obj_rw_helper) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_fetch_dim_obj_rw_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 97960, (((uintptr_t)(zend_jit_fetch_dim_obj_rw_helper) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 97963, (((uintptr_t)(zend_jit_fetch_dim_obj_rw_helper) >> 32) & 0xffff));
					}
				dasm_put(Dst, 97966);
					}
#line 11717 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				break;
//			case ZEND_FETCH_DIM_UNSET:
//				|	EXT_CALL zend_jit_fetch_dim_obj_unset_helper, REG0
//				break;
			default:
				ZEND_UNREACHABLE();
		}

		if (op1_info & (MAY_BE_UNDEF|MAY_BE_NULL|MAY_BE_ARRAY)) {
			//|	b >8 // END
			//|.code
			dasm_put(Dst, 97968);
#line 11728 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

#ifdef ZEND_JIT_USE_RC_INFERENCE
	if ((opline->op2_type & (IS_TMP_VAR|IS_VAR)) && (op1_info & (MAY_BE_UNDEF|MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_ARRAY|MAY_BE_OBJECT))) {
		/* ASSIGN_DIM may increase refcount of the key */
		op2_info |= MAY_BE_RCN;
	}
#endif

	if ((opline->op2_type & (IS_TMP_VAR|IS_VAR))
	 && (op2_info & MAY_HAVE_DTOR)
	 && (op2_info & MAY_BE_RC1)) {
		may_throw = 1;
	}
	//|8:
	//|	FREE_OP opline->op2_type, opline->op2, op2_info, 0, opline, ZREG_TMP1, ZREG_TMP2
	dasm_put(Dst, 97971);
		if (opline->op2_type & (IS_VAR|IS_TMP_VAR)) {
			zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op2.var);
		if ((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
			if ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
				if (0) {
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
	dasm_put(Dst, 97973, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
		} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
	dasm_put(Dst, 97977, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
	dasm_put(Dst, 97981, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 97985, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 97989, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 97994, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
		}
		if (IS_TYPE_REFCOUNTED == 0) {
	dasm_put(Dst, 97999, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
	dasm_put(Dst, 98002, (ZREG_X15), IS_TYPE_REFCOUNTED);
		} else {
		if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
	dasm_put(Dst, 98006, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
		} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
	dasm_put(Dst, 98010, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
			if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
	dasm_put(Dst, 98014, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 98018, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
		}
	dasm_put(Dst, 98022, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 98026);
	dasm_put(Dst, 98029);
				} else {
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
	dasm_put(Dst, 98031, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
		} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
	dasm_put(Dst, 98035, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
	dasm_put(Dst, 98039, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 98043, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 98047, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 98052, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
		}
		if (IS_TYPE_REFCOUNTED == 0) {
	dasm_put(Dst, 98057, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
	dasm_put(Dst, 98060, (ZREG_X15), IS_TYPE_REFCOUNTED);
		} else {
		if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
	dasm_put(Dst, 98064, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
		} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
	dasm_put(Dst, 98068, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
			if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
	dasm_put(Dst, 98072, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 98076, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
		}
	dasm_put(Dst, 98080, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 98084);
				}
			}
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 98087, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
		} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
	dasm_put(Dst, 98091, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 98095, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 98099, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 98103, (Z_REG(addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 98107, (Z_REG(addr)), (Z_OFFSET(addr)));
		}
	dasm_put(Dst, 98111, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
			if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op2_info)) {
				if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op2_info)) {
					if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
	dasm_put(Dst, 98119);
					} else {
	dasm_put(Dst, 98122);
					}
				}
		do {
			if (!((op2_info) & MAY_BE_GUARD)
			 && has_concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
				zend_uchar type = concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
				if (type == IS_STRING && !ZEND_DEBUG) {
		if (arm64_may_use_b(_efree)) {
	dasm_put(Dst, 98125, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
		} else {
		if (((uintptr_t)(_efree)) == 0) {
	dasm_put(Dst, 98128, (ZREG_X15));
		} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
	dasm_put(Dst, 98131, (ZREG_X15), ((uint64_t)(_efree)));
		} else if (arm64_may_use_adr((void*)(_efree))) {
	dasm_put(Dst, 98135, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
		} else if (arm64_may_use_adrp((void*)(_efree))) {
	dasm_put(Dst, 98139, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
			if (((uintptr_t)(_efree)) & 0xfff) {
	dasm_put(Dst, 98143, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
			}
		} else if ((uintptr_t)(_efree) & 0xffff) {
	dasm_put(Dst, 98148, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
			if (((uintptr_t)(_efree) >> 16) & 0xffff) {
	dasm_put(Dst, 98152, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
			}
			if (((uintptr_t)(_efree) >> 32) & 0xffff) {
	dasm_put(Dst, 98156, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
	dasm_put(Dst, 98160, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
			if (((uintptr_t)(_efree) >> 32) & 0xffff) {
	dasm_put(Dst, 98164, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 98168, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
		}
	dasm_put(Dst, 98172, (ZREG_X15));
		}
					break;
				} else if (type == IS_ARRAY) {
					if ((op2_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
						if (opline && ((op2_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
		if (opline == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 98175, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(opline)) == 0) {
	dasm_put(Dst, 98178, (ZREG_X15));
		} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
	dasm_put(Dst, 98181, (ZREG_X15), ((uint64_t)(opline)));
		} else if (arm64_may_use_adr((void*)(opline))) {
	dasm_put(Dst, 98185, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
		} else if (arm64_may_use_adrp((void*)(opline))) {
	dasm_put(Dst, 98189, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
			if (((uintptr_t)(opline)) & 0xfff) {
	dasm_put(Dst, 98193, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
			}
		} else if ((uintptr_t)(opline) & 0xffff) {
	dasm_put(Dst, 98198, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
			if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 98202, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
			}
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 98206, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 98210, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 98214, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 98218, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
		}
	dasm_put(Dst, 98222, (ZREG_X15), Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
						}
		if (arm64_may_use_b(zend_array_destroy)) {
	dasm_put(Dst, 98226, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
		} else {
		if (((uintptr_t)(zend_array_destroy)) == 0) {
	dasm_put(Dst, 98229, (ZREG_X15));
		} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
	dasm_put(Dst, 98232, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
		} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
	dasm_put(Dst, 98236, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
	dasm_put(Dst, 98240, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
			if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
	dasm_put(Dst, 98244, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
	dasm_put(Dst, 98249, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
			if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
	dasm_put(Dst, 98253, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
	dasm_put(Dst, 98257, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
	dasm_put(Dst, 98261, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
			if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
	dasm_put(Dst, 98265, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 98269, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
		}
	dasm_put(Dst, 98273, (ZREG_X15));
		}
					} else {
		if (arm64_may_use_b(zend_jit_array_free)) {
	dasm_put(Dst, 98276, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
		} else {
		if (((uintptr_t)(zend_jit_array_free)) == 0) {
	dasm_put(Dst, 98279, (ZREG_X15));
		} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
	dasm_put(Dst, 98282, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
		} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
	dasm_put(Dst, 98286, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
	dasm_put(Dst, 98290, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
			if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
	dasm_put(Dst, 98294, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
	dasm_put(Dst, 98299, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
			if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
	dasm_put(Dst, 98303, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
	dasm_put(Dst, 98307, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
	dasm_put(Dst, 98311, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
			if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
	dasm_put(Dst, 98315, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 98319, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
		}
	dasm_put(Dst, 98323, (ZREG_X15));
		}
					}
					break;
				} else if (type == IS_OBJECT) {
					if (opline) {
		if (opline == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 98326, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(opline)) == 0) {
	dasm_put(Dst, 98329);
		} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
	dasm_put(Dst, 98331, ((uint64_t)(opline)));
		} else if (arm64_may_use_adr((void*)(opline))) {
	dasm_put(Dst, 98334, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
		} else if (arm64_may_use_adrp((void*)(opline))) {
	dasm_put(Dst, 98337, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
			if (((uintptr_t)(opline)) & 0xfff) {
	dasm_put(Dst, 98340, (((uintptr_t)(opline)) & 0xfff));
			}
		} else if ((uintptr_t)(opline) & 0xffff) {
	dasm_put(Dst, 98343, ((uintptr_t)(opline) & 0xffff));
			if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 98346, (((uintptr_t)(opline) >> 16) & 0xffff));
			}
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 98349, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 98352, (((uintptr_t)(opline) >> 16) & 0xffff));
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 98355, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 98358, (((uintptr_t)(opline) >> 32) & 0xffff));
		}
	dasm_put(Dst, 98361, Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
					}
		if (arm64_may_use_b(zend_objects_store_del)) {
	dasm_put(Dst, 98364, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
		} else {
		if (((uintptr_t)(zend_objects_store_del)) == 0) {
	dasm_put(Dst, 98367, (ZREG_X15));
		} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
	dasm_put(Dst, 98370, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
		} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
	dasm_put(Dst, 98374, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
	dasm_put(Dst, 98378, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
			if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
	dasm_put(Dst, 98382, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
	dasm_put(Dst, 98387, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
			if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
	dasm_put(Dst, 98391, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
	dasm_put(Dst, 98395, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
	dasm_put(Dst, 98399, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
			if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
	dasm_put(Dst, 98403, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 98407, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
		}
	dasm_put(Dst, 98411, (ZREG_X15));
		}
					break;
				}
			}
			if (opline) {
		if (opline == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 98414, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(opline)) == 0) {
	dasm_put(Dst, 98417, (ZREG_X15));
		} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
	dasm_put(Dst, 98420, (ZREG_X15), ((uint64_t)(opline)));
		} else if (arm64_may_use_adr((void*)(opline))) {
	dasm_put(Dst, 98424, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
		} else if (arm64_may_use_adrp((void*)(opline))) {
	dasm_put(Dst, 98428, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
			if (((uintptr_t)(opline)) & 0xfff) {
	dasm_put(Dst, 98432, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
			}
		} else if ((uintptr_t)(opline) & 0xffff) {
	dasm_put(Dst, 98437, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
			if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 98441, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
			}
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 98445, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 98449, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 98453, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 98457, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
		}
	dasm_put(Dst, 98461, (ZREG_X15), Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
			}
		if (arm64_may_use_b(rc_dtor_func)) {
	dasm_put(Dst, 98465, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
		} else {
		if (((uintptr_t)(rc_dtor_func)) == 0) {
	dasm_put(Dst, 98468, (ZREG_X15));
		} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
	dasm_put(Dst, 98471, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
		} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
	dasm_put(Dst, 98475, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
		} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
	dasm_put(Dst, 98479, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
			if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
	dasm_put(Dst, 98483, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
			}
		} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
	dasm_put(Dst, 98488, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
			if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
	dasm_put(Dst, 98492, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
			}
			if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
	dasm_put(Dst, 98496, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
	dasm_put(Dst, 98500, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
			if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
	dasm_put(Dst, 98504, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 98508, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
		}
	dasm_put(Dst, 98512, (ZREG_X15));
		}
		} while(0);
				if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
	dasm_put(Dst, 98515);
				}
	dasm_put(Dst, 98518);
			}
			if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
				if ((op2_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
					zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
	dasm_put(Dst, 98520, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
		} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
	dasm_put(Dst, 98524, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
	dasm_put(Dst, 98528, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 98532, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 98536, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
		} else {
	dasm_put(Dst, 98541, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
		}
		if (IS_REFERENCE == 0) {
	dasm_put(Dst, 98546, (ZREG_X15));
		} else {
	dasm_put(Dst, 98550, (ZREG_X15), IS_REFERENCE);
		}
		ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
	dasm_put(Dst, 98556, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
		} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
	dasm_put(Dst, 98560, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
	dasm_put(Dst, 98564, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 98568, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 98572, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 98577, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
		}
		if (IS_TYPE_COLLECTABLE == 0) {
	dasm_put(Dst, 98582, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
	dasm_put(Dst, 98585, (ZREG_X15), IS_TYPE_COLLECTABLE);
		} else {
		if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
	dasm_put(Dst, 98589, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
		} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
	dasm_put(Dst, 98593, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
			if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
	dasm_put(Dst, 98597, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 98601, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
		}
	dasm_put(Dst, 98605, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 98609);
		ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 98612, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
		} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
	dasm_put(Dst, 98616, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 98620, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 98624, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 98628, (Z_REG(ref_addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 98632, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
		}
	dasm_put(Dst, 98636);
				}
	dasm_put(Dst, 98638, (ZREG_X15));
		if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
	dasm_put(Dst, 98641, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
	dasm_put(Dst, 98644, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
		} else {
		if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
	dasm_put(Dst, 98648, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
		} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
	dasm_put(Dst, 98652, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
			if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
	dasm_put(Dst, 98656, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 98660, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
		}
	dasm_put(Dst, 98664, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 98668);
		if (arm64_may_use_b(gc_possible_root)) {
	dasm_put(Dst, 98671, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
		} else {
		if (((uintptr_t)(gc_possible_root)) == 0) {
	dasm_put(Dst, 98674, (ZREG_X15));
		} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
	dasm_put(Dst, 98677, (ZREG_X15), ((uint64_t)(gc_possible_root)));
		} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
	dasm_put(Dst, 98681, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
		} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
	dasm_put(Dst, 98685, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
			if (((uintptr_t)(gc_possible_root)) & 0xfff) {
	dasm_put(Dst, 98689, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
			}
		} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
	dasm_put(Dst, 98694, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
			if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
	dasm_put(Dst, 98698, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
			}
			if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
	dasm_put(Dst, 98702, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
	dasm_put(Dst, 98706, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
			if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
	dasm_put(Dst, 98710, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 98714, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
		}
	dasm_put(Dst, 98718, (ZREG_X15));
		}
			}
			if (0 && ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
	dasm_put(Dst, 98721);
			}
	dasm_put(Dst, 98724);
		}
		}
#line 11745 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	if (may_throw) {
		if (!zend_jit_check_exception(Dst)) {
			return 0;
		}
	}
	return 1;
}

static int zend_jit_isset_isempty_dim(dasm_State    **Dst,
                                      const zend_op  *opline,
                                      uint32_t        op1_info,
                                      zend_jit_addr   op1_addr,
                                      bool            op1_avoid_refcounting,
                                      uint32_t        op2_info,
                                      uint8_t         dim_type,
                                      int             may_throw,
                                      zend_uchar      smart_branch_opcode,
                                      uint32_t        target_label,
                                      uint32_t        target_label2,
                                      const void     *exit_addr)
{
	zend_jit_addr op2_addr, res_addr;

	// TODO: support for empty() ???
	ZEND_ASSERT(!(opline->extended_value & ZEND_ISEMPTY));

	op2_addr = OP2_ADDR();
	res_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->result.var);

	if (op1_info & MAY_BE_REF) {
		//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
		dasm_put(Dst, 98726);
			} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 98728, ((uint64_t)(Z_ZV(op1_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 98731, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 98734, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
		dasm_put(Dst, 98737, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
		dasm_put(Dst, 98740, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 98743, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 98746, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 98749, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 98752, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 98755, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (Z_OFFSET(op1_addr)) {
			if (Z_OFFSET(op1_addr) == 0) {
		dasm_put(Dst, 98758, (Z_REG(op1_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
		dasm_put(Dst, 98761, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
			} else {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 98765, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 98768, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 98771, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 98774, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 98777, (Z_REG(op1_addr)));
			}
				} else {
					if (Z_REG(op1_addr) == ZREG_RSP) {
		dasm_put(Dst, 98780);
					} else {
		dasm_put(Dst, 98782, (Z_REG(op1_addr)));
					}
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 11777 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	ZVAL_DEREF FCARG1x, op1_info, TMP1w
			if (op1_info & MAY_BE_REF) {
		dasm_put(Dst, 98785, offsetof(zval, u1.v.type));
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 98788);
			} else {
		dasm_put(Dst, 98791, IS_REFERENCE);
			}
		dasm_put(Dst, 98796, offsetof(zend_reference, val));
			}
#line 11778 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		op1_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, 0);
	}

	if (op1_info & MAY_BE_ARRAY) {
		const void *found_exit_addr = NULL;
		const void *not_found_exit_addr = NULL;

		if (op1_info & ((MAY_BE_ANY|MAY_BE_UNDEF) - MAY_BE_ARRAY)) {
			//|	IF_NOT_ZVAL_TYPE op1_addr, IS_ARRAY, >7, ZREG_TMP1
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 98801, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 98805, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 98809, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 98813, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 98817, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 98822, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_ARRAY == 0) {
			dasm_put(Dst, 98827, (ZREG_X15));
				} else {
			dasm_put(Dst, 98831, (ZREG_X15), IS_ARRAY);
				}
#line 11787 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	GET_ZVAL_LVAL ZREG_FCARG1, op1_addr, TMP1
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 98837, (ZREG_FCARG1));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 98840, (ZREG_FCARG1));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 98843, (ZREG_FCARG1), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 98847, (ZREG_FCARG1), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 98851, (ZREG_FCARG1), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 98855, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 98859, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 98863, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 98867, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 98871, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 98875, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 98879, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 98883, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 98887, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 98891, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 98894, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 98897, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 98900, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 98903, (ZREG_FCARG1), (Z_REG(op1_addr)));
			} else {
		dasm_put(Dst, 98907, (ZREG_FCARG1), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (ZREG_FCARG1 != Z_REG(op1_addr)) {
		dasm_put(Dst, 98912, (ZREG_FCARG1), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 11789 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (exit_addr
		 && !(op1_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-MAY_BE_ARRAY))
		 && !may_throw
		 && (!(opline->op1_type & (IS_TMP_VAR|IS_VAR)) || op1_avoid_refcounting)
		 && (!(opline->op2_type & (IS_TMP_VAR|IS_VAR)) || !(op2_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-MAY_BE_LONG)))) {
			if (smart_branch_opcode == ZEND_JMPNZ) {
				found_exit_addr = exit_addr;
			} else {
				not_found_exit_addr = exit_addr;
			}
		}
		if (!zend_jit_fetch_dimension_address_inner(Dst, opline, BP_JIT_IS, op1_info, op2_info, dim_type, found_exit_addr, not_found_exit_addr, NULL)) {
			return 0;
		}

		if (found_exit_addr) {
			//|9:
			dasm_put(Dst, 98916);
#line 11806 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			return 1;
		} else if (not_found_exit_addr) {
			//|8:
			dasm_put(Dst, 98918);
#line 11809 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			return 1;
		}
	}

	if (op1_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-MAY_BE_ARRAY)) {
		if (op1_info & MAY_BE_ARRAY) {
			//|.cold_code
			dasm_put(Dst, 98920);
#line 11816 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|7:
			dasm_put(Dst, 98921);
#line 11817 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}

		if (op1_info & (MAY_BE_STRING|MAY_BE_OBJECT)) {
			//|	SET_EX_OPLINE opline, REG0
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 98923, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 98926);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 98928, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 98931, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 98934, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 98937, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 98940, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 98943, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 98946, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 98949, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 98952, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 98955, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 98958, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
#line 11821 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		    if (Z_REG(op1_addr) != ZREG_FCARG1 || Z_OFFSET(op1_addr) != 0) {
				//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
					if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
				dasm_put(Dst, 98961);
					} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 98963, ((uint64_t)(Z_ZV(op1_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 98966, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 98969, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
				dasm_put(Dst, 98972, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
				dasm_put(Dst, 98975, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 98978, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 98981, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 98984, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 98987, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 98990, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(op1_addr)) {
					if (Z_OFFSET(op1_addr) == 0) {
				dasm_put(Dst, 98993, (Z_REG(op1_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
				dasm_put(Dst, 98996, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 99000, ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 99003, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 99006, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 99009, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 99012, (Z_REG(op1_addr)));
					}
						} else {
							if (Z_REG(op1_addr) == ZREG_RSP) {
				dasm_put(Dst, 99015);
							} else {
				dasm_put(Dst, 99017, (Z_REG(op1_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 11823 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if (opline->op2_type == IS_CONST && Z_EXTRA_P(RT_CONSTANT(opline, opline->op2)) == ZEND_EXTRA_VALUE) {
				ZEND_ASSERT(Z_MODE(op2_addr) == IS_CONST_ZVAL);
				//|	LOAD_ADDR FCARG2x, (Z_ZV(op2_addr) + 1)
					if (((uintptr_t)((Z_ZV(op2_addr) + 1))) == 0) {
				dasm_put(Dst, 99020);
					} else if (((uintptr_t)((Z_ZV(op2_addr) + 1))) <= MOVZ_IMM) {
				dasm_put(Dst, 99022, ((uint64_t)((Z_ZV(op2_addr) + 1))));
					} else if (arm64_may_use_adr((void*)((Z_ZV(op2_addr) + 1)))) {
				dasm_put(Dst, 99025, (unsigned int)((ptrdiff_t)((Z_ZV(op2_addr) + 1))), (unsigned int)(((ptrdiff_t)((Z_ZV(op2_addr) + 1)))>>32));
					} else if (arm64_may_use_adrp((void*)((Z_ZV(op2_addr) + 1)))) {
				dasm_put(Dst, 99028, (unsigned int)((ptrdiff_t)((((uintptr_t)((Z_ZV(op2_addr) + 1)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)((Z_ZV(op2_addr) + 1))))))>>32));
						if (((uintptr_t)((Z_ZV(op2_addr) + 1))) & 0xfff) {
				dasm_put(Dst, 99031, (((uintptr_t)((Z_ZV(op2_addr) + 1))) & 0xfff));
						}
					} else if ((uintptr_t)((Z_ZV(op2_addr) + 1)) & 0xffff) {
				dasm_put(Dst, 99034, ((uintptr_t)((Z_ZV(op2_addr) + 1)) & 0xffff));
						if (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 16) & 0xffff) {
				dasm_put(Dst, 99037, (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 16) & 0xffff));
						}
						if (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 32) & 0xffff) {
				dasm_put(Dst, 99040, (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 16) & 0xffff) {
				dasm_put(Dst, 99043, (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 16) & 0xffff));
						if (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 32) & 0xffff) {
				dasm_put(Dst, 99046, (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 99049, (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 32) & 0xffff));
					}
#line 11827 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	LOAD_ZVAL_ADDR FCARG2x, op2_addr
					if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(op2_addr))) == 0) {
				dasm_put(Dst, 99052);
					} else if (((uintptr_t)(Z_ZV(op2_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 99054, ((uint64_t)(Z_ZV(op2_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(op2_addr)))) {
				dasm_put(Dst, 99057, (unsigned int)((ptrdiff_t)(Z_ZV(op2_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op2_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(op2_addr)))) {
				dasm_put(Dst, 99060, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff) {
				dasm_put(Dst, 99063, (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff) {
				dasm_put(Dst, 99066, ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 99069, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 99072, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 99075, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 99078, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 99081, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(op2_addr)) {
					if (Z_OFFSET(op2_addr) == 0) {
				dasm_put(Dst, 99084, (Z_REG(op2_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op2_addr)))) {
				dasm_put(Dst, 99087, (Z_REG(op2_addr)), Z_OFFSET(op2_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 99091, ((uint32_t)(Z_OFFSET(op2_addr))));
					} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
				dasm_put(Dst, 99094, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 99097, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 99100, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 99103, (Z_REG(op2_addr)));
					}
						} else {
							if (Z_REG(op2_addr) == ZREG_RSP) {
				dasm_put(Dst, 99106);
							} else {
				dasm_put(Dst, 99108, (Z_REG(op2_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 11829 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	EXT_CALL zend_jit_isset_dim_helper, REG0
				if (arm64_may_use_b(zend_jit_isset_dim_helper)) {
			dasm_put(Dst, 99111, (unsigned int)((ptrdiff_t)(zend_jit_isset_dim_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_isset_dim_helper))>>32));
				} else {
				if (((uintptr_t)(zend_jit_isset_dim_helper)) == 0) {
			dasm_put(Dst, 99114);
				} else if (((uintptr_t)(zend_jit_isset_dim_helper)) <= MOVZ_IMM) {
			dasm_put(Dst, 99116, ((uint64_t)(zend_jit_isset_dim_helper)));
				} else if (arm64_may_use_adr((void*)(zend_jit_isset_dim_helper))) {
			dasm_put(Dst, 99119, (unsigned int)((ptrdiff_t)(zend_jit_isset_dim_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_isset_dim_helper))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_isset_dim_helper))) {
			dasm_put(Dst, 99122, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_isset_dim_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_isset_dim_helper)))))>>32));
					if (((uintptr_t)(zend_jit_isset_dim_helper)) & 0xfff) {
			dasm_put(Dst, 99125, (((uintptr_t)(zend_jit_isset_dim_helper)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_isset_dim_helper) & 0xffff) {
			dasm_put(Dst, 99128, ((uintptr_t)(zend_jit_isset_dim_helper) & 0xffff));
					if (((uintptr_t)(zend_jit_isset_dim_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 99131, (((uintptr_t)(zend_jit_isset_dim_helper) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_isset_dim_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 99134, (((uintptr_t)(zend_jit_isset_dim_helper) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_isset_dim_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 99137, (((uintptr_t)(zend_jit_isset_dim_helper) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_isset_dim_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 99140, (((uintptr_t)(zend_jit_isset_dim_helper) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 99143, (((uintptr_t)(zend_jit_isset_dim_helper) >> 32) & 0xffff));
				}
			dasm_put(Dst, 99146);
				}
#line 11831 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	cbz RETVALw, >9
			dasm_put(Dst, 99148);
#line 11832 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (op1_info & MAY_BE_ARRAY) {
				//|	b >8
				//|.code
				dasm_put(Dst, 99151);
#line 11835 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else {
			if (op2_info & MAY_BE_UNDEF) {
				if (op2_info & MAY_BE_ANY) {
					//|	IF_NOT_ZVAL_TYPE op2_addr, IS_UNDEF, >1, ZREG_TMP1
						ZEND_ASSERT(Z_MODE(op2_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 99154, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 99158, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 99162, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 99166, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 99170, (ZREG_X15), (Z_REG(op2_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 99175, (ZREG_X15), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)));
						}
						if (IS_UNDEF == 0) {
					dasm_put(Dst, 99180, (ZREG_X15));
						} else {
					dasm_put(Dst, 99184, (ZREG_X15), IS_UNDEF);
						}
#line 11840 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|	SET_EX_OPLINE opline, REG0
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 99190, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 99193);
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 99195, ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 99198, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 99201, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 99204, (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 99207, ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 99210, (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 99213, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 99216, (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 99219, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 99222, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 99225, Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
#line 11842 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	LOAD_32BIT_VAL FCARG1w, opline->op2.var
					if (((uint32_t)(opline->op2.var)) <= MOVZ_IMM) {
				dasm_put(Dst, 99228, ((uint32_t)(opline->op2.var)));
					} else if (((uint32_t)(opline->op2.var) & 0xffff)) {
				dasm_put(Dst, 99231, ((uint32_t)(opline->op2.var) & 0xffff));
						if ((((uint32_t)(opline->op2.var) >> 16) & 0xffff)) {
				dasm_put(Dst, 99234, (((uint32_t)(opline->op2.var) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 99237, (((uint32_t)(opline->op2.var) >> 16) & 0xffff));
					}
#line 11843 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	EXT_CALL zend_jit_undefined_op_helper, REG0
					if (arm64_may_use_b(zend_jit_undefined_op_helper)) {
				dasm_put(Dst, 99240, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
					} else {
					if (((uintptr_t)(zend_jit_undefined_op_helper)) == 0) {
				dasm_put(Dst, 99243);
					} else if (((uintptr_t)(zend_jit_undefined_op_helper)) <= MOVZ_IMM) {
				dasm_put(Dst, 99245, ((uint64_t)(zend_jit_undefined_op_helper)));
					} else if (arm64_may_use_adr((void*)(zend_jit_undefined_op_helper))) {
				dasm_put(Dst, 99248, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_undefined_op_helper))) {
				dasm_put(Dst, 99251, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper)))))>>32));
						if (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff) {
				dasm_put(Dst, 99254, (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff) {
				dasm_put(Dst, 99257, ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff));
						if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 99260, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 99263, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 99266, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 99269, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 99272, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
					}
				dasm_put(Dst, 99275);
					}
#line 11844 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|1:
				dasm_put(Dst, 99277);
#line 11845 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if (op1_info & MAY_BE_ARRAY) {
				//|	b >9
				//|.code
				dasm_put(Dst, 99279);
#line 11849 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
	}

#ifdef ZEND_JIT_USE_RC_INFERENCE
	if ((opline->op2_type & (IS_TMP_VAR|IS_VAR)) && (op1_info & MAY_BE_OBJECT)) {
		/* Magic offsetExists() may increase refcount of the key */
		op2_info |= MAY_BE_RCN;
	}
#endif

	if (op1_info & (MAY_BE_ARRAY|MAY_BE_STRING|MAY_BE_OBJECT)) {
		//|8:
		//|	FREE_OP opline->op2_type, opline->op2, op2_info, 0, opline, ZREG_TMP1, ZREG_TMP2
		dasm_put(Dst, 99282);
			if (opline->op2_type & (IS_VAR|IS_TMP_VAR)) {
				zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op2.var);
			if ((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
				if ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if (0) {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 99284, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 99288, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 99292, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 99296, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 99300, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 99305, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 99310, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 99313, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 99317, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 99321, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 99325, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 99329, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 99333, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 99337);
		dasm_put(Dst, 99340);
					} else {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 99342, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 99346, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 99350, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 99354, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 99358, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 99363, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 99368, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 99371, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 99375, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 99379, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 99383, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 99387, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 99391, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 99395);
					}
				}
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 99398, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
			} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
		dasm_put(Dst, 99402, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 99406, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 99410, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 99414, (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 99418, (Z_REG(addr)), (Z_OFFSET(addr)));
			}
		dasm_put(Dst, 99422, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
				if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op2_info)) {
					if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op2_info)) {
						if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 99430);
						} else {
		dasm_put(Dst, 99433);
						}
					}
			do {
				if (!((op2_info) & MAY_BE_GUARD)
				 && has_concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					zend_uchar type = concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
					if (type == IS_STRING && !ZEND_DEBUG) {
			if (arm64_may_use_b(_efree)) {
		dasm_put(Dst, 99436, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else {
			if (((uintptr_t)(_efree)) == 0) {
		dasm_put(Dst, 99439, (ZREG_X15));
			} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
		dasm_put(Dst, 99442, (ZREG_X15), ((uint64_t)(_efree)));
			} else if (arm64_may_use_adr((void*)(_efree))) {
		dasm_put(Dst, 99446, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else if (arm64_may_use_adrp((void*)(_efree))) {
		dasm_put(Dst, 99450, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
				if (((uintptr_t)(_efree)) & 0xfff) {
		dasm_put(Dst, 99454, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
				}
			} else if ((uintptr_t)(_efree) & 0xffff) {
		dasm_put(Dst, 99459, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
				if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 99463, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 99467, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 99471, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 99475, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 99479, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		dasm_put(Dst, 99483, (ZREG_X15));
			}
						break;
					} else if (type == IS_ARRAY) {
						if ((op2_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
							if (opline && ((op2_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 99486, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 99489, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 99492, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 99496, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 99500, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 99504, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 99509, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 99513, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 99517, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 99521, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 99525, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 99529, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 99533, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
							}
			if (arm64_may_use_b(zend_array_destroy)) {
		dasm_put(Dst, 99537, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else {
			if (((uintptr_t)(zend_array_destroy)) == 0) {
		dasm_put(Dst, 99540, (ZREG_X15));
			} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
		dasm_put(Dst, 99543, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
			} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
		dasm_put(Dst, 99547, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
		dasm_put(Dst, 99551, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
				if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
		dasm_put(Dst, 99555, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
		dasm_put(Dst, 99560, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 99564, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 99568, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 99572, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 99576, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 99580, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		dasm_put(Dst, 99584, (ZREG_X15));
			}
						} else {
			if (arm64_may_use_b(zend_jit_array_free)) {
		dasm_put(Dst, 99587, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else {
			if (((uintptr_t)(zend_jit_array_free)) == 0) {
		dasm_put(Dst, 99590, (ZREG_X15));
			} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
		dasm_put(Dst, 99593, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
			} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 99597, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 99601, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
				if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
		dasm_put(Dst, 99605, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
		dasm_put(Dst, 99610, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 99614, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 99618, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 99622, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 99626, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 99630, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		dasm_put(Dst, 99634, (ZREG_X15));
			}
						}
						break;
					} else if (type == IS_OBJECT) {
						if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 99637, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 99640);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 99642, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 99645, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 99648, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 99651, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 99654, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 99657, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 99660, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 99663, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 99666, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 99669, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 99672, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
						}
			if (arm64_may_use_b(zend_objects_store_del)) {
		dasm_put(Dst, 99675, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else {
			if (((uintptr_t)(zend_objects_store_del)) == 0) {
		dasm_put(Dst, 99678, (ZREG_X15));
			} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
		dasm_put(Dst, 99681, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
			} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 99685, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 99689, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
				if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
		dasm_put(Dst, 99693, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
		dasm_put(Dst, 99698, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 99702, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 99706, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 99710, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 99714, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 99718, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		dasm_put(Dst, 99722, (ZREG_X15));
			}
						break;
					}
				}
				if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 99725, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 99728, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 99731, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 99735, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 99739, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 99743, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 99748, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 99752, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 99756, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 99760, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 99764, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 99768, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 99772, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
				}
			if (arm64_may_use_b(rc_dtor_func)) {
		dasm_put(Dst, 99776, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else {
			if (((uintptr_t)(rc_dtor_func)) == 0) {
		dasm_put(Dst, 99779, (ZREG_X15));
			} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
		dasm_put(Dst, 99782, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
			} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
		dasm_put(Dst, 99786, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
		dasm_put(Dst, 99790, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
				if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
		dasm_put(Dst, 99794, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
				}
			} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
		dasm_put(Dst, 99799, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 99803, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				}
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 99807, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 99811, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 99815, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 99819, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		dasm_put(Dst, 99823, (ZREG_X15));
			}
			} while(0);
					if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 99826);
					}
		dasm_put(Dst, 99829);
				}
				if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					if ((op2_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
						zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
		dasm_put(Dst, 99831, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
		dasm_put(Dst, 99835, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
		dasm_put(Dst, 99839, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 99843, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 99847, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 99852, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
			}
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 99857, (ZREG_X15));
			} else {
		dasm_put(Dst, 99861, (ZREG_X15), IS_REFERENCE);
			}
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 99867, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 99871, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 99875, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 99879, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 99883, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 99888, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_COLLECTABLE == 0) {
		dasm_put(Dst, 99893, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
		dasm_put(Dst, 99896, (ZREG_X15), IS_TYPE_COLLECTABLE);
			} else {
			if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
		dasm_put(Dst, 99900, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
			} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
		dasm_put(Dst, 99904, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
				if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
		dasm_put(Dst, 99908, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 99912, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		dasm_put(Dst, 99916, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 99920);
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 99923, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
		dasm_put(Dst, 99927, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 99931, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 99935, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 99939, (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 99943, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
			}
		dasm_put(Dst, 99947);
					}
		dasm_put(Dst, 99949, (ZREG_X15));
			if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
		dasm_put(Dst, 99952, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
		dasm_put(Dst, 99955, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
			} else {
			if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
		dasm_put(Dst, 99959, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
			} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
		dasm_put(Dst, 99963, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
				if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
		dasm_put(Dst, 99967, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 99971, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 99975, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 99979);
			if (arm64_may_use_b(gc_possible_root)) {
		dasm_put(Dst, 99982, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else {
			if (((uintptr_t)(gc_possible_root)) == 0) {
		dasm_put(Dst, 99985, (ZREG_X15));
			} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
		dasm_put(Dst, 99988, (ZREG_X15), ((uint64_t)(gc_possible_root)));
			} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
		dasm_put(Dst, 99992, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
		dasm_put(Dst, 99996, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
				if (((uintptr_t)(gc_possible_root)) & 0xfff) {
		dasm_put(Dst, 100000, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
				}
			} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
		dasm_put(Dst, 100005, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 100009, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				}
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 100013, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 100017, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 100021, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 100025, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		dasm_put(Dst, 100029, (ZREG_X15));
			}
				}
				if (0 && ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
		dasm_put(Dst, 100032);
				}
		dasm_put(Dst, 100035);
			}
			}
#line 11863 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (!op1_avoid_refcounting) {
			//|	FREE_OP opline->op1_type, opline->op1, op1_info, 0, opline, ZREG_TMP1, ZREG_TMP2
				if (opline->op1_type & (IS_VAR|IS_TMP_VAR)) {
					zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op1.var);
				if ((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
					if ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
						if (0) {
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 100037, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 100041, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 100045, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 100049, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 100053, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 100058, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_REFCOUNTED == 0) {
			dasm_put(Dst, 100063, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
			dasm_put(Dst, 100066, (ZREG_X15), IS_TYPE_REFCOUNTED);
				} else {
				if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
			dasm_put(Dst, 100070, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
				} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
			dasm_put(Dst, 100074, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
					if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
			dasm_put(Dst, 100078, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 100082, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			dasm_put(Dst, 100086, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 100090);
			dasm_put(Dst, 100093);
						} else {
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 100095, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 100099, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 100103, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 100107, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 100111, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 100116, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_REFCOUNTED == 0) {
			dasm_put(Dst, 100121, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
			dasm_put(Dst, 100124, (ZREG_X15), IS_TYPE_REFCOUNTED);
				} else {
				if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
			dasm_put(Dst, 100128, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
				} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
			dasm_put(Dst, 100132, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
					if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
			dasm_put(Dst, 100136, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 100140, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			dasm_put(Dst, 100144, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 100148);
						}
					}
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 100151, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
				} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
			dasm_put(Dst, 100155, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 100159, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 100163, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 100167, (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 100171, (Z_REG(addr)), (Z_OFFSET(addr)));
				}
			dasm_put(Dst, 100175, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
					if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op1_info)) {
						if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op1_info)) {
							if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
			dasm_put(Dst, 100183);
							} else {
			dasm_put(Dst, 100186);
							}
						}
				do {
					if (!((op1_info) & MAY_BE_GUARD)
					 && has_concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
						zend_uchar type = concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
						if (type == IS_STRING && !ZEND_DEBUG) {
				if (arm64_may_use_b(_efree)) {
			dasm_put(Dst, 100189, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
				} else {
				if (((uintptr_t)(_efree)) == 0) {
			dasm_put(Dst, 100192, (ZREG_X15));
				} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
			dasm_put(Dst, 100195, (ZREG_X15), ((uint64_t)(_efree)));
				} else if (arm64_may_use_adr((void*)(_efree))) {
			dasm_put(Dst, 100199, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
				} else if (arm64_may_use_adrp((void*)(_efree))) {
			dasm_put(Dst, 100203, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
					if (((uintptr_t)(_efree)) & 0xfff) {
			dasm_put(Dst, 100207, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
					}
				} else if ((uintptr_t)(_efree) & 0xffff) {
			dasm_put(Dst, 100212, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
					if (((uintptr_t)(_efree) >> 16) & 0xffff) {
			dasm_put(Dst, 100216, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
					}
					if (((uintptr_t)(_efree) >> 32) & 0xffff) {
			dasm_put(Dst, 100220, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
			dasm_put(Dst, 100224, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
					if (((uintptr_t)(_efree) >> 32) & 0xffff) {
			dasm_put(Dst, 100228, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 100232, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			dasm_put(Dst, 100236, (ZREG_X15));
				}
							break;
						} else if (type == IS_ARRAY) {
							if ((op1_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
								if (opline && ((op1_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 100239, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 100242, (ZREG_X15));
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 100245, (ZREG_X15), ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 100249, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 100253, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 100257, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 100262, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 100266, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 100270, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 100274, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 100278, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 100282, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 100286, (ZREG_X15), Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
								}
				if (arm64_may_use_b(zend_array_destroy)) {
			dasm_put(Dst, 100290, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
				} else {
				if (((uintptr_t)(zend_array_destroy)) == 0) {
			dasm_put(Dst, 100293, (ZREG_X15));
				} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
			dasm_put(Dst, 100296, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
				} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
			dasm_put(Dst, 100300, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
			dasm_put(Dst, 100304, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
					if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
			dasm_put(Dst, 100308, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
			dasm_put(Dst, 100313, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
					if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
			dasm_put(Dst, 100317, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
			dasm_put(Dst, 100321, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
			dasm_put(Dst, 100325, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
					if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
			dasm_put(Dst, 100329, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 100333, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			dasm_put(Dst, 100337, (ZREG_X15));
				}
							} else {
				if (arm64_may_use_b(zend_jit_array_free)) {
			dasm_put(Dst, 100340, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
				} else {
				if (((uintptr_t)(zend_jit_array_free)) == 0) {
			dasm_put(Dst, 100343, (ZREG_X15));
				} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
			dasm_put(Dst, 100346, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
				} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
			dasm_put(Dst, 100350, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
			dasm_put(Dst, 100354, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
					if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
			dasm_put(Dst, 100358, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
			dasm_put(Dst, 100363, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
					if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
			dasm_put(Dst, 100367, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
			dasm_put(Dst, 100371, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
			dasm_put(Dst, 100375, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
			dasm_put(Dst, 100379, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 100383, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			dasm_put(Dst, 100387, (ZREG_X15));
				}
							}
							break;
						} else if (type == IS_OBJECT) {
							if (opline) {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 100390, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 100393);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 100395, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 100398, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 100401, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 100404, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 100407, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 100410, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 100413, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 100416, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 100419, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 100422, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 100425, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
							}
				if (arm64_may_use_b(zend_objects_store_del)) {
			dasm_put(Dst, 100428, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
				} else {
				if (((uintptr_t)(zend_objects_store_del)) == 0) {
			dasm_put(Dst, 100431, (ZREG_X15));
				} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
			dasm_put(Dst, 100434, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
				} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
			dasm_put(Dst, 100438, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
			dasm_put(Dst, 100442, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
					if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
			dasm_put(Dst, 100446, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
			dasm_put(Dst, 100451, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
					if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
			dasm_put(Dst, 100455, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
			dasm_put(Dst, 100459, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
			dasm_put(Dst, 100463, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
					if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
			dasm_put(Dst, 100467, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 100471, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			dasm_put(Dst, 100475, (ZREG_X15));
				}
							break;
						}
					}
					if (opline) {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 100478, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 100481, (ZREG_X15));
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 100484, (ZREG_X15), ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 100488, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 100492, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 100496, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 100501, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 100505, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 100509, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 100513, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 100517, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 100521, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 100525, (ZREG_X15), Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
					}
				if (arm64_may_use_b(rc_dtor_func)) {
			dasm_put(Dst, 100529, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
				} else {
				if (((uintptr_t)(rc_dtor_func)) == 0) {
			dasm_put(Dst, 100532, (ZREG_X15));
				} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
			dasm_put(Dst, 100535, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
				} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
			dasm_put(Dst, 100539, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
				} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
			dasm_put(Dst, 100543, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
					if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
			dasm_put(Dst, 100547, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
					}
				} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
			dasm_put(Dst, 100552, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
					if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
			dasm_put(Dst, 100556, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
					}
					if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
			dasm_put(Dst, 100560, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
			dasm_put(Dst, 100564, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
					if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
			dasm_put(Dst, 100568, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 100572, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			dasm_put(Dst, 100576, (ZREG_X15));
				}
				} while(0);
						if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
			dasm_put(Dst, 100579);
						}
			dasm_put(Dst, 100582);
					}
					if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
						if ((op1_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
							zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 100584, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 100588, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 100592, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 100596, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 100600, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 100605, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_REFERENCE == 0) {
			dasm_put(Dst, 100610, (ZREG_X15));
				} else {
			dasm_put(Dst, 100614, (ZREG_X15), IS_REFERENCE);
				}
				ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 100620, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 100624, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 100628, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 100632, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 100636, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 100641, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_COLLECTABLE == 0) {
			dasm_put(Dst, 100646, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
			dasm_put(Dst, 100649, (ZREG_X15), IS_TYPE_COLLECTABLE);
				} else {
				if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
			dasm_put(Dst, 100653, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
				} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
			dasm_put(Dst, 100657, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
					if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
			dasm_put(Dst, 100661, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 100665, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			dasm_put(Dst, 100669, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 100673);
				ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 100676, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
			dasm_put(Dst, 100680, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 100684, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 100688, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 100692, (Z_REG(ref_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 100696, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
				}
			dasm_put(Dst, 100700);
						}
			dasm_put(Dst, 100702, (ZREG_X15));
				if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
			dasm_put(Dst, 100705, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
			dasm_put(Dst, 100708, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
				} else {
				if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
			dasm_put(Dst, 100712, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
				} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
			dasm_put(Dst, 100716, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
					if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
			dasm_put(Dst, 100720, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 100724, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			dasm_put(Dst, 100728, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 100732);
				if (arm64_may_use_b(gc_possible_root)) {
			dasm_put(Dst, 100735, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
				} else {
				if (((uintptr_t)(gc_possible_root)) == 0) {
			dasm_put(Dst, 100738, (ZREG_X15));
				} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
			dasm_put(Dst, 100741, (ZREG_X15), ((uint64_t)(gc_possible_root)));
				} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
			dasm_put(Dst, 100745, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
				} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
			dasm_put(Dst, 100749, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
					if (((uintptr_t)(gc_possible_root)) & 0xfff) {
			dasm_put(Dst, 100753, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
					}
				} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
			dasm_put(Dst, 100758, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
					if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
			dasm_put(Dst, 100762, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
					}
					if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
			dasm_put(Dst, 100766, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
			dasm_put(Dst, 100770, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
					if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
			dasm_put(Dst, 100774, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 100778, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			dasm_put(Dst, 100782, (ZREG_X15));
				}
					}
					if (0 && ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
			dasm_put(Dst, 100785);
					}
			dasm_put(Dst, 100788);
				}
				}
#line 11865 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (may_throw) {
			if (!zend_jit_check_exception_undef_result(Dst, opline)) {
				return 0;
			}
		}
		if (!(opline->extended_value & ZEND_ISEMPTY)) {
			if (exit_addr) {
				if (smart_branch_opcode == ZEND_JMPNZ) {
					//|	b &exit_addr
					dasm_put(Dst, 100790, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 11875 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	b >8
					dasm_put(Dst, 100793);
#line 11877 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else if (smart_branch_opcode) {
				if (smart_branch_opcode == ZEND_JMPZ) {
					//|	b =>target_label2
					dasm_put(Dst, 100796, target_label2);
#line 11881 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else if (smart_branch_opcode == ZEND_JMPNZ) {
					//|	b =>target_label
					dasm_put(Dst, 100799, target_label);
#line 11883 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else if (smart_branch_opcode == ZEND_JMPZNZ) {
					//|	b =>target_label2
					dasm_put(Dst, 100802, target_label2);
#line 11885 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					ZEND_UNREACHABLE();
				}
			} else {
				//|	SET_ZVAL_TYPE_INFO res_addr, IS_TRUE, TMP1w, TMP2
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uint32_t)(IS_TRUE)) <= MOVZ_IMM) {
				dasm_put(Dst, 100805, ((uint32_t)(IS_TRUE)));
					} else if (((uint32_t)(IS_TRUE) & 0xffff)) {
				dasm_put(Dst, 100808, ((uint32_t)(IS_TRUE) & 0xffff));
						if ((((uint32_t)(IS_TRUE) >> 16) & 0xffff)) {
				dasm_put(Dst, 100811, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 100814, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 100817, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 100820, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 100823, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 100826, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 100829, (Z_REG(res_addr)));
					} else {
				dasm_put(Dst, 100832, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
					}
#line 11890 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	b >8
				dasm_put(Dst, 100836);
#line 11891 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else {
			//|	NIY // TODO: support for empty()
				//ZEND_ASSERT(0);
			dasm_put(Dst, 100839);
#line 11894 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	//|9: // not found
	//|	FREE_OP opline->op2_type, opline->op2, op2_info, 0, opline, ZREG_TMP1, ZREG_TMP2
	dasm_put(Dst, 100841);
		if (opline->op2_type & (IS_VAR|IS_TMP_VAR)) {
			zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op2.var);
		if ((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
			if ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
				if (0) {
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
	dasm_put(Dst, 100843, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
		} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
	dasm_put(Dst, 100847, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
	dasm_put(Dst, 100851, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 100855, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 100859, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 100864, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
		}
		if (IS_TYPE_REFCOUNTED == 0) {
	dasm_put(Dst, 100869, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
	dasm_put(Dst, 100872, (ZREG_X15), IS_TYPE_REFCOUNTED);
		} else {
		if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
	dasm_put(Dst, 100876, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
		} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
	dasm_put(Dst, 100880, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
			if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
	dasm_put(Dst, 100884, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 100888, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
		}
	dasm_put(Dst, 100892, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 100896);
	dasm_put(Dst, 100899);
				} else {
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
	dasm_put(Dst, 100901, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
		} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
	dasm_put(Dst, 100905, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
	dasm_put(Dst, 100909, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 100913, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 100917, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 100922, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
		}
		if (IS_TYPE_REFCOUNTED == 0) {
	dasm_put(Dst, 100927, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
	dasm_put(Dst, 100930, (ZREG_X15), IS_TYPE_REFCOUNTED);
		} else {
		if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
	dasm_put(Dst, 100934, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
		} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
	dasm_put(Dst, 100938, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
			if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
	dasm_put(Dst, 100942, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 100946, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
		}
	dasm_put(Dst, 100950, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 100954);
				}
			}
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 100957, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
		} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
	dasm_put(Dst, 100961, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 100965, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 100969, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 100973, (Z_REG(addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 100977, (Z_REG(addr)), (Z_OFFSET(addr)));
		}
	dasm_put(Dst, 100981, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
			if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op2_info)) {
				if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op2_info)) {
					if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
	dasm_put(Dst, 100989);
					} else {
	dasm_put(Dst, 100992);
					}
				}
		do {
			if (!((op2_info) & MAY_BE_GUARD)
			 && has_concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
				zend_uchar type = concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
				if (type == IS_STRING && !ZEND_DEBUG) {
		if (arm64_may_use_b(_efree)) {
	dasm_put(Dst, 100995, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
		} else {
		if (((uintptr_t)(_efree)) == 0) {
	dasm_put(Dst, 100998, (ZREG_X15));
		} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
	dasm_put(Dst, 101001, (ZREG_X15), ((uint64_t)(_efree)));
		} else if (arm64_may_use_adr((void*)(_efree))) {
	dasm_put(Dst, 101005, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
		} else if (arm64_may_use_adrp((void*)(_efree))) {
	dasm_put(Dst, 101009, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
			if (((uintptr_t)(_efree)) & 0xfff) {
	dasm_put(Dst, 101013, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
			}
		} else if ((uintptr_t)(_efree) & 0xffff) {
	dasm_put(Dst, 101018, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
			if (((uintptr_t)(_efree) >> 16) & 0xffff) {
	dasm_put(Dst, 101022, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
			}
			if (((uintptr_t)(_efree) >> 32) & 0xffff) {
	dasm_put(Dst, 101026, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
	dasm_put(Dst, 101030, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
			if (((uintptr_t)(_efree) >> 32) & 0xffff) {
	dasm_put(Dst, 101034, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 101038, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
		}
	dasm_put(Dst, 101042, (ZREG_X15));
		}
					break;
				} else if (type == IS_ARRAY) {
					if ((op2_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
						if (opline && ((op2_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
		if (opline == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 101045, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(opline)) == 0) {
	dasm_put(Dst, 101048, (ZREG_X15));
		} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
	dasm_put(Dst, 101051, (ZREG_X15), ((uint64_t)(opline)));
		} else if (arm64_may_use_adr((void*)(opline))) {
	dasm_put(Dst, 101055, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
		} else if (arm64_may_use_adrp((void*)(opline))) {
	dasm_put(Dst, 101059, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
			if (((uintptr_t)(opline)) & 0xfff) {
	dasm_put(Dst, 101063, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
			}
		} else if ((uintptr_t)(opline) & 0xffff) {
	dasm_put(Dst, 101068, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
			if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 101072, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
			}
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 101076, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 101080, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 101084, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 101088, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
		}
	dasm_put(Dst, 101092, (ZREG_X15), Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
						}
		if (arm64_may_use_b(zend_array_destroy)) {
	dasm_put(Dst, 101096, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
		} else {
		if (((uintptr_t)(zend_array_destroy)) == 0) {
	dasm_put(Dst, 101099, (ZREG_X15));
		} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
	dasm_put(Dst, 101102, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
		} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
	dasm_put(Dst, 101106, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
	dasm_put(Dst, 101110, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
			if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
	dasm_put(Dst, 101114, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
	dasm_put(Dst, 101119, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
			if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
	dasm_put(Dst, 101123, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
	dasm_put(Dst, 101127, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
	dasm_put(Dst, 101131, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
			if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
	dasm_put(Dst, 101135, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 101139, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
		}
	dasm_put(Dst, 101143, (ZREG_X15));
		}
					} else {
		if (arm64_may_use_b(zend_jit_array_free)) {
	dasm_put(Dst, 101146, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
		} else {
		if (((uintptr_t)(zend_jit_array_free)) == 0) {
	dasm_put(Dst, 101149, (ZREG_X15));
		} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
	dasm_put(Dst, 101152, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
		} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
	dasm_put(Dst, 101156, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
	dasm_put(Dst, 101160, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
			if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
	dasm_put(Dst, 101164, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
	dasm_put(Dst, 101169, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
			if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
	dasm_put(Dst, 101173, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
	dasm_put(Dst, 101177, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
	dasm_put(Dst, 101181, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
			if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
	dasm_put(Dst, 101185, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 101189, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
		}
	dasm_put(Dst, 101193, (ZREG_X15));
		}
					}
					break;
				} else if (type == IS_OBJECT) {
					if (opline) {
		if (opline == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 101196, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(opline)) == 0) {
	dasm_put(Dst, 101199);
		} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
	dasm_put(Dst, 101201, ((uint64_t)(opline)));
		} else if (arm64_may_use_adr((void*)(opline))) {
	dasm_put(Dst, 101204, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
		} else if (arm64_may_use_adrp((void*)(opline))) {
	dasm_put(Dst, 101207, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
			if (((uintptr_t)(opline)) & 0xfff) {
	dasm_put(Dst, 101210, (((uintptr_t)(opline)) & 0xfff));
			}
		} else if ((uintptr_t)(opline) & 0xffff) {
	dasm_put(Dst, 101213, ((uintptr_t)(opline) & 0xffff));
			if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 101216, (((uintptr_t)(opline) >> 16) & 0xffff));
			}
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 101219, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 101222, (((uintptr_t)(opline) >> 16) & 0xffff));
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 101225, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 101228, (((uintptr_t)(opline) >> 32) & 0xffff));
		}
	dasm_put(Dst, 101231, Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
					}
		if (arm64_may_use_b(zend_objects_store_del)) {
	dasm_put(Dst, 101234, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
		} else {
		if (((uintptr_t)(zend_objects_store_del)) == 0) {
	dasm_put(Dst, 101237, (ZREG_X15));
		} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
	dasm_put(Dst, 101240, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
		} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
	dasm_put(Dst, 101244, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
	dasm_put(Dst, 101248, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
			if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
	dasm_put(Dst, 101252, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
	dasm_put(Dst, 101257, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
			if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
	dasm_put(Dst, 101261, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
	dasm_put(Dst, 101265, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
	dasm_put(Dst, 101269, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
			if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
	dasm_put(Dst, 101273, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 101277, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
		}
	dasm_put(Dst, 101281, (ZREG_X15));
		}
					break;
				}
			}
			if (opline) {
		if (opline == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 101284, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(opline)) == 0) {
	dasm_put(Dst, 101287, (ZREG_X15));
		} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
	dasm_put(Dst, 101290, (ZREG_X15), ((uint64_t)(opline)));
		} else if (arm64_may_use_adr((void*)(opline))) {
	dasm_put(Dst, 101294, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
		} else if (arm64_may_use_adrp((void*)(opline))) {
	dasm_put(Dst, 101298, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
			if (((uintptr_t)(opline)) & 0xfff) {
	dasm_put(Dst, 101302, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
			}
		} else if ((uintptr_t)(opline) & 0xffff) {
	dasm_put(Dst, 101307, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
			if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 101311, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
			}
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 101315, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 101319, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 101323, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 101327, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
		}
	dasm_put(Dst, 101331, (ZREG_X15), Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
			}
		if (arm64_may_use_b(rc_dtor_func)) {
	dasm_put(Dst, 101335, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
		} else {
		if (((uintptr_t)(rc_dtor_func)) == 0) {
	dasm_put(Dst, 101338, (ZREG_X15));
		} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
	dasm_put(Dst, 101341, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
		} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
	dasm_put(Dst, 101345, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
		} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
	dasm_put(Dst, 101349, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
			if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
	dasm_put(Dst, 101353, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
			}
		} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
	dasm_put(Dst, 101358, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
			if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
	dasm_put(Dst, 101362, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
			}
			if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
	dasm_put(Dst, 101366, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
	dasm_put(Dst, 101370, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
			if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
	dasm_put(Dst, 101374, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 101378, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
		}
	dasm_put(Dst, 101382, (ZREG_X15));
		}
		} while(0);
				if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
	dasm_put(Dst, 101385);
				}
	dasm_put(Dst, 101388);
			}
			if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
				if ((op2_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
					zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
	dasm_put(Dst, 101390, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
		} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
	dasm_put(Dst, 101394, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
	dasm_put(Dst, 101398, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 101402, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 101406, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
		} else {
	dasm_put(Dst, 101411, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
		}
		if (IS_REFERENCE == 0) {
	dasm_put(Dst, 101416, (ZREG_X15));
		} else {
	dasm_put(Dst, 101420, (ZREG_X15), IS_REFERENCE);
		}
		ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
	dasm_put(Dst, 101426, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
		} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
	dasm_put(Dst, 101430, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
	dasm_put(Dst, 101434, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 101438, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 101442, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 101447, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
		}
		if (IS_TYPE_COLLECTABLE == 0) {
	dasm_put(Dst, 101452, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
	dasm_put(Dst, 101455, (ZREG_X15), IS_TYPE_COLLECTABLE);
		} else {
		if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
	dasm_put(Dst, 101459, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
		} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
	dasm_put(Dst, 101463, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
			if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
	dasm_put(Dst, 101467, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 101471, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
		}
	dasm_put(Dst, 101475, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 101479);
		ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 101482, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
		} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
	dasm_put(Dst, 101486, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 101490, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 101494, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 101498, (Z_REG(ref_addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 101502, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
		}
	dasm_put(Dst, 101506);
				}
	dasm_put(Dst, 101508, (ZREG_X15));
		if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
	dasm_put(Dst, 101511, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
	dasm_put(Dst, 101514, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
		} else {
		if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
	dasm_put(Dst, 101518, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
		} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
	dasm_put(Dst, 101522, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
			if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
	dasm_put(Dst, 101526, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 101530, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
		}
	dasm_put(Dst, 101534, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 101538);
		if (arm64_may_use_b(gc_possible_root)) {
	dasm_put(Dst, 101541, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
		} else {
		if (((uintptr_t)(gc_possible_root)) == 0) {
	dasm_put(Dst, 101544, (ZREG_X15));
		} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
	dasm_put(Dst, 101547, (ZREG_X15), ((uint64_t)(gc_possible_root)));
		} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
	dasm_put(Dst, 101551, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
		} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
	dasm_put(Dst, 101555, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
			if (((uintptr_t)(gc_possible_root)) & 0xfff) {
	dasm_put(Dst, 101559, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
			}
		} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
	dasm_put(Dst, 101564, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
			if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
	dasm_put(Dst, 101568, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
			}
			if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
	dasm_put(Dst, 101572, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
	dasm_put(Dst, 101576, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
			if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
	dasm_put(Dst, 101580, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 101584, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
		}
	dasm_put(Dst, 101588, (ZREG_X15));
		}
			}
			if (0 && ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
	dasm_put(Dst, 101591);
			}
	dasm_put(Dst, 101594);
		}
		}
#line 11899 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	if (!op1_avoid_refcounting) {
		//|	FREE_OP opline->op1_type, opline->op1, op1_info, 0, opline, ZREG_TMP1, ZREG_TMP2
			if (opline->op1_type & (IS_VAR|IS_TMP_VAR)) {
				zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op1.var);
			if ((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
				if ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if (0) {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 101596, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 101600, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 101604, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 101608, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 101612, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 101617, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 101622, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 101625, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 101629, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 101633, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 101637, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 101641, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 101645, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 101649);
		dasm_put(Dst, 101652);
					} else {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 101654, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 101658, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 101662, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 101666, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 101670, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 101675, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 101680, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 101683, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 101687, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 101691, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 101695, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 101699, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 101703, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 101707);
					}
				}
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 101710, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
			} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
		dasm_put(Dst, 101714, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 101718, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 101722, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 101726, (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 101730, (Z_REG(addr)), (Z_OFFSET(addr)));
			}
		dasm_put(Dst, 101734, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
				if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op1_info)) {
					if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op1_info)) {
						if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 101742);
						} else {
		dasm_put(Dst, 101745);
						}
					}
			do {
				if (!((op1_info) & MAY_BE_GUARD)
				 && has_concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					zend_uchar type = concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
					if (type == IS_STRING && !ZEND_DEBUG) {
			if (arm64_may_use_b(_efree)) {
		dasm_put(Dst, 101748, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else {
			if (((uintptr_t)(_efree)) == 0) {
		dasm_put(Dst, 101751, (ZREG_X15));
			} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
		dasm_put(Dst, 101754, (ZREG_X15), ((uint64_t)(_efree)));
			} else if (arm64_may_use_adr((void*)(_efree))) {
		dasm_put(Dst, 101758, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else if (arm64_may_use_adrp((void*)(_efree))) {
		dasm_put(Dst, 101762, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
				if (((uintptr_t)(_efree)) & 0xfff) {
		dasm_put(Dst, 101766, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
				}
			} else if ((uintptr_t)(_efree) & 0xffff) {
		dasm_put(Dst, 101771, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
				if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 101775, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 101779, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 101783, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 101787, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 101791, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		dasm_put(Dst, 101795, (ZREG_X15));
			}
						break;
					} else if (type == IS_ARRAY) {
						if ((op1_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
							if (opline && ((op1_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 101798, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 101801, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 101804, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 101808, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 101812, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 101816, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 101821, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 101825, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 101829, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 101833, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 101837, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 101841, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 101845, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
							}
			if (arm64_may_use_b(zend_array_destroy)) {
		dasm_put(Dst, 101849, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else {
			if (((uintptr_t)(zend_array_destroy)) == 0) {
		dasm_put(Dst, 101852, (ZREG_X15));
			} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
		dasm_put(Dst, 101855, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
			} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
		dasm_put(Dst, 101859, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
		dasm_put(Dst, 101863, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
				if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
		dasm_put(Dst, 101867, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
		dasm_put(Dst, 101872, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 101876, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 101880, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 101884, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 101888, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 101892, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		dasm_put(Dst, 101896, (ZREG_X15));
			}
						} else {
			if (arm64_may_use_b(zend_jit_array_free)) {
		dasm_put(Dst, 101899, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else {
			if (((uintptr_t)(zend_jit_array_free)) == 0) {
		dasm_put(Dst, 101902, (ZREG_X15));
			} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
		dasm_put(Dst, 101905, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
			} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 101909, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 101913, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
				if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
		dasm_put(Dst, 101917, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
		dasm_put(Dst, 101922, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 101926, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 101930, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 101934, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 101938, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 101942, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		dasm_put(Dst, 101946, (ZREG_X15));
			}
						}
						break;
					} else if (type == IS_OBJECT) {
						if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 101949, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 101952);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 101954, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 101957, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 101960, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 101963, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 101966, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 101969, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 101972, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 101975, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 101978, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 101981, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 101984, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
						}
			if (arm64_may_use_b(zend_objects_store_del)) {
		dasm_put(Dst, 101987, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else {
			if (((uintptr_t)(zend_objects_store_del)) == 0) {
		dasm_put(Dst, 101990, (ZREG_X15));
			} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
		dasm_put(Dst, 101993, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
			} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 101997, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 102001, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
				if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
		dasm_put(Dst, 102005, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
		dasm_put(Dst, 102010, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 102014, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 102018, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 102022, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 102026, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 102030, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		dasm_put(Dst, 102034, (ZREG_X15));
			}
						break;
					}
				}
				if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 102037, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 102040, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 102043, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 102047, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 102051, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 102055, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 102060, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 102064, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 102068, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 102072, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 102076, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 102080, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 102084, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
				}
			if (arm64_may_use_b(rc_dtor_func)) {
		dasm_put(Dst, 102088, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else {
			if (((uintptr_t)(rc_dtor_func)) == 0) {
		dasm_put(Dst, 102091, (ZREG_X15));
			} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
		dasm_put(Dst, 102094, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
			} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
		dasm_put(Dst, 102098, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
		dasm_put(Dst, 102102, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
				if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
		dasm_put(Dst, 102106, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
				}
			} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
		dasm_put(Dst, 102111, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 102115, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				}
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 102119, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 102123, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 102127, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 102131, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		dasm_put(Dst, 102135, (ZREG_X15));
			}
			} while(0);
					if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 102138);
					}
		dasm_put(Dst, 102141);
				}
				if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					if ((op1_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
						zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
		dasm_put(Dst, 102143, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
		dasm_put(Dst, 102147, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
		dasm_put(Dst, 102151, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 102155, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 102159, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 102164, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
			}
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 102169, (ZREG_X15));
			} else {
		dasm_put(Dst, 102173, (ZREG_X15), IS_REFERENCE);
			}
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 102179, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 102183, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 102187, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 102191, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 102195, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 102200, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_COLLECTABLE == 0) {
		dasm_put(Dst, 102205, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
		dasm_put(Dst, 102208, (ZREG_X15), IS_TYPE_COLLECTABLE);
			} else {
			if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
		dasm_put(Dst, 102212, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
			} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
		dasm_put(Dst, 102216, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
				if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
		dasm_put(Dst, 102220, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 102224, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		dasm_put(Dst, 102228, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 102232);
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 102235, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
		dasm_put(Dst, 102239, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 102243, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 102247, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 102251, (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 102255, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
			}
		dasm_put(Dst, 102259);
					}
		dasm_put(Dst, 102261, (ZREG_X15));
			if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
		dasm_put(Dst, 102264, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
		dasm_put(Dst, 102267, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
			} else {
			if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
		dasm_put(Dst, 102271, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
			} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
		dasm_put(Dst, 102275, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
				if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
		dasm_put(Dst, 102279, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 102283, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 102287, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 102291);
			if (arm64_may_use_b(gc_possible_root)) {
		dasm_put(Dst, 102294, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else {
			if (((uintptr_t)(gc_possible_root)) == 0) {
		dasm_put(Dst, 102297, (ZREG_X15));
			} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
		dasm_put(Dst, 102300, (ZREG_X15), ((uint64_t)(gc_possible_root)));
			} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
		dasm_put(Dst, 102304, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
		dasm_put(Dst, 102308, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
				if (((uintptr_t)(gc_possible_root)) & 0xfff) {
		dasm_put(Dst, 102312, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
				}
			} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
		dasm_put(Dst, 102317, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 102321, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				}
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 102325, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 102329, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 102333, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 102337, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		dasm_put(Dst, 102341, (ZREG_X15));
			}
				}
				if (0 && ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
		dasm_put(Dst, 102344);
				}
		dasm_put(Dst, 102347);
			}
			}
#line 11901 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	if (may_throw) {
		if (!zend_jit_check_exception_undef_result(Dst, opline)) {
			return 0;
		}
	}
	if (!(opline->extended_value & ZEND_ISEMPTY)) {
		if (exit_addr) {
			if (smart_branch_opcode == ZEND_JMPZ) {
				//|	b &exit_addr
				dasm_put(Dst, 102349, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 11911 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else if (smart_branch_opcode) {
			if (smart_branch_opcode == ZEND_JMPZ) {
				//|	b =>target_label
				dasm_put(Dst, 102352, target_label);
#line 11915 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else if (smart_branch_opcode == ZEND_JMPNZ) {
			} else if (smart_branch_opcode == ZEND_JMPZNZ) {
				//|	b =>target_label
				dasm_put(Dst, 102355, target_label);
#line 11918 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				ZEND_UNREACHABLE();
			}
		} else {
			//|	SET_ZVAL_TYPE_INFO res_addr, IS_FALSE, TMP1w, TMP2
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(IS_FALSE)) <= MOVZ_IMM) {
			dasm_put(Dst, 102358, ((uint32_t)(IS_FALSE)));
				} else if (((uint32_t)(IS_FALSE) & 0xffff)) {
			dasm_put(Dst, 102361, ((uint32_t)(IS_FALSE) & 0xffff));
					if ((((uint32_t)(IS_FALSE) >> 16) & 0xffff)) {
			dasm_put(Dst, 102364, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 102367, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 102370, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 102373, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 102376, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 102379, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 102382, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 102385, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
#line 11923 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else {
		//|	NIY // TODO: support for empty()
			//ZEND_ASSERT(0);
		dasm_put(Dst, 102389);
#line 11926 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	//|8:
	dasm_put(Dst, 102391);
#line 11929 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	return 1;
}

static int zend_jit_bind_global(dasm_State **Dst, const zend_op *opline, uint32_t op1_info)
{
	zend_jit_addr op1_addr = OP1_ADDR();
	zend_string *varname = Z_STR_P(RT_CONSTANT(opline, opline->op2));

	//|	// idx = (uint32_t)(uintptr_t)CACHED_PTR(opline->extended_value) - 1;
	//|	ldr FCARG2x, EX->run_time_cache
	//|	MEM_ACCESS_64_WITH_UOFFSET ldr, REG0, FCARG2x, opline->extended_value, TMP1
	dasm_put(Dst, 102393, Dt1(->run_time_cache));
		if (((uintptr_t)(opline->extended_value)) > LDR_STR_PIMM64) {
		if (((uint32_t)(opline->extended_value)) <= MOVZ_IMM) {
	dasm_put(Dst, 102396, ((uint32_t)(opline->extended_value)));
		} else if (((uint32_t)(opline->extended_value) & 0xffff)) {
	dasm_put(Dst, 102399, ((uint32_t)(opline->extended_value) & 0xffff));
			if ((((uint32_t)(opline->extended_value) >> 16) & 0xffff)) {
	dasm_put(Dst, 102402, (((uint32_t)(opline->extended_value) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 102405, (((uint32_t)(opline->extended_value) >> 16) & 0xffff));
		}
	dasm_put(Dst, 102408);
		} else {
	dasm_put(Dst, 102410, (opline->extended_value));
		}
#line 11941 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	sub REG0, REG0, #1
	//|	// if (EXPECTED(idx < EG(symbol_table).nNumUsed * sizeof(Bucket)))
	//|	MEM_LOAD_32_ZTS ldr, REG1w, executor_globals, symbol_table.nNumUsed, REG1
	dasm_put(Dst, 102413);
		if (((uintptr_t)(&executor_globals.symbol_table.nNumUsed)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.symbol_table.nNumUsed))) {
	dasm_put(Dst, 102415, (unsigned int)((ptrdiff_t)(&executor_globals.symbol_table.nNumUsed)), (unsigned int)(((ptrdiff_t)(&executor_globals.symbol_table.nNumUsed))>>32));
		} else if (((uintptr_t)(&executor_globals.symbol_table.nNumUsed)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.symbol_table.nNumUsed))) {
	dasm_put(Dst, 102419, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.symbol_table.nNumUsed))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.symbol_table.nNumUsed)))))>>32), (((uintptr_t)(&executor_globals.symbol_table.nNumUsed)) & 0xfff));
		} else {
		if (((uintptr_t)(&executor_globals.symbol_table.nNumUsed)) == 0) {
	dasm_put(Dst, 102424);
		} else if (((uintptr_t)(&executor_globals.symbol_table.nNumUsed)) <= MOVZ_IMM) {
	dasm_put(Dst, 102426, ((uint64_t)(&executor_globals.symbol_table.nNumUsed)));
		} else if (arm64_may_use_adr((void*)(&executor_globals.symbol_table.nNumUsed))) {
	dasm_put(Dst, 102429, (unsigned int)((ptrdiff_t)(&executor_globals.symbol_table.nNumUsed)), (unsigned int)(((ptrdiff_t)(&executor_globals.symbol_table.nNumUsed))>>32));
		} else if (arm64_may_use_adrp((void*)(&executor_globals.symbol_table.nNumUsed))) {
	dasm_put(Dst, 102432, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.symbol_table.nNumUsed))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.symbol_table.nNumUsed)))))>>32));
			if (((uintptr_t)(&executor_globals.symbol_table.nNumUsed)) & 0xfff) {
	dasm_put(Dst, 102435, (((uintptr_t)(&executor_globals.symbol_table.nNumUsed)) & 0xfff));
			}
		} else if ((uintptr_t)(&executor_globals.symbol_table.nNumUsed) & 0xffff) {
	dasm_put(Dst, 102438, ((uintptr_t)(&executor_globals.symbol_table.nNumUsed) & 0xffff));
			if (((uintptr_t)(&executor_globals.symbol_table.nNumUsed) >> 16) & 0xffff) {
	dasm_put(Dst, 102441, (((uintptr_t)(&executor_globals.symbol_table.nNumUsed) >> 16) & 0xffff));
			}
			if (((uintptr_t)(&executor_globals.symbol_table.nNumUsed) >> 32) & 0xffff) {
	dasm_put(Dst, 102444, (((uintptr_t)(&executor_globals.symbol_table.nNumUsed) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(&executor_globals.symbol_table.nNumUsed) >> 16) & 0xffff) {
	dasm_put(Dst, 102447, (((uintptr_t)(&executor_globals.symbol_table.nNumUsed) >> 16) & 0xffff));
			if (((uintptr_t)(&executor_globals.symbol_table.nNumUsed) >> 32) & 0xffff) {
	dasm_put(Dst, 102450, (((uintptr_t)(&executor_globals.symbol_table.nNumUsed) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 102453, (((uintptr_t)(&executor_globals.symbol_table.nNumUsed) >> 32) & 0xffff));
		}
	dasm_put(Dst, 102456);
		}
#line 11944 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	cmp REG0, REG1, lsl #5
	//|	bhs >9
	//|	// Bucket *p = (Bucket*)((char*)EG(symbol_table).arData + idx);
	//|	MEM_LOAD_64_ZTS ldr, TMP1, executor_globals, symbol_table.arData, REG1
	dasm_put(Dst, 102458);
		if (((uintptr_t)(&executor_globals.symbol_table.arData)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.symbol_table.arData))) {
	dasm_put(Dst, 102462, (unsigned int)((ptrdiff_t)(&executor_globals.symbol_table.arData)), (unsigned int)(((ptrdiff_t)(&executor_globals.symbol_table.arData))>>32));
		} else if (((uintptr_t)(&executor_globals.symbol_table.arData)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.symbol_table.arData))) {
	dasm_put(Dst, 102466, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.symbol_table.arData))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.symbol_table.arData)))))>>32), (((uintptr_t)(&executor_globals.symbol_table.arData)) & 0xfff));
		} else {
		if (((uintptr_t)(&executor_globals.symbol_table.arData)) == 0) {
	dasm_put(Dst, 102471);
		} else if (((uintptr_t)(&executor_globals.symbol_table.arData)) <= MOVZ_IMM) {
	dasm_put(Dst, 102473, ((uint64_t)(&executor_globals.symbol_table.arData)));
		} else if (arm64_may_use_adr((void*)(&executor_globals.symbol_table.arData))) {
	dasm_put(Dst, 102476, (unsigned int)((ptrdiff_t)(&executor_globals.symbol_table.arData)), (unsigned int)(((ptrdiff_t)(&executor_globals.symbol_table.arData))>>32));
		} else if (arm64_may_use_adrp((void*)(&executor_globals.symbol_table.arData))) {
	dasm_put(Dst, 102479, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.symbol_table.arData))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.symbol_table.arData)))))>>32));
			if (((uintptr_t)(&executor_globals.symbol_table.arData)) & 0xfff) {
	dasm_put(Dst, 102482, (((uintptr_t)(&executor_globals.symbol_table.arData)) & 0xfff));
			}
		} else if ((uintptr_t)(&executor_globals.symbol_table.arData) & 0xffff) {
	dasm_put(Dst, 102485, ((uintptr_t)(&executor_globals.symbol_table.arData) & 0xffff));
			if (((uintptr_t)(&executor_globals.symbol_table.arData) >> 16) & 0xffff) {
	dasm_put(Dst, 102488, (((uintptr_t)(&executor_globals.symbol_table.arData) >> 16) & 0xffff));
			}
			if (((uintptr_t)(&executor_globals.symbol_table.arData) >> 32) & 0xffff) {
	dasm_put(Dst, 102491, (((uintptr_t)(&executor_globals.symbol_table.arData) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(&executor_globals.symbol_table.arData) >> 16) & 0xffff) {
	dasm_put(Dst, 102494, (((uintptr_t)(&executor_globals.symbol_table.arData) >> 16) & 0xffff));
			if (((uintptr_t)(&executor_globals.symbol_table.arData) >> 32) & 0xffff) {
	dasm_put(Dst, 102497, (((uintptr_t)(&executor_globals.symbol_table.arData) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 102500, (((uintptr_t)(&executor_globals.symbol_table.arData) >> 32) & 0xffff));
		}
	dasm_put(Dst, 102503);
		}
#line 11948 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	add REG0, REG0, TMP1
	//|	IF_NOT_Z_TYPE REG0, IS_REFERENCE, >9, TMP1w
	dasm_put(Dst, 102505, offsetof(zval, u1.v.type));
		if (IS_REFERENCE == 0) {
	dasm_put(Dst, 102509);
		} else {
	dasm_put(Dst, 102512, IS_REFERENCE);
		}
#line 11950 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	// (EXPECTED(p->key == varname))
	//|	ldr TMP1, [REG0, #offsetof(Bucket, key)]
	//|	LOAD_ADDR TMP2, varname
	dasm_put(Dst, 102517, offsetof(Bucket, key));
		if (((uintptr_t)(varname)) == 0) {
	dasm_put(Dst, 102520);
		} else if (((uintptr_t)(varname)) <= MOVZ_IMM) {
	dasm_put(Dst, 102522, ((uint64_t)(varname)));
		} else if (arm64_may_use_adr((void*)(varname))) {
	dasm_put(Dst, 102525, (unsigned int)((ptrdiff_t)(varname)), (unsigned int)(((ptrdiff_t)(varname))>>32));
		} else if (arm64_may_use_adrp((void*)(varname))) {
	dasm_put(Dst, 102528, (unsigned int)((ptrdiff_t)((((uintptr_t)(varname))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(varname)))))>>32));
			if (((uintptr_t)(varname)) & 0xfff) {
	dasm_put(Dst, 102531, (((uintptr_t)(varname)) & 0xfff));
			}
		} else if ((uintptr_t)(varname) & 0xffff) {
	dasm_put(Dst, 102534, ((uintptr_t)(varname) & 0xffff));
			if (((uintptr_t)(varname) >> 16) & 0xffff) {
	dasm_put(Dst, 102537, (((uintptr_t)(varname) >> 16) & 0xffff));
			}
			if (((uintptr_t)(varname) >> 32) & 0xffff) {
	dasm_put(Dst, 102540, (((uintptr_t)(varname) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(varname) >> 16) & 0xffff) {
	dasm_put(Dst, 102543, (((uintptr_t)(varname) >> 16) & 0xffff));
			if (((uintptr_t)(varname) >> 32) & 0xffff) {
	dasm_put(Dst, 102546, (((uintptr_t)(varname) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 102549, (((uintptr_t)(varname) >> 32) & 0xffff));
		}
#line 11953 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	cmp TMP1, TMP2
	//|	bne >9
	//|	GET_Z_PTR REG0, REG0
	//|	GC_ADDREF REG0, TMP1w
	//|1:
	dasm_put(Dst, 102552);
#line 11958 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	if (op1_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF)) {
		if (op1_info & ((MAY_BE_ANY|MAY_BE_UNDEF) - (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
			//|	// if (UNEXPECTED(Z_REFCOUNTED_P(variable_ptr)))
			//|	IF_ZVAL_REFCOUNTED op1_addr, >2, ZREG_TMP1, ZREG_TMP2
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 102561, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 102565, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 102569, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 102573, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 102577, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 102582, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_REFCOUNTED == 0) {
			dasm_put(Dst, 102587, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
			dasm_put(Dst, 102590, (ZREG_X15), IS_TYPE_REFCOUNTED);
				} else {
				if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
			dasm_put(Dst, 102594, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
				} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
			dasm_put(Dst, 102598, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
					if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
			dasm_put(Dst, 102602, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 102606, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			dasm_put(Dst, 102610, (ZREG_X15), (ZREG_X16));
				}
#line 11962 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|.cold_code
			dasm_put(Dst, 102614);
#line 11963 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|2:
			dasm_put(Dst, 102617);
#line 11964 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	// zend_refcounted *garbage = Z_COUNTED_P(variable_ptr);
		//|	GET_ZVAL_PTR FCARG1x, op1_addr, TMP1
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 102619, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 102622, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 102625, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 102628, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 102631, (Z_REG(op1_addr)));
			} else {
		dasm_put(Dst, 102634, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
#line 11967 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	// ZVAL_REF(variable_ptr, ref)
		//|	SET_ZVAL_PTR op1_addr, REG0, TMP1
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 102638, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 102641, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 102644, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 102647, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 102650, (Z_REG(op1_addr)));
			} else {
		dasm_put(Dst, 102653, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
#line 11969 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	SET_ZVAL_TYPE_INFO op1_addr, IS_REFERENCE_EX, TMP1w, TMP2
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uint32_t)(IS_REFERENCE_EX)) <= MOVZ_IMM) {
		dasm_put(Dst, 102657, ((uint32_t)(IS_REFERENCE_EX)));
			} else if (((uint32_t)(IS_REFERENCE_EX) & 0xffff)) {
		dasm_put(Dst, 102660, ((uint32_t)(IS_REFERENCE_EX) & 0xffff));
				if ((((uint32_t)(IS_REFERENCE_EX) >> 16) & 0xffff)) {
		dasm_put(Dst, 102663, (((uint32_t)(IS_REFERENCE_EX) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 102666, (((uint32_t)(IS_REFERENCE_EX) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 102669, ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 102672, ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 102675, (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 102678, (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 102681, (Z_REG(op1_addr)));
			} else {
		dasm_put(Dst, 102684, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)));
			}
#line 11970 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	// if (GC_DELREF(garbage) == 0)
		//|	GC_DELREF FCARG1x, TMP1w
		dasm_put(Dst, 102688);
#line 11972 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (op1_info & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) {
			//|	bne >3
			dasm_put(Dst, 102692);
#line 11974 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	bne >5
			dasm_put(Dst, 102695);
#line 11976 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	ZVAL_DTOR_FUNC op1_info, opline, TMP1
			do {
				if (!((op1_info) & MAY_BE_GUARD)
				 && has_concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					zend_uchar type = concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
					if (type == IS_STRING && !ZEND_DEBUG) {
			if (arm64_may_use_b(_efree)) {
		dasm_put(Dst, 102698, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else {
			if (((uintptr_t)(_efree)) == 0) {
		dasm_put(Dst, 102701);
			} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
		dasm_put(Dst, 102703, ((uint64_t)(_efree)));
			} else if (arm64_may_use_adr((void*)(_efree))) {
		dasm_put(Dst, 102706, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else if (arm64_may_use_adrp((void*)(_efree))) {
		dasm_put(Dst, 102709, (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
				if (((uintptr_t)(_efree)) & 0xfff) {
		dasm_put(Dst, 102712, (((uintptr_t)(_efree)) & 0xfff));
				}
			} else if ((uintptr_t)(_efree) & 0xffff) {
		dasm_put(Dst, 102715, ((uintptr_t)(_efree) & 0xffff));
				if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 102718, (((uintptr_t)(_efree) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 102721, (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 102724, (((uintptr_t)(_efree) >> 16) & 0xffff));
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 102727, (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 102730, (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		dasm_put(Dst, 102733);
			}
						break;
					} else if (type == IS_ARRAY) {
						if ((op1_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
							if (opline && ((op1_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 102735, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 102738);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 102740, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 102743, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 102746, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 102749, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 102752, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 102755, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 102758, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 102761, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 102764, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 102767, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 102770, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
							}
			if (arm64_may_use_b(zend_array_destroy)) {
		dasm_put(Dst, 102773, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else {
			if (((uintptr_t)(zend_array_destroy)) == 0) {
		dasm_put(Dst, 102776);
			} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
		dasm_put(Dst, 102778, ((uint64_t)(zend_array_destroy)));
			} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
		dasm_put(Dst, 102781, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
		dasm_put(Dst, 102784, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
				if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
		dasm_put(Dst, 102787, (((uintptr_t)(zend_array_destroy)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
		dasm_put(Dst, 102790, ((uintptr_t)(zend_array_destroy) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 102793, (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 102796, (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 102799, (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 102802, (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 102805, (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		dasm_put(Dst, 102808);
			}
						} else {
			if (arm64_may_use_b(zend_jit_array_free)) {
		dasm_put(Dst, 102810, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else {
			if (((uintptr_t)(zend_jit_array_free)) == 0) {
		dasm_put(Dst, 102813);
			} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
		dasm_put(Dst, 102815, ((uint64_t)(zend_jit_array_free)));
			} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 102818, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 102821, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
				if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
		dasm_put(Dst, 102824, (((uintptr_t)(zend_jit_array_free)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
		dasm_put(Dst, 102827, ((uintptr_t)(zend_jit_array_free) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 102830, (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 102833, (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 102836, (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 102839, (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 102842, (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		dasm_put(Dst, 102845);
			}
						}
						break;
					} else if (type == IS_OBJECT) {
						if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 102847, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 102850);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 102852, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 102855, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 102858, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 102861, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 102864, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 102867, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 102870, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 102873, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 102876, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 102879, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 102882, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
						}
			if (arm64_may_use_b(zend_objects_store_del)) {
		dasm_put(Dst, 102885, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else {
			if (((uintptr_t)(zend_objects_store_del)) == 0) {
		dasm_put(Dst, 102888);
			} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
		dasm_put(Dst, 102890, ((uint64_t)(zend_objects_store_del)));
			} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 102893, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 102896, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
				if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
		dasm_put(Dst, 102899, (((uintptr_t)(zend_objects_store_del)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
		dasm_put(Dst, 102902, ((uintptr_t)(zend_objects_store_del) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 102905, (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 102908, (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 102911, (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 102914, (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 102917, (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		dasm_put(Dst, 102920);
			}
						break;
					}
				}
				if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 102922, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 102925);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 102927, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 102930, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 102933, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 102936, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 102939, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 102942, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 102945, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 102948, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 102951, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 102954, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 102957, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
				}
			if (arm64_may_use_b(rc_dtor_func)) {
		dasm_put(Dst, 102960, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else {
			if (((uintptr_t)(rc_dtor_func)) == 0) {
		dasm_put(Dst, 102963);
			} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
		dasm_put(Dst, 102965, ((uint64_t)(rc_dtor_func)));
			} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
		dasm_put(Dst, 102968, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
		dasm_put(Dst, 102971, (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
				if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
		dasm_put(Dst, 102974, (((uintptr_t)(rc_dtor_func)) & 0xfff));
				}
			} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
		dasm_put(Dst, 102977, ((uintptr_t)(rc_dtor_func) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 102980, (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				}
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 102983, (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 102986, (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 102989, (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 102992, (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		dasm_put(Dst, 102995);
			}
			} while(0);
#line 11978 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	b >5
		dasm_put(Dst, 102997);
#line 11979 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (op1_info & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) {
			//|3:
			//|	// GC_ZVAL_CHECK_POSSIBLE_ROOT(variable_ptr)
			//|	IF_GC_MAY_NOT_LEAK FCARG1x, >5, TMP1w, TMP2w
			dasm_put(Dst, 103000);
				if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
			dasm_put(Dst, 103003);
				} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
			dasm_put(Dst, 103005, (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
				} else {
				if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
			dasm_put(Dst, 103008, ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
				} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
			dasm_put(Dst, 103011, ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
					if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
			dasm_put(Dst, 103014, (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 103017, (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			dasm_put(Dst, 103020);
				}
#line 11983 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	EXT_CALL gc_possible_root, REG0
			dasm_put(Dst, 103022);
				if (arm64_may_use_b(gc_possible_root)) {
			dasm_put(Dst, 103025, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
				} else {
				if (((uintptr_t)(gc_possible_root)) == 0) {
			dasm_put(Dst, 103028);
				} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
			dasm_put(Dst, 103030, ((uint64_t)(gc_possible_root)));
				} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
			dasm_put(Dst, 103033, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
				} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
			dasm_put(Dst, 103036, (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
					if (((uintptr_t)(gc_possible_root)) & 0xfff) {
			dasm_put(Dst, 103039, (((uintptr_t)(gc_possible_root)) & 0xfff));
					}
				} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
			dasm_put(Dst, 103042, ((uintptr_t)(gc_possible_root) & 0xffff));
					if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
			dasm_put(Dst, 103045, (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
					}
					if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
			dasm_put(Dst, 103048, (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
			dasm_put(Dst, 103051, (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
					if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
			dasm_put(Dst, 103054, (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 103057, (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			dasm_put(Dst, 103060);
				}
#line 11984 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	b >5
			dasm_put(Dst, 103062);
#line 11985 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (op1_info & ((MAY_BE_ANY|MAY_BE_UNDEF) - (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
			//|.code
			dasm_put(Dst, 103065);
#line 11988 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	if (op1_info & ((MAY_BE_ANY|MAY_BE_UNDEF) - (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
		//|	// ZVAL_REF(variable_ptr, ref)
		//|	SET_ZVAL_PTR op1_addr, REG0, TMP1
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 103066, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 103069, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 103072, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 103075, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 103078, (Z_REG(op1_addr)));
			} else {
		dasm_put(Dst, 103081, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
#line 11994 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	SET_ZVAL_TYPE_INFO op1_addr, IS_REFERENCE_EX, TMP1w, TMP2
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uint32_t)(IS_REFERENCE_EX)) <= MOVZ_IMM) {
		dasm_put(Dst, 103085, ((uint32_t)(IS_REFERENCE_EX)));
			} else if (((uint32_t)(IS_REFERENCE_EX) & 0xffff)) {
		dasm_put(Dst, 103088, ((uint32_t)(IS_REFERENCE_EX) & 0xffff));
				if ((((uint32_t)(IS_REFERENCE_EX) >> 16) & 0xffff)) {
		dasm_put(Dst, 103091, (((uint32_t)(IS_REFERENCE_EX) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 103094, (((uint32_t)(IS_REFERENCE_EX) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 103097, ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 103100, ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 103103, (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 103106, (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 103109, (Z_REG(op1_addr)));
			} else {
		dasm_put(Dst, 103112, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)));
			}
#line 11995 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	//|5:
	dasm_put(Dst, 103116);
#line 11997 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//END of handler

	//|.cold_code
	dasm_put(Dst, 103118);
#line 12000 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|9:
	//|	LOAD_ADDR FCARG1x, (ptrdiff_t)varname
	dasm_put(Dst, 103119);
		if (((uintptr_t)((ptrdiff_t)varname)) == 0) {
	dasm_put(Dst, 103121);
		} else if (((uintptr_t)((ptrdiff_t)varname)) <= MOVZ_IMM) {
	dasm_put(Dst, 103123, ((uint64_t)((ptrdiff_t)varname)));
		} else if (arm64_may_use_adr((void*)((ptrdiff_t)varname))) {
	dasm_put(Dst, 103126, (unsigned int)((ptrdiff_t)((ptrdiff_t)varname)), (unsigned int)(((ptrdiff_t)((ptrdiff_t)varname))>>32));
		} else if (arm64_may_use_adrp((void*)((ptrdiff_t)varname))) {
	dasm_put(Dst, 103129, (unsigned int)((ptrdiff_t)((((uintptr_t)((ptrdiff_t)varname))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)((ptrdiff_t)varname)))))>>32));
			if (((uintptr_t)((ptrdiff_t)varname)) & 0xfff) {
	dasm_put(Dst, 103132, (((uintptr_t)((ptrdiff_t)varname)) & 0xfff));
			}
		} else if ((uintptr_t)((ptrdiff_t)varname) & 0xffff) {
	dasm_put(Dst, 103135, ((uintptr_t)((ptrdiff_t)varname) & 0xffff));
			if (((uintptr_t)((ptrdiff_t)varname) >> 16) & 0xffff) {
	dasm_put(Dst, 103138, (((uintptr_t)((ptrdiff_t)varname) >> 16) & 0xffff));
			}
			if (((uintptr_t)((ptrdiff_t)varname) >> 32) & 0xffff) {
	dasm_put(Dst, 103141, (((uintptr_t)((ptrdiff_t)varname) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)((ptrdiff_t)varname) >> 16) & 0xffff) {
	dasm_put(Dst, 103144, (((uintptr_t)((ptrdiff_t)varname) >> 16) & 0xffff));
			if (((uintptr_t)((ptrdiff_t)varname) >> 32) & 0xffff) {
	dasm_put(Dst, 103147, (((uintptr_t)((ptrdiff_t)varname) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 103150, (((uintptr_t)((ptrdiff_t)varname) >> 32) & 0xffff));
		}
#line 12002 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	if (opline->extended_value) {
		//|	ADD_SUB_64_WITH_CONST_32 add, FCARG2x, FCARG2x, opline->extended_value, TMP1
			if (opline->extended_value == 0) {
		dasm_put(Dst, 103153);
			} else if (arm64_may_encode_imm12((int64_t)(opline->extended_value))) {
		dasm_put(Dst, 103155, opline->extended_value);
			} else {
			if (((uint32_t)(opline->extended_value)) <= MOVZ_IMM) {
		dasm_put(Dst, 103158, ((uint32_t)(opline->extended_value)));
			} else if (((uint32_t)(opline->extended_value) & 0xffff)) {
		dasm_put(Dst, 103161, ((uint32_t)(opline->extended_value) & 0xffff));
				if ((((uint32_t)(opline->extended_value) >> 16) & 0xffff)) {
		dasm_put(Dst, 103164, (((uint32_t)(opline->extended_value) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 103167, (((uint32_t)(opline->extended_value) >> 16) & 0xffff));
			}
		dasm_put(Dst, 103170);
			}
#line 12004 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	//|	EXT_CALL zend_jit_fetch_global_helper, REG0
		if (arm64_may_use_b(zend_jit_fetch_global_helper)) {
	dasm_put(Dst, 103172, (unsigned int)((ptrdiff_t)(zend_jit_fetch_global_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_global_helper))>>32));
		} else {
		if (((uintptr_t)(zend_jit_fetch_global_helper)) == 0) {
	dasm_put(Dst, 103175);
		} else if (((uintptr_t)(zend_jit_fetch_global_helper)) <= MOVZ_IMM) {
	dasm_put(Dst, 103177, ((uint64_t)(zend_jit_fetch_global_helper)));
		} else if (arm64_may_use_adr((void*)(zend_jit_fetch_global_helper))) {
	dasm_put(Dst, 103180, (unsigned int)((ptrdiff_t)(zend_jit_fetch_global_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_global_helper))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_jit_fetch_global_helper))) {
	dasm_put(Dst, 103183, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_global_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_global_helper)))))>>32));
			if (((uintptr_t)(zend_jit_fetch_global_helper)) & 0xfff) {
	dasm_put(Dst, 103186, (((uintptr_t)(zend_jit_fetch_global_helper)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_jit_fetch_global_helper) & 0xffff) {
	dasm_put(Dst, 103189, ((uintptr_t)(zend_jit_fetch_global_helper) & 0xffff));
			if (((uintptr_t)(zend_jit_fetch_global_helper) >> 16) & 0xffff) {
	dasm_put(Dst, 103192, (((uintptr_t)(zend_jit_fetch_global_helper) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_jit_fetch_global_helper) >> 32) & 0xffff) {
	dasm_put(Dst, 103195, (((uintptr_t)(zend_jit_fetch_global_helper) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_jit_fetch_global_helper) >> 16) & 0xffff) {
	dasm_put(Dst, 103198, (((uintptr_t)(zend_jit_fetch_global_helper) >> 16) & 0xffff));
			if (((uintptr_t)(zend_jit_fetch_global_helper) >> 32) & 0xffff) {
	dasm_put(Dst, 103201, (((uintptr_t)(zend_jit_fetch_global_helper) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 103204, (((uintptr_t)(zend_jit_fetch_global_helper) >> 32) & 0xffff));
		}
	dasm_put(Dst, 103207);
		}
#line 12006 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	mov REG0, RETVALx
	//|	b <1
	//|.code
	dasm_put(Dst, 103209);
#line 12009 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	return 1;
}

static int zend_jit_verify_arg_type(dasm_State **Dst, const zend_op *opline, zend_arg_info *arg_info, bool check_exception)
{
	zend_jit_addr res_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->result.var);
	bool in_cold = 0;
	uint32_t type_mask = ZEND_TYPE_PURE_MASK(arg_info->type) & MAY_BE_ANY;
	zend_reg tmp_reg = (type_mask == 0 || is_power_of_two(type_mask)) ? ZREG_FCARG1 : ZREG_REG0;

	if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE
	 && JIT_G(current_frame)
	 && JIT_G(current_frame)->prev) {
		zend_jit_trace_stack *stack = JIT_G(current_frame)->stack;
		uint8_t type = STACK_TYPE(stack, EX_VAR_TO_NUM(opline->result.var));

		if (type != IS_UNKNOWN && (type_mask & (1u << type))) {
			return 1;
		}
	}

	if (ZEND_ARG_SEND_MODE(arg_info)) {
		if (opline->opcode == ZEND_RECV_INIT) {
			//|	LOAD_ZVAL_ADDR Rx(tmp_reg), res_addr
				if (Z_MODE(res_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(res_addr))) == 0) {
			dasm_put(Dst, 103213, (tmp_reg));
				} else if (((uintptr_t)(Z_ZV(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 103216, (tmp_reg), ((uint64_t)(Z_ZV(res_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(res_addr)))) {
			dasm_put(Dst, 103220, (tmp_reg), (unsigned int)((ptrdiff_t)(Z_ZV(res_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(res_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(res_addr)))) {
			dasm_put(Dst, 103224, (tmp_reg), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(res_addr))) & 0xfff) {
			dasm_put(Dst, 103228, (tmp_reg), (tmp_reg), (((uintptr_t)(Z_ZV(res_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(res_addr)) & 0xffff) {
			dasm_put(Dst, 103233, (tmp_reg), ((uintptr_t)(Z_ZV(res_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 103237, (tmp_reg), (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 103241, (tmp_reg), (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 103245, (tmp_reg), (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 103249, (tmp_reg), (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 103253, (tmp_reg), (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(res_addr)) {
				if (Z_OFFSET(res_addr) == 0) {
			dasm_put(Dst, 103257, (tmp_reg), (Z_REG(res_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(res_addr)))) {
			dasm_put(Dst, 103261, (tmp_reg), (Z_REG(res_addr)), Z_OFFSET(res_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 103266, (tmp_reg), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 103270, (tmp_reg), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 103274, (tmp_reg), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 103278, (tmp_reg), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 103282, (tmp_reg), (Z_REG(res_addr)), (tmp_reg));
				}
					} else {
						if (Z_REG(res_addr) == ZREG_RSP) {
			dasm_put(Dst, 103287, (tmp_reg));
						} else {
			dasm_put(Dst, 103290, (tmp_reg), (Z_REG(res_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 12034 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	ZVAL_DEREF Rx(tmp_reg), MAY_BE_REF, TMP1w
				if (MAY_BE_REF & MAY_BE_REF) {
			dasm_put(Dst, 103294, (tmp_reg), offsetof(zval, u1.v.type));
				if (IS_REFERENCE == 0) {
			dasm_put(Dst, 103298);
				} else {
			dasm_put(Dst, 103301, IS_REFERENCE);
				}
			dasm_put(Dst, 103306, (tmp_reg), (tmp_reg), (tmp_reg), (tmp_reg), offsetof(zend_reference, val));
				}
#line 12035 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			res_addr = ZEND_ADDR_MEM_ZVAL(tmp_reg, 0);
		} else {
			//|	GET_ZVAL_PTR Rx(tmp_reg), res_addr, TMP1
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 103315, ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 103318, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 103321, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 103324, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 103327, (tmp_reg), (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 103331, (tmp_reg), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
#line 12038 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			res_addr = ZEND_ADDR_MEM_ZVAL(tmp_reg, offsetof(zend_reference, val));
		}
	}

	if (type_mask != 0) {
		if (is_power_of_two(type_mask)) {
			uint32_t type_code = concrete_type(type_mask);
			//|	IF_NOT_ZVAL_TYPE res_addr, type_code, >1, ZREG_TMP1
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 103336, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 103340, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 103344, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 103348, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 103352, (ZREG_X15), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 103357, (ZREG_X15), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)));
				}
				if (type_code == 0) {
			dasm_put(Dst, 103362, (ZREG_X15));
				} else {
			dasm_put(Dst, 103366, (ZREG_X15), type_code);
				}
#line 12046 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	mov REG2w, #1
			//|	MEM_ACCESS_8_WITH_UOFFSET ldrb, REG1w, Rx(Z_REG(res_addr)), Z_OFFSET(res_addr)+offsetof(zval, u1.v.type), TMP1
			dasm_put(Dst, 103372);
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 103374, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 103377, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 103380, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 103383, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 103386, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 103389, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)));
				}
#line 12049 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	lsl REG2w, REG2w, REG1w
			//|	TST_32_WITH_CONST REG2w, type_mask, TMP1w
			dasm_put(Dst, 103393);
				if (type_mask == 0) {
			dasm_put(Dst, 103395);
				} else if (logical_immediate_p((uint32_t)type_mask, 32)) {
			dasm_put(Dst, 103397, type_mask);
				} else {
				if (((uint32_t)(type_mask)) <= MOVZ_IMM) {
			dasm_put(Dst, 103400, ((uint32_t)(type_mask)));
				} else if (((uint32_t)(type_mask) & 0xffff)) {
			dasm_put(Dst, 103403, ((uint32_t)(type_mask) & 0xffff));
					if ((((uint32_t)(type_mask) >> 16) & 0xffff)) {
			dasm_put(Dst, 103406, (((uint32_t)(type_mask) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 103409, (((uint32_t)(type_mask) >> 16) & 0xffff));
				}
			dasm_put(Dst, 103412);
				}
#line 12051 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	beq >1
			dasm_put(Dst, 103414);
#line 12052 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}

		//|.cold_code
		dasm_put(Dst, 103417);
#line 12055 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|1:
		dasm_put(Dst, 103418);
#line 12056 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

		in_cold = 1;
	}

	if (Z_REG(res_addr) != ZREG_FCARG1 || Z_OFFSET(res_addr) != 0) {
		//|	LOAD_ZVAL_ADDR FCARG1x, res_addr
			if (Z_MODE(res_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(res_addr))) == 0) {
		dasm_put(Dst, 103420);
			} else if (((uintptr_t)(Z_ZV(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 103422, ((uint64_t)(Z_ZV(res_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(res_addr)))) {
		dasm_put(Dst, 103425, (unsigned int)((ptrdiff_t)(Z_ZV(res_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(res_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(res_addr)))) {
		dasm_put(Dst, 103428, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(res_addr))) & 0xfff) {
		dasm_put(Dst, 103431, (((uintptr_t)(Z_ZV(res_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(res_addr)) & 0xffff) {
		dasm_put(Dst, 103434, ((uintptr_t)(Z_ZV(res_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 103437, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 103440, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 103443, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 103446, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 103449, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
			}
			} else if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
				if (Z_OFFSET(res_addr)) {
			if (Z_OFFSET(res_addr) == 0) {
		dasm_put(Dst, 103452, (Z_REG(res_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(res_addr)))) {
		dasm_put(Dst, 103455, (Z_REG(res_addr)), Z_OFFSET(res_addr));
			} else {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 103459, ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 103462, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 103465, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 103468, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 103471, (Z_REG(res_addr)));
			}
				} else {
					if (Z_REG(res_addr) == ZREG_RSP) {
		dasm_put(Dst, 103474);
					} else {
		dasm_put(Dst, 103476, (Z_REG(res_addr)));
					}
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 12062 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE) {
		//|	SET_EX_OPLINE opline, REG0
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 103479, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 103482);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 103484, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 103487, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 103490, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 103493, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 103496, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 103499, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 103502, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 103505, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 103508, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 103511, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 103514, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
#line 12065 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		//|	ADDR_STORE EX->opline, opline, REG0
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 103517);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 103519, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 103522, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 103525, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 103528, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 103531, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 103534, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 103537, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 103540, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 103543, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 103546, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 103549, Dt1(->opline));
#line 12067 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	//|	LOAD_ADDR FCARG2x, (ptrdiff_t)arg_info
		if (((uintptr_t)((ptrdiff_t)arg_info)) == 0) {
	dasm_put(Dst, 103552);
		} else if (((uintptr_t)((ptrdiff_t)arg_info)) <= MOVZ_IMM) {
	dasm_put(Dst, 103554, ((uint64_t)((ptrdiff_t)arg_info)));
		} else if (arm64_may_use_adr((void*)((ptrdiff_t)arg_info))) {
	dasm_put(Dst, 103557, (unsigned int)((ptrdiff_t)((ptrdiff_t)arg_info)), (unsigned int)(((ptrdiff_t)((ptrdiff_t)arg_info))>>32));
		} else if (arm64_may_use_adrp((void*)((ptrdiff_t)arg_info))) {
	dasm_put(Dst, 103560, (unsigned int)((ptrdiff_t)((((uintptr_t)((ptrdiff_t)arg_info))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)((ptrdiff_t)arg_info)))))>>32));
			if (((uintptr_t)((ptrdiff_t)arg_info)) & 0xfff) {
	dasm_put(Dst, 103563, (((uintptr_t)((ptrdiff_t)arg_info)) & 0xfff));
			}
		} else if ((uintptr_t)((ptrdiff_t)arg_info) & 0xffff) {
	dasm_put(Dst, 103566, ((uintptr_t)((ptrdiff_t)arg_info) & 0xffff));
			if (((uintptr_t)((ptrdiff_t)arg_info) >> 16) & 0xffff) {
	dasm_put(Dst, 103569, (((uintptr_t)((ptrdiff_t)arg_info) >> 16) & 0xffff));
			}
			if (((uintptr_t)((ptrdiff_t)arg_info) >> 32) & 0xffff) {
	dasm_put(Dst, 103572, (((uintptr_t)((ptrdiff_t)arg_info) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)((ptrdiff_t)arg_info) >> 16) & 0xffff) {
	dasm_put(Dst, 103575, (((uintptr_t)((ptrdiff_t)arg_info) >> 16) & 0xffff));
			if (((uintptr_t)((ptrdiff_t)arg_info) >> 32) & 0xffff) {
	dasm_put(Dst, 103578, (((uintptr_t)((ptrdiff_t)arg_info) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 103581, (((uintptr_t)((ptrdiff_t)arg_info) >> 32) & 0xffff));
		}
#line 12069 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	EXT_CALL zend_jit_verify_arg_slow, REG0
		if (arm64_may_use_b(zend_jit_verify_arg_slow)) {
	dasm_put(Dst, 103584, (unsigned int)((ptrdiff_t)(zend_jit_verify_arg_slow)), (unsigned int)(((ptrdiff_t)(zend_jit_verify_arg_slow))>>32));
		} else {
		if (((uintptr_t)(zend_jit_verify_arg_slow)) == 0) {
	dasm_put(Dst, 103587);
		} else if (((uintptr_t)(zend_jit_verify_arg_slow)) <= MOVZ_IMM) {
	dasm_put(Dst, 103589, ((uint64_t)(zend_jit_verify_arg_slow)));
		} else if (arm64_may_use_adr((void*)(zend_jit_verify_arg_slow))) {
	dasm_put(Dst, 103592, (unsigned int)((ptrdiff_t)(zend_jit_verify_arg_slow)), (unsigned int)(((ptrdiff_t)(zend_jit_verify_arg_slow))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_jit_verify_arg_slow))) {
	dasm_put(Dst, 103595, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_verify_arg_slow))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_verify_arg_slow)))))>>32));
			if (((uintptr_t)(zend_jit_verify_arg_slow)) & 0xfff) {
	dasm_put(Dst, 103598, (((uintptr_t)(zend_jit_verify_arg_slow)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_jit_verify_arg_slow) & 0xffff) {
	dasm_put(Dst, 103601, ((uintptr_t)(zend_jit_verify_arg_slow) & 0xffff));
			if (((uintptr_t)(zend_jit_verify_arg_slow) >> 16) & 0xffff) {
	dasm_put(Dst, 103604, (((uintptr_t)(zend_jit_verify_arg_slow) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_jit_verify_arg_slow) >> 32) & 0xffff) {
	dasm_put(Dst, 103607, (((uintptr_t)(zend_jit_verify_arg_slow) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_jit_verify_arg_slow) >> 16) & 0xffff) {
	dasm_put(Dst, 103610, (((uintptr_t)(zend_jit_verify_arg_slow) >> 16) & 0xffff));
			if (((uintptr_t)(zend_jit_verify_arg_slow) >> 32) & 0xffff) {
	dasm_put(Dst, 103613, (((uintptr_t)(zend_jit_verify_arg_slow) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 103616, (((uintptr_t)(zend_jit_verify_arg_slow) >> 32) & 0xffff));
		}
	dasm_put(Dst, 103619);
		}
#line 12070 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	if (check_exception) {
		//|	GET_LOW_8BITS REG0w, RETVALw
		dasm_put(Dst, 103621);
#line 12073 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (in_cold) {
			//|	cbnz REG0w, >1
			//|	b ->exception_handler
			//|.code
			dasm_put(Dst, 103623);
#line 12077 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|1:
			dasm_put(Dst, 103628);
#line 12078 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	cbz REG0w, ->exception_handler
			dasm_put(Dst, 103630);
#line 12080 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else if (in_cold) {
		//|	b >1
		//|.code
		dasm_put(Dst, 103633);
#line 12084 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|1:
		dasm_put(Dst, 103636);
#line 12085 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	return 1;
}

static int zend_jit_recv(dasm_State **Dst, const zend_op *opline, const zend_op_array *op_array)
{
	uint32_t arg_num = opline->op1.num;
	zend_arg_info *arg_info = NULL;

	if (op_array->fn_flags & ZEND_ACC_HAS_TYPE_HINTS) {
		if (EXPECTED(arg_num <= op_array->num_args)) {
			arg_info = &op_array->arg_info[arg_num-1];
		} else if (UNEXPECTED(op_array->fn_flags & ZEND_ACC_VARIADIC)) {
			arg_info = &op_array->arg_info[op_array->num_args];
		}
		if (arg_info && !ZEND_TYPE_IS_SET(arg_info->type)) {
			arg_info = NULL;
		}
	}

	if (arg_info || (opline+1)->opcode != ZEND_RECV) {
		if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE) {
			if (!JIT_G(current_frame) ||
			    TRACE_FRAME_NUM_ARGS(JIT_G(current_frame)) < 0 ||
			    arg_num > TRACE_FRAME_NUM_ARGS(JIT_G(current_frame))) {
				int32_t exit_point = zend_jit_trace_get_exit_point(opline, ZEND_JIT_EXIT_TO_VM);
				const void *exit_addr = zend_jit_trace_get_exit_addr(exit_point);

				if (!exit_addr) {
					return 0;
				}
				//|	ldr TMP1w, EX->This.u2.num_args
				//|	CMP_32_WITH_CONST TMP1w, arg_num, TMP2w
				dasm_put(Dst, 103638, Dt1(->This.u2.num_args));
					if (arg_num == 0) {
				dasm_put(Dst, 103641);
					} else if (arm64_may_encode_imm12((int64_t)(arg_num))) {
				dasm_put(Dst, 103643, arg_num);
					} else if (arm64_may_encode_imm12((int64_t)(-arg_num))) {
				dasm_put(Dst, 103646, -arg_num);
					} else {
					if (((uint32_t)(arg_num)) <= MOVZ_IMM) {
				dasm_put(Dst, 103649, ((uint32_t)(arg_num)));
					} else if (((uint32_t)(arg_num) & 0xffff)) {
				dasm_put(Dst, 103652, ((uint32_t)(arg_num) & 0xffff));
						if ((((uint32_t)(arg_num) >> 16) & 0xffff)) {
				dasm_put(Dst, 103655, (((uint32_t)(arg_num) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 103658, (((uint32_t)(arg_num) >> 16) & 0xffff));
					}
				dasm_put(Dst, 103661);
					}
#line 12119 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	blo &exit_addr
				dasm_put(Dst, 103663, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 12120 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else {
			//|	ldr TMP1w, EX->This.u2.num_args
			//|	CMP_32_WITH_CONST TMP1w, arg_num, TMP2w
			dasm_put(Dst, 103666, Dt1(->This.u2.num_args));
				if (arg_num == 0) {
			dasm_put(Dst, 103669);
				} else if (arm64_may_encode_imm12((int64_t)(arg_num))) {
			dasm_put(Dst, 103671, arg_num);
				} else if (arm64_may_encode_imm12((int64_t)(-arg_num))) {
			dasm_put(Dst, 103674, -arg_num);
				} else {
				if (((uint32_t)(arg_num)) <= MOVZ_IMM) {
			dasm_put(Dst, 103677, ((uint32_t)(arg_num)));
				} else if (((uint32_t)(arg_num) & 0xffff)) {
			dasm_put(Dst, 103680, ((uint32_t)(arg_num) & 0xffff));
					if ((((uint32_t)(arg_num) >> 16) & 0xffff)) {
			dasm_put(Dst, 103683, (((uint32_t)(arg_num) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 103686, (((uint32_t)(arg_num) >> 16) & 0xffff));
				}
			dasm_put(Dst, 103689);
				}
#line 12124 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	blo >1
			//|.cold_code
			dasm_put(Dst, 103691);
#line 12126 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|1:
			dasm_put(Dst, 103694);
#line 12127 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE) {
				//|	SET_EX_OPLINE opline, REG0
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 103696, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 103699);
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 103701, ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 103704, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 103707, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 103710, (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 103713, ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 103716, (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 103719, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 103722, (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 103725, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 103728, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 103731, Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
#line 12129 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	ADDR_STORE EX->opline, opline, REG0
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 103734);
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 103736, ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 103739, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 103742, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 103745, (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 103748, ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 103751, (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 103754, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 103757, (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 103760, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 103763, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 103766, Dt1(->opline));
#line 12131 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	mov FCARG1x, FP
			//|	EXT_CALL zend_missing_arg_error, REG0
			dasm_put(Dst, 103769);
				if (arm64_may_use_b(zend_missing_arg_error)) {
			dasm_put(Dst, 103771, (unsigned int)((ptrdiff_t)(zend_missing_arg_error)), (unsigned int)(((ptrdiff_t)(zend_missing_arg_error))>>32));
				} else {
				if (((uintptr_t)(zend_missing_arg_error)) == 0) {
			dasm_put(Dst, 103774);
				} else if (((uintptr_t)(zend_missing_arg_error)) <= MOVZ_IMM) {
			dasm_put(Dst, 103776, ((uint64_t)(zend_missing_arg_error)));
				} else if (arm64_may_use_adr((void*)(zend_missing_arg_error))) {
			dasm_put(Dst, 103779, (unsigned int)((ptrdiff_t)(zend_missing_arg_error)), (unsigned int)(((ptrdiff_t)(zend_missing_arg_error))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_missing_arg_error))) {
			dasm_put(Dst, 103782, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_missing_arg_error))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_missing_arg_error)))))>>32));
					if (((uintptr_t)(zend_missing_arg_error)) & 0xfff) {
			dasm_put(Dst, 103785, (((uintptr_t)(zend_missing_arg_error)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_missing_arg_error) & 0xffff) {
			dasm_put(Dst, 103788, ((uintptr_t)(zend_missing_arg_error) & 0xffff));
					if (((uintptr_t)(zend_missing_arg_error) >> 16) & 0xffff) {
			dasm_put(Dst, 103791, (((uintptr_t)(zend_missing_arg_error) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_missing_arg_error) >> 32) & 0xffff) {
			dasm_put(Dst, 103794, (((uintptr_t)(zend_missing_arg_error) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_missing_arg_error) >> 16) & 0xffff) {
			dasm_put(Dst, 103797, (((uintptr_t)(zend_missing_arg_error) >> 16) & 0xffff));
					if (((uintptr_t)(zend_missing_arg_error) >> 32) & 0xffff) {
			dasm_put(Dst, 103800, (((uintptr_t)(zend_missing_arg_error) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 103803, (((uintptr_t)(zend_missing_arg_error) >> 32) & 0xffff));
				}
			dasm_put(Dst, 103806);
				}
#line 12134 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	b ->exception_handler
			//|.code
			dasm_put(Dst, 103808);
#line 12136 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	if (arg_info) {
		if (!zend_jit_verify_arg_type(Dst, opline, arg_info, 1)) {
			return 0;
		}
	}

	if (JIT_G(trigger) != ZEND_JIT_ON_HOT_TRACE) {
		if ((opline+1)->opcode != ZEND_RECV && (opline+1)->opcode != ZEND_RECV_INIT) {
			//|	LOAD_IP_ADDR (opline + 1)
				if (GCC_GLOBAL_REGS) {
				if (((uintptr_t)((opline + 1))) == 0) {
			dasm_put(Dst, 103811);
				} else if (((uintptr_t)((opline + 1))) <= MOVZ_IMM) {
			dasm_put(Dst, 103813, ((uint64_t)((opline + 1))));
				} else if (arm64_may_use_adr((void*)((opline + 1)))) {
			dasm_put(Dst, 103816, (unsigned int)((ptrdiff_t)((opline + 1))), (unsigned int)(((ptrdiff_t)((opline + 1)))>>32));
				} else if (arm64_may_use_adrp((void*)((opline + 1)))) {
			dasm_put(Dst, 103819, (unsigned int)((ptrdiff_t)((((uintptr_t)((opline + 1)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)((opline + 1))))))>>32));
					if (((uintptr_t)((opline + 1))) & 0xfff) {
			dasm_put(Dst, 103822, (((uintptr_t)((opline + 1))) & 0xfff));
					}
				} else if ((uintptr_t)((opline + 1)) & 0xffff) {
			dasm_put(Dst, 103825, ((uintptr_t)((opline + 1)) & 0xffff));
					if (((uintptr_t)((opline + 1)) >> 16) & 0xffff) {
			dasm_put(Dst, 103828, (((uintptr_t)((opline + 1)) >> 16) & 0xffff));
					}
					if (((uintptr_t)((opline + 1)) >> 32) & 0xffff) {
			dasm_put(Dst, 103831, (((uintptr_t)((opline + 1)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)((opline + 1)) >> 16) & 0xffff) {
			dasm_put(Dst, 103834, (((uintptr_t)((opline + 1)) >> 16) & 0xffff));
					if (((uintptr_t)((opline + 1)) >> 32) & 0xffff) {
			dasm_put(Dst, 103837, (((uintptr_t)((opline + 1)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 103840, (((uintptr_t)((opline + 1)) >> 32) & 0xffff));
				}
				} else {
				if (((uintptr_t)((opline + 1))) == 0) {
			dasm_put(Dst, 103843);
				} else if (((uintptr_t)((opline + 1))) <= MOVZ_IMM) {
			dasm_put(Dst, 103845, ((uint64_t)((opline + 1))));
				} else if (arm64_may_use_adr((void*)((opline + 1)))) {
			dasm_put(Dst, 103848, (unsigned int)((ptrdiff_t)((opline + 1))), (unsigned int)(((ptrdiff_t)((opline + 1)))>>32));
				} else if (arm64_may_use_adrp((void*)((opline + 1)))) {
			dasm_put(Dst, 103851, (unsigned int)((ptrdiff_t)((((uintptr_t)((opline + 1)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)((opline + 1))))))>>32));
					if (((uintptr_t)((opline + 1))) & 0xfff) {
			dasm_put(Dst, 103854, (((uintptr_t)((opline + 1))) & 0xfff));
					}
				} else if ((uintptr_t)((opline + 1)) & 0xffff) {
			dasm_put(Dst, 103857, ((uintptr_t)((opline + 1)) & 0xffff));
					if (((uintptr_t)((opline + 1)) >> 16) & 0xffff) {
			dasm_put(Dst, 103860, (((uintptr_t)((opline + 1)) >> 16) & 0xffff));
					}
					if (((uintptr_t)((opline + 1)) >> 32) & 0xffff) {
			dasm_put(Dst, 103863, (((uintptr_t)((opline + 1)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)((opline + 1)) >> 16) & 0xffff) {
			dasm_put(Dst, 103866, (((uintptr_t)((opline + 1)) >> 16) & 0xffff));
					if (((uintptr_t)((opline + 1)) >> 32) & 0xffff) {
			dasm_put(Dst, 103869, (((uintptr_t)((opline + 1)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 103872, (((uintptr_t)((opline + 1)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 103875, Dt1(->opline));
				}
#line 12148 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			zend_jit_set_last_valid_opline(opline + 1);
		}
	}

	return 1;
}

static int zend_jit_recv_init(dasm_State **Dst, const zend_op *opline, const zend_op_array *op_array, bool is_last, int may_throw)
{
	uint32_t arg_num = opline->op1.num;
	zval *zv = RT_CONSTANT(opline, opline->op2);
	zend_jit_addr res_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->result.var);

	if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE
	 && JIT_G(current_frame)
	 && TRACE_FRAME_NUM_ARGS(JIT_G(current_frame)) >= 0) {
		if (arg_num > TRACE_FRAME_NUM_ARGS(JIT_G(current_frame))) {
			//|	ZVAL_COPY_CONST res_addr, -1, -1, zv, ZREG_REG0, ZREG_TMP1, ZREG_FPR0
				if (Z_TYPE_P(zv) > IS_TRUE) {
					if (Z_TYPE_P(zv) == IS_DOUBLE) {
						zend_reg dst_reg = (Z_MODE(res_addr) == IS_REG) ? Z_REG(res_addr) : ZREG_V0;
				if (((uintptr_t)(zv)) > MOVZ_IMM && arm64_may_use_adr((void*)(zv))) {
			dasm_put(Dst, 103878, (ZREG_X8), (unsigned int)((ptrdiff_t)(zv)), (unsigned int)(((ptrdiff_t)(zv))>>32), (dst_reg-ZREG_V0), (ZREG_X8));
				} else if (((uintptr_t)(zv)) > MOVZ_IMM && arm64_may_use_adrp((void*)(zv))) {
			dasm_put(Dst, 103885, (ZREG_X8), (unsigned int)((ptrdiff_t)((((uintptr_t)(zv))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zv)))))>>32), (dst_reg-ZREG_V0), (ZREG_X8), (((uintptr_t)(zv)) & 0xfff));
				} else {
				if (((uintptr_t)(zv)) == 0) {
			dasm_put(Dst, 103893, (ZREG_X8));
				} else if (((uintptr_t)(zv)) <= MOVZ_IMM) {
			dasm_put(Dst, 103896, (ZREG_X8), ((uint64_t)(zv)));
				} else if (arm64_may_use_adr((void*)(zv))) {
			dasm_put(Dst, 103900, (ZREG_X8), (unsigned int)((ptrdiff_t)(zv)), (unsigned int)(((ptrdiff_t)(zv))>>32));
				} else if (arm64_may_use_adrp((void*)(zv))) {
			dasm_put(Dst, 103904, (ZREG_X8), (unsigned int)((ptrdiff_t)((((uintptr_t)(zv))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zv)))))>>32));
					if (((uintptr_t)(zv)) & 0xfff) {
			dasm_put(Dst, 103908, (ZREG_X8), (ZREG_X8), (((uintptr_t)(zv)) & 0xfff));
					}
				} else if ((uintptr_t)(zv) & 0xffff) {
			dasm_put(Dst, 103913, (ZREG_X8), ((uintptr_t)(zv) & 0xffff));
					if (((uintptr_t)(zv) >> 16) & 0xffff) {
			dasm_put(Dst, 103917, (ZREG_X8), (((uintptr_t)(zv) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zv) >> 32) & 0xffff) {
			dasm_put(Dst, 103921, (ZREG_X8), (((uintptr_t)(zv) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zv) >> 16) & 0xffff) {
			dasm_put(Dst, 103925, (ZREG_X8), (((uintptr_t)(zv) >> 16) & 0xffff));
					if (((uintptr_t)(zv) >> 32) & 0xffff) {
			dasm_put(Dst, 103929, (ZREG_X8), (((uintptr_t)(zv) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 103933, (ZREG_X8), (((uintptr_t)(zv) >> 32) & 0xffff));
				}
			dasm_put(Dst, 103937, (dst_reg-ZREG_V0), (ZREG_X8));
				}
				if (Z_MODE(res_addr) == IS_REG) {
					if (dst_reg != Z_REG(res_addr)) {
			dasm_put(Dst, 103941, (Z_REG(res_addr)-ZREG_V0), (dst_reg-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 103945, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 103949, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 103953, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 103957, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 103961, (dst_reg-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 103966, (dst_reg-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
					} else if (Z_TYPE_P(zv) == IS_LONG && -1 == MAY_BE_DOUBLE) {
						zend_reg dst_reg = (Z_MODE(res_addr) == IS_REG) ? Z_REG(res_addr) : ZREG_V0;
				if (Z_LVAL_P(zv) == 0) {
			dasm_put(Dst, 103971, (dst_reg-ZREG_V0));
				} else {
				if (((uint64_t)(Z_LVAL_P(zv))) == 0) {
			dasm_put(Dst, 103974, (ZREG_X8));
				} else if (((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
			dasm_put(Dst, 103977, (ZREG_X8), ((uint64_t)(Z_LVAL_P(zv))));
				} else if (~((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
			dasm_put(Dst, 103981, (ZREG_X8), (~((uint64_t)(Z_LVAL_P(zv)))));
				} else if ((uint64_t)(Z_LVAL_P(zv)) & 0xffff) {
			dasm_put(Dst, 103985, (ZREG_X8), ((uint64_t)(Z_LVAL_P(zv)) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
			dasm_put(Dst, 103989, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 103993, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
			dasm_put(Dst, 103997, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
			dasm_put(Dst, 104001, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 104005, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
			dasm_put(Dst, 104009, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 104013, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
			dasm_put(Dst, 104017, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 104021, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
			dasm_put(Dst, 104025, (dst_reg-ZREG_V0), (ZREG_X8));
				}
				if (Z_MODE(res_addr) == IS_REG) {
					if (dst_reg != Z_REG(res_addr)) {
			dasm_put(Dst, 104029, (Z_REG(res_addr)-ZREG_V0), (dst_reg-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 104033, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 104037, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 104041, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 104045, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 104049, (dst_reg-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 104054, (dst_reg-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
					} else {
				if (Z_LVAL_P(zv) == 0) {
				if (Z_MODE(res_addr) == IS_REG) {
			dasm_put(Dst, 104059, (Z_REG(res_addr)));
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 104062, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 104066, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 104070, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 104074, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 104078, (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 104082, (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
				} else {
				if (((uint64_t)(Z_LVAL_P(zv))) == 0) {
			dasm_put(Dst, 104086, (ZREG_X8));
				} else if (((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
			dasm_put(Dst, 104089, (ZREG_X8), ((uint64_t)(Z_LVAL_P(zv))));
				} else if (~((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
			dasm_put(Dst, 104093, (ZREG_X8), (~((uint64_t)(Z_LVAL_P(zv)))));
				} else if ((uint64_t)(Z_LVAL_P(zv)) & 0xffff) {
			dasm_put(Dst, 104097, (ZREG_X8), ((uint64_t)(Z_LVAL_P(zv)) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
			dasm_put(Dst, 104101, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 104105, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
			dasm_put(Dst, 104109, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
			dasm_put(Dst, 104113, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 104117, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
			dasm_put(Dst, 104121, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 104125, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
			dasm_put(Dst, 104129, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 104133, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
				if (Z_MODE(res_addr) == IS_REG) {
			dasm_put(Dst, 104137, (Z_REG(res_addr)), (ZREG_X8));
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 104141, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 104145, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 104149, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 104153, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 104157, (ZREG_X8), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 104162, (ZREG_X8), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
				}
					}
				}
				if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
					if (-1 == MAY_BE_DOUBLE) {
						if ((-1 & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != MAY_BE_DOUBLE) {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(IS_DOUBLE)) <= MOVZ_IMM) {
			dasm_put(Dst, 104167, (ZREG_X8), ((uint32_t)(IS_DOUBLE)));
				} else if (((uint32_t)(IS_DOUBLE) & 0xffff)) {
			dasm_put(Dst, 104171, (ZREG_X8), ((uint32_t)(IS_DOUBLE) & 0xffff));
					if ((((uint32_t)(IS_DOUBLE) >> 16) & 0xffff)) {
			dasm_put(Dst, 104175, (ZREG_X8), (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 104179, (ZREG_X8), (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 104183, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 104187, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 104191, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 104195, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 104199, (ZREG_X8), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 104204, (ZREG_X8), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
						}
					} else if (((-1 & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (1<<Z_TYPE_P(zv))) || (-1 & (MAY_BE_STRING|MAY_BE_ARRAY)) != 0) {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(Z_TYPE_INFO_P(zv))) <= MOVZ_IMM) {
			dasm_put(Dst, 104209, (ZREG_X8), ((uint32_t)(Z_TYPE_INFO_P(zv))));
				} else if (((uint32_t)(Z_TYPE_INFO_P(zv)) & 0xffff)) {
			dasm_put(Dst, 104213, (ZREG_X8), ((uint32_t)(Z_TYPE_INFO_P(zv)) & 0xffff));
					if ((((uint32_t)(Z_TYPE_INFO_P(zv)) >> 16) & 0xffff)) {
			dasm_put(Dst, 104217, (ZREG_X8), (((uint32_t)(Z_TYPE_INFO_P(zv)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 104221, (ZREG_X8), (((uint32_t)(Z_TYPE_INFO_P(zv)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 104225, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 104229, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 104233, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 104237, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 104241, (ZREG_X8), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 104246, (ZREG_X8), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
					}
				}
#line 12166 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (Z_REFCOUNTED_P(zv)) {
				//|	ADDREF_CONST zv, REG0, TMP1
					if (((uintptr_t)(Z_PTR_P(zv))) == 0) {
				dasm_put(Dst, 104251);
					} else if (((uintptr_t)(Z_PTR_P(zv))) <= MOVZ_IMM) {
				dasm_put(Dst, 104253, ((uint64_t)(Z_PTR_P(zv))));
					} else if (arm64_may_use_adr((void*)(Z_PTR_P(zv)))) {
				dasm_put(Dst, 104256, (unsigned int)((ptrdiff_t)(Z_PTR_P(zv))), (unsigned int)(((ptrdiff_t)(Z_PTR_P(zv)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_PTR_P(zv)))) {
				dasm_put(Dst, 104259, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_PTR_P(zv)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_PTR_P(zv))))))>>32));
						if (((uintptr_t)(Z_PTR_P(zv))) & 0xfff) {
				dasm_put(Dst, 104262, (((uintptr_t)(Z_PTR_P(zv))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_PTR_P(zv)) & 0xffff) {
				dasm_put(Dst, 104265, ((uintptr_t)(Z_PTR_P(zv)) & 0xffff));
						if (((uintptr_t)(Z_PTR_P(zv)) >> 16) & 0xffff) {
				dasm_put(Dst, 104268, (((uintptr_t)(Z_PTR_P(zv)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff) {
				dasm_put(Dst, 104271, (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_PTR_P(zv)) >> 16) & 0xffff) {
				dasm_put(Dst, 104274, (((uintptr_t)(Z_PTR_P(zv)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff) {
				dasm_put(Dst, 104277, (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 104280, (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff));
					}
				dasm_put(Dst, 104283);
#line 12168 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
	} else {
		if (JIT_G(trigger) != ZEND_JIT_ON_HOT_TRACE ||
		    (op_array->fn_flags & ZEND_ACC_HAS_TYPE_HINTS)) {
			//|	ldr TMP1w, EX->This.u2.num_args
			//|	CMP_32_WITH_CONST TMP1w, arg_num, TMP2w
			dasm_put(Dst, 104287, Dt1(->This.u2.num_args));
				if (arg_num == 0) {
			dasm_put(Dst, 104290);
				} else if (arm64_may_encode_imm12((int64_t)(arg_num))) {
			dasm_put(Dst, 104292, arg_num);
				} else if (arm64_may_encode_imm12((int64_t)(-arg_num))) {
			dasm_put(Dst, 104295, -arg_num);
				} else {
				if (((uint32_t)(arg_num)) <= MOVZ_IMM) {
			dasm_put(Dst, 104298, ((uint32_t)(arg_num)));
				} else if (((uint32_t)(arg_num) & 0xffff)) {
			dasm_put(Dst, 104301, ((uint32_t)(arg_num) & 0xffff));
					if ((((uint32_t)(arg_num) >> 16) & 0xffff)) {
			dasm_put(Dst, 104304, (((uint32_t)(arg_num) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 104307, (((uint32_t)(arg_num) >> 16) & 0xffff));
				}
			dasm_put(Dst, 104310);
				}
#line 12175 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	bhs >5
			dasm_put(Dst, 104312);
#line 12176 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	ZVAL_COPY_CONST res_addr, -1, -1, zv, ZREG_REG0, ZREG_TMP1, ZREG_FPR0
			if (Z_TYPE_P(zv) > IS_TRUE) {
				if (Z_TYPE_P(zv) == IS_DOUBLE) {
					zend_reg dst_reg = (Z_MODE(res_addr) == IS_REG) ? Z_REG(res_addr) : ZREG_V0;
			if (((uintptr_t)(zv)) > MOVZ_IMM && arm64_may_use_adr((void*)(zv))) {
		dasm_put(Dst, 104315, (ZREG_X8), (unsigned int)((ptrdiff_t)(zv)), (unsigned int)(((ptrdiff_t)(zv))>>32), (dst_reg-ZREG_V0), (ZREG_X8));
			} else if (((uintptr_t)(zv)) > MOVZ_IMM && arm64_may_use_adrp((void*)(zv))) {
		dasm_put(Dst, 104322, (ZREG_X8), (unsigned int)((ptrdiff_t)((((uintptr_t)(zv))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zv)))))>>32), (dst_reg-ZREG_V0), (ZREG_X8), (((uintptr_t)(zv)) & 0xfff));
			} else {
			if (((uintptr_t)(zv)) == 0) {
		dasm_put(Dst, 104330, (ZREG_X8));
			} else if (((uintptr_t)(zv)) <= MOVZ_IMM) {
		dasm_put(Dst, 104333, (ZREG_X8), ((uint64_t)(zv)));
			} else if (arm64_may_use_adr((void*)(zv))) {
		dasm_put(Dst, 104337, (ZREG_X8), (unsigned int)((ptrdiff_t)(zv)), (unsigned int)(((ptrdiff_t)(zv))>>32));
			} else if (arm64_may_use_adrp((void*)(zv))) {
		dasm_put(Dst, 104341, (ZREG_X8), (unsigned int)((ptrdiff_t)((((uintptr_t)(zv))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zv)))))>>32));
				if (((uintptr_t)(zv)) & 0xfff) {
		dasm_put(Dst, 104345, (ZREG_X8), (ZREG_X8), (((uintptr_t)(zv)) & 0xfff));
				}
			} else if ((uintptr_t)(zv) & 0xffff) {
		dasm_put(Dst, 104350, (ZREG_X8), ((uintptr_t)(zv) & 0xffff));
				if (((uintptr_t)(zv) >> 16) & 0xffff) {
		dasm_put(Dst, 104354, (ZREG_X8), (((uintptr_t)(zv) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zv) >> 32) & 0xffff) {
		dasm_put(Dst, 104358, (ZREG_X8), (((uintptr_t)(zv) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zv) >> 16) & 0xffff) {
		dasm_put(Dst, 104362, (ZREG_X8), (((uintptr_t)(zv) >> 16) & 0xffff));
				if (((uintptr_t)(zv) >> 32) & 0xffff) {
		dasm_put(Dst, 104366, (ZREG_X8), (((uintptr_t)(zv) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 104370, (ZREG_X8), (((uintptr_t)(zv) >> 32) & 0xffff));
			}
		dasm_put(Dst, 104374, (dst_reg-ZREG_V0), (ZREG_X8));
			}
			if (Z_MODE(res_addr) == IS_REG) {
				if (dst_reg != Z_REG(res_addr)) {
		dasm_put(Dst, 104378, (Z_REG(res_addr)-ZREG_V0), (dst_reg-ZREG_V0));
				}
			} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 104382, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 104386, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 104390, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 104394, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 104398, (dst_reg-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 104403, (dst_reg-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
			}
				} else if (Z_TYPE_P(zv) == IS_LONG && -1 == MAY_BE_DOUBLE) {
					zend_reg dst_reg = (Z_MODE(res_addr) == IS_REG) ? Z_REG(res_addr) : ZREG_V0;
			if (Z_LVAL_P(zv) == 0) {
		dasm_put(Dst, 104408, (dst_reg-ZREG_V0));
			} else {
			if (((uint64_t)(Z_LVAL_P(zv))) == 0) {
		dasm_put(Dst, 104411, (ZREG_X8));
			} else if (((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
		dasm_put(Dst, 104414, (ZREG_X8), ((uint64_t)(Z_LVAL_P(zv))));
			} else if (~((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
		dasm_put(Dst, 104418, (ZREG_X8), (~((uint64_t)(Z_LVAL_P(zv)))));
			} else if ((uint64_t)(Z_LVAL_P(zv)) & 0xffff) {
		dasm_put(Dst, 104422, (ZREG_X8), ((uint64_t)(Z_LVAL_P(zv)) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
		dasm_put(Dst, 104426, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
		dasm_put(Dst, 104430, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
		dasm_put(Dst, 104434, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
		dasm_put(Dst, 104438, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
		dasm_put(Dst, 104442, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
		dasm_put(Dst, 104446, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
		dasm_put(Dst, 104450, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
		dasm_put(Dst, 104454, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 104458, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
			}
		dasm_put(Dst, 104462, (dst_reg-ZREG_V0), (ZREG_X8));
			}
			if (Z_MODE(res_addr) == IS_REG) {
				if (dst_reg != Z_REG(res_addr)) {
		dasm_put(Dst, 104466, (Z_REG(res_addr)-ZREG_V0), (dst_reg-ZREG_V0));
				}
			} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 104470, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 104474, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 104478, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 104482, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 104486, (dst_reg-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 104491, (dst_reg-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
			}
				} else {
			if (Z_LVAL_P(zv) == 0) {
			if (Z_MODE(res_addr) == IS_REG) {
		dasm_put(Dst, 104496, (Z_REG(res_addr)));
			} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 104499, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 104503, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 104507, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 104511, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 104515, (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 104519, (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
			}
			} else {
			if (((uint64_t)(Z_LVAL_P(zv))) == 0) {
		dasm_put(Dst, 104523, (ZREG_X8));
			} else if (((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
		dasm_put(Dst, 104526, (ZREG_X8), ((uint64_t)(Z_LVAL_P(zv))));
			} else if (~((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
		dasm_put(Dst, 104530, (ZREG_X8), (~((uint64_t)(Z_LVAL_P(zv)))));
			} else if ((uint64_t)(Z_LVAL_P(zv)) & 0xffff) {
		dasm_put(Dst, 104534, (ZREG_X8), ((uint64_t)(Z_LVAL_P(zv)) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
		dasm_put(Dst, 104538, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
		dasm_put(Dst, 104542, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
		dasm_put(Dst, 104546, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
		dasm_put(Dst, 104550, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
		dasm_put(Dst, 104554, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
		dasm_put(Dst, 104558, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
		dasm_put(Dst, 104562, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
		dasm_put(Dst, 104566, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 104570, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
			}
			if (Z_MODE(res_addr) == IS_REG) {
		dasm_put(Dst, 104574, (Z_REG(res_addr)), (ZREG_X8));
			} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 104578, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 104582, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 104586, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 104590, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 104594, (ZREG_X8), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 104599, (ZREG_X8), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
			}
			}
				}
			}
			if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
				if (-1 == MAY_BE_DOUBLE) {
					if ((-1 & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != MAY_BE_DOUBLE) {
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uint32_t)(IS_DOUBLE)) <= MOVZ_IMM) {
		dasm_put(Dst, 104604, (ZREG_X8), ((uint32_t)(IS_DOUBLE)));
			} else if (((uint32_t)(IS_DOUBLE) & 0xffff)) {
		dasm_put(Dst, 104608, (ZREG_X8), ((uint32_t)(IS_DOUBLE) & 0xffff));
				if ((((uint32_t)(IS_DOUBLE) >> 16) & 0xffff)) {
		dasm_put(Dst, 104612, (ZREG_X8), (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 104616, (ZREG_X8), (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 104620, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 104624, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 104628, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 104632, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 104636, (ZREG_X8), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 104641, (ZREG_X8), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
			}
					}
				} else if (((-1 & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (1<<Z_TYPE_P(zv))) || (-1 & (MAY_BE_STRING|MAY_BE_ARRAY)) != 0) {
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uint32_t)(Z_TYPE_INFO_P(zv))) <= MOVZ_IMM) {
		dasm_put(Dst, 104646, (ZREG_X8), ((uint32_t)(Z_TYPE_INFO_P(zv))));
			} else if (((uint32_t)(Z_TYPE_INFO_P(zv)) & 0xffff)) {
		dasm_put(Dst, 104650, (ZREG_X8), ((uint32_t)(Z_TYPE_INFO_P(zv)) & 0xffff));
				if ((((uint32_t)(Z_TYPE_INFO_P(zv)) >> 16) & 0xffff)) {
		dasm_put(Dst, 104654, (ZREG_X8), (((uint32_t)(Z_TYPE_INFO_P(zv)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 104658, (ZREG_X8), (((uint32_t)(Z_TYPE_INFO_P(zv)) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 104662, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 104666, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 104670, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 104674, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 104678, (ZREG_X8), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 104683, (ZREG_X8), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
			}
				}
			}
#line 12178 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (Z_REFCOUNTED_P(zv)) {
			//|	ADDREF_CONST zv, REG0, TMP1
				if (((uintptr_t)(Z_PTR_P(zv))) == 0) {
			dasm_put(Dst, 104688);
				} else if (((uintptr_t)(Z_PTR_P(zv))) <= MOVZ_IMM) {
			dasm_put(Dst, 104690, ((uint64_t)(Z_PTR_P(zv))));
				} else if (arm64_may_use_adr((void*)(Z_PTR_P(zv)))) {
			dasm_put(Dst, 104693, (unsigned int)((ptrdiff_t)(Z_PTR_P(zv))), (unsigned int)(((ptrdiff_t)(Z_PTR_P(zv)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_PTR_P(zv)))) {
			dasm_put(Dst, 104696, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_PTR_P(zv)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_PTR_P(zv))))))>>32));
					if (((uintptr_t)(Z_PTR_P(zv))) & 0xfff) {
			dasm_put(Dst, 104699, (((uintptr_t)(Z_PTR_P(zv))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_PTR_P(zv)) & 0xffff) {
			dasm_put(Dst, 104702, ((uintptr_t)(Z_PTR_P(zv)) & 0xffff));
					if (((uintptr_t)(Z_PTR_P(zv)) >> 16) & 0xffff) {
			dasm_put(Dst, 104705, (((uintptr_t)(Z_PTR_P(zv)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 104708, (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_PTR_P(zv)) >> 16) & 0xffff) {
			dasm_put(Dst, 104711, (((uintptr_t)(Z_PTR_P(zv)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 104714, (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 104717, (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 104720);
#line 12180 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	if (Z_CONSTANT_P(zv)) {
		if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE) {
			//|	SET_EX_OPLINE opline, REG0
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 104724, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 104727);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 104729, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 104732, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 104735, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 104738, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 104741, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 104744, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 104747, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 104750, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 104753, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 104756, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 104759, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
#line 12186 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	ADDR_STORE EX->opline, opline, REG0
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 104762);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 104764, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 104767, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 104770, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 104773, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 104776, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 104779, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 104782, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 104785, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 104788, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 104791, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 104794, Dt1(->opline));
#line 12188 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	LOAD_ZVAL_ADDR FCARG1x, res_addr
			if (Z_MODE(res_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(res_addr))) == 0) {
		dasm_put(Dst, 104797);
			} else if (((uintptr_t)(Z_ZV(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 104799, ((uint64_t)(Z_ZV(res_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(res_addr)))) {
		dasm_put(Dst, 104802, (unsigned int)((ptrdiff_t)(Z_ZV(res_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(res_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(res_addr)))) {
		dasm_put(Dst, 104805, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(res_addr))) & 0xfff) {
		dasm_put(Dst, 104808, (((uintptr_t)(Z_ZV(res_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(res_addr)) & 0xffff) {
		dasm_put(Dst, 104811, ((uintptr_t)(Z_ZV(res_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 104814, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 104817, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 104820, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 104823, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 104826, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
			}
			} else if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
				if (Z_OFFSET(res_addr)) {
			if (Z_OFFSET(res_addr) == 0) {
		dasm_put(Dst, 104829, (Z_REG(res_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(res_addr)))) {
		dasm_put(Dst, 104832, (Z_REG(res_addr)), Z_OFFSET(res_addr));
			} else {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 104836, ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 104839, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 104842, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 104845, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 104848, (Z_REG(res_addr)));
			}
				} else {
					if (Z_REG(res_addr) == ZREG_RSP) {
		dasm_put(Dst, 104851);
					} else {
		dasm_put(Dst, 104853, (Z_REG(res_addr)));
					}
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 12190 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	ldr REG0, EX->func
		//|	ldr FCARG2x, [REG0, #offsetof(zend_op_array, scope)]
		//|	EXT_CALL zval_update_constant_ex, REG0
		dasm_put(Dst, 104856, Dt1(->func), offsetof(zend_op_array, scope));
			if (arm64_may_use_b(zval_update_constant_ex)) {
		dasm_put(Dst, 104861, (unsigned int)((ptrdiff_t)(zval_update_constant_ex)), (unsigned int)(((ptrdiff_t)(zval_update_constant_ex))>>32));
			} else {
			if (((uintptr_t)(zval_update_constant_ex)) == 0) {
		dasm_put(Dst, 104864);
			} else if (((uintptr_t)(zval_update_constant_ex)) <= MOVZ_IMM) {
		dasm_put(Dst, 104866, ((uint64_t)(zval_update_constant_ex)));
			} else if (arm64_may_use_adr((void*)(zval_update_constant_ex))) {
		dasm_put(Dst, 104869, (unsigned int)((ptrdiff_t)(zval_update_constant_ex)), (unsigned int)(((ptrdiff_t)(zval_update_constant_ex))>>32));
			} else if (arm64_may_use_adrp((void*)(zval_update_constant_ex))) {
		dasm_put(Dst, 104872, (unsigned int)((ptrdiff_t)((((uintptr_t)(zval_update_constant_ex))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zval_update_constant_ex)))))>>32));
				if (((uintptr_t)(zval_update_constant_ex)) & 0xfff) {
		dasm_put(Dst, 104875, (((uintptr_t)(zval_update_constant_ex)) & 0xfff));
				}
			} else if ((uintptr_t)(zval_update_constant_ex) & 0xffff) {
		dasm_put(Dst, 104878, ((uintptr_t)(zval_update_constant_ex) & 0xffff));
				if (((uintptr_t)(zval_update_constant_ex) >> 16) & 0xffff) {
		dasm_put(Dst, 104881, (((uintptr_t)(zval_update_constant_ex) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zval_update_constant_ex) >> 32) & 0xffff) {
		dasm_put(Dst, 104884, (((uintptr_t)(zval_update_constant_ex) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zval_update_constant_ex) >> 16) & 0xffff) {
		dasm_put(Dst, 104887, (((uintptr_t)(zval_update_constant_ex) >> 16) & 0xffff));
				if (((uintptr_t)(zval_update_constant_ex) >> 32) & 0xffff) {
		dasm_put(Dst, 104890, (((uintptr_t)(zval_update_constant_ex) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 104893, (((uintptr_t)(zval_update_constant_ex) >> 32) & 0xffff));
			}
		dasm_put(Dst, 104896);
			}
#line 12193 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	cbnz RETVALw, >1
		//|.cold_code
		dasm_put(Dst, 104898);
#line 12195 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|1:
		//|	ZVAL_PTR_DTOR res_addr, MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN, 1, 0, opline, ZREG_TMP1, ZREG_TMP2
		dasm_put(Dst, 104901);
			if ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
				if ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if (0) {
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 104903, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 104907, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 104911, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 104915, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 104919, (ZREG_X15), (Z_REG(res_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 104924, (ZREG_X15), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 104929, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 104932, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 104936, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 104940, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 104944, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 104948, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 104952, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 104956);
		dasm_put(Dst, 104959);
					} else {
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 104961, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 104965, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 104969, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 104973, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 104977, (ZREG_X15), (Z_REG(res_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 104982, (ZREG_X15), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 104987, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 104990, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 104994, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 104998, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 105002, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 105006, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 105010, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 105014);
					}
				}
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 105017, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 105021, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 105025, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 105029, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 105033, (Z_REG(res_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 105037, (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
		dasm_put(Dst, 105041, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
				if (((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN) & MAY_BE_GUARD) || RC_MAY_BE_1(MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN)) {
					if (((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN) & MAY_BE_GUARD) || RC_MAY_BE_N(MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN)) {
						if (1 && (((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN) & MAY_BE_GUARD) || (RC_MAY_BE_N(MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN) && ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 105049);
						} else {
		dasm_put(Dst, 105052);
						}
					}
			do {
				if (!((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN) & MAY_BE_GUARD)
				 && has_concrete_type((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					zend_uchar type = concrete_type((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
					if (type == IS_STRING && !ZEND_DEBUG) {
			if (arm64_may_use_b(_efree)) {
		dasm_put(Dst, 105055, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else {
			if (((uintptr_t)(_efree)) == 0) {
		dasm_put(Dst, 105058, (ZREG_X15));
			} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
		dasm_put(Dst, 105061, (ZREG_X15), ((uint64_t)(_efree)));
			} else if (arm64_may_use_adr((void*)(_efree))) {
		dasm_put(Dst, 105065, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else if (arm64_may_use_adrp((void*)(_efree))) {
		dasm_put(Dst, 105069, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
				if (((uintptr_t)(_efree)) & 0xfff) {
		dasm_put(Dst, 105073, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
				}
			} else if ((uintptr_t)(_efree) & 0xffff) {
		dasm_put(Dst, 105078, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
				if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 105082, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 105086, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 105090, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 105094, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 105098, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		dasm_put(Dst, 105102, (ZREG_X15));
			}
						break;
					} else if (type == IS_ARRAY) {
						if ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
							if (opline && ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 105105, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 105108, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 105111, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 105115, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 105119, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 105123, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 105128, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 105132, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 105136, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 105140, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 105144, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 105148, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 105152, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
							}
			if (arm64_may_use_b(zend_array_destroy)) {
		dasm_put(Dst, 105156, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else {
			if (((uintptr_t)(zend_array_destroy)) == 0) {
		dasm_put(Dst, 105159, (ZREG_X15));
			} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
		dasm_put(Dst, 105162, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
			} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
		dasm_put(Dst, 105166, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
		dasm_put(Dst, 105170, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
				if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
		dasm_put(Dst, 105174, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
		dasm_put(Dst, 105179, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 105183, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 105187, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 105191, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 105195, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 105199, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		dasm_put(Dst, 105203, (ZREG_X15));
			}
						} else {
			if (arm64_may_use_b(zend_jit_array_free)) {
		dasm_put(Dst, 105206, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else {
			if (((uintptr_t)(zend_jit_array_free)) == 0) {
		dasm_put(Dst, 105209, (ZREG_X15));
			} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
		dasm_put(Dst, 105212, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
			} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 105216, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 105220, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
				if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
		dasm_put(Dst, 105224, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
		dasm_put(Dst, 105229, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 105233, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 105237, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 105241, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 105245, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 105249, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		dasm_put(Dst, 105253, (ZREG_X15));
			}
						}
						break;
					} else if (type == IS_OBJECT) {
						if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 105256, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 105259);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 105261, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 105264, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 105267, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 105270, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 105273, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 105276, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 105279, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 105282, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 105285, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 105288, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 105291, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
						}
			if (arm64_may_use_b(zend_objects_store_del)) {
		dasm_put(Dst, 105294, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else {
			if (((uintptr_t)(zend_objects_store_del)) == 0) {
		dasm_put(Dst, 105297, (ZREG_X15));
			} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
		dasm_put(Dst, 105300, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
			} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 105304, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 105308, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
				if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
		dasm_put(Dst, 105312, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
		dasm_put(Dst, 105317, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 105321, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 105325, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 105329, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 105333, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 105337, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		dasm_put(Dst, 105341, (ZREG_X15));
			}
						break;
					}
				}
				if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 105344, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 105347, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 105350, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 105354, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 105358, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 105362, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 105367, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 105371, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 105375, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 105379, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 105383, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 105387, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 105391, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
				}
			if (arm64_may_use_b(rc_dtor_func)) {
		dasm_put(Dst, 105395, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else {
			if (((uintptr_t)(rc_dtor_func)) == 0) {
		dasm_put(Dst, 105398, (ZREG_X15));
			} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
		dasm_put(Dst, 105401, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
			} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
		dasm_put(Dst, 105405, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
		dasm_put(Dst, 105409, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
				if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
		dasm_put(Dst, 105413, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
				}
			} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
		dasm_put(Dst, 105418, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 105422, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				}
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 105426, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 105430, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 105434, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 105438, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		dasm_put(Dst, 105442, (ZREG_X15));
			}
			} while(0);
					if (1 && (((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN) & MAY_BE_GUARD) || (RC_MAY_BE_N(MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN) && ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 105445);
					}
		dasm_put(Dst, 105448);
				}
				if (1 && (((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN) & MAY_BE_GUARD) || (RC_MAY_BE_N(MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN) && ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					if ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN) & (MAY_BE_REF|MAY_BE_GUARD)) {
						zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
		dasm_put(Dst, 105450, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
		dasm_put(Dst, 105454, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
		dasm_put(Dst, 105458, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 105462, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 105466, (ZREG_X15), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 105471, (ZREG_X15), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)));
			}
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 105476, (ZREG_X15));
			} else {
		dasm_put(Dst, 105480, (ZREG_X15), IS_REFERENCE);
			}
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 105486, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 105490, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 105494, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 105498, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 105502, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 105507, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_COLLECTABLE == 0) {
		dasm_put(Dst, 105512, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
		dasm_put(Dst, 105515, (ZREG_X15), IS_TYPE_COLLECTABLE);
			} else {
			if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
		dasm_put(Dst, 105519, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
			} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
		dasm_put(Dst, 105523, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
				if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
		dasm_put(Dst, 105527, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 105531, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		dasm_put(Dst, 105535, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 105539);
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 105542, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
		dasm_put(Dst, 105546, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 105550, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 105554, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 105558, (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 105562, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
			}
		dasm_put(Dst, 105566);
					}
		dasm_put(Dst, 105568, (ZREG_X15));
			if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
		dasm_put(Dst, 105571, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
		dasm_put(Dst, 105574, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
			} else {
			if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
		dasm_put(Dst, 105578, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
			} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
		dasm_put(Dst, 105582, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
				if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
		dasm_put(Dst, 105586, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 105590, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 105594, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 105598);
			if (arm64_may_use_b(gc_possible_root)) {
		dasm_put(Dst, 105601, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else {
			if (((uintptr_t)(gc_possible_root)) == 0) {
		dasm_put(Dst, 105604, (ZREG_X15));
			} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
		dasm_put(Dst, 105607, (ZREG_X15), ((uint64_t)(gc_possible_root)));
			} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
		dasm_put(Dst, 105611, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
		dasm_put(Dst, 105615, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
				if (((uintptr_t)(gc_possible_root)) & 0xfff) {
		dasm_put(Dst, 105619, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
				}
			} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
		dasm_put(Dst, 105624, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 105628, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				}
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 105632, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 105636, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 105640, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 105644, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		dasm_put(Dst, 105648, (ZREG_X15));
			}
				}
				if (0 && ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
		dasm_put(Dst, 105651);
				}
		dasm_put(Dst, 105654);
			}
#line 12197 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	SET_ZVAL_TYPE_INFO res_addr, IS_UNDEF, TMP1w, TMP2
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uint32_t)(IS_UNDEF)) <= MOVZ_IMM) {
		dasm_put(Dst, 105656, ((uint32_t)(IS_UNDEF)));
			} else if (((uint32_t)(IS_UNDEF) & 0xffff)) {
		dasm_put(Dst, 105659, ((uint32_t)(IS_UNDEF) & 0xffff));
				if ((((uint32_t)(IS_UNDEF) >> 16) & 0xffff)) {
		dasm_put(Dst, 105662, (((uint32_t)(IS_UNDEF) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 105665, (((uint32_t)(IS_UNDEF) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 105668, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 105671, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 105674, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 105677, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 105680, (Z_REG(res_addr)));
			} else {
		dasm_put(Dst, 105683, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
			}
#line 12198 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	b ->exception_handler
		//|.code
		dasm_put(Dst, 105687);
#line 12200 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	//|5:
	dasm_put(Dst, 105690);
#line 12203 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	if (op_array->fn_flags & ZEND_ACC_HAS_TYPE_HINTS) {
		do {
			zend_arg_info *arg_info;

			if (arg_num <= op_array->num_args) {
				arg_info = &op_array->arg_info[arg_num-1];
			} else if (op_array->fn_flags & ZEND_ACC_VARIADIC) {
				arg_info = &op_array->arg_info[op_array->num_args];
			} else {
				break;
			}
			if (!ZEND_TYPE_IS_SET(arg_info->type)) {
				break;
			}
			if (!zend_jit_verify_arg_type(Dst, opline, arg_info, may_throw)) {
				return 0;
			}
		} while (0);
	}

	if (JIT_G(trigger) != ZEND_JIT_ON_HOT_TRACE) {
		if (is_last) {
			//|	LOAD_IP_ADDR (opline + 1)
				if (GCC_GLOBAL_REGS) {
				if (((uintptr_t)((opline + 1))) == 0) {
			dasm_put(Dst, 105692);
				} else if (((uintptr_t)((opline + 1))) <= MOVZ_IMM) {
			dasm_put(Dst, 105694, ((uint64_t)((opline + 1))));
				} else if (arm64_may_use_adr((void*)((opline + 1)))) {
			dasm_put(Dst, 105697, (unsigned int)((ptrdiff_t)((opline + 1))), (unsigned int)(((ptrdiff_t)((opline + 1)))>>32));
				} else if (arm64_may_use_adrp((void*)((opline + 1)))) {
			dasm_put(Dst, 105700, (unsigned int)((ptrdiff_t)((((uintptr_t)((opline + 1)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)((opline + 1))))))>>32));
					if (((uintptr_t)((opline + 1))) & 0xfff) {
			dasm_put(Dst, 105703, (((uintptr_t)((opline + 1))) & 0xfff));
					}
				} else if ((uintptr_t)((opline + 1)) & 0xffff) {
			dasm_put(Dst, 105706, ((uintptr_t)((opline + 1)) & 0xffff));
					if (((uintptr_t)((opline + 1)) >> 16) & 0xffff) {
			dasm_put(Dst, 105709, (((uintptr_t)((opline + 1)) >> 16) & 0xffff));
					}
					if (((uintptr_t)((opline + 1)) >> 32) & 0xffff) {
			dasm_put(Dst, 105712, (((uintptr_t)((opline + 1)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)((opline + 1)) >> 16) & 0xffff) {
			dasm_put(Dst, 105715, (((uintptr_t)((opline + 1)) >> 16) & 0xffff));
					if (((uintptr_t)((opline + 1)) >> 32) & 0xffff) {
			dasm_put(Dst, 105718, (((uintptr_t)((opline + 1)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 105721, (((uintptr_t)((opline + 1)) >> 32) & 0xffff));
				}
				} else {
				if (((uintptr_t)((opline + 1))) == 0) {
			dasm_put(Dst, 105724);
				} else if (((uintptr_t)((opline + 1))) <= MOVZ_IMM) {
			dasm_put(Dst, 105726, ((uint64_t)((opline + 1))));
				} else if (arm64_may_use_adr((void*)((opline + 1)))) {
			dasm_put(Dst, 105729, (unsigned int)((ptrdiff_t)((opline + 1))), (unsigned int)(((ptrdiff_t)((opline + 1)))>>32));
				} else if (arm64_may_use_adrp((void*)((opline + 1)))) {
			dasm_put(Dst, 105732, (unsigned int)((ptrdiff_t)((((uintptr_t)((opline + 1)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)((opline + 1))))))>>32));
					if (((uintptr_t)((opline + 1))) & 0xfff) {
			dasm_put(Dst, 105735, (((uintptr_t)((opline + 1))) & 0xfff));
					}
				} else if ((uintptr_t)((opline + 1)) & 0xffff) {
			dasm_put(Dst, 105738, ((uintptr_t)((opline + 1)) & 0xffff));
					if (((uintptr_t)((opline + 1)) >> 16) & 0xffff) {
			dasm_put(Dst, 105741, (((uintptr_t)((opline + 1)) >> 16) & 0xffff));
					}
					if (((uintptr_t)((opline + 1)) >> 32) & 0xffff) {
			dasm_put(Dst, 105744, (((uintptr_t)((opline + 1)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)((opline + 1)) >> 16) & 0xffff) {
			dasm_put(Dst, 105747, (((uintptr_t)((opline + 1)) >> 16) & 0xffff));
					if (((uintptr_t)((opline + 1)) >> 32) & 0xffff) {
			dasm_put(Dst, 105750, (((uintptr_t)((opline + 1)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 105753, (((uintptr_t)((opline + 1)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 105756, Dt1(->opline));
				}
#line 12227 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			zend_jit_set_last_valid_opline(opline + 1);
		}
	}
	return 1;
}

static int zend_jit_class_guard(dasm_State **Dst, const zend_op *opline, zend_class_entry *ce)
{
	int32_t exit_point = zend_jit_trace_get_exit_point(opline, 0);
	const void *exit_addr = zend_jit_trace_get_exit_addr(exit_point);

	if (!exit_addr) {
		return 0;
	}

	//|	LOAD_ADDR TMP1, ((ptrdiff_t)ce)
		if (((uintptr_t)(((ptrdiff_t)ce))) == 0) {
	dasm_put(Dst, 105759);
		} else if (((uintptr_t)(((ptrdiff_t)ce))) <= MOVZ_IMM) {
	dasm_put(Dst, 105761, ((uint64_t)(((ptrdiff_t)ce))));
		} else if (arm64_may_use_adr((void*)(((ptrdiff_t)ce)))) {
	dasm_put(Dst, 105764, (unsigned int)((ptrdiff_t)(((ptrdiff_t)ce))), (unsigned int)(((ptrdiff_t)(((ptrdiff_t)ce)))>>32));
		} else if (arm64_may_use_adrp((void*)(((ptrdiff_t)ce)))) {
	dasm_put(Dst, 105767, (unsigned int)((ptrdiff_t)((((uintptr_t)(((ptrdiff_t)ce)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(((ptrdiff_t)ce))))))>>32));
			if (((uintptr_t)(((ptrdiff_t)ce))) & 0xfff) {
	dasm_put(Dst, 105770, (((uintptr_t)(((ptrdiff_t)ce))) & 0xfff));
			}
		} else if ((uintptr_t)(((ptrdiff_t)ce)) & 0xffff) {
	dasm_put(Dst, 105773, ((uintptr_t)(((ptrdiff_t)ce)) & 0xffff));
			if (((uintptr_t)(((ptrdiff_t)ce)) >> 16) & 0xffff) {
	dasm_put(Dst, 105776, (((uintptr_t)(((ptrdiff_t)ce)) >> 16) & 0xffff));
			}
			if (((uintptr_t)(((ptrdiff_t)ce)) >> 32) & 0xffff) {
	dasm_put(Dst, 105779, (((uintptr_t)(((ptrdiff_t)ce)) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(((ptrdiff_t)ce)) >> 16) & 0xffff) {
	dasm_put(Dst, 105782, (((uintptr_t)(((ptrdiff_t)ce)) >> 16) & 0xffff));
			if (((uintptr_t)(((ptrdiff_t)ce)) >> 32) & 0xffff) {
	dasm_put(Dst, 105785, (((uintptr_t)(((ptrdiff_t)ce)) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 105788, (((uintptr_t)(((ptrdiff_t)ce)) >> 32) & 0xffff));
		}
#line 12243 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	ldr TMP2, [FCARG1x, #offsetof(zend_object, ce)]
	//|	cmp TMP2, TMP1
	//|	bne &exit_addr
	dasm_put(Dst, 105791, offsetof(zend_object, ce), (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 12246 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	return 1;
}

static int zend_jit_fetch_obj(dasm_State          **Dst,
                              const zend_op        *opline,
                              const zend_op_array  *op_array,
                              zend_ssa             *ssa,
                              const zend_ssa_op    *ssa_op,
                              uint32_t              op1_info,
                              zend_jit_addr         op1_addr,
                              bool                  op1_indirect,
                              zend_class_entry     *ce,
                              bool                  ce_is_instanceof,
                              bool                  on_this,
                              bool                  delayed_fetch_this,
                              bool                  op1_avoid_refcounting,
                              zend_class_entry     *trace_ce,
                              uint8_t               prop_type,
                              int                   may_throw)
{
	zval *member;
	zend_property_info *prop_info;
	bool may_be_dynamic = 1;
	zend_jit_addr res_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->result.var);
	zend_jit_addr this_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, offsetof(zend_execute_data, This));
	zend_jit_addr prop_addr;
	uint32_t res_info = RES_INFO();
	bool type_loaded = 0;

	ZEND_ASSERT(opline->op2_type == IS_CONST);
	ZEND_ASSERT(op1_info & MAY_BE_OBJECT);

	member = RT_CONSTANT(opline, opline->op2);
	ZEND_ASSERT(Z_TYPE_P(member) == IS_STRING && Z_STRVAL_P(member)[0] != '\0');
	prop_info = zend_get_known_property_info(op_array, ce, Z_STR_P(member), on_this, op_array->filename);

	if (on_this) {
		//|	GET_ZVAL_PTR FCARG1x, this_addr, TMP1
			ZEND_ASSERT(Z_MODE(this_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(this_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(this_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 105797, ((uint32_t)(Z_OFFSET(this_addr))));
			} else if (((uint32_t)(Z_OFFSET(this_addr)) & 0xffff)) {
		dasm_put(Dst, 105800, ((uint32_t)(Z_OFFSET(this_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(this_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 105803, (((uint32_t)(Z_OFFSET(this_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 105806, (((uint32_t)(Z_OFFSET(this_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 105809, (Z_REG(this_addr)));
			} else {
		dasm_put(Dst, 105812, (Z_REG(this_addr)), (Z_OFFSET(this_addr)));
			}
#line 12285 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		if (opline->op1_type == IS_VAR
		 && opline->opcode == ZEND_FETCH_OBJ_W
		 && (op1_info & MAY_BE_INDIRECT)
		 && Z_REG(op1_addr) == ZREG_FP) {
			//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
			dasm_put(Dst, 105816);
				} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 105818, ((uint64_t)(Z_ZV(op1_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 105821, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 105824, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
			dasm_put(Dst, 105827, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
			dasm_put(Dst, 105830, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 105833, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 105836, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 105839, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 105842, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 105845, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(op1_addr)) {
				if (Z_OFFSET(op1_addr) == 0) {
			dasm_put(Dst, 105848, (Z_REG(op1_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
			dasm_put(Dst, 105851, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 105855, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 105858, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 105861, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 105864, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 105867, (Z_REG(op1_addr)));
				}
					} else {
						if (Z_REG(op1_addr) == ZREG_RSP) {
			dasm_put(Dst, 105870);
						} else {
			dasm_put(Dst, 105872, (Z_REG(op1_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 12291 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	IF_NOT_Z_TYPE FCARG1x, IS_INDIRECT, >1, TMP1w
			dasm_put(Dst, 105875, offsetof(zval, u1.v.type));
				if (IS_INDIRECT == 0) {
			dasm_put(Dst, 105878);
				} else {
			dasm_put(Dst, 105881, IS_INDIRECT);
				}
#line 12292 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	GET_Z_PTR FCARG1x, FCARG1x
			//|1:
			dasm_put(Dst, 105886);
#line 12294 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			op1_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, 0);
		}
		if (op1_info & MAY_BE_REF) {
			if (Z_REG(op1_addr) != ZREG_FCARG1 || Z_OFFSET(op1_addr) != 0) {
				//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
					if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
				dasm_put(Dst, 105889);
					} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 105891, ((uint64_t)(Z_ZV(op1_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 105894, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 105897, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
				dasm_put(Dst, 105900, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
				dasm_put(Dst, 105903, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 105906, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 105909, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 105912, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 105915, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 105918, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(op1_addr)) {
					if (Z_OFFSET(op1_addr) == 0) {
				dasm_put(Dst, 105921, (Z_REG(op1_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
				dasm_put(Dst, 105924, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 105928, ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 105931, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 105934, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 105937, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 105940, (Z_REG(op1_addr)));
					}
						} else {
							if (Z_REG(op1_addr) == ZREG_RSP) {
				dasm_put(Dst, 105943);
							} else {
				dasm_put(Dst, 105945, (Z_REG(op1_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 12299 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	ZVAL_DEREF FCARG1x, op1_info, TMP1w
				if (op1_info & MAY_BE_REF) {
			dasm_put(Dst, 105948, offsetof(zval, u1.v.type));
				if (IS_REFERENCE == 0) {
			dasm_put(Dst, 105951);
				} else {
			dasm_put(Dst, 105954, IS_REFERENCE);
				}
			dasm_put(Dst, 105959, offsetof(zend_reference, val));
				}
#line 12301 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			op1_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, 0);
		}
		if (op1_info & ((MAY_BE_UNDEF|MAY_BE_ANY)- MAY_BE_OBJECT)) {
			if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE) {
				int32_t exit_point = zend_jit_trace_get_exit_point(opline, ZEND_JIT_EXIT_TO_VM);
				const void *exit_addr = zend_jit_trace_get_exit_addr(exit_point);

				if (!exit_addr) {
					return 0;
				}
				//|	IF_NOT_ZVAL_TYPE op1_addr, IS_OBJECT, &exit_addr, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 105964, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 105968, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 105972, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 105976, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 105980, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 105985, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_OBJECT == 0) {
				dasm_put(Dst, 105990, (ZREG_X15), (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
					} else {
				dasm_put(Dst, 105994, (ZREG_X15), IS_OBJECT, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
					}
#line 12312 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	IF_NOT_ZVAL_TYPE op1_addr, IS_OBJECT, >7, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 106000, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 106004, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 106008, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 106012, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 106016, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 106021, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_OBJECT == 0) {
				dasm_put(Dst, 106026, (ZREG_X15));
					} else {
				dasm_put(Dst, 106030, (ZREG_X15), IS_OBJECT);
					}
#line 12314 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
		//|	GET_ZVAL_PTR FCARG1x, op1_addr, TMP1
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 106036, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 106039, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 106042, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 106045, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 106048, (Z_REG(op1_addr)));
			} else {
		dasm_put(Dst, 106051, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
#line 12317 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	if (!prop_info && trace_ce && (trace_ce->ce_flags & ZEND_ACC_IMMUTABLE)) {
		prop_info = zend_get_known_property_info(op_array, trace_ce, Z_STR_P(member), on_this, op_array->filename);
		if (prop_info) {
			ce = trace_ce;
			ce_is_instanceof = 0;
			if (!(op1_info & MAY_BE_CLASS_GUARD)) {
				if (on_this && JIT_G(current_frame)
				 && TRACE_FRAME_IS_THIS_CLASS_CHECKED(JIT_G(current_frame))) {
					ZEND_ASSERT(JIT_G(current_frame)->ce == ce);
				} else if (zend_jit_class_guard(Dst, opline, ce)) {
					if (on_this && JIT_G(current_frame)) {
						JIT_G(current_frame)->ce = ce;
						TRACE_FRAME_SET_THIS_CLASS_CHECKED(JIT_G(current_frame));
					}
				} else {
					return 0;
				}
				if (ssa->var_info && ssa_op->op1_use >= 0) {
					ssa->var_info[ssa_op->op1_use].type |= MAY_BE_CLASS_GUARD;
					ssa->var_info[ssa_op->op1_use].ce = ce;
					ssa->var_info[ssa_op->op1_use].is_instanceof = ce_is_instanceof;
				}
			}
		}
	}

	if (!prop_info) {
		//|	ldr REG0, EX->run_time_cache
		//|	MEM_ACCESS_64_WITH_UOFFSET ldr, REG2, REG0, (opline->extended_value & ~ZEND_FETCH_OBJ_FLAGS), TMP1
		dasm_put(Dst, 106055, Dt1(->run_time_cache));
			if (((uintptr_t)((opline->extended_value & ~ZEND_FETCH_OBJ_FLAGS))) > LDR_STR_PIMM64) {
			if (((uint32_t)((opline->extended_value & ~ZEND_FETCH_OBJ_FLAGS))) <= MOVZ_IMM) {
		dasm_put(Dst, 106058, ((uint32_t)((opline->extended_value & ~ZEND_FETCH_OBJ_FLAGS))));
			} else if (((uint32_t)((opline->extended_value & ~ZEND_FETCH_OBJ_FLAGS)) & 0xffff)) {
		dasm_put(Dst, 106061, ((uint32_t)((opline->extended_value & ~ZEND_FETCH_OBJ_FLAGS)) & 0xffff));
				if ((((uint32_t)((opline->extended_value & ~ZEND_FETCH_OBJ_FLAGS)) >> 16) & 0xffff)) {
		dasm_put(Dst, 106064, (((uint32_t)((opline->extended_value & ~ZEND_FETCH_OBJ_FLAGS)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 106067, (((uint32_t)((opline->extended_value & ~ZEND_FETCH_OBJ_FLAGS)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 106070);
			} else {
		dasm_put(Dst, 106072, ((opline->extended_value & ~ZEND_FETCH_OBJ_FLAGS)));
			}
#line 12348 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	ldr TMP1, [FCARG1x, #offsetof(zend_object, ce)]
		//|	cmp REG2, TMP1
		//|	bne >5
		//|	MEM_ACCESS_64_WITH_UOFFSET ldr, REG0, REG0, ((opline->extended_value & ~ZEND_FETCH_OBJ_FLAGS)  + sizeof(void*)), TMP1
		dasm_put(Dst, 106075, offsetof(zend_object, ce));
			if (((uintptr_t)(((opline->extended_value & ~ZEND_FETCH_OBJ_FLAGS)  + sizeof(void*)))) > LDR_STR_PIMM64) {
			if (((uint32_t)(((opline->extended_value & ~ZEND_FETCH_OBJ_FLAGS)  + sizeof(void*)))) <= MOVZ_IMM) {
		dasm_put(Dst, 106081, ((uint32_t)(((opline->extended_value & ~ZEND_FETCH_OBJ_FLAGS)  + sizeof(void*)))));
			} else if (((uint32_t)(((opline->extended_value & ~ZEND_FETCH_OBJ_FLAGS)  + sizeof(void*))) & 0xffff)) {
		dasm_put(Dst, 106084, ((uint32_t)(((opline->extended_value & ~ZEND_FETCH_OBJ_FLAGS)  + sizeof(void*))) & 0xffff));
				if ((((uint32_t)(((opline->extended_value & ~ZEND_FETCH_OBJ_FLAGS)  + sizeof(void*))) >> 16) & 0xffff)) {
		dasm_put(Dst, 106087, (((uint32_t)(((opline->extended_value & ~ZEND_FETCH_OBJ_FLAGS)  + sizeof(void*))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 106090, (((uint32_t)(((opline->extended_value & ~ZEND_FETCH_OBJ_FLAGS)  + sizeof(void*))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 106093);
			} else {
		dasm_put(Dst, 106095, (((opline->extended_value & ~ZEND_FETCH_OBJ_FLAGS)  + sizeof(void*))));
			}
#line 12352 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		may_be_dynamic = zend_may_be_dynamic_property(ce, Z_STR_P(member), opline->op1_type == IS_UNUSED, op_array->filename);
		if (may_be_dynamic) {
			//|	tst REG0, REG0
			dasm_put(Dst, 106098);
#line 12355 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (opline->opcode == ZEND_FETCH_OBJ_W) {
				//|	blt >5
				dasm_put(Dst, 106100);
#line 12357 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	blt >8 // dynamic property
				dasm_put(Dst, 106103);
#line 12359 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
		//|	add TMP1, FCARG1x, REG0
		//|	ldr REG2w, [TMP1, #offsetof(zval,u1.type_info)]
		//|	IF_UNDEF REG2w, >5
		//|	mov FCARG1x, TMP1
		dasm_put(Dst, 106106, offsetof(zval,u1.type_info));
#line 12365 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		type_loaded = 1;
		prop_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, 0);
		if (opline->opcode == ZEND_FETCH_OBJ_W
		 && (!ce ||	ce_is_instanceof || (ce->ce_flags & (ZEND_ACC_HAS_TYPE_HINTS|ZEND_ACC_TRAIT)))) {
			uint32_t flags = opline->extended_value & ZEND_FETCH_OBJ_FLAGS;

			//|	ldr REG0, EX->run_time_cache
			//|	MEM_ACCESS_64_WITH_UOFFSET ldr, FCARG2x, REG0, ((opline->extended_value & ~ZEND_FETCH_OBJ_FLAGS)  + sizeof(void*) * 2), TMP1
			dasm_put(Dst, 106113, Dt1(->run_time_cache));
				if (((uintptr_t)(((opline->extended_value & ~ZEND_FETCH_OBJ_FLAGS)  + sizeof(void*) * 2))) > LDR_STR_PIMM64) {
				if (((uint32_t)(((opline->extended_value & ~ZEND_FETCH_OBJ_FLAGS)  + sizeof(void*) * 2))) <= MOVZ_IMM) {
			dasm_put(Dst, 106116, ((uint32_t)(((opline->extended_value & ~ZEND_FETCH_OBJ_FLAGS)  + sizeof(void*) * 2))));
				} else if (((uint32_t)(((opline->extended_value & ~ZEND_FETCH_OBJ_FLAGS)  + sizeof(void*) * 2)) & 0xffff)) {
			dasm_put(Dst, 106119, ((uint32_t)(((opline->extended_value & ~ZEND_FETCH_OBJ_FLAGS)  + sizeof(void*) * 2)) & 0xffff));
					if ((((uint32_t)(((opline->extended_value & ~ZEND_FETCH_OBJ_FLAGS)  + sizeof(void*) * 2)) >> 16) & 0xffff)) {
			dasm_put(Dst, 106122, (((uint32_t)(((opline->extended_value & ~ZEND_FETCH_OBJ_FLAGS)  + sizeof(void*) * 2)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 106125, (((uint32_t)(((opline->extended_value & ~ZEND_FETCH_OBJ_FLAGS)  + sizeof(void*) * 2)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 106128);
				} else {
			dasm_put(Dst, 106130, (((opline->extended_value & ~ZEND_FETCH_OBJ_FLAGS)  + sizeof(void*) * 2)));
				}
#line 12373 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	cbnz FCARG2x, >1
			//|.cold_code
			dasm_put(Dst, 106133);
#line 12375 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|1:
			//|	ldr TMP1w, [FCARG2x, #offsetof(zend_property_info, flags)]
			//|	tst TMP1w, #ZEND_ACC_READONLY
			dasm_put(Dst, 106136, offsetof(zend_property_info, flags), ZEND_ACC_READONLY);
#line 12378 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (flags) {
				//|	beq >3
				dasm_put(Dst, 106142);
#line 12380 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	beq >4
				dasm_put(Dst, 106145);
#line 12382 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	IF_NOT_TYPE REG2w, IS_OBJECT_EX, >2
				if (IS_OBJECT_EX == 0) {
			dasm_put(Dst, 106148);
				} else {
			dasm_put(Dst, 106151, IS_OBJECT_EX);
				}
#line 12384 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	GET_Z_PTR REG2, FCARG1x
			//|	GC_ADDREF REG2, TMP1w
			//|	SET_ZVAL_PTR res_addr, REG2, TMP1
			dasm_put(Dst, 106156);
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 106161, ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 106164, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 106167, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 106170, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 106173, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 106176, (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
#line 12387 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	SET_ZVAL_TYPE_INFO res_addr, IS_OBJECT_EX, TMP1w, TMP2
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(IS_OBJECT_EX)) <= MOVZ_IMM) {
			dasm_put(Dst, 106180, ((uint32_t)(IS_OBJECT_EX)));
				} else if (((uint32_t)(IS_OBJECT_EX) & 0xffff)) {
			dasm_put(Dst, 106183, ((uint32_t)(IS_OBJECT_EX) & 0xffff));
					if ((((uint32_t)(IS_OBJECT_EX) >> 16) & 0xffff)) {
			dasm_put(Dst, 106186, (((uint32_t)(IS_OBJECT_EX) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 106189, (((uint32_t)(IS_OBJECT_EX) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 106192, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 106195, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 106198, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 106201, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 106204, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 106207, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
#line 12388 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	b >9
			//|2:
			//|	mov FCARG1x, FCARG2x
			//|	SET_EX_OPLINE opline, REG0
			dasm_put(Dst, 106211);
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 106216, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 106219);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 106221, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 106224, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 106227, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 106230, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 106233, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 106236, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 106239, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 106242, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 106245, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 106248, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 106251, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
#line 12392 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	EXT_CALL zend_readonly_property_modification_error, REG0
				if (arm64_may_use_b(zend_readonly_property_modification_error)) {
			dasm_put(Dst, 106254, (unsigned int)((ptrdiff_t)(zend_readonly_property_modification_error)), (unsigned int)(((ptrdiff_t)(zend_readonly_property_modification_error))>>32));
				} else {
				if (((uintptr_t)(zend_readonly_property_modification_error)) == 0) {
			dasm_put(Dst, 106257);
				} else if (((uintptr_t)(zend_readonly_property_modification_error)) <= MOVZ_IMM) {
			dasm_put(Dst, 106259, ((uint64_t)(zend_readonly_property_modification_error)));
				} else if (arm64_may_use_adr((void*)(zend_readonly_property_modification_error))) {
			dasm_put(Dst, 106262, (unsigned int)((ptrdiff_t)(zend_readonly_property_modification_error)), (unsigned int)(((ptrdiff_t)(zend_readonly_property_modification_error))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_readonly_property_modification_error))) {
			dasm_put(Dst, 106265, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_readonly_property_modification_error))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_readonly_property_modification_error)))))>>32));
					if (((uintptr_t)(zend_readonly_property_modification_error)) & 0xfff) {
			dasm_put(Dst, 106268, (((uintptr_t)(zend_readonly_property_modification_error)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_readonly_property_modification_error) & 0xffff) {
			dasm_put(Dst, 106271, ((uintptr_t)(zend_readonly_property_modification_error) & 0xffff));
					if (((uintptr_t)(zend_readonly_property_modification_error) >> 16) & 0xffff) {
			dasm_put(Dst, 106274, (((uintptr_t)(zend_readonly_property_modification_error) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_readonly_property_modification_error) >> 32) & 0xffff) {
			dasm_put(Dst, 106277, (((uintptr_t)(zend_readonly_property_modification_error) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_readonly_property_modification_error) >> 16) & 0xffff) {
			dasm_put(Dst, 106280, (((uintptr_t)(zend_readonly_property_modification_error) >> 16) & 0xffff));
					if (((uintptr_t)(zend_readonly_property_modification_error) >> 32) & 0xffff) {
			dasm_put(Dst, 106283, (((uintptr_t)(zend_readonly_property_modification_error) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 106286, (((uintptr_t)(zend_readonly_property_modification_error) >> 32) & 0xffff));
				}
			dasm_put(Dst, 106289);
				}
#line 12393 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	SET_ZVAL_TYPE_INFO res_addr, _IS_ERROR, TMP1w, TMP2
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(_IS_ERROR)) <= MOVZ_IMM) {
			dasm_put(Dst, 106291, ((uint32_t)(_IS_ERROR)));
				} else if (((uint32_t)(_IS_ERROR) & 0xffff)) {
			dasm_put(Dst, 106294, ((uint32_t)(_IS_ERROR) & 0xffff));
					if ((((uint32_t)(_IS_ERROR) >> 16) & 0xffff)) {
			dasm_put(Dst, 106297, (((uint32_t)(_IS_ERROR) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 106300, (((uint32_t)(_IS_ERROR) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 106303, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 106306, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 106309, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 106312, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 106315, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 106318, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
#line 12394 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	b >9
			//|3:
			dasm_put(Dst, 106322);
#line 12396 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (flags == ZEND_FETCH_DIM_WRITE) {
				//|	SET_EX_OPLINE opline, REG0
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 106326, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 106329);
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 106331, ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 106334, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 106337, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 106340, (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 106343, ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 106346, (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 106349, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 106352, (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 106355, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 106358, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 106361, Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
#line 12398 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	EXT_CALL zend_jit_check_array_promotion, REG0
					if (arm64_may_use_b(zend_jit_check_array_promotion)) {
				dasm_put(Dst, 106364, (unsigned int)((ptrdiff_t)(zend_jit_check_array_promotion)), (unsigned int)(((ptrdiff_t)(zend_jit_check_array_promotion))>>32));
					} else {
					if (((uintptr_t)(zend_jit_check_array_promotion)) == 0) {
				dasm_put(Dst, 106367);
					} else if (((uintptr_t)(zend_jit_check_array_promotion)) <= MOVZ_IMM) {
				dasm_put(Dst, 106369, ((uint64_t)(zend_jit_check_array_promotion)));
					} else if (arm64_may_use_adr((void*)(zend_jit_check_array_promotion))) {
				dasm_put(Dst, 106372, (unsigned int)((ptrdiff_t)(zend_jit_check_array_promotion)), (unsigned int)(((ptrdiff_t)(zend_jit_check_array_promotion))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_check_array_promotion))) {
				dasm_put(Dst, 106375, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_check_array_promotion))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_check_array_promotion)))))>>32));
						if (((uintptr_t)(zend_jit_check_array_promotion)) & 0xfff) {
				dasm_put(Dst, 106378, (((uintptr_t)(zend_jit_check_array_promotion)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_check_array_promotion) & 0xffff) {
				dasm_put(Dst, 106381, ((uintptr_t)(zend_jit_check_array_promotion) & 0xffff));
						if (((uintptr_t)(zend_jit_check_array_promotion) >> 16) & 0xffff) {
				dasm_put(Dst, 106384, (((uintptr_t)(zend_jit_check_array_promotion) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_check_array_promotion) >> 32) & 0xffff) {
				dasm_put(Dst, 106387, (((uintptr_t)(zend_jit_check_array_promotion) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_check_array_promotion) >> 16) & 0xffff) {
				dasm_put(Dst, 106390, (((uintptr_t)(zend_jit_check_array_promotion) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_check_array_promotion) >> 32) & 0xffff) {
				dasm_put(Dst, 106393, (((uintptr_t)(zend_jit_check_array_promotion) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 106396, (((uintptr_t)(zend_jit_check_array_promotion) >> 32) & 0xffff));
					}
				dasm_put(Dst, 106399);
					}
#line 12399 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	b >9
				dasm_put(Dst, 106401);
#line 12400 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else if (flags == ZEND_FETCH_REF) {
				//|	LOAD_ZVAL_ADDR CARG3, res_addr
					if (Z_MODE(res_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(res_addr))) == 0) {
				dasm_put(Dst, 106404);
					} else if (((uintptr_t)(Z_ZV(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 106406, ((uint64_t)(Z_ZV(res_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 106409, (unsigned int)((ptrdiff_t)(Z_ZV(res_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(res_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 106412, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(res_addr))) & 0xfff) {
				dasm_put(Dst, 106415, (((uintptr_t)(Z_ZV(res_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(res_addr)) & 0xffff) {
				dasm_put(Dst, 106418, ((uintptr_t)(Z_ZV(res_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 106421, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 106424, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 106427, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 106430, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 106433, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(res_addr)) {
					if (Z_OFFSET(res_addr) == 0) {
				dasm_put(Dst, 106436, (Z_REG(res_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(res_addr)))) {
				dasm_put(Dst, 106439, (Z_REG(res_addr)), Z_OFFSET(res_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 106443, ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 106446, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 106449, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 106452, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 106455, (Z_REG(res_addr)));
					}
						} else {
							if (Z_REG(res_addr) == ZREG_RSP) {
				dasm_put(Dst, 106458);
							} else {
				dasm_put(Dst, 106460, (Z_REG(res_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 12402 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	EXT_CALL zend_jit_create_typed_ref, REG0
					if (arm64_may_use_b(zend_jit_create_typed_ref)) {
				dasm_put(Dst, 106463, (unsigned int)((ptrdiff_t)(zend_jit_create_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_create_typed_ref))>>32));
					} else {
					if (((uintptr_t)(zend_jit_create_typed_ref)) == 0) {
				dasm_put(Dst, 106466);
					} else if (((uintptr_t)(zend_jit_create_typed_ref)) <= MOVZ_IMM) {
				dasm_put(Dst, 106468, ((uint64_t)(zend_jit_create_typed_ref)));
					} else if (arm64_may_use_adr((void*)(zend_jit_create_typed_ref))) {
				dasm_put(Dst, 106471, (unsigned int)((ptrdiff_t)(zend_jit_create_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_create_typed_ref))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_create_typed_ref))) {
				dasm_put(Dst, 106474, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_create_typed_ref))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_create_typed_ref)))))>>32));
						if (((uintptr_t)(zend_jit_create_typed_ref)) & 0xfff) {
				dasm_put(Dst, 106477, (((uintptr_t)(zend_jit_create_typed_ref)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_create_typed_ref) & 0xffff) {
				dasm_put(Dst, 106480, ((uintptr_t)(zend_jit_create_typed_ref) & 0xffff));
						if (((uintptr_t)(zend_jit_create_typed_ref) >> 16) & 0xffff) {
				dasm_put(Dst, 106483, (((uintptr_t)(zend_jit_create_typed_ref) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_create_typed_ref) >> 32) & 0xffff) {
				dasm_put(Dst, 106486, (((uintptr_t)(zend_jit_create_typed_ref) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_create_typed_ref) >> 16) & 0xffff) {
				dasm_put(Dst, 106489, (((uintptr_t)(zend_jit_create_typed_ref) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_create_typed_ref) >> 32) & 0xffff) {
				dasm_put(Dst, 106492, (((uintptr_t)(zend_jit_create_typed_ref) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 106495, (((uintptr_t)(zend_jit_create_typed_ref) >> 32) & 0xffff));
					}
				dasm_put(Dst, 106498);
					}
#line 12403 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	b >9
				dasm_put(Dst, 106500);
#line 12404 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				ZEND_ASSERT(flags == 0);
			}
			//|.code
			dasm_put(Dst, 106503);
#line 12408 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|4:
			dasm_put(Dst, 106504);
#line 12409 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else {
		prop_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, prop_info->offset);
		if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE) {
			if (opline->opcode == ZEND_FETCH_OBJ_W || !(res_info & MAY_BE_GUARD) || !JIT_G(current_frame)) {
				/* perform IS_UNDEF check only after result type guard (during deoptimization) */
				int32_t exit_point = zend_jit_trace_get_exit_point(opline, ZEND_JIT_EXIT_TO_VM);
				const void *exit_addr = zend_jit_trace_get_exit_addr(exit_point);

				if (!exit_addr) {
					return 0;
				}
				type_loaded = 1;
				//|	MEM_ACCESS_32_WITH_UOFFSET ldr, REG2w, FCARG1x, (prop_info->offset + offsetof(zval,u1.type_info)), TMP1
					if (((uintptr_t)((prop_info->offset + offsetof(zval,u1.type_info)))) > LDR_STR_PIMM32) {
					if (((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info)))) <= MOVZ_IMM) {
				dasm_put(Dst, 106506, ((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info)))));
					} else if (((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info))) & 0xffff)) {
				dasm_put(Dst, 106509, ((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info))) & 0xffff));
						if ((((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info))) >> 16) & 0xffff)) {
				dasm_put(Dst, 106512, (((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info))) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 106515, (((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info))) >> 16) & 0xffff));
					}
				dasm_put(Dst, 106518);
					} else {
				dasm_put(Dst, 106520, ((prop_info->offset + offsetof(zval,u1.type_info))));
					}
#line 12423 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	IF_UNDEF REG2w, &exit_addr
				dasm_put(Dst, 106523, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 12424 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else {
			type_loaded = 1;
			//|	MEM_ACCESS_32_WITH_UOFFSET ldr, REG2w, FCARG1x, (prop_info->offset + offsetof(zval,u1.type_info)), TMP1
				if (((uintptr_t)((prop_info->offset + offsetof(zval,u1.type_info)))) > LDR_STR_PIMM32) {
				if (((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info)))) <= MOVZ_IMM) {
			dasm_put(Dst, 106526, ((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info)))));
				} else if (((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info))) & 0xffff)) {
			dasm_put(Dst, 106529, ((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info))) & 0xffff));
					if ((((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info))) >> 16) & 0xffff)) {
			dasm_put(Dst, 106532, (((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info))) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 106535, (((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info))) >> 16) & 0xffff));
				}
			dasm_put(Dst, 106538);
				} else {
			dasm_put(Dst, 106540, ((prop_info->offset + offsetof(zval,u1.type_info))));
				}
#line 12428 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	IF_UNDEF REG2w, >5
			dasm_put(Dst, 106543);
#line 12429 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (opline->opcode == ZEND_FETCH_OBJ_W && (prop_info->flags & ZEND_ACC_READONLY)) {
			if (!type_loaded) {
				type_loaded = 1;
				//|	MEM_ACCESS_32_WITH_UOFFSET ldr, REG2w, FCARG1x, (prop_info->offset + offsetof(zval,u1.type_info)), TMP1
					if (((uintptr_t)((prop_info->offset + offsetof(zval,u1.type_info)))) > LDR_STR_PIMM32) {
					if (((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info)))) <= MOVZ_IMM) {
				dasm_put(Dst, 106546, ((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info)))));
					} else if (((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info))) & 0xffff)) {
				dasm_put(Dst, 106549, ((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info))) & 0xffff));
						if ((((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info))) >> 16) & 0xffff)) {
				dasm_put(Dst, 106552, (((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info))) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 106555, (((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info))) >> 16) & 0xffff));
					}
				dasm_put(Dst, 106558);
					} else {
				dasm_put(Dst, 106560, ((prop_info->offset + offsetof(zval,u1.type_info))));
					}
#line 12434 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	IF_NOT_TYPE REG2w, IS_OBJECT_EX, >4
				if (IS_OBJECT_EX == 0) {
			dasm_put(Dst, 106563);
				} else {
			dasm_put(Dst, 106566, IS_OBJECT_EX);
				}
#line 12436 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	GET_ZVAL_PTR REG2, prop_addr, TMP1
				ZEND_ASSERT(Z_MODE(prop_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(prop_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(prop_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 106571, ((uint32_t)(Z_OFFSET(prop_addr))));
				} else if (((uint32_t)(Z_OFFSET(prop_addr)) & 0xffff)) {
			dasm_put(Dst, 106574, ((uint32_t)(Z_OFFSET(prop_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 106577, (((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 106580, (((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 106583, (Z_REG(prop_addr)));
				} else {
			dasm_put(Dst, 106586, (Z_REG(prop_addr)), (Z_OFFSET(prop_addr)));
				}
#line 12437 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	GC_ADDREF REG2, TMP1w
			//|	SET_ZVAL_PTR res_addr, REG2, TMP1
			dasm_put(Dst, 106590);
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 106594, ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 106597, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 106600, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 106603, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 106606, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 106609, (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
#line 12439 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	SET_ZVAL_TYPE_INFO res_addr, IS_OBJECT_EX, TMP1w, TMP2
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(IS_OBJECT_EX)) <= MOVZ_IMM) {
			dasm_put(Dst, 106613, ((uint32_t)(IS_OBJECT_EX)));
				} else if (((uint32_t)(IS_OBJECT_EX) & 0xffff)) {
			dasm_put(Dst, 106616, ((uint32_t)(IS_OBJECT_EX) & 0xffff));
					if ((((uint32_t)(IS_OBJECT_EX) >> 16) & 0xffff)) {
			dasm_put(Dst, 106619, (((uint32_t)(IS_OBJECT_EX) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 106622, (((uint32_t)(IS_OBJECT_EX) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 106625, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 106628, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 106631, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 106634, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 106637, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 106640, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
#line 12440 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	b >9
			//|.cold_code
			dasm_put(Dst, 106644);
#line 12442 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|4:
			//|	LOAD_ADDR FCARG1x, prop_info
			dasm_put(Dst, 106647);
				if (((uintptr_t)(prop_info)) == 0) {
			dasm_put(Dst, 106649);
				} else if (((uintptr_t)(prop_info)) <= MOVZ_IMM) {
			dasm_put(Dst, 106651, ((uint64_t)(prop_info)));
				} else if (arm64_may_use_adr((void*)(prop_info))) {
			dasm_put(Dst, 106654, (unsigned int)((ptrdiff_t)(prop_info)), (unsigned int)(((ptrdiff_t)(prop_info))>>32));
				} else if (arm64_may_use_adrp((void*)(prop_info))) {
			dasm_put(Dst, 106657, (unsigned int)((ptrdiff_t)((((uintptr_t)(prop_info))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(prop_info)))))>>32));
					if (((uintptr_t)(prop_info)) & 0xfff) {
			dasm_put(Dst, 106660, (((uintptr_t)(prop_info)) & 0xfff));
					}
				} else if ((uintptr_t)(prop_info) & 0xffff) {
			dasm_put(Dst, 106663, ((uintptr_t)(prop_info) & 0xffff));
					if (((uintptr_t)(prop_info) >> 16) & 0xffff) {
			dasm_put(Dst, 106666, (((uintptr_t)(prop_info) >> 16) & 0xffff));
					}
					if (((uintptr_t)(prop_info) >> 32) & 0xffff) {
			dasm_put(Dst, 106669, (((uintptr_t)(prop_info) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(prop_info) >> 16) & 0xffff) {
			dasm_put(Dst, 106672, (((uintptr_t)(prop_info) >> 16) & 0xffff));
					if (((uintptr_t)(prop_info) >> 32) & 0xffff) {
			dasm_put(Dst, 106675, (((uintptr_t)(prop_info) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 106678, (((uintptr_t)(prop_info) >> 32) & 0xffff));
				}
#line 12444 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	SET_EX_OPLINE opline, REG0
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 106681, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 106684);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 106686, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 106689, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 106692, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 106695, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 106698, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 106701, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 106704, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 106707, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 106710, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 106713, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 106716, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
#line 12445 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	EXT_CALL zend_readonly_property_modification_error, REG0
				if (arm64_may_use_b(zend_readonly_property_modification_error)) {
			dasm_put(Dst, 106719, (unsigned int)((ptrdiff_t)(zend_readonly_property_modification_error)), (unsigned int)(((ptrdiff_t)(zend_readonly_property_modification_error))>>32));
				} else {
				if (((uintptr_t)(zend_readonly_property_modification_error)) == 0) {
			dasm_put(Dst, 106722);
				} else if (((uintptr_t)(zend_readonly_property_modification_error)) <= MOVZ_IMM) {
			dasm_put(Dst, 106724, ((uint64_t)(zend_readonly_property_modification_error)));
				} else if (arm64_may_use_adr((void*)(zend_readonly_property_modification_error))) {
			dasm_put(Dst, 106727, (unsigned int)((ptrdiff_t)(zend_readonly_property_modification_error)), (unsigned int)(((ptrdiff_t)(zend_readonly_property_modification_error))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_readonly_property_modification_error))) {
			dasm_put(Dst, 106730, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_readonly_property_modification_error))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_readonly_property_modification_error)))))>>32));
					if (((uintptr_t)(zend_readonly_property_modification_error)) & 0xfff) {
			dasm_put(Dst, 106733, (((uintptr_t)(zend_readonly_property_modification_error)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_readonly_property_modification_error) & 0xffff) {
			dasm_put(Dst, 106736, ((uintptr_t)(zend_readonly_property_modification_error) & 0xffff));
					if (((uintptr_t)(zend_readonly_property_modification_error) >> 16) & 0xffff) {
			dasm_put(Dst, 106739, (((uintptr_t)(zend_readonly_property_modification_error) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_readonly_property_modification_error) >> 32) & 0xffff) {
			dasm_put(Dst, 106742, (((uintptr_t)(zend_readonly_property_modification_error) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_readonly_property_modification_error) >> 16) & 0xffff) {
			dasm_put(Dst, 106745, (((uintptr_t)(zend_readonly_property_modification_error) >> 16) & 0xffff));
					if (((uintptr_t)(zend_readonly_property_modification_error) >> 32) & 0xffff) {
			dasm_put(Dst, 106748, (((uintptr_t)(zend_readonly_property_modification_error) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 106751, (((uintptr_t)(zend_readonly_property_modification_error) >> 32) & 0xffff));
				}
			dasm_put(Dst, 106754);
				}
#line 12446 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	SET_ZVAL_TYPE_INFO res_addr, _IS_ERROR, TMP1w, TMP2
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(_IS_ERROR)) <= MOVZ_IMM) {
			dasm_put(Dst, 106756, ((uint32_t)(_IS_ERROR)));
				} else if (((uint32_t)(_IS_ERROR) & 0xffff)) {
			dasm_put(Dst, 106759, ((uint32_t)(_IS_ERROR) & 0xffff));
					if ((((uint32_t)(_IS_ERROR) >> 16) & 0xffff)) {
			dasm_put(Dst, 106762, (((uint32_t)(_IS_ERROR) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 106765, (((uint32_t)(_IS_ERROR) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 106768, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 106771, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 106774, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 106777, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 106780, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 106783, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
#line 12447 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	b >9
			//|.code
			dasm_put(Dst, 106787);
#line 12449 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (opline->opcode == ZEND_FETCH_OBJ_W
		 && (opline->extended_value & ZEND_FETCH_OBJ_FLAGS)
		 && ZEND_TYPE_IS_SET(prop_info->type)) {
			uint32_t flags = opline->extended_value & ZEND_FETCH_OBJ_FLAGS;

			if (flags == ZEND_FETCH_DIM_WRITE) {
				if ((ZEND_TYPE_FULL_MASK(prop_info->type) & (MAY_BE_ITERABLE|MAY_BE_ARRAY)) == 0) {
					if (!type_loaded) {
						type_loaded = 1;
						//|	MEM_ACCESS_32_WITH_UOFFSET ldr, REG2w, FCARG1x, (prop_info->offset + offsetof(zval,u1.type_info)), TMP1
							if (((uintptr_t)((prop_info->offset + offsetof(zval,u1.type_info)))) > LDR_STR_PIMM32) {
							if (((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info)))) <= MOVZ_IMM) {
						dasm_put(Dst, 106790, ((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info)))));
							} else if (((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info))) & 0xffff)) {
						dasm_put(Dst, 106793, ((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info))) & 0xffff));
								if ((((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info))) >> 16) & 0xffff)) {
						dasm_put(Dst, 106796, (((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info))) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 106799, (((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info))) >> 16) & 0xffff));
							}
						dasm_put(Dst, 106802);
							} else {
						dasm_put(Dst, 106804, ((prop_info->offset + offsetof(zval,u1.type_info))));
							}
#line 12460 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					//|	cmp REG2w, #IS_FALSE
					//|	ble >1
					//|.cold_code
					dasm_put(Dst, 106807, IS_FALSE);
#line 12464 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|1:
					dasm_put(Dst, 106812);
#line 12465 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					if (Z_REG(prop_addr) != ZREG_FCARG1 || Z_OFFSET(prop_addr) != 0) {
						//|	LOAD_ZVAL_ADDR FCARG1x, prop_addr
							if (Z_MODE(prop_addr) == IS_CONST_ZVAL) {
							if (((uintptr_t)(Z_ZV(prop_addr))) == 0) {
						dasm_put(Dst, 106814);
							} else if (((uintptr_t)(Z_ZV(prop_addr))) <= MOVZ_IMM) {
						dasm_put(Dst, 106816, ((uint64_t)(Z_ZV(prop_addr))));
							} else if (arm64_may_use_adr((void*)(Z_ZV(prop_addr)))) {
						dasm_put(Dst, 106819, (unsigned int)((ptrdiff_t)(Z_ZV(prop_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(prop_addr)))>>32));
							} else if (arm64_may_use_adrp((void*)(Z_ZV(prop_addr)))) {
						dasm_put(Dst, 106822, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(prop_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(prop_addr))))))>>32));
								if (((uintptr_t)(Z_ZV(prop_addr))) & 0xfff) {
						dasm_put(Dst, 106825, (((uintptr_t)(Z_ZV(prop_addr))) & 0xfff));
								}
							} else if ((uintptr_t)(Z_ZV(prop_addr)) & 0xffff) {
						dasm_put(Dst, 106828, ((uintptr_t)(Z_ZV(prop_addr)) & 0xffff));
								if (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff) {
						dasm_put(Dst, 106831, (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff));
								}
								if (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff) {
						dasm_put(Dst, 106834, (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff) {
						dasm_put(Dst, 106837, (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff));
								if (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff) {
						dasm_put(Dst, 106840, (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 106843, (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff));
							}
							} else if (Z_MODE(prop_addr) == IS_MEM_ZVAL) {
								if (Z_OFFSET(prop_addr)) {
							if (Z_OFFSET(prop_addr) == 0) {
						dasm_put(Dst, 106846, (Z_REG(prop_addr)));
							} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(prop_addr)))) {
						dasm_put(Dst, 106849, (Z_REG(prop_addr)), Z_OFFSET(prop_addr));
							} else {
							if (((uint32_t)(Z_OFFSET(prop_addr))) <= MOVZ_IMM) {
						dasm_put(Dst, 106853, ((uint32_t)(Z_OFFSET(prop_addr))));
							} else if (((uint32_t)(Z_OFFSET(prop_addr)) & 0xffff)) {
						dasm_put(Dst, 106856, ((uint32_t)(Z_OFFSET(prop_addr)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff)) {
						dasm_put(Dst, 106859, (((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 106862, (((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 106865, (Z_REG(prop_addr)));
							}
								} else {
									if (Z_REG(prop_addr) == ZREG_RSP) {
						dasm_put(Dst, 106868);
									} else {
						dasm_put(Dst, 106870, (Z_REG(prop_addr)));
									}
								}
							} else {
								ZEND_UNREACHABLE();
							}
#line 12467 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					//|	LOAD_ADDR FCARG2x, prop_info
						if (((uintptr_t)(prop_info)) == 0) {
					dasm_put(Dst, 106873);
						} else if (((uintptr_t)(prop_info)) <= MOVZ_IMM) {
					dasm_put(Dst, 106875, ((uint64_t)(prop_info)));
						} else if (arm64_may_use_adr((void*)(prop_info))) {
					dasm_put(Dst, 106878, (unsigned int)((ptrdiff_t)(prop_info)), (unsigned int)(((ptrdiff_t)(prop_info))>>32));
						} else if (arm64_may_use_adrp((void*)(prop_info))) {
					dasm_put(Dst, 106881, (unsigned int)((ptrdiff_t)((((uintptr_t)(prop_info))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(prop_info)))))>>32));
							if (((uintptr_t)(prop_info)) & 0xfff) {
					dasm_put(Dst, 106884, (((uintptr_t)(prop_info)) & 0xfff));
							}
						} else if ((uintptr_t)(prop_info) & 0xffff) {
					dasm_put(Dst, 106887, ((uintptr_t)(prop_info) & 0xffff));
							if (((uintptr_t)(prop_info) >> 16) & 0xffff) {
					dasm_put(Dst, 106890, (((uintptr_t)(prop_info) >> 16) & 0xffff));
							}
							if (((uintptr_t)(prop_info) >> 32) & 0xffff) {
					dasm_put(Dst, 106893, (((uintptr_t)(prop_info) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(prop_info) >> 16) & 0xffff) {
					dasm_put(Dst, 106896, (((uintptr_t)(prop_info) >> 16) & 0xffff));
							if (((uintptr_t)(prop_info) >> 32) & 0xffff) {
					dasm_put(Dst, 106899, (((uintptr_t)(prop_info) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 106902, (((uintptr_t)(prop_info) >> 32) & 0xffff));
						}
#line 12469 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	SET_EX_OPLINE opline, REG0
						if (opline == last_valid_opline) {
							zend_jit_use_last_valid_opline();
						if (GCC_GLOBAL_REGS) {
					dasm_put(Dst, 106905, Dt1(->opline));
						}
						} else {
						if (((uintptr_t)(opline)) == 0) {
					dasm_put(Dst, 106908);
						} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
					dasm_put(Dst, 106910, ((uint64_t)(opline)));
						} else if (arm64_may_use_adr((void*)(opline))) {
					dasm_put(Dst, 106913, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
						} else if (arm64_may_use_adrp((void*)(opline))) {
					dasm_put(Dst, 106916, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
							if (((uintptr_t)(opline)) & 0xfff) {
					dasm_put(Dst, 106919, (((uintptr_t)(opline)) & 0xfff));
							}
						} else if ((uintptr_t)(opline) & 0xffff) {
					dasm_put(Dst, 106922, ((uintptr_t)(opline) & 0xffff));
							if (((uintptr_t)(opline) >> 16) & 0xffff) {
					dasm_put(Dst, 106925, (((uintptr_t)(opline) >> 16) & 0xffff));
							}
							if (((uintptr_t)(opline) >> 32) & 0xffff) {
					dasm_put(Dst, 106928, (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
					dasm_put(Dst, 106931, (((uintptr_t)(opline) >> 16) & 0xffff));
							if (((uintptr_t)(opline) >> 32) & 0xffff) {
					dasm_put(Dst, 106934, (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 106937, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					dasm_put(Dst, 106940, Dt1(->opline));
							if (!GCC_GLOBAL_REGS) {
								zend_jit_reset_last_valid_opline();
							}
						}
#line 12470 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	EXT_CALL zend_jit_check_array_promotion, REG0
						if (arm64_may_use_b(zend_jit_check_array_promotion)) {
					dasm_put(Dst, 106943, (unsigned int)((ptrdiff_t)(zend_jit_check_array_promotion)), (unsigned int)(((ptrdiff_t)(zend_jit_check_array_promotion))>>32));
						} else {
						if (((uintptr_t)(zend_jit_check_array_promotion)) == 0) {
					dasm_put(Dst, 106946);
						} else if (((uintptr_t)(zend_jit_check_array_promotion)) <= MOVZ_IMM) {
					dasm_put(Dst, 106948, ((uint64_t)(zend_jit_check_array_promotion)));
						} else if (arm64_may_use_adr((void*)(zend_jit_check_array_promotion))) {
					dasm_put(Dst, 106951, (unsigned int)((ptrdiff_t)(zend_jit_check_array_promotion)), (unsigned int)(((ptrdiff_t)(zend_jit_check_array_promotion))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_jit_check_array_promotion))) {
					dasm_put(Dst, 106954, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_check_array_promotion))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_check_array_promotion)))))>>32));
							if (((uintptr_t)(zend_jit_check_array_promotion)) & 0xfff) {
					dasm_put(Dst, 106957, (((uintptr_t)(zend_jit_check_array_promotion)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_jit_check_array_promotion) & 0xffff) {
					dasm_put(Dst, 106960, ((uintptr_t)(zend_jit_check_array_promotion) & 0xffff));
							if (((uintptr_t)(zend_jit_check_array_promotion) >> 16) & 0xffff) {
					dasm_put(Dst, 106963, (((uintptr_t)(zend_jit_check_array_promotion) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_jit_check_array_promotion) >> 32) & 0xffff) {
					dasm_put(Dst, 106966, (((uintptr_t)(zend_jit_check_array_promotion) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_jit_check_array_promotion) >> 16) & 0xffff) {
					dasm_put(Dst, 106969, (((uintptr_t)(zend_jit_check_array_promotion) >> 16) & 0xffff));
							if (((uintptr_t)(zend_jit_check_array_promotion) >> 32) & 0xffff) {
					dasm_put(Dst, 106972, (((uintptr_t)(zend_jit_check_array_promotion) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 106975, (((uintptr_t)(zend_jit_check_array_promotion) >> 32) & 0xffff));
						}
					dasm_put(Dst, 106978);
						}
#line 12471 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	b >9
					//|.code
					dasm_put(Dst, 106980);
#line 12473 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else if (flags == ZEND_FETCH_REF) {
				if (!type_loaded) {
					type_loaded = 1;
					//|	MEM_ACCESS_32_WITH_UOFFSET ldr, REG2w, FCARG1x, (prop_info->offset + offsetof(zval,u1.type_info)), TMP1
						if (((uintptr_t)((prop_info->offset + offsetof(zval,u1.type_info)))) > LDR_STR_PIMM32) {
						if (((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info)))) <= MOVZ_IMM) {
					dasm_put(Dst, 106983, ((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info)))));
						} else if (((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info))) & 0xffff)) {
					dasm_put(Dst, 106986, ((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info))) & 0xffff));
							if ((((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info))) >> 16) & 0xffff)) {
					dasm_put(Dst, 106989, (((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info))) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 106992, (((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info))) >> 16) & 0xffff));
						}
					dasm_put(Dst, 106995);
						} else {
					dasm_put(Dst, 106997, ((prop_info->offset + offsetof(zval,u1.type_info))));
						}
#line 12478 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|	GET_LOW_8BITS TMP1w, REG2w
				//|	IF_TYPE TMP1w, IS_REFERENCE, >1
				dasm_put(Dst, 107000);
					if (IS_REFERENCE == 0) {
				dasm_put(Dst, 107002);
					} else {
				dasm_put(Dst, 107005, IS_REFERENCE);
					}
#line 12481 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				if (ce && ce->ce_flags & ZEND_ACC_IMMUTABLE) {
					//|	LOAD_ADDR FCARG2x, prop_info
						if (((uintptr_t)(prop_info)) == 0) {
					dasm_put(Dst, 107010);
						} else if (((uintptr_t)(prop_info)) <= MOVZ_IMM) {
					dasm_put(Dst, 107012, ((uint64_t)(prop_info)));
						} else if (arm64_may_use_adr((void*)(prop_info))) {
					dasm_put(Dst, 107015, (unsigned int)((ptrdiff_t)(prop_info)), (unsigned int)(((ptrdiff_t)(prop_info))>>32));
						} else if (arm64_may_use_adrp((void*)(prop_info))) {
					dasm_put(Dst, 107018, (unsigned int)((ptrdiff_t)((((uintptr_t)(prop_info))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(prop_info)))))>>32));
							if (((uintptr_t)(prop_info)) & 0xfff) {
					dasm_put(Dst, 107021, (((uintptr_t)(prop_info)) & 0xfff));
							}
						} else if ((uintptr_t)(prop_info) & 0xffff) {
					dasm_put(Dst, 107024, ((uintptr_t)(prop_info) & 0xffff));
							if (((uintptr_t)(prop_info) >> 16) & 0xffff) {
					dasm_put(Dst, 107027, (((uintptr_t)(prop_info) >> 16) & 0xffff));
							}
							if (((uintptr_t)(prop_info) >> 32) & 0xffff) {
					dasm_put(Dst, 107030, (((uintptr_t)(prop_info) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(prop_info) >> 16) & 0xffff) {
					dasm_put(Dst, 107033, (((uintptr_t)(prop_info) >> 16) & 0xffff));
							if (((uintptr_t)(prop_info) >> 32) & 0xffff) {
					dasm_put(Dst, 107036, (((uintptr_t)(prop_info) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 107039, (((uintptr_t)(prop_info) >> 32) & 0xffff));
						}
#line 12483 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					int prop_info_offset =
						(((prop_info->offset - (sizeof(zend_object) - sizeof(zval))) / sizeof(zval)) * sizeof(void*));

					//|	ldr REG0, [FCARG1x, #offsetof(zend_object, ce)]
					//|	ldr	REG0, [REG0, #offsetof(zend_class_entry, properties_info_table)]
					//|	MEM_ACCESS_64_WITH_UOFFSET ldr, FCARG2x, REG0, prop_info_offset, TMP1
					dasm_put(Dst, 107042, offsetof(zend_object, ce), offsetof(zend_class_entry, properties_info_table));
						if (((uintptr_t)(prop_info_offset)) > LDR_STR_PIMM64) {
						if (((uint32_t)(prop_info_offset)) <= MOVZ_IMM) {
					dasm_put(Dst, 107047, ((uint32_t)(prop_info_offset)));
						} else if (((uint32_t)(prop_info_offset) & 0xffff)) {
					dasm_put(Dst, 107050, ((uint32_t)(prop_info_offset) & 0xffff));
							if ((((uint32_t)(prop_info_offset) >> 16) & 0xffff)) {
					dasm_put(Dst, 107053, (((uint32_t)(prop_info_offset) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 107056, (((uint32_t)(prop_info_offset) >> 16) & 0xffff));
						}
					dasm_put(Dst, 107059);
						} else {
					dasm_put(Dst, 107061, (prop_info_offset));
						}
#line 12490 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				if (Z_REG(prop_addr) != ZREG_FCARG1 || Z_OFFSET(prop_addr) != 0) {
					//|	LOAD_ZVAL_ADDR FCARG1x, prop_addr
						if (Z_MODE(prop_addr) == IS_CONST_ZVAL) {
						if (((uintptr_t)(Z_ZV(prop_addr))) == 0) {
					dasm_put(Dst, 107064);
						} else if (((uintptr_t)(Z_ZV(prop_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 107066, ((uint64_t)(Z_ZV(prop_addr))));
						} else if (arm64_may_use_adr((void*)(Z_ZV(prop_addr)))) {
					dasm_put(Dst, 107069, (unsigned int)((ptrdiff_t)(Z_ZV(prop_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(prop_addr)))>>32));
						} else if (arm64_may_use_adrp((void*)(Z_ZV(prop_addr)))) {
					dasm_put(Dst, 107072, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(prop_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(prop_addr))))))>>32));
							if (((uintptr_t)(Z_ZV(prop_addr))) & 0xfff) {
					dasm_put(Dst, 107075, (((uintptr_t)(Z_ZV(prop_addr))) & 0xfff));
							}
						} else if ((uintptr_t)(Z_ZV(prop_addr)) & 0xffff) {
					dasm_put(Dst, 107078, ((uintptr_t)(Z_ZV(prop_addr)) & 0xffff));
							if (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 107081, (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 107084, (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 107087, (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff));
							if (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 107090, (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 107093, (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff));
						}
						} else if (Z_MODE(prop_addr) == IS_MEM_ZVAL) {
							if (Z_OFFSET(prop_addr)) {
						if (Z_OFFSET(prop_addr) == 0) {
					dasm_put(Dst, 107096, (Z_REG(prop_addr)));
						} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(prop_addr)))) {
					dasm_put(Dst, 107099, (Z_REG(prop_addr)), Z_OFFSET(prop_addr));
						} else {
						if (((uint32_t)(Z_OFFSET(prop_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 107103, ((uint32_t)(Z_OFFSET(prop_addr))));
						} else if (((uint32_t)(Z_OFFSET(prop_addr)) & 0xffff)) {
					dasm_put(Dst, 107106, ((uint32_t)(Z_OFFSET(prop_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 107109, (((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 107112, (((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 107115, (Z_REG(prop_addr)));
						}
							} else {
								if (Z_REG(prop_addr) == ZREG_RSP) {
					dasm_put(Dst, 107118);
								} else {
					dasm_put(Dst, 107120, (Z_REG(prop_addr)));
								}
							}
						} else {
							ZEND_UNREACHABLE();
						}
#line 12493 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|	LOAD_ZVAL_ADDR CARG3, res_addr
					if (Z_MODE(res_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(res_addr))) == 0) {
				dasm_put(Dst, 107123);
					} else if (((uintptr_t)(Z_ZV(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 107125, ((uint64_t)(Z_ZV(res_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 107128, (unsigned int)((ptrdiff_t)(Z_ZV(res_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(res_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 107131, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(res_addr))) & 0xfff) {
				dasm_put(Dst, 107134, (((uintptr_t)(Z_ZV(res_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(res_addr)) & 0xffff) {
				dasm_put(Dst, 107137, ((uintptr_t)(Z_ZV(res_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 107140, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 107143, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 107146, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 107149, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 107152, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(res_addr)) {
					if (Z_OFFSET(res_addr) == 0) {
				dasm_put(Dst, 107155, (Z_REG(res_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(res_addr)))) {
				dasm_put(Dst, 107158, (Z_REG(res_addr)), Z_OFFSET(res_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 107162, ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 107165, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 107168, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 107171, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 107174, (Z_REG(res_addr)));
					}
						} else {
							if (Z_REG(res_addr) == ZREG_RSP) {
				dasm_put(Dst, 107177);
							} else {
				dasm_put(Dst, 107179, (Z_REG(res_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 12495 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	EXT_CALL zend_jit_create_typed_ref, REG0
					if (arm64_may_use_b(zend_jit_create_typed_ref)) {
				dasm_put(Dst, 107182, (unsigned int)((ptrdiff_t)(zend_jit_create_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_create_typed_ref))>>32));
					} else {
					if (((uintptr_t)(zend_jit_create_typed_ref)) == 0) {
				dasm_put(Dst, 107185);
					} else if (((uintptr_t)(zend_jit_create_typed_ref)) <= MOVZ_IMM) {
				dasm_put(Dst, 107187, ((uint64_t)(zend_jit_create_typed_ref)));
					} else if (arm64_may_use_adr((void*)(zend_jit_create_typed_ref))) {
				dasm_put(Dst, 107190, (unsigned int)((ptrdiff_t)(zend_jit_create_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_create_typed_ref))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_create_typed_ref))) {
				dasm_put(Dst, 107193, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_create_typed_ref))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_create_typed_ref)))))>>32));
						if (((uintptr_t)(zend_jit_create_typed_ref)) & 0xfff) {
				dasm_put(Dst, 107196, (((uintptr_t)(zend_jit_create_typed_ref)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_create_typed_ref) & 0xffff) {
				dasm_put(Dst, 107199, ((uintptr_t)(zend_jit_create_typed_ref) & 0xffff));
						if (((uintptr_t)(zend_jit_create_typed_ref) >> 16) & 0xffff) {
				dasm_put(Dst, 107202, (((uintptr_t)(zend_jit_create_typed_ref) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_create_typed_ref) >> 32) & 0xffff) {
				dasm_put(Dst, 107205, (((uintptr_t)(zend_jit_create_typed_ref) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_create_typed_ref) >> 16) & 0xffff) {
				dasm_put(Dst, 107208, (((uintptr_t)(zend_jit_create_typed_ref) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_create_typed_ref) >> 32) & 0xffff) {
				dasm_put(Dst, 107211, (((uintptr_t)(zend_jit_create_typed_ref) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 107214, (((uintptr_t)(zend_jit_create_typed_ref) >> 32) & 0xffff));
					}
				dasm_put(Dst, 107217);
					}
#line 12496 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	b >9
				//|1:
				dasm_put(Dst, 107219);
#line 12498 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				ZEND_UNREACHABLE();
			}
		}
	}
	if (opline->opcode == ZEND_FETCH_OBJ_W) {
		if (Z_REG(prop_addr) != ZREG_FCARG1 || Z_OFFSET(prop_addr) != 0) {
			//|	LOAD_ZVAL_ADDR FCARG1x, prop_addr
				if (Z_MODE(prop_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(prop_addr))) == 0) {
			dasm_put(Dst, 107223);
				} else if (((uintptr_t)(Z_ZV(prop_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 107225, ((uint64_t)(Z_ZV(prop_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(prop_addr)))) {
			dasm_put(Dst, 107228, (unsigned int)((ptrdiff_t)(Z_ZV(prop_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(prop_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(prop_addr)))) {
			dasm_put(Dst, 107231, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(prop_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(prop_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(prop_addr))) & 0xfff) {
			dasm_put(Dst, 107234, (((uintptr_t)(Z_ZV(prop_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(prop_addr)) & 0xffff) {
			dasm_put(Dst, 107237, ((uintptr_t)(Z_ZV(prop_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 107240, (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 107243, (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 107246, (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 107249, (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 107252, (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(prop_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(prop_addr)) {
				if (Z_OFFSET(prop_addr) == 0) {
			dasm_put(Dst, 107255, (Z_REG(prop_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(prop_addr)))) {
			dasm_put(Dst, 107258, (Z_REG(prop_addr)), Z_OFFSET(prop_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(prop_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 107262, ((uint32_t)(Z_OFFSET(prop_addr))));
				} else if (((uint32_t)(Z_OFFSET(prop_addr)) & 0xffff)) {
			dasm_put(Dst, 107265, ((uint32_t)(Z_OFFSET(prop_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 107268, (((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 107271, (((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 107274, (Z_REG(prop_addr)));
				}
					} else {
						if (Z_REG(prop_addr) == ZREG_RSP) {
			dasm_put(Dst, 107277);
						} else {
			dasm_put(Dst, 107279, (Z_REG(prop_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 12506 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	SET_ZVAL_PTR res_addr, FCARG1x, TMP1
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 107282, ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 107285, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 107288, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 107291, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 107294, (Z_REG(res_addr)));
			} else {
		dasm_put(Dst, 107297, (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
#line 12508 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	SET_ZVAL_TYPE_INFO res_addr, IS_INDIRECT, TMP1w, TMP2
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uint32_t)(IS_INDIRECT)) <= MOVZ_IMM) {
		dasm_put(Dst, 107301, ((uint32_t)(IS_INDIRECT)));
			} else if (((uint32_t)(IS_INDIRECT) & 0xffff)) {
		dasm_put(Dst, 107304, ((uint32_t)(IS_INDIRECT) & 0xffff));
				if ((((uint32_t)(IS_INDIRECT) >> 16) & 0xffff)) {
		dasm_put(Dst, 107307, (((uint32_t)(IS_INDIRECT) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 107310, (((uint32_t)(IS_INDIRECT) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 107313, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 107316, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 107319, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 107322, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 107325, (Z_REG(res_addr)));
			} else {
		dasm_put(Dst, 107328, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
			}
#line 12509 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE && prop_info) {
			ssa->var_info[ssa_op->result_def].indirect_reference = 1;
		}
	} else {
		bool result_avoid_refcounting = 0;

		if ((res_info & MAY_BE_GUARD) && JIT_G(current_frame) && prop_info) {
			uint32_t flags = 0;
			uint32_t old_info;
			zend_jit_trace_stack *stack = JIT_G(current_frame)->stack;
			int32_t exit_point;
			const void *exit_addr;
			uint32_t type;
			zend_jit_addr val_addr = prop_addr;

			if ((opline->op1_type & (IS_VAR|IS_TMP_VAR))
			 && !delayed_fetch_this
			 && !op1_avoid_refcounting) {
				flags = ZEND_JIT_EXIT_FREE_OP1;
			}

			if ((opline->result_type & (IS_VAR|IS_TMP_VAR))
			 && !(flags & ZEND_JIT_EXIT_FREE_OP1)
			 && (res_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))
			 && (ssa_op+1)->op1_use == ssa_op->result_def
			 && zend_jit_may_avoid_refcounting(opline+1, res_info)) {
				result_avoid_refcounting = 1;
				ssa->var_info[ssa_op->result_def].avoid_refcounting = 1;
			}

			type = concrete_type(res_info);

			if (prop_type != IS_UNKNOWN
			 && prop_type != IS_UNDEF
			 && prop_type != IS_REFERENCE
			 && (op1_info & (MAY_BE_ANY|MAY_BE_UNDEF)) == MAY_BE_OBJECT) {
				exit_point = zend_jit_trace_get_exit_point(opline, 0);
				exit_addr = zend_jit_trace_get_exit_addr(exit_point);
				if (!exit_addr) {
					return 0;
				}
			} else {
				val_addr = ZEND_ADDR_MEM_ZVAL(ZREG_REG0, 0);
				//|	LOAD_ZVAL_ADDR REG0, prop_addr
					if (Z_MODE(prop_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(prop_addr))) == 0) {
				dasm_put(Dst, 107332);
					} else if (((uintptr_t)(Z_ZV(prop_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 107334, ((uint64_t)(Z_ZV(prop_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(prop_addr)))) {
				dasm_put(Dst, 107337, (unsigned int)((ptrdiff_t)(Z_ZV(prop_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(prop_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(prop_addr)))) {
				dasm_put(Dst, 107340, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(prop_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(prop_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(prop_addr))) & 0xfff) {
				dasm_put(Dst, 107343, (((uintptr_t)(Z_ZV(prop_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(prop_addr)) & 0xffff) {
				dasm_put(Dst, 107346, ((uintptr_t)(Z_ZV(prop_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 107349, (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 107352, (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 107355, (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 107358, (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 107361, (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(prop_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(prop_addr)) {
					if (Z_OFFSET(prop_addr) == 0) {
				dasm_put(Dst, 107364, (Z_REG(prop_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(prop_addr)))) {
				dasm_put(Dst, 107367, (Z_REG(prop_addr)), Z_OFFSET(prop_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(prop_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 107371, ((uint32_t)(Z_OFFSET(prop_addr))));
					} else if (((uint32_t)(Z_OFFSET(prop_addr)) & 0xffff)) {
				dasm_put(Dst, 107374, ((uint32_t)(Z_OFFSET(prop_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 107377, (((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 107380, (((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 107383, (Z_REG(prop_addr)));
					}
						} else {
							if (Z_REG(prop_addr) == ZREG_RSP) {
				dasm_put(Dst, 107386);
							} else {
				dasm_put(Dst, 107388, (Z_REG(prop_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 12553 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				if (op1_avoid_refcounting) {
					SET_STACK_REG(JIT_G(current_frame)->stack,
						EX_VAR_TO_NUM(opline->op1.var), ZREG_NONE);
				}
				old_info = STACK_INFO(stack, EX_VAR_TO_NUM(opline->result.var));
				SET_STACK_TYPE(stack, EX_VAR_TO_NUM(opline->result.var), IS_UNKNOWN, 1);
				SET_STACK_REG(stack, EX_VAR_TO_NUM(opline->result.var), ZREG_ZVAL_COPY_GPR0);
				exit_point = zend_jit_trace_get_exit_point(opline+1, flags);
				SET_STACK_INFO(stack, EX_VAR_TO_NUM(opline->result.var), old_info);
				exit_addr = zend_jit_trace_get_exit_addr(exit_point);
				if (!exit_addr) {
					return 0;
				}

				if (!type_loaded) {
					type_loaded = 1;
					//|	MEM_ACCESS_32_WITH_UOFFSET ldr, REG2w, FCARG1x, (prop_info->offset + offsetof(zval,u1.type_info)), TMP1
						if (((uintptr_t)((prop_info->offset + offsetof(zval,u1.type_info)))) > LDR_STR_PIMM32) {
						if (((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info)))) <= MOVZ_IMM) {
					dasm_put(Dst, 107391, ((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info)))));
						} else if (((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info))) & 0xffff)) {
					dasm_put(Dst, 107394, ((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info))) & 0xffff));
							if ((((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info))) >> 16) & 0xffff)) {
					dasm_put(Dst, 107397, (((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info))) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 107400, (((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info))) >> 16) & 0xffff));
						}
					dasm_put(Dst, 107403);
						} else {
					dasm_put(Dst, 107405, ((prop_info->offset + offsetof(zval,u1.type_info))));
						}
#line 12570 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|	// ZVAL_DEREF()
				//|	GET_LOW_8BITS TMP1w, REG2w
				//|	IF_NOT_TYPE TMP1w, IS_REFERENCE, >1
				dasm_put(Dst, 107408);
					if (IS_REFERENCE == 0) {
				dasm_put(Dst, 107410);
					} else {
				dasm_put(Dst, 107413, IS_REFERENCE);
					}
#line 12574 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	GET_Z_PTR REG0, REG0
				//|	add REG0, REG0, #offsetof(zend_reference, val)
				//|	GET_ZVAL_TYPE_INFO REG2w, val_addr, TMP1
				dasm_put(Dst, 107418, offsetof(zend_reference, val));
					ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 107422, ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 107425, ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 107428, (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 107431, (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 107434, (Z_REG(val_addr)));
					} else {
				dasm_put(Dst, 107437, (Z_REG(val_addr)), (Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)));
					}
#line 12577 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			res_info &= ~MAY_BE_GUARD;
			ssa->var_info[ssa_op->result_def].type &= ~MAY_BE_GUARD;
			if (type < IS_STRING) {
				//|1:
				dasm_put(Dst, 107441);
#line 12582 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				if (type_loaded) {
					//|	IF_NOT_TYPE REG2w, type, &exit_addr
						if (type == 0) {
					dasm_put(Dst, 107443, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
						} else {
					dasm_put(Dst, 107446, type, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
						}
#line 12584 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	IF_NOT_ZVAL_TYPE val_addr, type, &exit_addr, ZREG_TMP1
						ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 107451, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 107455, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 107459, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 107463, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 107467, (ZREG_X15), (Z_REG(val_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 107472, (ZREG_X15), (Z_REG(val_addr)), (Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)));
						}
						if (type == 0) {
					dasm_put(Dst, 107477, (ZREG_X15), (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
						} else {
					dasm_put(Dst, 107481, (ZREG_X15), type, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
						}
#line 12586 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else {
				if (!type_loaded) {
					type_loaded = 1;
					//|	GET_ZVAL_TYPE_INFO REG2w, val_addr, TMP1
						ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 107487, ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 107490, ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 107493, (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 107496, (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 107499, (Z_REG(val_addr)));
						} else {
					dasm_put(Dst, 107502, (Z_REG(val_addr)), (Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)));
						}
#line 12591 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|1:
				//|	GET_LOW_8BITS TMP1w, REG2w
				//|	IF_NOT_TYPE TMP1w, type, &exit_addr
				dasm_put(Dst, 107506);
					if (type == 0) {
				dasm_put(Dst, 107509, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
					} else {
				dasm_put(Dst, 107512, type, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
					}
#line 12595 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	// ZVAL_COPY
			//|	ZVAL_COPY_VALUE_V res_addr, -1, val_addr, res_info, ZREG_REG0, ZREG_REG1, ZREG_TMP1, ZREG_FPR0
				if (res_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
					if ((res_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
						if (Z_MODE(val_addr) == IS_REG) {
							if (Z_MODE(res_addr) != IS_REG || Z_REG(res_addr) != Z_REG(val_addr)) {
				if (Z_MODE(res_addr) == IS_REG) {
			dasm_put(Dst, 107517, (Z_REG(res_addr)), (Z_REG(val_addr)));
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 107521, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 107525, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 107529, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 107533, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 107537, (Z_REG(val_addr)), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 107542, (Z_REG(val_addr)), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
							}
						} else if (Z_MODE(res_addr) == IS_REG) {
				if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(val_addr)) == 0) {
			dasm_put(Dst, 107547, (Z_REG(res_addr)));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) == 0) {
			dasm_put(Dst, 107550, (Z_REG(res_addr)));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 107553, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 107557, (Z_REG(res_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff) {
			dasm_put(Dst, 107561, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 107565, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 107569, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 107573, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 107577, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 107581, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 107585, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 107589, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 107593, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 107597, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 107601, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 107605, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 107609, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 107613, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 107617, (Z_REG(res_addr)), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 107622, (Z_REG(res_addr)), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
				} else if (Z_MODE(val_addr) == IS_REG) {
					if (Z_REG(res_addr) != Z_REG(val_addr)) {
			dasm_put(Dst, 107627, (Z_REG(res_addr)), (Z_REG(val_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
						} else {
				if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(val_addr)) == 0) {
			dasm_put(Dst, 107631, (ZREG_X9));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) == 0) {
			dasm_put(Dst, 107634, (ZREG_X9));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 107637, (ZREG_X9), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 107641, (ZREG_X9), (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff) {
			dasm_put(Dst, 107645, (ZREG_X9), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 107649, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 107653, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 107657, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 107661, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 107665, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 107669, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 107673, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 107677, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 107681, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 107685, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 107689, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 107693, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 107697, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 107701, (ZREG_X9), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 107706, (ZREG_X9), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
				} else if (Z_MODE(val_addr) == IS_REG) {
					if (ZREG_X9 != Z_REG(val_addr)) {
			dasm_put(Dst, 107711, (ZREG_X9), (Z_REG(val_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
				if (Z_MODE(res_addr) == IS_REG) {
			dasm_put(Dst, 107715, (Z_REG(res_addr)), (ZREG_X9));
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 107719, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 107723, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 107727, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 107731, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 107735, (ZREG_X9), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 107740, (ZREG_X9), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
						}
					} else if ((res_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
						if (Z_MODE(val_addr) == IS_REG) {
				if (Z_MODE(res_addr) == IS_REG) {
					if (Z_REG(val_addr) != Z_REG(res_addr)) {
			dasm_put(Dst, 107745, (Z_REG(res_addr)-ZREG_V0), (Z_REG(val_addr)-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 107749, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 107753, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 107757, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 107761, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 107765, (Z_REG(val_addr)-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 107770, (Z_REG(val_addr)-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
						} else if (Z_MODE(res_addr) == IS_REG) {
				if (Z_MODE(val_addr) != IS_REG || Z_REG(res_addr) != Z_REG(val_addr)) {
					if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 107775, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 107782, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(val_addr))) == 0) {
			dasm_put(Dst, 107790, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 107793, (ZREG_X15), ((uint64_t)(Z_ZV(val_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 107797, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 107801, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(val_addr))) & 0xfff) {
			dasm_put(Dst, 107805, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(val_addr)) & 0xffff) {
			dasm_put(Dst, 107810, (ZREG_X15), ((uintptr_t)(Z_ZV(val_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 107814, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 107818, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 107822, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 107826, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 107830, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 107834, (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 107838, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 107842, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 107846, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 107850, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 107854, (Z_REG(res_addr)-ZREG_V0), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 107859, (Z_REG(res_addr)-ZREG_V0), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
					} else if (Z_MODE(val_addr) == IS_REG) {
			dasm_put(Dst, 107864, (Z_REG(res_addr)-ZREG_V0), (Z_REG(val_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
						} else {
				if (Z_MODE(val_addr) != IS_REG || ZREG_V0 != Z_REG(val_addr)) {
					if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 107868, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 107875, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(val_addr))) == 0) {
			dasm_put(Dst, 107883, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 107886, (ZREG_X15), ((uint64_t)(Z_ZV(val_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 107890, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 107894, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(val_addr))) & 0xfff) {
			dasm_put(Dst, 107898, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(val_addr)) & 0xffff) {
			dasm_put(Dst, 107903, (ZREG_X15), ((uintptr_t)(Z_ZV(val_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 107907, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 107911, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 107915, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 107919, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 107923, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 107927, (ZREG_V0-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 107931, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 107935, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 107939, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 107943, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 107947, (ZREG_V0-ZREG_V0), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 107952, (ZREG_V0-ZREG_V0), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
					} else if (Z_MODE(val_addr) == IS_REG) {
			dasm_put(Dst, 107957, (ZREG_V0-ZREG_V0), (Z_REG(val_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
				if (Z_MODE(res_addr) == IS_REG) {
					if (ZREG_V0 != Z_REG(res_addr)) {
			dasm_put(Dst, 107961, (Z_REG(res_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 107965, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 107969, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 107973, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 107977, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 107981, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 107986, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
						}
					// Combine the following two branches.
					// } else if (!(res_info & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
					} else {
				ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 107991, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 107995, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 107999, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 108003, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 108007, (ZREG_X9), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 108012, (ZREG_X9), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 108017, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 108021, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 108025, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 108029, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 108033, (ZREG_X9), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 108038, (ZREG_X9), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
					}
				}
#line 12598 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (type < IS_STRING) {
				if (Z_REG(res_addr) != ZREG_FP ||
				    JIT_G(current_frame) == NULL ||
				    STACK_MEM_TYPE(JIT_G(current_frame)->stack, EX_VAR_TO_NUM(Z_OFFSET(res_addr))) != type) {
					//|	SET_ZVAL_TYPE_INFO res_addr, type, TMP1w, TMP2
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uint32_t)(type)) <= MOVZ_IMM) {
					dasm_put(Dst, 108043, ((uint32_t)(type)));
						} else if (((uint32_t)(type) & 0xffff)) {
					dasm_put(Dst, 108046, ((uint32_t)(type) & 0xffff));
							if ((((uint32_t)(type) >> 16) & 0xffff)) {
					dasm_put(Dst, 108049, (((uint32_t)(type) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 108052, (((uint32_t)(type) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 108055, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 108058, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 108061, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 108064, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 108067, (Z_REG(res_addr)));
						} else {
					dasm_put(Dst, 108070, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
						}
#line 12603 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else {
				//|	SET_ZVAL_TYPE_INFO_FROM_REG res_addr, REG2w, TMP1
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 108074, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 108077, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 108080, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 108083, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 108086, (Z_REG(res_addr)));
					} else {
				dasm_put(Dst, 108089, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
					}
#line 12606 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				if (!result_avoid_refcounting) {
					//|	TRY_ADDREF res_info, REG2w, REG1, TMP1w
						if (res_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) {
							if (res_info & (MAY_BE_ANY-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
						if ((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT) == 0) {
					dasm_put(Dst, 108093);
						} else if (logical_immediate_p((uint32_t)(IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT), 32)) {
					dasm_put(Dst, 108095, (IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT));
						} else {
						if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))) <= MOVZ_IMM) {
					dasm_put(Dst, 108098, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))));
						} else if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff)) {
					dasm_put(Dst, 108101, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff));
							if ((((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff)) {
					dasm_put(Dst, 108104, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 108107, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 108110);
						}
					dasm_put(Dst, 108112);
							}
					dasm_put(Dst, 108115);
						}
#line 12608 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			}
		} else {
			if (!zend_jit_zval_copy_deref(Dst, res_addr, prop_addr, ZREG_REG2)) {
				return 0;
			}
		}
	}

	if (op1_avoid_refcounting) {
		SET_STACK_REG(JIT_G(current_frame)->stack,
			EX_VAR_TO_NUM(opline->op1.var), ZREG_NONE);
	}

	//|.cold_code
	dasm_put(Dst, 108120);
#line 12623 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	if (JIT_G(trigger) != ZEND_JIT_ON_HOT_TRACE || !prop_info) {
		//|5:
		//|	SET_EX_OPLINE opline, REG0
		dasm_put(Dst, 108121);
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 108123, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 108126);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 108128, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 108131, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 108134, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 108137, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 108140, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 108143, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 108146, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 108149, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 108152, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 108155, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 108158, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
#line 12627 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (opline->opcode == ZEND_FETCH_OBJ_W) {
			//|	EXT_CALL zend_jit_fetch_obj_w_slow, REG0
				if (arm64_may_use_b(zend_jit_fetch_obj_w_slow)) {
			dasm_put(Dst, 108161, (unsigned int)((ptrdiff_t)(zend_jit_fetch_obj_w_slow)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_obj_w_slow))>>32));
				} else {
				if (((uintptr_t)(zend_jit_fetch_obj_w_slow)) == 0) {
			dasm_put(Dst, 108164);
				} else if (((uintptr_t)(zend_jit_fetch_obj_w_slow)) <= MOVZ_IMM) {
			dasm_put(Dst, 108166, ((uint64_t)(zend_jit_fetch_obj_w_slow)));
				} else if (arm64_may_use_adr((void*)(zend_jit_fetch_obj_w_slow))) {
			dasm_put(Dst, 108169, (unsigned int)((ptrdiff_t)(zend_jit_fetch_obj_w_slow)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_obj_w_slow))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_fetch_obj_w_slow))) {
			dasm_put(Dst, 108172, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_obj_w_slow))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_obj_w_slow)))))>>32));
					if (((uintptr_t)(zend_jit_fetch_obj_w_slow)) & 0xfff) {
			dasm_put(Dst, 108175, (((uintptr_t)(zend_jit_fetch_obj_w_slow)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_fetch_obj_w_slow) & 0xffff) {
			dasm_put(Dst, 108178, ((uintptr_t)(zend_jit_fetch_obj_w_slow) & 0xffff));
					if (((uintptr_t)(zend_jit_fetch_obj_w_slow) >> 16) & 0xffff) {
			dasm_put(Dst, 108181, (((uintptr_t)(zend_jit_fetch_obj_w_slow) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_fetch_obj_w_slow) >> 32) & 0xffff) {
			dasm_put(Dst, 108184, (((uintptr_t)(zend_jit_fetch_obj_w_slow) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_fetch_obj_w_slow) >> 16) & 0xffff) {
			dasm_put(Dst, 108187, (((uintptr_t)(zend_jit_fetch_obj_w_slow) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_fetch_obj_w_slow) >> 32) & 0xffff) {
			dasm_put(Dst, 108190, (((uintptr_t)(zend_jit_fetch_obj_w_slow) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 108193, (((uintptr_t)(zend_jit_fetch_obj_w_slow) >> 32) & 0xffff));
				}
			dasm_put(Dst, 108196);
				}
#line 12629 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else if (opline->opcode != ZEND_FETCH_OBJ_IS) {
			//|	EXT_CALL zend_jit_fetch_obj_r_slow, REG0
				if (arm64_may_use_b(zend_jit_fetch_obj_r_slow)) {
			dasm_put(Dst, 108198, (unsigned int)((ptrdiff_t)(zend_jit_fetch_obj_r_slow)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_obj_r_slow))>>32));
				} else {
				if (((uintptr_t)(zend_jit_fetch_obj_r_slow)) == 0) {
			dasm_put(Dst, 108201);
				} else if (((uintptr_t)(zend_jit_fetch_obj_r_slow)) <= MOVZ_IMM) {
			dasm_put(Dst, 108203, ((uint64_t)(zend_jit_fetch_obj_r_slow)));
				} else if (arm64_may_use_adr((void*)(zend_jit_fetch_obj_r_slow))) {
			dasm_put(Dst, 108206, (unsigned int)((ptrdiff_t)(zend_jit_fetch_obj_r_slow)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_obj_r_slow))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_fetch_obj_r_slow))) {
			dasm_put(Dst, 108209, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_obj_r_slow))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_obj_r_slow)))))>>32));
					if (((uintptr_t)(zend_jit_fetch_obj_r_slow)) & 0xfff) {
			dasm_put(Dst, 108212, (((uintptr_t)(zend_jit_fetch_obj_r_slow)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_fetch_obj_r_slow) & 0xffff) {
			dasm_put(Dst, 108215, ((uintptr_t)(zend_jit_fetch_obj_r_slow) & 0xffff));
					if (((uintptr_t)(zend_jit_fetch_obj_r_slow) >> 16) & 0xffff) {
			dasm_put(Dst, 108218, (((uintptr_t)(zend_jit_fetch_obj_r_slow) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_fetch_obj_r_slow) >> 32) & 0xffff) {
			dasm_put(Dst, 108221, (((uintptr_t)(zend_jit_fetch_obj_r_slow) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_fetch_obj_r_slow) >> 16) & 0xffff) {
			dasm_put(Dst, 108224, (((uintptr_t)(zend_jit_fetch_obj_r_slow) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_fetch_obj_r_slow) >> 32) & 0xffff) {
			dasm_put(Dst, 108227, (((uintptr_t)(zend_jit_fetch_obj_r_slow) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 108230, (((uintptr_t)(zend_jit_fetch_obj_r_slow) >> 32) & 0xffff));
				}
			dasm_put(Dst, 108233);
				}
#line 12631 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	EXT_CALL zend_jit_fetch_obj_is_slow, REG0
				if (arm64_may_use_b(zend_jit_fetch_obj_is_slow)) {
			dasm_put(Dst, 108235, (unsigned int)((ptrdiff_t)(zend_jit_fetch_obj_is_slow)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_obj_is_slow))>>32));
				} else {
				if (((uintptr_t)(zend_jit_fetch_obj_is_slow)) == 0) {
			dasm_put(Dst, 108238);
				} else if (((uintptr_t)(zend_jit_fetch_obj_is_slow)) <= MOVZ_IMM) {
			dasm_put(Dst, 108240, ((uint64_t)(zend_jit_fetch_obj_is_slow)));
				} else if (arm64_may_use_adr((void*)(zend_jit_fetch_obj_is_slow))) {
			dasm_put(Dst, 108243, (unsigned int)((ptrdiff_t)(zend_jit_fetch_obj_is_slow)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_obj_is_slow))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_fetch_obj_is_slow))) {
			dasm_put(Dst, 108246, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_obj_is_slow))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_obj_is_slow)))))>>32));
					if (((uintptr_t)(zend_jit_fetch_obj_is_slow)) & 0xfff) {
			dasm_put(Dst, 108249, (((uintptr_t)(zend_jit_fetch_obj_is_slow)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_fetch_obj_is_slow) & 0xffff) {
			dasm_put(Dst, 108252, ((uintptr_t)(zend_jit_fetch_obj_is_slow) & 0xffff));
					if (((uintptr_t)(zend_jit_fetch_obj_is_slow) >> 16) & 0xffff) {
			dasm_put(Dst, 108255, (((uintptr_t)(zend_jit_fetch_obj_is_slow) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_fetch_obj_is_slow) >> 32) & 0xffff) {
			dasm_put(Dst, 108258, (((uintptr_t)(zend_jit_fetch_obj_is_slow) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_fetch_obj_is_slow) >> 16) & 0xffff) {
			dasm_put(Dst, 108261, (((uintptr_t)(zend_jit_fetch_obj_is_slow) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_fetch_obj_is_slow) >> 32) & 0xffff) {
			dasm_put(Dst, 108264, (((uintptr_t)(zend_jit_fetch_obj_is_slow) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 108267, (((uintptr_t)(zend_jit_fetch_obj_is_slow) >> 32) & 0xffff));
				}
			dasm_put(Dst, 108270);
				}
#line 12633 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	b >9
		dasm_put(Dst, 108272);
#line 12635 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	if ((op1_info & ((MAY_BE_UNDEF|MAY_BE_ANY|MAY_BE_REF)- MAY_BE_OBJECT)) && JIT_G(trigger) != ZEND_JIT_ON_HOT_TRACE) {
		//|7:
		dasm_put(Dst, 108275);
#line 12639 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (opline->opcode != ZEND_FETCH_OBJ_IS) {
			//|	SET_EX_OPLINE opline, REG0
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 108277, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 108280);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 108282, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 108285, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 108288, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 108291, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 108294, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 108297, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 108300, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 108303, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 108306, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 108309, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 108312, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
#line 12641 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (opline->opcode != ZEND_FETCH_OBJ_W
			 && (op1_info & MAY_BE_UNDEF)) {
				zend_jit_addr orig_op1_addr = OP1_ADDR();

				if (op1_info & MAY_BE_ANY) {
					//|	IF_NOT_ZVAL_TYPE op1_addr, IS_UNDEF, >1, ZREG_TMP1
						ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 108315, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 108319, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 108323, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 108327, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 108331, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 108336, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
						}
						if (IS_UNDEF == 0) {
					dasm_put(Dst, 108341, (ZREG_X15));
						} else {
					dasm_put(Dst, 108345, (ZREG_X15), IS_UNDEF);
						}
#line 12647 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|	LOAD_32BIT_VAL FCARG1w, opline->op1.var
					if (((uint32_t)(opline->op1.var)) <= MOVZ_IMM) {
				dasm_put(Dst, 108351, ((uint32_t)(opline->op1.var)));
					} else if (((uint32_t)(opline->op1.var) & 0xffff)) {
				dasm_put(Dst, 108354, ((uint32_t)(opline->op1.var) & 0xffff));
						if ((((uint32_t)(opline->op1.var) >> 16) & 0xffff)) {
				dasm_put(Dst, 108357, (((uint32_t)(opline->op1.var) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 108360, (((uint32_t)(opline->op1.var) >> 16) & 0xffff));
					}
#line 12649 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	EXT_CALL zend_jit_undefined_op_helper, REG0
					if (arm64_may_use_b(zend_jit_undefined_op_helper)) {
				dasm_put(Dst, 108363, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
					} else {
					if (((uintptr_t)(zend_jit_undefined_op_helper)) == 0) {
				dasm_put(Dst, 108366);
					} else if (((uintptr_t)(zend_jit_undefined_op_helper)) <= MOVZ_IMM) {
				dasm_put(Dst, 108368, ((uint64_t)(zend_jit_undefined_op_helper)));
					} else if (arm64_may_use_adr((void*)(zend_jit_undefined_op_helper))) {
				dasm_put(Dst, 108371, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_undefined_op_helper))) {
				dasm_put(Dst, 108374, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper)))))>>32));
						if (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff) {
				dasm_put(Dst, 108377, (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff) {
				dasm_put(Dst, 108380, ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff));
						if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 108383, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 108386, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 108389, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 108392, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 108395, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
					}
				dasm_put(Dst, 108398);
					}
#line 12650 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|1:
				//|	LOAD_ZVAL_ADDR FCARG1x, orig_op1_addr
				dasm_put(Dst, 108400);
					if (Z_MODE(orig_op1_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(orig_op1_addr))) == 0) {
				dasm_put(Dst, 108402);
					} else if (((uintptr_t)(Z_ZV(orig_op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 108404, ((uint64_t)(Z_ZV(orig_op1_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(orig_op1_addr)))) {
				dasm_put(Dst, 108407, (unsigned int)((ptrdiff_t)(Z_ZV(orig_op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(orig_op1_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(orig_op1_addr)))) {
				dasm_put(Dst, 108410, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(orig_op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(orig_op1_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(orig_op1_addr))) & 0xfff) {
				dasm_put(Dst, 108413, (((uintptr_t)(Z_ZV(orig_op1_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(orig_op1_addr)) & 0xffff) {
				dasm_put(Dst, 108416, ((uintptr_t)(Z_ZV(orig_op1_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(orig_op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 108419, (((uintptr_t)(Z_ZV(orig_op1_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(orig_op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 108422, (((uintptr_t)(Z_ZV(orig_op1_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(orig_op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 108425, (((uintptr_t)(Z_ZV(orig_op1_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(orig_op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 108428, (((uintptr_t)(Z_ZV(orig_op1_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 108431, (((uintptr_t)(Z_ZV(orig_op1_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(orig_op1_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(orig_op1_addr)) {
					if (Z_OFFSET(orig_op1_addr) == 0) {
				dasm_put(Dst, 108434, (Z_REG(orig_op1_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(orig_op1_addr)))) {
				dasm_put(Dst, 108437, (Z_REG(orig_op1_addr)), Z_OFFSET(orig_op1_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(orig_op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 108441, ((uint32_t)(Z_OFFSET(orig_op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(orig_op1_addr)) & 0xffff)) {
				dasm_put(Dst, 108444, ((uint32_t)(Z_OFFSET(orig_op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(orig_op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 108447, (((uint32_t)(Z_OFFSET(orig_op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 108450, (((uint32_t)(Z_OFFSET(orig_op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 108453, (Z_REG(orig_op1_addr)));
					}
						} else {
							if (Z_REG(orig_op1_addr) == ZREG_RSP) {
				dasm_put(Dst, 108456);
							} else {
				dasm_put(Dst, 108458, (Z_REG(orig_op1_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 12652 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else if (Z_REG(op1_addr) != ZREG_FCARG1 || Z_OFFSET(op1_addr) != 0) {
				//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
					if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
				dasm_put(Dst, 108461);
					} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 108463, ((uint64_t)(Z_ZV(op1_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 108466, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 108469, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
				dasm_put(Dst, 108472, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
				dasm_put(Dst, 108475, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 108478, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 108481, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 108484, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 108487, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 108490, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(op1_addr)) {
					if (Z_OFFSET(op1_addr) == 0) {
				dasm_put(Dst, 108493, (Z_REG(op1_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
				dasm_put(Dst, 108496, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 108500, ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 108503, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 108506, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 108509, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 108512, (Z_REG(op1_addr)));
					}
						} else {
							if (Z_REG(op1_addr) == ZREG_RSP) {
				dasm_put(Dst, 108515);
							} else {
				dasm_put(Dst, 108517, (Z_REG(op1_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 12654 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	LOAD_ADDR FCARG2x, Z_STRVAL_P(member)
				if (((uintptr_t)(Z_STRVAL_P(member))) == 0) {
			dasm_put(Dst, 108520);
				} else if (((uintptr_t)(Z_STRVAL_P(member))) <= MOVZ_IMM) {
			dasm_put(Dst, 108522, ((uint64_t)(Z_STRVAL_P(member))));
				} else if (arm64_may_use_adr((void*)(Z_STRVAL_P(member)))) {
			dasm_put(Dst, 108525, (unsigned int)((ptrdiff_t)(Z_STRVAL_P(member))), (unsigned int)(((ptrdiff_t)(Z_STRVAL_P(member)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_STRVAL_P(member)))) {
			dasm_put(Dst, 108528, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_STRVAL_P(member)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_STRVAL_P(member))))))>>32));
					if (((uintptr_t)(Z_STRVAL_P(member))) & 0xfff) {
			dasm_put(Dst, 108531, (((uintptr_t)(Z_STRVAL_P(member))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_STRVAL_P(member)) & 0xffff) {
			dasm_put(Dst, 108534, ((uintptr_t)(Z_STRVAL_P(member)) & 0xffff));
					if (((uintptr_t)(Z_STRVAL_P(member)) >> 16) & 0xffff) {
			dasm_put(Dst, 108537, (((uintptr_t)(Z_STRVAL_P(member)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_STRVAL_P(member)) >> 32) & 0xffff) {
			dasm_put(Dst, 108540, (((uintptr_t)(Z_STRVAL_P(member)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_STRVAL_P(member)) >> 16) & 0xffff) {
			dasm_put(Dst, 108543, (((uintptr_t)(Z_STRVAL_P(member)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_STRVAL_P(member)) >> 32) & 0xffff) {
			dasm_put(Dst, 108546, (((uintptr_t)(Z_STRVAL_P(member)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 108549, (((uintptr_t)(Z_STRVAL_P(member)) >> 32) & 0xffff));
				}
#line 12656 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (opline->opcode == ZEND_FETCH_OBJ_W) {
				//|	EXT_CALL zend_jit_invalid_property_write, REG0
					if (arm64_may_use_b(zend_jit_invalid_property_write)) {
				dasm_put(Dst, 108552, (unsigned int)((ptrdiff_t)(zend_jit_invalid_property_write)), (unsigned int)(((ptrdiff_t)(zend_jit_invalid_property_write))>>32));
					} else {
					if (((uintptr_t)(zend_jit_invalid_property_write)) == 0) {
				dasm_put(Dst, 108555);
					} else if (((uintptr_t)(zend_jit_invalid_property_write)) <= MOVZ_IMM) {
				dasm_put(Dst, 108557, ((uint64_t)(zend_jit_invalid_property_write)));
					} else if (arm64_may_use_adr((void*)(zend_jit_invalid_property_write))) {
				dasm_put(Dst, 108560, (unsigned int)((ptrdiff_t)(zend_jit_invalid_property_write)), (unsigned int)(((ptrdiff_t)(zend_jit_invalid_property_write))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_invalid_property_write))) {
				dasm_put(Dst, 108563, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_invalid_property_write))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_invalid_property_write)))))>>32));
						if (((uintptr_t)(zend_jit_invalid_property_write)) & 0xfff) {
				dasm_put(Dst, 108566, (((uintptr_t)(zend_jit_invalid_property_write)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_invalid_property_write) & 0xffff) {
				dasm_put(Dst, 108569, ((uintptr_t)(zend_jit_invalid_property_write) & 0xffff));
						if (((uintptr_t)(zend_jit_invalid_property_write) >> 16) & 0xffff) {
				dasm_put(Dst, 108572, (((uintptr_t)(zend_jit_invalid_property_write) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_invalid_property_write) >> 32) & 0xffff) {
				dasm_put(Dst, 108575, (((uintptr_t)(zend_jit_invalid_property_write) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_invalid_property_write) >> 16) & 0xffff) {
				dasm_put(Dst, 108578, (((uintptr_t)(zend_jit_invalid_property_write) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_invalid_property_write) >> 32) & 0xffff) {
				dasm_put(Dst, 108581, (((uintptr_t)(zend_jit_invalid_property_write) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 108584, (((uintptr_t)(zend_jit_invalid_property_write) >> 32) & 0xffff));
					}
				dasm_put(Dst, 108587);
					}
#line 12658 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	SET_ZVAL_TYPE_INFO res_addr, _IS_ERROR, TMP1w, TMP2
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uint32_t)(_IS_ERROR)) <= MOVZ_IMM) {
				dasm_put(Dst, 108589, ((uint32_t)(_IS_ERROR)));
					} else if (((uint32_t)(_IS_ERROR) & 0xffff)) {
				dasm_put(Dst, 108592, ((uint32_t)(_IS_ERROR) & 0xffff));
						if ((((uint32_t)(_IS_ERROR) >> 16) & 0xffff)) {
				dasm_put(Dst, 108595, (((uint32_t)(_IS_ERROR) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 108598, (((uint32_t)(_IS_ERROR) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 108601, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 108604, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 108607, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 108610, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 108613, (Z_REG(res_addr)));
					} else {
				dasm_put(Dst, 108616, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
					}
#line 12659 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	EXT_CALL zend_jit_invalid_property_read, REG0
					if (arm64_may_use_b(zend_jit_invalid_property_read)) {
				dasm_put(Dst, 108620, (unsigned int)((ptrdiff_t)(zend_jit_invalid_property_read)), (unsigned int)(((ptrdiff_t)(zend_jit_invalid_property_read))>>32));
					} else {
					if (((uintptr_t)(zend_jit_invalid_property_read)) == 0) {
				dasm_put(Dst, 108623);
					} else if (((uintptr_t)(zend_jit_invalid_property_read)) <= MOVZ_IMM) {
				dasm_put(Dst, 108625, ((uint64_t)(zend_jit_invalid_property_read)));
					} else if (arm64_may_use_adr((void*)(zend_jit_invalid_property_read))) {
				dasm_put(Dst, 108628, (unsigned int)((ptrdiff_t)(zend_jit_invalid_property_read)), (unsigned int)(((ptrdiff_t)(zend_jit_invalid_property_read))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_invalid_property_read))) {
				dasm_put(Dst, 108631, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_invalid_property_read))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_invalid_property_read)))))>>32));
						if (((uintptr_t)(zend_jit_invalid_property_read)) & 0xfff) {
				dasm_put(Dst, 108634, (((uintptr_t)(zend_jit_invalid_property_read)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_invalid_property_read) & 0xffff) {
				dasm_put(Dst, 108637, ((uintptr_t)(zend_jit_invalid_property_read) & 0xffff));
						if (((uintptr_t)(zend_jit_invalid_property_read) >> 16) & 0xffff) {
				dasm_put(Dst, 108640, (((uintptr_t)(zend_jit_invalid_property_read) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_invalid_property_read) >> 32) & 0xffff) {
				dasm_put(Dst, 108643, (((uintptr_t)(zend_jit_invalid_property_read) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_invalid_property_read) >> 16) & 0xffff) {
				dasm_put(Dst, 108646, (((uintptr_t)(zend_jit_invalid_property_read) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_invalid_property_read) >> 32) & 0xffff) {
				dasm_put(Dst, 108649, (((uintptr_t)(zend_jit_invalid_property_read) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 108652, (((uintptr_t)(zend_jit_invalid_property_read) >> 32) & 0xffff));
					}
				dasm_put(Dst, 108655);
					}
#line 12661 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	SET_ZVAL_TYPE_INFO res_addr, IS_NULL, TMP1w, TMP2
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uint32_t)(IS_NULL)) <= MOVZ_IMM) {
				dasm_put(Dst, 108657, ((uint32_t)(IS_NULL)));
					} else if (((uint32_t)(IS_NULL) & 0xffff)) {
				dasm_put(Dst, 108660, ((uint32_t)(IS_NULL) & 0xffff));
						if ((((uint32_t)(IS_NULL) >> 16) & 0xffff)) {
				dasm_put(Dst, 108663, (((uint32_t)(IS_NULL) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 108666, (((uint32_t)(IS_NULL) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 108669, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 108672, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 108675, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 108678, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 108681, (Z_REG(res_addr)));
					} else {
				dasm_put(Dst, 108684, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
					}
#line 12662 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	b >9
			dasm_put(Dst, 108688);
#line 12664 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	SET_ZVAL_TYPE_INFO res_addr, IS_NULL, TMP1w, TMP2
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(IS_NULL)) <= MOVZ_IMM) {
			dasm_put(Dst, 108691, ((uint32_t)(IS_NULL)));
				} else if (((uint32_t)(IS_NULL) & 0xffff)) {
			dasm_put(Dst, 108694, ((uint32_t)(IS_NULL) & 0xffff));
					if ((((uint32_t)(IS_NULL) >> 16) & 0xffff)) {
			dasm_put(Dst, 108697, (((uint32_t)(IS_NULL) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 108700, (((uint32_t)(IS_NULL) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 108703, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 108706, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 108709, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 108712, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 108715, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 108718, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
#line 12666 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	b >9
			dasm_put(Dst, 108722);
#line 12667 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	if (!prop_info
	 && may_be_dynamic
	 && opline->opcode != ZEND_FETCH_OBJ_W) {
		//|8:
		//|	mov FCARG2x, REG0
		//|	SET_EX_OPLINE opline, REG0
		dasm_put(Dst, 108725);
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 108728, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 108731);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 108733, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 108736, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 108739, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 108742, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 108745, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 108748, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 108751, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 108754, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 108757, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 108760, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 108763, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
#line 12676 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (opline->opcode != ZEND_FETCH_OBJ_IS) {
			//|	EXT_CALL zend_jit_fetch_obj_r_dynamic, REG0
				if (arm64_may_use_b(zend_jit_fetch_obj_r_dynamic)) {
			dasm_put(Dst, 108766, (unsigned int)((ptrdiff_t)(zend_jit_fetch_obj_r_dynamic)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_obj_r_dynamic))>>32));
				} else {
				if (((uintptr_t)(zend_jit_fetch_obj_r_dynamic)) == 0) {
			dasm_put(Dst, 108769);
				} else if (((uintptr_t)(zend_jit_fetch_obj_r_dynamic)) <= MOVZ_IMM) {
			dasm_put(Dst, 108771, ((uint64_t)(zend_jit_fetch_obj_r_dynamic)));
				} else if (arm64_may_use_adr((void*)(zend_jit_fetch_obj_r_dynamic))) {
			dasm_put(Dst, 108774, (unsigned int)((ptrdiff_t)(zend_jit_fetch_obj_r_dynamic)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_obj_r_dynamic))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_fetch_obj_r_dynamic))) {
			dasm_put(Dst, 108777, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_obj_r_dynamic))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_obj_r_dynamic)))))>>32));
					if (((uintptr_t)(zend_jit_fetch_obj_r_dynamic)) & 0xfff) {
			dasm_put(Dst, 108780, (((uintptr_t)(zend_jit_fetch_obj_r_dynamic)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_fetch_obj_r_dynamic) & 0xffff) {
			dasm_put(Dst, 108783, ((uintptr_t)(zend_jit_fetch_obj_r_dynamic) & 0xffff));
					if (((uintptr_t)(zend_jit_fetch_obj_r_dynamic) >> 16) & 0xffff) {
			dasm_put(Dst, 108786, (((uintptr_t)(zend_jit_fetch_obj_r_dynamic) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_fetch_obj_r_dynamic) >> 32) & 0xffff) {
			dasm_put(Dst, 108789, (((uintptr_t)(zend_jit_fetch_obj_r_dynamic) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_fetch_obj_r_dynamic) >> 16) & 0xffff) {
			dasm_put(Dst, 108792, (((uintptr_t)(zend_jit_fetch_obj_r_dynamic) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_fetch_obj_r_dynamic) >> 32) & 0xffff) {
			dasm_put(Dst, 108795, (((uintptr_t)(zend_jit_fetch_obj_r_dynamic) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 108798, (((uintptr_t)(zend_jit_fetch_obj_r_dynamic) >> 32) & 0xffff));
				}
			dasm_put(Dst, 108801);
				}
#line 12678 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	EXT_CALL zend_jit_fetch_obj_is_dynamic, REG0
				if (arm64_may_use_b(zend_jit_fetch_obj_is_dynamic)) {
			dasm_put(Dst, 108803, (unsigned int)((ptrdiff_t)(zend_jit_fetch_obj_is_dynamic)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_obj_is_dynamic))>>32));
				} else {
				if (((uintptr_t)(zend_jit_fetch_obj_is_dynamic)) == 0) {
			dasm_put(Dst, 108806);
				} else if (((uintptr_t)(zend_jit_fetch_obj_is_dynamic)) <= MOVZ_IMM) {
			dasm_put(Dst, 108808, ((uint64_t)(zend_jit_fetch_obj_is_dynamic)));
				} else if (arm64_may_use_adr((void*)(zend_jit_fetch_obj_is_dynamic))) {
			dasm_put(Dst, 108811, (unsigned int)((ptrdiff_t)(zend_jit_fetch_obj_is_dynamic)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_obj_is_dynamic))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_fetch_obj_is_dynamic))) {
			dasm_put(Dst, 108814, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_obj_is_dynamic))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_obj_is_dynamic)))))>>32));
					if (((uintptr_t)(zend_jit_fetch_obj_is_dynamic)) & 0xfff) {
			dasm_put(Dst, 108817, (((uintptr_t)(zend_jit_fetch_obj_is_dynamic)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_fetch_obj_is_dynamic) & 0xffff) {
			dasm_put(Dst, 108820, ((uintptr_t)(zend_jit_fetch_obj_is_dynamic) & 0xffff));
					if (((uintptr_t)(zend_jit_fetch_obj_is_dynamic) >> 16) & 0xffff) {
			dasm_put(Dst, 108823, (((uintptr_t)(zend_jit_fetch_obj_is_dynamic) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_fetch_obj_is_dynamic) >> 32) & 0xffff) {
			dasm_put(Dst, 108826, (((uintptr_t)(zend_jit_fetch_obj_is_dynamic) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_fetch_obj_is_dynamic) >> 16) & 0xffff) {
			dasm_put(Dst, 108829, (((uintptr_t)(zend_jit_fetch_obj_is_dynamic) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_fetch_obj_is_dynamic) >> 32) & 0xffff) {
			dasm_put(Dst, 108832, (((uintptr_t)(zend_jit_fetch_obj_is_dynamic) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 108835, (((uintptr_t)(zend_jit_fetch_obj_is_dynamic) >> 32) & 0xffff));
				}
			dasm_put(Dst, 108838);
				}
#line 12680 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	b >9
		dasm_put(Dst, 108840);
#line 12682 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	//|.code;
	dasm_put(Dst, 108843);
#line 12685 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|9: // END
	dasm_put(Dst, 108844);
#line 12686 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	if (opline->op1_type != IS_UNUSED && !delayed_fetch_this && !op1_indirect) {
		if (opline->op1_type == IS_VAR
		 && opline->opcode == ZEND_FETCH_OBJ_W
		 && (op1_info & MAY_BE_RC1)) {
			zend_jit_addr orig_op1_addr = OP1_ADDR();

			//|	IF_NOT_ZVAL_REFCOUNTED orig_op1_addr, >1, ZREG_TMP1, ZREG_TMP2
				ZEND_ASSERT(Z_MODE(orig_op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(orig_op1_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(orig_op1_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 108846, (ZREG_X16), ((uint32_t)(Z_OFFSET(orig_op1_addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(orig_op1_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 108850, (ZREG_X16), ((uint32_t)(Z_OFFSET(orig_op1_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(orig_op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 108854, (ZREG_X16), (((uint32_t)(Z_OFFSET(orig_op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 108858, (ZREG_X16), (((uint32_t)(Z_OFFSET(orig_op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 108862, (ZREG_X15), (Z_REG(orig_op1_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 108867, (ZREG_X15), (Z_REG(orig_op1_addr)), (Z_OFFSET(orig_op1_addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_REFCOUNTED == 0) {
			dasm_put(Dst, 108872, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
			dasm_put(Dst, 108875, (ZREG_X15), IS_TYPE_REFCOUNTED);
				} else {
				if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
			dasm_put(Dst, 108879, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
				} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
			dasm_put(Dst, 108883, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
					if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
			dasm_put(Dst, 108887, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 108891, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			dasm_put(Dst, 108895, (ZREG_X15), (ZREG_X16));
				}
#line 12693 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	GET_ZVAL_PTR FCARG1x, orig_op1_addr, TMP1
			dasm_put(Dst, 108899);
				ZEND_ASSERT(Z_MODE(orig_op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(orig_op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(orig_op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 108902, ((uint32_t)(Z_OFFSET(orig_op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(orig_op1_addr)) & 0xffff)) {
			dasm_put(Dst, 108905, ((uint32_t)(Z_OFFSET(orig_op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(orig_op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 108908, (((uint32_t)(Z_OFFSET(orig_op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 108911, (((uint32_t)(Z_OFFSET(orig_op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 108914, (Z_REG(orig_op1_addr)));
				} else {
			dasm_put(Dst, 108917, (Z_REG(orig_op1_addr)), (Z_OFFSET(orig_op1_addr)));
				}
#line 12694 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	GC_DELREF FCARG1x, TMP1w
			//|	bne >1
			//|	SET_EX_OPLINE opline, REG0
			dasm_put(Dst, 108921);
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 108927, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 108930);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 108932, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 108935, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 108938, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 108941, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 108944, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 108947, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 108950, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 108953, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 108956, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 108959, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 108962, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
#line 12697 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	EXT_CALL zend_jit_extract_helper, REG0
				if (arm64_may_use_b(zend_jit_extract_helper)) {
			dasm_put(Dst, 108965, (unsigned int)((ptrdiff_t)(zend_jit_extract_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_extract_helper))>>32));
				} else {
				if (((uintptr_t)(zend_jit_extract_helper)) == 0) {
			dasm_put(Dst, 108968);
				} else if (((uintptr_t)(zend_jit_extract_helper)) <= MOVZ_IMM) {
			dasm_put(Dst, 108970, ((uint64_t)(zend_jit_extract_helper)));
				} else if (arm64_may_use_adr((void*)(zend_jit_extract_helper))) {
			dasm_put(Dst, 108973, (unsigned int)((ptrdiff_t)(zend_jit_extract_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_extract_helper))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_extract_helper))) {
			dasm_put(Dst, 108976, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_extract_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_extract_helper)))))>>32));
					if (((uintptr_t)(zend_jit_extract_helper)) & 0xfff) {
			dasm_put(Dst, 108979, (((uintptr_t)(zend_jit_extract_helper)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_extract_helper) & 0xffff) {
			dasm_put(Dst, 108982, ((uintptr_t)(zend_jit_extract_helper) & 0xffff));
					if (((uintptr_t)(zend_jit_extract_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 108985, (((uintptr_t)(zend_jit_extract_helper) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_extract_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 108988, (((uintptr_t)(zend_jit_extract_helper) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_extract_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 108991, (((uintptr_t)(zend_jit_extract_helper) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_extract_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 108994, (((uintptr_t)(zend_jit_extract_helper) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 108997, (((uintptr_t)(zend_jit_extract_helper) >> 32) & 0xffff));
				}
			dasm_put(Dst, 109000);
				}
#line 12698 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|1:
			dasm_put(Dst, 109002);
#line 12699 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else if (!op1_avoid_refcounting) {
			if (on_this) {
				op1_info &= ~MAY_BE_RC1;
			}
			//|	FREE_OP opline->op1_type, opline->op1, op1_info, 1, opline, ZREG_TMP1, ZREG_TMP2
				if (opline->op1_type & (IS_VAR|IS_TMP_VAR)) {
					zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op1.var);
				if ((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
					if ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
						if (1) {
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 109004, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 109008, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 109012, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 109016, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 109020, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 109025, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_REFCOUNTED == 0) {
			dasm_put(Dst, 109030, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
			dasm_put(Dst, 109033, (ZREG_X15), IS_TYPE_REFCOUNTED);
				} else {
				if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
			dasm_put(Dst, 109037, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
				} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
			dasm_put(Dst, 109041, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
					if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
			dasm_put(Dst, 109045, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 109049, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			dasm_put(Dst, 109053, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 109057);
			dasm_put(Dst, 109060);
						} else {
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 109062, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 109066, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 109070, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 109074, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 109078, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 109083, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_REFCOUNTED == 0) {
			dasm_put(Dst, 109088, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
			dasm_put(Dst, 109091, (ZREG_X15), IS_TYPE_REFCOUNTED);
				} else {
				if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
			dasm_put(Dst, 109095, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
				} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
			dasm_put(Dst, 109099, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
					if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
			dasm_put(Dst, 109103, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 109107, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			dasm_put(Dst, 109111, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 109115);
						}
					}
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 109118, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
				} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
			dasm_put(Dst, 109122, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 109126, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 109130, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 109134, (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 109138, (Z_REG(addr)), (Z_OFFSET(addr)));
				}
			dasm_put(Dst, 109142, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
					if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op1_info)) {
						if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op1_info)) {
							if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
			dasm_put(Dst, 109150);
							} else {
			dasm_put(Dst, 109153);
							}
						}
				do {
					if (!((op1_info) & MAY_BE_GUARD)
					 && has_concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
						zend_uchar type = concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
						if (type == IS_STRING && !ZEND_DEBUG) {
				if (arm64_may_use_b(_efree)) {
			dasm_put(Dst, 109156, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
				} else {
				if (((uintptr_t)(_efree)) == 0) {
			dasm_put(Dst, 109159, (ZREG_X15));
				} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
			dasm_put(Dst, 109162, (ZREG_X15), ((uint64_t)(_efree)));
				} else if (arm64_may_use_adr((void*)(_efree))) {
			dasm_put(Dst, 109166, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
				} else if (arm64_may_use_adrp((void*)(_efree))) {
			dasm_put(Dst, 109170, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
					if (((uintptr_t)(_efree)) & 0xfff) {
			dasm_put(Dst, 109174, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
					}
				} else if ((uintptr_t)(_efree) & 0xffff) {
			dasm_put(Dst, 109179, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
					if (((uintptr_t)(_efree) >> 16) & 0xffff) {
			dasm_put(Dst, 109183, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
					}
					if (((uintptr_t)(_efree) >> 32) & 0xffff) {
			dasm_put(Dst, 109187, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
			dasm_put(Dst, 109191, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
					if (((uintptr_t)(_efree) >> 32) & 0xffff) {
			dasm_put(Dst, 109195, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 109199, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			dasm_put(Dst, 109203, (ZREG_X15));
				}
							break;
						} else if (type == IS_ARRAY) {
							if ((op1_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
								if (opline && ((op1_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 109206, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 109209, (ZREG_X15));
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 109212, (ZREG_X15), ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 109216, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 109220, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 109224, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 109229, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 109233, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 109237, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 109241, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 109245, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 109249, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 109253, (ZREG_X15), Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
								}
				if (arm64_may_use_b(zend_array_destroy)) {
			dasm_put(Dst, 109257, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
				} else {
				if (((uintptr_t)(zend_array_destroy)) == 0) {
			dasm_put(Dst, 109260, (ZREG_X15));
				} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
			dasm_put(Dst, 109263, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
				} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
			dasm_put(Dst, 109267, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
			dasm_put(Dst, 109271, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
					if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
			dasm_put(Dst, 109275, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
			dasm_put(Dst, 109280, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
					if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
			dasm_put(Dst, 109284, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
			dasm_put(Dst, 109288, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
			dasm_put(Dst, 109292, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
					if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
			dasm_put(Dst, 109296, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 109300, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			dasm_put(Dst, 109304, (ZREG_X15));
				}
							} else {
				if (arm64_may_use_b(zend_jit_array_free)) {
			dasm_put(Dst, 109307, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
				} else {
				if (((uintptr_t)(zend_jit_array_free)) == 0) {
			dasm_put(Dst, 109310, (ZREG_X15));
				} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
			dasm_put(Dst, 109313, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
				} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
			dasm_put(Dst, 109317, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
			dasm_put(Dst, 109321, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
					if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
			dasm_put(Dst, 109325, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
			dasm_put(Dst, 109330, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
					if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
			dasm_put(Dst, 109334, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
			dasm_put(Dst, 109338, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
			dasm_put(Dst, 109342, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
			dasm_put(Dst, 109346, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 109350, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			dasm_put(Dst, 109354, (ZREG_X15));
				}
							}
							break;
						} else if (type == IS_OBJECT) {
							if (opline) {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 109357, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 109360);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 109362, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 109365, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 109368, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 109371, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 109374, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 109377, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 109380, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 109383, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 109386, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 109389, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 109392, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
							}
				if (arm64_may_use_b(zend_objects_store_del)) {
			dasm_put(Dst, 109395, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
				} else {
				if (((uintptr_t)(zend_objects_store_del)) == 0) {
			dasm_put(Dst, 109398, (ZREG_X15));
				} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
			dasm_put(Dst, 109401, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
				} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
			dasm_put(Dst, 109405, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
			dasm_put(Dst, 109409, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
					if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
			dasm_put(Dst, 109413, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
			dasm_put(Dst, 109418, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
					if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
			dasm_put(Dst, 109422, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
			dasm_put(Dst, 109426, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
			dasm_put(Dst, 109430, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
					if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
			dasm_put(Dst, 109434, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 109438, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			dasm_put(Dst, 109442, (ZREG_X15));
				}
							break;
						}
					}
					if (opline) {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 109445, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 109448, (ZREG_X15));
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 109451, (ZREG_X15), ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 109455, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 109459, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 109463, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 109468, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 109472, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 109476, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 109480, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 109484, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 109488, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 109492, (ZREG_X15), Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
					}
				if (arm64_may_use_b(rc_dtor_func)) {
			dasm_put(Dst, 109496, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
				} else {
				if (((uintptr_t)(rc_dtor_func)) == 0) {
			dasm_put(Dst, 109499, (ZREG_X15));
				} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
			dasm_put(Dst, 109502, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
				} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
			dasm_put(Dst, 109506, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
				} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
			dasm_put(Dst, 109510, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
					if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
			dasm_put(Dst, 109514, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
					}
				} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
			dasm_put(Dst, 109519, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
					if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
			dasm_put(Dst, 109523, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
					}
					if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
			dasm_put(Dst, 109527, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
			dasm_put(Dst, 109531, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
					if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
			dasm_put(Dst, 109535, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 109539, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			dasm_put(Dst, 109543, (ZREG_X15));
				}
				} while(0);
						if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
			dasm_put(Dst, 109546);
						}
			dasm_put(Dst, 109549);
					}
					if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
						if ((op1_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
							zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 109551, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 109555, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 109559, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 109563, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 109567, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 109572, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_REFERENCE == 0) {
			dasm_put(Dst, 109577, (ZREG_X15));
				} else {
			dasm_put(Dst, 109581, (ZREG_X15), IS_REFERENCE);
				}
				ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 109587, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 109591, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 109595, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 109599, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 109603, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 109608, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_COLLECTABLE == 0) {
			dasm_put(Dst, 109613, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
			dasm_put(Dst, 109616, (ZREG_X15), IS_TYPE_COLLECTABLE);
				} else {
				if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
			dasm_put(Dst, 109620, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
				} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
			dasm_put(Dst, 109624, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
					if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
			dasm_put(Dst, 109628, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 109632, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			dasm_put(Dst, 109636, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 109640);
				ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 109643, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
			dasm_put(Dst, 109647, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 109651, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 109655, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 109659, (Z_REG(ref_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 109663, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
				}
			dasm_put(Dst, 109667);
						}
			dasm_put(Dst, 109669, (ZREG_X15));
				if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
			dasm_put(Dst, 109672, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
			dasm_put(Dst, 109675, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
				} else {
				if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
			dasm_put(Dst, 109679, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
				} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
			dasm_put(Dst, 109683, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
					if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
			dasm_put(Dst, 109687, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 109691, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			dasm_put(Dst, 109695, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 109699);
				if (arm64_may_use_b(gc_possible_root)) {
			dasm_put(Dst, 109702, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
				} else {
				if (((uintptr_t)(gc_possible_root)) == 0) {
			dasm_put(Dst, 109705, (ZREG_X15));
				} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
			dasm_put(Dst, 109708, (ZREG_X15), ((uint64_t)(gc_possible_root)));
				} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
			dasm_put(Dst, 109712, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
				} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
			dasm_put(Dst, 109716, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
					if (((uintptr_t)(gc_possible_root)) & 0xfff) {
			dasm_put(Dst, 109720, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
					}
				} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
			dasm_put(Dst, 109725, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
					if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
			dasm_put(Dst, 109729, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
					}
					if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
			dasm_put(Dst, 109733, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
			dasm_put(Dst, 109737, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
					if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
			dasm_put(Dst, 109741, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 109745, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			dasm_put(Dst, 109749, (ZREG_X15));
				}
					}
					if (1 && ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
			dasm_put(Dst, 109752);
					}
			dasm_put(Dst, 109755);
				}
				}
#line 12704 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE
	 && prop_info
	 && (opline->opcode != ZEND_FETCH_OBJ_W ||
	     !(opline->extended_value & ZEND_FETCH_OBJ_FLAGS) ||
	     !ZEND_TYPE_IS_SET(prop_info->type))
	 && (!(opline->op1_type & (IS_VAR|IS_TMP_VAR)) || on_this || op1_indirect)) {
		may_throw = 0;
	}

	if (may_throw) {
		if (!zend_jit_check_exception(Dst)) {
			return 0;
		}
	}

	return 1;
}

static int zend_jit_incdec_obj(dasm_State          **Dst,
                               const zend_op        *opline,
                               const zend_op_array  *op_array,
                               zend_ssa             *ssa,
                               const zend_ssa_op    *ssa_op,
                               uint32_t              op1_info,
                               zend_jit_addr         op1_addr,
                               bool                  op1_indirect,
                               zend_class_entry     *ce,
                               bool                  ce_is_instanceof,
                               bool                  on_this,
                               bool                  delayed_fetch_this,
                               zend_class_entry     *trace_ce,
                               uint8_t               prop_type)
{
	zval *member;
	zend_string *name;
	zend_property_info *prop_info;
	zend_jit_addr this_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, offsetof(zend_execute_data, This));
	zend_jit_addr res_addr = 0;
	zend_jit_addr prop_addr;
	bool needs_slow_path = 0;
	bool use_prop_guard = 0;
	bool may_throw = 0;
	uint32_t res_info = (opline->result_type != IS_UNDEF) ? RES_INFO() : 0;

	ZEND_ASSERT(opline->op2_type == IS_CONST);
	ZEND_ASSERT(op1_info & MAY_BE_OBJECT);

	if (opline->result_type != IS_UNUSED) {
		res_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->result.var);
	}

	member = RT_CONSTANT(opline, opline->op2);
	ZEND_ASSERT(Z_TYPE_P(member) == IS_STRING && Z_STRVAL_P(member)[0] != '\0');
	name = Z_STR_P(member);
	prop_info = zend_get_known_property_info(op_array, ce, name, on_this, op_array->filename);

	if (on_this) {
		//|	GET_ZVAL_PTR FCARG1x, this_addr, TMP1
			ZEND_ASSERT(Z_MODE(this_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(this_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(this_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 109757, ((uint32_t)(Z_OFFSET(this_addr))));
			} else if (((uint32_t)(Z_OFFSET(this_addr)) & 0xffff)) {
		dasm_put(Dst, 109760, ((uint32_t)(Z_OFFSET(this_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(this_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 109763, (((uint32_t)(Z_OFFSET(this_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 109766, (((uint32_t)(Z_OFFSET(this_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 109769, (Z_REG(this_addr)));
			} else {
		dasm_put(Dst, 109772, (Z_REG(this_addr)), (Z_OFFSET(this_addr)));
			}
#line 12765 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		if (opline->op1_type == IS_VAR
		 && (op1_info & MAY_BE_INDIRECT)
		 && Z_REG(op1_addr) == ZREG_FP) {
			//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
			dasm_put(Dst, 109776);
				} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 109778, ((uint64_t)(Z_ZV(op1_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 109781, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 109784, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
			dasm_put(Dst, 109787, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
			dasm_put(Dst, 109790, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 109793, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 109796, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 109799, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 109802, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 109805, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(op1_addr)) {
				if (Z_OFFSET(op1_addr) == 0) {
			dasm_put(Dst, 109808, (Z_REG(op1_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
			dasm_put(Dst, 109811, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 109815, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 109818, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 109821, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 109824, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 109827, (Z_REG(op1_addr)));
				}
					} else {
						if (Z_REG(op1_addr) == ZREG_RSP) {
			dasm_put(Dst, 109830);
						} else {
			dasm_put(Dst, 109832, (Z_REG(op1_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 12770 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	IF_NOT_Z_TYPE FCARG1x, IS_INDIRECT, >1, TMP1w
			dasm_put(Dst, 109835, offsetof(zval, u1.v.type));
				if (IS_INDIRECT == 0) {
			dasm_put(Dst, 109838);
				} else {
			dasm_put(Dst, 109841, IS_INDIRECT);
				}
#line 12771 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	GET_Z_PTR FCARG1x, FCARG1x
			//|1:
			dasm_put(Dst, 109846);
#line 12773 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			op1_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, 0);
		}
		if (op1_info & MAY_BE_REF) {
			if (Z_REG(op1_addr) != ZREG_FCARG1 || Z_OFFSET(op1_addr) != 0) {
				//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
					if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
				dasm_put(Dst, 109849);
					} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 109851, ((uint64_t)(Z_ZV(op1_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 109854, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 109857, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
				dasm_put(Dst, 109860, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
				dasm_put(Dst, 109863, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 109866, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 109869, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 109872, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 109875, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 109878, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(op1_addr)) {
					if (Z_OFFSET(op1_addr) == 0) {
				dasm_put(Dst, 109881, (Z_REG(op1_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
				dasm_put(Dst, 109884, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 109888, ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 109891, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 109894, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 109897, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 109900, (Z_REG(op1_addr)));
					}
						} else {
							if (Z_REG(op1_addr) == ZREG_RSP) {
				dasm_put(Dst, 109903);
							} else {
				dasm_put(Dst, 109905, (Z_REG(op1_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 12778 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	ZVAL_DEREF FCARG1x, op1_info, TMP1w
				if (op1_info & MAY_BE_REF) {
			dasm_put(Dst, 109908, offsetof(zval, u1.v.type));
				if (IS_REFERENCE == 0) {
			dasm_put(Dst, 109911);
				} else {
			dasm_put(Dst, 109914, IS_REFERENCE);
				}
			dasm_put(Dst, 109919, offsetof(zend_reference, val));
				}
#line 12780 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			op1_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, 0);
		}
		if (op1_info & ((MAY_BE_UNDEF|MAY_BE_ANY)- MAY_BE_OBJECT)) {
			if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE) {
				int32_t exit_point = zend_jit_trace_get_exit_point(opline, ZEND_JIT_EXIT_TO_VM);
				const void *exit_addr = zend_jit_trace_get_exit_addr(exit_point);

				if (!exit_addr) {
					return 0;
				}
				//|	IF_NOT_ZVAL_TYPE op1_addr, IS_OBJECT, &exit_addr, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 109924, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 109928, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 109932, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 109936, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 109940, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 109945, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_OBJECT == 0) {
				dasm_put(Dst, 109950, (ZREG_X15), (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
					} else {
				dasm_put(Dst, 109954, (ZREG_X15), IS_OBJECT, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
					}
#line 12791 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	IF_NOT_ZVAL_TYPE op1_addr, IS_OBJECT, >1, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 109960, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 109964, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 109968, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 109972, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 109976, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 109981, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_OBJECT == 0) {
				dasm_put(Dst, 109986, (ZREG_X15));
					} else {
				dasm_put(Dst, 109990, (ZREG_X15), IS_OBJECT);
					}
#line 12793 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|.cold_code
				dasm_put(Dst, 109996);
#line 12794 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|1:
				//|	SET_EX_OPLINE opline, REG0
				dasm_put(Dst, 109997);
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 109999, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 110002);
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 110004, ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 110007, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 110010, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 110013, (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 110016, ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 110019, (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 110022, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 110025, (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 110028, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 110031, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 110034, Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
#line 12796 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				if (Z_REG(op1_addr) != ZREG_FCARG1 || Z_OFFSET(op1_addr) != 0) {
					//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
						if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
						if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
					dasm_put(Dst, 110037);
						} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 110039, ((uint64_t)(Z_ZV(op1_addr))));
						} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
					dasm_put(Dst, 110042, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
						} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
					dasm_put(Dst, 110045, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
							if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
					dasm_put(Dst, 110048, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
							}
						} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
					dasm_put(Dst, 110051, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
							if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 110054, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 110057, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 110060, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
							if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 110063, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 110066, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
						} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
							if (Z_OFFSET(op1_addr)) {
						if (Z_OFFSET(op1_addr) == 0) {
					dasm_put(Dst, 110069, (Z_REG(op1_addr)));
						} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
					dasm_put(Dst, 110072, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
						} else {
						if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 110076, ((uint32_t)(Z_OFFSET(op1_addr))));
						} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
					dasm_put(Dst, 110079, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 110082, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 110085, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 110088, (Z_REG(op1_addr)));
						}
							} else {
								if (Z_REG(op1_addr) == ZREG_RSP) {
					dasm_put(Dst, 110091);
								} else {
					dasm_put(Dst, 110093, (Z_REG(op1_addr)));
								}
							}
						} else {
							ZEND_UNREACHABLE();
						}
#line 12798 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|	LOAD_ADDR FCARG2x, ZSTR_VAL(name)
					if (((uintptr_t)(ZSTR_VAL(name))) == 0) {
				dasm_put(Dst, 110096);
					} else if (((uintptr_t)(ZSTR_VAL(name))) <= MOVZ_IMM) {
				dasm_put(Dst, 110098, ((uint64_t)(ZSTR_VAL(name))));
					} else if (arm64_may_use_adr((void*)(ZSTR_VAL(name)))) {
				dasm_put(Dst, 110101, (unsigned int)((ptrdiff_t)(ZSTR_VAL(name))), (unsigned int)(((ptrdiff_t)(ZSTR_VAL(name)))>>32));
					} else if (arm64_may_use_adrp((void*)(ZSTR_VAL(name)))) {
				dasm_put(Dst, 110104, (unsigned int)((ptrdiff_t)((((uintptr_t)(ZSTR_VAL(name)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(ZSTR_VAL(name))))))>>32));
						if (((uintptr_t)(ZSTR_VAL(name))) & 0xfff) {
				dasm_put(Dst, 110107, (((uintptr_t)(ZSTR_VAL(name))) & 0xfff));
						}
					} else if ((uintptr_t)(ZSTR_VAL(name)) & 0xffff) {
				dasm_put(Dst, 110110, ((uintptr_t)(ZSTR_VAL(name)) & 0xffff));
						if (((uintptr_t)(ZSTR_VAL(name)) >> 16) & 0xffff) {
				dasm_put(Dst, 110113, (((uintptr_t)(ZSTR_VAL(name)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(ZSTR_VAL(name)) >> 32) & 0xffff) {
				dasm_put(Dst, 110116, (((uintptr_t)(ZSTR_VAL(name)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(ZSTR_VAL(name)) >> 16) & 0xffff) {
				dasm_put(Dst, 110119, (((uintptr_t)(ZSTR_VAL(name)) >> 16) & 0xffff));
						if (((uintptr_t)(ZSTR_VAL(name)) >> 32) & 0xffff) {
				dasm_put(Dst, 110122, (((uintptr_t)(ZSTR_VAL(name)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 110125, (((uintptr_t)(ZSTR_VAL(name)) >> 32) & 0xffff));
					}
#line 12800 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	EXT_CALL zend_jit_invalid_property_incdec, REG0
					if (arm64_may_use_b(zend_jit_invalid_property_incdec)) {
				dasm_put(Dst, 110128, (unsigned int)((ptrdiff_t)(zend_jit_invalid_property_incdec)), (unsigned int)(((ptrdiff_t)(zend_jit_invalid_property_incdec))>>32));
					} else {
					if (((uintptr_t)(zend_jit_invalid_property_incdec)) == 0) {
				dasm_put(Dst, 110131);
					} else if (((uintptr_t)(zend_jit_invalid_property_incdec)) <= MOVZ_IMM) {
				dasm_put(Dst, 110133, ((uint64_t)(zend_jit_invalid_property_incdec)));
					} else if (arm64_may_use_adr((void*)(zend_jit_invalid_property_incdec))) {
				dasm_put(Dst, 110136, (unsigned int)((ptrdiff_t)(zend_jit_invalid_property_incdec)), (unsigned int)(((ptrdiff_t)(zend_jit_invalid_property_incdec))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_invalid_property_incdec))) {
				dasm_put(Dst, 110139, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_invalid_property_incdec))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_invalid_property_incdec)))))>>32));
						if (((uintptr_t)(zend_jit_invalid_property_incdec)) & 0xfff) {
				dasm_put(Dst, 110142, (((uintptr_t)(zend_jit_invalid_property_incdec)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_invalid_property_incdec) & 0xffff) {
				dasm_put(Dst, 110145, ((uintptr_t)(zend_jit_invalid_property_incdec) & 0xffff));
						if (((uintptr_t)(zend_jit_invalid_property_incdec) >> 16) & 0xffff) {
				dasm_put(Dst, 110148, (((uintptr_t)(zend_jit_invalid_property_incdec) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_invalid_property_incdec) >> 32) & 0xffff) {
				dasm_put(Dst, 110151, (((uintptr_t)(zend_jit_invalid_property_incdec) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_invalid_property_incdec) >> 16) & 0xffff) {
				dasm_put(Dst, 110154, (((uintptr_t)(zend_jit_invalid_property_incdec) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_invalid_property_incdec) >> 32) & 0xffff) {
				dasm_put(Dst, 110157, (((uintptr_t)(zend_jit_invalid_property_incdec) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 110160, (((uintptr_t)(zend_jit_invalid_property_incdec) >> 32) & 0xffff));
					}
				dasm_put(Dst, 110163);
					}
#line 12801 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	b ->exception_handler
				//|.code
				dasm_put(Dst, 110165);
#line 12803 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
		//|	GET_ZVAL_PTR FCARG1x, op1_addr, TMP1
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 110168, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 110171, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 110174, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 110177, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 110180, (Z_REG(op1_addr)));
			} else {
		dasm_put(Dst, 110183, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
#line 12806 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	if (!prop_info && trace_ce && (trace_ce->ce_flags & ZEND_ACC_IMMUTABLE)) {
		prop_info = zend_get_known_property_info(op_array, trace_ce, name, on_this, op_array->filename);
		if (prop_info) {
			ce = trace_ce;
			ce_is_instanceof = 0;
			if (!(op1_info & MAY_BE_CLASS_GUARD)) {
				if (on_this && JIT_G(current_frame)
				 && TRACE_FRAME_IS_THIS_CLASS_CHECKED(JIT_G(current_frame))) {
					ZEND_ASSERT(JIT_G(current_frame)->ce == ce);
				} else if (zend_jit_class_guard(Dst, opline, ce)) {
					if (on_this && JIT_G(current_frame)) {
						JIT_G(current_frame)->ce = ce;
						TRACE_FRAME_SET_THIS_CLASS_CHECKED(JIT_G(current_frame));
					}
				} else {
					return 0;
				}
				if (ssa->var_info && ssa_op->op1_use >= 0) {
					ssa->var_info[ssa_op->op1_use].type |= MAY_BE_CLASS_GUARD;
					ssa->var_info[ssa_op->op1_use].ce = ce;
					ssa->var_info[ssa_op->op1_use].is_instanceof = ce_is_instanceof;
				}
				if (ssa->var_info && ssa_op->op1_def >= 0) {
					ssa->var_info[ssa_op->op1_def].type |= MAY_BE_CLASS_GUARD;
					ssa->var_info[ssa_op->op1_def].ce = ce;
					ssa->var_info[ssa_op->op1_def].is_instanceof = ce_is_instanceof;
				}
			}
		}
	}

	use_prop_guard = (prop_type != IS_UNKNOWN
		&& prop_type != IS_UNDEF
		&& prop_type != IS_REFERENCE
		&& (op1_info & (MAY_BE_ANY|MAY_BE_UNDEF)) == MAY_BE_OBJECT);

	if (!prop_info) {
		needs_slow_path = 1;

		//|	ldr REG0, EX->run_time_cache
		//|	MEM_ACCESS_64_WITH_UOFFSET ldr, REG2, REG0, opline->extended_value, TMP1
		dasm_put(Dst, 110187, Dt1(->run_time_cache));
			if (((uintptr_t)(opline->extended_value)) > LDR_STR_PIMM64) {
			if (((uint32_t)(opline->extended_value)) <= MOVZ_IMM) {
		dasm_put(Dst, 110190, ((uint32_t)(opline->extended_value)));
			} else if (((uint32_t)(opline->extended_value) & 0xffff)) {
		dasm_put(Dst, 110193, ((uint32_t)(opline->extended_value) & 0xffff));
				if ((((uint32_t)(opline->extended_value) >> 16) & 0xffff)) {
		dasm_put(Dst, 110196, (((uint32_t)(opline->extended_value) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 110199, (((uint32_t)(opline->extended_value) >> 16) & 0xffff));
			}
		dasm_put(Dst, 110202);
			} else {
		dasm_put(Dst, 110204, (opline->extended_value));
			}
#line 12849 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	ldr TMP1, [FCARG1x, #offsetof(zend_object, ce)]
		//|	cmp REG2, TMP1
		//|	bne >7
		dasm_put(Dst, 110207, offsetof(zend_object, ce));
#line 12852 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (!ce || ce_is_instanceof || (ce->ce_flags & (ZEND_ACC_HAS_TYPE_HINTS|ZEND_ACC_TRAIT))) {
			//|	MEM_ACCESS_64_WITH_UOFFSET ldr, TMP1, REG0, (opline->extended_value + sizeof(void*) * 2), TMP1
				if (((uintptr_t)((opline->extended_value + sizeof(void*) * 2))) > LDR_STR_PIMM64) {
				if (((uint32_t)((opline->extended_value + sizeof(void*) * 2))) <= MOVZ_IMM) {
			dasm_put(Dst, 110213, ((uint32_t)((opline->extended_value + sizeof(void*) * 2))));
				} else if (((uint32_t)((opline->extended_value + sizeof(void*) * 2)) & 0xffff)) {
			dasm_put(Dst, 110216, ((uint32_t)((opline->extended_value + sizeof(void*) * 2)) & 0xffff));
					if ((((uint32_t)((opline->extended_value + sizeof(void*) * 2)) >> 16) & 0xffff)) {
			dasm_put(Dst, 110219, (((uint32_t)((opline->extended_value + sizeof(void*) * 2)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 110222, (((uint32_t)((opline->extended_value + sizeof(void*) * 2)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 110225);
				} else {
			dasm_put(Dst, 110227, ((opline->extended_value + sizeof(void*) * 2)));
				}
#line 12854 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	cbnz TMP1, >7
			dasm_put(Dst, 110230);
#line 12855 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	MEM_ACCESS_64_WITH_UOFFSET ldr, REG0, REG0, (opline->extended_value + sizeof(void*)), TMP1
			if (((uintptr_t)((opline->extended_value + sizeof(void*)))) > LDR_STR_PIMM64) {
			if (((uint32_t)((opline->extended_value + sizeof(void*)))) <= MOVZ_IMM) {
		dasm_put(Dst, 110233, ((uint32_t)((opline->extended_value + sizeof(void*)))));
			} else if (((uint32_t)((opline->extended_value + sizeof(void*))) & 0xffff)) {
		dasm_put(Dst, 110236, ((uint32_t)((opline->extended_value + sizeof(void*))) & 0xffff));
				if ((((uint32_t)((opline->extended_value + sizeof(void*))) >> 16) & 0xffff)) {
		dasm_put(Dst, 110239, (((uint32_t)((opline->extended_value + sizeof(void*))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 110242, (((uint32_t)((opline->extended_value + sizeof(void*))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 110245);
			} else {
		dasm_put(Dst, 110247, ((opline->extended_value + sizeof(void*))));
			}
#line 12857 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	tst REG0, REG0
		//|	blt >7
		//|	add TMP1, FCARG1x, REG0
		dasm_put(Dst, 110250);
#line 12860 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (!use_prop_guard) {
			//|	ldrb TMP2w, [TMP1, #offsetof(zval,u1.v.type)]
			//|	IF_TYPE TMP2w , IS_UNDEF, >7
			dasm_put(Dst, 110255, offsetof(zval,u1.v.type));
				if (IS_UNDEF == 0) {
			dasm_put(Dst, 110258);
				} else {
			dasm_put(Dst, 110261, IS_UNDEF);
				}
#line 12863 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	mov FCARG1x, TMP1
		dasm_put(Dst, 110266);
#line 12865 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		prop_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, 0);
	} else {
		prop_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, prop_info->offset);
		if (ZEND_TYPE_IS_SET(prop_info->type) || !use_prop_guard) {
			if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE) {
				int32_t exit_point = zend_jit_trace_get_exit_point(opline, ZEND_JIT_EXIT_TO_VM);
				const void *exit_addr = zend_jit_trace_get_exit_addr(exit_point);

				if (!exit_addr) {
					return 0;
				}
				//|	MEM_ACCESS_8_WITH_UOFFSET ldrb, TMP2w, FCARG1x, (prop_info->offset + offsetof(zval,u1.v.type)), TMP1
					if (((uintptr_t)((prop_info->offset + offsetof(zval,u1.v.type)))) > LDRB_STRB_PIMM) {
					if (((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type)))) <= MOVZ_IMM) {
				dasm_put(Dst, 110268, ((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type)))));
					} else if (((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type))) & 0xffff)) {
				dasm_put(Dst, 110271, ((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type))) & 0xffff));
						if ((((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type))) >> 16) & 0xffff)) {
				dasm_put(Dst, 110274, (((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type))) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 110277, (((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type))) >> 16) & 0xffff));
					}
				dasm_put(Dst, 110280);
					} else {
				dasm_put(Dst, 110282, ((prop_info->offset + offsetof(zval,u1.v.type))));
					}
#line 12877 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	IF_TYPE TMP2w, IS_UNDEF, &exit_addr
					if (IS_UNDEF == 0) {
				dasm_put(Dst, 110285, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
					} else {
				dasm_put(Dst, 110288, IS_UNDEF, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
					}
#line 12878 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	MEM_ACCESS_8_WITH_UOFFSET ldrb, TMP2w, FCARG1x, (prop_info->offset + offsetof(zval,u1.v.type)), TMP1
					if (((uintptr_t)((prop_info->offset + offsetof(zval,u1.v.type)))) > LDRB_STRB_PIMM) {
					if (((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type)))) <= MOVZ_IMM) {
				dasm_put(Dst, 110293, ((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type)))));
					} else if (((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type))) & 0xffff)) {
				dasm_put(Dst, 110296, ((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type))) & 0xffff));
						if ((((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type))) >> 16) & 0xffff)) {
				dasm_put(Dst, 110299, (((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type))) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 110302, (((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type))) >> 16) & 0xffff));
					}
				dasm_put(Dst, 110305);
					} else {
				dasm_put(Dst, 110307, ((prop_info->offset + offsetof(zval,u1.v.type))));
					}
#line 12880 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	IF_TYPE TMP2w, IS_UNDEF, >7
					if (IS_UNDEF == 0) {
				dasm_put(Dst, 110310);
					} else {
				dasm_put(Dst, 110313, IS_UNDEF);
					}
#line 12881 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				needs_slow_path = 1;
			}
		}
		if (ZEND_TYPE_IS_SET(prop_info->type)) {
			may_throw = 1;
			//|	SET_EX_OPLINE opline, REG0
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 110318, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 110321);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 110323, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 110326, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 110329, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 110332, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 110335, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 110338, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 110341, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 110344, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 110347, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 110350, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 110353, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
#line 12887 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (ce && ce->ce_flags & ZEND_ACC_IMMUTABLE) {
				//|	LOAD_ADDR FCARG2x, prop_info
					if (((uintptr_t)(prop_info)) == 0) {
				dasm_put(Dst, 110356);
					} else if (((uintptr_t)(prop_info)) <= MOVZ_IMM) {
				dasm_put(Dst, 110358, ((uint64_t)(prop_info)));
					} else if (arm64_may_use_adr((void*)(prop_info))) {
				dasm_put(Dst, 110361, (unsigned int)((ptrdiff_t)(prop_info)), (unsigned int)(((ptrdiff_t)(prop_info))>>32));
					} else if (arm64_may_use_adrp((void*)(prop_info))) {
				dasm_put(Dst, 110364, (unsigned int)((ptrdiff_t)((((uintptr_t)(prop_info))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(prop_info)))))>>32));
						if (((uintptr_t)(prop_info)) & 0xfff) {
				dasm_put(Dst, 110367, (((uintptr_t)(prop_info)) & 0xfff));
						}
					} else if ((uintptr_t)(prop_info) & 0xffff) {
				dasm_put(Dst, 110370, ((uintptr_t)(prop_info) & 0xffff));
						if (((uintptr_t)(prop_info) >> 16) & 0xffff) {
				dasm_put(Dst, 110373, (((uintptr_t)(prop_info) >> 16) & 0xffff));
						}
						if (((uintptr_t)(prop_info) >> 32) & 0xffff) {
				dasm_put(Dst, 110376, (((uintptr_t)(prop_info) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(prop_info) >> 16) & 0xffff) {
				dasm_put(Dst, 110379, (((uintptr_t)(prop_info) >> 16) & 0xffff));
						if (((uintptr_t)(prop_info) >> 32) & 0xffff) {
				dasm_put(Dst, 110382, (((uintptr_t)(prop_info) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 110385, (((uintptr_t)(prop_info) >> 32) & 0xffff));
					}
#line 12889 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				int prop_info_offset =
					(((prop_info->offset - (sizeof(zend_object) - sizeof(zval))) / sizeof(zval)) * sizeof(void*));

				//|	ldr REG0, [FCARG1x, #offsetof(zend_object, ce)]
				//|	ldr	REG0, [REG0, #offsetof(zend_class_entry, properties_info_table)]
				//|	MEM_ACCESS_64_WITH_UOFFSET ldr, FCARG2x, REG0, prop_info_offset, TMP1
				dasm_put(Dst, 110388, offsetof(zend_object, ce), offsetof(zend_class_entry, properties_info_table));
					if (((uintptr_t)(prop_info_offset)) > LDR_STR_PIMM64) {
					if (((uint32_t)(prop_info_offset)) <= MOVZ_IMM) {
				dasm_put(Dst, 110393, ((uint32_t)(prop_info_offset)));
					} else if (((uint32_t)(prop_info_offset) & 0xffff)) {
				dasm_put(Dst, 110396, ((uint32_t)(prop_info_offset) & 0xffff));
						if ((((uint32_t)(prop_info_offset) >> 16) & 0xffff)) {
				dasm_put(Dst, 110399, (((uint32_t)(prop_info_offset) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 110402, (((uint32_t)(prop_info_offset) >> 16) & 0xffff));
					}
				dasm_put(Dst, 110405);
					} else {
				dasm_put(Dst, 110407, (prop_info_offset));
					}
#line 12896 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	LOAD_ZVAL_ADDR FCARG1x, prop_addr
				if (Z_MODE(prop_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(prop_addr))) == 0) {
			dasm_put(Dst, 110410);
				} else if (((uintptr_t)(Z_ZV(prop_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 110412, ((uint64_t)(Z_ZV(prop_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(prop_addr)))) {
			dasm_put(Dst, 110415, (unsigned int)((ptrdiff_t)(Z_ZV(prop_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(prop_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(prop_addr)))) {
			dasm_put(Dst, 110418, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(prop_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(prop_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(prop_addr))) & 0xfff) {
			dasm_put(Dst, 110421, (((uintptr_t)(Z_ZV(prop_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(prop_addr)) & 0xffff) {
			dasm_put(Dst, 110424, ((uintptr_t)(Z_ZV(prop_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 110427, (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 110430, (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 110433, (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 110436, (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 110439, (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(prop_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(prop_addr)) {
				if (Z_OFFSET(prop_addr) == 0) {
			dasm_put(Dst, 110442, (Z_REG(prop_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(prop_addr)))) {
			dasm_put(Dst, 110445, (Z_REG(prop_addr)), Z_OFFSET(prop_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(prop_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 110449, ((uint32_t)(Z_OFFSET(prop_addr))));
				} else if (((uint32_t)(Z_OFFSET(prop_addr)) & 0xffff)) {
			dasm_put(Dst, 110452, ((uint32_t)(Z_OFFSET(prop_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 110455, (((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 110458, (((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 110461, (Z_REG(prop_addr)));
				}
					} else {
						if (Z_REG(prop_addr) == ZREG_RSP) {
			dasm_put(Dst, 110464);
						} else {
			dasm_put(Dst, 110466, (Z_REG(prop_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 12898 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (opline->result_type == IS_UNUSED) {
				switch (opline->opcode) {
					case ZEND_PRE_INC_OBJ:
					case ZEND_POST_INC_OBJ:
						//|	EXT_CALL zend_jit_inc_typed_prop, REG0
							if (arm64_may_use_b(zend_jit_inc_typed_prop)) {
						dasm_put(Dst, 110469, (unsigned int)((ptrdiff_t)(zend_jit_inc_typed_prop)), (unsigned int)(((ptrdiff_t)(zend_jit_inc_typed_prop))>>32));
							} else {
							if (((uintptr_t)(zend_jit_inc_typed_prop)) == 0) {
						dasm_put(Dst, 110472);
							} else if (((uintptr_t)(zend_jit_inc_typed_prop)) <= MOVZ_IMM) {
						dasm_put(Dst, 110474, ((uint64_t)(zend_jit_inc_typed_prop)));
							} else if (arm64_may_use_adr((void*)(zend_jit_inc_typed_prop))) {
						dasm_put(Dst, 110477, (unsigned int)((ptrdiff_t)(zend_jit_inc_typed_prop)), (unsigned int)(((ptrdiff_t)(zend_jit_inc_typed_prop))>>32));
							} else if (arm64_may_use_adrp((void*)(zend_jit_inc_typed_prop))) {
						dasm_put(Dst, 110480, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_inc_typed_prop))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_inc_typed_prop)))))>>32));
								if (((uintptr_t)(zend_jit_inc_typed_prop)) & 0xfff) {
						dasm_put(Dst, 110483, (((uintptr_t)(zend_jit_inc_typed_prop)) & 0xfff));
								}
							} else if ((uintptr_t)(zend_jit_inc_typed_prop) & 0xffff) {
						dasm_put(Dst, 110486, ((uintptr_t)(zend_jit_inc_typed_prop) & 0xffff));
								if (((uintptr_t)(zend_jit_inc_typed_prop) >> 16) & 0xffff) {
						dasm_put(Dst, 110489, (((uintptr_t)(zend_jit_inc_typed_prop) >> 16) & 0xffff));
								}
								if (((uintptr_t)(zend_jit_inc_typed_prop) >> 32) & 0xffff) {
						dasm_put(Dst, 110492, (((uintptr_t)(zend_jit_inc_typed_prop) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(zend_jit_inc_typed_prop) >> 16) & 0xffff) {
						dasm_put(Dst, 110495, (((uintptr_t)(zend_jit_inc_typed_prop) >> 16) & 0xffff));
								if (((uintptr_t)(zend_jit_inc_typed_prop) >> 32) & 0xffff) {
						dasm_put(Dst, 110498, (((uintptr_t)(zend_jit_inc_typed_prop) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 110501, (((uintptr_t)(zend_jit_inc_typed_prop) >> 32) & 0xffff));
							}
						dasm_put(Dst, 110504);
							}
#line 12903 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						break;
					case ZEND_PRE_DEC_OBJ:
					case ZEND_POST_DEC_OBJ:
						//|	EXT_CALL zend_jit_dec_typed_prop, REG0
							if (arm64_may_use_b(zend_jit_dec_typed_prop)) {
						dasm_put(Dst, 110506, (unsigned int)((ptrdiff_t)(zend_jit_dec_typed_prop)), (unsigned int)(((ptrdiff_t)(zend_jit_dec_typed_prop))>>32));
							} else {
							if (((uintptr_t)(zend_jit_dec_typed_prop)) == 0) {
						dasm_put(Dst, 110509);
							} else if (((uintptr_t)(zend_jit_dec_typed_prop)) <= MOVZ_IMM) {
						dasm_put(Dst, 110511, ((uint64_t)(zend_jit_dec_typed_prop)));
							} else if (arm64_may_use_adr((void*)(zend_jit_dec_typed_prop))) {
						dasm_put(Dst, 110514, (unsigned int)((ptrdiff_t)(zend_jit_dec_typed_prop)), (unsigned int)(((ptrdiff_t)(zend_jit_dec_typed_prop))>>32));
							} else if (arm64_may_use_adrp((void*)(zend_jit_dec_typed_prop))) {
						dasm_put(Dst, 110517, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_dec_typed_prop))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_dec_typed_prop)))))>>32));
								if (((uintptr_t)(zend_jit_dec_typed_prop)) & 0xfff) {
						dasm_put(Dst, 110520, (((uintptr_t)(zend_jit_dec_typed_prop)) & 0xfff));
								}
							} else if ((uintptr_t)(zend_jit_dec_typed_prop) & 0xffff) {
						dasm_put(Dst, 110523, ((uintptr_t)(zend_jit_dec_typed_prop) & 0xffff));
								if (((uintptr_t)(zend_jit_dec_typed_prop) >> 16) & 0xffff) {
						dasm_put(Dst, 110526, (((uintptr_t)(zend_jit_dec_typed_prop) >> 16) & 0xffff));
								}
								if (((uintptr_t)(zend_jit_dec_typed_prop) >> 32) & 0xffff) {
						dasm_put(Dst, 110529, (((uintptr_t)(zend_jit_dec_typed_prop) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(zend_jit_dec_typed_prop) >> 16) & 0xffff) {
						dasm_put(Dst, 110532, (((uintptr_t)(zend_jit_dec_typed_prop) >> 16) & 0xffff));
								if (((uintptr_t)(zend_jit_dec_typed_prop) >> 32) & 0xffff) {
						dasm_put(Dst, 110535, (((uintptr_t)(zend_jit_dec_typed_prop) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 110538, (((uintptr_t)(zend_jit_dec_typed_prop) >> 32) & 0xffff));
							}
						dasm_put(Dst, 110541);
							}
#line 12907 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						break;
					default:
						ZEND_UNREACHABLE();
				}
			} else {
				//|	LOAD_ZVAL_ADDR CARG3, res_addr
					if (Z_MODE(res_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(res_addr))) == 0) {
				dasm_put(Dst, 110543);
					} else if (((uintptr_t)(Z_ZV(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 110545, ((uint64_t)(Z_ZV(res_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 110548, (unsigned int)((ptrdiff_t)(Z_ZV(res_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(res_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 110551, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(res_addr))) & 0xfff) {
				dasm_put(Dst, 110554, (((uintptr_t)(Z_ZV(res_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(res_addr)) & 0xffff) {
				dasm_put(Dst, 110557, ((uintptr_t)(Z_ZV(res_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 110560, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 110563, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 110566, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 110569, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 110572, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(res_addr)) {
					if (Z_OFFSET(res_addr) == 0) {
				dasm_put(Dst, 110575, (Z_REG(res_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(res_addr)))) {
				dasm_put(Dst, 110578, (Z_REG(res_addr)), Z_OFFSET(res_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 110582, ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 110585, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 110588, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 110591, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 110594, (Z_REG(res_addr)));
					}
						} else {
							if (Z_REG(res_addr) == ZREG_RSP) {
				dasm_put(Dst, 110597);
							} else {
				dasm_put(Dst, 110599, (Z_REG(res_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 12913 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				switch (opline->opcode) {
					case ZEND_PRE_INC_OBJ:
						//|	EXT_CALL zend_jit_pre_inc_typed_prop, REG0
							if (arm64_may_use_b(zend_jit_pre_inc_typed_prop)) {
						dasm_put(Dst, 110602, (unsigned int)((ptrdiff_t)(zend_jit_pre_inc_typed_prop)), (unsigned int)(((ptrdiff_t)(zend_jit_pre_inc_typed_prop))>>32));
							} else {
							if (((uintptr_t)(zend_jit_pre_inc_typed_prop)) == 0) {
						dasm_put(Dst, 110605);
							} else if (((uintptr_t)(zend_jit_pre_inc_typed_prop)) <= MOVZ_IMM) {
						dasm_put(Dst, 110607, ((uint64_t)(zend_jit_pre_inc_typed_prop)));
							} else if (arm64_may_use_adr((void*)(zend_jit_pre_inc_typed_prop))) {
						dasm_put(Dst, 110610, (unsigned int)((ptrdiff_t)(zend_jit_pre_inc_typed_prop)), (unsigned int)(((ptrdiff_t)(zend_jit_pre_inc_typed_prop))>>32));
							} else if (arm64_may_use_adrp((void*)(zend_jit_pre_inc_typed_prop))) {
						dasm_put(Dst, 110613, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_pre_inc_typed_prop))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_pre_inc_typed_prop)))))>>32));
								if (((uintptr_t)(zend_jit_pre_inc_typed_prop)) & 0xfff) {
						dasm_put(Dst, 110616, (((uintptr_t)(zend_jit_pre_inc_typed_prop)) & 0xfff));
								}
							} else if ((uintptr_t)(zend_jit_pre_inc_typed_prop) & 0xffff) {
						dasm_put(Dst, 110619, ((uintptr_t)(zend_jit_pre_inc_typed_prop) & 0xffff));
								if (((uintptr_t)(zend_jit_pre_inc_typed_prop) >> 16) & 0xffff) {
						dasm_put(Dst, 110622, (((uintptr_t)(zend_jit_pre_inc_typed_prop) >> 16) & 0xffff));
								}
								if (((uintptr_t)(zend_jit_pre_inc_typed_prop) >> 32) & 0xffff) {
						dasm_put(Dst, 110625, (((uintptr_t)(zend_jit_pre_inc_typed_prop) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(zend_jit_pre_inc_typed_prop) >> 16) & 0xffff) {
						dasm_put(Dst, 110628, (((uintptr_t)(zend_jit_pre_inc_typed_prop) >> 16) & 0xffff));
								if (((uintptr_t)(zend_jit_pre_inc_typed_prop) >> 32) & 0xffff) {
						dasm_put(Dst, 110631, (((uintptr_t)(zend_jit_pre_inc_typed_prop) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 110634, (((uintptr_t)(zend_jit_pre_inc_typed_prop) >> 32) & 0xffff));
							}
						dasm_put(Dst, 110637);
							}
#line 12916 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						break;
					case ZEND_PRE_DEC_OBJ:
						//|	EXT_CALL zend_jit_pre_dec_typed_prop, REG0
							if (arm64_may_use_b(zend_jit_pre_dec_typed_prop)) {
						dasm_put(Dst, 110639, (unsigned int)((ptrdiff_t)(zend_jit_pre_dec_typed_prop)), (unsigned int)(((ptrdiff_t)(zend_jit_pre_dec_typed_prop))>>32));
							} else {
							if (((uintptr_t)(zend_jit_pre_dec_typed_prop)) == 0) {
						dasm_put(Dst, 110642);
							} else if (((uintptr_t)(zend_jit_pre_dec_typed_prop)) <= MOVZ_IMM) {
						dasm_put(Dst, 110644, ((uint64_t)(zend_jit_pre_dec_typed_prop)));
							} else if (arm64_may_use_adr((void*)(zend_jit_pre_dec_typed_prop))) {
						dasm_put(Dst, 110647, (unsigned int)((ptrdiff_t)(zend_jit_pre_dec_typed_prop)), (unsigned int)(((ptrdiff_t)(zend_jit_pre_dec_typed_prop))>>32));
							} else if (arm64_may_use_adrp((void*)(zend_jit_pre_dec_typed_prop))) {
						dasm_put(Dst, 110650, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_pre_dec_typed_prop))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_pre_dec_typed_prop)))))>>32));
								if (((uintptr_t)(zend_jit_pre_dec_typed_prop)) & 0xfff) {
						dasm_put(Dst, 110653, (((uintptr_t)(zend_jit_pre_dec_typed_prop)) & 0xfff));
								}
							} else if ((uintptr_t)(zend_jit_pre_dec_typed_prop) & 0xffff) {
						dasm_put(Dst, 110656, ((uintptr_t)(zend_jit_pre_dec_typed_prop) & 0xffff));
								if (((uintptr_t)(zend_jit_pre_dec_typed_prop) >> 16) & 0xffff) {
						dasm_put(Dst, 110659, (((uintptr_t)(zend_jit_pre_dec_typed_prop) >> 16) & 0xffff));
								}
								if (((uintptr_t)(zend_jit_pre_dec_typed_prop) >> 32) & 0xffff) {
						dasm_put(Dst, 110662, (((uintptr_t)(zend_jit_pre_dec_typed_prop) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(zend_jit_pre_dec_typed_prop) >> 16) & 0xffff) {
						dasm_put(Dst, 110665, (((uintptr_t)(zend_jit_pre_dec_typed_prop) >> 16) & 0xffff));
								if (((uintptr_t)(zend_jit_pre_dec_typed_prop) >> 32) & 0xffff) {
						dasm_put(Dst, 110668, (((uintptr_t)(zend_jit_pre_dec_typed_prop) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 110671, (((uintptr_t)(zend_jit_pre_dec_typed_prop) >> 32) & 0xffff));
							}
						dasm_put(Dst, 110674);
							}
#line 12919 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						break;
					case ZEND_POST_INC_OBJ:
						//|	EXT_CALL zend_jit_post_inc_typed_prop, REG0
							if (arm64_may_use_b(zend_jit_post_inc_typed_prop)) {
						dasm_put(Dst, 110676, (unsigned int)((ptrdiff_t)(zend_jit_post_inc_typed_prop)), (unsigned int)(((ptrdiff_t)(zend_jit_post_inc_typed_prop))>>32));
							} else {
							if (((uintptr_t)(zend_jit_post_inc_typed_prop)) == 0) {
						dasm_put(Dst, 110679);
							} else if (((uintptr_t)(zend_jit_post_inc_typed_prop)) <= MOVZ_IMM) {
						dasm_put(Dst, 110681, ((uint64_t)(zend_jit_post_inc_typed_prop)));
							} else if (arm64_may_use_adr((void*)(zend_jit_post_inc_typed_prop))) {
						dasm_put(Dst, 110684, (unsigned int)((ptrdiff_t)(zend_jit_post_inc_typed_prop)), (unsigned int)(((ptrdiff_t)(zend_jit_post_inc_typed_prop))>>32));
							} else if (arm64_may_use_adrp((void*)(zend_jit_post_inc_typed_prop))) {
						dasm_put(Dst, 110687, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_post_inc_typed_prop))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_post_inc_typed_prop)))))>>32));
								if (((uintptr_t)(zend_jit_post_inc_typed_prop)) & 0xfff) {
						dasm_put(Dst, 110690, (((uintptr_t)(zend_jit_post_inc_typed_prop)) & 0xfff));
								}
							} else if ((uintptr_t)(zend_jit_post_inc_typed_prop) & 0xffff) {
						dasm_put(Dst, 110693, ((uintptr_t)(zend_jit_post_inc_typed_prop) & 0xffff));
								if (((uintptr_t)(zend_jit_post_inc_typed_prop) >> 16) & 0xffff) {
						dasm_put(Dst, 110696, (((uintptr_t)(zend_jit_post_inc_typed_prop) >> 16) & 0xffff));
								}
								if (((uintptr_t)(zend_jit_post_inc_typed_prop) >> 32) & 0xffff) {
						dasm_put(Dst, 110699, (((uintptr_t)(zend_jit_post_inc_typed_prop) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(zend_jit_post_inc_typed_prop) >> 16) & 0xffff) {
						dasm_put(Dst, 110702, (((uintptr_t)(zend_jit_post_inc_typed_prop) >> 16) & 0xffff));
								if (((uintptr_t)(zend_jit_post_inc_typed_prop) >> 32) & 0xffff) {
						dasm_put(Dst, 110705, (((uintptr_t)(zend_jit_post_inc_typed_prop) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 110708, (((uintptr_t)(zend_jit_post_inc_typed_prop) >> 32) & 0xffff));
							}
						dasm_put(Dst, 110711);
							}
#line 12922 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						break;
					case ZEND_POST_DEC_OBJ:
						//|	EXT_CALL zend_jit_post_dec_typed_prop, REG0
							if (arm64_may_use_b(zend_jit_post_dec_typed_prop)) {
						dasm_put(Dst, 110713, (unsigned int)((ptrdiff_t)(zend_jit_post_dec_typed_prop)), (unsigned int)(((ptrdiff_t)(zend_jit_post_dec_typed_prop))>>32));
							} else {
							if (((uintptr_t)(zend_jit_post_dec_typed_prop)) == 0) {
						dasm_put(Dst, 110716);
							} else if (((uintptr_t)(zend_jit_post_dec_typed_prop)) <= MOVZ_IMM) {
						dasm_put(Dst, 110718, ((uint64_t)(zend_jit_post_dec_typed_prop)));
							} else if (arm64_may_use_adr((void*)(zend_jit_post_dec_typed_prop))) {
						dasm_put(Dst, 110721, (unsigned int)((ptrdiff_t)(zend_jit_post_dec_typed_prop)), (unsigned int)(((ptrdiff_t)(zend_jit_post_dec_typed_prop))>>32));
							} else if (arm64_may_use_adrp((void*)(zend_jit_post_dec_typed_prop))) {
						dasm_put(Dst, 110724, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_post_dec_typed_prop))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_post_dec_typed_prop)))))>>32));
								if (((uintptr_t)(zend_jit_post_dec_typed_prop)) & 0xfff) {
						dasm_put(Dst, 110727, (((uintptr_t)(zend_jit_post_dec_typed_prop)) & 0xfff));
								}
							} else if ((uintptr_t)(zend_jit_post_dec_typed_prop) & 0xffff) {
						dasm_put(Dst, 110730, ((uintptr_t)(zend_jit_post_dec_typed_prop) & 0xffff));
								if (((uintptr_t)(zend_jit_post_dec_typed_prop) >> 16) & 0xffff) {
						dasm_put(Dst, 110733, (((uintptr_t)(zend_jit_post_dec_typed_prop) >> 16) & 0xffff));
								}
								if (((uintptr_t)(zend_jit_post_dec_typed_prop) >> 32) & 0xffff) {
						dasm_put(Dst, 110736, (((uintptr_t)(zend_jit_post_dec_typed_prop) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(zend_jit_post_dec_typed_prop) >> 16) & 0xffff) {
						dasm_put(Dst, 110739, (((uintptr_t)(zend_jit_post_dec_typed_prop) >> 16) & 0xffff));
								if (((uintptr_t)(zend_jit_post_dec_typed_prop) >> 32) & 0xffff) {
						dasm_put(Dst, 110742, (((uintptr_t)(zend_jit_post_dec_typed_prop) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 110745, (((uintptr_t)(zend_jit_post_dec_typed_prop) >> 32) & 0xffff));
							}
						dasm_put(Dst, 110748);
							}
#line 12925 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						break;
					default:
						ZEND_UNREACHABLE();
				}
			}
		}
	}

	if (!prop_info || !ZEND_TYPE_IS_SET(prop_info->type)) {
		uint32_t var_info = MAY_BE_ANY|MAY_BE_REF|MAY_BE_RC1|MAY_BE_RCN;
		zend_jit_addr var_addr = prop_addr;

		if (use_prop_guard) {
			int32_t exit_point = zend_jit_trace_get_exit_point(opline, 0);
			const void *exit_addr = zend_jit_trace_get_exit_addr(exit_point);
			if (!exit_addr) {
				return 0;
			}

			//|	IF_NOT_ZVAL_TYPE var_addr, prop_type, &exit_addr, ZREG_TMP1
				ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 110750, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 110754, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 110758, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 110762, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 110766, (ZREG_X15), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 110771, (ZREG_X15), (Z_REG(var_addr)), (Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)));
				}
				if (prop_type == 0) {
			dasm_put(Dst, 110776, (ZREG_X15), (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
				} else {
			dasm_put(Dst, 110780, (ZREG_X15), prop_type, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
				}
#line 12945 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			var_info = (1 << prop_type) | (var_info & ~(MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_REF));
		}

		if (var_info & MAY_BE_REF) {
			may_throw = 1;
			var_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, 0);
			if (Z_REG(prop_addr) != ZREG_FCARG1 || Z_OFFSET(prop_addr) != 0) {
				//|	LOAD_ZVAL_ADDR FCARG1x, prop_addr
					if (Z_MODE(prop_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(prop_addr))) == 0) {
				dasm_put(Dst, 110786);
					} else if (((uintptr_t)(Z_ZV(prop_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 110788, ((uint64_t)(Z_ZV(prop_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(prop_addr)))) {
				dasm_put(Dst, 110791, (unsigned int)((ptrdiff_t)(Z_ZV(prop_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(prop_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(prop_addr)))) {
				dasm_put(Dst, 110794, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(prop_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(prop_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(prop_addr))) & 0xfff) {
				dasm_put(Dst, 110797, (((uintptr_t)(Z_ZV(prop_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(prop_addr)) & 0xffff) {
				dasm_put(Dst, 110800, ((uintptr_t)(Z_ZV(prop_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 110803, (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 110806, (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 110809, (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 110812, (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 110815, (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(prop_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(prop_addr)) {
					if (Z_OFFSET(prop_addr) == 0) {
				dasm_put(Dst, 110818, (Z_REG(prop_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(prop_addr)))) {
				dasm_put(Dst, 110821, (Z_REG(prop_addr)), Z_OFFSET(prop_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(prop_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 110825, ((uint32_t)(Z_OFFSET(prop_addr))));
					} else if (((uint32_t)(Z_OFFSET(prop_addr)) & 0xffff)) {
				dasm_put(Dst, 110828, ((uint32_t)(Z_OFFSET(prop_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 110831, (((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 110834, (((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 110837, (Z_REG(prop_addr)));
					}
						} else {
							if (Z_REG(prop_addr) == ZREG_RSP) {
				dasm_put(Dst, 110840);
							} else {
				dasm_put(Dst, 110842, (Z_REG(prop_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 12953 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	IF_NOT_ZVAL_TYPE var_addr, IS_REFERENCE, >2, ZREG_TMP1
				ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 110845, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 110849, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 110853, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 110857, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 110861, (ZREG_X15), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 110866, (ZREG_X15), (Z_REG(var_addr)), (Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_REFERENCE == 0) {
			dasm_put(Dst, 110871, (ZREG_X15));
				} else {
			dasm_put(Dst, 110875, (ZREG_X15), IS_REFERENCE);
				}
#line 12955 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	GET_ZVAL_PTR FCARG1x, var_addr, TMP1
				ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 110881, ((uint32_t)(Z_OFFSET(var_addr))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
			dasm_put(Dst, 110884, ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 110887, (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 110890, (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 110893, (Z_REG(var_addr)));
				} else {
			dasm_put(Dst, 110896, (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
				}
#line 12956 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	ldr TMP1, [FCARG1x, #offsetof(zend_reference, sources.ptr)]
			//|	cbnz TMP1, >1
			//|	add FCARG1x, FCARG1x, #offsetof(zend_reference, val)
			//|.cold_code
			dasm_put(Dst, 110900, offsetof(zend_reference, sources.ptr), offsetof(zend_reference, val));
#line 12960 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|1:
			dasm_put(Dst, 110907);
#line 12961 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (opline) {
				//|	SET_EX_OPLINE opline, REG0
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 110909, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 110912);
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 110914, ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 110917, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 110920, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 110923, (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 110926, ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 110929, (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 110932, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 110935, (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 110938, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 110941, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 110944, Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
#line 12963 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if (opline->result_type == IS_UNUSED) {
				//|	mov FCARG2x, xzr
				dasm_put(Dst, 110947);
#line 12966 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	LOAD_ZVAL_ADDR FCARG2x, res_addr
					if (Z_MODE(res_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(res_addr))) == 0) {
				dasm_put(Dst, 110949);
					} else if (((uintptr_t)(Z_ZV(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 110951, ((uint64_t)(Z_ZV(res_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 110954, (unsigned int)((ptrdiff_t)(Z_ZV(res_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(res_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 110957, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(res_addr))) & 0xfff) {
				dasm_put(Dst, 110960, (((uintptr_t)(Z_ZV(res_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(res_addr)) & 0xffff) {
				dasm_put(Dst, 110963, ((uintptr_t)(Z_ZV(res_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 110966, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 110969, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 110972, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 110975, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 110978, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(res_addr)) {
					if (Z_OFFSET(res_addr) == 0) {
				dasm_put(Dst, 110981, (Z_REG(res_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(res_addr)))) {
				dasm_put(Dst, 110984, (Z_REG(res_addr)), Z_OFFSET(res_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 110988, ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 110991, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 110994, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 110997, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 111000, (Z_REG(res_addr)));
					}
						} else {
							if (Z_REG(res_addr) == ZREG_RSP) {
				dasm_put(Dst, 111003);
							} else {
				dasm_put(Dst, 111005, (Z_REG(res_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 12968 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			switch (opline->opcode) {
				case ZEND_PRE_INC_OBJ:
					//|	EXT_CALL zend_jit_pre_inc_typed_ref, REG0
						if (arm64_may_use_b(zend_jit_pre_inc_typed_ref)) {
					dasm_put(Dst, 111008, (unsigned int)((ptrdiff_t)(zend_jit_pre_inc_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_pre_inc_typed_ref))>>32));
						} else {
						if (((uintptr_t)(zend_jit_pre_inc_typed_ref)) == 0) {
					dasm_put(Dst, 111011);
						} else if (((uintptr_t)(zend_jit_pre_inc_typed_ref)) <= MOVZ_IMM) {
					dasm_put(Dst, 111013, ((uint64_t)(zend_jit_pre_inc_typed_ref)));
						} else if (arm64_may_use_adr((void*)(zend_jit_pre_inc_typed_ref))) {
					dasm_put(Dst, 111016, (unsigned int)((ptrdiff_t)(zend_jit_pre_inc_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_pre_inc_typed_ref))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_jit_pre_inc_typed_ref))) {
					dasm_put(Dst, 111019, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_pre_inc_typed_ref))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_pre_inc_typed_ref)))))>>32));
							if (((uintptr_t)(zend_jit_pre_inc_typed_ref)) & 0xfff) {
					dasm_put(Dst, 111022, (((uintptr_t)(zend_jit_pre_inc_typed_ref)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_jit_pre_inc_typed_ref) & 0xffff) {
					dasm_put(Dst, 111025, ((uintptr_t)(zend_jit_pre_inc_typed_ref) & 0xffff));
							if (((uintptr_t)(zend_jit_pre_inc_typed_ref) >> 16) & 0xffff) {
					dasm_put(Dst, 111028, (((uintptr_t)(zend_jit_pre_inc_typed_ref) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_jit_pre_inc_typed_ref) >> 32) & 0xffff) {
					dasm_put(Dst, 111031, (((uintptr_t)(zend_jit_pre_inc_typed_ref) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_jit_pre_inc_typed_ref) >> 16) & 0xffff) {
					dasm_put(Dst, 111034, (((uintptr_t)(zend_jit_pre_inc_typed_ref) >> 16) & 0xffff));
							if (((uintptr_t)(zend_jit_pre_inc_typed_ref) >> 32) & 0xffff) {
					dasm_put(Dst, 111037, (((uintptr_t)(zend_jit_pre_inc_typed_ref) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 111040, (((uintptr_t)(zend_jit_pre_inc_typed_ref) >> 32) & 0xffff));
						}
					dasm_put(Dst, 111043);
						}
#line 12972 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					break;
				case ZEND_PRE_DEC_OBJ:
					//|	EXT_CALL zend_jit_pre_dec_typed_ref, REG0
						if (arm64_may_use_b(zend_jit_pre_dec_typed_ref)) {
					dasm_put(Dst, 111045, (unsigned int)((ptrdiff_t)(zend_jit_pre_dec_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_pre_dec_typed_ref))>>32));
						} else {
						if (((uintptr_t)(zend_jit_pre_dec_typed_ref)) == 0) {
					dasm_put(Dst, 111048);
						} else if (((uintptr_t)(zend_jit_pre_dec_typed_ref)) <= MOVZ_IMM) {
					dasm_put(Dst, 111050, ((uint64_t)(zend_jit_pre_dec_typed_ref)));
						} else if (arm64_may_use_adr((void*)(zend_jit_pre_dec_typed_ref))) {
					dasm_put(Dst, 111053, (unsigned int)((ptrdiff_t)(zend_jit_pre_dec_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_pre_dec_typed_ref))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_jit_pre_dec_typed_ref))) {
					dasm_put(Dst, 111056, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_pre_dec_typed_ref))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_pre_dec_typed_ref)))))>>32));
							if (((uintptr_t)(zend_jit_pre_dec_typed_ref)) & 0xfff) {
					dasm_put(Dst, 111059, (((uintptr_t)(zend_jit_pre_dec_typed_ref)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_jit_pre_dec_typed_ref) & 0xffff) {
					dasm_put(Dst, 111062, ((uintptr_t)(zend_jit_pre_dec_typed_ref) & 0xffff));
							if (((uintptr_t)(zend_jit_pre_dec_typed_ref) >> 16) & 0xffff) {
					dasm_put(Dst, 111065, (((uintptr_t)(zend_jit_pre_dec_typed_ref) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_jit_pre_dec_typed_ref) >> 32) & 0xffff) {
					dasm_put(Dst, 111068, (((uintptr_t)(zend_jit_pre_dec_typed_ref) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_jit_pre_dec_typed_ref) >> 16) & 0xffff) {
					dasm_put(Dst, 111071, (((uintptr_t)(zend_jit_pre_dec_typed_ref) >> 16) & 0xffff));
							if (((uintptr_t)(zend_jit_pre_dec_typed_ref) >> 32) & 0xffff) {
					dasm_put(Dst, 111074, (((uintptr_t)(zend_jit_pre_dec_typed_ref) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 111077, (((uintptr_t)(zend_jit_pre_dec_typed_ref) >> 32) & 0xffff));
						}
					dasm_put(Dst, 111080);
						}
#line 12975 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					break;
				case ZEND_POST_INC_OBJ:
					//|	EXT_CALL zend_jit_post_inc_typed_ref, REG0
						if (arm64_may_use_b(zend_jit_post_inc_typed_ref)) {
					dasm_put(Dst, 111082, (unsigned int)((ptrdiff_t)(zend_jit_post_inc_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_post_inc_typed_ref))>>32));
						} else {
						if (((uintptr_t)(zend_jit_post_inc_typed_ref)) == 0) {
					dasm_put(Dst, 111085);
						} else if (((uintptr_t)(zend_jit_post_inc_typed_ref)) <= MOVZ_IMM) {
					dasm_put(Dst, 111087, ((uint64_t)(zend_jit_post_inc_typed_ref)));
						} else if (arm64_may_use_adr((void*)(zend_jit_post_inc_typed_ref))) {
					dasm_put(Dst, 111090, (unsigned int)((ptrdiff_t)(zend_jit_post_inc_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_post_inc_typed_ref))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_jit_post_inc_typed_ref))) {
					dasm_put(Dst, 111093, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_post_inc_typed_ref))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_post_inc_typed_ref)))))>>32));
							if (((uintptr_t)(zend_jit_post_inc_typed_ref)) & 0xfff) {
					dasm_put(Dst, 111096, (((uintptr_t)(zend_jit_post_inc_typed_ref)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_jit_post_inc_typed_ref) & 0xffff) {
					dasm_put(Dst, 111099, ((uintptr_t)(zend_jit_post_inc_typed_ref) & 0xffff));
							if (((uintptr_t)(zend_jit_post_inc_typed_ref) >> 16) & 0xffff) {
					dasm_put(Dst, 111102, (((uintptr_t)(zend_jit_post_inc_typed_ref) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_jit_post_inc_typed_ref) >> 32) & 0xffff) {
					dasm_put(Dst, 111105, (((uintptr_t)(zend_jit_post_inc_typed_ref) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_jit_post_inc_typed_ref) >> 16) & 0xffff) {
					dasm_put(Dst, 111108, (((uintptr_t)(zend_jit_post_inc_typed_ref) >> 16) & 0xffff));
							if (((uintptr_t)(zend_jit_post_inc_typed_ref) >> 32) & 0xffff) {
					dasm_put(Dst, 111111, (((uintptr_t)(zend_jit_post_inc_typed_ref) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 111114, (((uintptr_t)(zend_jit_post_inc_typed_ref) >> 32) & 0xffff));
						}
					dasm_put(Dst, 111117);
						}
#line 12978 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					break;
				case ZEND_POST_DEC_OBJ:
					//|	EXT_CALL zend_jit_post_dec_typed_ref, REG0
						if (arm64_may_use_b(zend_jit_post_dec_typed_ref)) {
					dasm_put(Dst, 111119, (unsigned int)((ptrdiff_t)(zend_jit_post_dec_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_post_dec_typed_ref))>>32));
						} else {
						if (((uintptr_t)(zend_jit_post_dec_typed_ref)) == 0) {
					dasm_put(Dst, 111122);
						} else if (((uintptr_t)(zend_jit_post_dec_typed_ref)) <= MOVZ_IMM) {
					dasm_put(Dst, 111124, ((uint64_t)(zend_jit_post_dec_typed_ref)));
						} else if (arm64_may_use_adr((void*)(zend_jit_post_dec_typed_ref))) {
					dasm_put(Dst, 111127, (unsigned int)((ptrdiff_t)(zend_jit_post_dec_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_post_dec_typed_ref))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_jit_post_dec_typed_ref))) {
					dasm_put(Dst, 111130, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_post_dec_typed_ref))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_post_dec_typed_ref)))))>>32));
							if (((uintptr_t)(zend_jit_post_dec_typed_ref)) & 0xfff) {
					dasm_put(Dst, 111133, (((uintptr_t)(zend_jit_post_dec_typed_ref)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_jit_post_dec_typed_ref) & 0xffff) {
					dasm_put(Dst, 111136, ((uintptr_t)(zend_jit_post_dec_typed_ref) & 0xffff));
							if (((uintptr_t)(zend_jit_post_dec_typed_ref) >> 16) & 0xffff) {
					dasm_put(Dst, 111139, (((uintptr_t)(zend_jit_post_dec_typed_ref) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_jit_post_dec_typed_ref) >> 32) & 0xffff) {
					dasm_put(Dst, 111142, (((uintptr_t)(zend_jit_post_dec_typed_ref) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_jit_post_dec_typed_ref) >> 16) & 0xffff) {
					dasm_put(Dst, 111145, (((uintptr_t)(zend_jit_post_dec_typed_ref) >> 16) & 0xffff));
							if (((uintptr_t)(zend_jit_post_dec_typed_ref) >> 32) & 0xffff) {
					dasm_put(Dst, 111148, (((uintptr_t)(zend_jit_post_dec_typed_ref) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 111151, (((uintptr_t)(zend_jit_post_dec_typed_ref) >> 32) & 0xffff));
						}
					dasm_put(Dst, 111154);
						}
#line 12981 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					break;
				default:
					ZEND_UNREACHABLE();
			}
			//|	b >9
			//|.code
			dasm_put(Dst, 111156);
#line 12987 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|2:
			dasm_put(Dst, 111159);
#line 12988 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}

		if (var_info & MAY_BE_LONG) {
			if (var_info & (MAY_BE_ANY - MAY_BE_LONG)) {
				//|	IF_NOT_ZVAL_TYPE var_addr, IS_LONG, >2, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 111161, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 111165, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 111169, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 111173, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 111177, (ZREG_X15), (Z_REG(var_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 111182, (ZREG_X15), (Z_REG(var_addr)), (Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_LONG == 0) {
				dasm_put(Dst, 111187, (ZREG_X15));
					} else {
				dasm_put(Dst, 111191, (ZREG_X15), IS_LONG);
					}
#line 12993 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if (opline->opcode == ZEND_POST_INC_OBJ || opline->opcode == ZEND_POST_DEC_OBJ) {
				if (opline->result_type != IS_UNUSED) {
					//|	ZVAL_COPY_VALUE res_addr, -1, var_addr, MAY_BE_LONG, ZREG_REG1, ZREG_REG2, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
						if (MAY_BE_LONG & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
							if ((MAY_BE_LONG & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
								if (Z_MODE(var_addr) == IS_REG) {
									if (Z_MODE(res_addr) != IS_REG || Z_REG(res_addr) != Z_REG(var_addr)) {
						if (Z_MODE(res_addr) == IS_REG) {
					dasm_put(Dst, 111197, (Z_REG(res_addr)), (Z_REG(var_addr)));
						} else {
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 111201, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
					dasm_put(Dst, 111205, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 111209, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 111213, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 111217, (Z_REG(var_addr)), (Z_REG(res_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 111222, (Z_REG(var_addr)), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
						}
						}
									}
								} else if (Z_MODE(res_addr) == IS_REG) {
						if (Z_MODE(var_addr) == IS_CONST_ZVAL) {
							if (Z_LVAL_P(Z_ZV(var_addr)) == 0) {
					dasm_put(Dst, 111227, (Z_REG(res_addr)));
							} else {
						if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr)))) == 0) {
					dasm_put(Dst, 111230, (Z_REG(res_addr)));
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr)))) <= MOVZ_IMM) {
					dasm_put(Dst, 111233, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(var_addr)))));
						} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(var_addr)))) <= MOVZ_IMM) {
					dasm_put(Dst, 111237, (Z_REG(res_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))))));
						} else if ((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) & 0xffff) {
					dasm_put(Dst, 111241, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) & 0xffff));
							if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 16) & 0xffff) {
					dasm_put(Dst, 111245, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 16) & 0xffff));
							}
							if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 111249, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff));
							}
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 111253, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff));
							}
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 16) & 0xffff) {
					dasm_put(Dst, 111257, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 16) & 0xffff));
							if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 111261, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff));
							}
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 111265, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff));
							}
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 111269, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff));
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 111273, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff));
							}
						} else {
					dasm_put(Dst, 111277, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff));
						}
							}
						} else if (Z_MODE(var_addr) == IS_MEM_ZVAL) {
						if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 111281, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
						} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
					dasm_put(Dst, 111285, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 111289, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 111293, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 111297, (Z_REG(res_addr)), (Z_REG(var_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 111302, (Z_REG(res_addr)), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
						}
						} else if (Z_MODE(var_addr) == IS_REG) {
							if (Z_REG(res_addr) != Z_REG(var_addr)) {
					dasm_put(Dst, 111307, (Z_REG(res_addr)), (Z_REG(var_addr)));
							}
						} else {
							ZEND_UNREACHABLE();
						}
								} else {
						if (Z_MODE(var_addr) == IS_CONST_ZVAL) {
							if (Z_LVAL_P(Z_ZV(var_addr)) == 0) {
					dasm_put(Dst, 111311, (ZREG_X10));
							} else {
						if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr)))) == 0) {
					dasm_put(Dst, 111314, (ZREG_X10));
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr)))) <= MOVZ_IMM) {
					dasm_put(Dst, 111317, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(var_addr)))));
						} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(var_addr)))) <= MOVZ_IMM) {
					dasm_put(Dst, 111321, (ZREG_X10), (~((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))))));
						} else if ((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) & 0xffff) {
					dasm_put(Dst, 111325, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) & 0xffff));
							if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 16) & 0xffff) {
					dasm_put(Dst, 111329, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 16) & 0xffff));
							}
							if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 111333, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff));
							}
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 111337, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff));
							}
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 16) & 0xffff) {
					dasm_put(Dst, 111341, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 16) & 0xffff));
							if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 111345, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff));
							}
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 111349, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff));
							}
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 111353, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff));
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 111357, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff));
							}
						} else {
					dasm_put(Dst, 111361, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff));
						}
							}
						} else if (Z_MODE(var_addr) == IS_MEM_ZVAL) {
						if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 111365, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
						} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
					dasm_put(Dst, 111369, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 111373, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 111377, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 111381, (ZREG_X10), (Z_REG(var_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 111386, (ZREG_X10), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
						}
						} else if (Z_MODE(var_addr) == IS_REG) {
							if (ZREG_X10 != Z_REG(var_addr)) {
					dasm_put(Dst, 111391, (ZREG_X10), (Z_REG(var_addr)));
							}
						} else {
							ZEND_UNREACHABLE();
						}
						if (Z_MODE(res_addr) == IS_REG) {
					dasm_put(Dst, 111395, (Z_REG(res_addr)), (ZREG_X10));
						} else {
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 111399, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
					dasm_put(Dst, 111403, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 111407, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 111411, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 111415, (ZREG_X10), (Z_REG(res_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 111420, (ZREG_X10), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
						}
						}
								}
							} else if ((MAY_BE_LONG & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
								if (Z_MODE(var_addr) == IS_REG) {
						if (Z_MODE(res_addr) == IS_REG) {
							if (Z_REG(var_addr) != Z_REG(res_addr)) {
					dasm_put(Dst, 111425, (Z_REG(res_addr)-ZREG_V0), (Z_REG(var_addr)-ZREG_V0));
							}
						} else {
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 111429, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
					dasm_put(Dst, 111433, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 111437, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 111441, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 111445, (Z_REG(var_addr)-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 111450, (Z_REG(var_addr)-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
						}
						}
								} else if (Z_MODE(res_addr) == IS_REG) {
						if (Z_MODE(var_addr) != IS_REG || Z_REG(res_addr) != Z_REG(var_addr)) {
							if (Z_MODE(var_addr) == IS_CONST_ZVAL) {
						if (((uintptr_t)(Z_ZV(var_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(var_addr)))) {
					dasm_put(Dst, 111455, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(var_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(var_addr)))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
						} else if (((uintptr_t)(Z_ZV(var_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(var_addr)))) {
					dasm_put(Dst, 111462, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(var_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(var_addr))))))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr))) & 0xfff));
						} else {
						if (((uintptr_t)(Z_ZV(var_addr))) == 0) {
					dasm_put(Dst, 111470, (ZREG_X15));
						} else if (((uintptr_t)(Z_ZV(var_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 111473, (ZREG_X15), ((uint64_t)(Z_ZV(var_addr))));
						} else if (arm64_may_use_adr((void*)(Z_ZV(var_addr)))) {
					dasm_put(Dst, 111477, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(var_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(var_addr)))>>32));
						} else if (arm64_may_use_adrp((void*)(Z_ZV(var_addr)))) {
					dasm_put(Dst, 111481, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(var_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(var_addr))))))>>32));
							if (((uintptr_t)(Z_ZV(var_addr))) & 0xfff) {
					dasm_put(Dst, 111485, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr))) & 0xfff));
							}
						} else if ((uintptr_t)(Z_ZV(var_addr)) & 0xffff) {
					dasm_put(Dst, 111490, (ZREG_X15), ((uintptr_t)(Z_ZV(var_addr)) & 0xffff));
							if (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 111494, (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 111498, (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 111502, (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff));
							if (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 111506, (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 111510, (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff));
						}
					dasm_put(Dst, 111514, (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
						}
							} else if (Z_MODE(var_addr) == IS_MEM_ZVAL) {
						if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 111518, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
						} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
					dasm_put(Dst, 111522, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 111526, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 111530, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 111534, (Z_REG(res_addr)-ZREG_V0), (Z_REG(var_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 111539, (Z_REG(res_addr)-ZREG_V0), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
						}
							} else if (Z_MODE(var_addr) == IS_REG) {
					dasm_put(Dst, 111544, (Z_REG(res_addr)-ZREG_V0), (Z_REG(var_addr)-ZREG_V0));
							} else {
								ZEND_UNREACHABLE();
							}
						}
								} else {
						if (Z_MODE(var_addr) != IS_REG || ZREG_V0 != Z_REG(var_addr)) {
							if (Z_MODE(var_addr) == IS_CONST_ZVAL) {
						if (((uintptr_t)(Z_ZV(var_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(var_addr)))) {
					dasm_put(Dst, 111548, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(var_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(var_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
						} else if (((uintptr_t)(Z_ZV(var_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(var_addr)))) {
					dasm_put(Dst, 111555, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(var_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(var_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr))) & 0xfff));
						} else {
						if (((uintptr_t)(Z_ZV(var_addr))) == 0) {
					dasm_put(Dst, 111563, (ZREG_X15));
						} else if (((uintptr_t)(Z_ZV(var_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 111566, (ZREG_X15), ((uint64_t)(Z_ZV(var_addr))));
						} else if (arm64_may_use_adr((void*)(Z_ZV(var_addr)))) {
					dasm_put(Dst, 111570, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(var_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(var_addr)))>>32));
						} else if (arm64_may_use_adrp((void*)(Z_ZV(var_addr)))) {
					dasm_put(Dst, 111574, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(var_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(var_addr))))))>>32));
							if (((uintptr_t)(Z_ZV(var_addr))) & 0xfff) {
					dasm_put(Dst, 111578, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr))) & 0xfff));
							}
						} else if ((uintptr_t)(Z_ZV(var_addr)) & 0xffff) {
					dasm_put(Dst, 111583, (ZREG_X15), ((uintptr_t)(Z_ZV(var_addr)) & 0xffff));
							if (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 111587, (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 111591, (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 111595, (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff));
							if (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 111599, (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 111603, (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff));
						}
					dasm_put(Dst, 111607, (ZREG_V0-ZREG_V0), (ZREG_X15));
						}
							} else if (Z_MODE(var_addr) == IS_MEM_ZVAL) {
						if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 111611, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
						} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
					dasm_put(Dst, 111615, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 111619, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 111623, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 111627, (ZREG_V0-ZREG_V0), (Z_REG(var_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 111632, (ZREG_V0-ZREG_V0), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
						}
							} else if (Z_MODE(var_addr) == IS_REG) {
					dasm_put(Dst, 111637, (ZREG_V0-ZREG_V0), (Z_REG(var_addr)-ZREG_V0));
							} else {
								ZEND_UNREACHABLE();
							}
						}
						if (Z_MODE(res_addr) == IS_REG) {
							if (ZREG_V0 != Z_REG(res_addr)) {
					dasm_put(Dst, 111641, (Z_REG(res_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
							}
						} else {
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 111645, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
					dasm_put(Dst, 111649, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 111653, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 111657, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 111661, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 111666, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
						}
						}
								}
							// Combine the following two branches.
							// } else if (!(MAY_BE_LONG & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
							} else {
						ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 111671, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
						} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
					dasm_put(Dst, 111675, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 111679, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 111683, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 111687, (ZREG_X10), (Z_REG(var_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 111692, (ZREG_X10), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
						}
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 111697, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
					dasm_put(Dst, 111701, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 111705, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 111709, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 111713, (ZREG_X10), (Z_REG(res_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 111718, (ZREG_X10), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
						}
							}
						}
						if ((MAY_BE_LONG & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
							!(MAY_BE_LONG & MAY_BE_GUARD) &&
							has_concrete_type(MAY_BE_LONG & MAY_BE_ANY)) {
							if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
								if ((-1 & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (MAY_BE_LONG & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD))) {
									uint32_t type = concrete_type(MAY_BE_LONG);
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uint32_t)(type)) <= MOVZ_IMM) {
					dasm_put(Dst, 111723, (ZREG_X15), ((uint32_t)(type)));
						} else if (((uint32_t)(type) & 0xffff)) {
					dasm_put(Dst, 111727, (ZREG_X15), ((uint32_t)(type) & 0xffff));
							if ((((uint32_t)(type) >> 16) & 0xffff)) {
					dasm_put(Dst, 111731, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 111735, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 111739, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 111743, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 111747, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 111751, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 111755, (ZREG_X15), (Z_REG(res_addr)), (ZREG_X16));
						} else {
					dasm_put(Dst, 111760, (ZREG_X15), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
						}
								}
							}
						} else {
						ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 111765, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 111769, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 111773, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 111777, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 111781, (ZREG_X9), (Z_REG(var_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 111786, (ZREG_X9), (Z_REG(var_addr)), (Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)));
						}
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 111791, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 111795, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 111799, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 111803, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 111807, (ZREG_X9), (Z_REG(res_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 111812, (ZREG_X9), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
						}
						}
#line 12997 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			}
			if (opline->opcode == ZEND_PRE_INC_OBJ || opline->opcode == ZEND_POST_INC_OBJ) {
				//|	LONG_ADD_SUB_WITH_IMM adds, var_addr, Z_L(1), TMP1, TMP2
					ZEND_ASSERT(arm64_may_encode_imm12((int64_t)(Z_L(1))));
					if (Z_MODE(var_addr) == IS_MEM_ZVAL) {
						if (((uint32_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 111817, ((uint32_t)(Z_OFFSET(var_addr))));
					} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
				dasm_put(Dst, 111820, ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 111823, (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 111826, (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 111829, (Z_REG(var_addr)), Z_L(1), (Z_REG(var_addr)));
						} else {
				dasm_put(Dst, 111836, (Z_REG(var_addr)), Z_OFFSET(var_addr), Z_L(1), (Z_REG(var_addr)), Z_OFFSET(var_addr));
						}
					} else if (Z_MODE(var_addr) == IS_REG) {
				dasm_put(Dst, 111845, (Z_REG(var_addr)), (Z_REG(var_addr)), Z_L(1));
					} else {
						ZEND_UNREACHABLE();
					}
#line 13001 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	LONG_ADD_SUB_WITH_IMM subs, var_addr, Z_L(1), TMP1, TMP2
					ZEND_ASSERT(arm64_may_encode_imm12((int64_t)(Z_L(1))));
					if (Z_MODE(var_addr) == IS_MEM_ZVAL) {
						if (((uint32_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 111850, ((uint32_t)(Z_OFFSET(var_addr))));
					} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
				dasm_put(Dst, 111853, ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 111856, (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 111859, (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 111862, (Z_REG(var_addr)), Z_L(1), (Z_REG(var_addr)));
						} else {
				dasm_put(Dst, 111869, (Z_REG(var_addr)), Z_OFFSET(var_addr), Z_L(1), (Z_REG(var_addr)), Z_OFFSET(var_addr));
						}
					} else if (Z_MODE(var_addr) == IS_REG) {
				dasm_put(Dst, 111878, (Z_REG(var_addr)), (Z_REG(var_addr)), Z_L(1));
					} else {
						ZEND_UNREACHABLE();
					}
#line 13003 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	bvs	>3
			dasm_put(Dst, 111883);
#line 13005 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (opline->opcode == ZEND_PRE_INC_OBJ || opline->opcode == ZEND_PRE_DEC_OBJ) {
				if (opline->result_type != IS_UNUSED) {
					//|	ZVAL_COPY_VALUE res_addr, -1, var_addr, MAY_BE_LONG, ZREG_REG0, ZREG_REG2, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
						if (MAY_BE_LONG & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
							if ((MAY_BE_LONG & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
								if (Z_MODE(var_addr) == IS_REG) {
									if (Z_MODE(res_addr) != IS_REG || Z_REG(res_addr) != Z_REG(var_addr)) {
						if (Z_MODE(res_addr) == IS_REG) {
					dasm_put(Dst, 111886, (Z_REG(res_addr)), (Z_REG(var_addr)));
						} else {
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 111890, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
					dasm_put(Dst, 111894, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 111898, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 111902, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 111906, (Z_REG(var_addr)), (Z_REG(res_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 111911, (Z_REG(var_addr)), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
						}
						}
									}
								} else if (Z_MODE(res_addr) == IS_REG) {
						if (Z_MODE(var_addr) == IS_CONST_ZVAL) {
							if (Z_LVAL_P(Z_ZV(var_addr)) == 0) {
					dasm_put(Dst, 111916, (Z_REG(res_addr)));
							} else {
						if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr)))) == 0) {
					dasm_put(Dst, 111919, (Z_REG(res_addr)));
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr)))) <= MOVZ_IMM) {
					dasm_put(Dst, 111922, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(var_addr)))));
						} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(var_addr)))) <= MOVZ_IMM) {
					dasm_put(Dst, 111926, (Z_REG(res_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))))));
						} else if ((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) & 0xffff) {
					dasm_put(Dst, 111930, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) & 0xffff));
							if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 16) & 0xffff) {
					dasm_put(Dst, 111934, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 16) & 0xffff));
							}
							if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 111938, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff));
							}
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 111942, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff));
							}
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 16) & 0xffff) {
					dasm_put(Dst, 111946, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 16) & 0xffff));
							if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 111950, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff));
							}
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 111954, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff));
							}
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 111958, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff));
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 111962, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff));
							}
						} else {
					dasm_put(Dst, 111966, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff));
						}
							}
						} else if (Z_MODE(var_addr) == IS_MEM_ZVAL) {
						if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 111970, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
						} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
					dasm_put(Dst, 111974, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 111978, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 111982, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 111986, (Z_REG(res_addr)), (Z_REG(var_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 111991, (Z_REG(res_addr)), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
						}
						} else if (Z_MODE(var_addr) == IS_REG) {
							if (Z_REG(res_addr) != Z_REG(var_addr)) {
					dasm_put(Dst, 111996, (Z_REG(res_addr)), (Z_REG(var_addr)));
							}
						} else {
							ZEND_UNREACHABLE();
						}
								} else {
						if (Z_MODE(var_addr) == IS_CONST_ZVAL) {
							if (Z_LVAL_P(Z_ZV(var_addr)) == 0) {
					dasm_put(Dst, 112000, (ZREG_X10));
							} else {
						if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr)))) == 0) {
					dasm_put(Dst, 112003, (ZREG_X10));
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr)))) <= MOVZ_IMM) {
					dasm_put(Dst, 112006, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(var_addr)))));
						} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(var_addr)))) <= MOVZ_IMM) {
					dasm_put(Dst, 112010, (ZREG_X10), (~((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))))));
						} else if ((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) & 0xffff) {
					dasm_put(Dst, 112014, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) & 0xffff));
							if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 16) & 0xffff) {
					dasm_put(Dst, 112018, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 16) & 0xffff));
							}
							if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 112022, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff));
							}
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 112026, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff));
							}
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 16) & 0xffff) {
					dasm_put(Dst, 112030, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 16) & 0xffff));
							if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 112034, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff));
							}
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 112038, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff));
							}
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 112042, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff));
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 112046, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff));
							}
						} else {
					dasm_put(Dst, 112050, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff));
						}
							}
						} else if (Z_MODE(var_addr) == IS_MEM_ZVAL) {
						if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 112054, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
						} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
					dasm_put(Dst, 112058, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 112062, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 112066, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 112070, (ZREG_X10), (Z_REG(var_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 112075, (ZREG_X10), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
						}
						} else if (Z_MODE(var_addr) == IS_REG) {
							if (ZREG_X10 != Z_REG(var_addr)) {
					dasm_put(Dst, 112080, (ZREG_X10), (Z_REG(var_addr)));
							}
						} else {
							ZEND_UNREACHABLE();
						}
						if (Z_MODE(res_addr) == IS_REG) {
					dasm_put(Dst, 112084, (Z_REG(res_addr)), (ZREG_X10));
						} else {
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 112088, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
					dasm_put(Dst, 112092, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 112096, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 112100, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 112104, (ZREG_X10), (Z_REG(res_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 112109, (ZREG_X10), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
						}
						}
								}
							} else if ((MAY_BE_LONG & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
								if (Z_MODE(var_addr) == IS_REG) {
						if (Z_MODE(res_addr) == IS_REG) {
							if (Z_REG(var_addr) != Z_REG(res_addr)) {
					dasm_put(Dst, 112114, (Z_REG(res_addr)-ZREG_V0), (Z_REG(var_addr)-ZREG_V0));
							}
						} else {
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 112118, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
					dasm_put(Dst, 112122, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 112126, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 112130, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 112134, (Z_REG(var_addr)-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 112139, (Z_REG(var_addr)-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
						}
						}
								} else if (Z_MODE(res_addr) == IS_REG) {
						if (Z_MODE(var_addr) != IS_REG || Z_REG(res_addr) != Z_REG(var_addr)) {
							if (Z_MODE(var_addr) == IS_CONST_ZVAL) {
						if (((uintptr_t)(Z_ZV(var_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(var_addr)))) {
					dasm_put(Dst, 112144, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(var_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(var_addr)))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
						} else if (((uintptr_t)(Z_ZV(var_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(var_addr)))) {
					dasm_put(Dst, 112151, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(var_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(var_addr))))))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr))) & 0xfff));
						} else {
						if (((uintptr_t)(Z_ZV(var_addr))) == 0) {
					dasm_put(Dst, 112159, (ZREG_X15));
						} else if (((uintptr_t)(Z_ZV(var_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 112162, (ZREG_X15), ((uint64_t)(Z_ZV(var_addr))));
						} else if (arm64_may_use_adr((void*)(Z_ZV(var_addr)))) {
					dasm_put(Dst, 112166, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(var_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(var_addr)))>>32));
						} else if (arm64_may_use_adrp((void*)(Z_ZV(var_addr)))) {
					dasm_put(Dst, 112170, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(var_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(var_addr))))))>>32));
							if (((uintptr_t)(Z_ZV(var_addr))) & 0xfff) {
					dasm_put(Dst, 112174, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr))) & 0xfff));
							}
						} else if ((uintptr_t)(Z_ZV(var_addr)) & 0xffff) {
					dasm_put(Dst, 112179, (ZREG_X15), ((uintptr_t)(Z_ZV(var_addr)) & 0xffff));
							if (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 112183, (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 112187, (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 112191, (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff));
							if (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 112195, (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 112199, (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff));
						}
					dasm_put(Dst, 112203, (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
						}
							} else if (Z_MODE(var_addr) == IS_MEM_ZVAL) {
						if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 112207, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
						} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
					dasm_put(Dst, 112211, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 112215, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 112219, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 112223, (Z_REG(res_addr)-ZREG_V0), (Z_REG(var_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 112228, (Z_REG(res_addr)-ZREG_V0), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
						}
							} else if (Z_MODE(var_addr) == IS_REG) {
					dasm_put(Dst, 112233, (Z_REG(res_addr)-ZREG_V0), (Z_REG(var_addr)-ZREG_V0));
							} else {
								ZEND_UNREACHABLE();
							}
						}
								} else {
						if (Z_MODE(var_addr) != IS_REG || ZREG_V0 != Z_REG(var_addr)) {
							if (Z_MODE(var_addr) == IS_CONST_ZVAL) {
						if (((uintptr_t)(Z_ZV(var_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(var_addr)))) {
					dasm_put(Dst, 112237, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(var_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(var_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
						} else if (((uintptr_t)(Z_ZV(var_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(var_addr)))) {
					dasm_put(Dst, 112244, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(var_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(var_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr))) & 0xfff));
						} else {
						if (((uintptr_t)(Z_ZV(var_addr))) == 0) {
					dasm_put(Dst, 112252, (ZREG_X15));
						} else if (((uintptr_t)(Z_ZV(var_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 112255, (ZREG_X15), ((uint64_t)(Z_ZV(var_addr))));
						} else if (arm64_may_use_adr((void*)(Z_ZV(var_addr)))) {
					dasm_put(Dst, 112259, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(var_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(var_addr)))>>32));
						} else if (arm64_may_use_adrp((void*)(Z_ZV(var_addr)))) {
					dasm_put(Dst, 112263, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(var_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(var_addr))))))>>32));
							if (((uintptr_t)(Z_ZV(var_addr))) & 0xfff) {
					dasm_put(Dst, 112267, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr))) & 0xfff));
							}
						} else if ((uintptr_t)(Z_ZV(var_addr)) & 0xffff) {
					dasm_put(Dst, 112272, (ZREG_X15), ((uintptr_t)(Z_ZV(var_addr)) & 0xffff));
							if (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 112276, (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 112280, (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 112284, (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff));
							if (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 112288, (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 112292, (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff));
						}
					dasm_put(Dst, 112296, (ZREG_V0-ZREG_V0), (ZREG_X15));
						}
							} else if (Z_MODE(var_addr) == IS_MEM_ZVAL) {
						if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 112300, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
						} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
					dasm_put(Dst, 112304, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 112308, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 112312, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 112316, (ZREG_V0-ZREG_V0), (Z_REG(var_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 112321, (ZREG_V0-ZREG_V0), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
						}
							} else if (Z_MODE(var_addr) == IS_REG) {
					dasm_put(Dst, 112326, (ZREG_V0-ZREG_V0), (Z_REG(var_addr)-ZREG_V0));
							} else {
								ZEND_UNREACHABLE();
							}
						}
						if (Z_MODE(res_addr) == IS_REG) {
							if (ZREG_V0 != Z_REG(res_addr)) {
					dasm_put(Dst, 112330, (Z_REG(res_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
							}
						} else {
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 112334, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
					dasm_put(Dst, 112338, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 112342, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 112346, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 112350, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 112355, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
						}
						}
								}
							// Combine the following two branches.
							// } else if (!(MAY_BE_LONG & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
							} else {
						ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 112360, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
						} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
					dasm_put(Dst, 112364, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 112368, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 112372, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 112376, (ZREG_X10), (Z_REG(var_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 112381, (ZREG_X10), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
						}
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 112386, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
					dasm_put(Dst, 112390, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 112394, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 112398, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 112402, (ZREG_X10), (Z_REG(res_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 112407, (ZREG_X10), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
						}
							}
						}
						if ((MAY_BE_LONG & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
							!(MAY_BE_LONG & MAY_BE_GUARD) &&
							has_concrete_type(MAY_BE_LONG & MAY_BE_ANY)) {
							if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
								if ((-1 & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (MAY_BE_LONG & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD))) {
									uint32_t type = concrete_type(MAY_BE_LONG);
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uint32_t)(type)) <= MOVZ_IMM) {
					dasm_put(Dst, 112412, (ZREG_X15), ((uint32_t)(type)));
						} else if (((uint32_t)(type) & 0xffff)) {
					dasm_put(Dst, 112416, (ZREG_X15), ((uint32_t)(type) & 0xffff));
							if ((((uint32_t)(type) >> 16) & 0xffff)) {
					dasm_put(Dst, 112420, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 112424, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 112428, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 112432, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 112436, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 112440, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 112444, (ZREG_X15), (Z_REG(res_addr)), (ZREG_X16));
						} else {
					dasm_put(Dst, 112449, (ZREG_X15), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
						}
								}
							}
						} else {
						ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 112454, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 112458, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 112462, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 112466, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 112470, (ZREG_X8), (Z_REG(var_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 112475, (ZREG_X8), (Z_REG(var_addr)), (Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)));
						}
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 112480, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 112484, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 112488, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 112492, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 112496, (ZREG_X8), (Z_REG(res_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 112501, (ZREG_X8), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
						}
						}
#line 13008 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			}
			//|.cold_code
			dasm_put(Dst, 112506);
#line 13011 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (var_info & (MAY_BE_ANY - MAY_BE_LONG)) {
			if (var_info & (MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) {
				may_throw = 1;
			}
			if (var_info & MAY_BE_LONG) {
				//|2:
				dasm_put(Dst, 112507);
#line 13018 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if (Z_REG(var_addr) != ZREG_FCARG1 || Z_OFFSET(var_addr) != 0) {
				var_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, 0);
				//|	LOAD_ZVAL_ADDR FCARG1x, prop_addr
					if (Z_MODE(prop_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(prop_addr))) == 0) {
				dasm_put(Dst, 112509);
					} else if (((uintptr_t)(Z_ZV(prop_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 112511, ((uint64_t)(Z_ZV(prop_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(prop_addr)))) {
				dasm_put(Dst, 112514, (unsigned int)((ptrdiff_t)(Z_ZV(prop_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(prop_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(prop_addr)))) {
				dasm_put(Dst, 112517, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(prop_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(prop_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(prop_addr))) & 0xfff) {
				dasm_put(Dst, 112520, (((uintptr_t)(Z_ZV(prop_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(prop_addr)) & 0xffff) {
				dasm_put(Dst, 112523, ((uintptr_t)(Z_ZV(prop_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 112526, (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 112529, (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 112532, (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 112535, (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 112538, (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(prop_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(prop_addr)) {
					if (Z_OFFSET(prop_addr) == 0) {
				dasm_put(Dst, 112541, (Z_REG(prop_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(prop_addr)))) {
				dasm_put(Dst, 112544, (Z_REG(prop_addr)), Z_OFFSET(prop_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(prop_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 112548, ((uint32_t)(Z_OFFSET(prop_addr))));
					} else if (((uint32_t)(Z_OFFSET(prop_addr)) & 0xffff)) {
				dasm_put(Dst, 112551, ((uint32_t)(Z_OFFSET(prop_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 112554, (((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 112557, (((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 112560, (Z_REG(prop_addr)));
					}
						} else {
							if (Z_REG(prop_addr) == ZREG_RSP) {
				dasm_put(Dst, 112563);
							} else {
				dasm_put(Dst, 112565, (Z_REG(prop_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 13022 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if (opline->opcode == ZEND_POST_INC_OBJ || opline->opcode == ZEND_POST_DEC_OBJ) {
				//|	ZVAL_COPY_VALUE res_addr, -1, var_addr, MAY_BE_ANY, ZREG_REG0, ZREG_REG2, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
					if (MAY_BE_ANY & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
						if ((MAY_BE_ANY & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
							if (Z_MODE(var_addr) == IS_REG) {
								if (Z_MODE(res_addr) != IS_REG || Z_REG(res_addr) != Z_REG(var_addr)) {
					if (Z_MODE(res_addr) == IS_REG) {
				dasm_put(Dst, 112568, (Z_REG(res_addr)), (Z_REG(var_addr)));
					} else {
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 112572, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 112576, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 112580, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 112584, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 112588, (Z_REG(var_addr)), (Z_REG(res_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 112593, (Z_REG(var_addr)), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
					}
					}
								}
							} else if (Z_MODE(res_addr) == IS_REG) {
					if (Z_MODE(var_addr) == IS_CONST_ZVAL) {
						if (Z_LVAL_P(Z_ZV(var_addr)) == 0) {
				dasm_put(Dst, 112598, (Z_REG(res_addr)));
						} else {
					if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr)))) == 0) {
				dasm_put(Dst, 112601, (Z_REG(res_addr)));
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 112604, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(var_addr)))));
					} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(var_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 112608, (Z_REG(res_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))))));
					} else if ((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) & 0xffff) {
				dasm_put(Dst, 112612, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 112616, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 16) & 0xffff));
						}
						if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 112620, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 112624, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 112628, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 16) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 112632, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 112636, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 112640, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff));
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 112644, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 112648, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff));
					}
						}
					} else if (Z_MODE(var_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 112652, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
					} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
				dasm_put(Dst, 112656, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 112660, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 112664, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 112668, (Z_REG(res_addr)), (Z_REG(var_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 112673, (Z_REG(res_addr)), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
					}
					} else if (Z_MODE(var_addr) == IS_REG) {
						if (Z_REG(res_addr) != Z_REG(var_addr)) {
				dasm_put(Dst, 112678, (Z_REG(res_addr)), (Z_REG(var_addr)));
						}
					} else {
						ZEND_UNREACHABLE();
					}
							} else {
					if (Z_MODE(var_addr) == IS_CONST_ZVAL) {
						if (Z_LVAL_P(Z_ZV(var_addr)) == 0) {
				dasm_put(Dst, 112682, (ZREG_X10));
						} else {
					if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr)))) == 0) {
				dasm_put(Dst, 112685, (ZREG_X10));
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 112688, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(var_addr)))));
					} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(var_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 112692, (ZREG_X10), (~((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))))));
					} else if ((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) & 0xffff) {
				dasm_put(Dst, 112696, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 112700, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 16) & 0xffff));
						}
						if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 112704, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 112708, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 112712, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 16) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 112716, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 112720, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 112724, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff));
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 112728, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 112732, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff));
					}
						}
					} else if (Z_MODE(var_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 112736, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
					} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
				dasm_put(Dst, 112740, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 112744, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 112748, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 112752, (ZREG_X10), (Z_REG(var_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 112757, (ZREG_X10), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
					}
					} else if (Z_MODE(var_addr) == IS_REG) {
						if (ZREG_X10 != Z_REG(var_addr)) {
				dasm_put(Dst, 112762, (ZREG_X10), (Z_REG(var_addr)));
						}
					} else {
						ZEND_UNREACHABLE();
					}
					if (Z_MODE(res_addr) == IS_REG) {
				dasm_put(Dst, 112766, (Z_REG(res_addr)), (ZREG_X10));
					} else {
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 112770, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 112774, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 112778, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 112782, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 112786, (ZREG_X10), (Z_REG(res_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 112791, (ZREG_X10), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
					}
					}
							}
						} else if ((MAY_BE_ANY & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
							if (Z_MODE(var_addr) == IS_REG) {
					if (Z_MODE(res_addr) == IS_REG) {
						if (Z_REG(var_addr) != Z_REG(res_addr)) {
				dasm_put(Dst, 112796, (Z_REG(res_addr)-ZREG_V0), (Z_REG(var_addr)-ZREG_V0));
						}
					} else {
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 112800, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 112804, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 112808, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 112812, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 112816, (Z_REG(var_addr)-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 112821, (Z_REG(var_addr)-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
					}
					}
							} else if (Z_MODE(res_addr) == IS_REG) {
					if (Z_MODE(var_addr) != IS_REG || Z_REG(res_addr) != Z_REG(var_addr)) {
						if (Z_MODE(var_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(var_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(var_addr)))) {
				dasm_put(Dst, 112826, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(var_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(var_addr)))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
					} else if (((uintptr_t)(Z_ZV(var_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(var_addr)))) {
				dasm_put(Dst, 112833, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(var_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(var_addr))))))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr))) & 0xfff));
					} else {
					if (((uintptr_t)(Z_ZV(var_addr))) == 0) {
				dasm_put(Dst, 112841, (ZREG_X15));
					} else if (((uintptr_t)(Z_ZV(var_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 112844, (ZREG_X15), ((uint64_t)(Z_ZV(var_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(var_addr)))) {
				dasm_put(Dst, 112848, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(var_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(var_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(var_addr)))) {
				dasm_put(Dst, 112852, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(var_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(var_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(var_addr))) & 0xfff) {
				dasm_put(Dst, 112856, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(var_addr)) & 0xffff) {
				dasm_put(Dst, 112861, (ZREG_X15), ((uintptr_t)(Z_ZV(var_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 112865, (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 112869, (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 112873, (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 112877, (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 112881, (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff));
					}
				dasm_put(Dst, 112885, (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
					}
						} else if (Z_MODE(var_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 112889, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
					} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
				dasm_put(Dst, 112893, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 112897, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 112901, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 112905, (Z_REG(res_addr)-ZREG_V0), (Z_REG(var_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 112910, (Z_REG(res_addr)-ZREG_V0), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
					}
						} else if (Z_MODE(var_addr) == IS_REG) {
				dasm_put(Dst, 112915, (Z_REG(res_addr)-ZREG_V0), (Z_REG(var_addr)-ZREG_V0));
						} else {
							ZEND_UNREACHABLE();
						}
					}
							} else {
					if (Z_MODE(var_addr) != IS_REG || ZREG_V0 != Z_REG(var_addr)) {
						if (Z_MODE(var_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(var_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(var_addr)))) {
				dasm_put(Dst, 112919, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(var_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(var_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
					} else if (((uintptr_t)(Z_ZV(var_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(var_addr)))) {
				dasm_put(Dst, 112926, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(var_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(var_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr))) & 0xfff));
					} else {
					if (((uintptr_t)(Z_ZV(var_addr))) == 0) {
				dasm_put(Dst, 112934, (ZREG_X15));
					} else if (((uintptr_t)(Z_ZV(var_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 112937, (ZREG_X15), ((uint64_t)(Z_ZV(var_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(var_addr)))) {
				dasm_put(Dst, 112941, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(var_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(var_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(var_addr)))) {
				dasm_put(Dst, 112945, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(var_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(var_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(var_addr))) & 0xfff) {
				dasm_put(Dst, 112949, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(var_addr)) & 0xffff) {
				dasm_put(Dst, 112954, (ZREG_X15), ((uintptr_t)(Z_ZV(var_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 112958, (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 112962, (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 112966, (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 112970, (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 112974, (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff));
					}
				dasm_put(Dst, 112978, (ZREG_V0-ZREG_V0), (ZREG_X15));
					}
						} else if (Z_MODE(var_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 112982, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
					} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
				dasm_put(Dst, 112986, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 112990, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 112994, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 112998, (ZREG_V0-ZREG_V0), (Z_REG(var_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 113003, (ZREG_V0-ZREG_V0), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
					}
						} else if (Z_MODE(var_addr) == IS_REG) {
				dasm_put(Dst, 113008, (ZREG_V0-ZREG_V0), (Z_REG(var_addr)-ZREG_V0));
						} else {
							ZEND_UNREACHABLE();
						}
					}
					if (Z_MODE(res_addr) == IS_REG) {
						if (ZREG_V0 != Z_REG(res_addr)) {
				dasm_put(Dst, 113012, (Z_REG(res_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
						}
					} else {
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 113016, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 113020, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 113024, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 113028, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 113032, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 113037, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
					}
					}
							}
						// Combine the following two branches.
						// } else if (!(MAY_BE_ANY & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
						} else {
					ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 113042, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
					} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
				dasm_put(Dst, 113046, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 113050, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 113054, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 113058, (ZREG_X10), (Z_REG(var_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 113063, (ZREG_X10), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
					}
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 113068, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 113072, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 113076, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 113080, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 113084, (ZREG_X10), (Z_REG(res_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 113089, (ZREG_X10), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
					}
						}
					}
					if ((MAY_BE_ANY & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
						!(MAY_BE_ANY & MAY_BE_GUARD) &&
						has_concrete_type(MAY_BE_ANY & MAY_BE_ANY)) {
						if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
							if ((-1 & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (MAY_BE_ANY & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD))) {
								uint32_t type = concrete_type(MAY_BE_ANY);
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uint32_t)(type)) <= MOVZ_IMM) {
				dasm_put(Dst, 113094, (ZREG_X15), ((uint32_t)(type)));
					} else if (((uint32_t)(type) & 0xffff)) {
				dasm_put(Dst, 113098, (ZREG_X15), ((uint32_t)(type) & 0xffff));
						if ((((uint32_t)(type) >> 16) & 0xffff)) {
				dasm_put(Dst, 113102, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 113106, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 113110, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 113114, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 113118, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 113122, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 113126, (ZREG_X15), (Z_REG(res_addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 113131, (ZREG_X15), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
					}
							}
						}
					} else {
					ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 113136, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 113140, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 113144, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 113148, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 113152, (ZREG_X8), (Z_REG(var_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 113157, (ZREG_X8), (Z_REG(var_addr)), (Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)));
					}
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 113162, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 113166, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 113170, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 113174, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 113178, (ZREG_X8), (Z_REG(res_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 113183, (ZREG_X8), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
					}
					}
#line 13025 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	TRY_ADDREF MAY_BE_ANY, REG0w, REG2, TMP1w
					if (MAY_BE_ANY & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) {
						if (MAY_BE_ANY & (MAY_BE_ANY-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if ((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT) == 0) {
				dasm_put(Dst, 113188);
					} else if (logical_immediate_p((uint32_t)(IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT), 32)) {
				dasm_put(Dst, 113190, (IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT));
					} else {
					if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))) <= MOVZ_IMM) {
				dasm_put(Dst, 113193, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))));
					} else if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff)) {
				dasm_put(Dst, 113196, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff));
						if ((((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff)) {
				dasm_put(Dst, 113199, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 113202, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 113205);
					}
				dasm_put(Dst, 113207);
						}
				dasm_put(Dst, 113210);
					}
#line 13026 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if (opline->opcode == ZEND_PRE_INC_OBJ || opline->opcode == ZEND_POST_INC_OBJ) {
				if (opline->opcode == ZEND_PRE_INC_OBJ && opline->result_type != IS_UNUSED) {
					//|	LOAD_ZVAL_ADDR FCARG2x, res_addr
						if (Z_MODE(res_addr) == IS_CONST_ZVAL) {
						if (((uintptr_t)(Z_ZV(res_addr))) == 0) {
					dasm_put(Dst, 113215);
						} else if (((uintptr_t)(Z_ZV(res_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 113217, ((uint64_t)(Z_ZV(res_addr))));
						} else if (arm64_may_use_adr((void*)(Z_ZV(res_addr)))) {
					dasm_put(Dst, 113220, (unsigned int)((ptrdiff_t)(Z_ZV(res_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(res_addr)))>>32));
						} else if (arm64_may_use_adrp((void*)(Z_ZV(res_addr)))) {
					dasm_put(Dst, 113223, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr))))))>>32));
							if (((uintptr_t)(Z_ZV(res_addr))) & 0xfff) {
					dasm_put(Dst, 113226, (((uintptr_t)(Z_ZV(res_addr))) & 0xfff));
							}
						} else if ((uintptr_t)(Z_ZV(res_addr)) & 0xffff) {
					dasm_put(Dst, 113229, ((uintptr_t)(Z_ZV(res_addr)) & 0xffff));
							if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 113232, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 113235, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 113238, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
							if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 113241, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 113244, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
						} else if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
							if (Z_OFFSET(res_addr)) {
						if (Z_OFFSET(res_addr) == 0) {
					dasm_put(Dst, 113247, (Z_REG(res_addr)));
						} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(res_addr)))) {
					dasm_put(Dst, 113250, (Z_REG(res_addr)), Z_OFFSET(res_addr));
						} else {
						if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 113254, ((uint32_t)(Z_OFFSET(res_addr))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
					dasm_put(Dst, 113257, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 113260, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 113263, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 113266, (Z_REG(res_addr)));
						}
							} else {
								if (Z_REG(res_addr) == ZREG_RSP) {
					dasm_put(Dst, 113269);
								} else {
					dasm_put(Dst, 113271, (Z_REG(res_addr)));
								}
							}
						} else {
							ZEND_UNREACHABLE();
						}
#line 13030 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	EXT_CALL zend_jit_pre_inc, REG0
						if (arm64_may_use_b(zend_jit_pre_inc)) {
					dasm_put(Dst, 113274, (unsigned int)((ptrdiff_t)(zend_jit_pre_inc)), (unsigned int)(((ptrdiff_t)(zend_jit_pre_inc))>>32));
						} else {
						if (((uintptr_t)(zend_jit_pre_inc)) == 0) {
					dasm_put(Dst, 113277);
						} else if (((uintptr_t)(zend_jit_pre_inc)) <= MOVZ_IMM) {
					dasm_put(Dst, 113279, ((uint64_t)(zend_jit_pre_inc)));
						} else if (arm64_may_use_adr((void*)(zend_jit_pre_inc))) {
					dasm_put(Dst, 113282, (unsigned int)((ptrdiff_t)(zend_jit_pre_inc)), (unsigned int)(((ptrdiff_t)(zend_jit_pre_inc))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_jit_pre_inc))) {
					dasm_put(Dst, 113285, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_pre_inc))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_pre_inc)))))>>32));
							if (((uintptr_t)(zend_jit_pre_inc)) & 0xfff) {
					dasm_put(Dst, 113288, (((uintptr_t)(zend_jit_pre_inc)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_jit_pre_inc) & 0xffff) {
					dasm_put(Dst, 113291, ((uintptr_t)(zend_jit_pre_inc) & 0xffff));
							if (((uintptr_t)(zend_jit_pre_inc) >> 16) & 0xffff) {
					dasm_put(Dst, 113294, (((uintptr_t)(zend_jit_pre_inc) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_jit_pre_inc) >> 32) & 0xffff) {
					dasm_put(Dst, 113297, (((uintptr_t)(zend_jit_pre_inc) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_jit_pre_inc) >> 16) & 0xffff) {
					dasm_put(Dst, 113300, (((uintptr_t)(zend_jit_pre_inc) >> 16) & 0xffff));
							if (((uintptr_t)(zend_jit_pre_inc) >> 32) & 0xffff) {
					dasm_put(Dst, 113303, (((uintptr_t)(zend_jit_pre_inc) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 113306, (((uintptr_t)(zend_jit_pre_inc) >> 32) & 0xffff));
						}
					dasm_put(Dst, 113309);
						}
#line 13031 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	EXT_CALL increment_function, REG0
						if (arm64_may_use_b(increment_function)) {
					dasm_put(Dst, 113311, (unsigned int)((ptrdiff_t)(increment_function)), (unsigned int)(((ptrdiff_t)(increment_function))>>32));
						} else {
						if (((uintptr_t)(increment_function)) == 0) {
					dasm_put(Dst, 113314);
						} else if (((uintptr_t)(increment_function)) <= MOVZ_IMM) {
					dasm_put(Dst, 113316, ((uint64_t)(increment_function)));
						} else if (arm64_may_use_adr((void*)(increment_function))) {
					dasm_put(Dst, 113319, (unsigned int)((ptrdiff_t)(increment_function)), (unsigned int)(((ptrdiff_t)(increment_function))>>32));
						} else if (arm64_may_use_adrp((void*)(increment_function))) {
					dasm_put(Dst, 113322, (unsigned int)((ptrdiff_t)((((uintptr_t)(increment_function))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(increment_function)))))>>32));
							if (((uintptr_t)(increment_function)) & 0xfff) {
					dasm_put(Dst, 113325, (((uintptr_t)(increment_function)) & 0xfff));
							}
						} else if ((uintptr_t)(increment_function) & 0xffff) {
					dasm_put(Dst, 113328, ((uintptr_t)(increment_function) & 0xffff));
							if (((uintptr_t)(increment_function) >> 16) & 0xffff) {
					dasm_put(Dst, 113331, (((uintptr_t)(increment_function) >> 16) & 0xffff));
							}
							if (((uintptr_t)(increment_function) >> 32) & 0xffff) {
					dasm_put(Dst, 113334, (((uintptr_t)(increment_function) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(increment_function) >> 16) & 0xffff) {
					dasm_put(Dst, 113337, (((uintptr_t)(increment_function) >> 16) & 0xffff));
							if (((uintptr_t)(increment_function) >> 32) & 0xffff) {
					dasm_put(Dst, 113340, (((uintptr_t)(increment_function) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 113343, (((uintptr_t)(increment_function) >> 32) & 0xffff));
						}
					dasm_put(Dst, 113346);
						}
#line 13033 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else {
				if (opline->opcode == ZEND_PRE_DEC_OBJ && opline->result_type != IS_UNUSED) {
					//|	LOAD_ZVAL_ADDR FCARG2x, res_addr
						if (Z_MODE(res_addr) == IS_CONST_ZVAL) {
						if (((uintptr_t)(Z_ZV(res_addr))) == 0) {
					dasm_put(Dst, 113348);
						} else if (((uintptr_t)(Z_ZV(res_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 113350, ((uint64_t)(Z_ZV(res_addr))));
						} else if (arm64_may_use_adr((void*)(Z_ZV(res_addr)))) {
					dasm_put(Dst, 113353, (unsigned int)((ptrdiff_t)(Z_ZV(res_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(res_addr)))>>32));
						} else if (arm64_may_use_adrp((void*)(Z_ZV(res_addr)))) {
					dasm_put(Dst, 113356, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr))))))>>32));
							if (((uintptr_t)(Z_ZV(res_addr))) & 0xfff) {
					dasm_put(Dst, 113359, (((uintptr_t)(Z_ZV(res_addr))) & 0xfff));
							}
						} else if ((uintptr_t)(Z_ZV(res_addr)) & 0xffff) {
					dasm_put(Dst, 113362, ((uintptr_t)(Z_ZV(res_addr)) & 0xffff));
							if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 113365, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 113368, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 113371, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
							if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 113374, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 113377, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
						} else if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
							if (Z_OFFSET(res_addr)) {
						if (Z_OFFSET(res_addr) == 0) {
					dasm_put(Dst, 113380, (Z_REG(res_addr)));
						} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(res_addr)))) {
					dasm_put(Dst, 113383, (Z_REG(res_addr)), Z_OFFSET(res_addr));
						} else {
						if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 113387, ((uint32_t)(Z_OFFSET(res_addr))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
					dasm_put(Dst, 113390, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 113393, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 113396, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 113399, (Z_REG(res_addr)));
						}
							} else {
								if (Z_REG(res_addr) == ZREG_RSP) {
					dasm_put(Dst, 113402);
								} else {
					dasm_put(Dst, 113404, (Z_REG(res_addr)));
								}
							}
						} else {
							ZEND_UNREACHABLE();
						}
#line 13037 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	EXT_CALL zend_jit_pre_dec, REG0
						if (arm64_may_use_b(zend_jit_pre_dec)) {
					dasm_put(Dst, 113407, (unsigned int)((ptrdiff_t)(zend_jit_pre_dec)), (unsigned int)(((ptrdiff_t)(zend_jit_pre_dec))>>32));
						} else {
						if (((uintptr_t)(zend_jit_pre_dec)) == 0) {
					dasm_put(Dst, 113410);
						} else if (((uintptr_t)(zend_jit_pre_dec)) <= MOVZ_IMM) {
					dasm_put(Dst, 113412, ((uint64_t)(zend_jit_pre_dec)));
						} else if (arm64_may_use_adr((void*)(zend_jit_pre_dec))) {
					dasm_put(Dst, 113415, (unsigned int)((ptrdiff_t)(zend_jit_pre_dec)), (unsigned int)(((ptrdiff_t)(zend_jit_pre_dec))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_jit_pre_dec))) {
					dasm_put(Dst, 113418, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_pre_dec))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_pre_dec)))))>>32));
							if (((uintptr_t)(zend_jit_pre_dec)) & 0xfff) {
					dasm_put(Dst, 113421, (((uintptr_t)(zend_jit_pre_dec)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_jit_pre_dec) & 0xffff) {
					dasm_put(Dst, 113424, ((uintptr_t)(zend_jit_pre_dec) & 0xffff));
							if (((uintptr_t)(zend_jit_pre_dec) >> 16) & 0xffff) {
					dasm_put(Dst, 113427, (((uintptr_t)(zend_jit_pre_dec) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_jit_pre_dec) >> 32) & 0xffff) {
					dasm_put(Dst, 113430, (((uintptr_t)(zend_jit_pre_dec) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_jit_pre_dec) >> 16) & 0xffff) {
					dasm_put(Dst, 113433, (((uintptr_t)(zend_jit_pre_dec) >> 16) & 0xffff));
							if (((uintptr_t)(zend_jit_pre_dec) >> 32) & 0xffff) {
					dasm_put(Dst, 113436, (((uintptr_t)(zend_jit_pre_dec) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 113439, (((uintptr_t)(zend_jit_pre_dec) >> 32) & 0xffff));
						}
					dasm_put(Dst, 113442);
						}
#line 13038 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	EXT_CALL decrement_function, REG0
						if (arm64_may_use_b(decrement_function)) {
					dasm_put(Dst, 113444, (unsigned int)((ptrdiff_t)(decrement_function)), (unsigned int)(((ptrdiff_t)(decrement_function))>>32));
						} else {
						if (((uintptr_t)(decrement_function)) == 0) {
					dasm_put(Dst, 113447);
						} else if (((uintptr_t)(decrement_function)) <= MOVZ_IMM) {
					dasm_put(Dst, 113449, ((uint64_t)(decrement_function)));
						} else if (arm64_may_use_adr((void*)(decrement_function))) {
					dasm_put(Dst, 113452, (unsigned int)((ptrdiff_t)(decrement_function)), (unsigned int)(((ptrdiff_t)(decrement_function))>>32));
						} else if (arm64_may_use_adrp((void*)(decrement_function))) {
					dasm_put(Dst, 113455, (unsigned int)((ptrdiff_t)((((uintptr_t)(decrement_function))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(decrement_function)))))>>32));
							if (((uintptr_t)(decrement_function)) & 0xfff) {
					dasm_put(Dst, 113458, (((uintptr_t)(decrement_function)) & 0xfff));
							}
						} else if ((uintptr_t)(decrement_function) & 0xffff) {
					dasm_put(Dst, 113461, ((uintptr_t)(decrement_function) & 0xffff));
							if (((uintptr_t)(decrement_function) >> 16) & 0xffff) {
					dasm_put(Dst, 113464, (((uintptr_t)(decrement_function) >> 16) & 0xffff));
							}
							if (((uintptr_t)(decrement_function) >> 32) & 0xffff) {
					dasm_put(Dst, 113467, (((uintptr_t)(decrement_function) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(decrement_function) >> 16) & 0xffff) {
					dasm_put(Dst, 113470, (((uintptr_t)(decrement_function) >> 16) & 0xffff));
							if (((uintptr_t)(decrement_function) >> 32) & 0xffff) {
					dasm_put(Dst, 113473, (((uintptr_t)(decrement_function) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 113476, (((uintptr_t)(decrement_function) >> 32) & 0xffff));
						}
					dasm_put(Dst, 113479);
						}
#line 13040 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			}
			if (var_info & MAY_BE_LONG) {
				//|	b >4
				dasm_put(Dst, 113481);
#line 13044 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}

		if (var_info & MAY_BE_LONG) {
			//|3:
			dasm_put(Dst, 113484);
#line 13049 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (opline->opcode == ZEND_PRE_INC_OBJ || opline->opcode == ZEND_POST_INC_OBJ) {
				uint64_t val = 0x43e0000000000000;
				//|	LOAD_64BIT_VAL TMP2, val
					if (((uint64_t)(val)) == 0) {
				dasm_put(Dst, 113486);
					} else if (((uint64_t)(val)) <= MOVZ_IMM) {
				dasm_put(Dst, 113488, ((uint64_t)(val)));
					} else if (~((uint64_t)(val)) <= MOVZ_IMM) {
				dasm_put(Dst, 113491, (~((uint64_t)(val))));
					} else if ((uint64_t)(val) & 0xffff) {
				dasm_put(Dst, 113494, ((uint64_t)(val) & 0xffff));
						if (((uint64_t)(val) >> 16) & 0xffff) {
				dasm_put(Dst, 113497, (((uint64_t)(val) >> 16) & 0xffff));
						}
						if (((uint64_t)(val) >> 32) & 0xffff) {
				dasm_put(Dst, 113500, (((uint64_t)(val) >> 32) & 0xffff));
						}
						if ((((uint64_t)(val) >> 48) & 0xffff)) {
				dasm_put(Dst, 113503, (((uint64_t)(val) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(val) >> 16) & 0xffff) {
				dasm_put(Dst, 113506, (((uint64_t)(val) >> 16) & 0xffff));
						if (((uint64_t)(val) >> 32) & 0xffff) {
				dasm_put(Dst, 113509, (((uint64_t)(val) >> 32) & 0xffff));
						}
						if ((((uint64_t)(val) >> 48) & 0xffff)) {
				dasm_put(Dst, 113512, (((uint64_t)(val) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(val) >> 32) & 0xffff) {
				dasm_put(Dst, 113515, (((uint64_t)(val) >> 32) & 0xffff));
						if ((((uint64_t)(val) >> 48) & 0xffff)) {
				dasm_put(Dst, 113518, (((uint64_t)(val) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 113521, (((uint64_t)(val) >> 48) & 0xffff));
					}
#line 13052 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	SET_ZVAL_LVAL_FROM_REG var_addr, TMP2, TMP1
					if (Z_MODE(var_addr) == IS_REG) {
				dasm_put(Dst, 113524, (Z_REG(var_addr)));
					} else {
						ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 113527, ((uint32_t)(Z_OFFSET(var_addr))));
					} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
				dasm_put(Dst, 113530, ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 113533, (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 113536, (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 113539, (Z_REG(var_addr)));
					} else {
				dasm_put(Dst, 113542, (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
					}
					}
#line 13053 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	SET_ZVAL_TYPE_INFO var_addr, IS_DOUBLE, TMP1w, TMP2
					ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
					if (((uint32_t)(IS_DOUBLE)) <= MOVZ_IMM) {
				dasm_put(Dst, 113546, ((uint32_t)(IS_DOUBLE)));
					} else if (((uint32_t)(IS_DOUBLE) & 0xffff)) {
				dasm_put(Dst, 113549, ((uint32_t)(IS_DOUBLE) & 0xffff));
						if ((((uint32_t)(IS_DOUBLE) >> 16) & 0xffff)) {
				dasm_put(Dst, 113552, (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 113555, (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 113558, ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 113561, ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 113564, (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 113567, (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 113570, (Z_REG(var_addr)));
					} else {
				dasm_put(Dst, 113573, (Z_REG(var_addr)), (Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)));
					}
#line 13054 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				if (opline->opcode == ZEND_PRE_INC_OBJ && opline->result_type != IS_UNUSED) {
					//|	SET_ZVAL_LVAL_FROM_REG res_addr, TMP2, TMP1
						if (Z_MODE(res_addr) == IS_REG) {
					dasm_put(Dst, 113577, (Z_REG(res_addr)));
						} else {
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 113580, ((uint32_t)(Z_OFFSET(res_addr))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
					dasm_put(Dst, 113583, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 113586, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 113589, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 113592, (Z_REG(res_addr)));
						} else {
					dasm_put(Dst, 113595, (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
						}
						}
#line 13056 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	SET_ZVAL_TYPE_INFO res_addr, IS_DOUBLE, TMP1w, TMP2
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uint32_t)(IS_DOUBLE)) <= MOVZ_IMM) {
					dasm_put(Dst, 113599, ((uint32_t)(IS_DOUBLE)));
						} else if (((uint32_t)(IS_DOUBLE) & 0xffff)) {
					dasm_put(Dst, 113602, ((uint32_t)(IS_DOUBLE) & 0xffff));
							if ((((uint32_t)(IS_DOUBLE) >> 16) & 0xffff)) {
					dasm_put(Dst, 113605, (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 113608, (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 113611, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 113614, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 113617, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 113620, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 113623, (Z_REG(res_addr)));
						} else {
					dasm_put(Dst, 113626, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
						}
#line 13057 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else {
				uint64_t val = 0xc3e0000000000000;
				//|	LOAD_64BIT_VAL TMP2, val
					if (((uint64_t)(val)) == 0) {
				dasm_put(Dst, 113630);
					} else if (((uint64_t)(val)) <= MOVZ_IMM) {
				dasm_put(Dst, 113632, ((uint64_t)(val)));
					} else if (~((uint64_t)(val)) <= MOVZ_IMM) {
				dasm_put(Dst, 113635, (~((uint64_t)(val))));
					} else if ((uint64_t)(val) & 0xffff) {
				dasm_put(Dst, 113638, ((uint64_t)(val) & 0xffff));
						if (((uint64_t)(val) >> 16) & 0xffff) {
				dasm_put(Dst, 113641, (((uint64_t)(val) >> 16) & 0xffff));
						}
						if (((uint64_t)(val) >> 32) & 0xffff) {
				dasm_put(Dst, 113644, (((uint64_t)(val) >> 32) & 0xffff));
						}
						if ((((uint64_t)(val) >> 48) & 0xffff)) {
				dasm_put(Dst, 113647, (((uint64_t)(val) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(val) >> 16) & 0xffff) {
				dasm_put(Dst, 113650, (((uint64_t)(val) >> 16) & 0xffff));
						if (((uint64_t)(val) >> 32) & 0xffff) {
				dasm_put(Dst, 113653, (((uint64_t)(val) >> 32) & 0xffff));
						}
						if ((((uint64_t)(val) >> 48) & 0xffff)) {
				dasm_put(Dst, 113656, (((uint64_t)(val) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(val) >> 32) & 0xffff) {
				dasm_put(Dst, 113659, (((uint64_t)(val) >> 32) & 0xffff));
						if ((((uint64_t)(val) >> 48) & 0xffff)) {
				dasm_put(Dst, 113662, (((uint64_t)(val) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 113665, (((uint64_t)(val) >> 48) & 0xffff));
					}
#line 13061 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	SET_ZVAL_LVAL_FROM_REG var_addr, TMP2, TMP1
					if (Z_MODE(var_addr) == IS_REG) {
				dasm_put(Dst, 113668, (Z_REG(var_addr)));
					} else {
						ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 113671, ((uint32_t)(Z_OFFSET(var_addr))));
					} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
				dasm_put(Dst, 113674, ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 113677, (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 113680, (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 113683, (Z_REG(var_addr)));
					} else {
				dasm_put(Dst, 113686, (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
					}
					}
#line 13062 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	SET_ZVAL_TYPE_INFO var_addr, IS_DOUBLE, TMP1w, TMP2
					ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
					if (((uint32_t)(IS_DOUBLE)) <= MOVZ_IMM) {
				dasm_put(Dst, 113690, ((uint32_t)(IS_DOUBLE)));
					} else if (((uint32_t)(IS_DOUBLE) & 0xffff)) {
				dasm_put(Dst, 113693, ((uint32_t)(IS_DOUBLE) & 0xffff));
						if ((((uint32_t)(IS_DOUBLE) >> 16) & 0xffff)) {
				dasm_put(Dst, 113696, (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 113699, (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 113702, ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 113705, ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 113708, (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 113711, (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 113714, (Z_REG(var_addr)));
					} else {
				dasm_put(Dst, 113717, (Z_REG(var_addr)), (Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)));
					}
#line 13063 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				if (opline->opcode == ZEND_PRE_DEC_OBJ && opline->result_type != IS_UNUSED) {
					//|	SET_ZVAL_LVAL_FROM_REG res_addr, TMP2, TMP1
						if (Z_MODE(res_addr) == IS_REG) {
					dasm_put(Dst, 113721, (Z_REG(res_addr)));
						} else {
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 113724, ((uint32_t)(Z_OFFSET(res_addr))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
					dasm_put(Dst, 113727, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 113730, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 113733, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 113736, (Z_REG(res_addr)));
						} else {
					dasm_put(Dst, 113739, (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
						}
						}
#line 13065 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	SET_ZVAL_TYPE_INFO res_addr, IS_DOUBLE, TMP1w, TMP2
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uint32_t)(IS_DOUBLE)) <= MOVZ_IMM) {
					dasm_put(Dst, 113743, ((uint32_t)(IS_DOUBLE)));
						} else if (((uint32_t)(IS_DOUBLE) & 0xffff)) {
					dasm_put(Dst, 113746, ((uint32_t)(IS_DOUBLE) & 0xffff));
							if ((((uint32_t)(IS_DOUBLE) >> 16) & 0xffff)) {
					dasm_put(Dst, 113749, (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 113752, (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 113755, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 113758, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 113761, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 113764, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 113767, (Z_REG(res_addr)));
						} else {
					dasm_put(Dst, 113770, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
						}
#line 13066 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			}
			if (opline->result_type != IS_UNUSED
			 && (opline->opcode == ZEND_PRE_INC_OBJ || opline->opcode == ZEND_PRE_DEC_OBJ)
			 && prop_info
			 && !ZEND_TYPE_IS_SET(prop_info->type)
			 && (res_info & MAY_BE_GUARD)
			 && (res_info & MAY_BE_LONG)) {
				zend_jit_trace_stack *stack = JIT_G(current_frame)->stack;
				uint32_t old_res_info = STACK_INFO(stack, EX_VAR_TO_NUM(opline->result.var));
				int32_t exit_point;
				const void *exit_addr;

				SET_STACK_TYPE(stack, EX_VAR_TO_NUM(opline->result.var), IS_DOUBLE, 0);
				exit_point = zend_jit_trace_get_exit_point(opline + 1, 0);
				exit_addr = zend_jit_trace_get_exit_addr(exit_point);
				if (!exit_addr) {
					return 0;
				}
				SET_STACK_INFO(stack, EX_VAR_TO_NUM(opline->result.var), old_res_info);
				ssa->var_info[ssa_op->result_def].type = res_info & ~MAY_BE_GUARD;
				//|	b &exit_addr
				//|.code
				dasm_put(Dst, 113774, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 13089 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	b >4
				//|.code
				dasm_put(Dst, 113777);
#line 13092 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|4:
				dasm_put(Dst, 113780);
#line 13093 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
	}

	if (needs_slow_path) {
		may_throw = 1;
		//|.cold_code
		dasm_put(Dst, 113782);
#line 13100 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|7:
		//|	SET_EX_OPLINE opline, REG0
		dasm_put(Dst, 113783);
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 113785, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 113788);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 113790, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 113793, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 113796, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 113799, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 113802, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 113805, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 113808, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 113811, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 113814, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 113817, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 113820, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
#line 13102 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	// value = zobj->handlers->write_property(zobj, name, value, CACHE_ADDR(opline->extended_value));
		//|	LOAD_ADDR FCARG2x, name
			if (((uintptr_t)(name)) == 0) {
		dasm_put(Dst, 113823);
			} else if (((uintptr_t)(name)) <= MOVZ_IMM) {
		dasm_put(Dst, 113825, ((uint64_t)(name)));
			} else if (arm64_may_use_adr((void*)(name))) {
		dasm_put(Dst, 113828, (unsigned int)((ptrdiff_t)(name)), (unsigned int)(((ptrdiff_t)(name))>>32));
			} else if (arm64_may_use_adrp((void*)(name))) {
		dasm_put(Dst, 113831, (unsigned int)((ptrdiff_t)((((uintptr_t)(name))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(name)))))>>32));
				if (((uintptr_t)(name)) & 0xfff) {
		dasm_put(Dst, 113834, (((uintptr_t)(name)) & 0xfff));
				}
			} else if ((uintptr_t)(name) & 0xffff) {
		dasm_put(Dst, 113837, ((uintptr_t)(name) & 0xffff));
				if (((uintptr_t)(name) >> 16) & 0xffff) {
		dasm_put(Dst, 113840, (((uintptr_t)(name) >> 16) & 0xffff));
				}
				if (((uintptr_t)(name) >> 32) & 0xffff) {
		dasm_put(Dst, 113843, (((uintptr_t)(name) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(name) >> 16) & 0xffff) {
		dasm_put(Dst, 113846, (((uintptr_t)(name) >> 16) & 0xffff));
				if (((uintptr_t)(name) >> 32) & 0xffff) {
		dasm_put(Dst, 113849, (((uintptr_t)(name) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 113852, (((uintptr_t)(name) >> 32) & 0xffff));
			}
#line 13104 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	ldr CARG3, EX->run_time_cache
		//|	ADD_SUB_64_WITH_CONST_32 add, CARG3, CARG3, opline->extended_value, TMP1
		dasm_put(Dst, 113855, Dt1(->run_time_cache));
			if (opline->extended_value == 0) {
		dasm_put(Dst, 113858);
			} else if (arm64_may_encode_imm12((int64_t)(opline->extended_value))) {
		dasm_put(Dst, 113860, opline->extended_value);
			} else {
			if (((uint32_t)(opline->extended_value)) <= MOVZ_IMM) {
		dasm_put(Dst, 113863, ((uint32_t)(opline->extended_value)));
			} else if (((uint32_t)(opline->extended_value) & 0xffff)) {
		dasm_put(Dst, 113866, ((uint32_t)(opline->extended_value) & 0xffff));
				if ((((uint32_t)(opline->extended_value) >> 16) & 0xffff)) {
		dasm_put(Dst, 113869, (((uint32_t)(opline->extended_value) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 113872, (((uint32_t)(opline->extended_value) >> 16) & 0xffff));
			}
		dasm_put(Dst, 113875);
			}
#line 13106 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (opline->result_type == IS_UNUSED) {
			//|	mov CARG4, xzr
			dasm_put(Dst, 113877);
#line 13108 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	LOAD_ZVAL_ADDR CARG4, res_addr
				if (Z_MODE(res_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(res_addr))) == 0) {
			dasm_put(Dst, 113879);
				} else if (((uintptr_t)(Z_ZV(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 113881, ((uint64_t)(Z_ZV(res_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(res_addr)))) {
			dasm_put(Dst, 113884, (unsigned int)((ptrdiff_t)(Z_ZV(res_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(res_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(res_addr)))) {
			dasm_put(Dst, 113887, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(res_addr))) & 0xfff) {
			dasm_put(Dst, 113890, (((uintptr_t)(Z_ZV(res_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(res_addr)) & 0xffff) {
			dasm_put(Dst, 113893, ((uintptr_t)(Z_ZV(res_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 113896, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 113899, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 113902, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 113905, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 113908, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(res_addr)) {
				if (Z_OFFSET(res_addr) == 0) {
			dasm_put(Dst, 113911, (Z_REG(res_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(res_addr)))) {
			dasm_put(Dst, 113914, (Z_REG(res_addr)), Z_OFFSET(res_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 113918, ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 113921, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 113924, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 113927, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 113930, (Z_REG(res_addr)));
				}
					} else {
						if (Z_REG(res_addr) == ZREG_RSP) {
			dasm_put(Dst, 113933);
						} else {
			dasm_put(Dst, 113935, (Z_REG(res_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 13110 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}

		switch (opline->opcode) {
			case ZEND_PRE_INC_OBJ:
				//|	EXT_CALL zend_jit_pre_inc_obj_helper, REG0
					if (arm64_may_use_b(zend_jit_pre_inc_obj_helper)) {
				dasm_put(Dst, 113938, (unsigned int)((ptrdiff_t)(zend_jit_pre_inc_obj_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_pre_inc_obj_helper))>>32));
					} else {
					if (((uintptr_t)(zend_jit_pre_inc_obj_helper)) == 0) {
				dasm_put(Dst, 113941);
					} else if (((uintptr_t)(zend_jit_pre_inc_obj_helper)) <= MOVZ_IMM) {
				dasm_put(Dst, 113943, ((uint64_t)(zend_jit_pre_inc_obj_helper)));
					} else if (arm64_may_use_adr((void*)(zend_jit_pre_inc_obj_helper))) {
				dasm_put(Dst, 113946, (unsigned int)((ptrdiff_t)(zend_jit_pre_inc_obj_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_pre_inc_obj_helper))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_pre_inc_obj_helper))) {
				dasm_put(Dst, 113949, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_pre_inc_obj_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_pre_inc_obj_helper)))))>>32));
						if (((uintptr_t)(zend_jit_pre_inc_obj_helper)) & 0xfff) {
				dasm_put(Dst, 113952, (((uintptr_t)(zend_jit_pre_inc_obj_helper)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_pre_inc_obj_helper) & 0xffff) {
				dasm_put(Dst, 113955, ((uintptr_t)(zend_jit_pre_inc_obj_helper) & 0xffff));
						if (((uintptr_t)(zend_jit_pre_inc_obj_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 113958, (((uintptr_t)(zend_jit_pre_inc_obj_helper) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_pre_inc_obj_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 113961, (((uintptr_t)(zend_jit_pre_inc_obj_helper) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_pre_inc_obj_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 113964, (((uintptr_t)(zend_jit_pre_inc_obj_helper) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_pre_inc_obj_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 113967, (((uintptr_t)(zend_jit_pre_inc_obj_helper) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 113970, (((uintptr_t)(zend_jit_pre_inc_obj_helper) >> 32) & 0xffff));
					}
				dasm_put(Dst, 113973);
					}
#line 13115 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				break;
			case ZEND_PRE_DEC_OBJ:
				//|	EXT_CALL zend_jit_pre_dec_obj_helper, REG0
					if (arm64_may_use_b(zend_jit_pre_dec_obj_helper)) {
				dasm_put(Dst, 113975, (unsigned int)((ptrdiff_t)(zend_jit_pre_dec_obj_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_pre_dec_obj_helper))>>32));
					} else {
					if (((uintptr_t)(zend_jit_pre_dec_obj_helper)) == 0) {
				dasm_put(Dst, 113978);
					} else if (((uintptr_t)(zend_jit_pre_dec_obj_helper)) <= MOVZ_IMM) {
				dasm_put(Dst, 113980, ((uint64_t)(zend_jit_pre_dec_obj_helper)));
					} else if (arm64_may_use_adr((void*)(zend_jit_pre_dec_obj_helper))) {
				dasm_put(Dst, 113983, (unsigned int)((ptrdiff_t)(zend_jit_pre_dec_obj_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_pre_dec_obj_helper))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_pre_dec_obj_helper))) {
				dasm_put(Dst, 113986, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_pre_dec_obj_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_pre_dec_obj_helper)))))>>32));
						if (((uintptr_t)(zend_jit_pre_dec_obj_helper)) & 0xfff) {
				dasm_put(Dst, 113989, (((uintptr_t)(zend_jit_pre_dec_obj_helper)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_pre_dec_obj_helper) & 0xffff) {
				dasm_put(Dst, 113992, ((uintptr_t)(zend_jit_pre_dec_obj_helper) & 0xffff));
						if (((uintptr_t)(zend_jit_pre_dec_obj_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 113995, (((uintptr_t)(zend_jit_pre_dec_obj_helper) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_pre_dec_obj_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 113998, (((uintptr_t)(zend_jit_pre_dec_obj_helper) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_pre_dec_obj_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 114001, (((uintptr_t)(zend_jit_pre_dec_obj_helper) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_pre_dec_obj_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 114004, (((uintptr_t)(zend_jit_pre_dec_obj_helper) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 114007, (((uintptr_t)(zend_jit_pre_dec_obj_helper) >> 32) & 0xffff));
					}
				dasm_put(Dst, 114010);
					}
#line 13118 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				break;
			case ZEND_POST_INC_OBJ:
				//|	EXT_CALL zend_jit_post_inc_obj_helper, REG0
					if (arm64_may_use_b(zend_jit_post_inc_obj_helper)) {
				dasm_put(Dst, 114012, (unsigned int)((ptrdiff_t)(zend_jit_post_inc_obj_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_post_inc_obj_helper))>>32));
					} else {
					if (((uintptr_t)(zend_jit_post_inc_obj_helper)) == 0) {
				dasm_put(Dst, 114015);
					} else if (((uintptr_t)(zend_jit_post_inc_obj_helper)) <= MOVZ_IMM) {
				dasm_put(Dst, 114017, ((uint64_t)(zend_jit_post_inc_obj_helper)));
					} else if (arm64_may_use_adr((void*)(zend_jit_post_inc_obj_helper))) {
				dasm_put(Dst, 114020, (unsigned int)((ptrdiff_t)(zend_jit_post_inc_obj_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_post_inc_obj_helper))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_post_inc_obj_helper))) {
				dasm_put(Dst, 114023, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_post_inc_obj_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_post_inc_obj_helper)))))>>32));
						if (((uintptr_t)(zend_jit_post_inc_obj_helper)) & 0xfff) {
				dasm_put(Dst, 114026, (((uintptr_t)(zend_jit_post_inc_obj_helper)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_post_inc_obj_helper) & 0xffff) {
				dasm_put(Dst, 114029, ((uintptr_t)(zend_jit_post_inc_obj_helper) & 0xffff));
						if (((uintptr_t)(zend_jit_post_inc_obj_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 114032, (((uintptr_t)(zend_jit_post_inc_obj_helper) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_post_inc_obj_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 114035, (((uintptr_t)(zend_jit_post_inc_obj_helper) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_post_inc_obj_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 114038, (((uintptr_t)(zend_jit_post_inc_obj_helper) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_post_inc_obj_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 114041, (((uintptr_t)(zend_jit_post_inc_obj_helper) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 114044, (((uintptr_t)(zend_jit_post_inc_obj_helper) >> 32) & 0xffff));
					}
				dasm_put(Dst, 114047);
					}
#line 13121 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				break;
			case ZEND_POST_DEC_OBJ:
				//|	EXT_CALL zend_jit_post_dec_obj_helper, REG0
					if (arm64_may_use_b(zend_jit_post_dec_obj_helper)) {
				dasm_put(Dst, 114049, (unsigned int)((ptrdiff_t)(zend_jit_post_dec_obj_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_post_dec_obj_helper))>>32));
					} else {
					if (((uintptr_t)(zend_jit_post_dec_obj_helper)) == 0) {
				dasm_put(Dst, 114052);
					} else if (((uintptr_t)(zend_jit_post_dec_obj_helper)) <= MOVZ_IMM) {
				dasm_put(Dst, 114054, ((uint64_t)(zend_jit_post_dec_obj_helper)));
					} else if (arm64_may_use_adr((void*)(zend_jit_post_dec_obj_helper))) {
				dasm_put(Dst, 114057, (unsigned int)((ptrdiff_t)(zend_jit_post_dec_obj_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_post_dec_obj_helper))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_post_dec_obj_helper))) {
				dasm_put(Dst, 114060, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_post_dec_obj_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_post_dec_obj_helper)))))>>32));
						if (((uintptr_t)(zend_jit_post_dec_obj_helper)) & 0xfff) {
				dasm_put(Dst, 114063, (((uintptr_t)(zend_jit_post_dec_obj_helper)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_post_dec_obj_helper) & 0xffff) {
				dasm_put(Dst, 114066, ((uintptr_t)(zend_jit_post_dec_obj_helper) & 0xffff));
						if (((uintptr_t)(zend_jit_post_dec_obj_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 114069, (((uintptr_t)(zend_jit_post_dec_obj_helper) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_post_dec_obj_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 114072, (((uintptr_t)(zend_jit_post_dec_obj_helper) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_post_dec_obj_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 114075, (((uintptr_t)(zend_jit_post_dec_obj_helper) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_post_dec_obj_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 114078, (((uintptr_t)(zend_jit_post_dec_obj_helper) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 114081, (((uintptr_t)(zend_jit_post_dec_obj_helper) >> 32) & 0xffff));
					}
				dasm_put(Dst, 114084);
					}
#line 13124 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				break;
			default:
				ZEND_UNREACHABLE();
		}

		//|	b >9
		//|.code
		dasm_put(Dst, 114086);
#line 13131 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	//|9:
	dasm_put(Dst, 114089);
#line 13134 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	if (opline->op1_type != IS_UNUSED && !delayed_fetch_this && !op1_indirect) {
		if ((op1_info & MAY_HAVE_DTOR) && (op1_info & MAY_BE_RC1)) {
			may_throw = 1;
		}
		//|	FREE_OP opline->op1_type, opline->op1, op1_info, 1, opline, ZREG_TMP1, ZREG_TMP2
			if (opline->op1_type & (IS_VAR|IS_TMP_VAR)) {
				zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op1.var);
			if ((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
				if ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if (1) {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 114091, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 114095, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 114099, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 114103, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 114107, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 114112, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 114117, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 114120, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 114124, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 114128, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 114132, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 114136, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 114140, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 114144);
		dasm_put(Dst, 114147);
					} else {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 114149, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 114153, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 114157, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 114161, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 114165, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 114170, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 114175, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 114178, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 114182, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 114186, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 114190, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 114194, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 114198, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 114202);
					}
				}
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 114205, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
			} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
		dasm_put(Dst, 114209, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 114213, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 114217, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 114221, (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 114225, (Z_REG(addr)), (Z_OFFSET(addr)));
			}
		dasm_put(Dst, 114229, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
				if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op1_info)) {
					if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op1_info)) {
						if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 114237);
						} else {
		dasm_put(Dst, 114240);
						}
					}
			do {
				if (!((op1_info) & MAY_BE_GUARD)
				 && has_concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					zend_uchar type = concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
					if (type == IS_STRING && !ZEND_DEBUG) {
			if (arm64_may_use_b(_efree)) {
		dasm_put(Dst, 114243, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else {
			if (((uintptr_t)(_efree)) == 0) {
		dasm_put(Dst, 114246, (ZREG_X15));
			} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
		dasm_put(Dst, 114249, (ZREG_X15), ((uint64_t)(_efree)));
			} else if (arm64_may_use_adr((void*)(_efree))) {
		dasm_put(Dst, 114253, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else if (arm64_may_use_adrp((void*)(_efree))) {
		dasm_put(Dst, 114257, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
				if (((uintptr_t)(_efree)) & 0xfff) {
		dasm_put(Dst, 114261, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
				}
			} else if ((uintptr_t)(_efree) & 0xffff) {
		dasm_put(Dst, 114266, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
				if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 114270, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 114274, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 114278, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 114282, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 114286, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		dasm_put(Dst, 114290, (ZREG_X15));
			}
						break;
					} else if (type == IS_ARRAY) {
						if ((op1_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
							if (opline && ((op1_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 114293, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 114296, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 114299, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 114303, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 114307, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 114311, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 114316, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 114320, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 114324, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 114328, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 114332, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 114336, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 114340, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
							}
			if (arm64_may_use_b(zend_array_destroy)) {
		dasm_put(Dst, 114344, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else {
			if (((uintptr_t)(zend_array_destroy)) == 0) {
		dasm_put(Dst, 114347, (ZREG_X15));
			} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
		dasm_put(Dst, 114350, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
			} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
		dasm_put(Dst, 114354, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
		dasm_put(Dst, 114358, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
				if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
		dasm_put(Dst, 114362, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
		dasm_put(Dst, 114367, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 114371, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 114375, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 114379, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 114383, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 114387, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		dasm_put(Dst, 114391, (ZREG_X15));
			}
						} else {
			if (arm64_may_use_b(zend_jit_array_free)) {
		dasm_put(Dst, 114394, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else {
			if (((uintptr_t)(zend_jit_array_free)) == 0) {
		dasm_put(Dst, 114397, (ZREG_X15));
			} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
		dasm_put(Dst, 114400, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
			} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 114404, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 114408, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
				if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
		dasm_put(Dst, 114412, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
		dasm_put(Dst, 114417, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 114421, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 114425, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 114429, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 114433, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 114437, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		dasm_put(Dst, 114441, (ZREG_X15));
			}
						}
						break;
					} else if (type == IS_OBJECT) {
						if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 114444, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 114447);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 114449, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 114452, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 114455, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 114458, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 114461, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 114464, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 114467, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 114470, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 114473, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 114476, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 114479, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
						}
			if (arm64_may_use_b(zend_objects_store_del)) {
		dasm_put(Dst, 114482, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else {
			if (((uintptr_t)(zend_objects_store_del)) == 0) {
		dasm_put(Dst, 114485, (ZREG_X15));
			} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
		dasm_put(Dst, 114488, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
			} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 114492, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 114496, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
				if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
		dasm_put(Dst, 114500, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
		dasm_put(Dst, 114505, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 114509, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 114513, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 114517, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 114521, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 114525, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		dasm_put(Dst, 114529, (ZREG_X15));
			}
						break;
					}
				}
				if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 114532, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 114535, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 114538, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 114542, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 114546, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 114550, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 114555, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 114559, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 114563, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 114567, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 114571, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 114575, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 114579, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
				}
			if (arm64_may_use_b(rc_dtor_func)) {
		dasm_put(Dst, 114583, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else {
			if (((uintptr_t)(rc_dtor_func)) == 0) {
		dasm_put(Dst, 114586, (ZREG_X15));
			} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
		dasm_put(Dst, 114589, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
			} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
		dasm_put(Dst, 114593, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
		dasm_put(Dst, 114597, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
				if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
		dasm_put(Dst, 114601, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
				}
			} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
		dasm_put(Dst, 114606, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 114610, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				}
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 114614, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 114618, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 114622, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 114626, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		dasm_put(Dst, 114630, (ZREG_X15));
			}
			} while(0);
					if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 114633);
					}
		dasm_put(Dst, 114636);
				}
				if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					if ((op1_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
						zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
		dasm_put(Dst, 114638, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
		dasm_put(Dst, 114642, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
		dasm_put(Dst, 114646, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 114650, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 114654, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 114659, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
			}
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 114664, (ZREG_X15));
			} else {
		dasm_put(Dst, 114668, (ZREG_X15), IS_REFERENCE);
			}
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 114674, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 114678, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 114682, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 114686, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 114690, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 114695, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_COLLECTABLE == 0) {
		dasm_put(Dst, 114700, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
		dasm_put(Dst, 114703, (ZREG_X15), IS_TYPE_COLLECTABLE);
			} else {
			if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
		dasm_put(Dst, 114707, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
			} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
		dasm_put(Dst, 114711, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
				if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
		dasm_put(Dst, 114715, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 114719, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		dasm_put(Dst, 114723, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 114727);
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 114730, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
		dasm_put(Dst, 114734, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 114738, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 114742, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 114746, (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 114750, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
			}
		dasm_put(Dst, 114754);
					}
		dasm_put(Dst, 114756, (ZREG_X15));
			if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
		dasm_put(Dst, 114759, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
		dasm_put(Dst, 114762, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
			} else {
			if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
		dasm_put(Dst, 114766, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
			} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
		dasm_put(Dst, 114770, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
				if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
		dasm_put(Dst, 114774, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 114778, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 114782, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 114786);
			if (arm64_may_use_b(gc_possible_root)) {
		dasm_put(Dst, 114789, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else {
			if (((uintptr_t)(gc_possible_root)) == 0) {
		dasm_put(Dst, 114792, (ZREG_X15));
			} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
		dasm_put(Dst, 114795, (ZREG_X15), ((uint64_t)(gc_possible_root)));
			} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
		dasm_put(Dst, 114799, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
		dasm_put(Dst, 114803, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
				if (((uintptr_t)(gc_possible_root)) & 0xfff) {
		dasm_put(Dst, 114807, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
				}
			} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
		dasm_put(Dst, 114812, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 114816, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				}
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 114820, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 114824, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 114828, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 114832, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		dasm_put(Dst, 114836, (ZREG_X15));
			}
				}
				if (1 && ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
		dasm_put(Dst, 114839);
				}
		dasm_put(Dst, 114842);
			}
			}
#line 13139 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	if (may_throw) {
		if (!zend_jit_check_exception(Dst)) {
			return 0;
		}
	}

	return 1;
}

static int zend_jit_assign_obj_op(dasm_State          **Dst,
                                  const zend_op        *opline,
                                  const zend_op_array  *op_array,
                                  zend_ssa             *ssa,
                                  const zend_ssa_op    *ssa_op,
                                  uint32_t              op1_info,
                                  zend_jit_addr         op1_addr,
                                  uint32_t              val_info,
                                  zend_ssa_range       *val_range,
                                  bool                  op1_indirect,
                                  zend_class_entry     *ce,
                                  bool                  ce_is_instanceof,
                                  bool                  on_this,
                                  bool                  delayed_fetch_this,
                                  zend_class_entry     *trace_ce,
                                  uint8_t               prop_type)
{
	zval *member;
	zend_string *name;
	zend_property_info *prop_info;
	zend_jit_addr val_addr = OP1_DATA_ADDR();
	zend_jit_addr this_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, offsetof(zend_execute_data, This));
	zend_jit_addr prop_addr;
	bool needs_slow_path = 0;
	bool use_prop_guard = 0;
	bool may_throw = 0;
	binary_op_type binary_op = get_binary_op(opline->extended_value);

	ZEND_ASSERT(opline->op2_type == IS_CONST);
	ZEND_ASSERT(op1_info & MAY_BE_OBJECT);
	ZEND_ASSERT(opline->result_type == IS_UNUSED);

	member = RT_CONSTANT(opline, opline->op2);
	ZEND_ASSERT(Z_TYPE_P(member) == IS_STRING && Z_STRVAL_P(member)[0] != '\0');
	name = Z_STR_P(member);
	prop_info = zend_get_known_property_info(op_array, ce, name, on_this, op_array->filename);

	if (on_this) {
		//|	GET_ZVAL_PTR FCARG1x, this_addr, TMP1
			ZEND_ASSERT(Z_MODE(this_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(this_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(this_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 114844, ((uint32_t)(Z_OFFSET(this_addr))));
			} else if (((uint32_t)(Z_OFFSET(this_addr)) & 0xffff)) {
		dasm_put(Dst, 114847, ((uint32_t)(Z_OFFSET(this_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(this_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 114850, (((uint32_t)(Z_OFFSET(this_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 114853, (((uint32_t)(Z_OFFSET(this_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 114856, (Z_REG(this_addr)));
			} else {
		dasm_put(Dst, 114859, (Z_REG(this_addr)), (Z_OFFSET(this_addr)));
			}
#line 13189 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		if (opline->op1_type == IS_VAR
		 && (op1_info & MAY_BE_INDIRECT)
		 && Z_REG(op1_addr) == ZREG_FP) {
			//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
			dasm_put(Dst, 114863);
				} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 114865, ((uint64_t)(Z_ZV(op1_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 114868, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 114871, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
			dasm_put(Dst, 114874, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
			dasm_put(Dst, 114877, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 114880, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 114883, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 114886, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 114889, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 114892, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(op1_addr)) {
				if (Z_OFFSET(op1_addr) == 0) {
			dasm_put(Dst, 114895, (Z_REG(op1_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
			dasm_put(Dst, 114898, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 114902, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 114905, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 114908, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 114911, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 114914, (Z_REG(op1_addr)));
				}
					} else {
						if (Z_REG(op1_addr) == ZREG_RSP) {
			dasm_put(Dst, 114917);
						} else {
			dasm_put(Dst, 114919, (Z_REG(op1_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 13194 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	IF_NOT_Z_TYPE FCARG1x, IS_INDIRECT, >1, TMP1w
			dasm_put(Dst, 114922, offsetof(zval, u1.v.type));
				if (IS_INDIRECT == 0) {
			dasm_put(Dst, 114925);
				} else {
			dasm_put(Dst, 114928, IS_INDIRECT);
				}
#line 13195 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	GET_Z_PTR FCARG1x, FCARG1x
			//|1:
			dasm_put(Dst, 114933);
#line 13197 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			op1_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, 0);
		}
		if (op1_info & MAY_BE_REF) {
			if (Z_REG(op1_addr) != ZREG_FCARG1 || Z_OFFSET(op1_addr) != 0) {
				//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
					if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
				dasm_put(Dst, 114936);
					} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 114938, ((uint64_t)(Z_ZV(op1_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 114941, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 114944, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
				dasm_put(Dst, 114947, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
				dasm_put(Dst, 114950, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 114953, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 114956, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 114959, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 114962, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 114965, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(op1_addr)) {
					if (Z_OFFSET(op1_addr) == 0) {
				dasm_put(Dst, 114968, (Z_REG(op1_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
				dasm_put(Dst, 114971, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 114975, ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 114978, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 114981, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 114984, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 114987, (Z_REG(op1_addr)));
					}
						} else {
							if (Z_REG(op1_addr) == ZREG_RSP) {
				dasm_put(Dst, 114990);
							} else {
				dasm_put(Dst, 114992, (Z_REG(op1_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 13202 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	ZVAL_DEREF FCARG1x, op1_info, TMP1w
				if (op1_info & MAY_BE_REF) {
			dasm_put(Dst, 114995, offsetof(zval, u1.v.type));
				if (IS_REFERENCE == 0) {
			dasm_put(Dst, 114998);
				} else {
			dasm_put(Dst, 115001, IS_REFERENCE);
				}
			dasm_put(Dst, 115006, offsetof(zend_reference, val));
				}
#line 13204 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			op1_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, 0);
		}
		if (op1_info & ((MAY_BE_UNDEF|MAY_BE_ANY)- MAY_BE_OBJECT)) {
			if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE) {
				int32_t exit_point = zend_jit_trace_get_exit_point(opline, ZEND_JIT_EXIT_TO_VM);
				const void *exit_addr = zend_jit_trace_get_exit_addr(exit_point);

				if (!exit_addr) {
					return 0;
				}
				//|	IF_NOT_ZVAL_TYPE op1_addr, IS_OBJECT, &exit_addr, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 115011, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 115015, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 115019, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 115023, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 115027, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 115032, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_OBJECT == 0) {
				dasm_put(Dst, 115037, (ZREG_X15), (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
					} else {
				dasm_put(Dst, 115041, (ZREG_X15), IS_OBJECT, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
					}
#line 13215 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	IF_NOT_ZVAL_TYPE op1_addr, IS_OBJECT, >1, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 115047, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 115051, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 115055, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 115059, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 115063, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 115068, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_OBJECT == 0) {
				dasm_put(Dst, 115073, (ZREG_X15));
					} else {
				dasm_put(Dst, 115077, (ZREG_X15), IS_OBJECT);
					}
#line 13217 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|.cold_code
				dasm_put(Dst, 115083);
#line 13218 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|1:
				//|	SET_EX_OPLINE opline, REG0
				dasm_put(Dst, 115084);
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 115086, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 115089);
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 115091, ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 115094, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 115097, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 115100, (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 115103, ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 115106, (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 115109, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 115112, (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 115115, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 115118, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 115121, Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
#line 13220 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				if (Z_REG(op1_addr) != ZREG_FCARG1 || Z_OFFSET(op1_addr) != 0) {
					//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
						if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
						if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
					dasm_put(Dst, 115124);
						} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 115126, ((uint64_t)(Z_ZV(op1_addr))));
						} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
					dasm_put(Dst, 115129, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
						} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
					dasm_put(Dst, 115132, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
							if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
					dasm_put(Dst, 115135, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
							}
						} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
					dasm_put(Dst, 115138, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
							if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 115141, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 115144, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 115147, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
							if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 115150, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 115153, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
						} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
							if (Z_OFFSET(op1_addr)) {
						if (Z_OFFSET(op1_addr) == 0) {
					dasm_put(Dst, 115156, (Z_REG(op1_addr)));
						} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
					dasm_put(Dst, 115159, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
						} else {
						if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 115163, ((uint32_t)(Z_OFFSET(op1_addr))));
						} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
					dasm_put(Dst, 115166, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 115169, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 115172, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 115175, (Z_REG(op1_addr)));
						}
							} else {
								if (Z_REG(op1_addr) == ZREG_RSP) {
					dasm_put(Dst, 115178);
								} else {
					dasm_put(Dst, 115180, (Z_REG(op1_addr)));
								}
							}
						} else {
							ZEND_UNREACHABLE();
						}
#line 13222 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|	LOAD_ADDR FCARG2x, ZSTR_VAL(name)
					if (((uintptr_t)(ZSTR_VAL(name))) == 0) {
				dasm_put(Dst, 115183);
					} else if (((uintptr_t)(ZSTR_VAL(name))) <= MOVZ_IMM) {
				dasm_put(Dst, 115185, ((uint64_t)(ZSTR_VAL(name))));
					} else if (arm64_may_use_adr((void*)(ZSTR_VAL(name)))) {
				dasm_put(Dst, 115188, (unsigned int)((ptrdiff_t)(ZSTR_VAL(name))), (unsigned int)(((ptrdiff_t)(ZSTR_VAL(name)))>>32));
					} else if (arm64_may_use_adrp((void*)(ZSTR_VAL(name)))) {
				dasm_put(Dst, 115191, (unsigned int)((ptrdiff_t)((((uintptr_t)(ZSTR_VAL(name)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(ZSTR_VAL(name))))))>>32));
						if (((uintptr_t)(ZSTR_VAL(name))) & 0xfff) {
				dasm_put(Dst, 115194, (((uintptr_t)(ZSTR_VAL(name))) & 0xfff));
						}
					} else if ((uintptr_t)(ZSTR_VAL(name)) & 0xffff) {
				dasm_put(Dst, 115197, ((uintptr_t)(ZSTR_VAL(name)) & 0xffff));
						if (((uintptr_t)(ZSTR_VAL(name)) >> 16) & 0xffff) {
				dasm_put(Dst, 115200, (((uintptr_t)(ZSTR_VAL(name)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(ZSTR_VAL(name)) >> 32) & 0xffff) {
				dasm_put(Dst, 115203, (((uintptr_t)(ZSTR_VAL(name)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(ZSTR_VAL(name)) >> 16) & 0xffff) {
				dasm_put(Dst, 115206, (((uintptr_t)(ZSTR_VAL(name)) >> 16) & 0xffff));
						if (((uintptr_t)(ZSTR_VAL(name)) >> 32) & 0xffff) {
				dasm_put(Dst, 115209, (((uintptr_t)(ZSTR_VAL(name)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 115212, (((uintptr_t)(ZSTR_VAL(name)) >> 32) & 0xffff));
					}
#line 13224 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				if (op1_info & MAY_BE_UNDEF) {
					//|	EXT_CALL zend_jit_invalid_property_assign_op, REG0
						if (arm64_may_use_b(zend_jit_invalid_property_assign_op)) {
					dasm_put(Dst, 115215, (unsigned int)((ptrdiff_t)(zend_jit_invalid_property_assign_op)), (unsigned int)(((ptrdiff_t)(zend_jit_invalid_property_assign_op))>>32));
						} else {
						if (((uintptr_t)(zend_jit_invalid_property_assign_op)) == 0) {
					dasm_put(Dst, 115218);
						} else if (((uintptr_t)(zend_jit_invalid_property_assign_op)) <= MOVZ_IMM) {
					dasm_put(Dst, 115220, ((uint64_t)(zend_jit_invalid_property_assign_op)));
						} else if (arm64_may_use_adr((void*)(zend_jit_invalid_property_assign_op))) {
					dasm_put(Dst, 115223, (unsigned int)((ptrdiff_t)(zend_jit_invalid_property_assign_op)), (unsigned int)(((ptrdiff_t)(zend_jit_invalid_property_assign_op))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_jit_invalid_property_assign_op))) {
					dasm_put(Dst, 115226, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_invalid_property_assign_op))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_invalid_property_assign_op)))))>>32));
							if (((uintptr_t)(zend_jit_invalid_property_assign_op)) & 0xfff) {
					dasm_put(Dst, 115229, (((uintptr_t)(zend_jit_invalid_property_assign_op)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_jit_invalid_property_assign_op) & 0xffff) {
					dasm_put(Dst, 115232, ((uintptr_t)(zend_jit_invalid_property_assign_op) & 0xffff));
							if (((uintptr_t)(zend_jit_invalid_property_assign_op) >> 16) & 0xffff) {
					dasm_put(Dst, 115235, (((uintptr_t)(zend_jit_invalid_property_assign_op) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_jit_invalid_property_assign_op) >> 32) & 0xffff) {
					dasm_put(Dst, 115238, (((uintptr_t)(zend_jit_invalid_property_assign_op) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_jit_invalid_property_assign_op) >> 16) & 0xffff) {
					dasm_put(Dst, 115241, (((uintptr_t)(zend_jit_invalid_property_assign_op) >> 16) & 0xffff));
							if (((uintptr_t)(zend_jit_invalid_property_assign_op) >> 32) & 0xffff) {
					dasm_put(Dst, 115244, (((uintptr_t)(zend_jit_invalid_property_assign_op) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 115247, (((uintptr_t)(zend_jit_invalid_property_assign_op) >> 32) & 0xffff));
						}
					dasm_put(Dst, 115250);
						}
#line 13226 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	EXT_CALL zend_jit_invalid_property_assign, REG0
						if (arm64_may_use_b(zend_jit_invalid_property_assign)) {
					dasm_put(Dst, 115252, (unsigned int)((ptrdiff_t)(zend_jit_invalid_property_assign)), (unsigned int)(((ptrdiff_t)(zend_jit_invalid_property_assign))>>32));
						} else {
						if (((uintptr_t)(zend_jit_invalid_property_assign)) == 0) {
					dasm_put(Dst, 115255);
						} else if (((uintptr_t)(zend_jit_invalid_property_assign)) <= MOVZ_IMM) {
					dasm_put(Dst, 115257, ((uint64_t)(zend_jit_invalid_property_assign)));
						} else if (arm64_may_use_adr((void*)(zend_jit_invalid_property_assign))) {
					dasm_put(Dst, 115260, (unsigned int)((ptrdiff_t)(zend_jit_invalid_property_assign)), (unsigned int)(((ptrdiff_t)(zend_jit_invalid_property_assign))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_jit_invalid_property_assign))) {
					dasm_put(Dst, 115263, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_invalid_property_assign))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_invalid_property_assign)))))>>32));
							if (((uintptr_t)(zend_jit_invalid_property_assign)) & 0xfff) {
					dasm_put(Dst, 115266, (((uintptr_t)(zend_jit_invalid_property_assign)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_jit_invalid_property_assign) & 0xffff) {
					dasm_put(Dst, 115269, ((uintptr_t)(zend_jit_invalid_property_assign) & 0xffff));
							if (((uintptr_t)(zend_jit_invalid_property_assign) >> 16) & 0xffff) {
					dasm_put(Dst, 115272, (((uintptr_t)(zend_jit_invalid_property_assign) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_jit_invalid_property_assign) >> 32) & 0xffff) {
					dasm_put(Dst, 115275, (((uintptr_t)(zend_jit_invalid_property_assign) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_jit_invalid_property_assign) >> 16) & 0xffff) {
					dasm_put(Dst, 115278, (((uintptr_t)(zend_jit_invalid_property_assign) >> 16) & 0xffff));
							if (((uintptr_t)(zend_jit_invalid_property_assign) >> 32) & 0xffff) {
					dasm_put(Dst, 115281, (((uintptr_t)(zend_jit_invalid_property_assign) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 115284, (((uintptr_t)(zend_jit_invalid_property_assign) >> 32) & 0xffff));
						}
					dasm_put(Dst, 115287);
						}
#line 13228 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				may_throw = 1;
				if (((opline+1)->op1_type & (IS_VAR|IS_TMP_VAR))
				 && (val_info & (MAY_BE_REF|MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					//|	b >8
					dasm_put(Dst, 115289);
#line 13233 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	b >9
					dasm_put(Dst, 115292);
#line 13235 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|.code
				dasm_put(Dst, 115295);
#line 13237 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
		//|	GET_ZVAL_PTR FCARG1x, op1_addr, TMP1
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 115296, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 115299, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 115302, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 115305, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 115308, (Z_REG(op1_addr)));
			} else {
		dasm_put(Dst, 115311, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
#line 13240 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	if (!prop_info && trace_ce && (trace_ce->ce_flags & ZEND_ACC_IMMUTABLE)) {
		prop_info = zend_get_known_property_info(op_array, trace_ce, name, on_this, op_array->filename);
		if (prop_info) {
			ce = trace_ce;
			ce_is_instanceof = 0;
			if (!(op1_info & MAY_BE_CLASS_GUARD)) {
				if (on_this && JIT_G(current_frame)
				 && TRACE_FRAME_IS_THIS_CLASS_CHECKED(JIT_G(current_frame))) {
					ZEND_ASSERT(JIT_G(current_frame)->ce == ce);
				} else if (zend_jit_class_guard(Dst, opline, ce)) {
					if (on_this && JIT_G(current_frame)) {
						JIT_G(current_frame)->ce = ce;
						TRACE_FRAME_SET_THIS_CLASS_CHECKED(JIT_G(current_frame));
					}
				} else {
					return 0;
				}
				if (ssa->var_info && ssa_op->op1_use >= 0) {
					ssa->var_info[ssa_op->op1_use].type |= MAY_BE_CLASS_GUARD;
					ssa->var_info[ssa_op->op1_use].ce = ce;
					ssa->var_info[ssa_op->op1_use].is_instanceof = ce_is_instanceof;
				}
				if (ssa->var_info && ssa_op->op1_def >= 0) {
					ssa->var_info[ssa_op->op1_def].type |= MAY_BE_CLASS_GUARD;
					ssa->var_info[ssa_op->op1_def].ce = ce;
					ssa->var_info[ssa_op->op1_def].is_instanceof = ce_is_instanceof;
				}
			}
		}
	}

	use_prop_guard = (prop_type != IS_UNKNOWN
		&& prop_type != IS_UNDEF
		&& prop_type != IS_REFERENCE
		&& (op1_info & (MAY_BE_ANY|MAY_BE_UNDEF)) == MAY_BE_OBJECT);

	if (!prop_info) {
		needs_slow_path = 1;

		//|	ldr REG0, EX->run_time_cache
		//|	MEM_ACCESS_64_WITH_UOFFSET ldr, REG2, REG0, ((opline+1)->extended_value), TMP1
		dasm_put(Dst, 115315, Dt1(->run_time_cache));
			if (((uintptr_t)(((opline+1)->extended_value))) > LDR_STR_PIMM64) {
			if (((uint32_t)(((opline+1)->extended_value))) <= MOVZ_IMM) {
		dasm_put(Dst, 115318, ((uint32_t)(((opline+1)->extended_value))));
			} else if (((uint32_t)(((opline+1)->extended_value)) & 0xffff)) {
		dasm_put(Dst, 115321, ((uint32_t)(((opline+1)->extended_value)) & 0xffff));
				if ((((uint32_t)(((opline+1)->extended_value)) >> 16) & 0xffff)) {
		dasm_put(Dst, 115324, (((uint32_t)(((opline+1)->extended_value)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 115327, (((uint32_t)(((opline+1)->extended_value)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 115330);
			} else {
		dasm_put(Dst, 115332, (((opline+1)->extended_value)));
			}
#line 13283 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	ldr TMP2, [FCARG1x, #offsetof(zend_object, ce)]
		//|	cmp REG2, TMP2
		//|	bne >7
		dasm_put(Dst, 115335, offsetof(zend_object, ce));
#line 13286 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (!ce || ce_is_instanceof || (ce->ce_flags & (ZEND_ACC_HAS_TYPE_HINTS|ZEND_ACC_TRAIT))) {
			//|	MEM_ACCESS_64_WITH_UOFFSET ldr, TMP1, REG0, ((opline+1)->extended_value + sizeof(void*) * 2), TMP1
				if (((uintptr_t)(((opline+1)->extended_value + sizeof(void*) * 2))) > LDR_STR_PIMM64) {
				if (((uint32_t)(((opline+1)->extended_value + sizeof(void*) * 2))) <= MOVZ_IMM) {
			dasm_put(Dst, 115341, ((uint32_t)(((opline+1)->extended_value + sizeof(void*) * 2))));
				} else if (((uint32_t)(((opline+1)->extended_value + sizeof(void*) * 2)) & 0xffff)) {
			dasm_put(Dst, 115344, ((uint32_t)(((opline+1)->extended_value + sizeof(void*) * 2)) & 0xffff));
					if ((((uint32_t)(((opline+1)->extended_value + sizeof(void*) * 2)) >> 16) & 0xffff)) {
			dasm_put(Dst, 115347, (((uint32_t)(((opline+1)->extended_value + sizeof(void*) * 2)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 115350, (((uint32_t)(((opline+1)->extended_value + sizeof(void*) * 2)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 115353);
				} else {
			dasm_put(Dst, 115355, (((opline+1)->extended_value + sizeof(void*) * 2)));
				}
#line 13288 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	cbnz TMP1, >7
			dasm_put(Dst, 115358);
#line 13289 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	MEM_ACCESS_64_WITH_UOFFSET ldr, REG0, REG0, ((opline+1)->extended_value + sizeof(void*)), TMP1
			if (((uintptr_t)(((opline+1)->extended_value + sizeof(void*)))) > LDR_STR_PIMM64) {
			if (((uint32_t)(((opline+1)->extended_value + sizeof(void*)))) <= MOVZ_IMM) {
		dasm_put(Dst, 115361, ((uint32_t)(((opline+1)->extended_value + sizeof(void*)))));
			} else if (((uint32_t)(((opline+1)->extended_value + sizeof(void*))) & 0xffff)) {
		dasm_put(Dst, 115364, ((uint32_t)(((opline+1)->extended_value + sizeof(void*))) & 0xffff));
				if ((((uint32_t)(((opline+1)->extended_value + sizeof(void*))) >> 16) & 0xffff)) {
		dasm_put(Dst, 115367, (((uint32_t)(((opline+1)->extended_value + sizeof(void*))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 115370, (((uint32_t)(((opline+1)->extended_value + sizeof(void*))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 115373);
			} else {
		dasm_put(Dst, 115375, (((opline+1)->extended_value + sizeof(void*))));
			}
#line 13291 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	tst REG0, REG0
		//|	blt >7
		//|	add TMP1, FCARG1x, REG0
		dasm_put(Dst, 115378);
#line 13294 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (!use_prop_guard) {
			//|	ldrb TMP2w, [TMP1, #offsetof(zval,u1.v.type)]
			//|	IF_TYPE TMP2w, IS_UNDEF, >7
			dasm_put(Dst, 115383, offsetof(zval,u1.v.type));
				if (IS_UNDEF == 0) {
			dasm_put(Dst, 115386);
				} else {
			dasm_put(Dst, 115389, IS_UNDEF);
				}
#line 13297 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	mov FCARG1x, TMP1
		dasm_put(Dst, 115394);
#line 13299 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		prop_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, 0);
	} else {
		prop_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, prop_info->offset);
		if (ZEND_TYPE_IS_SET(prop_info->type) || !use_prop_guard) {
			if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE) {
				int32_t exit_point = zend_jit_trace_get_exit_point(opline, ZEND_JIT_EXIT_TO_VM);
				const void *exit_addr = zend_jit_trace_get_exit_addr(exit_point);

				if (!exit_addr) {
					return 0;
				}
				//|	MEM_ACCESS_8_WITH_UOFFSET ldrb, TMP2w, FCARG1x, (prop_info->offset + offsetof(zval,u1.v.type)), TMP1
					if (((uintptr_t)((prop_info->offset + offsetof(zval,u1.v.type)))) > LDRB_STRB_PIMM) {
					if (((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type)))) <= MOVZ_IMM) {
				dasm_put(Dst, 115396, ((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type)))));
					} else if (((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type))) & 0xffff)) {
				dasm_put(Dst, 115399, ((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type))) & 0xffff));
						if ((((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type))) >> 16) & 0xffff)) {
				dasm_put(Dst, 115402, (((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type))) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 115405, (((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type))) >> 16) & 0xffff));
					}
				dasm_put(Dst, 115408);
					} else {
				dasm_put(Dst, 115410, ((prop_info->offset + offsetof(zval,u1.v.type))));
					}
#line 13311 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	IF_TYPE TMP2w, IS_UNDEF, &exit_addr
					if (IS_UNDEF == 0) {
				dasm_put(Dst, 115413, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
					} else {
				dasm_put(Dst, 115416, IS_UNDEF, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
					}
#line 13312 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	MEM_ACCESS_8_WITH_UOFFSET ldrb, TMP2w, FCARG1x, (prop_info->offset + offsetof(zval,u1.v.type)), TMP1
					if (((uintptr_t)((prop_info->offset + offsetof(zval,u1.v.type)))) > LDRB_STRB_PIMM) {
					if (((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type)))) <= MOVZ_IMM) {
				dasm_put(Dst, 115421, ((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type)))));
					} else if (((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type))) & 0xffff)) {
				dasm_put(Dst, 115424, ((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type))) & 0xffff));
						if ((((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type))) >> 16) & 0xffff)) {
				dasm_put(Dst, 115427, (((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type))) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 115430, (((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type))) >> 16) & 0xffff));
					}
				dasm_put(Dst, 115433);
					} else {
				dasm_put(Dst, 115435, ((prop_info->offset + offsetof(zval,u1.v.type))));
					}
#line 13314 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	IF_TYPE TMP2w, IS_UNDEF, >7
					if (IS_UNDEF == 0) {
				dasm_put(Dst, 115438);
					} else {
				dasm_put(Dst, 115441, IS_UNDEF);
					}
#line 13315 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				needs_slow_path = 1;
			}
		}
		if (ZEND_TYPE_IS_SET(prop_info->type)) {
			uint32_t info = val_info;

			may_throw = 1;

			if (opline) {
				//|	SET_EX_OPLINE opline, REG0
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 115446, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 115449);
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 115451, ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 115454, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 115457, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 115460, (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 115463, ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 115466, (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 115469, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 115472, (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 115475, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 115478, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 115481, Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
#line 13325 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}

			//|	IF_ZVAL_TYPE prop_addr, IS_REFERENCE, >1, ZREG_TMP1
				ZEND_ASSERT(Z_MODE(prop_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(prop_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(prop_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 115484, (ZREG_X15), ((uint32_t)(Z_OFFSET(prop_addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(prop_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 115488, (ZREG_X15), ((uint32_t)(Z_OFFSET(prop_addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(prop_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 115492, (ZREG_X15), (((uint32_t)(Z_OFFSET(prop_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 115496, (ZREG_X15), (((uint32_t)(Z_OFFSET(prop_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 115500, (ZREG_X15), (Z_REG(prop_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 115505, (ZREG_X15), (Z_REG(prop_addr)), (Z_OFFSET(prop_addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_REFERENCE == 0) {
			dasm_put(Dst, 115510, (ZREG_X15));
				} else {
			dasm_put(Dst, 115514, (ZREG_X15), IS_REFERENCE);
				}
#line 13328 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|.cold_code
			dasm_put(Dst, 115520);
#line 13329 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|1:
			//|	GET_ZVAL_PTR FCARG1x, prop_addr, TMP1
			dasm_put(Dst, 115521);
				ZEND_ASSERT(Z_MODE(prop_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(prop_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(prop_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 115523, ((uint32_t)(Z_OFFSET(prop_addr))));
				} else if (((uint32_t)(Z_OFFSET(prop_addr)) & 0xffff)) {
			dasm_put(Dst, 115526, ((uint32_t)(Z_OFFSET(prop_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 115529, (((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 115532, (((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 115535, (Z_REG(prop_addr)));
				} else {
			dasm_put(Dst, 115538, (Z_REG(prop_addr)), (Z_OFFSET(prop_addr)));
				}
#line 13331 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (Z_MODE(val_addr) != IS_MEM_ZVAL || Z_REG(val_addr) != ZREG_FCARG2 || Z_OFFSET(val_addr) != 0) {
				//|	LOAD_ZVAL_ADDR FCARG2x, val_addr
					if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(val_addr))) == 0) {
				dasm_put(Dst, 115542);
					} else if (((uintptr_t)(Z_ZV(val_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 115544, ((uint64_t)(Z_ZV(val_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
				dasm_put(Dst, 115547, (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
				dasm_put(Dst, 115550, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(val_addr))) & 0xfff) {
				dasm_put(Dst, 115553, (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(val_addr)) & 0xffff) {
				dasm_put(Dst, 115556, ((uintptr_t)(Z_ZV(val_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 115559, (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 115562, (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 115565, (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 115568, (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 115571, (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(val_addr)) {
					if (Z_OFFSET(val_addr) == 0) {
				dasm_put(Dst, 115574, (Z_REG(val_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(val_addr)))) {
				dasm_put(Dst, 115577, (Z_REG(val_addr)), Z_OFFSET(val_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 115581, ((uint32_t)(Z_OFFSET(val_addr))));
					} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
				dasm_put(Dst, 115584, ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 115587, (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 115590, (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 115593, (Z_REG(val_addr)));
					}
						} else {
							if (Z_REG(val_addr) == ZREG_RSP) {
				dasm_put(Dst, 115596);
							} else {
				dasm_put(Dst, 115598, (Z_REG(val_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 13333 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	LOAD_ADDR CARG3, binary_op
				if (((uintptr_t)(binary_op)) == 0) {
			dasm_put(Dst, 115601);
				} else if (((uintptr_t)(binary_op)) <= MOVZ_IMM) {
			dasm_put(Dst, 115603, ((uint64_t)(binary_op)));
				} else if (arm64_may_use_adr((void*)(binary_op))) {
			dasm_put(Dst, 115606, (unsigned int)((ptrdiff_t)(binary_op)), (unsigned int)(((ptrdiff_t)(binary_op))>>32));
				} else if (arm64_may_use_adrp((void*)(binary_op))) {
			dasm_put(Dst, 115609, (unsigned int)((ptrdiff_t)((((uintptr_t)(binary_op))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(binary_op)))))>>32));
					if (((uintptr_t)(binary_op)) & 0xfff) {
			dasm_put(Dst, 115612, (((uintptr_t)(binary_op)) & 0xfff));
					}
				} else if ((uintptr_t)(binary_op) & 0xffff) {
			dasm_put(Dst, 115615, ((uintptr_t)(binary_op) & 0xffff));
					if (((uintptr_t)(binary_op) >> 16) & 0xffff) {
			dasm_put(Dst, 115618, (((uintptr_t)(binary_op) >> 16) & 0xffff));
					}
					if (((uintptr_t)(binary_op) >> 32) & 0xffff) {
			dasm_put(Dst, 115621, (((uintptr_t)(binary_op) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(binary_op) >> 16) & 0xffff) {
			dasm_put(Dst, 115624, (((uintptr_t)(binary_op) >> 16) & 0xffff));
					if (((uintptr_t)(binary_op) >> 32) & 0xffff) {
			dasm_put(Dst, 115627, (((uintptr_t)(binary_op) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 115630, (((uintptr_t)(binary_op) >> 32) & 0xffff));
				}
#line 13335 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if ((opline->op2_type & (IS_TMP_VAR|IS_VAR))
			 && (val_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
				//|	EXT_CALL zend_jit_assign_op_to_typed_ref_tmp, REG0
					if (arm64_may_use_b(zend_jit_assign_op_to_typed_ref_tmp)) {
				dasm_put(Dst, 115633, (unsigned int)((ptrdiff_t)(zend_jit_assign_op_to_typed_ref_tmp)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_op_to_typed_ref_tmp))>>32));
					} else {
					if (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp)) == 0) {
				dasm_put(Dst, 115636);
					} else if (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp)) <= MOVZ_IMM) {
				dasm_put(Dst, 115638, ((uint64_t)(zend_jit_assign_op_to_typed_ref_tmp)));
					} else if (arm64_may_use_adr((void*)(zend_jit_assign_op_to_typed_ref_tmp))) {
				dasm_put(Dst, 115641, (unsigned int)((ptrdiff_t)(zend_jit_assign_op_to_typed_ref_tmp)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_op_to_typed_ref_tmp))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_assign_op_to_typed_ref_tmp))) {
				dasm_put(Dst, 115644, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp)))))>>32));
						if (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp)) & 0xfff) {
				dasm_put(Dst, 115647, (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) & 0xffff) {
				dasm_put(Dst, 115650, ((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) & 0xffff));
						if (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 16) & 0xffff) {
				dasm_put(Dst, 115653, (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 32) & 0xffff) {
				dasm_put(Dst, 115656, (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 16) & 0xffff) {
				dasm_put(Dst, 115659, (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 32) & 0xffff) {
				dasm_put(Dst, 115662, (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 115665, (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 32) & 0xffff));
					}
				dasm_put(Dst, 115668);
					}
#line 13338 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	EXT_CALL zend_jit_assign_op_to_typed_ref, REG0
					if (arm64_may_use_b(zend_jit_assign_op_to_typed_ref)) {
				dasm_put(Dst, 115670, (unsigned int)((ptrdiff_t)(zend_jit_assign_op_to_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_op_to_typed_ref))>>32));
					} else {
					if (((uintptr_t)(zend_jit_assign_op_to_typed_ref)) == 0) {
				dasm_put(Dst, 115673);
					} else if (((uintptr_t)(zend_jit_assign_op_to_typed_ref)) <= MOVZ_IMM) {
				dasm_put(Dst, 115675, ((uint64_t)(zend_jit_assign_op_to_typed_ref)));
					} else if (arm64_may_use_adr((void*)(zend_jit_assign_op_to_typed_ref))) {
				dasm_put(Dst, 115678, (unsigned int)((ptrdiff_t)(zend_jit_assign_op_to_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_op_to_typed_ref))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_assign_op_to_typed_ref))) {
				dasm_put(Dst, 115681, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_assign_op_to_typed_ref))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_assign_op_to_typed_ref)))))>>32));
						if (((uintptr_t)(zend_jit_assign_op_to_typed_ref)) & 0xfff) {
				dasm_put(Dst, 115684, (((uintptr_t)(zend_jit_assign_op_to_typed_ref)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_assign_op_to_typed_ref) & 0xffff) {
				dasm_put(Dst, 115687, ((uintptr_t)(zend_jit_assign_op_to_typed_ref) & 0xffff));
						if (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 16) & 0xffff) {
				dasm_put(Dst, 115690, (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 32) & 0xffff) {
				dasm_put(Dst, 115693, (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 16) & 0xffff) {
				dasm_put(Dst, 115696, (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 32) & 0xffff) {
				dasm_put(Dst, 115699, (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 115702, (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 32) & 0xffff));
					}
				dasm_put(Dst, 115705);
					}
#line 13340 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	b >9
			//|.code
			dasm_put(Dst, 115707);
#line 13343 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

			//|	// value = zend_assign_to_typed_prop(prop_info, property_val, value EXECUTE_DATA_CC);

			if (ce && ce->ce_flags & ZEND_ACC_IMMUTABLE) {
				//|	LOAD_ADDR FCARG2x, prop_info
					if (((uintptr_t)(prop_info)) == 0) {
				dasm_put(Dst, 115710);
					} else if (((uintptr_t)(prop_info)) <= MOVZ_IMM) {
				dasm_put(Dst, 115712, ((uint64_t)(prop_info)));
					} else if (arm64_may_use_adr((void*)(prop_info))) {
				dasm_put(Dst, 115715, (unsigned int)((ptrdiff_t)(prop_info)), (unsigned int)(((ptrdiff_t)(prop_info))>>32));
					} else if (arm64_may_use_adrp((void*)(prop_info))) {
				dasm_put(Dst, 115718, (unsigned int)((ptrdiff_t)((((uintptr_t)(prop_info))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(prop_info)))))>>32));
						if (((uintptr_t)(prop_info)) & 0xfff) {
				dasm_put(Dst, 115721, (((uintptr_t)(prop_info)) & 0xfff));
						}
					} else if ((uintptr_t)(prop_info) & 0xffff) {
				dasm_put(Dst, 115724, ((uintptr_t)(prop_info) & 0xffff));
						if (((uintptr_t)(prop_info) >> 16) & 0xffff) {
				dasm_put(Dst, 115727, (((uintptr_t)(prop_info) >> 16) & 0xffff));
						}
						if (((uintptr_t)(prop_info) >> 32) & 0xffff) {
				dasm_put(Dst, 115730, (((uintptr_t)(prop_info) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(prop_info) >> 16) & 0xffff) {
				dasm_put(Dst, 115733, (((uintptr_t)(prop_info) >> 16) & 0xffff));
						if (((uintptr_t)(prop_info) >> 32) & 0xffff) {
				dasm_put(Dst, 115736, (((uintptr_t)(prop_info) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 115739, (((uintptr_t)(prop_info) >> 32) & 0xffff));
					}
#line 13348 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				int prop_info_offset =
					(((prop_info->offset - (sizeof(zend_object) - sizeof(zval))) / sizeof(zval)) * sizeof(void*));

				//|	ldr REG0, [FCARG1x, #offsetof(zend_object, ce)]
				//|	ldr	REG0, [REG0, #offsetof(zend_class_entry, properties_info_table)]
				//|	MEM_ACCESS_64_WITH_UOFFSET ldr, FCARG2x, REG0, prop_info_offset, TMP1
				dasm_put(Dst, 115742, offsetof(zend_object, ce), offsetof(zend_class_entry, properties_info_table));
					if (((uintptr_t)(prop_info_offset)) > LDR_STR_PIMM64) {
					if (((uint32_t)(prop_info_offset)) <= MOVZ_IMM) {
				dasm_put(Dst, 115747, ((uint32_t)(prop_info_offset)));
					} else if (((uint32_t)(prop_info_offset) & 0xffff)) {
				dasm_put(Dst, 115750, ((uint32_t)(prop_info_offset) & 0xffff));
						if ((((uint32_t)(prop_info_offset) >> 16) & 0xffff)) {
				dasm_put(Dst, 115753, (((uint32_t)(prop_info_offset) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 115756, (((uint32_t)(prop_info_offset) >> 16) & 0xffff));
					}
				dasm_put(Dst, 115759);
					} else {
				dasm_put(Dst, 115761, (prop_info_offset));
					}
#line 13355 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	LOAD_ZVAL_ADDR FCARG1x, prop_addr
				if (Z_MODE(prop_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(prop_addr))) == 0) {
			dasm_put(Dst, 115764);
				} else if (((uintptr_t)(Z_ZV(prop_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 115766, ((uint64_t)(Z_ZV(prop_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(prop_addr)))) {
			dasm_put(Dst, 115769, (unsigned int)((ptrdiff_t)(Z_ZV(prop_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(prop_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(prop_addr)))) {
			dasm_put(Dst, 115772, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(prop_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(prop_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(prop_addr))) & 0xfff) {
			dasm_put(Dst, 115775, (((uintptr_t)(Z_ZV(prop_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(prop_addr)) & 0xffff) {
			dasm_put(Dst, 115778, ((uintptr_t)(Z_ZV(prop_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 115781, (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 115784, (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 115787, (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 115790, (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 115793, (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(prop_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(prop_addr)) {
				if (Z_OFFSET(prop_addr) == 0) {
			dasm_put(Dst, 115796, (Z_REG(prop_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(prop_addr)))) {
			dasm_put(Dst, 115799, (Z_REG(prop_addr)), Z_OFFSET(prop_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(prop_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 115803, ((uint32_t)(Z_OFFSET(prop_addr))));
				} else if (((uint32_t)(Z_OFFSET(prop_addr)) & 0xffff)) {
			dasm_put(Dst, 115806, ((uint32_t)(Z_OFFSET(prop_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 115809, (((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 115812, (((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 115815, (Z_REG(prop_addr)));
				}
					} else {
						if (Z_REG(prop_addr) == ZREG_RSP) {
			dasm_put(Dst, 115818);
						} else {
			dasm_put(Dst, 115820, (Z_REG(prop_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 13357 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	LOAD_ZVAL_ADDR CARG3, val_addr
				if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(val_addr))) == 0) {
			dasm_put(Dst, 115823);
				} else if (((uintptr_t)(Z_ZV(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 115825, ((uint64_t)(Z_ZV(val_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 115828, (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 115831, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(val_addr))) & 0xfff) {
			dasm_put(Dst, 115834, (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(val_addr)) & 0xffff) {
			dasm_put(Dst, 115837, ((uintptr_t)(Z_ZV(val_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 115840, (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 115843, (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 115846, (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 115849, (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 115852, (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(val_addr)) {
				if (Z_OFFSET(val_addr) == 0) {
			dasm_put(Dst, 115855, (Z_REG(val_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(val_addr)))) {
			dasm_put(Dst, 115858, (Z_REG(val_addr)), Z_OFFSET(val_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 115862, ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 115865, ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 115868, (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 115871, (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 115874, (Z_REG(val_addr)));
				}
					} else {
						if (Z_REG(val_addr) == ZREG_RSP) {
			dasm_put(Dst, 115877);
						} else {
			dasm_put(Dst, 115879, (Z_REG(val_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 13358 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	LOAD_ADDR CARG4, binary_op
				if (((uintptr_t)(binary_op)) == 0) {
			dasm_put(Dst, 115882);
				} else if (((uintptr_t)(binary_op)) <= MOVZ_IMM) {
			dasm_put(Dst, 115884, ((uint64_t)(binary_op)));
				} else if (arm64_may_use_adr((void*)(binary_op))) {
			dasm_put(Dst, 115887, (unsigned int)((ptrdiff_t)(binary_op)), (unsigned int)(((ptrdiff_t)(binary_op))>>32));
				} else if (arm64_may_use_adrp((void*)(binary_op))) {
			dasm_put(Dst, 115890, (unsigned int)((ptrdiff_t)((((uintptr_t)(binary_op))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(binary_op)))))>>32));
					if (((uintptr_t)(binary_op)) & 0xfff) {
			dasm_put(Dst, 115893, (((uintptr_t)(binary_op)) & 0xfff));
					}
				} else if ((uintptr_t)(binary_op) & 0xffff) {
			dasm_put(Dst, 115896, ((uintptr_t)(binary_op) & 0xffff));
					if (((uintptr_t)(binary_op) >> 16) & 0xffff) {
			dasm_put(Dst, 115899, (((uintptr_t)(binary_op) >> 16) & 0xffff));
					}
					if (((uintptr_t)(binary_op) >> 32) & 0xffff) {
			dasm_put(Dst, 115902, (((uintptr_t)(binary_op) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(binary_op) >> 16) & 0xffff) {
			dasm_put(Dst, 115905, (((uintptr_t)(binary_op) >> 16) & 0xffff));
					if (((uintptr_t)(binary_op) >> 32) & 0xffff) {
			dasm_put(Dst, 115908, (((uintptr_t)(binary_op) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 115911, (((uintptr_t)(binary_op) >> 32) & 0xffff));
				}
#line 13359 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

			//|	EXT_CALL zend_jit_assign_op_to_typed_prop, REG0
				if (arm64_may_use_b(zend_jit_assign_op_to_typed_prop)) {
			dasm_put(Dst, 115914, (unsigned int)((ptrdiff_t)(zend_jit_assign_op_to_typed_prop)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_op_to_typed_prop))>>32));
				} else {
				if (((uintptr_t)(zend_jit_assign_op_to_typed_prop)) == 0) {
			dasm_put(Dst, 115917);
				} else if (((uintptr_t)(zend_jit_assign_op_to_typed_prop)) <= MOVZ_IMM) {
			dasm_put(Dst, 115919, ((uint64_t)(zend_jit_assign_op_to_typed_prop)));
				} else if (arm64_may_use_adr((void*)(zend_jit_assign_op_to_typed_prop))) {
			dasm_put(Dst, 115922, (unsigned int)((ptrdiff_t)(zend_jit_assign_op_to_typed_prop)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_op_to_typed_prop))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_assign_op_to_typed_prop))) {
			dasm_put(Dst, 115925, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_assign_op_to_typed_prop))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_assign_op_to_typed_prop)))))>>32));
					if (((uintptr_t)(zend_jit_assign_op_to_typed_prop)) & 0xfff) {
			dasm_put(Dst, 115928, (((uintptr_t)(zend_jit_assign_op_to_typed_prop)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_assign_op_to_typed_prop) & 0xffff) {
			dasm_put(Dst, 115931, ((uintptr_t)(zend_jit_assign_op_to_typed_prop) & 0xffff));
					if (((uintptr_t)(zend_jit_assign_op_to_typed_prop) >> 16) & 0xffff) {
			dasm_put(Dst, 115934, (((uintptr_t)(zend_jit_assign_op_to_typed_prop) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_assign_op_to_typed_prop) >> 32) & 0xffff) {
			dasm_put(Dst, 115937, (((uintptr_t)(zend_jit_assign_op_to_typed_prop) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_assign_op_to_typed_prop) >> 16) & 0xffff) {
			dasm_put(Dst, 115940, (((uintptr_t)(zend_jit_assign_op_to_typed_prop) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_assign_op_to_typed_prop) >> 32) & 0xffff) {
			dasm_put(Dst, 115943, (((uintptr_t)(zend_jit_assign_op_to_typed_prop) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 115946, (((uintptr_t)(zend_jit_assign_op_to_typed_prop) >> 32) & 0xffff));
				}
			dasm_put(Dst, 115949);
				}
#line 13361 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

			if (info & (MAY_BE_REF|MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) {
				info |= MAY_BE_RC1|MAY_BE_RCN;
			}

			//|	FREE_OP (opline+1)->op1_type, (opline+1)->op1, info, 0, NULL, ZREG_TMP1, ZREG_TMP2
				if ((opline+1)->op1_type & (IS_VAR|IS_TMP_VAR)) {
					zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, (opline+1)->op1.var);
				if ((info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
					if ((info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
						if (0) {
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 115951, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 115955, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 115959, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 115963, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 115967, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 115972, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_REFCOUNTED == 0) {
			dasm_put(Dst, 115977, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
			dasm_put(Dst, 115980, (ZREG_X15), IS_TYPE_REFCOUNTED);
				} else {
				if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
			dasm_put(Dst, 115984, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
				} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
			dasm_put(Dst, 115988, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
					if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
			dasm_put(Dst, 115992, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 115996, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			dasm_put(Dst, 116000, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 116004);
			dasm_put(Dst, 116007);
						} else {
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 116009, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 116013, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 116017, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 116021, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 116025, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 116030, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_REFCOUNTED == 0) {
			dasm_put(Dst, 116035, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
			dasm_put(Dst, 116038, (ZREG_X15), IS_TYPE_REFCOUNTED);
				} else {
				if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
			dasm_put(Dst, 116042, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
				} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
			dasm_put(Dst, 116046, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
					if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
			dasm_put(Dst, 116050, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 116054, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			dasm_put(Dst, 116058, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 116062);
						}
					}
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 116065, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
				} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
			dasm_put(Dst, 116069, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 116073, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 116077, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 116081, (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 116085, (Z_REG(addr)), (Z_OFFSET(addr)));
				}
			dasm_put(Dst, 116089, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
					if (((info) & MAY_BE_GUARD) || RC_MAY_BE_1(info)) {
						if (((info) & MAY_BE_GUARD) || RC_MAY_BE_N(info)) {
							if (0 && (((info) & MAY_BE_GUARD) || (RC_MAY_BE_N(info) && ((info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
			dasm_put(Dst, 116097);
							} else {
			dasm_put(Dst, 116100);
							}
						}
				do {
					if (!((info) & MAY_BE_GUARD)
					 && has_concrete_type((info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
						zend_uchar type = concrete_type((info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
						if (type == IS_STRING && !ZEND_DEBUG) {
				if (arm64_may_use_b(_efree)) {
			dasm_put(Dst, 116103, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
				} else {
				if (((uintptr_t)(_efree)) == 0) {
			dasm_put(Dst, 116106, (ZREG_X15));
				} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
			dasm_put(Dst, 116109, (ZREG_X15), ((uint64_t)(_efree)));
				} else if (arm64_may_use_adr((void*)(_efree))) {
			dasm_put(Dst, 116113, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
				} else if (arm64_may_use_adrp((void*)(_efree))) {
			dasm_put(Dst, 116117, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
					if (((uintptr_t)(_efree)) & 0xfff) {
			dasm_put(Dst, 116121, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
					}
				} else if ((uintptr_t)(_efree) & 0xffff) {
			dasm_put(Dst, 116126, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
					if (((uintptr_t)(_efree) >> 16) & 0xffff) {
			dasm_put(Dst, 116130, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
					}
					if (((uintptr_t)(_efree) >> 32) & 0xffff) {
			dasm_put(Dst, 116134, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
			dasm_put(Dst, 116138, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
					if (((uintptr_t)(_efree) >> 32) & 0xffff) {
			dasm_put(Dst, 116142, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 116146, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			dasm_put(Dst, 116150, (ZREG_X15));
				}
							break;
						} else if (type == IS_ARRAY) {
							if ((info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
								if (NULL && ((info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
				if (NULL == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 116153, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(NULL)) == 0) {
			dasm_put(Dst, 116156, (ZREG_X15));
				} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
			dasm_put(Dst, 116159, (ZREG_X15), ((uint64_t)(NULL)));
				} else if (arm64_may_use_adr((void*)(NULL))) {
			dasm_put(Dst, 116163, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
				} else if (arm64_may_use_adrp((void*)(NULL))) {
			dasm_put(Dst, 116167, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
					if (((uintptr_t)(NULL)) & 0xfff) {
			dasm_put(Dst, 116171, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
					}
				} else if ((uintptr_t)(NULL) & 0xffff) {
			dasm_put(Dst, 116176, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
					if (((uintptr_t)(NULL) >> 16) & 0xffff) {
			dasm_put(Dst, 116180, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
					}
					if (((uintptr_t)(NULL) >> 32) & 0xffff) {
			dasm_put(Dst, 116184, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
			dasm_put(Dst, 116188, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
					if (((uintptr_t)(NULL) >> 32) & 0xffff) {
			dasm_put(Dst, 116192, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 116196, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			dasm_put(Dst, 116200, (ZREG_X15), Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
								}
				if (arm64_may_use_b(zend_array_destroy)) {
			dasm_put(Dst, 116204, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
				} else {
				if (((uintptr_t)(zend_array_destroy)) == 0) {
			dasm_put(Dst, 116207, (ZREG_X15));
				} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
			dasm_put(Dst, 116210, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
				} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
			dasm_put(Dst, 116214, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
			dasm_put(Dst, 116218, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
					if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
			dasm_put(Dst, 116222, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
			dasm_put(Dst, 116227, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
					if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
			dasm_put(Dst, 116231, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
			dasm_put(Dst, 116235, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
			dasm_put(Dst, 116239, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
					if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
			dasm_put(Dst, 116243, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 116247, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			dasm_put(Dst, 116251, (ZREG_X15));
				}
							} else {
				if (arm64_may_use_b(zend_jit_array_free)) {
			dasm_put(Dst, 116254, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
				} else {
				if (((uintptr_t)(zend_jit_array_free)) == 0) {
			dasm_put(Dst, 116257, (ZREG_X15));
				} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
			dasm_put(Dst, 116260, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
				} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
			dasm_put(Dst, 116264, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
			dasm_put(Dst, 116268, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
					if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
			dasm_put(Dst, 116272, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
			dasm_put(Dst, 116277, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
					if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
			dasm_put(Dst, 116281, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
			dasm_put(Dst, 116285, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
			dasm_put(Dst, 116289, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
			dasm_put(Dst, 116293, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 116297, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			dasm_put(Dst, 116301, (ZREG_X15));
				}
							}
							break;
						} else if (type == IS_OBJECT) {
							if (NULL) {
				if (NULL == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 116304, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(NULL)) == 0) {
			dasm_put(Dst, 116307);
				} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
			dasm_put(Dst, 116309, ((uint64_t)(NULL)));
				} else if (arm64_may_use_adr((void*)(NULL))) {
			dasm_put(Dst, 116312, (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
				} else if (arm64_may_use_adrp((void*)(NULL))) {
			dasm_put(Dst, 116315, (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
					if (((uintptr_t)(NULL)) & 0xfff) {
			dasm_put(Dst, 116318, (((uintptr_t)(NULL)) & 0xfff));
					}
				} else if ((uintptr_t)(NULL) & 0xffff) {
			dasm_put(Dst, 116321, ((uintptr_t)(NULL) & 0xffff));
					if (((uintptr_t)(NULL) >> 16) & 0xffff) {
			dasm_put(Dst, 116324, (((uintptr_t)(NULL) >> 16) & 0xffff));
					}
					if (((uintptr_t)(NULL) >> 32) & 0xffff) {
			dasm_put(Dst, 116327, (((uintptr_t)(NULL) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
			dasm_put(Dst, 116330, (((uintptr_t)(NULL) >> 16) & 0xffff));
					if (((uintptr_t)(NULL) >> 32) & 0xffff) {
			dasm_put(Dst, 116333, (((uintptr_t)(NULL) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 116336, (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			dasm_put(Dst, 116339, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
							}
				if (arm64_may_use_b(zend_objects_store_del)) {
			dasm_put(Dst, 116342, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
				} else {
				if (((uintptr_t)(zend_objects_store_del)) == 0) {
			dasm_put(Dst, 116345, (ZREG_X15));
				} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
			dasm_put(Dst, 116348, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
				} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
			dasm_put(Dst, 116352, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
			dasm_put(Dst, 116356, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
					if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
			dasm_put(Dst, 116360, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
			dasm_put(Dst, 116365, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
					if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
			dasm_put(Dst, 116369, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
			dasm_put(Dst, 116373, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
			dasm_put(Dst, 116377, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
					if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
			dasm_put(Dst, 116381, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 116385, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			dasm_put(Dst, 116389, (ZREG_X15));
				}
							break;
						}
					}
					if (NULL) {
				if (NULL == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 116392, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(NULL)) == 0) {
			dasm_put(Dst, 116395, (ZREG_X15));
				} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
			dasm_put(Dst, 116398, (ZREG_X15), ((uint64_t)(NULL)));
				} else if (arm64_may_use_adr((void*)(NULL))) {
			dasm_put(Dst, 116402, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
				} else if (arm64_may_use_adrp((void*)(NULL))) {
			dasm_put(Dst, 116406, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
					if (((uintptr_t)(NULL)) & 0xfff) {
			dasm_put(Dst, 116410, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
					}
				} else if ((uintptr_t)(NULL) & 0xffff) {
			dasm_put(Dst, 116415, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
					if (((uintptr_t)(NULL) >> 16) & 0xffff) {
			dasm_put(Dst, 116419, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
					}
					if (((uintptr_t)(NULL) >> 32) & 0xffff) {
			dasm_put(Dst, 116423, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
			dasm_put(Dst, 116427, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
					if (((uintptr_t)(NULL) >> 32) & 0xffff) {
			dasm_put(Dst, 116431, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 116435, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			dasm_put(Dst, 116439, (ZREG_X15), Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
					}
				if (arm64_may_use_b(rc_dtor_func)) {
			dasm_put(Dst, 116443, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
				} else {
				if (((uintptr_t)(rc_dtor_func)) == 0) {
			dasm_put(Dst, 116446, (ZREG_X15));
				} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
			dasm_put(Dst, 116449, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
				} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
			dasm_put(Dst, 116453, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
				} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
			dasm_put(Dst, 116457, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
					if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
			dasm_put(Dst, 116461, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
					}
				} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
			dasm_put(Dst, 116466, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
					if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
			dasm_put(Dst, 116470, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
					}
					if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
			dasm_put(Dst, 116474, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
			dasm_put(Dst, 116478, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
					if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
			dasm_put(Dst, 116482, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 116486, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			dasm_put(Dst, 116490, (ZREG_X15));
				}
				} while(0);
						if (0 && (((info) & MAY_BE_GUARD) || (RC_MAY_BE_N(info) && ((info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
			dasm_put(Dst, 116493);
						}
			dasm_put(Dst, 116496);
					}
					if (0 && (((info) & MAY_BE_GUARD) || (RC_MAY_BE_N(info) && ((info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
						if ((info) & (MAY_BE_REF|MAY_BE_GUARD)) {
							zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 116498, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 116502, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 116506, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 116510, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 116514, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 116519, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_REFERENCE == 0) {
			dasm_put(Dst, 116524, (ZREG_X15));
				} else {
			dasm_put(Dst, 116528, (ZREG_X15), IS_REFERENCE);
				}
				ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 116534, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 116538, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 116542, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 116546, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 116550, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 116555, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_COLLECTABLE == 0) {
			dasm_put(Dst, 116560, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
			dasm_put(Dst, 116563, (ZREG_X15), IS_TYPE_COLLECTABLE);
				} else {
				if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
			dasm_put(Dst, 116567, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
				} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
			dasm_put(Dst, 116571, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
					if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
			dasm_put(Dst, 116575, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 116579, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			dasm_put(Dst, 116583, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 116587);
				ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 116590, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
			dasm_put(Dst, 116594, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 116598, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 116602, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 116606, (Z_REG(ref_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 116610, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
				}
			dasm_put(Dst, 116614);
						}
			dasm_put(Dst, 116616, (ZREG_X15));
				if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
			dasm_put(Dst, 116619, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
			dasm_put(Dst, 116622, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
				} else {
				if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
			dasm_put(Dst, 116626, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
				} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
			dasm_put(Dst, 116630, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
					if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
			dasm_put(Dst, 116634, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 116638, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			dasm_put(Dst, 116642, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 116646);
				if (arm64_may_use_b(gc_possible_root)) {
			dasm_put(Dst, 116649, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
				} else {
				if (((uintptr_t)(gc_possible_root)) == 0) {
			dasm_put(Dst, 116652, (ZREG_X15));
				} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
			dasm_put(Dst, 116655, (ZREG_X15), ((uint64_t)(gc_possible_root)));
				} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
			dasm_put(Dst, 116659, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
				} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
			dasm_put(Dst, 116663, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
					if (((uintptr_t)(gc_possible_root)) & 0xfff) {
			dasm_put(Dst, 116667, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
					}
				} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
			dasm_put(Dst, 116672, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
					if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
			dasm_put(Dst, 116676, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
					}
					if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
			dasm_put(Dst, 116680, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
			dasm_put(Dst, 116684, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
					if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
			dasm_put(Dst, 116688, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 116692, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			dasm_put(Dst, 116696, (ZREG_X15));
				}
					}
					if (0 && ((info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
			dasm_put(Dst, 116699);
					}
			dasm_put(Dst, 116702);
				}
				}
#line 13367 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	if (!prop_info || !ZEND_TYPE_IS_SET(prop_info->type)) {
		zend_jit_addr var_addr = prop_addr;
		uint32_t var_info = MAY_BE_ANY|MAY_BE_REF|MAY_BE_RC1|MAY_BE_RCN;
		uint32_t var_def_info = MAY_BE_ANY|MAY_BE_REF|MAY_BE_RC1|MAY_BE_RCN;

		if (use_prop_guard) {
			int32_t exit_point = zend_jit_trace_get_exit_point(opline, 0);
			const void *exit_addr = zend_jit_trace_get_exit_addr(exit_point);
			if (!exit_addr) {
				return 0;
			}

			//|	IF_NOT_ZVAL_TYPE var_addr, prop_type, &exit_addr, ZREG_TMP1
				ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 116704, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 116708, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 116712, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 116716, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 116720, (ZREG_X15), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 116725, (ZREG_X15), (Z_REG(var_addr)), (Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)));
				}
				if (prop_type == 0) {
			dasm_put(Dst, 116730, (ZREG_X15), (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
				} else {
			dasm_put(Dst, 116734, (ZREG_X15), prop_type, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
				}
#line 13383 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			var_info = (1 << prop_type) | (var_info & ~(MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_REF));
		}

		if (var_info & MAY_BE_REF) {
			may_throw = 1;
			var_addr = ZEND_ADDR_MEM_ZVAL(ZREG_REG0, 0);
			//|	LOAD_ZVAL_ADDR REG0, prop_addr
				if (Z_MODE(prop_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(prop_addr))) == 0) {
			dasm_put(Dst, 116740);
				} else if (((uintptr_t)(Z_ZV(prop_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 116742, ((uint64_t)(Z_ZV(prop_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(prop_addr)))) {
			dasm_put(Dst, 116745, (unsigned int)((ptrdiff_t)(Z_ZV(prop_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(prop_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(prop_addr)))) {
			dasm_put(Dst, 116748, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(prop_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(prop_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(prop_addr))) & 0xfff) {
			dasm_put(Dst, 116751, (((uintptr_t)(Z_ZV(prop_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(prop_addr)) & 0xffff) {
			dasm_put(Dst, 116754, ((uintptr_t)(Z_ZV(prop_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 116757, (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 116760, (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 116763, (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 116766, (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 116769, (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(prop_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(prop_addr)) {
				if (Z_OFFSET(prop_addr) == 0) {
			dasm_put(Dst, 116772, (Z_REG(prop_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(prop_addr)))) {
			dasm_put(Dst, 116775, (Z_REG(prop_addr)), Z_OFFSET(prop_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(prop_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 116779, ((uint32_t)(Z_OFFSET(prop_addr))));
				} else if (((uint32_t)(Z_OFFSET(prop_addr)) & 0xffff)) {
			dasm_put(Dst, 116782, ((uint32_t)(Z_OFFSET(prop_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 116785, (((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 116788, (((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 116791, (Z_REG(prop_addr)));
				}
					} else {
						if (Z_REG(prop_addr) == ZREG_RSP) {
			dasm_put(Dst, 116794);
						} else {
			dasm_put(Dst, 116796, (Z_REG(prop_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 13390 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	IF_NOT_ZVAL_TYPE var_addr, IS_REFERENCE, >2, ZREG_TMP1
				ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 116799, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 116803, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 116807, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 116811, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 116815, (ZREG_X15), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 116820, (ZREG_X15), (Z_REG(var_addr)), (Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_REFERENCE == 0) {
			dasm_put(Dst, 116825, (ZREG_X15));
				} else {
			dasm_put(Dst, 116829, (ZREG_X15), IS_REFERENCE);
				}
#line 13391 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	GET_ZVAL_PTR FCARG1x, var_addr, TMP1
				ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 116835, ((uint32_t)(Z_OFFSET(var_addr))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
			dasm_put(Dst, 116838, ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 116841, (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 116844, (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 116847, (Z_REG(var_addr)));
				} else {
			dasm_put(Dst, 116850, (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
				}
#line 13392 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	ldr TMP1, [FCARG1x, #offsetof(zend_reference, sources.ptr)]
			//|	cbnz TMP1, >1
			//|	add REG0, FCARG1x, #offsetof(zend_reference, val)
			//|.cold_code
			dasm_put(Dst, 116854, offsetof(zend_reference, sources.ptr), offsetof(zend_reference, val));
#line 13396 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|1:
			dasm_put(Dst, 116861);
#line 13397 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (Z_MODE(val_addr) != IS_MEM_ZVAL || Z_REG(val_addr) != ZREG_FCARG2 || Z_OFFSET(val_addr) != 0) {
				//|	LOAD_ZVAL_ADDR FCARG2x, val_addr
					if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(val_addr))) == 0) {
				dasm_put(Dst, 116863);
					} else if (((uintptr_t)(Z_ZV(val_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 116865, ((uint64_t)(Z_ZV(val_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
				dasm_put(Dst, 116868, (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
				dasm_put(Dst, 116871, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(val_addr))) & 0xfff) {
				dasm_put(Dst, 116874, (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(val_addr)) & 0xffff) {
				dasm_put(Dst, 116877, ((uintptr_t)(Z_ZV(val_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 116880, (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 116883, (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 116886, (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 116889, (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 116892, (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(val_addr)) {
					if (Z_OFFSET(val_addr) == 0) {
				dasm_put(Dst, 116895, (Z_REG(val_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(val_addr)))) {
				dasm_put(Dst, 116898, (Z_REG(val_addr)), Z_OFFSET(val_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 116902, ((uint32_t)(Z_OFFSET(val_addr))));
					} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
				dasm_put(Dst, 116905, ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 116908, (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 116911, (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 116914, (Z_REG(val_addr)));
					}
						} else {
							if (Z_REG(val_addr) == ZREG_RSP) {
				dasm_put(Dst, 116917);
							} else {
				dasm_put(Dst, 116919, (Z_REG(val_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 13399 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if (opline) {
				//|	SET_EX_OPLINE opline, REG0
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 116922, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 116925);
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 116927, ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 116930, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 116933, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 116936, (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 116939, ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 116942, (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 116945, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 116948, (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 116951, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 116954, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 116957, Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
#line 13402 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	LOAD_ADDR CARG3, binary_op
				if (((uintptr_t)(binary_op)) == 0) {
			dasm_put(Dst, 116960);
				} else if (((uintptr_t)(binary_op)) <= MOVZ_IMM) {
			dasm_put(Dst, 116962, ((uint64_t)(binary_op)));
				} else if (arm64_may_use_adr((void*)(binary_op))) {
			dasm_put(Dst, 116965, (unsigned int)((ptrdiff_t)(binary_op)), (unsigned int)(((ptrdiff_t)(binary_op))>>32));
				} else if (arm64_may_use_adrp((void*)(binary_op))) {
			dasm_put(Dst, 116968, (unsigned int)((ptrdiff_t)((((uintptr_t)(binary_op))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(binary_op)))))>>32));
					if (((uintptr_t)(binary_op)) & 0xfff) {
			dasm_put(Dst, 116971, (((uintptr_t)(binary_op)) & 0xfff));
					}
				} else if ((uintptr_t)(binary_op) & 0xffff) {
			dasm_put(Dst, 116974, ((uintptr_t)(binary_op) & 0xffff));
					if (((uintptr_t)(binary_op) >> 16) & 0xffff) {
			dasm_put(Dst, 116977, (((uintptr_t)(binary_op) >> 16) & 0xffff));
					}
					if (((uintptr_t)(binary_op) >> 32) & 0xffff) {
			dasm_put(Dst, 116980, (((uintptr_t)(binary_op) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(binary_op) >> 16) & 0xffff) {
			dasm_put(Dst, 116983, (((uintptr_t)(binary_op) >> 16) & 0xffff));
					if (((uintptr_t)(binary_op) >> 32) & 0xffff) {
			dasm_put(Dst, 116986, (((uintptr_t)(binary_op) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 116989, (((uintptr_t)(binary_op) >> 32) & 0xffff));
				}
#line 13404 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (((opline+1)->op1_type & (IS_TMP_VAR|IS_VAR))
			 && (val_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
				//|	EXT_CALL zend_jit_assign_op_to_typed_ref_tmp, REG0
					if (arm64_may_use_b(zend_jit_assign_op_to_typed_ref_tmp)) {
				dasm_put(Dst, 116992, (unsigned int)((ptrdiff_t)(zend_jit_assign_op_to_typed_ref_tmp)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_op_to_typed_ref_tmp))>>32));
					} else {
					if (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp)) == 0) {
				dasm_put(Dst, 116995);
					} else if (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp)) <= MOVZ_IMM) {
				dasm_put(Dst, 116997, ((uint64_t)(zend_jit_assign_op_to_typed_ref_tmp)));
					} else if (arm64_may_use_adr((void*)(zend_jit_assign_op_to_typed_ref_tmp))) {
				dasm_put(Dst, 117000, (unsigned int)((ptrdiff_t)(zend_jit_assign_op_to_typed_ref_tmp)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_op_to_typed_ref_tmp))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_assign_op_to_typed_ref_tmp))) {
				dasm_put(Dst, 117003, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp)))))>>32));
						if (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp)) & 0xfff) {
				dasm_put(Dst, 117006, (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) & 0xffff) {
				dasm_put(Dst, 117009, ((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) & 0xffff));
						if (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 16) & 0xffff) {
				dasm_put(Dst, 117012, (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 32) & 0xffff) {
				dasm_put(Dst, 117015, (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 16) & 0xffff) {
				dasm_put(Dst, 117018, (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 32) & 0xffff) {
				dasm_put(Dst, 117021, (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 117024, (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 32) & 0xffff));
					}
				dasm_put(Dst, 117027);
					}
#line 13407 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	EXT_CALL zend_jit_assign_op_to_typed_ref, REG0
					if (arm64_may_use_b(zend_jit_assign_op_to_typed_ref)) {
				dasm_put(Dst, 117029, (unsigned int)((ptrdiff_t)(zend_jit_assign_op_to_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_op_to_typed_ref))>>32));
					} else {
					if (((uintptr_t)(zend_jit_assign_op_to_typed_ref)) == 0) {
				dasm_put(Dst, 117032);
					} else if (((uintptr_t)(zend_jit_assign_op_to_typed_ref)) <= MOVZ_IMM) {
				dasm_put(Dst, 117034, ((uint64_t)(zend_jit_assign_op_to_typed_ref)));
					} else if (arm64_may_use_adr((void*)(zend_jit_assign_op_to_typed_ref))) {
				dasm_put(Dst, 117037, (unsigned int)((ptrdiff_t)(zend_jit_assign_op_to_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_op_to_typed_ref))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_assign_op_to_typed_ref))) {
				dasm_put(Dst, 117040, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_assign_op_to_typed_ref))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_assign_op_to_typed_ref)))))>>32));
						if (((uintptr_t)(zend_jit_assign_op_to_typed_ref)) & 0xfff) {
				dasm_put(Dst, 117043, (((uintptr_t)(zend_jit_assign_op_to_typed_ref)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_assign_op_to_typed_ref) & 0xffff) {
				dasm_put(Dst, 117046, ((uintptr_t)(zend_jit_assign_op_to_typed_ref) & 0xffff));
						if (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 16) & 0xffff) {
				dasm_put(Dst, 117049, (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 32) & 0xffff) {
				dasm_put(Dst, 117052, (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 16) & 0xffff) {
				dasm_put(Dst, 117055, (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 32) & 0xffff) {
				dasm_put(Dst, 117058, (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 117061, (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 32) & 0xffff));
					}
				dasm_put(Dst, 117064);
					}
#line 13409 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	b >9
			//|.code
			dasm_put(Dst, 117066);
#line 13412 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|2:
			dasm_put(Dst, 117069);
#line 13413 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}

		switch (opline->extended_value) {
			case ZEND_ADD:
			case ZEND_SUB:
			case ZEND_MUL:
				if ((var_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) ||
			    (val_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if (opline->extended_value != ZEND_ADD ||
					    (var_info & MAY_BE_ANY) != MAY_BE_ARRAY ||
					    (val_info & MAY_BE_ANY) == MAY_BE_ARRAY) {
						may_throw = 1;
					}
				}
				if (!zend_jit_math_helper(Dst, opline, opline->extended_value, IS_CV, opline->op1, var_addr, var_info, (opline+1)->op1_type, (opline+1)->op1, val_addr, val_info, 0, var_addr, var_def_info, var_info,
						1 /* may overflow */, 0)) {
					return 0;
				}
				break;
			case ZEND_BW_OR:
			case ZEND_BW_AND:
			case ZEND_BW_XOR:
				may_throw = 1;
				if ((var_info & (MAY_BE_STRING|MAY_BE_DOUBLE|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) ||
				    (val_info & (MAY_BE_STRING|MAY_BE_DOUBLE|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if ((var_info & MAY_BE_ANY) != MAY_BE_STRING ||
					    (val_info & MAY_BE_ANY) != MAY_BE_STRING) {
						may_throw = 1;
					}
				}
				goto long_math;
			case ZEND_SL:
			case ZEND_SR:
				if ((var_info & (MAY_BE_STRING|MAY_BE_DOUBLE|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) ||
				    (val_info & (MAY_BE_STRING|MAY_BE_DOUBLE|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					may_throw = 1;
				}
				if ((opline+1)->op1_type != IS_CONST ||
				    Z_TYPE_P(RT_CONSTANT((opline+1), (opline+1)->op1)) != IS_LONG ||
				    Z_LVAL_P(RT_CONSTANT((opline+1), (opline+1)->op1)) < 0) {
					may_throw = 1;
				}
				goto long_math;
			case ZEND_MOD:
				if ((var_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) ||
				    (val_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if (opline->extended_value != ZEND_ADD ||
					    (var_info & MAY_BE_ANY) != MAY_BE_ARRAY ||
					    (val_info & MAY_BE_ANY) == MAY_BE_ARRAY) {
						may_throw = 1;
					}
				}
				if ((opline+1)->op1_type != IS_CONST ||
				    Z_TYPE_P(RT_CONSTANT((opline+1), (opline+1)->op1)) != IS_LONG ||
				    Z_LVAL_P(RT_CONSTANT((opline+1), (opline+1)->op1)) == 0) {
					may_throw = 1;
				}
long_math:
				if (!zend_jit_long_math_helper(Dst, opline, opline->extended_value,
						IS_CV, opline->op1, var_addr, var_info, NULL,
						(opline+1)->op1_type, (opline+1)->op1, val_addr, val_info,
						val_range,
						0, var_addr, var_def_info, var_info, 0)) {
					return 0;
				}
				break;
			case ZEND_CONCAT:
				may_throw = 1;
				if (!zend_jit_concat_helper(Dst, opline, IS_CV, opline->op1, var_addr, var_info, (opline+1)->op1_type, (opline+1)->op1, val_addr, val_info, var_addr,
						0)) {
					return 0;
				}
				break;
			default:
				ZEND_UNREACHABLE();
		}
	}

	if (needs_slow_path) {
		may_throw = 1;
		//|.cold_code
		dasm_put(Dst, 117071);
#line 13494 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|7:
		//|	SET_EX_OPLINE opline, REG0
		dasm_put(Dst, 117072);
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 117074, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 117077);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 117079, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 117082, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 117085, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 117088, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 117091, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 117094, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 117097, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 117100, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 117103, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 117106, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 117109, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
#line 13496 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	// value = zobj->handlers->write_property(zobj, name, value, CACHE_ADDR(opline->extended_value));
		//|	LOAD_ADDR FCARG2x, name
			if (((uintptr_t)(name)) == 0) {
		dasm_put(Dst, 117112);
			} else if (((uintptr_t)(name)) <= MOVZ_IMM) {
		dasm_put(Dst, 117114, ((uint64_t)(name)));
			} else if (arm64_may_use_adr((void*)(name))) {
		dasm_put(Dst, 117117, (unsigned int)((ptrdiff_t)(name)), (unsigned int)(((ptrdiff_t)(name))>>32));
			} else if (arm64_may_use_adrp((void*)(name))) {
		dasm_put(Dst, 117120, (unsigned int)((ptrdiff_t)((((uintptr_t)(name))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(name)))))>>32));
				if (((uintptr_t)(name)) & 0xfff) {
		dasm_put(Dst, 117123, (((uintptr_t)(name)) & 0xfff));
				}
			} else if ((uintptr_t)(name) & 0xffff) {
		dasm_put(Dst, 117126, ((uintptr_t)(name) & 0xffff));
				if (((uintptr_t)(name) >> 16) & 0xffff) {
		dasm_put(Dst, 117129, (((uintptr_t)(name) >> 16) & 0xffff));
				}
				if (((uintptr_t)(name) >> 32) & 0xffff) {
		dasm_put(Dst, 117132, (((uintptr_t)(name) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(name) >> 16) & 0xffff) {
		dasm_put(Dst, 117135, (((uintptr_t)(name) >> 16) & 0xffff));
				if (((uintptr_t)(name) >> 32) & 0xffff) {
		dasm_put(Dst, 117138, (((uintptr_t)(name) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 117141, (((uintptr_t)(name) >> 32) & 0xffff));
			}
#line 13498 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	LOAD_ZVAL_ADDR CARG3, val_addr
			if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(val_addr))) == 0) {
		dasm_put(Dst, 117144);
			} else if (((uintptr_t)(Z_ZV(val_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 117146, ((uint64_t)(Z_ZV(val_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
		dasm_put(Dst, 117149, (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
		dasm_put(Dst, 117152, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(val_addr))) & 0xfff) {
		dasm_put(Dst, 117155, (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(val_addr)) & 0xffff) {
		dasm_put(Dst, 117158, ((uintptr_t)(Z_ZV(val_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 117161, (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 117164, (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 117167, (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 117170, (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 117173, (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
			}
			} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (Z_OFFSET(val_addr)) {
			if (Z_OFFSET(val_addr) == 0) {
		dasm_put(Dst, 117176, (Z_REG(val_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(val_addr)))) {
		dasm_put(Dst, 117179, (Z_REG(val_addr)), Z_OFFSET(val_addr));
			} else {
			if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 117183, ((uint32_t)(Z_OFFSET(val_addr))));
			} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
		dasm_put(Dst, 117186, ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 117189, (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 117192, (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 117195, (Z_REG(val_addr)));
			}
				} else {
					if (Z_REG(val_addr) == ZREG_RSP) {
		dasm_put(Dst, 117198);
					} else {
		dasm_put(Dst, 117200, (Z_REG(val_addr)));
					}
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 13499 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	ldr CARG4, EX->run_time_cache
		//|	ADD_SUB_64_WITH_CONST_32 add, CARG4, CARG4, (opline+1)->extended_value, TMP1
		dasm_put(Dst, 117203, Dt1(->run_time_cache));
			if ((opline+1)->extended_value == 0) {
		dasm_put(Dst, 117206);
			} else if (arm64_may_encode_imm12((int64_t)((opline+1)->extended_value))) {
		dasm_put(Dst, 117208, (opline+1)->extended_value);
			} else {
			if (((uint32_t)((opline+1)->extended_value)) <= MOVZ_IMM) {
		dasm_put(Dst, 117211, ((uint32_t)((opline+1)->extended_value)));
			} else if (((uint32_t)((opline+1)->extended_value) & 0xffff)) {
		dasm_put(Dst, 117214, ((uint32_t)((opline+1)->extended_value) & 0xffff));
				if ((((uint32_t)((opline+1)->extended_value) >> 16) & 0xffff)) {
		dasm_put(Dst, 117217, (((uint32_t)((opline+1)->extended_value) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 117220, (((uint32_t)((opline+1)->extended_value) >> 16) & 0xffff));
			}
		dasm_put(Dst, 117223);
			}
#line 13501 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	LOAD_ADDR CARG5, binary_op
			if (((uintptr_t)(binary_op)) == 0) {
		dasm_put(Dst, 117225);
			} else if (((uintptr_t)(binary_op)) <= MOVZ_IMM) {
		dasm_put(Dst, 117227, ((uint64_t)(binary_op)));
			} else if (arm64_may_use_adr((void*)(binary_op))) {
		dasm_put(Dst, 117230, (unsigned int)((ptrdiff_t)(binary_op)), (unsigned int)(((ptrdiff_t)(binary_op))>>32));
			} else if (arm64_may_use_adrp((void*)(binary_op))) {
		dasm_put(Dst, 117233, (unsigned int)((ptrdiff_t)((((uintptr_t)(binary_op))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(binary_op)))))>>32));
				if (((uintptr_t)(binary_op)) & 0xfff) {
		dasm_put(Dst, 117236, (((uintptr_t)(binary_op)) & 0xfff));
				}
			} else if ((uintptr_t)(binary_op) & 0xffff) {
		dasm_put(Dst, 117239, ((uintptr_t)(binary_op) & 0xffff));
				if (((uintptr_t)(binary_op) >> 16) & 0xffff) {
		dasm_put(Dst, 117242, (((uintptr_t)(binary_op) >> 16) & 0xffff));
				}
				if (((uintptr_t)(binary_op) >> 32) & 0xffff) {
		dasm_put(Dst, 117245, (((uintptr_t)(binary_op) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(binary_op) >> 16) & 0xffff) {
		dasm_put(Dst, 117248, (((uintptr_t)(binary_op) >> 16) & 0xffff));
				if (((uintptr_t)(binary_op) >> 32) & 0xffff) {
		dasm_put(Dst, 117251, (((uintptr_t)(binary_op) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 117254, (((uintptr_t)(binary_op) >> 32) & 0xffff));
			}
#line 13502 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	EXT_CALL zend_jit_assign_obj_op_helper, REG0
			if (arm64_may_use_b(zend_jit_assign_obj_op_helper)) {
		dasm_put(Dst, 117257, (unsigned int)((ptrdiff_t)(zend_jit_assign_obj_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_obj_op_helper))>>32));
			} else {
			if (((uintptr_t)(zend_jit_assign_obj_op_helper)) == 0) {
		dasm_put(Dst, 117260);
			} else if (((uintptr_t)(zend_jit_assign_obj_op_helper)) <= MOVZ_IMM) {
		dasm_put(Dst, 117262, ((uint64_t)(zend_jit_assign_obj_op_helper)));
			} else if (arm64_may_use_adr((void*)(zend_jit_assign_obj_op_helper))) {
		dasm_put(Dst, 117265, (unsigned int)((ptrdiff_t)(zend_jit_assign_obj_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_obj_op_helper))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_assign_obj_op_helper))) {
		dasm_put(Dst, 117268, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_assign_obj_op_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_assign_obj_op_helper)))))>>32));
				if (((uintptr_t)(zend_jit_assign_obj_op_helper)) & 0xfff) {
		dasm_put(Dst, 117271, (((uintptr_t)(zend_jit_assign_obj_op_helper)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_assign_obj_op_helper) & 0xffff) {
		dasm_put(Dst, 117274, ((uintptr_t)(zend_jit_assign_obj_op_helper) & 0xffff));
				if (((uintptr_t)(zend_jit_assign_obj_op_helper) >> 16) & 0xffff) {
		dasm_put(Dst, 117277, (((uintptr_t)(zend_jit_assign_obj_op_helper) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_assign_obj_op_helper) >> 32) & 0xffff) {
		dasm_put(Dst, 117280, (((uintptr_t)(zend_jit_assign_obj_op_helper) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_assign_obj_op_helper) >> 16) & 0xffff) {
		dasm_put(Dst, 117283, (((uintptr_t)(zend_jit_assign_obj_op_helper) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_assign_obj_op_helper) >> 32) & 0xffff) {
		dasm_put(Dst, 117286, (((uintptr_t)(zend_jit_assign_obj_op_helper) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 117289, (((uintptr_t)(zend_jit_assign_obj_op_helper) >> 32) & 0xffff));
			}
		dasm_put(Dst, 117292);
			}
#line 13503 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

		if (val_info & (MAY_BE_REF|MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) {
			val_info |= MAY_BE_RC1|MAY_BE_RCN;
		}

		//|8:
		//|	// FREE_OP_DATA();
		//|	FREE_OP (opline+1)->op1_type, (opline+1)->op1, val_info, 0, opline, ZREG_TMP1, ZREG_TMP2
		dasm_put(Dst, 117294);
			if ((opline+1)->op1_type & (IS_VAR|IS_TMP_VAR)) {
				zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, (opline+1)->op1.var);
			if ((val_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
				if ((val_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if (0) {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 117296, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 117300, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 117304, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 117308, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 117312, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 117317, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 117322, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 117325, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 117329, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 117333, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 117337, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 117341, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 117345, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 117349);
		dasm_put(Dst, 117352);
					} else {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 117354, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 117358, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 117362, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 117366, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 117370, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 117375, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 117380, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 117383, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 117387, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 117391, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 117395, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 117399, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 117403, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 117407);
					}
				}
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 117410, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
			} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
		dasm_put(Dst, 117414, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 117418, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 117422, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 117426, (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 117430, (Z_REG(addr)), (Z_OFFSET(addr)));
			}
		dasm_put(Dst, 117434, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
				if (((val_info) & MAY_BE_GUARD) || RC_MAY_BE_1(val_info)) {
					if (((val_info) & MAY_BE_GUARD) || RC_MAY_BE_N(val_info)) {
						if (0 && (((val_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(val_info) && ((val_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 117442);
						} else {
		dasm_put(Dst, 117445);
						}
					}
			do {
				if (!((val_info) & MAY_BE_GUARD)
				 && has_concrete_type((val_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					zend_uchar type = concrete_type((val_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
					if (type == IS_STRING && !ZEND_DEBUG) {
			if (arm64_may_use_b(_efree)) {
		dasm_put(Dst, 117448, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else {
			if (((uintptr_t)(_efree)) == 0) {
		dasm_put(Dst, 117451, (ZREG_X15));
			} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
		dasm_put(Dst, 117454, (ZREG_X15), ((uint64_t)(_efree)));
			} else if (arm64_may_use_adr((void*)(_efree))) {
		dasm_put(Dst, 117458, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else if (arm64_may_use_adrp((void*)(_efree))) {
		dasm_put(Dst, 117462, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
				if (((uintptr_t)(_efree)) & 0xfff) {
		dasm_put(Dst, 117466, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
				}
			} else if ((uintptr_t)(_efree) & 0xffff) {
		dasm_put(Dst, 117471, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
				if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 117475, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 117479, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 117483, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 117487, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 117491, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		dasm_put(Dst, 117495, (ZREG_X15));
			}
						break;
					} else if (type == IS_ARRAY) {
						if ((val_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
							if (opline && ((val_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 117498, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 117501, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 117504, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 117508, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 117512, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 117516, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 117521, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 117525, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 117529, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 117533, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 117537, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 117541, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 117545, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
							}
			if (arm64_may_use_b(zend_array_destroy)) {
		dasm_put(Dst, 117549, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else {
			if (((uintptr_t)(zend_array_destroy)) == 0) {
		dasm_put(Dst, 117552, (ZREG_X15));
			} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
		dasm_put(Dst, 117555, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
			} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
		dasm_put(Dst, 117559, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
		dasm_put(Dst, 117563, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
				if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
		dasm_put(Dst, 117567, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
		dasm_put(Dst, 117572, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 117576, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 117580, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 117584, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 117588, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 117592, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		dasm_put(Dst, 117596, (ZREG_X15));
			}
						} else {
			if (arm64_may_use_b(zend_jit_array_free)) {
		dasm_put(Dst, 117599, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else {
			if (((uintptr_t)(zend_jit_array_free)) == 0) {
		dasm_put(Dst, 117602, (ZREG_X15));
			} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
		dasm_put(Dst, 117605, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
			} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 117609, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 117613, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
				if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
		dasm_put(Dst, 117617, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
		dasm_put(Dst, 117622, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 117626, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 117630, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 117634, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 117638, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 117642, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		dasm_put(Dst, 117646, (ZREG_X15));
			}
						}
						break;
					} else if (type == IS_OBJECT) {
						if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 117649, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 117652);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 117654, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 117657, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 117660, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 117663, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 117666, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 117669, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 117672, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 117675, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 117678, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 117681, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 117684, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
						}
			if (arm64_may_use_b(zend_objects_store_del)) {
		dasm_put(Dst, 117687, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else {
			if (((uintptr_t)(zend_objects_store_del)) == 0) {
		dasm_put(Dst, 117690, (ZREG_X15));
			} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
		dasm_put(Dst, 117693, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
			} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 117697, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 117701, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
				if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
		dasm_put(Dst, 117705, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
		dasm_put(Dst, 117710, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 117714, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 117718, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 117722, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 117726, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 117730, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		dasm_put(Dst, 117734, (ZREG_X15));
			}
						break;
					}
				}
				if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 117737, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 117740, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 117743, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 117747, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 117751, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 117755, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 117760, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 117764, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 117768, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 117772, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 117776, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 117780, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 117784, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
				}
			if (arm64_may_use_b(rc_dtor_func)) {
		dasm_put(Dst, 117788, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else {
			if (((uintptr_t)(rc_dtor_func)) == 0) {
		dasm_put(Dst, 117791, (ZREG_X15));
			} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
		dasm_put(Dst, 117794, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
			} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
		dasm_put(Dst, 117798, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
		dasm_put(Dst, 117802, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
				if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
		dasm_put(Dst, 117806, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
				}
			} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
		dasm_put(Dst, 117811, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 117815, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				}
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 117819, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 117823, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 117827, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 117831, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		dasm_put(Dst, 117835, (ZREG_X15));
			}
			} while(0);
					if (0 && (((val_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(val_info) && ((val_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 117838);
					}
		dasm_put(Dst, 117841);
				}
				if (0 && (((val_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(val_info) && ((val_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					if ((val_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
						zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
		dasm_put(Dst, 117843, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
		dasm_put(Dst, 117847, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
		dasm_put(Dst, 117851, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 117855, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 117859, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 117864, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
			}
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 117869, (ZREG_X15));
			} else {
		dasm_put(Dst, 117873, (ZREG_X15), IS_REFERENCE);
			}
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 117879, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 117883, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 117887, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 117891, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 117895, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 117900, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_COLLECTABLE == 0) {
		dasm_put(Dst, 117905, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
		dasm_put(Dst, 117908, (ZREG_X15), IS_TYPE_COLLECTABLE);
			} else {
			if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
		dasm_put(Dst, 117912, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
			} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
		dasm_put(Dst, 117916, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
				if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
		dasm_put(Dst, 117920, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 117924, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		dasm_put(Dst, 117928, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 117932);
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 117935, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
		dasm_put(Dst, 117939, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 117943, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 117947, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 117951, (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 117955, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
			}
		dasm_put(Dst, 117959);
					}
		dasm_put(Dst, 117961, (ZREG_X15));
			if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
		dasm_put(Dst, 117964, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
		dasm_put(Dst, 117967, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
			} else {
			if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
		dasm_put(Dst, 117971, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
			} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
		dasm_put(Dst, 117975, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
				if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
		dasm_put(Dst, 117979, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 117983, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 117987, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 117991);
			if (arm64_may_use_b(gc_possible_root)) {
		dasm_put(Dst, 117994, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else {
			if (((uintptr_t)(gc_possible_root)) == 0) {
		dasm_put(Dst, 117997, (ZREG_X15));
			} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
		dasm_put(Dst, 118000, (ZREG_X15), ((uint64_t)(gc_possible_root)));
			} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
		dasm_put(Dst, 118004, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
		dasm_put(Dst, 118008, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
				if (((uintptr_t)(gc_possible_root)) & 0xfff) {
		dasm_put(Dst, 118012, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
				}
			} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
		dasm_put(Dst, 118017, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 118021, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				}
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 118025, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 118029, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 118033, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 118037, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		dasm_put(Dst, 118041, (ZREG_X15));
			}
				}
				if (0 && ((val_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
		dasm_put(Dst, 118044);
				}
		dasm_put(Dst, 118047);
			}
			}
#line 13511 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	b >9
		//|.code
		dasm_put(Dst, 118049);
#line 13513 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	//|9:
	dasm_put(Dst, 118052);
#line 13516 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	if (opline->op1_type != IS_UNUSED && !delayed_fetch_this && !op1_indirect) {
		if ((op1_info & MAY_HAVE_DTOR) && (op1_info & MAY_BE_RC1)) {
			may_throw = 1;
		}
		//|	FREE_OP opline->op1_type, opline->op1, op1_info, 1, opline, ZREG_TMP1, ZREG_TMP2
			if (opline->op1_type & (IS_VAR|IS_TMP_VAR)) {
				zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op1.var);
			if ((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
				if ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if (1) {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 118054, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 118058, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 118062, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 118066, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 118070, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 118075, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 118080, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 118083, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 118087, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 118091, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 118095, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 118099, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 118103, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 118107);
		dasm_put(Dst, 118110);
					} else {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 118112, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 118116, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 118120, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 118124, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 118128, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 118133, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 118138, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 118141, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 118145, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 118149, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 118153, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 118157, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 118161, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 118165);
					}
				}
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 118168, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
			} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
		dasm_put(Dst, 118172, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 118176, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 118180, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 118184, (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 118188, (Z_REG(addr)), (Z_OFFSET(addr)));
			}
		dasm_put(Dst, 118192, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
				if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op1_info)) {
					if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op1_info)) {
						if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 118200);
						} else {
		dasm_put(Dst, 118203);
						}
					}
			do {
				if (!((op1_info) & MAY_BE_GUARD)
				 && has_concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					zend_uchar type = concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
					if (type == IS_STRING && !ZEND_DEBUG) {
			if (arm64_may_use_b(_efree)) {
		dasm_put(Dst, 118206, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else {
			if (((uintptr_t)(_efree)) == 0) {
		dasm_put(Dst, 118209, (ZREG_X15));
			} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
		dasm_put(Dst, 118212, (ZREG_X15), ((uint64_t)(_efree)));
			} else if (arm64_may_use_adr((void*)(_efree))) {
		dasm_put(Dst, 118216, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else if (arm64_may_use_adrp((void*)(_efree))) {
		dasm_put(Dst, 118220, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
				if (((uintptr_t)(_efree)) & 0xfff) {
		dasm_put(Dst, 118224, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
				}
			} else if ((uintptr_t)(_efree) & 0xffff) {
		dasm_put(Dst, 118229, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
				if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 118233, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 118237, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 118241, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 118245, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 118249, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		dasm_put(Dst, 118253, (ZREG_X15));
			}
						break;
					} else if (type == IS_ARRAY) {
						if ((op1_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
							if (opline && ((op1_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 118256, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 118259, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 118262, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 118266, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 118270, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 118274, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 118279, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 118283, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 118287, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 118291, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 118295, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 118299, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 118303, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
							}
			if (arm64_may_use_b(zend_array_destroy)) {
		dasm_put(Dst, 118307, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else {
			if (((uintptr_t)(zend_array_destroy)) == 0) {
		dasm_put(Dst, 118310, (ZREG_X15));
			} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
		dasm_put(Dst, 118313, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
			} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
		dasm_put(Dst, 118317, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
		dasm_put(Dst, 118321, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
				if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
		dasm_put(Dst, 118325, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
		dasm_put(Dst, 118330, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 118334, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 118338, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 118342, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 118346, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 118350, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		dasm_put(Dst, 118354, (ZREG_X15));
			}
						} else {
			if (arm64_may_use_b(zend_jit_array_free)) {
		dasm_put(Dst, 118357, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else {
			if (((uintptr_t)(zend_jit_array_free)) == 0) {
		dasm_put(Dst, 118360, (ZREG_X15));
			} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
		dasm_put(Dst, 118363, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
			} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 118367, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 118371, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
				if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
		dasm_put(Dst, 118375, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
		dasm_put(Dst, 118380, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 118384, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 118388, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 118392, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 118396, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 118400, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		dasm_put(Dst, 118404, (ZREG_X15));
			}
						}
						break;
					} else if (type == IS_OBJECT) {
						if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 118407, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 118410);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 118412, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 118415, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 118418, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 118421, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 118424, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 118427, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 118430, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 118433, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 118436, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 118439, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 118442, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
						}
			if (arm64_may_use_b(zend_objects_store_del)) {
		dasm_put(Dst, 118445, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else {
			if (((uintptr_t)(zend_objects_store_del)) == 0) {
		dasm_put(Dst, 118448, (ZREG_X15));
			} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
		dasm_put(Dst, 118451, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
			} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 118455, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 118459, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
				if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
		dasm_put(Dst, 118463, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
		dasm_put(Dst, 118468, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 118472, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 118476, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 118480, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 118484, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 118488, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		dasm_put(Dst, 118492, (ZREG_X15));
			}
						break;
					}
				}
				if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 118495, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 118498, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 118501, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 118505, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 118509, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 118513, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 118518, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 118522, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 118526, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 118530, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 118534, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 118538, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 118542, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
				}
			if (arm64_may_use_b(rc_dtor_func)) {
		dasm_put(Dst, 118546, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else {
			if (((uintptr_t)(rc_dtor_func)) == 0) {
		dasm_put(Dst, 118549, (ZREG_X15));
			} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
		dasm_put(Dst, 118552, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
			} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
		dasm_put(Dst, 118556, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
		dasm_put(Dst, 118560, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
				if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
		dasm_put(Dst, 118564, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
				}
			} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
		dasm_put(Dst, 118569, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 118573, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				}
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 118577, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 118581, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 118585, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 118589, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		dasm_put(Dst, 118593, (ZREG_X15));
			}
			} while(0);
					if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 118596);
					}
		dasm_put(Dst, 118599);
				}
				if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					if ((op1_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
						zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
		dasm_put(Dst, 118601, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
		dasm_put(Dst, 118605, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
		dasm_put(Dst, 118609, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 118613, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 118617, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 118622, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
			}
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 118627, (ZREG_X15));
			} else {
		dasm_put(Dst, 118631, (ZREG_X15), IS_REFERENCE);
			}
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 118637, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 118641, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 118645, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 118649, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 118653, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 118658, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_COLLECTABLE == 0) {
		dasm_put(Dst, 118663, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
		dasm_put(Dst, 118666, (ZREG_X15), IS_TYPE_COLLECTABLE);
			} else {
			if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
		dasm_put(Dst, 118670, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
			} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
		dasm_put(Dst, 118674, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
				if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
		dasm_put(Dst, 118678, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 118682, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		dasm_put(Dst, 118686, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 118690);
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 118693, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
		dasm_put(Dst, 118697, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 118701, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 118705, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 118709, (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 118713, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
			}
		dasm_put(Dst, 118717);
					}
		dasm_put(Dst, 118719, (ZREG_X15));
			if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
		dasm_put(Dst, 118722, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
		dasm_put(Dst, 118725, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
			} else {
			if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
		dasm_put(Dst, 118729, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
			} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
		dasm_put(Dst, 118733, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
				if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
		dasm_put(Dst, 118737, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 118741, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 118745, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 118749);
			if (arm64_may_use_b(gc_possible_root)) {
		dasm_put(Dst, 118752, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else {
			if (((uintptr_t)(gc_possible_root)) == 0) {
		dasm_put(Dst, 118755, (ZREG_X15));
			} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
		dasm_put(Dst, 118758, (ZREG_X15), ((uint64_t)(gc_possible_root)));
			} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
		dasm_put(Dst, 118762, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
		dasm_put(Dst, 118766, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
				if (((uintptr_t)(gc_possible_root)) & 0xfff) {
		dasm_put(Dst, 118770, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
				}
			} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
		dasm_put(Dst, 118775, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 118779, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				}
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 118783, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 118787, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 118791, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 118795, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		dasm_put(Dst, 118799, (ZREG_X15));
			}
				}
				if (1 && ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
		dasm_put(Dst, 118802);
				}
		dasm_put(Dst, 118805);
			}
			}
#line 13521 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	if (may_throw) {
		if (!zend_jit_check_exception(Dst)) {
			return 0;
		}
	}

	return 1;
}

static int zend_jit_assign_obj(dasm_State          **Dst,
                               const zend_op        *opline,
                               const zend_op_array  *op_array,
                               zend_ssa             *ssa,
                               const zend_ssa_op    *ssa_op,
                               uint32_t              op1_info,
                               zend_jit_addr         op1_addr,
                               uint32_t              val_info,
                               bool                  op1_indirect,
                               zend_class_entry     *ce,
                               bool                  ce_is_instanceof,
                               bool                  on_this,
                               bool                  delayed_fetch_this,
                               zend_class_entry     *trace_ce,
                               uint8_t               prop_type,
                               int                   may_throw)
{
	zval *member;
	zend_string *name;
	zend_property_info *prop_info;
	zend_jit_addr val_addr = OP1_DATA_ADDR();
	zend_jit_addr res_addr = 0;
	zend_jit_addr this_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, offsetof(zend_execute_data, This));
	zend_jit_addr prop_addr;
	bool needs_slow_path = 0;
	bool needs_val_dtor = 0;

	if (RETURN_VALUE_USED(opline)) {
		res_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->result.var);
	}

	ZEND_ASSERT(opline->op2_type == IS_CONST);
	ZEND_ASSERT(op1_info & MAY_BE_OBJECT);

	member = RT_CONSTANT(opline, opline->op2);
	ZEND_ASSERT(Z_TYPE_P(member) == IS_STRING && Z_STRVAL_P(member)[0] != '\0');
	name = Z_STR_P(member);
	prop_info = zend_get_known_property_info(op_array, ce, name, on_this, op_array->filename);

	if (on_this) {
		//|	GET_ZVAL_PTR FCARG1x, this_addr, TMP1
			ZEND_ASSERT(Z_MODE(this_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(this_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(this_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 118807, ((uint32_t)(Z_OFFSET(this_addr))));
			} else if (((uint32_t)(Z_OFFSET(this_addr)) & 0xffff)) {
		dasm_put(Dst, 118810, ((uint32_t)(Z_OFFSET(this_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(this_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 118813, (((uint32_t)(Z_OFFSET(this_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 118816, (((uint32_t)(Z_OFFSET(this_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 118819, (Z_REG(this_addr)));
			} else {
		dasm_put(Dst, 118822, (Z_REG(this_addr)), (Z_OFFSET(this_addr)));
			}
#line 13573 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		if (opline->op1_type == IS_VAR
		 && (op1_info & MAY_BE_INDIRECT)
		 && Z_REG(op1_addr) == ZREG_FP) {
			//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
			dasm_put(Dst, 118826);
				} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 118828, ((uint64_t)(Z_ZV(op1_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 118831, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 118834, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
			dasm_put(Dst, 118837, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
			dasm_put(Dst, 118840, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 118843, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 118846, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 118849, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 118852, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 118855, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(op1_addr)) {
				if (Z_OFFSET(op1_addr) == 0) {
			dasm_put(Dst, 118858, (Z_REG(op1_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
			dasm_put(Dst, 118861, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 118865, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 118868, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 118871, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 118874, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 118877, (Z_REG(op1_addr)));
				}
					} else {
						if (Z_REG(op1_addr) == ZREG_RSP) {
			dasm_put(Dst, 118880);
						} else {
			dasm_put(Dst, 118882, (Z_REG(op1_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 13578 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	IF_NOT_Z_TYPE FCARG1x, IS_INDIRECT, >1, TMP1w
			dasm_put(Dst, 118885, offsetof(zval, u1.v.type));
				if (IS_INDIRECT == 0) {
			dasm_put(Dst, 118888);
				} else {
			dasm_put(Dst, 118891, IS_INDIRECT);
				}
#line 13579 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	GET_Z_PTR FCARG1x, FCARG1x
			//|1:
			dasm_put(Dst, 118896);
#line 13581 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			op1_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, 0);
		}
		if (op1_info & MAY_BE_REF) {
			if (Z_REG(op1_addr) != ZREG_FCARG1 || Z_OFFSET(op1_addr) != 0) {
				//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
					if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
				dasm_put(Dst, 118899);
					} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 118901, ((uint64_t)(Z_ZV(op1_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 118904, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 118907, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
				dasm_put(Dst, 118910, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
				dasm_put(Dst, 118913, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 118916, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 118919, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 118922, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 118925, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 118928, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(op1_addr)) {
					if (Z_OFFSET(op1_addr) == 0) {
				dasm_put(Dst, 118931, (Z_REG(op1_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
				dasm_put(Dst, 118934, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 118938, ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 118941, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 118944, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 118947, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 118950, (Z_REG(op1_addr)));
					}
						} else {
							if (Z_REG(op1_addr) == ZREG_RSP) {
				dasm_put(Dst, 118953);
							} else {
				dasm_put(Dst, 118955, (Z_REG(op1_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 13586 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	ZVAL_DEREF FCARG1x, op1_info, TMP1w
				if (op1_info & MAY_BE_REF) {
			dasm_put(Dst, 118958, offsetof(zval, u1.v.type));
				if (IS_REFERENCE == 0) {
			dasm_put(Dst, 118961);
				} else {
			dasm_put(Dst, 118964, IS_REFERENCE);
				}
			dasm_put(Dst, 118969, offsetof(zend_reference, val));
				}
#line 13588 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			op1_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, 0);
		}
		if (op1_info & ((MAY_BE_UNDEF|MAY_BE_ANY)- MAY_BE_OBJECT)) {
			if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE) {
				int32_t exit_point = zend_jit_trace_get_exit_point(opline, ZEND_JIT_EXIT_TO_VM);
				const void *exit_addr = zend_jit_trace_get_exit_addr(exit_point);

				if (!exit_addr) {
					return 0;
				}
				//|	IF_NOT_ZVAL_TYPE op1_addr, IS_OBJECT, &exit_addr, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 118974, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 118978, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 118982, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 118986, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 118990, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 118995, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_OBJECT == 0) {
				dasm_put(Dst, 119000, (ZREG_X15), (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
					} else {
				dasm_put(Dst, 119004, (ZREG_X15), IS_OBJECT, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
					}
#line 13599 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	IF_NOT_ZVAL_TYPE op1_addr, IS_OBJECT, >1, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 119010, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 119014, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 119018, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 119022, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 119026, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 119031, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_OBJECT == 0) {
				dasm_put(Dst, 119036, (ZREG_X15));
					} else {
				dasm_put(Dst, 119040, (ZREG_X15), IS_OBJECT);
					}
#line 13601 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|.cold_code
				dasm_put(Dst, 119046);
#line 13602 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|1:
				//|	SET_EX_OPLINE opline, REG0
				dasm_put(Dst, 119047);
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 119049, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 119052);
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 119054, ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 119057, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 119060, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 119063, (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 119066, ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 119069, (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 119072, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 119075, (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 119078, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 119081, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 119084, Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
#line 13604 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				if (Z_REG(op1_addr) != ZREG_FCARG1 || Z_OFFSET(op1_addr) != 0) {
					//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
						if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
						if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
					dasm_put(Dst, 119087);
						} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 119089, ((uint64_t)(Z_ZV(op1_addr))));
						} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
					dasm_put(Dst, 119092, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
						} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
					dasm_put(Dst, 119095, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
							if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
					dasm_put(Dst, 119098, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
							}
						} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
					dasm_put(Dst, 119101, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
							if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 119104, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 119107, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 119110, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
							if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 119113, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 119116, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
						} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
							if (Z_OFFSET(op1_addr)) {
						if (Z_OFFSET(op1_addr) == 0) {
					dasm_put(Dst, 119119, (Z_REG(op1_addr)));
						} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
					dasm_put(Dst, 119122, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
						} else {
						if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 119126, ((uint32_t)(Z_OFFSET(op1_addr))));
						} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
					dasm_put(Dst, 119129, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 119132, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 119135, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 119138, (Z_REG(op1_addr)));
						}
							} else {
								if (Z_REG(op1_addr) == ZREG_RSP) {
					dasm_put(Dst, 119141);
								} else {
					dasm_put(Dst, 119143, (Z_REG(op1_addr)));
								}
							}
						} else {
							ZEND_UNREACHABLE();
						}
#line 13606 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|	LOAD_ADDR FCARG2x, ZSTR_VAL(name)
					if (((uintptr_t)(ZSTR_VAL(name))) == 0) {
				dasm_put(Dst, 119146);
					} else if (((uintptr_t)(ZSTR_VAL(name))) <= MOVZ_IMM) {
				dasm_put(Dst, 119148, ((uint64_t)(ZSTR_VAL(name))));
					} else if (arm64_may_use_adr((void*)(ZSTR_VAL(name)))) {
				dasm_put(Dst, 119151, (unsigned int)((ptrdiff_t)(ZSTR_VAL(name))), (unsigned int)(((ptrdiff_t)(ZSTR_VAL(name)))>>32));
					} else if (arm64_may_use_adrp((void*)(ZSTR_VAL(name)))) {
				dasm_put(Dst, 119154, (unsigned int)((ptrdiff_t)((((uintptr_t)(ZSTR_VAL(name)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(ZSTR_VAL(name))))))>>32));
						if (((uintptr_t)(ZSTR_VAL(name))) & 0xfff) {
				dasm_put(Dst, 119157, (((uintptr_t)(ZSTR_VAL(name))) & 0xfff));
						}
					} else if ((uintptr_t)(ZSTR_VAL(name)) & 0xffff) {
				dasm_put(Dst, 119160, ((uintptr_t)(ZSTR_VAL(name)) & 0xffff));
						if (((uintptr_t)(ZSTR_VAL(name)) >> 16) & 0xffff) {
				dasm_put(Dst, 119163, (((uintptr_t)(ZSTR_VAL(name)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(ZSTR_VAL(name)) >> 32) & 0xffff) {
				dasm_put(Dst, 119166, (((uintptr_t)(ZSTR_VAL(name)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(ZSTR_VAL(name)) >> 16) & 0xffff) {
				dasm_put(Dst, 119169, (((uintptr_t)(ZSTR_VAL(name)) >> 16) & 0xffff));
						if (((uintptr_t)(ZSTR_VAL(name)) >> 32) & 0xffff) {
				dasm_put(Dst, 119172, (((uintptr_t)(ZSTR_VAL(name)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 119175, (((uintptr_t)(ZSTR_VAL(name)) >> 32) & 0xffff));
					}
#line 13608 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	EXT_CALL zend_jit_invalid_property_assign, REG0
					if (arm64_may_use_b(zend_jit_invalid_property_assign)) {
				dasm_put(Dst, 119178, (unsigned int)((ptrdiff_t)(zend_jit_invalid_property_assign)), (unsigned int)(((ptrdiff_t)(zend_jit_invalid_property_assign))>>32));
					} else {
					if (((uintptr_t)(zend_jit_invalid_property_assign)) == 0) {
				dasm_put(Dst, 119181);
					} else if (((uintptr_t)(zend_jit_invalid_property_assign)) <= MOVZ_IMM) {
				dasm_put(Dst, 119183, ((uint64_t)(zend_jit_invalid_property_assign)));
					} else if (arm64_may_use_adr((void*)(zend_jit_invalid_property_assign))) {
				dasm_put(Dst, 119186, (unsigned int)((ptrdiff_t)(zend_jit_invalid_property_assign)), (unsigned int)(((ptrdiff_t)(zend_jit_invalid_property_assign))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_invalid_property_assign))) {
				dasm_put(Dst, 119189, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_invalid_property_assign))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_invalid_property_assign)))))>>32));
						if (((uintptr_t)(zend_jit_invalid_property_assign)) & 0xfff) {
				dasm_put(Dst, 119192, (((uintptr_t)(zend_jit_invalid_property_assign)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_invalid_property_assign) & 0xffff) {
				dasm_put(Dst, 119195, ((uintptr_t)(zend_jit_invalid_property_assign) & 0xffff));
						if (((uintptr_t)(zend_jit_invalid_property_assign) >> 16) & 0xffff) {
				dasm_put(Dst, 119198, (((uintptr_t)(zend_jit_invalid_property_assign) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_invalid_property_assign) >> 32) & 0xffff) {
				dasm_put(Dst, 119201, (((uintptr_t)(zend_jit_invalid_property_assign) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_invalid_property_assign) >> 16) & 0xffff) {
				dasm_put(Dst, 119204, (((uintptr_t)(zend_jit_invalid_property_assign) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_invalid_property_assign) >> 32) & 0xffff) {
				dasm_put(Dst, 119207, (((uintptr_t)(zend_jit_invalid_property_assign) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 119210, (((uintptr_t)(zend_jit_invalid_property_assign) >> 32) & 0xffff));
					}
				dasm_put(Dst, 119213);
					}
#line 13609 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				if (RETURN_VALUE_USED(opline)) {
					//|	SET_ZVAL_TYPE_INFO res_addr, IS_NULL, TMP1w, TMP2
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uint32_t)(IS_NULL)) <= MOVZ_IMM) {
					dasm_put(Dst, 119215, ((uint32_t)(IS_NULL)));
						} else if (((uint32_t)(IS_NULL) & 0xffff)) {
					dasm_put(Dst, 119218, ((uint32_t)(IS_NULL) & 0xffff));
							if ((((uint32_t)(IS_NULL) >> 16) & 0xffff)) {
					dasm_put(Dst, 119221, (((uint32_t)(IS_NULL) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 119224, (((uint32_t)(IS_NULL) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 119227, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 119230, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 119233, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 119236, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 119239, (Z_REG(res_addr)));
						} else {
					dasm_put(Dst, 119242, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
						}
#line 13611 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				if (((opline+1)->op1_type & (IS_VAR|IS_TMP_VAR))
				 && (val_info & (MAY_BE_REF|MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					needs_val_dtor = 1;
					//|	b >7
					dasm_put(Dst, 119246);
#line 13616 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	b >9
					dasm_put(Dst, 119249);
#line 13618 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|.code
				dasm_put(Dst, 119252);
#line 13620 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
		//|	GET_ZVAL_PTR FCARG1x, op1_addr, TMP1
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 119253, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 119256, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 119259, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 119262, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 119265, (Z_REG(op1_addr)));
			} else {
		dasm_put(Dst, 119268, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
#line 13623 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	if (!prop_info && trace_ce && (trace_ce->ce_flags & ZEND_ACC_IMMUTABLE)) {
		prop_info = zend_get_known_property_info(op_array, trace_ce, name, on_this, op_array->filename);
		if (prop_info) {
			ce = trace_ce;
			ce_is_instanceof = 0;
			if (!(op1_info & MAY_BE_CLASS_GUARD)) {
				if (on_this && JIT_G(current_frame)
				 && TRACE_FRAME_IS_THIS_CLASS_CHECKED(JIT_G(current_frame))) {
					ZEND_ASSERT(JIT_G(current_frame)->ce == ce);
				} else if (zend_jit_class_guard(Dst, opline, ce)) {
					if (on_this && JIT_G(current_frame)) {
						JIT_G(current_frame)->ce = ce;
						TRACE_FRAME_SET_THIS_CLASS_CHECKED(JIT_G(current_frame));
					}
				} else {
					return 0;
				}
				if (ssa->var_info && ssa_op->op1_use >= 0) {
					ssa->var_info[ssa_op->op1_use].type |= MAY_BE_CLASS_GUARD;
					ssa->var_info[ssa_op->op1_use].ce = ce;
					ssa->var_info[ssa_op->op1_use].is_instanceof = ce_is_instanceof;
				}
				if (ssa->var_info && ssa_op->op1_def >= 0) {
					ssa->var_info[ssa_op->op1_def].type |= MAY_BE_CLASS_GUARD;
					ssa->var_info[ssa_op->op1_def].ce = ce;
					ssa->var_info[ssa_op->op1_def].is_instanceof = ce_is_instanceof;
				}
			}
		}
	}

	if (!prop_info) {
		needs_slow_path = 1;

		//|	ldr REG0, EX->run_time_cache
		//|	MEM_ACCESS_64_WITH_UOFFSET ldr, REG2, REG0, opline->extended_value, TMP1
		dasm_put(Dst, 119272, Dt1(->run_time_cache));
			if (((uintptr_t)(opline->extended_value)) > LDR_STR_PIMM64) {
			if (((uint32_t)(opline->extended_value)) <= MOVZ_IMM) {
		dasm_put(Dst, 119275, ((uint32_t)(opline->extended_value)));
			} else if (((uint32_t)(opline->extended_value) & 0xffff)) {
		dasm_put(Dst, 119278, ((uint32_t)(opline->extended_value) & 0xffff));
				if ((((uint32_t)(opline->extended_value) >> 16) & 0xffff)) {
		dasm_put(Dst, 119281, (((uint32_t)(opline->extended_value) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 119284, (((uint32_t)(opline->extended_value) >> 16) & 0xffff));
			}
		dasm_put(Dst, 119287);
			} else {
		dasm_put(Dst, 119289, (opline->extended_value));
			}
#line 13661 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	ldr TMP1, [FCARG1x, #offsetof(zend_object, ce)]
		//|	cmp REG2, TMP1
		//|	bne >5
		dasm_put(Dst, 119292, offsetof(zend_object, ce));
#line 13664 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (!ce || ce_is_instanceof || (ce->ce_flags & (ZEND_ACC_HAS_TYPE_HINTS|ZEND_ACC_TRAIT))) {
			//|	MEM_ACCESS_64_WITH_UOFFSET ldr, FCARG2x, REG0, (opline->extended_value + sizeof(void*) * 2), TMP1
				if (((uintptr_t)((opline->extended_value + sizeof(void*) * 2))) > LDR_STR_PIMM64) {
				if (((uint32_t)((opline->extended_value + sizeof(void*) * 2))) <= MOVZ_IMM) {
			dasm_put(Dst, 119298, ((uint32_t)((opline->extended_value + sizeof(void*) * 2))));
				} else if (((uint32_t)((opline->extended_value + sizeof(void*) * 2)) & 0xffff)) {
			dasm_put(Dst, 119301, ((uint32_t)((opline->extended_value + sizeof(void*) * 2)) & 0xffff));
					if ((((uint32_t)((opline->extended_value + sizeof(void*) * 2)) >> 16) & 0xffff)) {
			dasm_put(Dst, 119304, (((uint32_t)((opline->extended_value + sizeof(void*) * 2)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 119307, (((uint32_t)((opline->extended_value + sizeof(void*) * 2)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 119310);
				} else {
			dasm_put(Dst, 119312, ((opline->extended_value + sizeof(void*) * 2)));
				}
#line 13666 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	MEM_ACCESS_64_WITH_UOFFSET ldr, REG0, REG0, (opline->extended_value + sizeof(void*)), TMP1
			if (((uintptr_t)((opline->extended_value + sizeof(void*)))) > LDR_STR_PIMM64) {
			if (((uint32_t)((opline->extended_value + sizeof(void*)))) <= MOVZ_IMM) {
		dasm_put(Dst, 119315, ((uint32_t)((opline->extended_value + sizeof(void*)))));
			} else if (((uint32_t)((opline->extended_value + sizeof(void*))) & 0xffff)) {
		dasm_put(Dst, 119318, ((uint32_t)((opline->extended_value + sizeof(void*))) & 0xffff));
				if ((((uint32_t)((opline->extended_value + sizeof(void*))) >> 16) & 0xffff)) {
		dasm_put(Dst, 119321, (((uint32_t)((opline->extended_value + sizeof(void*))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 119324, (((uint32_t)((opline->extended_value + sizeof(void*))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 119327);
			} else {
		dasm_put(Dst, 119329, ((opline->extended_value + sizeof(void*))));
			}
#line 13668 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	tst REG0, REG0
		//|	blt >5
		//|	add TMP2, FCARG1x, REG0
		//|	ldrb TMP1w, [TMP2, #offsetof(zval,u1.v.type)]
		//|	IF_TYPE TMP1w, IS_UNDEF, >5
		dasm_put(Dst, 119332, offsetof(zval,u1.v.type));
			if (IS_UNDEF == 0) {
		dasm_put(Dst, 119339);
			} else {
		dasm_put(Dst, 119342, IS_UNDEF);
			}
#line 13673 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	mov FCARG1x, TMP2
		dasm_put(Dst, 119347);
#line 13674 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		prop_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, 0);
		if (!ce || ce_is_instanceof || (ce->ce_flags & (ZEND_ACC_HAS_TYPE_HINTS|ZEND_ACC_TRAIT))) {
			//|	cbnz FCARG2x, >1
			//|.cold_code
			dasm_put(Dst, 119349);
#line 13678 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|1:
			//|	// value = zend_assign_to_typed_prop(prop_info, property_val, value EXECUTE_DATA_CC);
			//|	SET_EX_OPLINE opline, REG0
			dasm_put(Dst, 119352);
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 119354, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 119357);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 119359, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 119362, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 119365, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 119368, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 119371, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 119374, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 119377, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 119380, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 119383, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 119386, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 119389, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
#line 13681 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	LOAD_ZVAL_ADDR CARG3, val_addr
				if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(val_addr))) == 0) {
			dasm_put(Dst, 119392);
				} else if (((uintptr_t)(Z_ZV(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 119394, ((uint64_t)(Z_ZV(val_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 119397, (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 119400, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(val_addr))) & 0xfff) {
			dasm_put(Dst, 119403, (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(val_addr)) & 0xffff) {
			dasm_put(Dst, 119406, ((uintptr_t)(Z_ZV(val_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 119409, (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 119412, (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 119415, (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 119418, (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 119421, (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(val_addr)) {
				if (Z_OFFSET(val_addr) == 0) {
			dasm_put(Dst, 119424, (Z_REG(val_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(val_addr)))) {
			dasm_put(Dst, 119427, (Z_REG(val_addr)), Z_OFFSET(val_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 119431, ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 119434, ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 119437, (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 119440, (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 119443, (Z_REG(val_addr)));
				}
					} else {
						if (Z_REG(val_addr) == ZREG_RSP) {
			dasm_put(Dst, 119446);
						} else {
			dasm_put(Dst, 119448, (Z_REG(val_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 13682 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (RETURN_VALUE_USED(opline)) {
				//|	LOAD_ZVAL_ADDR CARG4, res_addr
					if (Z_MODE(res_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(res_addr))) == 0) {
				dasm_put(Dst, 119451);
					} else if (((uintptr_t)(Z_ZV(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 119453, ((uint64_t)(Z_ZV(res_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 119456, (unsigned int)((ptrdiff_t)(Z_ZV(res_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(res_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 119459, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(res_addr))) & 0xfff) {
				dasm_put(Dst, 119462, (((uintptr_t)(Z_ZV(res_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(res_addr)) & 0xffff) {
				dasm_put(Dst, 119465, ((uintptr_t)(Z_ZV(res_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 119468, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 119471, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 119474, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 119477, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 119480, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(res_addr)) {
					if (Z_OFFSET(res_addr) == 0) {
				dasm_put(Dst, 119483, (Z_REG(res_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(res_addr)))) {
				dasm_put(Dst, 119486, (Z_REG(res_addr)), Z_OFFSET(res_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 119490, ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 119493, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 119496, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 119499, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 119502, (Z_REG(res_addr)));
					}
						} else {
							if (Z_REG(res_addr) == ZREG_RSP) {
				dasm_put(Dst, 119505);
							} else {
				dasm_put(Dst, 119507, (Z_REG(res_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 13684 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	mov CARG4, xzr
				dasm_put(Dst, 119510);
#line 13686 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}

			//|	EXT_CALL zend_jit_assign_to_typed_prop, REG0
				if (arm64_may_use_b(zend_jit_assign_to_typed_prop)) {
			dasm_put(Dst, 119512, (unsigned int)((ptrdiff_t)(zend_jit_assign_to_typed_prop)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_to_typed_prop))>>32));
				} else {
				if (((uintptr_t)(zend_jit_assign_to_typed_prop)) == 0) {
			dasm_put(Dst, 119515);
				} else if (((uintptr_t)(zend_jit_assign_to_typed_prop)) <= MOVZ_IMM) {
			dasm_put(Dst, 119517, ((uint64_t)(zend_jit_assign_to_typed_prop)));
				} else if (arm64_may_use_adr((void*)(zend_jit_assign_to_typed_prop))) {
			dasm_put(Dst, 119520, (unsigned int)((ptrdiff_t)(zend_jit_assign_to_typed_prop)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_to_typed_prop))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_assign_to_typed_prop))) {
			dasm_put(Dst, 119523, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_assign_to_typed_prop))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_assign_to_typed_prop)))))>>32));
					if (((uintptr_t)(zend_jit_assign_to_typed_prop)) & 0xfff) {
			dasm_put(Dst, 119526, (((uintptr_t)(zend_jit_assign_to_typed_prop)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_assign_to_typed_prop) & 0xffff) {
			dasm_put(Dst, 119529, ((uintptr_t)(zend_jit_assign_to_typed_prop) & 0xffff));
					if (((uintptr_t)(zend_jit_assign_to_typed_prop) >> 16) & 0xffff) {
			dasm_put(Dst, 119532, (((uintptr_t)(zend_jit_assign_to_typed_prop) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_assign_to_typed_prop) >> 32) & 0xffff) {
			dasm_put(Dst, 119535, (((uintptr_t)(zend_jit_assign_to_typed_prop) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_assign_to_typed_prop) >> 16) & 0xffff) {
			dasm_put(Dst, 119538, (((uintptr_t)(zend_jit_assign_to_typed_prop) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_assign_to_typed_prop) >> 32) & 0xffff) {
			dasm_put(Dst, 119541, (((uintptr_t)(zend_jit_assign_to_typed_prop) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 119544, (((uintptr_t)(zend_jit_assign_to_typed_prop) >> 32) & 0xffff));
				}
			dasm_put(Dst, 119547);
				}
#line 13689 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

			if ((opline+1)->op1_type == IS_CONST) {
				//|	// TODO: ???
				//|	// if (Z_TYPE_P(value) == orig_type) {
				//|	// CACHE_PTR_EX(cache_slot + 2, NULL);
			}

			if (((opline+1)->op1_type & (IS_VAR|IS_TMP_VAR))
			 && (val_info & (MAY_BE_REF|MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
				//|	b >7
				dasm_put(Dst, 119549);
#line 13699 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	b >9
				dasm_put(Dst, 119552);
#line 13701 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|.code
			dasm_put(Dst, 119555);
#line 13703 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else {
		prop_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, prop_info->offset);
		if (!ce || ce_is_instanceof || !(ce->ce_flags & ZEND_ACC_IMMUTABLE) || ce->__get || ce->__set || (prop_info->flags & ZEND_ACC_READONLY)) {
			// Undefined property with magic __get()/__set()
			if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE) {
				int32_t exit_point = zend_jit_trace_get_exit_point(opline, ZEND_JIT_EXIT_TO_VM);
				const void *exit_addr = zend_jit_trace_get_exit_addr(exit_point);

				if (!exit_addr) {
					return 0;
				}
				//|	MEM_ACCESS_8_WITH_UOFFSET ldrb, TMP2w, FCARG1x, (prop_info->offset + offsetof(zval,u1.v.type)), TMP1
					if (((uintptr_t)((prop_info->offset + offsetof(zval,u1.v.type)))) > LDRB_STRB_PIMM) {
					if (((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type)))) <= MOVZ_IMM) {
				dasm_put(Dst, 119556, ((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type)))));
					} else if (((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type))) & 0xffff)) {
				dasm_put(Dst, 119559, ((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type))) & 0xffff));
						if ((((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type))) >> 16) & 0xffff)) {
				dasm_put(Dst, 119562, (((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type))) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 119565, (((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type))) >> 16) & 0xffff));
					}
				dasm_put(Dst, 119568);
					} else {
				dasm_put(Dst, 119570, ((prop_info->offset + offsetof(zval,u1.v.type))));
					}
#line 13716 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	IF_TYPE TMP2w, IS_UNDEF, &exit_addr
					if (IS_UNDEF == 0) {
				dasm_put(Dst, 119573, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
					} else {
				dasm_put(Dst, 119576, IS_UNDEF, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
					}
#line 13717 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	MEM_ACCESS_8_WITH_UOFFSET ldrb, TMP2w, FCARG1x, (prop_info->offset + offsetof(zval,u1.v.type)), TMP1
					if (((uintptr_t)((prop_info->offset + offsetof(zval,u1.v.type)))) > LDRB_STRB_PIMM) {
					if (((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type)))) <= MOVZ_IMM) {
				dasm_put(Dst, 119581, ((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type)))));
					} else if (((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type))) & 0xffff)) {
				dasm_put(Dst, 119584, ((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type))) & 0xffff));
						if ((((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type))) >> 16) & 0xffff)) {
				dasm_put(Dst, 119587, (((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type))) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 119590, (((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type))) >> 16) & 0xffff));
					}
				dasm_put(Dst, 119593);
					} else {
				dasm_put(Dst, 119595, ((prop_info->offset + offsetof(zval,u1.v.type))));
					}
#line 13719 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	IF_TYPE TMP2w, IS_UNDEF, >5
					if (IS_UNDEF == 0) {
				dasm_put(Dst, 119598);
					} else {
				dasm_put(Dst, 119601, IS_UNDEF);
					}
#line 13720 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				needs_slow_path = 1;
			}
		}
		if (ZEND_TYPE_IS_SET(prop_info->type)) {
			uint32_t info = val_info;

			//|	// value = zend_assign_to_typed_prop(prop_info, property_val, value EXECUTE_DATA_CC);
			//|	SET_EX_OPLINE opline, REG0
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 119606, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 119609);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 119611, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 119614, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 119617, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 119620, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 119623, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 119626, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 119629, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 119632, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 119635, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 119638, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 119641, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
#line 13728 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (ce && ce->ce_flags & ZEND_ACC_IMMUTABLE) {
				//|	LOAD_ADDR FCARG2x, prop_info
					if (((uintptr_t)(prop_info)) == 0) {
				dasm_put(Dst, 119644);
					} else if (((uintptr_t)(prop_info)) <= MOVZ_IMM) {
				dasm_put(Dst, 119646, ((uint64_t)(prop_info)));
					} else if (arm64_may_use_adr((void*)(prop_info))) {
				dasm_put(Dst, 119649, (unsigned int)((ptrdiff_t)(prop_info)), (unsigned int)(((ptrdiff_t)(prop_info))>>32));
					} else if (arm64_may_use_adrp((void*)(prop_info))) {
				dasm_put(Dst, 119652, (unsigned int)((ptrdiff_t)((((uintptr_t)(prop_info))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(prop_info)))))>>32));
						if (((uintptr_t)(prop_info)) & 0xfff) {
				dasm_put(Dst, 119655, (((uintptr_t)(prop_info)) & 0xfff));
						}
					} else if ((uintptr_t)(prop_info) & 0xffff) {
				dasm_put(Dst, 119658, ((uintptr_t)(prop_info) & 0xffff));
						if (((uintptr_t)(prop_info) >> 16) & 0xffff) {
				dasm_put(Dst, 119661, (((uintptr_t)(prop_info) >> 16) & 0xffff));
						}
						if (((uintptr_t)(prop_info) >> 32) & 0xffff) {
				dasm_put(Dst, 119664, (((uintptr_t)(prop_info) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(prop_info) >> 16) & 0xffff) {
				dasm_put(Dst, 119667, (((uintptr_t)(prop_info) >> 16) & 0xffff));
						if (((uintptr_t)(prop_info) >> 32) & 0xffff) {
				dasm_put(Dst, 119670, (((uintptr_t)(prop_info) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 119673, (((uintptr_t)(prop_info) >> 32) & 0xffff));
					}
#line 13730 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				int prop_info_offset =
					(((prop_info->offset - (sizeof(zend_object) - sizeof(zval))) / sizeof(zval)) * sizeof(void*));

				//|	ldr REG0, [FCARG1x, #offsetof(zend_object, ce)]
				//|	ldr	REG0, [REG0, #offsetof(zend_class_entry, properties_info_table)]
				//|	MEM_ACCESS_64_WITH_UOFFSET ldr, FCARG2x, REG0, prop_info_offset, TMP1
				dasm_put(Dst, 119676, offsetof(zend_object, ce), offsetof(zend_class_entry, properties_info_table));
					if (((uintptr_t)(prop_info_offset)) > LDR_STR_PIMM64) {
					if (((uint32_t)(prop_info_offset)) <= MOVZ_IMM) {
				dasm_put(Dst, 119681, ((uint32_t)(prop_info_offset)));
					} else if (((uint32_t)(prop_info_offset) & 0xffff)) {
				dasm_put(Dst, 119684, ((uint32_t)(prop_info_offset) & 0xffff));
						if ((((uint32_t)(prop_info_offset) >> 16) & 0xffff)) {
				dasm_put(Dst, 119687, (((uint32_t)(prop_info_offset) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 119690, (((uint32_t)(prop_info_offset) >> 16) & 0xffff));
					}
				dasm_put(Dst, 119693);
					} else {
				dasm_put(Dst, 119695, (prop_info_offset));
					}
#line 13737 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	LOAD_ZVAL_ADDR FCARG1x, prop_addr
				if (Z_MODE(prop_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(prop_addr))) == 0) {
			dasm_put(Dst, 119698);
				} else if (((uintptr_t)(Z_ZV(prop_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 119700, ((uint64_t)(Z_ZV(prop_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(prop_addr)))) {
			dasm_put(Dst, 119703, (unsigned int)((ptrdiff_t)(Z_ZV(prop_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(prop_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(prop_addr)))) {
			dasm_put(Dst, 119706, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(prop_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(prop_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(prop_addr))) & 0xfff) {
			dasm_put(Dst, 119709, (((uintptr_t)(Z_ZV(prop_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(prop_addr)) & 0xffff) {
			dasm_put(Dst, 119712, ((uintptr_t)(Z_ZV(prop_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 119715, (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 119718, (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 119721, (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 119724, (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 119727, (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(prop_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(prop_addr)) {
				if (Z_OFFSET(prop_addr) == 0) {
			dasm_put(Dst, 119730, (Z_REG(prop_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(prop_addr)))) {
			dasm_put(Dst, 119733, (Z_REG(prop_addr)), Z_OFFSET(prop_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(prop_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 119737, ((uint32_t)(Z_OFFSET(prop_addr))));
				} else if (((uint32_t)(Z_OFFSET(prop_addr)) & 0xffff)) {
			dasm_put(Dst, 119740, ((uint32_t)(Z_OFFSET(prop_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 119743, (((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 119746, (((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 119749, (Z_REG(prop_addr)));
				}
					} else {
						if (Z_REG(prop_addr) == ZREG_RSP) {
			dasm_put(Dst, 119752);
						} else {
			dasm_put(Dst, 119754, (Z_REG(prop_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 13739 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	LOAD_ZVAL_ADDR CARG3, val_addr
				if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(val_addr))) == 0) {
			dasm_put(Dst, 119757);
				} else if (((uintptr_t)(Z_ZV(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 119759, ((uint64_t)(Z_ZV(val_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 119762, (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 119765, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(val_addr))) & 0xfff) {
			dasm_put(Dst, 119768, (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(val_addr)) & 0xffff) {
			dasm_put(Dst, 119771, ((uintptr_t)(Z_ZV(val_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 119774, (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 119777, (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 119780, (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 119783, (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 119786, (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(val_addr)) {
				if (Z_OFFSET(val_addr) == 0) {
			dasm_put(Dst, 119789, (Z_REG(val_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(val_addr)))) {
			dasm_put(Dst, 119792, (Z_REG(val_addr)), Z_OFFSET(val_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 119796, ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 119799, ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 119802, (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 119805, (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 119808, (Z_REG(val_addr)));
				}
					} else {
						if (Z_REG(val_addr) == ZREG_RSP) {
			dasm_put(Dst, 119811);
						} else {
			dasm_put(Dst, 119813, (Z_REG(val_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 13740 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (RETURN_VALUE_USED(opline)) {
				//|	LOAD_ZVAL_ADDR CARG4, res_addr
					if (Z_MODE(res_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(res_addr))) == 0) {
				dasm_put(Dst, 119816);
					} else if (((uintptr_t)(Z_ZV(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 119818, ((uint64_t)(Z_ZV(res_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 119821, (unsigned int)((ptrdiff_t)(Z_ZV(res_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(res_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 119824, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(res_addr))) & 0xfff) {
				dasm_put(Dst, 119827, (((uintptr_t)(Z_ZV(res_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(res_addr)) & 0xffff) {
				dasm_put(Dst, 119830, ((uintptr_t)(Z_ZV(res_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 119833, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 119836, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 119839, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 119842, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 119845, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(res_addr)) {
					if (Z_OFFSET(res_addr) == 0) {
				dasm_put(Dst, 119848, (Z_REG(res_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(res_addr)))) {
				dasm_put(Dst, 119851, (Z_REG(res_addr)), Z_OFFSET(res_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 119855, ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 119858, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 119861, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 119864, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 119867, (Z_REG(res_addr)));
					}
						} else {
							if (Z_REG(res_addr) == ZREG_RSP) {
				dasm_put(Dst, 119870);
							} else {
				dasm_put(Dst, 119872, (Z_REG(res_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 13742 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	mov CARG4, xzr
				dasm_put(Dst, 119875);
#line 13744 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}

			//|	EXT_CALL zend_jit_assign_to_typed_prop, REG0
				if (arm64_may_use_b(zend_jit_assign_to_typed_prop)) {
			dasm_put(Dst, 119877, (unsigned int)((ptrdiff_t)(zend_jit_assign_to_typed_prop)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_to_typed_prop))>>32));
				} else {
				if (((uintptr_t)(zend_jit_assign_to_typed_prop)) == 0) {
			dasm_put(Dst, 119880);
				} else if (((uintptr_t)(zend_jit_assign_to_typed_prop)) <= MOVZ_IMM) {
			dasm_put(Dst, 119882, ((uint64_t)(zend_jit_assign_to_typed_prop)));
				} else if (arm64_may_use_adr((void*)(zend_jit_assign_to_typed_prop))) {
			dasm_put(Dst, 119885, (unsigned int)((ptrdiff_t)(zend_jit_assign_to_typed_prop)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_to_typed_prop))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_assign_to_typed_prop))) {
			dasm_put(Dst, 119888, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_assign_to_typed_prop))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_assign_to_typed_prop)))))>>32));
					if (((uintptr_t)(zend_jit_assign_to_typed_prop)) & 0xfff) {
			dasm_put(Dst, 119891, (((uintptr_t)(zend_jit_assign_to_typed_prop)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_assign_to_typed_prop) & 0xffff) {
			dasm_put(Dst, 119894, ((uintptr_t)(zend_jit_assign_to_typed_prop) & 0xffff));
					if (((uintptr_t)(zend_jit_assign_to_typed_prop) >> 16) & 0xffff) {
			dasm_put(Dst, 119897, (((uintptr_t)(zend_jit_assign_to_typed_prop) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_assign_to_typed_prop) >> 32) & 0xffff) {
			dasm_put(Dst, 119900, (((uintptr_t)(zend_jit_assign_to_typed_prop) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_assign_to_typed_prop) >> 16) & 0xffff) {
			dasm_put(Dst, 119903, (((uintptr_t)(zend_jit_assign_to_typed_prop) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_assign_to_typed_prop) >> 32) & 0xffff) {
			dasm_put(Dst, 119906, (((uintptr_t)(zend_jit_assign_to_typed_prop) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 119909, (((uintptr_t)(zend_jit_assign_to_typed_prop) >> 32) & 0xffff));
				}
			dasm_put(Dst, 119912);
				}
#line 13747 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

			if (info & (MAY_BE_REF|MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) {
				info |= MAY_BE_RC1|MAY_BE_RCN;
			}

			//|	FREE_OP (opline+1)->op1_type, (opline+1)->op1, info, 0, NULL, ZREG_TMP1, ZREG_TMP2
				if ((opline+1)->op1_type & (IS_VAR|IS_TMP_VAR)) {
					zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, (opline+1)->op1.var);
				if ((info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
					if ((info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
						if (0) {
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 119914, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 119918, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 119922, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 119926, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 119930, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 119935, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_REFCOUNTED == 0) {
			dasm_put(Dst, 119940, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
			dasm_put(Dst, 119943, (ZREG_X15), IS_TYPE_REFCOUNTED);
				} else {
				if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
			dasm_put(Dst, 119947, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
				} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
			dasm_put(Dst, 119951, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
					if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
			dasm_put(Dst, 119955, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 119959, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			dasm_put(Dst, 119963, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 119967);
			dasm_put(Dst, 119970);
						} else {
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 119972, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 119976, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 119980, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 119984, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 119988, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 119993, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_REFCOUNTED == 0) {
			dasm_put(Dst, 119998, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
			dasm_put(Dst, 120001, (ZREG_X15), IS_TYPE_REFCOUNTED);
				} else {
				if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
			dasm_put(Dst, 120005, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
				} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
			dasm_put(Dst, 120009, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
					if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
			dasm_put(Dst, 120013, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 120017, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			dasm_put(Dst, 120021, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 120025);
						}
					}
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 120028, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
				} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
			dasm_put(Dst, 120032, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 120036, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 120040, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 120044, (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 120048, (Z_REG(addr)), (Z_OFFSET(addr)));
				}
			dasm_put(Dst, 120052, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
					if (((info) & MAY_BE_GUARD) || RC_MAY_BE_1(info)) {
						if (((info) & MAY_BE_GUARD) || RC_MAY_BE_N(info)) {
							if (0 && (((info) & MAY_BE_GUARD) || (RC_MAY_BE_N(info) && ((info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
			dasm_put(Dst, 120060);
							} else {
			dasm_put(Dst, 120063);
							}
						}
				do {
					if (!((info) & MAY_BE_GUARD)
					 && has_concrete_type((info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
						zend_uchar type = concrete_type((info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
						if (type == IS_STRING && !ZEND_DEBUG) {
				if (arm64_may_use_b(_efree)) {
			dasm_put(Dst, 120066, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
				} else {
				if (((uintptr_t)(_efree)) == 0) {
			dasm_put(Dst, 120069, (ZREG_X15));
				} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
			dasm_put(Dst, 120072, (ZREG_X15), ((uint64_t)(_efree)));
				} else if (arm64_may_use_adr((void*)(_efree))) {
			dasm_put(Dst, 120076, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
				} else if (arm64_may_use_adrp((void*)(_efree))) {
			dasm_put(Dst, 120080, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
					if (((uintptr_t)(_efree)) & 0xfff) {
			dasm_put(Dst, 120084, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
					}
				} else if ((uintptr_t)(_efree) & 0xffff) {
			dasm_put(Dst, 120089, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
					if (((uintptr_t)(_efree) >> 16) & 0xffff) {
			dasm_put(Dst, 120093, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
					}
					if (((uintptr_t)(_efree) >> 32) & 0xffff) {
			dasm_put(Dst, 120097, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
			dasm_put(Dst, 120101, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
					if (((uintptr_t)(_efree) >> 32) & 0xffff) {
			dasm_put(Dst, 120105, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 120109, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			dasm_put(Dst, 120113, (ZREG_X15));
				}
							break;
						} else if (type == IS_ARRAY) {
							if ((info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
								if (NULL && ((info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
				if (NULL == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 120116, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(NULL)) == 0) {
			dasm_put(Dst, 120119, (ZREG_X15));
				} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
			dasm_put(Dst, 120122, (ZREG_X15), ((uint64_t)(NULL)));
				} else if (arm64_may_use_adr((void*)(NULL))) {
			dasm_put(Dst, 120126, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
				} else if (arm64_may_use_adrp((void*)(NULL))) {
			dasm_put(Dst, 120130, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
					if (((uintptr_t)(NULL)) & 0xfff) {
			dasm_put(Dst, 120134, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
					}
				} else if ((uintptr_t)(NULL) & 0xffff) {
			dasm_put(Dst, 120139, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
					if (((uintptr_t)(NULL) >> 16) & 0xffff) {
			dasm_put(Dst, 120143, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
					}
					if (((uintptr_t)(NULL) >> 32) & 0xffff) {
			dasm_put(Dst, 120147, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
			dasm_put(Dst, 120151, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
					if (((uintptr_t)(NULL) >> 32) & 0xffff) {
			dasm_put(Dst, 120155, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 120159, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			dasm_put(Dst, 120163, (ZREG_X15), Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
								}
				if (arm64_may_use_b(zend_array_destroy)) {
			dasm_put(Dst, 120167, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
				} else {
				if (((uintptr_t)(zend_array_destroy)) == 0) {
			dasm_put(Dst, 120170, (ZREG_X15));
				} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
			dasm_put(Dst, 120173, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
				} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
			dasm_put(Dst, 120177, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
			dasm_put(Dst, 120181, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
					if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
			dasm_put(Dst, 120185, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
			dasm_put(Dst, 120190, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
					if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
			dasm_put(Dst, 120194, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
			dasm_put(Dst, 120198, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
			dasm_put(Dst, 120202, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
					if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
			dasm_put(Dst, 120206, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 120210, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			dasm_put(Dst, 120214, (ZREG_X15));
				}
							} else {
				if (arm64_may_use_b(zend_jit_array_free)) {
			dasm_put(Dst, 120217, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
				} else {
				if (((uintptr_t)(zend_jit_array_free)) == 0) {
			dasm_put(Dst, 120220, (ZREG_X15));
				} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
			dasm_put(Dst, 120223, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
				} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
			dasm_put(Dst, 120227, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
			dasm_put(Dst, 120231, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
					if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
			dasm_put(Dst, 120235, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
			dasm_put(Dst, 120240, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
					if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
			dasm_put(Dst, 120244, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
			dasm_put(Dst, 120248, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
			dasm_put(Dst, 120252, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
			dasm_put(Dst, 120256, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 120260, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			dasm_put(Dst, 120264, (ZREG_X15));
				}
							}
							break;
						} else if (type == IS_OBJECT) {
							if (NULL) {
				if (NULL == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 120267, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(NULL)) == 0) {
			dasm_put(Dst, 120270);
				} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
			dasm_put(Dst, 120272, ((uint64_t)(NULL)));
				} else if (arm64_may_use_adr((void*)(NULL))) {
			dasm_put(Dst, 120275, (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
				} else if (arm64_may_use_adrp((void*)(NULL))) {
			dasm_put(Dst, 120278, (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
					if (((uintptr_t)(NULL)) & 0xfff) {
			dasm_put(Dst, 120281, (((uintptr_t)(NULL)) & 0xfff));
					}
				} else if ((uintptr_t)(NULL) & 0xffff) {
			dasm_put(Dst, 120284, ((uintptr_t)(NULL) & 0xffff));
					if (((uintptr_t)(NULL) >> 16) & 0xffff) {
			dasm_put(Dst, 120287, (((uintptr_t)(NULL) >> 16) & 0xffff));
					}
					if (((uintptr_t)(NULL) >> 32) & 0xffff) {
			dasm_put(Dst, 120290, (((uintptr_t)(NULL) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
			dasm_put(Dst, 120293, (((uintptr_t)(NULL) >> 16) & 0xffff));
					if (((uintptr_t)(NULL) >> 32) & 0xffff) {
			dasm_put(Dst, 120296, (((uintptr_t)(NULL) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 120299, (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			dasm_put(Dst, 120302, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
							}
				if (arm64_may_use_b(zend_objects_store_del)) {
			dasm_put(Dst, 120305, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
				} else {
				if (((uintptr_t)(zend_objects_store_del)) == 0) {
			dasm_put(Dst, 120308, (ZREG_X15));
				} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
			dasm_put(Dst, 120311, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
				} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
			dasm_put(Dst, 120315, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
			dasm_put(Dst, 120319, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
					if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
			dasm_put(Dst, 120323, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
			dasm_put(Dst, 120328, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
					if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
			dasm_put(Dst, 120332, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
			dasm_put(Dst, 120336, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
			dasm_put(Dst, 120340, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
					if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
			dasm_put(Dst, 120344, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 120348, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			dasm_put(Dst, 120352, (ZREG_X15));
				}
							break;
						}
					}
					if (NULL) {
				if (NULL == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 120355, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(NULL)) == 0) {
			dasm_put(Dst, 120358, (ZREG_X15));
				} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
			dasm_put(Dst, 120361, (ZREG_X15), ((uint64_t)(NULL)));
				} else if (arm64_may_use_adr((void*)(NULL))) {
			dasm_put(Dst, 120365, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
				} else if (arm64_may_use_adrp((void*)(NULL))) {
			dasm_put(Dst, 120369, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
					if (((uintptr_t)(NULL)) & 0xfff) {
			dasm_put(Dst, 120373, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
					}
				} else if ((uintptr_t)(NULL) & 0xffff) {
			dasm_put(Dst, 120378, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
					if (((uintptr_t)(NULL) >> 16) & 0xffff) {
			dasm_put(Dst, 120382, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
					}
					if (((uintptr_t)(NULL) >> 32) & 0xffff) {
			dasm_put(Dst, 120386, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
			dasm_put(Dst, 120390, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
					if (((uintptr_t)(NULL) >> 32) & 0xffff) {
			dasm_put(Dst, 120394, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 120398, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			dasm_put(Dst, 120402, (ZREG_X15), Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
					}
				if (arm64_may_use_b(rc_dtor_func)) {
			dasm_put(Dst, 120406, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
				} else {
				if (((uintptr_t)(rc_dtor_func)) == 0) {
			dasm_put(Dst, 120409, (ZREG_X15));
				} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
			dasm_put(Dst, 120412, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
				} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
			dasm_put(Dst, 120416, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
				} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
			dasm_put(Dst, 120420, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
					if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
			dasm_put(Dst, 120424, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
					}
				} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
			dasm_put(Dst, 120429, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
					if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
			dasm_put(Dst, 120433, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
					}
					if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
			dasm_put(Dst, 120437, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
			dasm_put(Dst, 120441, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
					if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
			dasm_put(Dst, 120445, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 120449, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			dasm_put(Dst, 120453, (ZREG_X15));
				}
				} while(0);
						if (0 && (((info) & MAY_BE_GUARD) || (RC_MAY_BE_N(info) && ((info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
			dasm_put(Dst, 120456);
						}
			dasm_put(Dst, 120459);
					}
					if (0 && (((info) & MAY_BE_GUARD) || (RC_MAY_BE_N(info) && ((info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
						if ((info) & (MAY_BE_REF|MAY_BE_GUARD)) {
							zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 120461, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 120465, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 120469, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 120473, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 120477, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 120482, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_REFERENCE == 0) {
			dasm_put(Dst, 120487, (ZREG_X15));
				} else {
			dasm_put(Dst, 120491, (ZREG_X15), IS_REFERENCE);
				}
				ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 120497, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 120501, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 120505, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 120509, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 120513, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 120518, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_COLLECTABLE == 0) {
			dasm_put(Dst, 120523, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
			dasm_put(Dst, 120526, (ZREG_X15), IS_TYPE_COLLECTABLE);
				} else {
				if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
			dasm_put(Dst, 120530, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
				} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
			dasm_put(Dst, 120534, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
					if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
			dasm_put(Dst, 120538, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 120542, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			dasm_put(Dst, 120546, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 120550);
				ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 120553, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
			dasm_put(Dst, 120557, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 120561, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 120565, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 120569, (Z_REG(ref_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 120573, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
				}
			dasm_put(Dst, 120577);
						}
			dasm_put(Dst, 120579, (ZREG_X15));
				if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
			dasm_put(Dst, 120582, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
			dasm_put(Dst, 120585, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
				} else {
				if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
			dasm_put(Dst, 120589, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
				} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
			dasm_put(Dst, 120593, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
					if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
			dasm_put(Dst, 120597, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 120601, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			dasm_put(Dst, 120605, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 120609);
				if (arm64_may_use_b(gc_possible_root)) {
			dasm_put(Dst, 120612, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
				} else {
				if (((uintptr_t)(gc_possible_root)) == 0) {
			dasm_put(Dst, 120615, (ZREG_X15));
				} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
			dasm_put(Dst, 120618, (ZREG_X15), ((uint64_t)(gc_possible_root)));
				} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
			dasm_put(Dst, 120622, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
				} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
			dasm_put(Dst, 120626, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
					if (((uintptr_t)(gc_possible_root)) & 0xfff) {
			dasm_put(Dst, 120630, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
					}
				} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
			dasm_put(Dst, 120635, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
					if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
			dasm_put(Dst, 120639, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
					}
					if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
			dasm_put(Dst, 120643, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
			dasm_put(Dst, 120647, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
					if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
			dasm_put(Dst, 120651, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 120655, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			dasm_put(Dst, 120659, (ZREG_X15));
				}
					}
					if (0 && ((info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
			dasm_put(Dst, 120662);
					}
			dasm_put(Dst, 120665);
				}
				}
#line 13753 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	if (!prop_info || !ZEND_TYPE_IS_SET(prop_info->type)) {
		// value = zend_assign_to_variable(property_val, value, OP_DATA_TYPE, EX_USES_STRICT_TYPES());
		if (opline->result_type == IS_UNUSED) {
			if (!zend_jit_assign_to_variable_call(Dst, opline, prop_addr, prop_addr, -1, -1, (opline+1)->op1_type, val_addr, val_info, res_addr, 0)) {
				return 0;
			}
		} else {
			if (!zend_jit_assign_to_variable(Dst, opline, prop_addr, prop_addr, -1, -1, (opline+1)->op1_type, val_addr, val_info, res_addr, 0)) {
				return 0;
			}
		}
	}

	if (needs_slow_path) {
		//|.cold_code
		dasm_put(Dst, 120667);
#line 13771 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|5:
		//|	SET_EX_OPLINE opline, REG0
		dasm_put(Dst, 120668);
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 120670, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 120673);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 120675, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 120678, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 120681, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 120684, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 120687, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 120690, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 120693, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 120696, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 120699, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 120702, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 120705, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
#line 13773 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	// value = zobj->handlers->write_property(zobj, name, value, CACHE_ADDR(opline->extended_value));
		//|	LOAD_ADDR FCARG2x, name
			if (((uintptr_t)(name)) == 0) {
		dasm_put(Dst, 120708);
			} else if (((uintptr_t)(name)) <= MOVZ_IMM) {
		dasm_put(Dst, 120710, ((uint64_t)(name)));
			} else if (arm64_may_use_adr((void*)(name))) {
		dasm_put(Dst, 120713, (unsigned int)((ptrdiff_t)(name)), (unsigned int)(((ptrdiff_t)(name))>>32));
			} else if (arm64_may_use_adrp((void*)(name))) {
		dasm_put(Dst, 120716, (unsigned int)((ptrdiff_t)((((uintptr_t)(name))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(name)))))>>32));
				if (((uintptr_t)(name)) & 0xfff) {
		dasm_put(Dst, 120719, (((uintptr_t)(name)) & 0xfff));
				}
			} else if ((uintptr_t)(name) & 0xffff) {
		dasm_put(Dst, 120722, ((uintptr_t)(name) & 0xffff));
				if (((uintptr_t)(name) >> 16) & 0xffff) {
		dasm_put(Dst, 120725, (((uintptr_t)(name) >> 16) & 0xffff));
				}
				if (((uintptr_t)(name) >> 32) & 0xffff) {
		dasm_put(Dst, 120728, (((uintptr_t)(name) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(name) >> 16) & 0xffff) {
		dasm_put(Dst, 120731, (((uintptr_t)(name) >> 16) & 0xffff));
				if (((uintptr_t)(name) >> 32) & 0xffff) {
		dasm_put(Dst, 120734, (((uintptr_t)(name) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 120737, (((uintptr_t)(name) >> 32) & 0xffff));
			}
#line 13775 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

		//|	LOAD_ZVAL_ADDR CARG3, val_addr
			if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(val_addr))) == 0) {
		dasm_put(Dst, 120740);
			} else if (((uintptr_t)(Z_ZV(val_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 120742, ((uint64_t)(Z_ZV(val_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
		dasm_put(Dst, 120745, (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
		dasm_put(Dst, 120748, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(val_addr))) & 0xfff) {
		dasm_put(Dst, 120751, (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(val_addr)) & 0xffff) {
		dasm_put(Dst, 120754, ((uintptr_t)(Z_ZV(val_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 120757, (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 120760, (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 120763, (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 120766, (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 120769, (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
			}
			} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (Z_OFFSET(val_addr)) {
			if (Z_OFFSET(val_addr) == 0) {
		dasm_put(Dst, 120772, (Z_REG(val_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(val_addr)))) {
		dasm_put(Dst, 120775, (Z_REG(val_addr)), Z_OFFSET(val_addr));
			} else {
			if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 120779, ((uint32_t)(Z_OFFSET(val_addr))));
			} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
		dasm_put(Dst, 120782, ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 120785, (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 120788, (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 120791, (Z_REG(val_addr)));
			}
				} else {
					if (Z_REG(val_addr) == ZREG_RSP) {
		dasm_put(Dst, 120794);
					} else {
		dasm_put(Dst, 120796, (Z_REG(val_addr)));
					}
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 13777 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	ldr CARG4, EX->run_time_cache
		//|	ADD_SUB_64_WITH_CONST_32 add, CARG4, CARG4, opline->extended_value, TMP1
		dasm_put(Dst, 120799, Dt1(->run_time_cache));
			if (opline->extended_value == 0) {
		dasm_put(Dst, 120802);
			} else if (arm64_may_encode_imm12((int64_t)(opline->extended_value))) {
		dasm_put(Dst, 120804, opline->extended_value);
			} else {
			if (((uint32_t)(opline->extended_value)) <= MOVZ_IMM) {
		dasm_put(Dst, 120807, ((uint32_t)(opline->extended_value)));
			} else if (((uint32_t)(opline->extended_value) & 0xffff)) {
		dasm_put(Dst, 120810, ((uint32_t)(opline->extended_value) & 0xffff));
				if ((((uint32_t)(opline->extended_value) >> 16) & 0xffff)) {
		dasm_put(Dst, 120813, (((uint32_t)(opline->extended_value) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 120816, (((uint32_t)(opline->extended_value) >> 16) & 0xffff));
			}
		dasm_put(Dst, 120819);
			}
#line 13779 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (RETURN_VALUE_USED(opline)) {
			//|	LOAD_ZVAL_ADDR CARG5, res_addr
				if (Z_MODE(res_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(res_addr))) == 0) {
			dasm_put(Dst, 120821);
				} else if (((uintptr_t)(Z_ZV(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 120823, ((uint64_t)(Z_ZV(res_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(res_addr)))) {
			dasm_put(Dst, 120826, (unsigned int)((ptrdiff_t)(Z_ZV(res_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(res_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(res_addr)))) {
			dasm_put(Dst, 120829, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(res_addr))) & 0xfff) {
			dasm_put(Dst, 120832, (((uintptr_t)(Z_ZV(res_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(res_addr)) & 0xffff) {
			dasm_put(Dst, 120835, ((uintptr_t)(Z_ZV(res_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 120838, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 120841, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 120844, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 120847, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 120850, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(res_addr)) {
				if (Z_OFFSET(res_addr) == 0) {
			dasm_put(Dst, 120853, (Z_REG(res_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(res_addr)))) {
			dasm_put(Dst, 120856, (Z_REG(res_addr)), Z_OFFSET(res_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 120860, ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 120863, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 120866, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 120869, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 120872, (Z_REG(res_addr)));
				}
					} else {
						if (Z_REG(res_addr) == ZREG_RSP) {
			dasm_put(Dst, 120875);
						} else {
			dasm_put(Dst, 120877, (Z_REG(res_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 13781 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	mov CARG5, xzr
			dasm_put(Dst, 120880);
#line 13783 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}

		//|	EXT_CALL zend_jit_assign_obj_helper, REG0
			if (arm64_may_use_b(zend_jit_assign_obj_helper)) {
		dasm_put(Dst, 120882, (unsigned int)((ptrdiff_t)(zend_jit_assign_obj_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_obj_helper))>>32));
			} else {
			if (((uintptr_t)(zend_jit_assign_obj_helper)) == 0) {
		dasm_put(Dst, 120885);
			} else if (((uintptr_t)(zend_jit_assign_obj_helper)) <= MOVZ_IMM) {
		dasm_put(Dst, 120887, ((uint64_t)(zend_jit_assign_obj_helper)));
			} else if (arm64_may_use_adr((void*)(zend_jit_assign_obj_helper))) {
		dasm_put(Dst, 120890, (unsigned int)((ptrdiff_t)(zend_jit_assign_obj_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_obj_helper))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_assign_obj_helper))) {
		dasm_put(Dst, 120893, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_assign_obj_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_assign_obj_helper)))))>>32));
				if (((uintptr_t)(zend_jit_assign_obj_helper)) & 0xfff) {
		dasm_put(Dst, 120896, (((uintptr_t)(zend_jit_assign_obj_helper)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_assign_obj_helper) & 0xffff) {
		dasm_put(Dst, 120899, ((uintptr_t)(zend_jit_assign_obj_helper) & 0xffff));
				if (((uintptr_t)(zend_jit_assign_obj_helper) >> 16) & 0xffff) {
		dasm_put(Dst, 120902, (((uintptr_t)(zend_jit_assign_obj_helper) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_assign_obj_helper) >> 32) & 0xffff) {
		dasm_put(Dst, 120905, (((uintptr_t)(zend_jit_assign_obj_helper) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_assign_obj_helper) >> 16) & 0xffff) {
		dasm_put(Dst, 120908, (((uintptr_t)(zend_jit_assign_obj_helper) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_assign_obj_helper) >> 32) & 0xffff) {
		dasm_put(Dst, 120911, (((uintptr_t)(zend_jit_assign_obj_helper) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 120914, (((uintptr_t)(zend_jit_assign_obj_helper) >> 32) & 0xffff));
			}
		dasm_put(Dst, 120917);
			}
#line 13786 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

		if (val_info & (MAY_BE_REF|MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) {
			val_info |= MAY_BE_RC1|MAY_BE_RCN;
		}

		//|7:
		//|	// FREE_OP_DATA();
		//|	FREE_OP (opline+1)->op1_type, (opline+1)->op1, val_info, 0, opline, ZREG_TMP1, ZREG_TMP2
		dasm_put(Dst, 120919);
			if ((opline+1)->op1_type & (IS_VAR|IS_TMP_VAR)) {
				zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, (opline+1)->op1.var);
			if ((val_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
				if ((val_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if (0) {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 120921, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 120925, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 120929, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 120933, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 120937, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 120942, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 120947, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 120950, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 120954, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 120958, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 120962, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 120966, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 120970, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 120974);
		dasm_put(Dst, 120977);
					} else {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 120979, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 120983, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 120987, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 120991, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 120995, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 121000, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 121005, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 121008, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 121012, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 121016, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 121020, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 121024, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 121028, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 121032);
					}
				}
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 121035, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
			} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
		dasm_put(Dst, 121039, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 121043, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 121047, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 121051, (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 121055, (Z_REG(addr)), (Z_OFFSET(addr)));
			}
		dasm_put(Dst, 121059, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
				if (((val_info) & MAY_BE_GUARD) || RC_MAY_BE_1(val_info)) {
					if (((val_info) & MAY_BE_GUARD) || RC_MAY_BE_N(val_info)) {
						if (0 && (((val_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(val_info) && ((val_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 121067);
						} else {
		dasm_put(Dst, 121070);
						}
					}
			do {
				if (!((val_info) & MAY_BE_GUARD)
				 && has_concrete_type((val_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					zend_uchar type = concrete_type((val_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
					if (type == IS_STRING && !ZEND_DEBUG) {
			if (arm64_may_use_b(_efree)) {
		dasm_put(Dst, 121073, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else {
			if (((uintptr_t)(_efree)) == 0) {
		dasm_put(Dst, 121076, (ZREG_X15));
			} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
		dasm_put(Dst, 121079, (ZREG_X15), ((uint64_t)(_efree)));
			} else if (arm64_may_use_adr((void*)(_efree))) {
		dasm_put(Dst, 121083, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else if (arm64_may_use_adrp((void*)(_efree))) {
		dasm_put(Dst, 121087, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
				if (((uintptr_t)(_efree)) & 0xfff) {
		dasm_put(Dst, 121091, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
				}
			} else if ((uintptr_t)(_efree) & 0xffff) {
		dasm_put(Dst, 121096, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
				if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 121100, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 121104, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 121108, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 121112, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 121116, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		dasm_put(Dst, 121120, (ZREG_X15));
			}
						break;
					} else if (type == IS_ARRAY) {
						if ((val_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
							if (opline && ((val_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 121123, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 121126, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 121129, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 121133, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 121137, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 121141, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 121146, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 121150, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 121154, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 121158, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 121162, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 121166, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 121170, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
							}
			if (arm64_may_use_b(zend_array_destroy)) {
		dasm_put(Dst, 121174, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else {
			if (((uintptr_t)(zend_array_destroy)) == 0) {
		dasm_put(Dst, 121177, (ZREG_X15));
			} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
		dasm_put(Dst, 121180, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
			} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
		dasm_put(Dst, 121184, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
		dasm_put(Dst, 121188, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
				if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
		dasm_put(Dst, 121192, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
		dasm_put(Dst, 121197, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 121201, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 121205, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 121209, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 121213, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 121217, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		dasm_put(Dst, 121221, (ZREG_X15));
			}
						} else {
			if (arm64_may_use_b(zend_jit_array_free)) {
		dasm_put(Dst, 121224, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else {
			if (((uintptr_t)(zend_jit_array_free)) == 0) {
		dasm_put(Dst, 121227, (ZREG_X15));
			} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
		dasm_put(Dst, 121230, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
			} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 121234, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 121238, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
				if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
		dasm_put(Dst, 121242, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
		dasm_put(Dst, 121247, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 121251, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 121255, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 121259, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 121263, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 121267, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		dasm_put(Dst, 121271, (ZREG_X15));
			}
						}
						break;
					} else if (type == IS_OBJECT) {
						if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 121274, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 121277);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 121279, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 121282, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 121285, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 121288, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 121291, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 121294, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 121297, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 121300, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 121303, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 121306, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 121309, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
						}
			if (arm64_may_use_b(zend_objects_store_del)) {
		dasm_put(Dst, 121312, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else {
			if (((uintptr_t)(zend_objects_store_del)) == 0) {
		dasm_put(Dst, 121315, (ZREG_X15));
			} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
		dasm_put(Dst, 121318, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
			} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 121322, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 121326, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
				if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
		dasm_put(Dst, 121330, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
		dasm_put(Dst, 121335, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 121339, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 121343, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 121347, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 121351, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 121355, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		dasm_put(Dst, 121359, (ZREG_X15));
			}
						break;
					}
				}
				if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 121362, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 121365, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 121368, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 121372, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 121376, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 121380, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 121385, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 121389, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 121393, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 121397, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 121401, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 121405, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 121409, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
				}
			if (arm64_may_use_b(rc_dtor_func)) {
		dasm_put(Dst, 121413, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else {
			if (((uintptr_t)(rc_dtor_func)) == 0) {
		dasm_put(Dst, 121416, (ZREG_X15));
			} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
		dasm_put(Dst, 121419, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
			} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
		dasm_put(Dst, 121423, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
		dasm_put(Dst, 121427, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
				if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
		dasm_put(Dst, 121431, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
				}
			} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
		dasm_put(Dst, 121436, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 121440, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				}
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 121444, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 121448, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 121452, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 121456, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		dasm_put(Dst, 121460, (ZREG_X15));
			}
			} while(0);
					if (0 && (((val_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(val_info) && ((val_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 121463);
					}
		dasm_put(Dst, 121466);
				}
				if (0 && (((val_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(val_info) && ((val_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					if ((val_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
						zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
		dasm_put(Dst, 121468, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
		dasm_put(Dst, 121472, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
		dasm_put(Dst, 121476, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 121480, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 121484, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 121489, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
			}
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 121494, (ZREG_X15));
			} else {
		dasm_put(Dst, 121498, (ZREG_X15), IS_REFERENCE);
			}
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 121504, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 121508, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 121512, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 121516, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 121520, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 121525, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_COLLECTABLE == 0) {
		dasm_put(Dst, 121530, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
		dasm_put(Dst, 121533, (ZREG_X15), IS_TYPE_COLLECTABLE);
			} else {
			if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
		dasm_put(Dst, 121537, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
			} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
		dasm_put(Dst, 121541, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
				if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
		dasm_put(Dst, 121545, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 121549, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		dasm_put(Dst, 121553, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 121557);
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 121560, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
		dasm_put(Dst, 121564, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 121568, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 121572, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 121576, (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 121580, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
			}
		dasm_put(Dst, 121584);
					}
		dasm_put(Dst, 121586, (ZREG_X15));
			if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
		dasm_put(Dst, 121589, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
		dasm_put(Dst, 121592, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
			} else {
			if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
		dasm_put(Dst, 121596, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
			} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
		dasm_put(Dst, 121600, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
				if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
		dasm_put(Dst, 121604, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 121608, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 121612, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 121616);
			if (arm64_may_use_b(gc_possible_root)) {
		dasm_put(Dst, 121619, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else {
			if (((uintptr_t)(gc_possible_root)) == 0) {
		dasm_put(Dst, 121622, (ZREG_X15));
			} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
		dasm_put(Dst, 121625, (ZREG_X15), ((uint64_t)(gc_possible_root)));
			} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
		dasm_put(Dst, 121629, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
		dasm_put(Dst, 121633, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
				if (((uintptr_t)(gc_possible_root)) & 0xfff) {
		dasm_put(Dst, 121637, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
				}
			} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
		dasm_put(Dst, 121642, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 121646, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				}
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 121650, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 121654, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 121658, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 121662, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		dasm_put(Dst, 121666, (ZREG_X15));
			}
				}
				if (0 && ((val_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
		dasm_put(Dst, 121669);
				}
		dasm_put(Dst, 121672);
			}
			}
#line 13794 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	b >9
		//|.code
		dasm_put(Dst, 121674);
#line 13796 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else if (needs_val_dtor) {
		//|.cold_code
		dasm_put(Dst, 121677);
#line 13798 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|7:
		//|	// FREE_OP_DATA();
		//|	FREE_OP (opline+1)->op1_type, (opline+1)->op1, val_info, 0, opline, ZREG_TMP1, ZREG_TMP2
		dasm_put(Dst, 121678);
			if ((opline+1)->op1_type & (IS_VAR|IS_TMP_VAR)) {
				zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, (opline+1)->op1.var);
			if ((val_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
				if ((val_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if (0) {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 121680, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 121684, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 121688, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 121692, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 121696, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 121701, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 121706, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 121709, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 121713, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 121717, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 121721, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 121725, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 121729, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 121733);
		dasm_put(Dst, 121736);
					} else {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 121738, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 121742, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 121746, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 121750, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 121754, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 121759, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 121764, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 121767, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 121771, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 121775, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 121779, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 121783, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 121787, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 121791);
					}
				}
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 121794, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
			} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
		dasm_put(Dst, 121798, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 121802, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 121806, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 121810, (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 121814, (Z_REG(addr)), (Z_OFFSET(addr)));
			}
		dasm_put(Dst, 121818, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
				if (((val_info) & MAY_BE_GUARD) || RC_MAY_BE_1(val_info)) {
					if (((val_info) & MAY_BE_GUARD) || RC_MAY_BE_N(val_info)) {
						if (0 && (((val_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(val_info) && ((val_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 121826);
						} else {
		dasm_put(Dst, 121829);
						}
					}
			do {
				if (!((val_info) & MAY_BE_GUARD)
				 && has_concrete_type((val_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					zend_uchar type = concrete_type((val_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
					if (type == IS_STRING && !ZEND_DEBUG) {
			if (arm64_may_use_b(_efree)) {
		dasm_put(Dst, 121832, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else {
			if (((uintptr_t)(_efree)) == 0) {
		dasm_put(Dst, 121835, (ZREG_X15));
			} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
		dasm_put(Dst, 121838, (ZREG_X15), ((uint64_t)(_efree)));
			} else if (arm64_may_use_adr((void*)(_efree))) {
		dasm_put(Dst, 121842, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else if (arm64_may_use_adrp((void*)(_efree))) {
		dasm_put(Dst, 121846, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
				if (((uintptr_t)(_efree)) & 0xfff) {
		dasm_put(Dst, 121850, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
				}
			} else if ((uintptr_t)(_efree) & 0xffff) {
		dasm_put(Dst, 121855, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
				if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 121859, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 121863, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 121867, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 121871, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 121875, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		dasm_put(Dst, 121879, (ZREG_X15));
			}
						break;
					} else if (type == IS_ARRAY) {
						if ((val_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
							if (opline && ((val_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 121882, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 121885, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 121888, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 121892, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 121896, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 121900, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 121905, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 121909, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 121913, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 121917, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 121921, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 121925, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 121929, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
							}
			if (arm64_may_use_b(zend_array_destroy)) {
		dasm_put(Dst, 121933, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else {
			if (((uintptr_t)(zend_array_destroy)) == 0) {
		dasm_put(Dst, 121936, (ZREG_X15));
			} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
		dasm_put(Dst, 121939, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
			} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
		dasm_put(Dst, 121943, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
		dasm_put(Dst, 121947, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
				if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
		dasm_put(Dst, 121951, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
		dasm_put(Dst, 121956, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 121960, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 121964, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 121968, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 121972, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 121976, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		dasm_put(Dst, 121980, (ZREG_X15));
			}
						} else {
			if (arm64_may_use_b(zend_jit_array_free)) {
		dasm_put(Dst, 121983, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else {
			if (((uintptr_t)(zend_jit_array_free)) == 0) {
		dasm_put(Dst, 121986, (ZREG_X15));
			} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
		dasm_put(Dst, 121989, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
			} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 121993, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 121997, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
				if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
		dasm_put(Dst, 122001, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
		dasm_put(Dst, 122006, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 122010, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 122014, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 122018, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 122022, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 122026, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		dasm_put(Dst, 122030, (ZREG_X15));
			}
						}
						break;
					} else if (type == IS_OBJECT) {
						if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 122033, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 122036);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 122038, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 122041, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 122044, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 122047, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 122050, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 122053, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 122056, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 122059, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 122062, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 122065, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 122068, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
						}
			if (arm64_may_use_b(zend_objects_store_del)) {
		dasm_put(Dst, 122071, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else {
			if (((uintptr_t)(zend_objects_store_del)) == 0) {
		dasm_put(Dst, 122074, (ZREG_X15));
			} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
		dasm_put(Dst, 122077, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
			} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 122081, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 122085, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
				if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
		dasm_put(Dst, 122089, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
		dasm_put(Dst, 122094, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 122098, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 122102, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 122106, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 122110, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 122114, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		dasm_put(Dst, 122118, (ZREG_X15));
			}
						break;
					}
				}
				if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 122121, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 122124, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 122127, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 122131, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 122135, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 122139, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 122144, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 122148, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 122152, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 122156, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 122160, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 122164, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 122168, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
				}
			if (arm64_may_use_b(rc_dtor_func)) {
		dasm_put(Dst, 122172, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else {
			if (((uintptr_t)(rc_dtor_func)) == 0) {
		dasm_put(Dst, 122175, (ZREG_X15));
			} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
		dasm_put(Dst, 122178, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
			} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
		dasm_put(Dst, 122182, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
		dasm_put(Dst, 122186, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
				if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
		dasm_put(Dst, 122190, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
				}
			} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
		dasm_put(Dst, 122195, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 122199, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				}
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 122203, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 122207, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 122211, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 122215, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		dasm_put(Dst, 122219, (ZREG_X15));
			}
			} while(0);
					if (0 && (((val_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(val_info) && ((val_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 122222);
					}
		dasm_put(Dst, 122225);
				}
				if (0 && (((val_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(val_info) && ((val_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					if ((val_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
						zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
		dasm_put(Dst, 122227, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
		dasm_put(Dst, 122231, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
		dasm_put(Dst, 122235, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 122239, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 122243, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 122248, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
			}
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 122253, (ZREG_X15));
			} else {
		dasm_put(Dst, 122257, (ZREG_X15), IS_REFERENCE);
			}
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 122263, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 122267, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 122271, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 122275, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 122279, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 122284, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_COLLECTABLE == 0) {
		dasm_put(Dst, 122289, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
		dasm_put(Dst, 122292, (ZREG_X15), IS_TYPE_COLLECTABLE);
			} else {
			if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
		dasm_put(Dst, 122296, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
			} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
		dasm_put(Dst, 122300, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
				if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
		dasm_put(Dst, 122304, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 122308, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		dasm_put(Dst, 122312, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 122316);
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 122319, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
		dasm_put(Dst, 122323, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 122327, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 122331, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 122335, (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 122339, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
			}
		dasm_put(Dst, 122343);
					}
		dasm_put(Dst, 122345, (ZREG_X15));
			if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
		dasm_put(Dst, 122348, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
		dasm_put(Dst, 122351, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
			} else {
			if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
		dasm_put(Dst, 122355, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
			} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
		dasm_put(Dst, 122359, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
				if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
		dasm_put(Dst, 122363, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 122367, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 122371, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 122375);
			if (arm64_may_use_b(gc_possible_root)) {
		dasm_put(Dst, 122378, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else {
			if (((uintptr_t)(gc_possible_root)) == 0) {
		dasm_put(Dst, 122381, (ZREG_X15));
			} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
		dasm_put(Dst, 122384, (ZREG_X15), ((uint64_t)(gc_possible_root)));
			} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
		dasm_put(Dst, 122388, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
		dasm_put(Dst, 122392, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
				if (((uintptr_t)(gc_possible_root)) & 0xfff) {
		dasm_put(Dst, 122396, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
				}
			} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
		dasm_put(Dst, 122401, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 122405, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				}
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 122409, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 122413, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 122417, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 122421, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		dasm_put(Dst, 122425, (ZREG_X15));
			}
				}
				if (0 && ((val_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
		dasm_put(Dst, 122428);
				}
		dasm_put(Dst, 122431);
			}
			}
#line 13801 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	b >9
		//|.code
		dasm_put(Dst, 122433);
#line 13803 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	//|9:
	dasm_put(Dst, 122436);
#line 13806 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	if (opline->op1_type != IS_UNUSED && !delayed_fetch_this && !op1_indirect) {
		//|	FREE_OP opline->op1_type, opline->op1, op1_info, 1, opline, ZREG_TMP1, ZREG_TMP2
			if (opline->op1_type & (IS_VAR|IS_TMP_VAR)) {
				zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op1.var);
			if ((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
				if ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if (1) {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 122438, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 122442, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 122446, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 122450, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 122454, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 122459, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 122464, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 122467, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 122471, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 122475, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 122479, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 122483, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 122487, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 122491);
		dasm_put(Dst, 122494);
					} else {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 122496, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 122500, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 122504, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 122508, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 122512, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 122517, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 122522, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 122525, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 122529, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 122533, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 122537, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 122541, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 122545, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 122549);
					}
				}
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 122552, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
			} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
		dasm_put(Dst, 122556, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 122560, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 122564, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 122568, (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 122572, (Z_REG(addr)), (Z_OFFSET(addr)));
			}
		dasm_put(Dst, 122576, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
				if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op1_info)) {
					if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op1_info)) {
						if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 122584);
						} else {
		dasm_put(Dst, 122587);
						}
					}
			do {
				if (!((op1_info) & MAY_BE_GUARD)
				 && has_concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					zend_uchar type = concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
					if (type == IS_STRING && !ZEND_DEBUG) {
			if (arm64_may_use_b(_efree)) {
		dasm_put(Dst, 122590, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else {
			if (((uintptr_t)(_efree)) == 0) {
		dasm_put(Dst, 122593, (ZREG_X15));
			} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
		dasm_put(Dst, 122596, (ZREG_X15), ((uint64_t)(_efree)));
			} else if (arm64_may_use_adr((void*)(_efree))) {
		dasm_put(Dst, 122600, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else if (arm64_may_use_adrp((void*)(_efree))) {
		dasm_put(Dst, 122604, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
				if (((uintptr_t)(_efree)) & 0xfff) {
		dasm_put(Dst, 122608, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
				}
			} else if ((uintptr_t)(_efree) & 0xffff) {
		dasm_put(Dst, 122613, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
				if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 122617, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 122621, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 122625, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 122629, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 122633, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		dasm_put(Dst, 122637, (ZREG_X15));
			}
						break;
					} else if (type == IS_ARRAY) {
						if ((op1_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
							if (opline && ((op1_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 122640, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 122643, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 122646, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 122650, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 122654, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 122658, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 122663, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 122667, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 122671, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 122675, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 122679, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 122683, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 122687, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
							}
			if (arm64_may_use_b(zend_array_destroy)) {
		dasm_put(Dst, 122691, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else {
			if (((uintptr_t)(zend_array_destroy)) == 0) {
		dasm_put(Dst, 122694, (ZREG_X15));
			} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
		dasm_put(Dst, 122697, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
			} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
		dasm_put(Dst, 122701, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
		dasm_put(Dst, 122705, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
				if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
		dasm_put(Dst, 122709, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
		dasm_put(Dst, 122714, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 122718, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 122722, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 122726, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 122730, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 122734, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		dasm_put(Dst, 122738, (ZREG_X15));
			}
						} else {
			if (arm64_may_use_b(zend_jit_array_free)) {
		dasm_put(Dst, 122741, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else {
			if (((uintptr_t)(zend_jit_array_free)) == 0) {
		dasm_put(Dst, 122744, (ZREG_X15));
			} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
		dasm_put(Dst, 122747, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
			} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 122751, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 122755, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
				if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
		dasm_put(Dst, 122759, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
		dasm_put(Dst, 122764, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 122768, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 122772, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 122776, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 122780, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 122784, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		dasm_put(Dst, 122788, (ZREG_X15));
			}
						}
						break;
					} else if (type == IS_OBJECT) {
						if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 122791, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 122794);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 122796, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 122799, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 122802, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 122805, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 122808, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 122811, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 122814, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 122817, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 122820, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 122823, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 122826, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
						}
			if (arm64_may_use_b(zend_objects_store_del)) {
		dasm_put(Dst, 122829, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else {
			if (((uintptr_t)(zend_objects_store_del)) == 0) {
		dasm_put(Dst, 122832, (ZREG_X15));
			} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
		dasm_put(Dst, 122835, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
			} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 122839, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 122843, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
				if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
		dasm_put(Dst, 122847, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
		dasm_put(Dst, 122852, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 122856, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 122860, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 122864, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 122868, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 122872, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		dasm_put(Dst, 122876, (ZREG_X15));
			}
						break;
					}
				}
				if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 122879, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 122882, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 122885, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 122889, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 122893, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 122897, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 122902, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 122906, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 122910, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 122914, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 122918, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 122922, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 122926, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
				}
			if (arm64_may_use_b(rc_dtor_func)) {
		dasm_put(Dst, 122930, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else {
			if (((uintptr_t)(rc_dtor_func)) == 0) {
		dasm_put(Dst, 122933, (ZREG_X15));
			} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
		dasm_put(Dst, 122936, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
			} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
		dasm_put(Dst, 122940, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
		dasm_put(Dst, 122944, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
				if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
		dasm_put(Dst, 122948, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
				}
			} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
		dasm_put(Dst, 122953, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 122957, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				}
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 122961, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 122965, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 122969, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 122973, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		dasm_put(Dst, 122977, (ZREG_X15));
			}
			} while(0);
					if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 122980);
					}
		dasm_put(Dst, 122983);
				}
				if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					if ((op1_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
						zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
		dasm_put(Dst, 122985, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
		dasm_put(Dst, 122989, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
		dasm_put(Dst, 122993, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 122997, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 123001, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 123006, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
			}
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 123011, (ZREG_X15));
			} else {
		dasm_put(Dst, 123015, (ZREG_X15), IS_REFERENCE);
			}
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 123021, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 123025, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 123029, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 123033, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 123037, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 123042, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_COLLECTABLE == 0) {
		dasm_put(Dst, 123047, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
		dasm_put(Dst, 123050, (ZREG_X15), IS_TYPE_COLLECTABLE);
			} else {
			if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
		dasm_put(Dst, 123054, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
			} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
		dasm_put(Dst, 123058, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
				if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
		dasm_put(Dst, 123062, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 123066, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		dasm_put(Dst, 123070, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 123074);
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 123077, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
		dasm_put(Dst, 123081, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 123085, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 123089, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 123093, (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 123097, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
			}
		dasm_put(Dst, 123101);
					}
		dasm_put(Dst, 123103, (ZREG_X15));
			if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
		dasm_put(Dst, 123106, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
		dasm_put(Dst, 123109, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
			} else {
			if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
		dasm_put(Dst, 123113, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
			} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
		dasm_put(Dst, 123117, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
				if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
		dasm_put(Dst, 123121, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 123125, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 123129, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 123133);
			if (arm64_may_use_b(gc_possible_root)) {
		dasm_put(Dst, 123136, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else {
			if (((uintptr_t)(gc_possible_root)) == 0) {
		dasm_put(Dst, 123139, (ZREG_X15));
			} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
		dasm_put(Dst, 123142, (ZREG_X15), ((uint64_t)(gc_possible_root)));
			} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
		dasm_put(Dst, 123146, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
		dasm_put(Dst, 123150, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
				if (((uintptr_t)(gc_possible_root)) & 0xfff) {
		dasm_put(Dst, 123154, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
				}
			} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
		dasm_put(Dst, 123159, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 123163, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				}
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 123167, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 123171, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 123175, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 123179, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		dasm_put(Dst, 123183, (ZREG_X15));
			}
				}
				if (1 && ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
		dasm_put(Dst, 123186);
				}
		dasm_put(Dst, 123189);
			}
			}
#line 13808 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	if (may_throw) {
		if (!zend_jit_check_exception(Dst)) {
			return 0;
		}
	}

	return 1;
}

static int zend_jit_free(dasm_State **Dst, const zend_op *opline, uint32_t op1_info, int may_throw)
{
	zend_jit_addr op1_addr = OP1_ADDR();

	if (op1_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF)) {
		if (may_throw) {
			//|	SET_EX_OPLINE opline, REG0
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 123191, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 123194);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 123196, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 123199, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 123202, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 123205, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 123208, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 123211, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 123214, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 123217, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 123220, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 123223, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 123226, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
#line 13826 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (opline->opcode == ZEND_FE_FREE && (op1_info & (MAY_BE_OBJECT|MAY_BE_REF))) {
			if (op1_info & MAY_BE_ARRAY) {
				//|	IF_ZVAL_TYPE op1_addr, IS_ARRAY, >7, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 123229, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 123233, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 123237, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 123241, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 123245, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 123250, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_ARRAY == 0) {
				dasm_put(Dst, 123255, (ZREG_X15));
					} else {
				dasm_put(Dst, 123259, (ZREG_X15), IS_ARRAY);
					}
#line 13830 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	MEM_ACCESS_32_WITH_UOFFSET ldr, FCARG1w, FP, (opline->op1.var + offsetof(zval, u2.fe_iter_idx)), TMP1
				if (((uintptr_t)((opline->op1.var + offsetof(zval, u2.fe_iter_idx)))) > LDR_STR_PIMM32) {
				if (((uint32_t)((opline->op1.var + offsetof(zval, u2.fe_iter_idx)))) <= MOVZ_IMM) {
			dasm_put(Dst, 123265, ((uint32_t)((opline->op1.var + offsetof(zval, u2.fe_iter_idx)))));
				} else if (((uint32_t)((opline->op1.var + offsetof(zval, u2.fe_iter_idx))) & 0xffff)) {
			dasm_put(Dst, 123268, ((uint32_t)((opline->op1.var + offsetof(zval, u2.fe_iter_idx))) & 0xffff));
					if ((((uint32_t)((opline->op1.var + offsetof(zval, u2.fe_iter_idx))) >> 16) & 0xffff)) {
			dasm_put(Dst, 123271, (((uint32_t)((opline->op1.var + offsetof(zval, u2.fe_iter_idx))) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 123274, (((uint32_t)((opline->op1.var + offsetof(zval, u2.fe_iter_idx))) >> 16) & 0xffff));
				}
			dasm_put(Dst, 123277);
				} else {
			dasm_put(Dst, 123279, ((opline->op1.var + offsetof(zval, u2.fe_iter_idx))));
				}
#line 13832 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	mvn TMP1w, wzr // TODO: DynAsm fails loading #-1
			//|	cmp FCARG1w, TMP1w
			//|	beq >7
			//|	EXT_CALL zend_hash_iterator_del, REG0
			dasm_put(Dst, 123282);
				if (arm64_may_use_b(zend_hash_iterator_del)) {
			dasm_put(Dst, 123287, (unsigned int)((ptrdiff_t)(zend_hash_iterator_del)), (unsigned int)(((ptrdiff_t)(zend_hash_iterator_del))>>32));
				} else {
				if (((uintptr_t)(zend_hash_iterator_del)) == 0) {
			dasm_put(Dst, 123290);
				} else if (((uintptr_t)(zend_hash_iterator_del)) <= MOVZ_IMM) {
			dasm_put(Dst, 123292, ((uint64_t)(zend_hash_iterator_del)));
				} else if (arm64_may_use_adr((void*)(zend_hash_iterator_del))) {
			dasm_put(Dst, 123295, (unsigned int)((ptrdiff_t)(zend_hash_iterator_del)), (unsigned int)(((ptrdiff_t)(zend_hash_iterator_del))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_hash_iterator_del))) {
			dasm_put(Dst, 123298, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_hash_iterator_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_hash_iterator_del)))))>>32));
					if (((uintptr_t)(zend_hash_iterator_del)) & 0xfff) {
			dasm_put(Dst, 123301, (((uintptr_t)(zend_hash_iterator_del)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_hash_iterator_del) & 0xffff) {
			dasm_put(Dst, 123304, ((uintptr_t)(zend_hash_iterator_del) & 0xffff));
					if (((uintptr_t)(zend_hash_iterator_del) >> 16) & 0xffff) {
			dasm_put(Dst, 123307, (((uintptr_t)(zend_hash_iterator_del) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_hash_iterator_del) >> 32) & 0xffff) {
			dasm_put(Dst, 123310, (((uintptr_t)(zend_hash_iterator_del) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_hash_iterator_del) >> 16) & 0xffff) {
			dasm_put(Dst, 123313, (((uintptr_t)(zend_hash_iterator_del) >> 16) & 0xffff));
					if (((uintptr_t)(zend_hash_iterator_del) >> 32) & 0xffff) {
			dasm_put(Dst, 123316, (((uintptr_t)(zend_hash_iterator_del) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 123319, (((uintptr_t)(zend_hash_iterator_del) >> 32) & 0xffff));
				}
			dasm_put(Dst, 123322);
				}
#line 13836 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|7:
			dasm_put(Dst, 123324);
#line 13837 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	ZVAL_PTR_DTOR op1_addr, op1_info, 0, 0, opline, ZREG_TMP1, ZREG_TMP2
			if ((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
				if ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if (0) {
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 123326, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 123330, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 123334, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 123338, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 123342, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 123347, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 123352, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 123355, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 123359, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 123363, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 123367, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 123371, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 123375, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 123379);
		dasm_put(Dst, 123382);
					} else {
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 123384, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 123388, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 123392, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 123396, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 123400, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 123405, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 123410, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 123413, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 123417, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 123421, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 123425, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 123429, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 123433, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 123437);
					}
				}
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 123440, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 123444, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 123448, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 123452, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 123456, (Z_REG(op1_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 123460, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
		dasm_put(Dst, 123464, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
				if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op1_info)) {
					if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op1_info)) {
						if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 123472);
						} else {
		dasm_put(Dst, 123475);
						}
					}
			do {
				if (!((op1_info) & MAY_BE_GUARD)
				 && has_concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					zend_uchar type = concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
					if (type == IS_STRING && !ZEND_DEBUG) {
			if (arm64_may_use_b(_efree)) {
		dasm_put(Dst, 123478, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else {
			if (((uintptr_t)(_efree)) == 0) {
		dasm_put(Dst, 123481, (ZREG_X15));
			} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
		dasm_put(Dst, 123484, (ZREG_X15), ((uint64_t)(_efree)));
			} else if (arm64_may_use_adr((void*)(_efree))) {
		dasm_put(Dst, 123488, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else if (arm64_may_use_adrp((void*)(_efree))) {
		dasm_put(Dst, 123492, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
				if (((uintptr_t)(_efree)) & 0xfff) {
		dasm_put(Dst, 123496, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
				}
			} else if ((uintptr_t)(_efree) & 0xffff) {
		dasm_put(Dst, 123501, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
				if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 123505, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 123509, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 123513, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 123517, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 123521, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		dasm_put(Dst, 123525, (ZREG_X15));
			}
						break;
					} else if (type == IS_ARRAY) {
						if ((op1_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
							if (opline && ((op1_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 123528, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 123531, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 123534, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 123538, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 123542, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 123546, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 123551, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 123555, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 123559, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 123563, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 123567, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 123571, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 123575, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
							}
			if (arm64_may_use_b(zend_array_destroy)) {
		dasm_put(Dst, 123579, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else {
			if (((uintptr_t)(zend_array_destroy)) == 0) {
		dasm_put(Dst, 123582, (ZREG_X15));
			} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
		dasm_put(Dst, 123585, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
			} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
		dasm_put(Dst, 123589, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
		dasm_put(Dst, 123593, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
				if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
		dasm_put(Dst, 123597, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
		dasm_put(Dst, 123602, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 123606, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 123610, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 123614, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 123618, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 123622, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		dasm_put(Dst, 123626, (ZREG_X15));
			}
						} else {
			if (arm64_may_use_b(zend_jit_array_free)) {
		dasm_put(Dst, 123629, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else {
			if (((uintptr_t)(zend_jit_array_free)) == 0) {
		dasm_put(Dst, 123632, (ZREG_X15));
			} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
		dasm_put(Dst, 123635, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
			} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 123639, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 123643, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
				if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
		dasm_put(Dst, 123647, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
		dasm_put(Dst, 123652, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 123656, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 123660, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 123664, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 123668, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 123672, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		dasm_put(Dst, 123676, (ZREG_X15));
			}
						}
						break;
					} else if (type == IS_OBJECT) {
						if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 123679, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 123682);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 123684, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 123687, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 123690, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 123693, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 123696, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 123699, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 123702, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 123705, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 123708, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 123711, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 123714, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
						}
			if (arm64_may_use_b(zend_objects_store_del)) {
		dasm_put(Dst, 123717, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else {
			if (((uintptr_t)(zend_objects_store_del)) == 0) {
		dasm_put(Dst, 123720, (ZREG_X15));
			} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
		dasm_put(Dst, 123723, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
			} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 123727, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 123731, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
				if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
		dasm_put(Dst, 123735, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
		dasm_put(Dst, 123740, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 123744, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 123748, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 123752, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 123756, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 123760, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		dasm_put(Dst, 123764, (ZREG_X15));
			}
						break;
					}
				}
				if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 123767, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 123770, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 123773, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 123777, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 123781, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 123785, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 123790, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 123794, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 123798, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 123802, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 123806, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 123810, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 123814, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
				}
			if (arm64_may_use_b(rc_dtor_func)) {
		dasm_put(Dst, 123818, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else {
			if (((uintptr_t)(rc_dtor_func)) == 0) {
		dasm_put(Dst, 123821, (ZREG_X15));
			} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
		dasm_put(Dst, 123824, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
			} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
		dasm_put(Dst, 123828, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
		dasm_put(Dst, 123832, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
				if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
		dasm_put(Dst, 123836, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
				}
			} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
		dasm_put(Dst, 123841, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 123845, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				}
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 123849, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 123853, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 123857, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 123861, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		dasm_put(Dst, 123865, (ZREG_X15));
			}
			} while(0);
					if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 123868);
					}
		dasm_put(Dst, 123871);
				}
				if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					if ((op1_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
						zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
		dasm_put(Dst, 123873, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
		dasm_put(Dst, 123877, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
		dasm_put(Dst, 123881, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 123885, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 123889, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 123894, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
			}
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 123899, (ZREG_X15));
			} else {
		dasm_put(Dst, 123903, (ZREG_X15), IS_REFERENCE);
			}
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 123909, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 123913, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 123917, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 123921, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 123925, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 123930, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_COLLECTABLE == 0) {
		dasm_put(Dst, 123935, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
		dasm_put(Dst, 123938, (ZREG_X15), IS_TYPE_COLLECTABLE);
			} else {
			if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
		dasm_put(Dst, 123942, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
			} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
		dasm_put(Dst, 123946, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
				if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
		dasm_put(Dst, 123950, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 123954, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		dasm_put(Dst, 123958, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 123962);
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 123965, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
		dasm_put(Dst, 123969, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 123973, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 123977, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 123981, (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 123985, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
			}
		dasm_put(Dst, 123989);
					}
		dasm_put(Dst, 123991, (ZREG_X15));
			if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
		dasm_put(Dst, 123994, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
		dasm_put(Dst, 123997, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
			} else {
			if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
		dasm_put(Dst, 124001, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
			} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
		dasm_put(Dst, 124005, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
				if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
		dasm_put(Dst, 124009, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 124013, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 124017, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 124021);
			if (arm64_may_use_b(gc_possible_root)) {
		dasm_put(Dst, 124024, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else {
			if (((uintptr_t)(gc_possible_root)) == 0) {
		dasm_put(Dst, 124027, (ZREG_X15));
			} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
		dasm_put(Dst, 124030, (ZREG_X15), ((uint64_t)(gc_possible_root)));
			} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
		dasm_put(Dst, 124034, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
		dasm_put(Dst, 124038, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
				if (((uintptr_t)(gc_possible_root)) & 0xfff) {
		dasm_put(Dst, 124042, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
				}
			} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
		dasm_put(Dst, 124047, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 124051, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				}
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 124055, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 124059, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 124063, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 124067, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		dasm_put(Dst, 124071, (ZREG_X15));
			}
				}
				if (0 && ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
		dasm_put(Dst, 124074);
				}
		dasm_put(Dst, 124077);
			}
#line 13839 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (may_throw) {
			if (!zend_jit_check_exception(Dst)) {
				return 0;
			}
		}
	}
	return 1;
}

static int zend_jit_echo(dasm_State **Dst, const zend_op *opline, uint32_t op1_info)
{
	if (opline->op1_type == IS_CONST) {
		zval *zv;
		size_t len;

		zv = RT_CONSTANT(opline, opline->op1);
		ZEND_ASSERT(Z_TYPE_P(zv) == IS_STRING);
		len = Z_STRLEN_P(zv);

		if (len > 0) {
			const char *str = Z_STRVAL_P(zv);

			//|	SET_EX_OPLINE opline, REG0
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 124079, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 124082);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 124084, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 124087, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 124090, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 124093, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 124096, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 124099, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 124102, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 124105, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 124108, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 124111, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 124114, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
#line 13862 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	LOAD_ADDR CARG1, str
				if (((uintptr_t)(str)) == 0) {
			dasm_put(Dst, 124117);
				} else if (((uintptr_t)(str)) <= MOVZ_IMM) {
			dasm_put(Dst, 124119, ((uint64_t)(str)));
				} else if (arm64_may_use_adr((void*)(str))) {
			dasm_put(Dst, 124122, (unsigned int)((ptrdiff_t)(str)), (unsigned int)(((ptrdiff_t)(str))>>32));
				} else if (arm64_may_use_adrp((void*)(str))) {
			dasm_put(Dst, 124125, (unsigned int)((ptrdiff_t)((((uintptr_t)(str))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(str)))))>>32));
					if (((uintptr_t)(str)) & 0xfff) {
			dasm_put(Dst, 124128, (((uintptr_t)(str)) & 0xfff));
					}
				} else if ((uintptr_t)(str) & 0xffff) {
			dasm_put(Dst, 124131, ((uintptr_t)(str) & 0xffff));
					if (((uintptr_t)(str) >> 16) & 0xffff) {
			dasm_put(Dst, 124134, (((uintptr_t)(str) >> 16) & 0xffff));
					}
					if (((uintptr_t)(str) >> 32) & 0xffff) {
			dasm_put(Dst, 124137, (((uintptr_t)(str) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(str) >> 16) & 0xffff) {
			dasm_put(Dst, 124140, (((uintptr_t)(str) >> 16) & 0xffff));
					if (((uintptr_t)(str) >> 32) & 0xffff) {
			dasm_put(Dst, 124143, (((uintptr_t)(str) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 124146, (((uintptr_t)(str) >> 32) & 0xffff));
				}
#line 13863 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	LOAD_64BIT_VAL CARG2, len
				if (((uint64_t)(len)) == 0) {
			dasm_put(Dst, 124149);
				} else if (((uint64_t)(len)) <= MOVZ_IMM) {
			dasm_put(Dst, 124151, ((uint64_t)(len)));
				} else if (~((uint64_t)(len)) <= MOVZ_IMM) {
			dasm_put(Dst, 124154, (~((uint64_t)(len))));
				} else if ((uint64_t)(len) & 0xffff) {
			dasm_put(Dst, 124157, ((uint64_t)(len) & 0xffff));
					if (((uint64_t)(len) >> 16) & 0xffff) {
			dasm_put(Dst, 124160, (((uint64_t)(len) >> 16) & 0xffff));
					}
					if (((uint64_t)(len) >> 32) & 0xffff) {
			dasm_put(Dst, 124163, (((uint64_t)(len) >> 32) & 0xffff));
					}
					if ((((uint64_t)(len) >> 48) & 0xffff)) {
			dasm_put(Dst, 124166, (((uint64_t)(len) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(len) >> 16) & 0xffff) {
			dasm_put(Dst, 124169, (((uint64_t)(len) >> 16) & 0xffff));
					if (((uint64_t)(len) >> 32) & 0xffff) {
			dasm_put(Dst, 124172, (((uint64_t)(len) >> 32) & 0xffff));
					}
					if ((((uint64_t)(len) >> 48) & 0xffff)) {
			dasm_put(Dst, 124175, (((uint64_t)(len) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(len) >> 32) & 0xffff) {
			dasm_put(Dst, 124178, (((uint64_t)(len) >> 32) & 0xffff));
					if ((((uint64_t)(len) >> 48) & 0xffff)) {
			dasm_put(Dst, 124181, (((uint64_t)(len) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 124184, (((uint64_t)(len) >> 48) & 0xffff));
				}
#line 13864 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	EXT_CALL zend_write, REG0
				if (arm64_may_use_b(zend_write)) {
			dasm_put(Dst, 124187, (unsigned int)((ptrdiff_t)(zend_write)), (unsigned int)(((ptrdiff_t)(zend_write))>>32));
				} else {
				if (((uintptr_t)(zend_write)) == 0) {
			dasm_put(Dst, 124190);
				} else if (((uintptr_t)(zend_write)) <= MOVZ_IMM) {
			dasm_put(Dst, 124192, ((uint64_t)(zend_write)));
				} else if (arm64_may_use_adr((void*)(zend_write))) {
			dasm_put(Dst, 124195, (unsigned int)((ptrdiff_t)(zend_write)), (unsigned int)(((ptrdiff_t)(zend_write))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_write))) {
			dasm_put(Dst, 124198, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_write))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_write)))))>>32));
					if (((uintptr_t)(zend_write)) & 0xfff) {
			dasm_put(Dst, 124201, (((uintptr_t)(zend_write)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_write) & 0xffff) {
			dasm_put(Dst, 124204, ((uintptr_t)(zend_write) & 0xffff));
					if (((uintptr_t)(zend_write) >> 16) & 0xffff) {
			dasm_put(Dst, 124207, (((uintptr_t)(zend_write) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_write) >> 32) & 0xffff) {
			dasm_put(Dst, 124210, (((uintptr_t)(zend_write) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_write) >> 16) & 0xffff) {
			dasm_put(Dst, 124213, (((uintptr_t)(zend_write) >> 16) & 0xffff));
					if (((uintptr_t)(zend_write) >> 32) & 0xffff) {
			dasm_put(Dst, 124216, (((uintptr_t)(zend_write) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 124219, (((uintptr_t)(zend_write) >> 32) & 0xffff));
				}
			dasm_put(Dst, 124222);
				}
#line 13865 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (!zend_jit_check_exception(Dst)) {
				return 0;
			}
		}
	} else {
		zend_jit_addr op1_addr = OP1_ADDR();

		ZEND_ASSERT((op1_info & (MAY_BE_UNDEF|MAY_BE_ANY|MAY_BE_REF)) == MAY_BE_STRING);

		//|	SET_EX_OPLINE opline, REG0
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 124224, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 124227);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 124229, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 124232, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 124235, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 124238, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 124241, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 124244, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 124247, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 124250, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 124253, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 124256, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 124259, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
#line 13875 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	GET_ZVAL_PTR REG0, op1_addr, TMP1
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 124262, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 124265, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 124268, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 124271, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 124274, (Z_REG(op1_addr)));
			} else {
		dasm_put(Dst, 124277, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
#line 13876 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	add CARG1, REG0, #offsetof(zend_string, val)
		//|	ldr CARG2, [REG0, #offsetof(zend_string, len)]
		//|	EXT_CALL zend_write, REG0
		dasm_put(Dst, 124281, offsetof(zend_string, val), offsetof(zend_string, len));
			if (arm64_may_use_b(zend_write)) {
		dasm_put(Dst, 124286, (unsigned int)((ptrdiff_t)(zend_write)), (unsigned int)(((ptrdiff_t)(zend_write))>>32));
			} else {
			if (((uintptr_t)(zend_write)) == 0) {
		dasm_put(Dst, 124289);
			} else if (((uintptr_t)(zend_write)) <= MOVZ_IMM) {
		dasm_put(Dst, 124291, ((uint64_t)(zend_write)));
			} else if (arm64_may_use_adr((void*)(zend_write))) {
		dasm_put(Dst, 124294, (unsigned int)((ptrdiff_t)(zend_write)), (unsigned int)(((ptrdiff_t)(zend_write))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_write))) {
		dasm_put(Dst, 124297, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_write))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_write)))))>>32));
				if (((uintptr_t)(zend_write)) & 0xfff) {
		dasm_put(Dst, 124300, (((uintptr_t)(zend_write)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_write) & 0xffff) {
		dasm_put(Dst, 124303, ((uintptr_t)(zend_write) & 0xffff));
				if (((uintptr_t)(zend_write) >> 16) & 0xffff) {
		dasm_put(Dst, 124306, (((uintptr_t)(zend_write) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_write) >> 32) & 0xffff) {
		dasm_put(Dst, 124309, (((uintptr_t)(zend_write) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_write) >> 16) & 0xffff) {
		dasm_put(Dst, 124312, (((uintptr_t)(zend_write) >> 16) & 0xffff));
				if (((uintptr_t)(zend_write) >> 32) & 0xffff) {
		dasm_put(Dst, 124315, (((uintptr_t)(zend_write) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 124318, (((uintptr_t)(zend_write) >> 32) & 0xffff));
			}
		dasm_put(Dst, 124321);
			}
#line 13879 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (opline->op1_type & (IS_VAR|IS_TMP_VAR)) {
			//|	ZVAL_PTR_DTOR op1_addr, op1_info, 0, 0, opline, ZREG_TMP1, ZREG_TMP2
				if ((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
					if ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
						if (0) {
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 124323, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 124327, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 124331, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 124335, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 124339, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 124344, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_REFCOUNTED == 0) {
			dasm_put(Dst, 124349, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
			dasm_put(Dst, 124352, (ZREG_X15), IS_TYPE_REFCOUNTED);
				} else {
				if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
			dasm_put(Dst, 124356, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
				} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
			dasm_put(Dst, 124360, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
					if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
			dasm_put(Dst, 124364, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 124368, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			dasm_put(Dst, 124372, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 124376);
			dasm_put(Dst, 124379);
						} else {
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 124381, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 124385, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 124389, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 124393, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 124397, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 124402, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_REFCOUNTED == 0) {
			dasm_put(Dst, 124407, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
			dasm_put(Dst, 124410, (ZREG_X15), IS_TYPE_REFCOUNTED);
				} else {
				if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
			dasm_put(Dst, 124414, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
				} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
			dasm_put(Dst, 124418, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
					if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
			dasm_put(Dst, 124422, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 124426, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			dasm_put(Dst, 124430, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 124434);
						}
					}
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 124437, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 124441, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 124445, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 124449, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 124453, (Z_REG(op1_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 124457, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
			dasm_put(Dst, 124461, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
					if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op1_info)) {
						if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op1_info)) {
							if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
			dasm_put(Dst, 124469);
							} else {
			dasm_put(Dst, 124472);
							}
						}
				do {
					if (!((op1_info) & MAY_BE_GUARD)
					 && has_concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
						zend_uchar type = concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
						if (type == IS_STRING && !ZEND_DEBUG) {
				if (arm64_may_use_b(_efree)) {
			dasm_put(Dst, 124475, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
				} else {
				if (((uintptr_t)(_efree)) == 0) {
			dasm_put(Dst, 124478, (ZREG_X15));
				} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
			dasm_put(Dst, 124481, (ZREG_X15), ((uint64_t)(_efree)));
				} else if (arm64_may_use_adr((void*)(_efree))) {
			dasm_put(Dst, 124485, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
				} else if (arm64_may_use_adrp((void*)(_efree))) {
			dasm_put(Dst, 124489, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
					if (((uintptr_t)(_efree)) & 0xfff) {
			dasm_put(Dst, 124493, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
					}
				} else if ((uintptr_t)(_efree) & 0xffff) {
			dasm_put(Dst, 124498, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
					if (((uintptr_t)(_efree) >> 16) & 0xffff) {
			dasm_put(Dst, 124502, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
					}
					if (((uintptr_t)(_efree) >> 32) & 0xffff) {
			dasm_put(Dst, 124506, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
			dasm_put(Dst, 124510, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
					if (((uintptr_t)(_efree) >> 32) & 0xffff) {
			dasm_put(Dst, 124514, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 124518, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			dasm_put(Dst, 124522, (ZREG_X15));
				}
							break;
						} else if (type == IS_ARRAY) {
							if ((op1_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
								if (opline && ((op1_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 124525, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 124528, (ZREG_X15));
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 124531, (ZREG_X15), ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 124535, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 124539, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 124543, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 124548, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 124552, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 124556, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 124560, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 124564, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 124568, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 124572, (ZREG_X15), Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
								}
				if (arm64_may_use_b(zend_array_destroy)) {
			dasm_put(Dst, 124576, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
				} else {
				if (((uintptr_t)(zend_array_destroy)) == 0) {
			dasm_put(Dst, 124579, (ZREG_X15));
				} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
			dasm_put(Dst, 124582, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
				} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
			dasm_put(Dst, 124586, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
			dasm_put(Dst, 124590, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
					if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
			dasm_put(Dst, 124594, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
			dasm_put(Dst, 124599, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
					if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
			dasm_put(Dst, 124603, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
			dasm_put(Dst, 124607, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
			dasm_put(Dst, 124611, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
					if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
			dasm_put(Dst, 124615, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 124619, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			dasm_put(Dst, 124623, (ZREG_X15));
				}
							} else {
				if (arm64_may_use_b(zend_jit_array_free)) {
			dasm_put(Dst, 124626, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
				} else {
				if (((uintptr_t)(zend_jit_array_free)) == 0) {
			dasm_put(Dst, 124629, (ZREG_X15));
				} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
			dasm_put(Dst, 124632, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
				} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
			dasm_put(Dst, 124636, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
			dasm_put(Dst, 124640, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
					if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
			dasm_put(Dst, 124644, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
			dasm_put(Dst, 124649, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
					if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
			dasm_put(Dst, 124653, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
			dasm_put(Dst, 124657, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
			dasm_put(Dst, 124661, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
			dasm_put(Dst, 124665, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 124669, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			dasm_put(Dst, 124673, (ZREG_X15));
				}
							}
							break;
						} else if (type == IS_OBJECT) {
							if (opline) {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 124676, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 124679);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 124681, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 124684, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 124687, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 124690, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 124693, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 124696, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 124699, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 124702, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 124705, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 124708, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 124711, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
							}
				if (arm64_may_use_b(zend_objects_store_del)) {
			dasm_put(Dst, 124714, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
				} else {
				if (((uintptr_t)(zend_objects_store_del)) == 0) {
			dasm_put(Dst, 124717, (ZREG_X15));
				} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
			dasm_put(Dst, 124720, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
				} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
			dasm_put(Dst, 124724, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
			dasm_put(Dst, 124728, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
					if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
			dasm_put(Dst, 124732, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
			dasm_put(Dst, 124737, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
					if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
			dasm_put(Dst, 124741, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
			dasm_put(Dst, 124745, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
			dasm_put(Dst, 124749, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
					if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
			dasm_put(Dst, 124753, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 124757, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			dasm_put(Dst, 124761, (ZREG_X15));
				}
							break;
						}
					}
					if (opline) {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 124764, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 124767, (ZREG_X15));
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 124770, (ZREG_X15), ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 124774, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 124778, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 124782, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 124787, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 124791, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 124795, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 124799, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 124803, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 124807, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 124811, (ZREG_X15), Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
					}
				if (arm64_may_use_b(rc_dtor_func)) {
			dasm_put(Dst, 124815, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
				} else {
				if (((uintptr_t)(rc_dtor_func)) == 0) {
			dasm_put(Dst, 124818, (ZREG_X15));
				} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
			dasm_put(Dst, 124821, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
				} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
			dasm_put(Dst, 124825, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
				} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
			dasm_put(Dst, 124829, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
					if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
			dasm_put(Dst, 124833, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
					}
				} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
			dasm_put(Dst, 124838, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
					if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
			dasm_put(Dst, 124842, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
					}
					if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
			dasm_put(Dst, 124846, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
			dasm_put(Dst, 124850, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
					if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
			dasm_put(Dst, 124854, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 124858, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			dasm_put(Dst, 124862, (ZREG_X15));
				}
				} while(0);
						if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
			dasm_put(Dst, 124865);
						}
			dasm_put(Dst, 124868);
					}
					if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
						if ((op1_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
							zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 124870, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 124874, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 124878, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 124882, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 124886, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 124891, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_REFERENCE == 0) {
			dasm_put(Dst, 124896, (ZREG_X15));
				} else {
			dasm_put(Dst, 124900, (ZREG_X15), IS_REFERENCE);
				}
				ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 124906, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 124910, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 124914, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 124918, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 124922, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 124927, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_COLLECTABLE == 0) {
			dasm_put(Dst, 124932, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
			dasm_put(Dst, 124935, (ZREG_X15), IS_TYPE_COLLECTABLE);
				} else {
				if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
			dasm_put(Dst, 124939, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
				} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
			dasm_put(Dst, 124943, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
					if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
			dasm_put(Dst, 124947, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 124951, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			dasm_put(Dst, 124955, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 124959);
				ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 124962, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
			dasm_put(Dst, 124966, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 124970, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 124974, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 124978, (Z_REG(ref_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 124982, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
				}
			dasm_put(Dst, 124986);
						}
			dasm_put(Dst, 124988, (ZREG_X15));
				if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
			dasm_put(Dst, 124991, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
			dasm_put(Dst, 124994, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
				} else {
				if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
			dasm_put(Dst, 124998, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
				} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
			dasm_put(Dst, 125002, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
					if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
			dasm_put(Dst, 125006, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 125010, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			dasm_put(Dst, 125014, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 125018);
				if (arm64_may_use_b(gc_possible_root)) {
			dasm_put(Dst, 125021, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
				} else {
				if (((uintptr_t)(gc_possible_root)) == 0) {
			dasm_put(Dst, 125024, (ZREG_X15));
				} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
			dasm_put(Dst, 125027, (ZREG_X15), ((uint64_t)(gc_possible_root)));
				} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
			dasm_put(Dst, 125031, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
				} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
			dasm_put(Dst, 125035, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
					if (((uintptr_t)(gc_possible_root)) & 0xfff) {
			dasm_put(Dst, 125039, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
					}
				} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
			dasm_put(Dst, 125044, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
					if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
			dasm_put(Dst, 125048, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
					}
					if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
			dasm_put(Dst, 125052, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
			dasm_put(Dst, 125056, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
					if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
			dasm_put(Dst, 125060, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 125064, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			dasm_put(Dst, 125068, (ZREG_X15));
				}
					}
					if (0 && ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
			dasm_put(Dst, 125071);
					}
			dasm_put(Dst, 125074);
				}
#line 13881 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (!zend_jit_check_exception(Dst)) {
			return 0;
		}
	}
	return 1;
}

static int zend_jit_strlen(dasm_State **Dst, const zend_op *opline, uint32_t op1_info, zend_jit_addr op1_addr, zend_jit_addr res_addr)
{
	if (opline->op1_type == IS_CONST) {
		zval *zv;
		size_t len;

		zv = RT_CONSTANT(opline, opline->op1);
		ZEND_ASSERT(Z_TYPE_P(zv) == IS_STRING);
		len = Z_STRLEN_P(zv);

		//|	SET_ZVAL_LVAL res_addr, len, TMP1, TMP2
			if (len == 0) {
			if (Z_MODE(res_addr) == IS_REG) {
		dasm_put(Dst, 125076, (Z_REG(res_addr)));
			} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 125079, ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 125082, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 125085, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 125088, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 125091, (Z_REG(res_addr)));
			} else {
		dasm_put(Dst, 125094, (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
			}
			} else {
			if (((uint64_t)(len)) == 0) {
		dasm_put(Dst, 125098);
			} else if (((uint64_t)(len)) <= MOVZ_IMM) {
		dasm_put(Dst, 125100, ((uint64_t)(len)));
			} else if (~((uint64_t)(len)) <= MOVZ_IMM) {
		dasm_put(Dst, 125103, (~((uint64_t)(len))));
			} else if ((uint64_t)(len) & 0xffff) {
		dasm_put(Dst, 125106, ((uint64_t)(len) & 0xffff));
				if (((uint64_t)(len) >> 16) & 0xffff) {
		dasm_put(Dst, 125109, (((uint64_t)(len) >> 16) & 0xffff));
				}
				if (((uint64_t)(len) >> 32) & 0xffff) {
		dasm_put(Dst, 125112, (((uint64_t)(len) >> 32) & 0xffff));
				}
				if ((((uint64_t)(len) >> 48) & 0xffff)) {
		dasm_put(Dst, 125115, (((uint64_t)(len) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(len) >> 16) & 0xffff) {
		dasm_put(Dst, 125118, (((uint64_t)(len) >> 16) & 0xffff));
				if (((uint64_t)(len) >> 32) & 0xffff) {
		dasm_put(Dst, 125121, (((uint64_t)(len) >> 32) & 0xffff));
				}
				if ((((uint64_t)(len) >> 48) & 0xffff)) {
		dasm_put(Dst, 125124, (((uint64_t)(len) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(len) >> 32) & 0xffff) {
		dasm_put(Dst, 125127, (((uint64_t)(len) >> 32) & 0xffff));
				if ((((uint64_t)(len) >> 48) & 0xffff)) {
		dasm_put(Dst, 125130, (((uint64_t)(len) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 125133, (((uint64_t)(len) >> 48) & 0xffff));
			}
			if (Z_MODE(res_addr) == IS_REG) {
		dasm_put(Dst, 125136, (Z_REG(res_addr)));
			} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 125139, ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 125142, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 125145, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 125148, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 125151, (Z_REG(res_addr)));
			} else {
		dasm_put(Dst, 125154, (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
			}
			}
#line 13900 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
			//|	SET_ZVAL_TYPE_INFO res_addr, IS_LONG, TMP1w, TMP2
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(IS_LONG)) <= MOVZ_IMM) {
			dasm_put(Dst, 125158, ((uint32_t)(IS_LONG)));
				} else if (((uint32_t)(IS_LONG) & 0xffff)) {
			dasm_put(Dst, 125161, ((uint32_t)(IS_LONG) & 0xffff));
					if ((((uint32_t)(IS_LONG) >> 16) & 0xffff)) {
			dasm_put(Dst, 125164, (((uint32_t)(IS_LONG) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 125167, (((uint32_t)(IS_LONG) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 125170, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 125173, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 125176, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 125179, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 125182, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 125185, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
#line 13902 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else if (!zend_jit_store_var_if_necessary(Dst, opline->result.var, res_addr, MAY_BE_LONG)) {
			return 0;
		}
	} else {
		ZEND_ASSERT((op1_info & (MAY_BE_UNDEF|MAY_BE_ANY|MAY_BE_REF)) == MAY_BE_STRING);

		if (Z_MODE(res_addr) == IS_REG) {
			//|	GET_ZVAL_PTR Rx(Z_REG(res_addr)), op1_addr, TMP1
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 125189, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 125192, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 125195, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 125198, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 125201, (Z_REG(res_addr)), (Z_REG(op1_addr)));
				} else {
			dasm_put(Dst, 125205, (Z_REG(res_addr)), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
#line 13910 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	ldr Rx(Z_REG(res_addr)), [Rx(Z_REG(res_addr)), #offsetof(zend_string, len)]
			dasm_put(Dst, 125210, (Z_REG(res_addr)), (Z_REG(res_addr)), offsetof(zend_string, len));
#line 13911 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (!zend_jit_store_var_if_necessary(Dst, opline->result.var, res_addr, MAY_BE_LONG)) {
				return 0;
			}
		} else {
			//|	GET_ZVAL_PTR REG0, op1_addr, TMP1
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 125215, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 125218, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 125221, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 125224, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 125227, (Z_REG(op1_addr)));
				} else {
			dasm_put(Dst, 125230, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
#line 13916 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	ldr REG0, [REG0, #offsetof(zend_string, len)]
			//|	SET_ZVAL_LVAL_FROM_REG res_addr, REG0, TMP1
			dasm_put(Dst, 125234, offsetof(zend_string, len));
				if (Z_MODE(res_addr) == IS_REG) {
			dasm_put(Dst, 125237, (Z_REG(res_addr)));
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 125240, ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 125243, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 125246, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 125249, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 125252, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 125255, (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
#line 13918 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	SET_ZVAL_TYPE_INFO res_addr, IS_LONG, TMP1w, TMP2
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(IS_LONG)) <= MOVZ_IMM) {
			dasm_put(Dst, 125259, ((uint32_t)(IS_LONG)));
				} else if (((uint32_t)(IS_LONG) & 0xffff)) {
			dasm_put(Dst, 125262, ((uint32_t)(IS_LONG) & 0xffff));
					if ((((uint32_t)(IS_LONG) >> 16) & 0xffff)) {
			dasm_put(Dst, 125265, (((uint32_t)(IS_LONG) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 125268, (((uint32_t)(IS_LONG) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 125271, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 125274, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 125277, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 125280, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 125283, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 125286, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
#line 13919 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	FREE_OP opline->op1_type, opline->op1, op1_info, 0, opline, ZREG_TMP1, ZREG_TMP2
			if (opline->op1_type & (IS_VAR|IS_TMP_VAR)) {
				zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op1.var);
			if ((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
				if ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if (0) {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 125290, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 125294, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 125298, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 125302, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 125306, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 125311, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 125316, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 125319, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 125323, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 125327, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 125331, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 125335, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 125339, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 125343);
		dasm_put(Dst, 125346);
					} else {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 125348, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 125352, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 125356, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 125360, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 125364, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 125369, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 125374, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 125377, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 125381, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 125385, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 125389, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 125393, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 125397, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 125401);
					}
				}
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 125404, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
			} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
		dasm_put(Dst, 125408, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 125412, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 125416, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 125420, (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 125424, (Z_REG(addr)), (Z_OFFSET(addr)));
			}
		dasm_put(Dst, 125428, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
				if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op1_info)) {
					if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op1_info)) {
						if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 125436);
						} else {
		dasm_put(Dst, 125439);
						}
					}
			do {
				if (!((op1_info) & MAY_BE_GUARD)
				 && has_concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					zend_uchar type = concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
					if (type == IS_STRING && !ZEND_DEBUG) {
			if (arm64_may_use_b(_efree)) {
		dasm_put(Dst, 125442, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else {
			if (((uintptr_t)(_efree)) == 0) {
		dasm_put(Dst, 125445, (ZREG_X15));
			} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
		dasm_put(Dst, 125448, (ZREG_X15), ((uint64_t)(_efree)));
			} else if (arm64_may_use_adr((void*)(_efree))) {
		dasm_put(Dst, 125452, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else if (arm64_may_use_adrp((void*)(_efree))) {
		dasm_put(Dst, 125456, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
				if (((uintptr_t)(_efree)) & 0xfff) {
		dasm_put(Dst, 125460, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
				}
			} else if ((uintptr_t)(_efree) & 0xffff) {
		dasm_put(Dst, 125465, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
				if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 125469, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 125473, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 125477, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 125481, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 125485, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		dasm_put(Dst, 125489, (ZREG_X15));
			}
						break;
					} else if (type == IS_ARRAY) {
						if ((op1_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
							if (opline && ((op1_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 125492, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 125495, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 125498, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 125502, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 125506, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 125510, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 125515, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 125519, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 125523, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 125527, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 125531, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 125535, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 125539, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
							}
			if (arm64_may_use_b(zend_array_destroy)) {
		dasm_put(Dst, 125543, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else {
			if (((uintptr_t)(zend_array_destroy)) == 0) {
		dasm_put(Dst, 125546, (ZREG_X15));
			} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
		dasm_put(Dst, 125549, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
			} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
		dasm_put(Dst, 125553, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
		dasm_put(Dst, 125557, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
				if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
		dasm_put(Dst, 125561, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
		dasm_put(Dst, 125566, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 125570, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 125574, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 125578, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 125582, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 125586, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		dasm_put(Dst, 125590, (ZREG_X15));
			}
						} else {
			if (arm64_may_use_b(zend_jit_array_free)) {
		dasm_put(Dst, 125593, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else {
			if (((uintptr_t)(zend_jit_array_free)) == 0) {
		dasm_put(Dst, 125596, (ZREG_X15));
			} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
		dasm_put(Dst, 125599, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
			} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 125603, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 125607, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
				if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
		dasm_put(Dst, 125611, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
		dasm_put(Dst, 125616, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 125620, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 125624, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 125628, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 125632, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 125636, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		dasm_put(Dst, 125640, (ZREG_X15));
			}
						}
						break;
					} else if (type == IS_OBJECT) {
						if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 125643, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 125646);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 125648, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 125651, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 125654, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 125657, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 125660, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 125663, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 125666, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 125669, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 125672, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 125675, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 125678, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
						}
			if (arm64_may_use_b(zend_objects_store_del)) {
		dasm_put(Dst, 125681, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else {
			if (((uintptr_t)(zend_objects_store_del)) == 0) {
		dasm_put(Dst, 125684, (ZREG_X15));
			} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
		dasm_put(Dst, 125687, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
			} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 125691, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 125695, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
				if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
		dasm_put(Dst, 125699, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
		dasm_put(Dst, 125704, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 125708, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 125712, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 125716, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 125720, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 125724, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		dasm_put(Dst, 125728, (ZREG_X15));
			}
						break;
					}
				}
				if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 125731, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 125734, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 125737, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 125741, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 125745, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 125749, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 125754, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 125758, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 125762, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 125766, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 125770, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 125774, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 125778, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
				}
			if (arm64_may_use_b(rc_dtor_func)) {
		dasm_put(Dst, 125782, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else {
			if (((uintptr_t)(rc_dtor_func)) == 0) {
		dasm_put(Dst, 125785, (ZREG_X15));
			} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
		dasm_put(Dst, 125788, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
			} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
		dasm_put(Dst, 125792, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
		dasm_put(Dst, 125796, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
				if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
		dasm_put(Dst, 125800, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
				}
			} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
		dasm_put(Dst, 125805, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 125809, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				}
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 125813, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 125817, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 125821, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 125825, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		dasm_put(Dst, 125829, (ZREG_X15));
			}
			} while(0);
					if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 125832);
					}
		dasm_put(Dst, 125835);
				}
				if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					if ((op1_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
						zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
		dasm_put(Dst, 125837, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
		dasm_put(Dst, 125841, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
		dasm_put(Dst, 125845, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 125849, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 125853, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 125858, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
			}
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 125863, (ZREG_X15));
			} else {
		dasm_put(Dst, 125867, (ZREG_X15), IS_REFERENCE);
			}
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 125873, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 125877, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 125881, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 125885, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 125889, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 125894, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_COLLECTABLE == 0) {
		dasm_put(Dst, 125899, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
		dasm_put(Dst, 125902, (ZREG_X15), IS_TYPE_COLLECTABLE);
			} else {
			if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
		dasm_put(Dst, 125906, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
			} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
		dasm_put(Dst, 125910, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
				if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
		dasm_put(Dst, 125914, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 125918, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		dasm_put(Dst, 125922, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 125926);
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 125929, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
		dasm_put(Dst, 125933, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 125937, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 125941, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 125945, (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 125949, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
			}
		dasm_put(Dst, 125953);
					}
		dasm_put(Dst, 125955, (ZREG_X15));
			if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
		dasm_put(Dst, 125958, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
		dasm_put(Dst, 125961, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
			} else {
			if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
		dasm_put(Dst, 125965, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
			} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
		dasm_put(Dst, 125969, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
				if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
		dasm_put(Dst, 125973, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 125977, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 125981, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 125985);
			if (arm64_may_use_b(gc_possible_root)) {
		dasm_put(Dst, 125988, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else {
			if (((uintptr_t)(gc_possible_root)) == 0) {
		dasm_put(Dst, 125991, (ZREG_X15));
			} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
		dasm_put(Dst, 125994, (ZREG_X15), ((uint64_t)(gc_possible_root)));
			} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
		dasm_put(Dst, 125998, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
		dasm_put(Dst, 126002, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
				if (((uintptr_t)(gc_possible_root)) & 0xfff) {
		dasm_put(Dst, 126006, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
				}
			} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
		dasm_put(Dst, 126011, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 126015, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				}
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 126019, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 126023, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 126027, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 126031, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		dasm_put(Dst, 126035, (ZREG_X15));
			}
				}
				if (0 && ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
		dasm_put(Dst, 126038);
				}
		dasm_put(Dst, 126041);
			}
			}
#line 13921 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	return 1;
}

static int zend_jit_count(dasm_State **Dst, const zend_op *opline, uint32_t op1_info, zend_jit_addr op1_addr, zend_jit_addr res_addr, int may_throw)
{
	if (opline->op1_type == IS_CONST) {
		zval *zv;
		zend_long count;

		zv = RT_CONSTANT(opline, opline->op1);
		ZEND_ASSERT(Z_TYPE_P(zv) == IS_ARRAY);
		count = zend_hash_num_elements(Z_ARRVAL_P(zv));

		//|	SET_ZVAL_LVAL res_addr, count, TMP1, TMP2
			if (count == 0) {
			if (Z_MODE(res_addr) == IS_REG) {
		dasm_put(Dst, 126043, (Z_REG(res_addr)));
			} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 126046, ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 126049, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 126052, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 126055, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 126058, (Z_REG(res_addr)));
			} else {
		dasm_put(Dst, 126061, (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
			}
			} else {
			if (((uint64_t)(count)) == 0) {
		dasm_put(Dst, 126065);
			} else if (((uint64_t)(count)) <= MOVZ_IMM) {
		dasm_put(Dst, 126067, ((uint64_t)(count)));
			} else if (~((uint64_t)(count)) <= MOVZ_IMM) {
		dasm_put(Dst, 126070, (~((uint64_t)(count))));
			} else if ((uint64_t)(count) & 0xffff) {
		dasm_put(Dst, 126073, ((uint64_t)(count) & 0xffff));
				if (((uint64_t)(count) >> 16) & 0xffff) {
		dasm_put(Dst, 126076, (((uint64_t)(count) >> 16) & 0xffff));
				}
				if (((uint64_t)(count) >> 32) & 0xffff) {
		dasm_put(Dst, 126079, (((uint64_t)(count) >> 32) & 0xffff));
				}
				if ((((uint64_t)(count) >> 48) & 0xffff)) {
		dasm_put(Dst, 126082, (((uint64_t)(count) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(count) >> 16) & 0xffff) {
		dasm_put(Dst, 126085, (((uint64_t)(count) >> 16) & 0xffff));
				if (((uint64_t)(count) >> 32) & 0xffff) {
		dasm_put(Dst, 126088, (((uint64_t)(count) >> 32) & 0xffff));
				}
				if ((((uint64_t)(count) >> 48) & 0xffff)) {
		dasm_put(Dst, 126091, (((uint64_t)(count) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(count) >> 32) & 0xffff) {
		dasm_put(Dst, 126094, (((uint64_t)(count) >> 32) & 0xffff));
				if ((((uint64_t)(count) >> 48) & 0xffff)) {
		dasm_put(Dst, 126097, (((uint64_t)(count) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 126100, (((uint64_t)(count) >> 48) & 0xffff));
			}
			if (Z_MODE(res_addr) == IS_REG) {
		dasm_put(Dst, 126103, (Z_REG(res_addr)));
			} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 126106, ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 126109, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 126112, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 126115, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 126118, (Z_REG(res_addr)));
			} else {
		dasm_put(Dst, 126121, (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
			}
			}
#line 13936 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
			//|	SET_ZVAL_TYPE_INFO res_addr, IS_LONG, TMP1w, TMP2
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(IS_LONG)) <= MOVZ_IMM) {
			dasm_put(Dst, 126125, ((uint32_t)(IS_LONG)));
				} else if (((uint32_t)(IS_LONG) & 0xffff)) {
			dasm_put(Dst, 126128, ((uint32_t)(IS_LONG) & 0xffff));
					if ((((uint32_t)(IS_LONG) >> 16) & 0xffff)) {
			dasm_put(Dst, 126131, (((uint32_t)(IS_LONG) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 126134, (((uint32_t)(IS_LONG) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 126137, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 126140, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 126143, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 126146, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 126149, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 126152, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
#line 13938 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else if (!zend_jit_store_var_if_necessary(Dst, opline->result.var, res_addr, MAY_BE_LONG)) {
			return 0;
		}
	} else {
		ZEND_ASSERT((op1_info & (MAY_BE_UNDEF|MAY_BE_ANY|MAY_BE_REF)) == MAY_BE_ARRAY);
		// Note: See the implementation of ZEND_COUNT in Zend/zend_vm_def.h - arrays do not contain IS_UNDEF starting in php 8.1+.

		if (Z_MODE(res_addr) == IS_REG) {
			//|	GET_ZVAL_PTR Rx(Z_REG(res_addr)), op1_addr, TMP1
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 126156, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 126159, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 126162, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 126165, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 126168, (Z_REG(res_addr)), (Z_REG(op1_addr)));
				} else {
			dasm_put(Dst, 126172, (Z_REG(res_addr)), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
#line 13947 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			// Sign-extend the 32-bit value to a potentially 64-bit zend_long
			//|	ldr Rw(Z_REG(res_addr)), [Rx(Z_REG(res_addr)), #offsetof(HashTable, nNumOfElements)]
			dasm_put(Dst, 126177, (Z_REG(res_addr)), (Z_REG(res_addr)), offsetof(HashTable, nNumOfElements));
#line 13949 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			if (!zend_jit_store_var_if_necessary(Dst, opline->result.var, res_addr, MAY_BE_LONG)) {
				return 0;
			}
		} else {
			//|	GET_ZVAL_PTR REG0, op1_addr, TMP1
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 126182, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 126185, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 126188, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 126191, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 126194, (Z_REG(op1_addr)));
				} else {
			dasm_put(Dst, 126197, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
#line 13954 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			// Sign-extend the 32-bit value to a potentially 64-bit zend_long
			//|	ldr REG0w, [REG0, #offsetof(HashTable, nNumOfElements)]
			//|	SET_ZVAL_LVAL_FROM_REG res_addr, REG0, TMP1
			dasm_put(Dst, 126201, offsetof(HashTable, nNumOfElements));
				if (Z_MODE(res_addr) == IS_REG) {
			dasm_put(Dst, 126204, (Z_REG(res_addr)));
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 126207, ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 126210, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 126213, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 126216, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 126219, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 126222, (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
#line 13957 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	SET_ZVAL_TYPE_INFO res_addr, IS_LONG, TMP1w, TMP2
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(IS_LONG)) <= MOVZ_IMM) {
			dasm_put(Dst, 126226, ((uint32_t)(IS_LONG)));
				} else if (((uint32_t)(IS_LONG) & 0xffff)) {
			dasm_put(Dst, 126229, ((uint32_t)(IS_LONG) & 0xffff));
					if ((((uint32_t)(IS_LONG) >> 16) & 0xffff)) {
			dasm_put(Dst, 126232, (((uint32_t)(IS_LONG) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 126235, (((uint32_t)(IS_LONG) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 126238, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 126241, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 126244, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 126247, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 126250, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 126253, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
#line 13958 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	FREE_OP opline->op1_type, opline->op1, op1_info, 0, opline, ZREG_TMP1, ZREG_TMP2
			if (opline->op1_type & (IS_VAR|IS_TMP_VAR)) {
				zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op1.var);
			if ((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
				if ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if (0) {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 126257, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 126261, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 126265, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 126269, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 126273, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 126278, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 126283, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 126286, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 126290, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 126294, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 126298, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 126302, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 126306, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 126310);
		dasm_put(Dst, 126313);
					} else {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 126315, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 126319, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 126323, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 126327, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 126331, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 126336, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 126341, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 126344, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 126348, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 126352, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 126356, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 126360, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 126364, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 126368);
					}
				}
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 126371, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
			} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
		dasm_put(Dst, 126375, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 126379, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 126383, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 126387, (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 126391, (Z_REG(addr)), (Z_OFFSET(addr)));
			}
		dasm_put(Dst, 126395, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
				if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op1_info)) {
					if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op1_info)) {
						if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 126403);
						} else {
		dasm_put(Dst, 126406);
						}
					}
			do {
				if (!((op1_info) & MAY_BE_GUARD)
				 && has_concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					zend_uchar type = concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
					if (type == IS_STRING && !ZEND_DEBUG) {
			if (arm64_may_use_b(_efree)) {
		dasm_put(Dst, 126409, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else {
			if (((uintptr_t)(_efree)) == 0) {
		dasm_put(Dst, 126412, (ZREG_X15));
			} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
		dasm_put(Dst, 126415, (ZREG_X15), ((uint64_t)(_efree)));
			} else if (arm64_may_use_adr((void*)(_efree))) {
		dasm_put(Dst, 126419, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else if (arm64_may_use_adrp((void*)(_efree))) {
		dasm_put(Dst, 126423, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
				if (((uintptr_t)(_efree)) & 0xfff) {
		dasm_put(Dst, 126427, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
				}
			} else if ((uintptr_t)(_efree) & 0xffff) {
		dasm_put(Dst, 126432, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
				if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 126436, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 126440, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 126444, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 126448, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 126452, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		dasm_put(Dst, 126456, (ZREG_X15));
			}
						break;
					} else if (type == IS_ARRAY) {
						if ((op1_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
							if (opline && ((op1_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 126459, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 126462, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 126465, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 126469, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 126473, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 126477, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 126482, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 126486, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 126490, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 126494, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 126498, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 126502, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 126506, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
							}
			if (arm64_may_use_b(zend_array_destroy)) {
		dasm_put(Dst, 126510, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else {
			if (((uintptr_t)(zend_array_destroy)) == 0) {
		dasm_put(Dst, 126513, (ZREG_X15));
			} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
		dasm_put(Dst, 126516, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
			} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
		dasm_put(Dst, 126520, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
		dasm_put(Dst, 126524, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
				if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
		dasm_put(Dst, 126528, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
		dasm_put(Dst, 126533, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 126537, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 126541, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 126545, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 126549, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 126553, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		dasm_put(Dst, 126557, (ZREG_X15));
			}
						} else {
			if (arm64_may_use_b(zend_jit_array_free)) {
		dasm_put(Dst, 126560, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else {
			if (((uintptr_t)(zend_jit_array_free)) == 0) {
		dasm_put(Dst, 126563, (ZREG_X15));
			} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
		dasm_put(Dst, 126566, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
			} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 126570, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 126574, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
				if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
		dasm_put(Dst, 126578, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
		dasm_put(Dst, 126583, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 126587, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 126591, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 126595, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 126599, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 126603, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		dasm_put(Dst, 126607, (ZREG_X15));
			}
						}
						break;
					} else if (type == IS_OBJECT) {
						if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 126610, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 126613);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 126615, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 126618, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 126621, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 126624, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 126627, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 126630, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 126633, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 126636, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 126639, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 126642, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 126645, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
						}
			if (arm64_may_use_b(zend_objects_store_del)) {
		dasm_put(Dst, 126648, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else {
			if (((uintptr_t)(zend_objects_store_del)) == 0) {
		dasm_put(Dst, 126651, (ZREG_X15));
			} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
		dasm_put(Dst, 126654, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
			} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 126658, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 126662, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
				if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
		dasm_put(Dst, 126666, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
		dasm_put(Dst, 126671, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 126675, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 126679, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 126683, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 126687, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 126691, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		dasm_put(Dst, 126695, (ZREG_X15));
			}
						break;
					}
				}
				if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 126698, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 126701, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 126704, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 126708, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 126712, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 126716, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 126721, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 126725, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 126729, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 126733, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 126737, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 126741, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 126745, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
				}
			if (arm64_may_use_b(rc_dtor_func)) {
		dasm_put(Dst, 126749, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else {
			if (((uintptr_t)(rc_dtor_func)) == 0) {
		dasm_put(Dst, 126752, (ZREG_X15));
			} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
		dasm_put(Dst, 126755, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
			} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
		dasm_put(Dst, 126759, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
		dasm_put(Dst, 126763, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
				if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
		dasm_put(Dst, 126767, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
				}
			} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
		dasm_put(Dst, 126772, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 126776, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				}
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 126780, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 126784, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 126788, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 126792, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		dasm_put(Dst, 126796, (ZREG_X15));
			}
			} while(0);
					if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 126799);
					}
		dasm_put(Dst, 126802);
				}
				if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					if ((op1_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
						zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
		dasm_put(Dst, 126804, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
		dasm_put(Dst, 126808, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
		dasm_put(Dst, 126812, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 126816, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 126820, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 126825, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
			}
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 126830, (ZREG_X15));
			} else {
		dasm_put(Dst, 126834, (ZREG_X15), IS_REFERENCE);
			}
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 126840, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 126844, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 126848, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 126852, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 126856, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 126861, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_COLLECTABLE == 0) {
		dasm_put(Dst, 126866, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
		dasm_put(Dst, 126869, (ZREG_X15), IS_TYPE_COLLECTABLE);
			} else {
			if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
		dasm_put(Dst, 126873, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
			} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
		dasm_put(Dst, 126877, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
				if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
		dasm_put(Dst, 126881, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 126885, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		dasm_put(Dst, 126889, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 126893);
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 126896, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
		dasm_put(Dst, 126900, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 126904, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 126908, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 126912, (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 126916, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
			}
		dasm_put(Dst, 126920);
					}
		dasm_put(Dst, 126922, (ZREG_X15));
			if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
		dasm_put(Dst, 126925, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
		dasm_put(Dst, 126928, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
			} else {
			if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
		dasm_put(Dst, 126932, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
			} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
		dasm_put(Dst, 126936, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
				if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
		dasm_put(Dst, 126940, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 126944, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 126948, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 126952);
			if (arm64_may_use_b(gc_possible_root)) {
		dasm_put(Dst, 126955, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else {
			if (((uintptr_t)(gc_possible_root)) == 0) {
		dasm_put(Dst, 126958, (ZREG_X15));
			} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
		dasm_put(Dst, 126961, (ZREG_X15), ((uint64_t)(gc_possible_root)));
			} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
		dasm_put(Dst, 126965, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
		dasm_put(Dst, 126969, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
				if (((uintptr_t)(gc_possible_root)) & 0xfff) {
		dasm_put(Dst, 126973, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
				}
			} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
		dasm_put(Dst, 126978, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 126982, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				}
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 126986, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 126990, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 126994, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 126998, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		dasm_put(Dst, 127002, (ZREG_X15));
			}
				}
				if (0 && ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
		dasm_put(Dst, 127005);
				}
		dasm_put(Dst, 127008);
			}
			}
#line 13960 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	if (may_throw) {
		return zend_jit_check_exception(Dst);
	}
	return 1;
}

static int zend_jit_load_this(dasm_State **Dst, uint32_t var)
{
	zend_jit_addr var_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, var);

	//|	ldr FCARG1x, EX->This.value.ptr
	//|	SET_ZVAL_PTR var_addr, FCARG1x, TMP1
	dasm_put(Dst, 127010, Dt1(->This.value.ptr));
		ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 127013, ((uint32_t)(Z_OFFSET(var_addr))));
		} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
	dasm_put(Dst, 127016, ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 127019, (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 127022, (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 127025, (Z_REG(var_addr)));
		} else {
	dasm_put(Dst, 127028, (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
		}
#line 13974 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	SET_ZVAL_TYPE_INFO var_addr, IS_OBJECT_EX, TMP1w, TMP2
		ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
		if (((uint32_t)(IS_OBJECT_EX)) <= MOVZ_IMM) {
	dasm_put(Dst, 127032, ((uint32_t)(IS_OBJECT_EX)));
		} else if (((uint32_t)(IS_OBJECT_EX) & 0xffff)) {
	dasm_put(Dst, 127035, ((uint32_t)(IS_OBJECT_EX) & 0xffff));
			if ((((uint32_t)(IS_OBJECT_EX) >> 16) & 0xffff)) {
	dasm_put(Dst, 127038, (((uint32_t)(IS_OBJECT_EX) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 127041, (((uint32_t)(IS_OBJECT_EX) >> 16) & 0xffff));
		}
		if (((uintptr_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
		if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
	dasm_put(Dst, 127044, ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))));
		} else if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
	dasm_put(Dst, 127047, ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
	dasm_put(Dst, 127050, (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 127053, (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 127056, (Z_REG(var_addr)));
		} else {
	dasm_put(Dst, 127059, (Z_REG(var_addr)), (Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)));
		}
#line 13975 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	GC_ADDREF FCARG1x, TMP1w
	dasm_put(Dst, 127063);
#line 13976 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	return 1;
}

static int zend_jit_fetch_this(dasm_State **Dst, const zend_op *opline, const zend_op_array *op_array, bool check_only)
{
	if (!op_array->scope || (op_array->fn_flags & ZEND_ACC_STATIC)) {
		if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE) {
			if (!JIT_G(current_frame) ||
			    !TRACE_FRAME_IS_THIS_CHECKED(JIT_G(current_frame))) {

				int32_t exit_point = zend_jit_trace_get_exit_point(opline, ZEND_JIT_EXIT_TO_VM);
				const void *exit_addr = zend_jit_trace_get_exit_addr(exit_point);

				if (!exit_addr) {
					return 0;
				}

				//|	ldrb TMP1w, EX->This.u1.v.type
				//|	cmp TMP1w, #IS_OBJECT
				//|	bne &exit_addr
				dasm_put(Dst, 127067, Dt1(->This.u1.v.type), IS_OBJECT, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 13996 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

				if (JIT_G(current_frame)) {
					TRACE_FRAME_SET_THIS_CHECKED(JIT_G(current_frame));
				}
			}
		} else {

			//|	ldrb TMP1w, EX->This.u1.v.type
			//|	cmp TMP1w, #IS_OBJECT
			//|	bne >1
			//|.cold_code
			dasm_put(Dst, 127074, Dt1(->This.u1.v.type), IS_OBJECT);
#line 14007 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|1:
			//|	SET_EX_OPLINE opline, REG0
			dasm_put(Dst, 127081);
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 127083, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 127086);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 127088, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 127091, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 127094, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 127097, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 127100, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 127103, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 127106, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 127109, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 127112, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 127115, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 127118, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
#line 14009 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	b ->invalid_this
			//|.code
			dasm_put(Dst, 127121);
#line 14011 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	if (!check_only) {
		if (!zend_jit_load_this(Dst, opline->result.var)) {
			return 0;
		}
	}
	return 1;
}

static int zend_jit_hash_jmp(dasm_State **Dst, const zend_op *opline, const zend_op_array *op_array, zend_ssa *ssa, HashTable *jumptable, int default_b, const void *default_label, const zend_op *next_opline, zend_jit_trace_info *trace_info)
{
	uint32_t count;
	Bucket *p;
	const zend_op *target;
	int b;
	int32_t exit_point;
	const void *exit_addr;

	if (default_label) {
		//|	cbz REG0, &default_label
		dasm_put(Dst, 127124, (unsigned int)((ptrdiff_t)(default_label)), (unsigned int)(((ptrdiff_t)(default_label))>>32));
#line 14033 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else if (next_opline) {
		//|	cbz REG0, >3
		dasm_put(Dst, 127127);
#line 14035 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		//|	cbz REG0, =>default_b
		dasm_put(Dst, 127130, default_b);
#line 14037 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	//|	LOAD_ADDR FCARG1x, jumptable
		if (((uintptr_t)(jumptable)) == 0) {
	dasm_put(Dst, 127133);
		} else if (((uintptr_t)(jumptable)) <= MOVZ_IMM) {
	dasm_put(Dst, 127135, ((uint64_t)(jumptable)));
		} else if (arm64_may_use_adr((void*)(jumptable))) {
	dasm_put(Dst, 127138, (unsigned int)((ptrdiff_t)(jumptable)), (unsigned int)(((ptrdiff_t)(jumptable))>>32));
		} else if (arm64_may_use_adrp((void*)(jumptable))) {
	dasm_put(Dst, 127141, (unsigned int)((ptrdiff_t)((((uintptr_t)(jumptable))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(jumptable)))))>>32));
			if (((uintptr_t)(jumptable)) & 0xfff) {
	dasm_put(Dst, 127144, (((uintptr_t)(jumptable)) & 0xfff));
			}
		} else if ((uintptr_t)(jumptable) & 0xffff) {
	dasm_put(Dst, 127147, ((uintptr_t)(jumptable) & 0xffff));
			if (((uintptr_t)(jumptable) >> 16) & 0xffff) {
	dasm_put(Dst, 127150, (((uintptr_t)(jumptable) >> 16) & 0xffff));
			}
			if (((uintptr_t)(jumptable) >> 32) & 0xffff) {
	dasm_put(Dst, 127153, (((uintptr_t)(jumptable) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(jumptable) >> 16) & 0xffff) {
	dasm_put(Dst, 127156, (((uintptr_t)(jumptable) >> 16) & 0xffff));
			if (((uintptr_t)(jumptable) >> 32) & 0xffff) {
	dasm_put(Dst, 127159, (((uintptr_t)(jumptable) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 127162, (((uintptr_t)(jumptable) >> 32) & 0xffff));
		}
#line 14039 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	ldr TMP1, [FCARG1x, #offsetof(HashTable, arData)]
	//|	sub REG0, REG0, TMP1
	//|	mov FCARG1x, #(sizeof(Bucket) / sizeof(void*))
	//|	sdiv REG0, REG0, FCARG1x
	//|	adr FCARG1x, >4
	//|	ldr TMP1, [FCARG1x, REG0]
	//|	br TMP1
	dasm_put(Dst, 127165, offsetof(HashTable, arData), (sizeof(Bucket) / sizeof(void*)));
#line 14046 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	//|.jmp_table
	dasm_put(Dst, 127176);
#line 14048 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|.align 8
	//|4:
	dasm_put(Dst, 127177);
#line 14050 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	if (trace_info) {
		trace_info->jmp_table_size += zend_hash_num_elements(jumptable);
	}

	count = jumptable->nNumUsed;
	p = jumptable->arData;
	do {
		if (Z_TYPE(p->val) == IS_UNDEF) {
			if (default_label) {
				//|	.addr &default_label
				dasm_put(Dst, 127180, (unsigned int)((ptrdiff_t)(default_label)), (unsigned int)((unsigned long long)((ptrdiff_t)(default_label))>>32));
#line 14060 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else if (next_opline) {
				//|	.addr >3
				dasm_put(Dst, 127183);
#line 14062 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	.addr =>default_b
				dasm_put(Dst, 127185, default_b);
#line 14064 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else {
			target = ZEND_OFFSET_TO_OPLINE(opline, Z_LVAL(p->val));
			if (!next_opline) {
				b = ssa->cfg.map[target - op_array->opcodes];
				//|	.addr =>b
				dasm_put(Dst, 127187, b);
#line 14070 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else if (next_opline == target) {
				//|	.addr >3
				dasm_put(Dst, 127189);
#line 14072 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				exit_point = zend_jit_trace_get_exit_point(target, 0);
				exit_addr = zend_jit_trace_get_exit_addr(exit_point);
				if (!exit_addr) {
					return 0;
				}
				//|	.addr &exit_addr
				dasm_put(Dst, 127191, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)((unsigned long long)((ptrdiff_t)(exit_addr))>>32));
#line 14079 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
		p++;
		count--;
	} while (count);
	//|.code
	dasm_put(Dst, 127194);
#line 14085 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	return 1;
}

static int zend_jit_switch(dasm_State **Dst, const zend_op *opline, const zend_op_array *op_array, zend_ssa *ssa, zend_jit_trace_rec *trace, zend_jit_trace_info *trace_info)
{
	HashTable *jumptable = Z_ARRVAL_P(RT_CONSTANT(opline, opline->op2));
	const zend_op *next_opline = NULL;

	if (trace) {
		ZEND_ASSERT(trace->op == ZEND_JIT_TRACE_VM || trace->op == ZEND_JIT_TRACE_END);
		ZEND_ASSERT(trace->opline != NULL);
		next_opline = trace->opline;
	}

	if (opline->op1_type == IS_CONST) {
		zval *zv = RT_CONSTANT(opline, opline->op1);
		zval *jump_zv = NULL;
		int b;

		if (opline->opcode == ZEND_SWITCH_LONG) {
			if (Z_TYPE_P(zv) == IS_LONG) {
				jump_zv = zend_hash_index_find(jumptable, Z_LVAL_P(zv));
			}
		} else if (opline->opcode == ZEND_SWITCH_STRING) {
			if (Z_TYPE_P(zv) == IS_STRING) {
				jump_zv = zend_hash_find_known_hash(jumptable, Z_STR_P(zv));
			}
		} else if (opline->opcode == ZEND_MATCH) {
			if (Z_TYPE_P(zv) == IS_LONG) {
				jump_zv = zend_hash_index_find(jumptable, Z_LVAL_P(zv));
			} else if (Z_TYPE_P(zv) == IS_STRING) {
				jump_zv = zend_hash_find_known_hash(jumptable, Z_STR_P(zv));
			}
		} else {
			ZEND_UNREACHABLE();
		}
		if (next_opline) {
			const zend_op *target;

			if (jump_zv != NULL) {
				target = ZEND_OFFSET_TO_OPLINE(opline, Z_LVAL_P(jump_zv));
			} else {
				target = ZEND_OFFSET_TO_OPLINE(opline, opline->extended_value);
			}
			ZEND_ASSERT(target == next_opline);
		} else {
			if (jump_zv != NULL) {
				b = ssa->cfg.map[ZEND_OFFSET_TO_OPLINE(opline, Z_LVAL_P(jump_zv)) - op_array->opcodes];
			} else {
				b = ssa->cfg.map[ZEND_OFFSET_TO_OPLINE(opline, opline->extended_value) - op_array->opcodes];
			}
			//|	b =>b
			dasm_put(Dst, 127195, b);
#line 14138 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else {
		zend_ssa_op *ssa_op = &ssa->ops[opline - op_array->opcodes];
		uint32_t op1_info = OP1_INFO();
		zend_jit_addr op1_addr = OP1_ADDR();
		const zend_op *default_opline = ZEND_OFFSET_TO_OPLINE(opline, opline->extended_value);
		const zend_op *target;
		int default_b = next_opline ? -1 : ssa->cfg.map[default_opline - op_array->opcodes];
		int b;
		int32_t exit_point;
		const void *fallback_label = NULL;
		const void *default_label = NULL;
		const void *exit_addr;

		if (next_opline) {
			if (next_opline != opline + 1) {
				exit_point = zend_jit_trace_get_exit_point(opline + 1, 0);
				fallback_label = zend_jit_trace_get_exit_addr(exit_point);
				if (!fallback_label) {
					return 0;
				}
			}
			if (next_opline != default_opline) {
				exit_point = zend_jit_trace_get_exit_point(default_opline, 0);
				default_label = zend_jit_trace_get_exit_addr(exit_point);
				if (!default_label) {
					return 0;
				}
			}
		}

		if (opline->opcode == ZEND_SWITCH_LONG) {
			if (op1_info & MAY_BE_LONG) {
				if (op1_info & MAY_BE_REF) {
					//|	IF_NOT_ZVAL_TYPE op1_addr, IS_LONG, >1, ZREG_TMP1
						ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 127198, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 127202, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 127206, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 127210, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 127214, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 127219, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
						}
						if (IS_LONG == 0) {
					dasm_put(Dst, 127224, (ZREG_X15));
						} else {
					dasm_put(Dst, 127228, (ZREG_X15), IS_LONG);
						}
#line 14173 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	GET_ZVAL_LVAL ZREG_FCARG2, op1_addr, TMP1
						if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
							if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
					dasm_put(Dst, 127234, (ZREG_FCARG2));
							} else {
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
					dasm_put(Dst, 127237, (ZREG_FCARG2));
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
					dasm_put(Dst, 127240, (ZREG_FCARG2), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
						} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
					dasm_put(Dst, 127244, (ZREG_FCARG2), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
						} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
					dasm_put(Dst, 127248, (ZREG_FCARG2), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
							if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
					dasm_put(Dst, 127252, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
							}
							if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 127256, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
							}
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 127260, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
							}
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
					dasm_put(Dst, 127264, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
							if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 127268, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
							}
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 127272, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
							}
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 127276, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 127280, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
							}
						} else {
					dasm_put(Dst, 127284, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
							}
						} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
						if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 127288, ((uint32_t)(Z_OFFSET(op1_addr))));
						} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
					dasm_put(Dst, 127291, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 127294, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 127297, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 127300, (ZREG_FCARG2), (Z_REG(op1_addr)));
						} else {
					dasm_put(Dst, 127304, (ZREG_FCARG2), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
						}
						} else if (Z_MODE(op1_addr) == IS_REG) {
							if (ZREG_FCARG2 != Z_REG(op1_addr)) {
					dasm_put(Dst, 127309, (ZREG_FCARG2), (Z_REG(op1_addr)));
							}
						} else {
							ZEND_UNREACHABLE();
						}
#line 14174 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|.cold_code
					dasm_put(Dst, 127313);
#line 14175 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|1:
					//|	// ZVAL_DEREF(op)
					dasm_put(Dst, 127314);
#line 14177 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					if (fallback_label) {
						//|	IF_NOT_ZVAL_TYPE op1_addr, IS_REFERENCE, &fallback_label, ZREG_TMP1
							ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
							if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
							if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
						dasm_put(Dst, 127316, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
							} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
						dasm_put(Dst, 127320, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
						dasm_put(Dst, 127324, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 127328, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 127332, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
							} else {
						dasm_put(Dst, 127337, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
							}
							if (IS_REFERENCE == 0) {
						dasm_put(Dst, 127342, (ZREG_X15), (unsigned int)((ptrdiff_t)(fallback_label)), (unsigned int)(((ptrdiff_t)(fallback_label))>>32));
							} else {
						dasm_put(Dst, 127346, (ZREG_X15), IS_REFERENCE, (unsigned int)((ptrdiff_t)(fallback_label)), (unsigned int)(((ptrdiff_t)(fallback_label))>>32));
							}
#line 14179 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	IF_NOT_ZVAL_TYPE op1_addr, IS_REFERENCE, >3, ZREG_TMP1
							ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
							if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
							if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
						dasm_put(Dst, 127352, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
							} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
						dasm_put(Dst, 127356, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
						dasm_put(Dst, 127360, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 127364, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 127368, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
							} else {
						dasm_put(Dst, 127373, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
							}
							if (IS_REFERENCE == 0) {
						dasm_put(Dst, 127378, (ZREG_X15));
							} else {
						dasm_put(Dst, 127382, (ZREG_X15), IS_REFERENCE);
							}
#line 14181 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					//|	GET_ZVAL_PTR FCARG2x, op1_addr, TMP1
						ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 127388, ((uint32_t)(Z_OFFSET(op1_addr))));
						} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
					dasm_put(Dst, 127391, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 127394, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 127397, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 127400, (Z_REG(op1_addr)));
						} else {
					dasm_put(Dst, 127403, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
						}
#line 14183 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					if (fallback_label) {
						//|	add TMP1, FCARG2x, #offsetof(zend_reference, val)
						//|	IF_NOT_Z_TYPE TMP1, IS_LONG, &fallback_label, TMP2w
						dasm_put(Dst, 127407, offsetof(zend_reference, val), offsetof(zval, u1.v.type));
							if (IS_LONG == 0) {
						dasm_put(Dst, 127412, (unsigned int)((ptrdiff_t)(fallback_label)), (unsigned int)(((ptrdiff_t)(fallback_label))>>32));
							} else {
						dasm_put(Dst, 127415, IS_LONG, (unsigned int)((ptrdiff_t)(fallback_label)), (unsigned int)(((ptrdiff_t)(fallback_label))>>32));
							}
#line 14186 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	add TMP1, FCARG2x, #offsetof(zend_reference, val)
						//|	IF_NOT_Z_TYPE TMP1, IS_LONG, >3, TMP2w
						dasm_put(Dst, 127420, offsetof(zend_reference, val), offsetof(zval, u1.v.type));
							if (IS_LONG == 0) {
						dasm_put(Dst, 127425);
							} else {
						dasm_put(Dst, 127428, IS_LONG);
							}
#line 14189 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					//|	ldr FCARG2x, [FCARG2x, #offsetof(zend_reference, val.value.lval)]
					//|	b >2
					//|.code
					dasm_put(Dst, 127433, offsetof(zend_reference, val.value.lval));
#line 14193 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|2:
					dasm_put(Dst, 127438);
#line 14194 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					if (op1_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-MAY_BE_LONG)) {
						if (fallback_label) {
							//|	IF_NOT_ZVAL_TYPE op1_addr, IS_LONG, &fallback_label, ZREG_TMP1
								ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
								if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
								if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
							dasm_put(Dst, 127440, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
								} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
							dasm_put(Dst, 127444, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
									if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
							dasm_put(Dst, 127448, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
									}
								} else {
							dasm_put(Dst, 127452, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
								}
							dasm_put(Dst, 127456, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
								} else {
							dasm_put(Dst, 127461, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
								}
								if (IS_LONG == 0) {
							dasm_put(Dst, 127466, (ZREG_X15), (unsigned int)((ptrdiff_t)(fallback_label)), (unsigned int)(((ptrdiff_t)(fallback_label))>>32));
								} else {
							dasm_put(Dst, 127470, (ZREG_X15), IS_LONG, (unsigned int)((ptrdiff_t)(fallback_label)), (unsigned int)(((ptrdiff_t)(fallback_label))>>32));
								}
#line 14198 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						} else {
							//|	IF_NOT_ZVAL_TYPE op1_addr, IS_LONG, >3, ZREG_TMP1
								ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
								if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
								if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
							dasm_put(Dst, 127476, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
								} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
							dasm_put(Dst, 127480, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
									if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
							dasm_put(Dst, 127484, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
									}
								} else {
							dasm_put(Dst, 127488, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
								}
							dasm_put(Dst, 127492, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
								} else {
							dasm_put(Dst, 127497, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
								}
								if (IS_LONG == 0) {
							dasm_put(Dst, 127502, (ZREG_X15));
								} else {
							dasm_put(Dst, 127506, (ZREG_X15), IS_LONG);
								}
#line 14200 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						}
					}
					//|	GET_ZVAL_LVAL ZREG_FCARG2, op1_addr, TMP1
						if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
							if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
					dasm_put(Dst, 127512, (ZREG_FCARG2));
							} else {
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
					dasm_put(Dst, 127515, (ZREG_FCARG2));
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
					dasm_put(Dst, 127518, (ZREG_FCARG2), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
						} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
					dasm_put(Dst, 127522, (ZREG_FCARG2), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
						} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
					dasm_put(Dst, 127526, (ZREG_FCARG2), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
							if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
					dasm_put(Dst, 127530, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
							}
							if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 127534, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
							}
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 127538, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
							}
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
					dasm_put(Dst, 127542, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
							if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 127546, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
							}
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 127550, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
							}
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 127554, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 127558, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
							}
						} else {
					dasm_put(Dst, 127562, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
							}
						} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
						if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 127566, ((uint32_t)(Z_OFFSET(op1_addr))));
						} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
					dasm_put(Dst, 127569, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 127572, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 127575, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 127578, (ZREG_FCARG2), (Z_REG(op1_addr)));
						} else {
					dasm_put(Dst, 127582, (ZREG_FCARG2), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
						}
						} else if (Z_MODE(op1_addr) == IS_REG) {
							if (ZREG_FCARG2 != Z_REG(op1_addr)) {
					dasm_put(Dst, 127587, (ZREG_FCARG2), (Z_REG(op1_addr)));
							}
						} else {
							ZEND_UNREACHABLE();
						}
#line 14203 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				if (HT_IS_PACKED(jumptable)) {
					uint32_t count = jumptable->nNumUsed;
					Bucket *p = jumptable->arData;

					//|	CMP_64_WITH_CONST_32 FCARG2x, jumptable->nNumUsed, TMP1
						if (jumptable->nNumUsed == 0) {
					dasm_put(Dst, 127591);
						} else if (arm64_may_encode_imm12((int64_t)(jumptable->nNumUsed))) {
					dasm_put(Dst, 127593, jumptable->nNumUsed);
						} else if (arm64_may_encode_imm12((int64_t)(-jumptable->nNumUsed))) {
					dasm_put(Dst, 127596, -jumptable->nNumUsed);
						} else {
						if (((uint32_t)(jumptable->nNumUsed)) <= MOVZ_IMM) {
					dasm_put(Dst, 127599, ((uint32_t)(jumptable->nNumUsed)));
						} else if (((uint32_t)(jumptable->nNumUsed) & 0xffff)) {
					dasm_put(Dst, 127602, ((uint32_t)(jumptable->nNumUsed) & 0xffff));
							if ((((uint32_t)(jumptable->nNumUsed) >> 16) & 0xffff)) {
					dasm_put(Dst, 127605, (((uint32_t)(jumptable->nNumUsed) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 127608, (((uint32_t)(jumptable->nNumUsed) >> 16) & 0xffff));
						}
					dasm_put(Dst, 127611);
						}
#line 14209 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					if (default_label) {
						//|	bhs &default_label
						dasm_put(Dst, 127613, (unsigned int)((ptrdiff_t)(default_label)), (unsigned int)(((ptrdiff_t)(default_label))>>32));
#line 14211 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else if (next_opline) {
						//|	bhs >3
						dasm_put(Dst, 127616);
#line 14213 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	bhs =>default_b
						dasm_put(Dst, 127619, default_b);
#line 14215 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					//|	adr REG0, >4
					//|	ldr TMP1, [REG0, FCARG2x, lsl #3]
					//|	br TMP1
					dasm_put(Dst, 127622);
#line 14219 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

					//|.jmp_table
					dasm_put(Dst, 127627);
#line 14221 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|.align 8
					//|4:
					dasm_put(Dst, 127628);
#line 14223 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					if (trace_info) {
						trace_info->jmp_table_size += count;
					}
					p = jumptable->arData;
					do {
						if (Z_TYPE(p->val) == IS_UNDEF) {
							if (default_label) {
								//|	.addr &default_label
								dasm_put(Dst, 127631, (unsigned int)((ptrdiff_t)(default_label)), (unsigned int)((unsigned long long)((ptrdiff_t)(default_label))>>32));
#line 14231 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
							} else if (next_opline) {
								//|	.addr >3
								dasm_put(Dst, 127634);
#line 14233 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
							} else {
								//|	.addr =>default_b
								dasm_put(Dst, 127636, default_b);
#line 14235 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
							}
						} else {
							target = ZEND_OFFSET_TO_OPLINE(opline, Z_LVAL(p->val));
							if (!next_opline) {
								b = ssa->cfg.map[target - op_array->opcodes];
								//|	.addr =>b
								dasm_put(Dst, 127638, b);
#line 14241 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
							} else if (next_opline == target) {
								//|	.addr >3
								dasm_put(Dst, 127640);
#line 14243 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
							} else {
								exit_point = zend_jit_trace_get_exit_point(target, 0);
								exit_addr = zend_jit_trace_get_exit_addr(exit_point);
								if (!exit_addr) {
									return 0;
								}
								//|	.addr &exit_addr
								dasm_put(Dst, 127642, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)((unsigned long long)((ptrdiff_t)(exit_addr))>>32));
#line 14250 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
							}
						}
						p++;
						count--;
					} while (count);
					//|.code
					dasm_put(Dst, 127645);
#line 14256 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|3:
					dasm_put(Dst, 127646);
#line 14257 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	LOAD_ADDR FCARG1x, jumptable
						if (((uintptr_t)(jumptable)) == 0) {
					dasm_put(Dst, 127648);
						} else if (((uintptr_t)(jumptable)) <= MOVZ_IMM) {
					dasm_put(Dst, 127650, ((uint64_t)(jumptable)));
						} else if (arm64_may_use_adr((void*)(jumptable))) {
					dasm_put(Dst, 127653, (unsigned int)((ptrdiff_t)(jumptable)), (unsigned int)(((ptrdiff_t)(jumptable))>>32));
						} else if (arm64_may_use_adrp((void*)(jumptable))) {
					dasm_put(Dst, 127656, (unsigned int)((ptrdiff_t)((((uintptr_t)(jumptable))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(jumptable)))))>>32));
							if (((uintptr_t)(jumptable)) & 0xfff) {
					dasm_put(Dst, 127659, (((uintptr_t)(jumptable)) & 0xfff));
							}
						} else if ((uintptr_t)(jumptable) & 0xffff) {
					dasm_put(Dst, 127662, ((uintptr_t)(jumptable) & 0xffff));
							if (((uintptr_t)(jumptable) >> 16) & 0xffff) {
					dasm_put(Dst, 127665, (((uintptr_t)(jumptable) >> 16) & 0xffff));
							}
							if (((uintptr_t)(jumptable) >> 32) & 0xffff) {
					dasm_put(Dst, 127668, (((uintptr_t)(jumptable) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(jumptable) >> 16) & 0xffff) {
					dasm_put(Dst, 127671, (((uintptr_t)(jumptable) >> 16) & 0xffff));
							if (((uintptr_t)(jumptable) >> 32) & 0xffff) {
					dasm_put(Dst, 127674, (((uintptr_t)(jumptable) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 127677, (((uintptr_t)(jumptable) >> 32) & 0xffff));
						}
#line 14259 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	EXT_CALL zend_hash_index_find, REG0
						if (arm64_may_use_b(zend_hash_index_find)) {
					dasm_put(Dst, 127680, (unsigned int)((ptrdiff_t)(zend_hash_index_find)), (unsigned int)(((ptrdiff_t)(zend_hash_index_find))>>32));
						} else {
						if (((uintptr_t)(zend_hash_index_find)) == 0) {
					dasm_put(Dst, 127683);
						} else if (((uintptr_t)(zend_hash_index_find)) <= MOVZ_IMM) {
					dasm_put(Dst, 127685, ((uint64_t)(zend_hash_index_find)));
						} else if (arm64_may_use_adr((void*)(zend_hash_index_find))) {
					dasm_put(Dst, 127688, (unsigned int)((ptrdiff_t)(zend_hash_index_find)), (unsigned int)(((ptrdiff_t)(zend_hash_index_find))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_hash_index_find))) {
					dasm_put(Dst, 127691, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_hash_index_find))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_hash_index_find)))))>>32));
							if (((uintptr_t)(zend_hash_index_find)) & 0xfff) {
					dasm_put(Dst, 127694, (((uintptr_t)(zend_hash_index_find)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_hash_index_find) & 0xffff) {
					dasm_put(Dst, 127697, ((uintptr_t)(zend_hash_index_find) & 0xffff));
							if (((uintptr_t)(zend_hash_index_find) >> 16) & 0xffff) {
					dasm_put(Dst, 127700, (((uintptr_t)(zend_hash_index_find) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_hash_index_find) >> 32) & 0xffff) {
					dasm_put(Dst, 127703, (((uintptr_t)(zend_hash_index_find) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_hash_index_find) >> 16) & 0xffff) {
					dasm_put(Dst, 127706, (((uintptr_t)(zend_hash_index_find) >> 16) & 0xffff));
							if (((uintptr_t)(zend_hash_index_find) >> 32) & 0xffff) {
					dasm_put(Dst, 127709, (((uintptr_t)(zend_hash_index_find) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 127712, (((uintptr_t)(zend_hash_index_find) >> 32) & 0xffff));
						}
					dasm_put(Dst, 127715);
						}
#line 14260 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	mov REG0, RETVALx
					dasm_put(Dst, 127717);
#line 14261 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					if (!zend_jit_hash_jmp(Dst, opline, op_array, ssa, jumptable, default_b, default_label, next_opline, trace_info)) {
						return 0;
					}
					//|3:
					dasm_put(Dst, 127719);
#line 14265 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			}
		} else if (opline->opcode == ZEND_SWITCH_STRING) {
			if (op1_info & MAY_BE_STRING) {
				if (op1_info & MAY_BE_REF) {
					//|	IF_NOT_ZVAL_TYPE op1_addr, IS_STRING, >1, ZREG_TMP1
						ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 127721, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 127725, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 127729, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 127733, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 127737, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 127742, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
						}
						if (IS_STRING == 0) {
					dasm_put(Dst, 127747, (ZREG_X15));
						} else {
					dasm_put(Dst, 127751, (ZREG_X15), IS_STRING);
						}
#line 14271 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	GET_ZVAL_PTR FCARG2x, op1_addr, TMP1
						ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 127757, ((uint32_t)(Z_OFFSET(op1_addr))));
						} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
					dasm_put(Dst, 127760, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 127763, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 127766, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 127769, (Z_REG(op1_addr)));
						} else {
					dasm_put(Dst, 127772, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
						}
#line 14272 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|.cold_code
					dasm_put(Dst, 127776);
#line 14273 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|1:
					//|	// ZVAL_DEREF(op)
					dasm_put(Dst, 127777);
#line 14275 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					if (fallback_label) {
						//|	IF_NOT_ZVAL_TYPE op1_addr, IS_REFERENCE, &fallback_label, ZREG_TMP1
							ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
							if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
							if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
						dasm_put(Dst, 127779, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
							} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
						dasm_put(Dst, 127783, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
						dasm_put(Dst, 127787, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 127791, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 127795, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
							} else {
						dasm_put(Dst, 127800, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
							}
							if (IS_REFERENCE == 0) {
						dasm_put(Dst, 127805, (ZREG_X15), (unsigned int)((ptrdiff_t)(fallback_label)), (unsigned int)(((ptrdiff_t)(fallback_label))>>32));
							} else {
						dasm_put(Dst, 127809, (ZREG_X15), IS_REFERENCE, (unsigned int)((ptrdiff_t)(fallback_label)), (unsigned int)(((ptrdiff_t)(fallback_label))>>32));
							}
#line 14277 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	IF_NOT_ZVAL_TYPE op1_addr, IS_REFERENCE, >3, ZREG_TMP1
							ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
							if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
							if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
						dasm_put(Dst, 127815, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
							} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
						dasm_put(Dst, 127819, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
						dasm_put(Dst, 127823, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 127827, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 127831, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
							} else {
						dasm_put(Dst, 127836, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
							}
							if (IS_REFERENCE == 0) {
						dasm_put(Dst, 127841, (ZREG_X15));
							} else {
						dasm_put(Dst, 127845, (ZREG_X15), IS_REFERENCE);
							}
#line 14279 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					//|	GET_ZVAL_PTR FCARG2x, op1_addr, TMP1
						ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 127851, ((uint32_t)(Z_OFFSET(op1_addr))));
						} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
					dasm_put(Dst, 127854, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 127857, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 127860, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 127863, (Z_REG(op1_addr)));
						} else {
					dasm_put(Dst, 127866, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
						}
#line 14281 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					if (fallback_label) {
						//|	add TMP1, FCARG2x, #offsetof(zend_reference, val)
						//|	IF_NOT_Z_TYPE TMP1, IS_STRING, &fallback_label, TMP2w
						dasm_put(Dst, 127870, offsetof(zend_reference, val), offsetof(zval, u1.v.type));
							if (IS_STRING == 0) {
						dasm_put(Dst, 127875, (unsigned int)((ptrdiff_t)(fallback_label)), (unsigned int)(((ptrdiff_t)(fallback_label))>>32));
							} else {
						dasm_put(Dst, 127878, IS_STRING, (unsigned int)((ptrdiff_t)(fallback_label)), (unsigned int)(((ptrdiff_t)(fallback_label))>>32));
							}
#line 14284 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	add TMP1, FCARG2x, #offsetof(zend_reference, val)
						//|	IF_NOT_Z_TYPE TMP1, IS_STRING, >3, TMP2w
						dasm_put(Dst, 127883, offsetof(zend_reference, val), offsetof(zval, u1.v.type));
							if (IS_STRING == 0) {
						dasm_put(Dst, 127888);
							} else {
						dasm_put(Dst, 127891, IS_STRING);
							}
#line 14287 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					//|	ldr FCARG2x, [FCARG2x, #offsetof(zend_reference, val.value.ptr)]
					//|	b >2
					//|.code
					dasm_put(Dst, 127896, offsetof(zend_reference, val.value.ptr));
#line 14291 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|2:
					dasm_put(Dst, 127901);
#line 14292 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					if (op1_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-MAY_BE_STRING)) {
						if (fallback_label) {
							//|	IF_NOT_ZVAL_TYPE op1_addr, IS_STRING, &fallback_label, ZREG_TMP1
								ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
								if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
								if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
							dasm_put(Dst, 127903, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
								} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
							dasm_put(Dst, 127907, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
									if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
							dasm_put(Dst, 127911, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
									}
								} else {
							dasm_put(Dst, 127915, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
								}
							dasm_put(Dst, 127919, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
								} else {
							dasm_put(Dst, 127924, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
								}
								if (IS_STRING == 0) {
							dasm_put(Dst, 127929, (ZREG_X15), (unsigned int)((ptrdiff_t)(fallback_label)), (unsigned int)(((ptrdiff_t)(fallback_label))>>32));
								} else {
							dasm_put(Dst, 127933, (ZREG_X15), IS_STRING, (unsigned int)((ptrdiff_t)(fallback_label)), (unsigned int)(((ptrdiff_t)(fallback_label))>>32));
								}
#line 14296 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						} else {
							//|	IF_NOT_ZVAL_TYPE op1_addr, IS_STRING, >3, ZREG_TMP1
								ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
								if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
								if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
							dasm_put(Dst, 127939, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
								} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
							dasm_put(Dst, 127943, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
									if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
							dasm_put(Dst, 127947, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
									}
								} else {
							dasm_put(Dst, 127951, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
								}
							dasm_put(Dst, 127955, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
								} else {
							dasm_put(Dst, 127960, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
								}
								if (IS_STRING == 0) {
							dasm_put(Dst, 127965, (ZREG_X15));
								} else {
							dasm_put(Dst, 127969, (ZREG_X15), IS_STRING);
								}
#line 14298 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						}
					}
					//|	GET_ZVAL_PTR FCARG2x, op1_addr, TMP1
						ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 127975, ((uint32_t)(Z_OFFSET(op1_addr))));
						} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
					dasm_put(Dst, 127978, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 127981, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 127984, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 127987, (Z_REG(op1_addr)));
						} else {
					dasm_put(Dst, 127990, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
						}
#line 14301 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|	LOAD_ADDR FCARG1x, jumptable
					if (((uintptr_t)(jumptable)) == 0) {
				dasm_put(Dst, 127994);
					} else if (((uintptr_t)(jumptable)) <= MOVZ_IMM) {
				dasm_put(Dst, 127996, ((uint64_t)(jumptable)));
					} else if (arm64_may_use_adr((void*)(jumptable))) {
				dasm_put(Dst, 127999, (unsigned int)((ptrdiff_t)(jumptable)), (unsigned int)(((ptrdiff_t)(jumptable))>>32));
					} else if (arm64_may_use_adrp((void*)(jumptable))) {
				dasm_put(Dst, 128002, (unsigned int)((ptrdiff_t)((((uintptr_t)(jumptable))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(jumptable)))))>>32));
						if (((uintptr_t)(jumptable)) & 0xfff) {
				dasm_put(Dst, 128005, (((uintptr_t)(jumptable)) & 0xfff));
						}
					} else if ((uintptr_t)(jumptable) & 0xffff) {
				dasm_put(Dst, 128008, ((uintptr_t)(jumptable) & 0xffff));
						if (((uintptr_t)(jumptable) >> 16) & 0xffff) {
				dasm_put(Dst, 128011, (((uintptr_t)(jumptable) >> 16) & 0xffff));
						}
						if (((uintptr_t)(jumptable) >> 32) & 0xffff) {
				dasm_put(Dst, 128014, (((uintptr_t)(jumptable) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(jumptable) >> 16) & 0xffff) {
				dasm_put(Dst, 128017, (((uintptr_t)(jumptable) >> 16) & 0xffff));
						if (((uintptr_t)(jumptable) >> 32) & 0xffff) {
				dasm_put(Dst, 128020, (((uintptr_t)(jumptable) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 128023, (((uintptr_t)(jumptable) >> 32) & 0xffff));
					}
#line 14303 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	EXT_CALL zend_hash_find, REG0
					if (arm64_may_use_b(zend_hash_find)) {
				dasm_put(Dst, 128026, (unsigned int)((ptrdiff_t)(zend_hash_find)), (unsigned int)(((ptrdiff_t)(zend_hash_find))>>32));
					} else {
					if (((uintptr_t)(zend_hash_find)) == 0) {
				dasm_put(Dst, 128029);
					} else if (((uintptr_t)(zend_hash_find)) <= MOVZ_IMM) {
				dasm_put(Dst, 128031, ((uint64_t)(zend_hash_find)));
					} else if (arm64_may_use_adr((void*)(zend_hash_find))) {
				dasm_put(Dst, 128034, (unsigned int)((ptrdiff_t)(zend_hash_find)), (unsigned int)(((ptrdiff_t)(zend_hash_find))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_hash_find))) {
				dasm_put(Dst, 128037, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_hash_find))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_hash_find)))))>>32));
						if (((uintptr_t)(zend_hash_find)) & 0xfff) {
				dasm_put(Dst, 128040, (((uintptr_t)(zend_hash_find)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_hash_find) & 0xffff) {
				dasm_put(Dst, 128043, ((uintptr_t)(zend_hash_find) & 0xffff));
						if (((uintptr_t)(zend_hash_find) >> 16) & 0xffff) {
				dasm_put(Dst, 128046, (((uintptr_t)(zend_hash_find) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_hash_find) >> 32) & 0xffff) {
				dasm_put(Dst, 128049, (((uintptr_t)(zend_hash_find) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_hash_find) >> 16) & 0xffff) {
				dasm_put(Dst, 128052, (((uintptr_t)(zend_hash_find) >> 16) & 0xffff));
						if (((uintptr_t)(zend_hash_find) >> 32) & 0xffff) {
				dasm_put(Dst, 128055, (((uintptr_t)(zend_hash_find) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 128058, (((uintptr_t)(zend_hash_find) >> 32) & 0xffff));
					}
				dasm_put(Dst, 128061);
					}
#line 14304 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	mov REG0, RETVALx
				dasm_put(Dst, 128063);
#line 14305 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				if (!zend_jit_hash_jmp(Dst, opline, op_array, ssa, jumptable, default_b, default_label, next_opline, trace_info)) {
					return 0;
				}
				//|3:
				dasm_put(Dst, 128065);
#line 14309 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else if (opline->opcode == ZEND_MATCH) {
			if (op1_info & (MAY_BE_LONG|MAY_BE_STRING)) {
				if (op1_info & MAY_BE_REF) {
					//|	LOAD_ZVAL_ADDR FCARG2x, op1_addr
						if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
						if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
					dasm_put(Dst, 128067);
						} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 128069, ((uint64_t)(Z_ZV(op1_addr))));
						} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
					dasm_put(Dst, 128072, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
						} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
					dasm_put(Dst, 128075, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
							if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
					dasm_put(Dst, 128078, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
							}
						} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
					dasm_put(Dst, 128081, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
							if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 128084, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 128087, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 128090, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
							if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 128093, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 128096, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
						} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
							if (Z_OFFSET(op1_addr)) {
						if (Z_OFFSET(op1_addr) == 0) {
					dasm_put(Dst, 128099, (Z_REG(op1_addr)));
						} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
					dasm_put(Dst, 128102, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
						} else {
						if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 128106, ((uint32_t)(Z_OFFSET(op1_addr))));
						} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
					dasm_put(Dst, 128109, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 128112, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 128115, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 128118, (Z_REG(op1_addr)));
						}
							} else {
								if (Z_REG(op1_addr) == ZREG_RSP) {
					dasm_put(Dst, 128121);
								} else {
					dasm_put(Dst, 128123, (Z_REG(op1_addr)));
								}
							}
						} else {
							ZEND_UNREACHABLE();
						}
#line 14314 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	ZVAL_DEREF FCARG2x, op1_info, TMP1w
						if (op1_info & MAY_BE_REF) {
					dasm_put(Dst, 128126, offsetof(zval, u1.v.type));
						if (IS_REFERENCE == 0) {
					dasm_put(Dst, 128129);
						} else {
					dasm_put(Dst, 128132, IS_REFERENCE);
						}
					dasm_put(Dst, 128137, offsetof(zend_reference, val));
						}
#line 14315 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					op1_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG2, 0);
				}
				//|	LOAD_ADDR FCARG1x, jumptable
					if (((uintptr_t)(jumptable)) == 0) {
				dasm_put(Dst, 128142);
					} else if (((uintptr_t)(jumptable)) <= MOVZ_IMM) {
				dasm_put(Dst, 128144, ((uint64_t)(jumptable)));
					} else if (arm64_may_use_adr((void*)(jumptable))) {
				dasm_put(Dst, 128147, (unsigned int)((ptrdiff_t)(jumptable)), (unsigned int)(((ptrdiff_t)(jumptable))>>32));
					} else if (arm64_may_use_adrp((void*)(jumptable))) {
				dasm_put(Dst, 128150, (unsigned int)((ptrdiff_t)((((uintptr_t)(jumptable))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(jumptable)))))>>32));
						if (((uintptr_t)(jumptable)) & 0xfff) {
				dasm_put(Dst, 128153, (((uintptr_t)(jumptable)) & 0xfff));
						}
					} else if ((uintptr_t)(jumptable) & 0xffff) {
				dasm_put(Dst, 128156, ((uintptr_t)(jumptable) & 0xffff));
						if (((uintptr_t)(jumptable) >> 16) & 0xffff) {
				dasm_put(Dst, 128159, (((uintptr_t)(jumptable) >> 16) & 0xffff));
						}
						if (((uintptr_t)(jumptable) >> 32) & 0xffff) {
				dasm_put(Dst, 128162, (((uintptr_t)(jumptable) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(jumptable) >> 16) & 0xffff) {
				dasm_put(Dst, 128165, (((uintptr_t)(jumptable) >> 16) & 0xffff));
						if (((uintptr_t)(jumptable) >> 32) & 0xffff) {
				dasm_put(Dst, 128168, (((uintptr_t)(jumptable) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 128171, (((uintptr_t)(jumptable) >> 32) & 0xffff));
					}
#line 14318 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				if (op1_info & MAY_BE_LONG) {
					if (op1_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-MAY_BE_LONG)) {
						if (op1_info & MAY_BE_STRING) {
							//|	IF_NOT_ZVAL_TYPE op1_addr, IS_LONG, >5, ZREG_TMP1
								ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
								if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
								if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
							dasm_put(Dst, 128174, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
								} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
							dasm_put(Dst, 128178, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
									if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
							dasm_put(Dst, 128182, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
									}
								} else {
							dasm_put(Dst, 128186, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
								}
							dasm_put(Dst, 128190, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
								} else {
							dasm_put(Dst, 128195, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
								}
								if (IS_LONG == 0) {
							dasm_put(Dst, 128200, (ZREG_X15));
								} else {
							dasm_put(Dst, 128204, (ZREG_X15), IS_LONG);
								}
#line 14322 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						} else if (op1_info & MAY_BE_UNDEF) {
							//|	IF_NOT_ZVAL_TYPE op1_addr, IS_LONG, >6, ZREG_TMP1
								ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
								if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
								if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
							dasm_put(Dst, 128210, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
								} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
							dasm_put(Dst, 128214, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
									if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
							dasm_put(Dst, 128218, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
									}
								} else {
							dasm_put(Dst, 128222, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
								}
							dasm_put(Dst, 128226, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
								} else {
							dasm_put(Dst, 128231, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
								}
								if (IS_LONG == 0) {
							dasm_put(Dst, 128236, (ZREG_X15));
								} else {
							dasm_put(Dst, 128240, (ZREG_X15), IS_LONG);
								}
#line 14324 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						} else if (default_label) {
							//|	IF_NOT_ZVAL_TYPE op1_addr, IS_LONG, &default_label, ZREG_TMP1
								ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
								if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
								if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
							dasm_put(Dst, 128246, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
								} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
							dasm_put(Dst, 128250, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
									if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
							dasm_put(Dst, 128254, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
									}
								} else {
							dasm_put(Dst, 128258, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
								}
							dasm_put(Dst, 128262, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
								} else {
							dasm_put(Dst, 128267, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
								}
								if (IS_LONG == 0) {
							dasm_put(Dst, 128272, (ZREG_X15), (unsigned int)((ptrdiff_t)(default_label)), (unsigned int)(((ptrdiff_t)(default_label))>>32));
								} else {
							dasm_put(Dst, 128276, (ZREG_X15), IS_LONG, (unsigned int)((ptrdiff_t)(default_label)), (unsigned int)(((ptrdiff_t)(default_label))>>32));
								}
#line 14326 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						} else if (next_opline) {
							//|	IF_NOT_ZVAL_TYPE op1_addr, IS_LONG, >3, ZREG_TMP1
								ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
								if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
								if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
							dasm_put(Dst, 128282, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
								} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
							dasm_put(Dst, 128286, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
									if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
							dasm_put(Dst, 128290, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
									}
								} else {
							dasm_put(Dst, 128294, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
								}
							dasm_put(Dst, 128298, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
								} else {
							dasm_put(Dst, 128303, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
								}
								if (IS_LONG == 0) {
							dasm_put(Dst, 128308, (ZREG_X15));
								} else {
							dasm_put(Dst, 128312, (ZREG_X15), IS_LONG);
								}
#line 14328 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						} else {
							//|	IF_NOT_ZVAL_TYPE op1_addr, IS_LONG, =>default_b, ZREG_TMP1
								ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
								if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
								if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
							dasm_put(Dst, 128318, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
								} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
							dasm_put(Dst, 128322, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
									if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
							dasm_put(Dst, 128326, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
									}
								} else {
							dasm_put(Dst, 128330, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
								}
							dasm_put(Dst, 128334, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
								} else {
							dasm_put(Dst, 128339, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
								}
								if (IS_LONG == 0) {
							dasm_put(Dst, 128344, (ZREG_X15), default_b);
								} else {
							dasm_put(Dst, 128348, (ZREG_X15), IS_LONG, default_b);
								}
#line 14330 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						}
					}
					//|	GET_ZVAL_LVAL ZREG_FCARG2, op1_addr, TMP1
						if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
							if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
					dasm_put(Dst, 128354, (ZREG_FCARG2));
							} else {
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
					dasm_put(Dst, 128357, (ZREG_FCARG2));
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
					dasm_put(Dst, 128360, (ZREG_FCARG2), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
						} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
					dasm_put(Dst, 128364, (ZREG_FCARG2), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
						} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
					dasm_put(Dst, 128368, (ZREG_FCARG2), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
							if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
					dasm_put(Dst, 128372, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
							}
							if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 128376, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
							}
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 128380, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
							}
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
					dasm_put(Dst, 128384, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
							if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 128388, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
							}
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 128392, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
							}
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 128396, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 128400, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
							}
						} else {
					dasm_put(Dst, 128404, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
							}
						} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
						if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 128408, ((uint32_t)(Z_OFFSET(op1_addr))));
						} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
					dasm_put(Dst, 128411, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 128414, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 128417, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 128420, (ZREG_FCARG2), (Z_REG(op1_addr)));
						} else {
					dasm_put(Dst, 128424, (ZREG_FCARG2), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
						}
						} else if (Z_MODE(op1_addr) == IS_REG) {
							if (ZREG_FCARG2 != Z_REG(op1_addr)) {
					dasm_put(Dst, 128429, (ZREG_FCARG2), (Z_REG(op1_addr)));
							}
						} else {
							ZEND_UNREACHABLE();
						}
#line 14333 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	EXT_CALL zend_hash_index_find, REG0
						if (arm64_may_use_b(zend_hash_index_find)) {
					dasm_put(Dst, 128433, (unsigned int)((ptrdiff_t)(zend_hash_index_find)), (unsigned int)(((ptrdiff_t)(zend_hash_index_find))>>32));
						} else {
						if (((uintptr_t)(zend_hash_index_find)) == 0) {
					dasm_put(Dst, 128436);
						} else if (((uintptr_t)(zend_hash_index_find)) <= MOVZ_IMM) {
					dasm_put(Dst, 128438, ((uint64_t)(zend_hash_index_find)));
						} else if (arm64_may_use_adr((void*)(zend_hash_index_find))) {
					dasm_put(Dst, 128441, (unsigned int)((ptrdiff_t)(zend_hash_index_find)), (unsigned int)(((ptrdiff_t)(zend_hash_index_find))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_hash_index_find))) {
					dasm_put(Dst, 128444, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_hash_index_find))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_hash_index_find)))))>>32));
							if (((uintptr_t)(zend_hash_index_find)) & 0xfff) {
					dasm_put(Dst, 128447, (((uintptr_t)(zend_hash_index_find)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_hash_index_find) & 0xffff) {
					dasm_put(Dst, 128450, ((uintptr_t)(zend_hash_index_find) & 0xffff));
							if (((uintptr_t)(zend_hash_index_find) >> 16) & 0xffff) {
					dasm_put(Dst, 128453, (((uintptr_t)(zend_hash_index_find) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_hash_index_find) >> 32) & 0xffff) {
					dasm_put(Dst, 128456, (((uintptr_t)(zend_hash_index_find) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_hash_index_find) >> 16) & 0xffff) {
					dasm_put(Dst, 128459, (((uintptr_t)(zend_hash_index_find) >> 16) & 0xffff));
							if (((uintptr_t)(zend_hash_index_find) >> 32) & 0xffff) {
					dasm_put(Dst, 128462, (((uintptr_t)(zend_hash_index_find) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 128465, (((uintptr_t)(zend_hash_index_find) >> 32) & 0xffff));
						}
					dasm_put(Dst, 128468);
						}
#line 14334 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	mov REG0, RETVALx
					dasm_put(Dst, 128470);
#line 14335 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					if (op1_info & MAY_BE_STRING) {
						//|	b >2
						dasm_put(Dst, 128472);
#line 14337 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				}
				if (op1_info & MAY_BE_STRING) {
					//|5:
					dasm_put(Dst, 128475);
#line 14341 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					if (op1_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-(MAY_BE_LONG|MAY_BE_STRING))) {
						if (op1_info & MAY_BE_UNDEF) {
							//|	IF_NOT_ZVAL_TYPE op1_addr, IS_STRING, >6, ZREG_TMP1
								ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
								if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
								if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
							dasm_put(Dst, 128477, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
								} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
							dasm_put(Dst, 128481, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
									if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
							dasm_put(Dst, 128485, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
									}
								} else {
							dasm_put(Dst, 128489, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
								}
							dasm_put(Dst, 128493, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
								} else {
							dasm_put(Dst, 128498, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
								}
								if (IS_STRING == 0) {
							dasm_put(Dst, 128503, (ZREG_X15));
								} else {
							dasm_put(Dst, 128507, (ZREG_X15), IS_STRING);
								}
#line 14344 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						} else if (default_label) {
							//|	IF_NOT_ZVAL_TYPE op1_addr, IS_STRING, &default_label, ZREG_TMP1
								ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
								if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
								if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
							dasm_put(Dst, 128513, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
								} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
							dasm_put(Dst, 128517, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
									if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
							dasm_put(Dst, 128521, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
									}
								} else {
							dasm_put(Dst, 128525, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
								}
							dasm_put(Dst, 128529, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
								} else {
							dasm_put(Dst, 128534, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
								}
								if (IS_STRING == 0) {
							dasm_put(Dst, 128539, (ZREG_X15), (unsigned int)((ptrdiff_t)(default_label)), (unsigned int)(((ptrdiff_t)(default_label))>>32));
								} else {
							dasm_put(Dst, 128543, (ZREG_X15), IS_STRING, (unsigned int)((ptrdiff_t)(default_label)), (unsigned int)(((ptrdiff_t)(default_label))>>32));
								}
#line 14346 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						} else if (next_opline) {
							//|	IF_NOT_ZVAL_TYPE op1_addr, IS_STRING, >3, ZREG_TMP1
								ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
								if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
								if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
							dasm_put(Dst, 128549, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
								} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
							dasm_put(Dst, 128553, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
									if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
							dasm_put(Dst, 128557, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
									}
								} else {
							dasm_put(Dst, 128561, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
								}
							dasm_put(Dst, 128565, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
								} else {
							dasm_put(Dst, 128570, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
								}
								if (IS_STRING == 0) {
							dasm_put(Dst, 128575, (ZREG_X15));
								} else {
							dasm_put(Dst, 128579, (ZREG_X15), IS_STRING);
								}
#line 14348 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						} else {
							//|	IF_NOT_ZVAL_TYPE op1_addr, IS_STRING, =>default_b, ZREG_TMP1
								ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
								if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
								if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
							dasm_put(Dst, 128585, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
								} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
							dasm_put(Dst, 128589, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
									if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
							dasm_put(Dst, 128593, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
									}
								} else {
							dasm_put(Dst, 128597, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
								}
							dasm_put(Dst, 128601, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
								} else {
							dasm_put(Dst, 128606, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
								}
								if (IS_STRING == 0) {
							dasm_put(Dst, 128611, (ZREG_X15), default_b);
								} else {
							dasm_put(Dst, 128615, (ZREG_X15), IS_STRING, default_b);
								}
#line 14350 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
						}
					}
					//|	GET_ZVAL_PTR FCARG2x, op1_addr, TMP1
						ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 128621, ((uint32_t)(Z_OFFSET(op1_addr))));
						} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
					dasm_put(Dst, 128624, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 128627, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 128630, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 128633, (Z_REG(op1_addr)));
						} else {
					dasm_put(Dst, 128636, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
						}
#line 14353 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	EXT_CALL zend_hash_find, REG0
						if (arm64_may_use_b(zend_hash_find)) {
					dasm_put(Dst, 128640, (unsigned int)((ptrdiff_t)(zend_hash_find)), (unsigned int)(((ptrdiff_t)(zend_hash_find))>>32));
						} else {
						if (((uintptr_t)(zend_hash_find)) == 0) {
					dasm_put(Dst, 128643);
						} else if (((uintptr_t)(zend_hash_find)) <= MOVZ_IMM) {
					dasm_put(Dst, 128645, ((uint64_t)(zend_hash_find)));
						} else if (arm64_may_use_adr((void*)(zend_hash_find))) {
					dasm_put(Dst, 128648, (unsigned int)((ptrdiff_t)(zend_hash_find)), (unsigned int)(((ptrdiff_t)(zend_hash_find))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_hash_find))) {
					dasm_put(Dst, 128651, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_hash_find))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_hash_find)))))>>32));
							if (((uintptr_t)(zend_hash_find)) & 0xfff) {
					dasm_put(Dst, 128654, (((uintptr_t)(zend_hash_find)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_hash_find) & 0xffff) {
					dasm_put(Dst, 128657, ((uintptr_t)(zend_hash_find) & 0xffff));
							if (((uintptr_t)(zend_hash_find) >> 16) & 0xffff) {
					dasm_put(Dst, 128660, (((uintptr_t)(zend_hash_find) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_hash_find) >> 32) & 0xffff) {
					dasm_put(Dst, 128663, (((uintptr_t)(zend_hash_find) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_hash_find) >> 16) & 0xffff) {
					dasm_put(Dst, 128666, (((uintptr_t)(zend_hash_find) >> 16) & 0xffff));
							if (((uintptr_t)(zend_hash_find) >> 32) & 0xffff) {
					dasm_put(Dst, 128669, (((uintptr_t)(zend_hash_find) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 128672, (((uintptr_t)(zend_hash_find) >> 32) & 0xffff));
						}
					dasm_put(Dst, 128675);
						}
#line 14354 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	mov REG0, RETVALx
					dasm_put(Dst, 128677);
#line 14355 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|2:
				dasm_put(Dst, 128679);
#line 14357 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				if (!zend_jit_hash_jmp(Dst, opline, op_array, ssa, jumptable, default_b, default_label, next_opline, trace_info)) {
					return 0;
				}
			}
			if (op1_info & MAY_BE_UNDEF) {
				//|6:
				dasm_put(Dst, 128681);
#line 14363 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				if (op1_info & (MAY_BE_ANY-(MAY_BE_LONG|MAY_BE_STRING))) {
					if (default_label) {
						//|	IF_NOT_ZVAL_TYPE op1_addr, IS_UNDEF, &default_label, ZREG_TMP1
							ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
							if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
							if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
						dasm_put(Dst, 128683, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
							} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
						dasm_put(Dst, 128687, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
						dasm_put(Dst, 128691, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 128695, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 128699, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
							} else {
						dasm_put(Dst, 128704, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
							}
							if (IS_UNDEF == 0) {
						dasm_put(Dst, 128709, (ZREG_X15), (unsigned int)((ptrdiff_t)(default_label)), (unsigned int)(((ptrdiff_t)(default_label))>>32));
							} else {
						dasm_put(Dst, 128713, (ZREG_X15), IS_UNDEF, (unsigned int)((ptrdiff_t)(default_label)), (unsigned int)(((ptrdiff_t)(default_label))>>32));
							}
#line 14366 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else if (next_opline) {
						//|	IF_NOT_ZVAL_TYPE op1_addr, IS_UNDEF, >3, ZREG_TMP1
							ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
							if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
							if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
						dasm_put(Dst, 128719, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
							} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
						dasm_put(Dst, 128723, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
						dasm_put(Dst, 128727, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 128731, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 128735, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
							} else {
						dasm_put(Dst, 128740, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
							}
							if (IS_UNDEF == 0) {
						dasm_put(Dst, 128745, (ZREG_X15));
							} else {
						dasm_put(Dst, 128749, (ZREG_X15), IS_UNDEF);
							}
#line 14368 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	IF_NOT_ZVAL_TYPE op1_addr, IS_UNDEF, =>default_b, ZREG_TMP1
							ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
							if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
							if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
						dasm_put(Dst, 128755, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
							} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
						dasm_put(Dst, 128759, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
						dasm_put(Dst, 128763, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 128767, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 128771, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
							} else {
						dasm_put(Dst, 128776, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
							}
							if (IS_UNDEF == 0) {
						dasm_put(Dst, 128781, (ZREG_X15), default_b);
							} else {
						dasm_put(Dst, 128785, (ZREG_X15), IS_UNDEF, default_b);
							}
#line 14370 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				}
				//|	// zend_error(E_WARNING, "Undefined variable $%s", ZSTR_VAL(CV_DEF_OF(EX_VAR_TO_NUM(opline->op1.var))));
				//|	SET_EX_OPLINE opline, REG0
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 128791, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 128794);
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 128796, ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 128799, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 128802, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 128805, (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 128808, ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 128811, (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 128814, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 128817, (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 128820, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 128823, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 128826, Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
#line 14374 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	LOAD_32BIT_VAL FCARG1w, opline->op1.var
					if (((uint32_t)(opline->op1.var)) <= MOVZ_IMM) {
				dasm_put(Dst, 128829, ((uint32_t)(opline->op1.var)));
					} else if (((uint32_t)(opline->op1.var) & 0xffff)) {
				dasm_put(Dst, 128832, ((uint32_t)(opline->op1.var) & 0xffff));
						if ((((uint32_t)(opline->op1.var) >> 16) & 0xffff)) {
				dasm_put(Dst, 128835, (((uint32_t)(opline->op1.var) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 128838, (((uint32_t)(opline->op1.var) >> 16) & 0xffff));
					}
#line 14375 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	EXT_CALL zend_jit_undefined_op_helper, REG0
					if (arm64_may_use_b(zend_jit_undefined_op_helper)) {
				dasm_put(Dst, 128841, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
					} else {
					if (((uintptr_t)(zend_jit_undefined_op_helper)) == 0) {
				dasm_put(Dst, 128844);
					} else if (((uintptr_t)(zend_jit_undefined_op_helper)) <= MOVZ_IMM) {
				dasm_put(Dst, 128846, ((uint64_t)(zend_jit_undefined_op_helper)));
					} else if (arm64_may_use_adr((void*)(zend_jit_undefined_op_helper))) {
				dasm_put(Dst, 128849, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_undefined_op_helper))) {
				dasm_put(Dst, 128852, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper)))))>>32));
						if (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff) {
				dasm_put(Dst, 128855, (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff) {
				dasm_put(Dst, 128858, ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff));
						if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 128861, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 128864, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 128867, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 128870, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 128873, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
					}
				dasm_put(Dst, 128876);
					}
#line 14376 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				if (!zend_jit_check_exception_undef_result(Dst, opline)) {
					return 0;
				}
			}
			if (default_label) {
				//|	b &default_label
				dasm_put(Dst, 128878, (unsigned int)((ptrdiff_t)(default_label)), (unsigned int)(((ptrdiff_t)(default_label))>>32));
#line 14382 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else if (next_opline) {
				//|	b >3
				dasm_put(Dst, 128881);
#line 14384 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	b =>default_b
				dasm_put(Dst, 128884, default_b);
#line 14386 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|3:
			dasm_put(Dst, 128887);
#line 14388 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			ZEND_UNREACHABLE();
		}
	}
	return 1;
}

static bool zend_jit_verify_return_type(dasm_State **Dst, const zend_op *opline, const zend_op_array *op_array, uint32_t op1_info)
{
	zend_arg_info *arg_info = &op_array->arg_info[-1];
	ZEND_ASSERT(ZEND_TYPE_IS_SET(arg_info->type));
	zend_jit_addr op1_addr = OP1_ADDR();
	bool needs_slow_check = 1;
	bool slow_check_in_cold = 1;
	uint32_t type_mask = ZEND_TYPE_PURE_MASK(arg_info->type) & MAY_BE_ANY;

	if (type_mask == 0) {
		slow_check_in_cold = 0;
	} else {
		if (((op1_info & MAY_BE_ANY) & type_mask) == 0) {
			slow_check_in_cold = 0;
		} else if (((op1_info & MAY_BE_ANY) | type_mask) == type_mask) {
			needs_slow_check = 0;
		} else if (is_power_of_two(type_mask)) {
			uint32_t type_code = concrete_type(type_mask);
			//|	IF_NOT_ZVAL_TYPE op1_addr, type_code, >6, ZREG_TMP1
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 128889, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 128893, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 128897, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 128901, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 128905, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 128910, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
				}
				if (type_code == 0) {
			dasm_put(Dst, 128915, (ZREG_X15));
				} else {
			dasm_put(Dst, 128919, (ZREG_X15), type_code);
				}
#line 14414 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	mov REG2w, #1
			//|	GET_ZVAL_TYPE REG1w, op1_addr, TMP1
			dasm_put(Dst, 128925);
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 128927, ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 128930, ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 128933, (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 128936, (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 128939, (Z_REG(op1_addr)));
				} else {
			dasm_put(Dst, 128942, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval,u1.v.type)));
				}
#line 14417 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	lsl REG2w, REG2w, REG1w
			//|	TST_32_WITH_CONST REG2w, type_mask, TMP1w
			dasm_put(Dst, 128946);
				if (type_mask == 0) {
			dasm_put(Dst, 128948);
				} else if (logical_immediate_p((uint32_t)type_mask, 32)) {
			dasm_put(Dst, 128950, type_mask);
				} else {
				if (((uint32_t)(type_mask)) <= MOVZ_IMM) {
			dasm_put(Dst, 128953, ((uint32_t)(type_mask)));
				} else if (((uint32_t)(type_mask) & 0xffff)) {
			dasm_put(Dst, 128956, ((uint32_t)(type_mask) & 0xffff));
					if ((((uint32_t)(type_mask) >> 16) & 0xffff)) {
			dasm_put(Dst, 128959, (((uint32_t)(type_mask) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 128962, (((uint32_t)(type_mask) >> 16) & 0xffff));
				}
			dasm_put(Dst, 128965);
				}
#line 14419 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	beq >6
			dasm_put(Dst, 128967);
#line 14420 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}
	if (needs_slow_check) {
		if (slow_check_in_cold) {
			//|.cold_code
			dasm_put(Dst, 128970);
#line 14425 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|6:
			dasm_put(Dst, 128971);
#line 14426 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	SET_EX_OPLINE opline, REG1
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 128973, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 128976);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 128978, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 128981, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 128984, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 128987, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 128990, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 128993, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 128996, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 128999, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 129002, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 129005, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 129008, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
#line 14428 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (op1_info & MAY_BE_UNDEF) {
			//|	IF_NOT_ZVAL_TYPE op1_addr, IS_UNDEF, >7, ZREG_TMP1
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 129011, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 129015, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 129019, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 129023, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 129027, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 129032, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_UNDEF == 0) {
			dasm_put(Dst, 129037, (ZREG_X15));
				} else {
			dasm_put(Dst, 129041, (ZREG_X15), IS_UNDEF);
				}
#line 14430 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	LOAD_32BIT_VAL FCARG1x, opline->op1.var
				if (((uint32_t)(opline->op1.var)) <= MOVZ_IMM) {
			dasm_put(Dst, 129047, ((uint32_t)(opline->op1.var)));
				} else if (((uint32_t)(opline->op1.var) & 0xffff)) {
			dasm_put(Dst, 129050, ((uint32_t)(opline->op1.var) & 0xffff));
					if ((((uint32_t)(opline->op1.var) >> 16) & 0xffff)) {
			dasm_put(Dst, 129053, (((uint32_t)(opline->op1.var) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 129056, (((uint32_t)(opline->op1.var) >> 16) & 0xffff));
				}
#line 14431 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	EXT_CALL zend_jit_undefined_op_helper, REG0
				if (arm64_may_use_b(zend_jit_undefined_op_helper)) {
			dasm_put(Dst, 129059, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
				} else {
				if (((uintptr_t)(zend_jit_undefined_op_helper)) == 0) {
			dasm_put(Dst, 129062);
				} else if (((uintptr_t)(zend_jit_undefined_op_helper)) <= MOVZ_IMM) {
			dasm_put(Dst, 129064, ((uint64_t)(zend_jit_undefined_op_helper)));
				} else if (arm64_may_use_adr((void*)(zend_jit_undefined_op_helper))) {
			dasm_put(Dst, 129067, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_undefined_op_helper))) {
			dasm_put(Dst, 129070, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper)))))>>32));
					if (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff) {
			dasm_put(Dst, 129073, (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff) {
			dasm_put(Dst, 129076, ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff));
					if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 129079, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 129082, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 129085, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 129088, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 129091, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
				}
			dasm_put(Dst, 129094);
				}
#line 14432 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	cbz RETVALx, ->exception_handler
			//|	LOAD_ADDR_ZTS FCARG1x, executor_globals, uninitialized_zval
			dasm_put(Dst, 129096);
				if (((uintptr_t)(&executor_globals.uninitialized_zval)) == 0) {
			dasm_put(Dst, 129099);
				} else if (((uintptr_t)(&executor_globals.uninitialized_zval)) <= MOVZ_IMM) {
			dasm_put(Dst, 129101, ((uint64_t)(&executor_globals.uninitialized_zval)));
				} else if (arm64_may_use_adr((void*)(&executor_globals.uninitialized_zval))) {
			dasm_put(Dst, 129104, (unsigned int)((ptrdiff_t)(&executor_globals.uninitialized_zval)), (unsigned int)(((ptrdiff_t)(&executor_globals.uninitialized_zval))>>32));
				} else if (arm64_may_use_adrp((void*)(&executor_globals.uninitialized_zval))) {
			dasm_put(Dst, 129107, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.uninitialized_zval))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.uninitialized_zval)))))>>32));
					if (((uintptr_t)(&executor_globals.uninitialized_zval)) & 0xfff) {
			dasm_put(Dst, 129110, (((uintptr_t)(&executor_globals.uninitialized_zval)) & 0xfff));
					}
				} else if ((uintptr_t)(&executor_globals.uninitialized_zval) & 0xffff) {
			dasm_put(Dst, 129113, ((uintptr_t)(&executor_globals.uninitialized_zval) & 0xffff));
					if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff) {
			dasm_put(Dst, 129116, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff));
					}
					if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff) {
			dasm_put(Dst, 129119, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff) {
			dasm_put(Dst, 129122, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff));
					if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff) {
			dasm_put(Dst, 129125, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 129128, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff));
				}
#line 14434 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	b >8
			dasm_put(Dst, 129131);
#line 14435 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|7:
		//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
		dasm_put(Dst, 129134);
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
		dasm_put(Dst, 129136);
			} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 129138, ((uint64_t)(Z_ZV(op1_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 129141, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 129144, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
		dasm_put(Dst, 129147, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
		dasm_put(Dst, 129150, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 129153, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 129156, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 129159, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 129162, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 129165, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (Z_OFFSET(op1_addr)) {
			if (Z_OFFSET(op1_addr) == 0) {
		dasm_put(Dst, 129168, (Z_REG(op1_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
		dasm_put(Dst, 129171, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
			} else {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 129175, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 129178, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 129181, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 129184, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 129187, (Z_REG(op1_addr)));
			}
				} else {
					if (Z_REG(op1_addr) == ZREG_RSP) {
		dasm_put(Dst, 129190);
					} else {
		dasm_put(Dst, 129192, (Z_REG(op1_addr)));
					}
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 14438 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|8:
		//|	ldr FCARG2x, EX->func
		//|	LOAD_ADDR CARG3, (ptrdiff_t)arg_info
		dasm_put(Dst, 129195, Dt1(->func));
			if (((uintptr_t)((ptrdiff_t)arg_info)) == 0) {
		dasm_put(Dst, 129199);
			} else if (((uintptr_t)((ptrdiff_t)arg_info)) <= MOVZ_IMM) {
		dasm_put(Dst, 129201, ((uint64_t)((ptrdiff_t)arg_info)));
			} else if (arm64_may_use_adr((void*)((ptrdiff_t)arg_info))) {
		dasm_put(Dst, 129204, (unsigned int)((ptrdiff_t)((ptrdiff_t)arg_info)), (unsigned int)(((ptrdiff_t)((ptrdiff_t)arg_info))>>32));
			} else if (arm64_may_use_adrp((void*)((ptrdiff_t)arg_info))) {
		dasm_put(Dst, 129207, (unsigned int)((ptrdiff_t)((((uintptr_t)((ptrdiff_t)arg_info))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)((ptrdiff_t)arg_info)))))>>32));
				if (((uintptr_t)((ptrdiff_t)arg_info)) & 0xfff) {
		dasm_put(Dst, 129210, (((uintptr_t)((ptrdiff_t)arg_info)) & 0xfff));
				}
			} else if ((uintptr_t)((ptrdiff_t)arg_info) & 0xffff) {
		dasm_put(Dst, 129213, ((uintptr_t)((ptrdiff_t)arg_info) & 0xffff));
				if (((uintptr_t)((ptrdiff_t)arg_info) >> 16) & 0xffff) {
		dasm_put(Dst, 129216, (((uintptr_t)((ptrdiff_t)arg_info) >> 16) & 0xffff));
				}
				if (((uintptr_t)((ptrdiff_t)arg_info) >> 32) & 0xffff) {
		dasm_put(Dst, 129219, (((uintptr_t)((ptrdiff_t)arg_info) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)((ptrdiff_t)arg_info) >> 16) & 0xffff) {
		dasm_put(Dst, 129222, (((uintptr_t)((ptrdiff_t)arg_info) >> 16) & 0xffff));
				if (((uintptr_t)((ptrdiff_t)arg_info) >> 32) & 0xffff) {
		dasm_put(Dst, 129225, (((uintptr_t)((ptrdiff_t)arg_info) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 129228, (((uintptr_t)((ptrdiff_t)arg_info) >> 32) & 0xffff));
			}
#line 14441 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	ldr REG0, EX->run_time_cache
		//|	ADD_SUB_64_WITH_CONST_32 add, CARG4, REG0, opline->op2.num, TMP1
		dasm_put(Dst, 129231, Dt1(->run_time_cache));
			if (opline->op2.num == 0) {
		dasm_put(Dst, 129234);
			} else if (arm64_may_encode_imm12((int64_t)(opline->op2.num))) {
		dasm_put(Dst, 129236, opline->op2.num);
			} else {
			if (((uint32_t)(opline->op2.num)) <= MOVZ_IMM) {
		dasm_put(Dst, 129239, ((uint32_t)(opline->op2.num)));
			} else if (((uint32_t)(opline->op2.num) & 0xffff)) {
		dasm_put(Dst, 129242, ((uint32_t)(opline->op2.num) & 0xffff));
				if ((((uint32_t)(opline->op2.num) >> 16) & 0xffff)) {
		dasm_put(Dst, 129245, (((uint32_t)(opline->op2.num) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 129248, (((uint32_t)(opline->op2.num) >> 16) & 0xffff));
			}
		dasm_put(Dst, 129251);
			}
#line 14443 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	EXT_CALL zend_jit_verify_return_slow, REG0
			if (arm64_may_use_b(zend_jit_verify_return_slow)) {
		dasm_put(Dst, 129253, (unsigned int)((ptrdiff_t)(zend_jit_verify_return_slow)), (unsigned int)(((ptrdiff_t)(zend_jit_verify_return_slow))>>32));
			} else {
			if (((uintptr_t)(zend_jit_verify_return_slow)) == 0) {
		dasm_put(Dst, 129256);
			} else if (((uintptr_t)(zend_jit_verify_return_slow)) <= MOVZ_IMM) {
		dasm_put(Dst, 129258, ((uint64_t)(zend_jit_verify_return_slow)));
			} else if (arm64_may_use_adr((void*)(zend_jit_verify_return_slow))) {
		dasm_put(Dst, 129261, (unsigned int)((ptrdiff_t)(zend_jit_verify_return_slow)), (unsigned int)(((ptrdiff_t)(zend_jit_verify_return_slow))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_verify_return_slow))) {
		dasm_put(Dst, 129264, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_verify_return_slow))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_verify_return_slow)))))>>32));
				if (((uintptr_t)(zend_jit_verify_return_slow)) & 0xfff) {
		dasm_put(Dst, 129267, (((uintptr_t)(zend_jit_verify_return_slow)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_verify_return_slow) & 0xffff) {
		dasm_put(Dst, 129270, ((uintptr_t)(zend_jit_verify_return_slow) & 0xffff));
				if (((uintptr_t)(zend_jit_verify_return_slow) >> 16) & 0xffff) {
		dasm_put(Dst, 129273, (((uintptr_t)(zend_jit_verify_return_slow) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_verify_return_slow) >> 32) & 0xffff) {
		dasm_put(Dst, 129276, (((uintptr_t)(zend_jit_verify_return_slow) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_verify_return_slow) >> 16) & 0xffff) {
		dasm_put(Dst, 129279, (((uintptr_t)(zend_jit_verify_return_slow) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_verify_return_slow) >> 32) & 0xffff) {
		dasm_put(Dst, 129282, (((uintptr_t)(zend_jit_verify_return_slow) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 129285, (((uintptr_t)(zend_jit_verify_return_slow) >> 32) & 0xffff));
			}
		dasm_put(Dst, 129288);
			}
#line 14444 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (!zend_jit_check_exception(Dst)) {
			return 0;
		}
		if (slow_check_in_cold) {
			//|	b >9
			//|.code
			dasm_put(Dst, 129290);
#line 14450 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}
	//|9:
	dasm_put(Dst, 129293);
#line 14453 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	return 1;
}

static int zend_jit_isset_isempty_cv(dasm_State **Dst, const zend_op *opline, uint32_t op1_info, zend_jit_addr op1_addr,  zend_uchar smart_branch_opcode, uint32_t target_label, uint32_t target_label2, const void *exit_addr)
{
	zend_jit_addr res_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->result.var);

	// TODO: support for empty() ???
	ZEND_ASSERT(!(opline->extended_value & ZEND_ISEMPTY));

	if (op1_info & MAY_BE_REF) {
		if (Z_MODE(op1_addr) != IS_MEM_ZVAL || Z_REG(op1_addr) != ZREG_FCARG1 || Z_OFFSET(op1_addr) != 0) {
			//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
			dasm_put(Dst, 129295);
				} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 129297, ((uint64_t)(Z_ZV(op1_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 129300, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 129303, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
			dasm_put(Dst, 129306, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
			dasm_put(Dst, 129309, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 129312, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 129315, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 129318, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 129321, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 129324, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(op1_addr)) {
				if (Z_OFFSET(op1_addr) == 0) {
			dasm_put(Dst, 129327, (Z_REG(op1_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
			dasm_put(Dst, 129330, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 129334, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 129337, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 129340, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 129343, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 129346, (Z_REG(op1_addr)));
				}
					} else {
						if (Z_REG(op1_addr) == ZREG_RSP) {
			dasm_put(Dst, 129349);
						} else {
			dasm_put(Dst, 129351, (Z_REG(op1_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 14466 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			op1_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, 0);
		}
		//|	ZVAL_DEREF FCARG1x, op1_info, TMP1w
			if (op1_info & MAY_BE_REF) {
		dasm_put(Dst, 129354, offsetof(zval, u1.v.type));
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 129357);
			} else {
		dasm_put(Dst, 129360, IS_REFERENCE);
			}
		dasm_put(Dst, 129365, offsetof(zend_reference, val));
			}
#line 14469 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|1:
		dasm_put(Dst, 129370);
#line 14470 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	if (!(op1_info & (MAY_BE_UNDEF|MAY_BE_NULL))) {
		if (exit_addr) {
			ZEND_ASSERT(smart_branch_opcode == ZEND_JMPZ);
		} else if (smart_branch_opcode) {
			if (smart_branch_opcode == ZEND_JMPNZ) {
				//|	b =>target_label
				dasm_put(Dst, 129372, target_label);
#line 14478 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else if (smart_branch_opcode == ZEND_JMPZNZ) {
				//|	b =>target_label2
				dasm_put(Dst, 129375, target_label2);
#line 14480 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else {
			//|	SET_ZVAL_TYPE_INFO res_addr, IS_TRUE, TMP1w, TMP2
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(IS_TRUE)) <= MOVZ_IMM) {
			dasm_put(Dst, 129378, ((uint32_t)(IS_TRUE)));
				} else if (((uint32_t)(IS_TRUE) & 0xffff)) {
			dasm_put(Dst, 129381, ((uint32_t)(IS_TRUE) & 0xffff));
					if ((((uint32_t)(IS_TRUE) >> 16) & 0xffff)) {
			dasm_put(Dst, 129384, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 129387, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 129390, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 129393, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 129396, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 129399, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 129402, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 129405, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
#line 14483 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else if (!(op1_info & (MAY_BE_ANY - MAY_BE_NULL))) {
		if (exit_addr) {
			ZEND_ASSERT(smart_branch_opcode == ZEND_JMPNZ);
		} else if (smart_branch_opcode) {
			if (smart_branch_opcode != ZEND_JMPNZ) {
				//|	b =>target_label
				dasm_put(Dst, 129409, target_label);
#line 14490 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else {
			//|	SET_ZVAL_TYPE_INFO res_addr, IS_FALSE, TMP1w, TMP2
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(IS_FALSE)) <= MOVZ_IMM) {
			dasm_put(Dst, 129412, ((uint32_t)(IS_FALSE)));
				} else if (((uint32_t)(IS_FALSE) & 0xffff)) {
			dasm_put(Dst, 129415, ((uint32_t)(IS_FALSE) & 0xffff));
					if ((((uint32_t)(IS_FALSE) >> 16) & 0xffff)) {
			dasm_put(Dst, 129418, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 129421, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 129424, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 129427, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 129430, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 129433, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 129436, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 129439, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
#line 14493 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else {
		ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
		//|	MEM_ACCESS_8_WITH_UOFFSET ldrb, TMP1w, Rx(Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)), TMP1
			if (((uintptr_t)((Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)))) > LDRB_STRB_PIMM) {
			if (((uint32_t)((Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)))) <= MOVZ_IMM) {
		dasm_put(Dst, 129443, ((uint32_t)((Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)))));
			} else if (((uint32_t)((Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) & 0xffff)) {
		dasm_put(Dst, 129446, ((uint32_t)((Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) & 0xffff));
				if ((((uint32_t)((Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) >> 16) & 0xffff)) {
		dasm_put(Dst, 129449, (((uint32_t)((Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 129452, (((uint32_t)((Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 129455, (Z_REG(op1_addr)));
			} else {
		dasm_put(Dst, 129458, (Z_REG(op1_addr)), ((Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
			}
#line 14497 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	cmp TMP1w, #IS_NULL
		dasm_put(Dst, 129462, IS_NULL);
#line 14498 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (exit_addr) {
			if (smart_branch_opcode == ZEND_JMPNZ) {
				//|	bgt &exit_addr
				dasm_put(Dst, 129465, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 14501 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	ble &exit_addr
				dasm_put(Dst, 129468, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 14503 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else if (smart_branch_opcode) {
			if (smart_branch_opcode == ZEND_JMPZ) {
				//|	ble =>target_label
				dasm_put(Dst, 129471, target_label);
#line 14507 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else if (smart_branch_opcode == ZEND_JMPNZ) {
				//|	bgt =>target_label
				dasm_put(Dst, 129474, target_label);
#line 14509 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else if (smart_branch_opcode == ZEND_JMPZNZ) {
				//|	ble =>target_label
				//|	b =>target_label2
				dasm_put(Dst, 129477, target_label, target_label2);
#line 14512 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				ZEND_UNREACHABLE();
			}
		} else {
			//|	cset REG0w, gt
			//|	add REG0w, REG0w, #IS_FALSE
			//|	SET_ZVAL_TYPE_INFO_FROM_REG res_addr, REG0w, TMP1
			dasm_put(Dst, 129482, IS_FALSE);
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 129486, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 129489, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 129492, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 129495, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 129498, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 129501, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
#line 14519 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	return 1;
}

static int zend_jit_fe_reset(dasm_State **Dst, const zend_op *opline, uint32_t op1_info)
{
	zend_jit_addr res_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->result.var);

	if (opline->op1_type == IS_CONST) {
		zval *zv = RT_CONSTANT(opline, opline->op1);

		//|	ZVAL_COPY_CONST res_addr, MAY_BE_ANY, MAY_BE_ANY, zv, ZREG_REG0, ZREG_TMP1, ZREG_FPR0
			if (Z_TYPE_P(zv) > IS_TRUE) {
				if (Z_TYPE_P(zv) == IS_DOUBLE) {
					zend_reg dst_reg = (Z_MODE(res_addr) == IS_REG) ? Z_REG(res_addr) : ZREG_V0;
			if (((uintptr_t)(zv)) > MOVZ_IMM && arm64_may_use_adr((void*)(zv))) {
		dasm_put(Dst, 129505, (ZREG_X8), (unsigned int)((ptrdiff_t)(zv)), (unsigned int)(((ptrdiff_t)(zv))>>32), (dst_reg-ZREG_V0), (ZREG_X8));
			} else if (((uintptr_t)(zv)) > MOVZ_IMM && arm64_may_use_adrp((void*)(zv))) {
		dasm_put(Dst, 129512, (ZREG_X8), (unsigned int)((ptrdiff_t)((((uintptr_t)(zv))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zv)))))>>32), (dst_reg-ZREG_V0), (ZREG_X8), (((uintptr_t)(zv)) & 0xfff));
			} else {
			if (((uintptr_t)(zv)) == 0) {
		dasm_put(Dst, 129520, (ZREG_X8));
			} else if (((uintptr_t)(zv)) <= MOVZ_IMM) {
		dasm_put(Dst, 129523, (ZREG_X8), ((uint64_t)(zv)));
			} else if (arm64_may_use_adr((void*)(zv))) {
		dasm_put(Dst, 129527, (ZREG_X8), (unsigned int)((ptrdiff_t)(zv)), (unsigned int)(((ptrdiff_t)(zv))>>32));
			} else if (arm64_may_use_adrp((void*)(zv))) {
		dasm_put(Dst, 129531, (ZREG_X8), (unsigned int)((ptrdiff_t)((((uintptr_t)(zv))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zv)))))>>32));
				if (((uintptr_t)(zv)) & 0xfff) {
		dasm_put(Dst, 129535, (ZREG_X8), (ZREG_X8), (((uintptr_t)(zv)) & 0xfff));
				}
			} else if ((uintptr_t)(zv) & 0xffff) {
		dasm_put(Dst, 129540, (ZREG_X8), ((uintptr_t)(zv) & 0xffff));
				if (((uintptr_t)(zv) >> 16) & 0xffff) {
		dasm_put(Dst, 129544, (ZREG_X8), (((uintptr_t)(zv) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zv) >> 32) & 0xffff) {
		dasm_put(Dst, 129548, (ZREG_X8), (((uintptr_t)(zv) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zv) >> 16) & 0xffff) {
		dasm_put(Dst, 129552, (ZREG_X8), (((uintptr_t)(zv) >> 16) & 0xffff));
				if (((uintptr_t)(zv) >> 32) & 0xffff) {
		dasm_put(Dst, 129556, (ZREG_X8), (((uintptr_t)(zv) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 129560, (ZREG_X8), (((uintptr_t)(zv) >> 32) & 0xffff));
			}
		dasm_put(Dst, 129564, (dst_reg-ZREG_V0), (ZREG_X8));
			}
			if (Z_MODE(res_addr) == IS_REG) {
				if (dst_reg != Z_REG(res_addr)) {
		dasm_put(Dst, 129568, (Z_REG(res_addr)-ZREG_V0), (dst_reg-ZREG_V0));
				}
			} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 129572, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 129576, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 129580, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 129584, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 129588, (dst_reg-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 129593, (dst_reg-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
			}
				} else if (Z_TYPE_P(zv) == IS_LONG && MAY_BE_ANY == MAY_BE_DOUBLE) {
					zend_reg dst_reg = (Z_MODE(res_addr) == IS_REG) ? Z_REG(res_addr) : ZREG_V0;
			if (Z_LVAL_P(zv) == 0) {
		dasm_put(Dst, 129598, (dst_reg-ZREG_V0));
			} else {
			if (((uint64_t)(Z_LVAL_P(zv))) == 0) {
		dasm_put(Dst, 129601, (ZREG_X8));
			} else if (((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
		dasm_put(Dst, 129604, (ZREG_X8), ((uint64_t)(Z_LVAL_P(zv))));
			} else if (~((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
		dasm_put(Dst, 129608, (ZREG_X8), (~((uint64_t)(Z_LVAL_P(zv)))));
			} else if ((uint64_t)(Z_LVAL_P(zv)) & 0xffff) {
		dasm_put(Dst, 129612, (ZREG_X8), ((uint64_t)(Z_LVAL_P(zv)) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
		dasm_put(Dst, 129616, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
		dasm_put(Dst, 129620, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
		dasm_put(Dst, 129624, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
		dasm_put(Dst, 129628, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
		dasm_put(Dst, 129632, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
		dasm_put(Dst, 129636, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
		dasm_put(Dst, 129640, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
		dasm_put(Dst, 129644, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 129648, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
			}
		dasm_put(Dst, 129652, (dst_reg-ZREG_V0), (ZREG_X8));
			}
			if (Z_MODE(res_addr) == IS_REG) {
				if (dst_reg != Z_REG(res_addr)) {
		dasm_put(Dst, 129656, (Z_REG(res_addr)-ZREG_V0), (dst_reg-ZREG_V0));
				}
			} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 129660, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 129664, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 129668, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 129672, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 129676, (dst_reg-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 129681, (dst_reg-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
			}
				} else {
			if (Z_LVAL_P(zv) == 0) {
			if (Z_MODE(res_addr) == IS_REG) {
		dasm_put(Dst, 129686, (Z_REG(res_addr)));
			} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 129689, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 129693, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 129697, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 129701, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 129705, (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 129709, (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
			}
			} else {
			if (((uint64_t)(Z_LVAL_P(zv))) == 0) {
		dasm_put(Dst, 129713, (ZREG_X8));
			} else if (((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
		dasm_put(Dst, 129716, (ZREG_X8), ((uint64_t)(Z_LVAL_P(zv))));
			} else if (~((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
		dasm_put(Dst, 129720, (ZREG_X8), (~((uint64_t)(Z_LVAL_P(zv)))));
			} else if ((uint64_t)(Z_LVAL_P(zv)) & 0xffff) {
		dasm_put(Dst, 129724, (ZREG_X8), ((uint64_t)(Z_LVAL_P(zv)) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
		dasm_put(Dst, 129728, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
		dasm_put(Dst, 129732, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
		dasm_put(Dst, 129736, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
		dasm_put(Dst, 129740, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
		dasm_put(Dst, 129744, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
		dasm_put(Dst, 129748, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
		dasm_put(Dst, 129752, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
		dasm_put(Dst, 129756, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 129760, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
			}
			if (Z_MODE(res_addr) == IS_REG) {
		dasm_put(Dst, 129764, (Z_REG(res_addr)), (ZREG_X8));
			} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 129768, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 129772, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 129776, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 129780, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 129784, (ZREG_X8), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 129789, (ZREG_X8), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
			}
			}
				}
			}
			if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
				if (MAY_BE_ANY == MAY_BE_DOUBLE) {
					if ((MAY_BE_ANY & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != MAY_BE_DOUBLE) {
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uint32_t)(IS_DOUBLE)) <= MOVZ_IMM) {
		dasm_put(Dst, 129794, (ZREG_X8), ((uint32_t)(IS_DOUBLE)));
			} else if (((uint32_t)(IS_DOUBLE) & 0xffff)) {
		dasm_put(Dst, 129798, (ZREG_X8), ((uint32_t)(IS_DOUBLE) & 0xffff));
				if ((((uint32_t)(IS_DOUBLE) >> 16) & 0xffff)) {
		dasm_put(Dst, 129802, (ZREG_X8), (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 129806, (ZREG_X8), (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 129810, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 129814, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 129818, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 129822, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 129826, (ZREG_X8), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 129831, (ZREG_X8), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
			}
					}
				} else if (((MAY_BE_ANY & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (1<<Z_TYPE_P(zv))) || (MAY_BE_ANY & (MAY_BE_STRING|MAY_BE_ARRAY)) != 0) {
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uint32_t)(Z_TYPE_INFO_P(zv))) <= MOVZ_IMM) {
		dasm_put(Dst, 129836, (ZREG_X8), ((uint32_t)(Z_TYPE_INFO_P(zv))));
			} else if (((uint32_t)(Z_TYPE_INFO_P(zv)) & 0xffff)) {
		dasm_put(Dst, 129840, (ZREG_X8), ((uint32_t)(Z_TYPE_INFO_P(zv)) & 0xffff));
				if ((((uint32_t)(Z_TYPE_INFO_P(zv)) >> 16) & 0xffff)) {
		dasm_put(Dst, 129844, (ZREG_X8), (((uint32_t)(Z_TYPE_INFO_P(zv)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 129848, (ZREG_X8), (((uint32_t)(Z_TYPE_INFO_P(zv)) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 129852, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 129856, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 129860, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 129864, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 129868, (ZREG_X8), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 129873, (ZREG_X8), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
			}
				}
			}
#line 14533 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (Z_REFCOUNTED_P(zv)) {
			//|	ADDREF_CONST zv, REG0, TMP1
				if (((uintptr_t)(Z_PTR_P(zv))) == 0) {
			dasm_put(Dst, 129878);
				} else if (((uintptr_t)(Z_PTR_P(zv))) <= MOVZ_IMM) {
			dasm_put(Dst, 129880, ((uint64_t)(Z_PTR_P(zv))));
				} else if (arm64_may_use_adr((void*)(Z_PTR_P(zv)))) {
			dasm_put(Dst, 129883, (unsigned int)((ptrdiff_t)(Z_PTR_P(zv))), (unsigned int)(((ptrdiff_t)(Z_PTR_P(zv)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_PTR_P(zv)))) {
			dasm_put(Dst, 129886, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_PTR_P(zv)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_PTR_P(zv))))))>>32));
					if (((uintptr_t)(Z_PTR_P(zv))) & 0xfff) {
			dasm_put(Dst, 129889, (((uintptr_t)(Z_PTR_P(zv))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_PTR_P(zv)) & 0xffff) {
			dasm_put(Dst, 129892, ((uintptr_t)(Z_PTR_P(zv)) & 0xffff));
					if (((uintptr_t)(Z_PTR_P(zv)) >> 16) & 0xffff) {
			dasm_put(Dst, 129895, (((uintptr_t)(Z_PTR_P(zv)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 129898, (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_PTR_P(zv)) >> 16) & 0xffff) {
			dasm_put(Dst, 129901, (((uintptr_t)(Z_PTR_P(zv)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 129904, (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 129907, (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 129910);
#line 14535 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else {
		zend_jit_addr op1_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op1.var);

		//|	// ZVAL_COPY(res, value);
		//|	ZVAL_COPY_VALUE res_addr, -1, op1_addr, op1_info, ZREG_REG0, ZREG_FCARG1, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
			if (op1_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
				if ((op1_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
					if (Z_MODE(op1_addr) == IS_REG) {
						if (Z_MODE(res_addr) != IS_REG || Z_REG(res_addr) != Z_REG(op1_addr)) {
			if (Z_MODE(res_addr) == IS_REG) {
		dasm_put(Dst, 129914, (Z_REG(res_addr)), (Z_REG(op1_addr)));
			} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 129918, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 129922, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 129926, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 129930, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 129934, (Z_REG(op1_addr)), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 129939, (Z_REG(op1_addr)), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
			}
						}
					} else if (Z_MODE(res_addr) == IS_REG) {
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 129944, (Z_REG(res_addr)));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 129947, (Z_REG(res_addr)));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 129950, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 129954, (Z_REG(res_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 129958, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 129962, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 129966, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 129970, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 129974, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 129978, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 129982, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 129986, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 129990, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 129994, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 129998, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 130002, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 130006, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 130010, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 130014, (Z_REG(res_addr)), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 130019, (Z_REG(res_addr)), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (Z_REG(res_addr) != Z_REG(op1_addr)) {
		dasm_put(Dst, 130024, (Z_REG(res_addr)), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
					} else {
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 130028, (ZREG_FCARG1));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 130031, (ZREG_FCARG1));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 130034, (ZREG_FCARG1), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 130038, (ZREG_FCARG1), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 130042, (ZREG_FCARG1), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 130046, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 130050, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 130054, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 130058, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 130062, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 130066, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 130070, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 130074, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 130078, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 130082, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 130086, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 130090, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 130094, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 130098, (ZREG_FCARG1), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 130103, (ZREG_FCARG1), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (ZREG_FCARG1 != Z_REG(op1_addr)) {
		dasm_put(Dst, 130108, (ZREG_FCARG1), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
			if (Z_MODE(res_addr) == IS_REG) {
		dasm_put(Dst, 130112, (Z_REG(res_addr)), (ZREG_FCARG1));
			} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 130116, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 130120, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 130124, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 130128, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 130132, (ZREG_FCARG1), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 130137, (ZREG_FCARG1), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
			}
					}
				} else if ((op1_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
					if (Z_MODE(op1_addr) == IS_REG) {
			if (Z_MODE(res_addr) == IS_REG) {
				if (Z_REG(op1_addr) != Z_REG(res_addr)) {
		dasm_put(Dst, 130142, (Z_REG(res_addr)-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
				}
			} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 130146, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 130150, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 130154, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 130158, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 130162, (Z_REG(op1_addr)-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 130167, (Z_REG(op1_addr)-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
			}
					} else if (Z_MODE(res_addr) == IS_REG) {
			if (Z_MODE(op1_addr) != IS_REG || Z_REG(res_addr) != Z_REG(op1_addr)) {
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 130172, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 130179, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
			} else {
			if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
		dasm_put(Dst, 130187, (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 130190, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 130194, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 130198, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
		dasm_put(Dst, 130202, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
		dasm_put(Dst, 130207, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 130211, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 130215, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 130219, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 130223, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 130227, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
		dasm_put(Dst, 130231, (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
			}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 130235, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 130239, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 130243, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 130247, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 130251, (Z_REG(res_addr)-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 130256, (Z_REG(res_addr)-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
				} else if (Z_MODE(op1_addr) == IS_REG) {
		dasm_put(Dst, 130261, (Z_REG(res_addr)-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
				} else {
					ZEND_UNREACHABLE();
				}
			}
					} else {
			if (Z_MODE(op1_addr) != IS_REG || ZREG_V0 != Z_REG(op1_addr)) {
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 130265, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 130272, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
			} else {
			if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
		dasm_put(Dst, 130280, (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 130283, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 130287, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 130291, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
		dasm_put(Dst, 130295, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
		dasm_put(Dst, 130300, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 130304, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 130308, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 130312, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 130316, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 130320, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
		dasm_put(Dst, 130324, (ZREG_V0-ZREG_V0), (ZREG_X15));
			}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 130328, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 130332, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 130336, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 130340, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 130344, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 130349, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
				} else if (Z_MODE(op1_addr) == IS_REG) {
		dasm_put(Dst, 130354, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
				} else {
					ZEND_UNREACHABLE();
				}
			}
			if (Z_MODE(res_addr) == IS_REG) {
				if (ZREG_V0 != Z_REG(res_addr)) {
		dasm_put(Dst, 130358, (Z_REG(res_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
				}
			} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 130362, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 130366, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 130370, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 130374, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 130378, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 130383, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
			}
					}
				// Combine the following two branches.
				// } else if (!(op1_info & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
				} else {
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 130388, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 130392, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 130396, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 130400, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 130404, (ZREG_FCARG1), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 130409, (ZREG_FCARG1), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 130414, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 130418, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 130422, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 130426, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 130430, (ZREG_FCARG1), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 130435, (ZREG_FCARG1), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
				}
			}
			if ((op1_info & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
				!(op1_info & MAY_BE_GUARD) &&
				has_concrete_type(op1_info & MAY_BE_ANY)) {
				if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
					if ((-1 & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (op1_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD))) {
						uint32_t type = concrete_type(op1_info);
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uint32_t)(type)) <= MOVZ_IMM) {
		dasm_put(Dst, 130440, (ZREG_X15), ((uint32_t)(type)));
			} else if (((uint32_t)(type) & 0xffff)) {
		dasm_put(Dst, 130444, (ZREG_X15), ((uint32_t)(type) & 0xffff));
				if ((((uint32_t)(type) >> 16) & 0xffff)) {
		dasm_put(Dst, 130448, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 130452, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 130456, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 130460, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 130464, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 130468, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 130472, (ZREG_X15), (Z_REG(res_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 130477, (ZREG_X15), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
			}
					}
				}
			} else {
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 130482, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 130486, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 130490, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 130494, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 130498, (ZREG_X8), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 130503, (ZREG_X8), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)));
			}
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 130508, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 130512, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 130516, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 130520, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 130524, (ZREG_X8), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 130529, (ZREG_X8), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
			}
			}
#line 14541 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (opline->op1_type == IS_CV) {
			//|	TRY_ADDREF op1_info, REG0w, FCARG1x, TMP1w
				if (op1_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) {
					if (op1_info & (MAY_BE_ANY-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
				if ((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT) == 0) {
			dasm_put(Dst, 130534);
				} else if (logical_immediate_p((uint32_t)(IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT), 32)) {
			dasm_put(Dst, 130536, (IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT));
				} else {
				if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))) <= MOVZ_IMM) {
			dasm_put(Dst, 130539, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))));
				} else if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff)) {
			dasm_put(Dst, 130542, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff));
					if ((((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff)) {
			dasm_put(Dst, 130545, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 130548, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 130551);
				}
			dasm_put(Dst, 130553);
					}
			dasm_put(Dst, 130556);
				}
#line 14543 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}
	//|	// Z_FE_POS_P(res) = 0;
	//|	MEM_ACCESS_32_WITH_UOFFSET str, wzr, FP, (opline->result.var + offsetof(zval, u2.fe_pos)), TMP1
		if (((uintptr_t)((opline->result.var + offsetof(zval, u2.fe_pos)))) > LDR_STR_PIMM32) {
		if (((uint32_t)((opline->result.var + offsetof(zval, u2.fe_pos)))) <= MOVZ_IMM) {
	dasm_put(Dst, 130561, ((uint32_t)((opline->result.var + offsetof(zval, u2.fe_pos)))));
		} else if (((uint32_t)((opline->result.var + offsetof(zval, u2.fe_pos))) & 0xffff)) {
	dasm_put(Dst, 130564, ((uint32_t)((opline->result.var + offsetof(zval, u2.fe_pos))) & 0xffff));
			if ((((uint32_t)((opline->result.var + offsetof(zval, u2.fe_pos))) >> 16) & 0xffff)) {
	dasm_put(Dst, 130567, (((uint32_t)((opline->result.var + offsetof(zval, u2.fe_pos))) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 130570, (((uint32_t)((opline->result.var + offsetof(zval, u2.fe_pos))) >> 16) & 0xffff));
		}
	dasm_put(Dst, 130573);
		} else {
	dasm_put(Dst, 130575, ((opline->result.var + offsetof(zval, u2.fe_pos))));
		}
#line 14547 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	return 1;
}

static int zend_jit_fe_fetch(dasm_State **Dst, const zend_op *opline, uint32_t op1_info, uint32_t op2_info, unsigned int target_label, zend_uchar exit_opcode, const void *exit_addr)
{
	zend_jit_addr op1_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op1.var);

	if (!MAY_BE_HASH(op1_info) && !MAY_BE_PACKED(op1_info)) {
		/* empty array */
		if (exit_addr) {
			if (exit_opcode == ZEND_JMP) {
				//|	b &exit_addr
				dasm_put(Dst, 130578, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 14560 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else {
			//|	b =>target_label
			dasm_put(Dst, 130581, target_label);
#line 14563 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		return 1;
	}

	//|	// array = EX_VAR(opline->op1.var);
	//|	// fe_ht = Z_ARRVAL_P(array);
	//|	GET_ZVAL_PTR FCARG1x, op1_addr, TMP1
		ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 130584, ((uint32_t)(Z_OFFSET(op1_addr))));
		} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
	dasm_put(Dst, 130587, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 130590, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 130593, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 130596, (Z_REG(op1_addr)));
		} else {
	dasm_put(Dst, 130599, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
		}
#line 14570 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	// pos = Z_FE_POS_P(array);
	//|	MEM_ACCESS_32_WITH_UOFFSET ldr, REG0w, FP, (opline->op1.var + offsetof(zval, u2.fe_pos)), TMP1
		if (((uintptr_t)((opline->op1.var + offsetof(zval, u2.fe_pos)))) > LDR_STR_PIMM32) {
		if (((uint32_t)((opline->op1.var + offsetof(zval, u2.fe_pos)))) <= MOVZ_IMM) {
	dasm_put(Dst, 130603, ((uint32_t)((opline->op1.var + offsetof(zval, u2.fe_pos)))));
		} else if (((uint32_t)((opline->op1.var + offsetof(zval, u2.fe_pos))) & 0xffff)) {
	dasm_put(Dst, 130606, ((uint32_t)((opline->op1.var + offsetof(zval, u2.fe_pos))) & 0xffff));
			if ((((uint32_t)((opline->op1.var + offsetof(zval, u2.fe_pos))) >> 16) & 0xffff)) {
	dasm_put(Dst, 130609, (((uint32_t)((opline->op1.var + offsetof(zval, u2.fe_pos))) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 130612, (((uint32_t)((opline->op1.var + offsetof(zval, u2.fe_pos))) >> 16) & 0xffff));
		}
	dasm_put(Dst, 130615);
		} else {
	dasm_put(Dst, 130617, ((opline->op1.var + offsetof(zval, u2.fe_pos))));
		}
#line 14572 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	// p = fe_ht->arData + pos;
		ZEND_ASSERT(sizeof(Bucket) == 32);
	//|	mov FCARG2w, REG0w
	//|	ldr TMP1, [FCARG1x, #offsetof(zend_array, arData)]
	//|	add FCARG2x, TMP1, FCARG2x, lsl #5
	//|1:
	//|	// if (UNEXPECTED(pos >= fe_ht->nNumUsed)) {
	//|	ldr TMP1w, [FCARG1x, #offsetof(zend_array, nNumUsed)]
	//|	cmp TMP1w, REG0w
	//|	// ZEND_VM_SET_RELATIVE_OPCODE(opline, opline->extended_value);
	//|	// ZEND_VM_CONTINUE();
	dasm_put(Dst, 130620, offsetof(zend_array, arData), offsetof(zend_array, nNumUsed));
#line 14583 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	if (exit_addr) {
		if (exit_opcode == ZEND_JMP) {
			//|	bls &exit_addr
			dasm_put(Dst, 130629, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 14586 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	bls >3
			dasm_put(Dst, 130632);
#line 14588 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else {
		//|	bls =>target_label
		dasm_put(Dst, 130635, target_label);
#line 14591 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	//|	// pos++;
	//|	add REG0w, REG0w, #1
	//|	// value_type = Z_TYPE_INFO_P(value);
	//|	// if (EXPECTED(value_type != IS_UNDEF)) {
	dasm_put(Dst, 130638);
#line 14596 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	if (!exit_addr || exit_opcode == ZEND_JMP) {
		//|	IF_NOT_Z_TYPE FCARG2x, IS_UNDEF, >3, TMP1w
		dasm_put(Dst, 130640, offsetof(zval, u1.v.type));
			if (IS_UNDEF == 0) {
		dasm_put(Dst, 130643);
			} else {
		dasm_put(Dst, 130646, IS_UNDEF);
			}
#line 14598 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		//|	IF_NOT_Z_TYPE FCARG2x, IS_UNDEF, &exit_addr, TMP1w
		dasm_put(Dst, 130651, offsetof(zval, u1.v.type));
			if (IS_UNDEF == 0) {
		dasm_put(Dst, 130654, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
			} else {
		dasm_put(Dst, 130657, IS_UNDEF, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
			}
#line 14600 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	//|	// p++;
	//|	add FCARG2x, FCARG2x, #sizeof(Bucket)
	//|	b <1
	//|3:
	dasm_put(Dst, 130662, sizeof(Bucket));
#line 14605 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	if (!exit_addr || exit_opcode == ZEND_JMP) {
		zend_jit_addr val_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG2, 0);
		zend_jit_addr var_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op2.var);
		uint32_t val_info;

		//|	// Z_FE_POS_P(array) = pos + 1;
		//|	MEM_ACCESS_32_WITH_UOFFSET str, REG0w, FP, (opline->op1.var + offsetof(zval, u2.fe_pos)), TMP1
			if (((uintptr_t)((opline->op1.var + offsetof(zval, u2.fe_pos)))) > LDR_STR_PIMM32) {
			if (((uint32_t)((opline->op1.var + offsetof(zval, u2.fe_pos)))) <= MOVZ_IMM) {
		dasm_put(Dst, 130668, ((uint32_t)((opline->op1.var + offsetof(zval, u2.fe_pos)))));
			} else if (((uint32_t)((opline->op1.var + offsetof(zval, u2.fe_pos))) & 0xffff)) {
		dasm_put(Dst, 130671, ((uint32_t)((opline->op1.var + offsetof(zval, u2.fe_pos))) & 0xffff));
				if ((((uint32_t)((opline->op1.var + offsetof(zval, u2.fe_pos))) >> 16) & 0xffff)) {
		dasm_put(Dst, 130674, (((uint32_t)((opline->op1.var + offsetof(zval, u2.fe_pos))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 130677, (((uint32_t)((opline->op1.var + offsetof(zval, u2.fe_pos))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 130680);
			} else {
		dasm_put(Dst, 130682, ((opline->op1.var + offsetof(zval, u2.fe_pos))));
			}
#line 14613 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

		if (RETURN_VALUE_USED(opline)) {
			zend_jit_addr res_addr = RES_ADDR();

			if ((op1_info & MAY_BE_ARRAY_KEY_LONG)
			 && (op1_info & MAY_BE_ARRAY_KEY_STRING)) {
				//|	// if (!p->key) {
				//|	ldr REG0, [FCARG2x, #offsetof(Bucket, key)]
				//|	cbz REG0, >2
				dasm_put(Dst, 130685, offsetof(Bucket, key));
#line 14622 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if (op1_info & MAY_BE_ARRAY_KEY_STRING) {
				//|	// ZVAL_STR_COPY(EX_VAR(opline->result.var), p->key);
				//|	ldr REG0, [FCARG2x, #offsetof(Bucket, key)]
				//|	SET_ZVAL_PTR res_addr, REG0, TMP1
				dasm_put(Dst, 130690, offsetof(Bucket, key));
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 130693, ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 130696, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 130699, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 130702, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 130705, (Z_REG(res_addr)));
					} else {
				dasm_put(Dst, 130708, (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
					}
#line 14627 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	ldr TMP1w, [REG0, #offsetof(zend_refcounted, gc.u.type_info)]
				//|	TST_32_WITH_CONST TMP1w, IS_STR_INTERNED, TMP2w
				dasm_put(Dst, 130712, offsetof(zend_refcounted, gc.u.type_info));
					if (IS_STR_INTERNED == 0) {
				dasm_put(Dst, 130715);
					} else if (logical_immediate_p((uint32_t)IS_STR_INTERNED, 32)) {
				dasm_put(Dst, 130717, IS_STR_INTERNED);
					} else {
					if (((uint32_t)(IS_STR_INTERNED)) <= MOVZ_IMM) {
				dasm_put(Dst, 130720, ((uint32_t)(IS_STR_INTERNED)));
					} else if (((uint32_t)(IS_STR_INTERNED) & 0xffff)) {
				dasm_put(Dst, 130723, ((uint32_t)(IS_STR_INTERNED) & 0xffff));
						if ((((uint32_t)(IS_STR_INTERNED) >> 16) & 0xffff)) {
				dasm_put(Dst, 130726, (((uint32_t)(IS_STR_INTERNED) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 130729, (((uint32_t)(IS_STR_INTERNED) >> 16) & 0xffff));
					}
				dasm_put(Dst, 130732);
					}
#line 14629 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	beq >1
				//|	SET_ZVAL_TYPE_INFO res_addr, IS_STRING, TMP1w, TMP2
				dasm_put(Dst, 130734);
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uint32_t)(IS_STRING)) <= MOVZ_IMM) {
				dasm_put(Dst, 130737, ((uint32_t)(IS_STRING)));
					} else if (((uint32_t)(IS_STRING) & 0xffff)) {
				dasm_put(Dst, 130740, ((uint32_t)(IS_STRING) & 0xffff));
						if ((((uint32_t)(IS_STRING) >> 16) & 0xffff)) {
				dasm_put(Dst, 130743, (((uint32_t)(IS_STRING) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 130746, (((uint32_t)(IS_STRING) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 130749, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 130752, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 130755, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 130758, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 130761, (Z_REG(res_addr)));
					} else {
				dasm_put(Dst, 130764, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
					}
#line 14631 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	b >3
				//|1:
				//|	GC_ADDREF REG0, TMP1w
				//|	SET_ZVAL_TYPE_INFO res_addr, IS_STRING_EX, TMP1w, TMP2
				dasm_put(Dst, 130768);
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uint32_t)(IS_STRING_EX)) <= MOVZ_IMM) {
				dasm_put(Dst, 130775, ((uint32_t)(IS_STRING_EX)));
					} else if (((uint32_t)(IS_STRING_EX) & 0xffff)) {
				dasm_put(Dst, 130778, ((uint32_t)(IS_STRING_EX) & 0xffff));
						if ((((uint32_t)(IS_STRING_EX) >> 16) & 0xffff)) {
				dasm_put(Dst, 130781, (((uint32_t)(IS_STRING_EX) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 130784, (((uint32_t)(IS_STRING_EX) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 130787, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 130790, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 130793, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 130796, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 130799, (Z_REG(res_addr)));
					} else {
				dasm_put(Dst, 130802, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
					}
#line 14635 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

				if (op1_info & MAY_BE_ARRAY_KEY_LONG) {
				    //|	b >3
					//|2:
					dasm_put(Dst, 130806);
#line 14639 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			}
			if (op1_info & MAY_BE_ARRAY_KEY_LONG) {
				//|	// ZVAL_LONG(EX_VAR(opline->result.var), p->h);
				//|	ldr REG0, [FCARG2x, #offsetof(Bucket, h)]
				//|	SET_ZVAL_LVAL_FROM_REG res_addr, REG0, TMP1
				dasm_put(Dst, 130810, offsetof(Bucket, h));
					if (Z_MODE(res_addr) == IS_REG) {
				dasm_put(Dst, 130813, (Z_REG(res_addr)));
					} else {
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 130816, ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 130819, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 130822, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 130825, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 130828, (Z_REG(res_addr)));
					} else {
				dasm_put(Dst, 130831, (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
					}
					}
#line 14645 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	SET_ZVAL_TYPE_INFO res_addr, IS_LONG, TMP1w, TMP2
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uint32_t)(IS_LONG)) <= MOVZ_IMM) {
				dasm_put(Dst, 130835, ((uint32_t)(IS_LONG)));
					} else if (((uint32_t)(IS_LONG) & 0xffff)) {
				dasm_put(Dst, 130838, ((uint32_t)(IS_LONG) & 0xffff));
						if ((((uint32_t)(IS_LONG) >> 16) & 0xffff)) {
				dasm_put(Dst, 130841, (((uint32_t)(IS_LONG) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 130844, (((uint32_t)(IS_LONG) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 130847, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 130850, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 130853, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 130856, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 130859, (Z_REG(res_addr)));
					} else {
				dasm_put(Dst, 130862, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
					}
#line 14646 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|3:
			dasm_put(Dst, 130866);
#line 14648 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}

		val_info = ((op1_info & MAY_BE_ARRAY_OF_ANY) >> MAY_BE_ARRAY_SHIFT);
		if (val_info & MAY_BE_ARRAY) {
			val_info |= MAY_BE_ARRAY_KEY_ANY | MAY_BE_ARRAY_OF_ANY | MAY_BE_ARRAY_OF_REF;
		}
		if (op1_info & MAY_BE_ARRAY_OF_REF) {
			val_info |= MAY_BE_REF | MAY_BE_RC1 | MAY_BE_RCN | MAY_BE_ANY |
				MAY_BE_ARRAY_KEY_ANY | MAY_BE_ARRAY_OF_ANY | MAY_BE_ARRAY_OF_REF;
		} else if (val_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) {
			val_info |= MAY_BE_RC1 | MAY_BE_RCN;
		}

		if (opline->op2_type == IS_CV) {
			//|	// zend_assign_to_variable(variable_ptr, value, IS_CV, EX_USES_STRICT_TYPES());
			if (!zend_jit_assign_to_variable(Dst, opline, var_addr, var_addr, op2_info, -1, IS_CV, val_addr, val_info, 0, 1)) {
				return 0;
			}
		} else {
			//|	// ZVAL_COPY(res, value);
			//|	ZVAL_COPY_VALUE var_addr, -1, val_addr, val_info, ZREG_REG0, ZREG_FCARG1, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
				if (val_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
					if ((val_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
						if (Z_MODE(val_addr) == IS_REG) {
							if (Z_MODE(var_addr) != IS_REG || Z_REG(var_addr) != Z_REG(val_addr)) {
				if (Z_MODE(var_addr) == IS_REG) {
			dasm_put(Dst, 130868, (Z_REG(var_addr)), (Z_REG(val_addr)));
				} else {
					ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 130872, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
			dasm_put(Dst, 130876, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 130880, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 130884, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 130888, (Z_REG(val_addr)), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 130893, (Z_REG(val_addr)), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
				}
				}
							}
						} else if (Z_MODE(var_addr) == IS_REG) {
				if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(val_addr)) == 0) {
			dasm_put(Dst, 130898, (Z_REG(var_addr)));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) == 0) {
			dasm_put(Dst, 130901, (Z_REG(var_addr)));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 130904, (Z_REG(var_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 130908, (Z_REG(var_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff) {
			dasm_put(Dst, 130912, (Z_REG(var_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 130916, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 130920, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 130924, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 130928, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 130932, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 130936, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 130940, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 130944, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 130948, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 130952, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 130956, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 130960, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 130964, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 130968, (Z_REG(var_addr)), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 130973, (Z_REG(var_addr)), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
				} else if (Z_MODE(val_addr) == IS_REG) {
					if (Z_REG(var_addr) != Z_REG(val_addr)) {
			dasm_put(Dst, 130978, (Z_REG(var_addr)), (Z_REG(val_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
						} else {
				if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(val_addr)) == 0) {
			dasm_put(Dst, 130982, (ZREG_FCARG1));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) == 0) {
			dasm_put(Dst, 130985, (ZREG_FCARG1));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 130988, (ZREG_FCARG1), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 130992, (ZREG_FCARG1), (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff) {
			dasm_put(Dst, 130996, (ZREG_FCARG1), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 131000, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 131004, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 131008, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 131012, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 131016, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 131020, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 131024, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 131028, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 131032, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 131036, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 131040, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 131044, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 131048, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 131052, (ZREG_FCARG1), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 131057, (ZREG_FCARG1), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
				} else if (Z_MODE(val_addr) == IS_REG) {
					if (ZREG_FCARG1 != Z_REG(val_addr)) {
			dasm_put(Dst, 131062, (ZREG_FCARG1), (Z_REG(val_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
				if (Z_MODE(var_addr) == IS_REG) {
			dasm_put(Dst, 131066, (Z_REG(var_addr)), (ZREG_FCARG1));
				} else {
					ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 131070, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
			dasm_put(Dst, 131074, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 131078, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 131082, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 131086, (ZREG_FCARG1), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 131091, (ZREG_FCARG1), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
				}
				}
						}
					} else if ((val_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
						if (Z_MODE(val_addr) == IS_REG) {
				if (Z_MODE(var_addr) == IS_REG) {
					if (Z_REG(val_addr) != Z_REG(var_addr)) {
			dasm_put(Dst, 131096, (Z_REG(var_addr)-ZREG_V0), (Z_REG(val_addr)-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 131100, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
			dasm_put(Dst, 131104, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 131108, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 131112, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 131116, (Z_REG(val_addr)-ZREG_V0), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 131121, (Z_REG(val_addr)-ZREG_V0), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
				}
				}
						} else if (Z_MODE(var_addr) == IS_REG) {
				if (Z_MODE(val_addr) != IS_REG || Z_REG(var_addr) != Z_REG(val_addr)) {
					if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 131126, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32), (Z_REG(var_addr)-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 131133, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32), (Z_REG(var_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(val_addr))) == 0) {
			dasm_put(Dst, 131141, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 131144, (ZREG_X15), ((uint64_t)(Z_ZV(val_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 131148, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 131152, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(val_addr))) & 0xfff) {
			dasm_put(Dst, 131156, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(val_addr)) & 0xffff) {
			dasm_put(Dst, 131161, (ZREG_X15), ((uintptr_t)(Z_ZV(val_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 131165, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 131169, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 131173, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 131177, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 131181, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 131185, (Z_REG(var_addr)-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 131189, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 131193, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 131197, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 131201, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 131205, (Z_REG(var_addr)-ZREG_V0), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 131210, (Z_REG(var_addr)-ZREG_V0), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
					} else if (Z_MODE(val_addr) == IS_REG) {
			dasm_put(Dst, 131215, (Z_REG(var_addr)-ZREG_V0), (Z_REG(val_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
						} else {
				if (Z_MODE(val_addr) != IS_REG || ZREG_V0 != Z_REG(val_addr)) {
					if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 131219, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 131226, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(val_addr))) == 0) {
			dasm_put(Dst, 131234, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 131237, (ZREG_X15), ((uint64_t)(Z_ZV(val_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 131241, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 131245, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(val_addr))) & 0xfff) {
			dasm_put(Dst, 131249, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(val_addr)) & 0xffff) {
			dasm_put(Dst, 131254, (ZREG_X15), ((uintptr_t)(Z_ZV(val_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 131258, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 131262, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 131266, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 131270, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 131274, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 131278, (ZREG_V0-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 131282, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 131286, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 131290, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 131294, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 131298, (ZREG_V0-ZREG_V0), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 131303, (ZREG_V0-ZREG_V0), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
					} else if (Z_MODE(val_addr) == IS_REG) {
			dasm_put(Dst, 131308, (ZREG_V0-ZREG_V0), (Z_REG(val_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
				if (Z_MODE(var_addr) == IS_REG) {
					if (ZREG_V0 != Z_REG(var_addr)) {
			dasm_put(Dst, 131312, (Z_REG(var_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 131316, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
			dasm_put(Dst, 131320, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 131324, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 131328, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 131332, (ZREG_V0-ZREG_V0), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 131337, (ZREG_V0-ZREG_V0), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
				}
				}
						}
					// Combine the following two branches.
					// } else if (!(val_info & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
					} else {
				ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 131342, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 131346, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 131350, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 131354, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 131358, (ZREG_FCARG1), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 131363, (ZREG_FCARG1), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
				ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 131368, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
			dasm_put(Dst, 131372, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 131376, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 131380, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 131384, (ZREG_FCARG1), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 131389, (ZREG_FCARG1), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
				}
					}
				}
				if ((val_info & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
					!(val_info & MAY_BE_GUARD) &&
					has_concrete_type(val_info & MAY_BE_ANY)) {
					if (Z_MODE(var_addr) == IS_MEM_ZVAL) {
						if ((-1 & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (val_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD))) {
							uint32_t type = concrete_type(val_info);
				ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(type)) <= MOVZ_IMM) {
			dasm_put(Dst, 131394, (ZREG_X15), ((uint32_t)(type)));
				} else if (((uint32_t)(type) & 0xffff)) {
			dasm_put(Dst, 131398, (ZREG_X15), ((uint32_t)(type) & 0xffff));
					if ((((uint32_t)(type) >> 16) & 0xffff)) {
			dasm_put(Dst, 131402, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 131406, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 131410, (ZREG_X16), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 131414, (ZREG_X16), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 131418, (ZREG_X16), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 131422, (ZREG_X16), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 131426, (ZREG_X15), (Z_REG(var_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 131431, (ZREG_X15), (Z_REG(var_addr)), (Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)));
				}
						}
					}
				} else {
				ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 131436, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 131440, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 131444, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 131448, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 131452, (ZREG_X8), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 131457, (ZREG_X8), (Z_REG(val_addr)), (Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)));
				}
				ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 131462, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 131466, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 131470, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 131474, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 131478, (ZREG_X8), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 131483, (ZREG_X8), (Z_REG(var_addr)), (Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)));
				}
				}
#line 14669 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	TRY_ADDREF val_info, REG0w, FCARG1x, TMP1w
				if (val_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) {
					if (val_info & (MAY_BE_ANY-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
				if ((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT) == 0) {
			dasm_put(Dst, 131488);
				} else if (logical_immediate_p((uint32_t)(IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT), 32)) {
			dasm_put(Dst, 131490, (IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT));
				} else {
				if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))) <= MOVZ_IMM) {
			dasm_put(Dst, 131493, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))));
				} else if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff)) {
			dasm_put(Dst, 131496, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff));
					if ((((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff)) {
			dasm_put(Dst, 131499, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 131502, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 131505);
				}
			dasm_put(Dst, 131507);
					}
			dasm_put(Dst, 131510);
				}
#line 14670 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	return 1;
}

static int zend_jit_fetch_constant(dasm_State          **Dst,
                                   const zend_op        *opline,
                                   const zend_op_array  *op_array,
                                   zend_ssa             *ssa,
                                   const zend_ssa_op    *ssa_op,
                                   zend_jit_addr         res_addr)
{
	zval *zv = RT_CONSTANT(opline, opline->op2) + 1;
	zend_jit_addr const_addr = ZEND_ADDR_MEM_ZVAL(ZREG_REG0, 0);
	uint32_t res_info = RES_INFO();

	//|	// c = CACHED_PTR(opline->extended_value);
	//|	ldr FCARG1x, EX->run_time_cache
	//|	MEM_ACCESS_64_WITH_UOFFSET ldr, REG0, FCARG1x, opline->extended_value, TMP1
	dasm_put(Dst, 131515, Dt1(->run_time_cache));
		if (((uintptr_t)(opline->extended_value)) > LDR_STR_PIMM64) {
		if (((uint32_t)(opline->extended_value)) <= MOVZ_IMM) {
	dasm_put(Dst, 131518, ((uint32_t)(opline->extended_value)));
		} else if (((uint32_t)(opline->extended_value) & 0xffff)) {
	dasm_put(Dst, 131521, ((uint32_t)(opline->extended_value) & 0xffff));
			if ((((uint32_t)(opline->extended_value) >> 16) & 0xffff)) {
	dasm_put(Dst, 131524, (((uint32_t)(opline->extended_value) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 131527, (((uint32_t)(opline->extended_value) >> 16) & 0xffff));
		}
	dasm_put(Dst, 131530);
		} else {
	dasm_put(Dst, 131532, (opline->extended_value));
		}
#line 14690 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	// if (c != NULL)
	//|	cbz REG0, >9
	dasm_put(Dst, 131535);
#line 14692 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	if (!zend_jit_is_persistent_constant(zv, opline->op1.num)) {
		//|	// if (!IS_SPECIAL_CACHE_VAL(c))
			ZEND_ASSERT(CACHE_SPECIAL == 1);
		//|	TST_64_WITH_ONE REG0
		//|	bne >9
		dasm_put(Dst, 131538);
#line 14697 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	//|8:
	dasm_put(Dst, 131542);
#line 14699 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	if ((res_info & MAY_BE_GUARD) && JIT_G(current_frame)) {
		zend_jit_trace_stack *stack = JIT_G(current_frame)->stack;
		uint32_t old_info = STACK_INFO(stack, EX_VAR_TO_NUM(opline->result.var));
		int32_t exit_point;
		const void *exit_addr = NULL;

		SET_STACK_TYPE(stack, EX_VAR_TO_NUM(opline->result.var), IS_UNKNOWN, 1);
		SET_STACK_REG(stack, EX_VAR_TO_NUM(opline->result.var), ZREG_ZVAL_COPY_GPR0);
		exit_point = zend_jit_trace_get_exit_point(opline+1, 0);
		SET_STACK_INFO(stack, EX_VAR_TO_NUM(opline->result.var), old_info);
		exit_addr = zend_jit_trace_get_exit_addr(exit_point);
		if (!exit_addr) {
			return 0;
		}
		res_info &= ~MAY_BE_GUARD;
		ssa->var_info[ssa_op->result_def].type &= ~MAY_BE_GUARD;

		uint32_t type = concrete_type(res_info);

		if (type < IS_STRING) {
			//|	IF_NOT_ZVAL_TYPE const_addr, type, &exit_addr, ZREG_TMP1
				ZEND_ASSERT(Z_MODE(const_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(const_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(const_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 131544, (ZREG_X15), ((uint32_t)(Z_OFFSET(const_addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(const_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 131548, (ZREG_X15), ((uint32_t)(Z_OFFSET(const_addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(const_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 131552, (ZREG_X15), (((uint32_t)(Z_OFFSET(const_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 131556, (ZREG_X15), (((uint32_t)(Z_OFFSET(const_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 131560, (ZREG_X15), (Z_REG(const_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 131565, (ZREG_X15), (Z_REG(const_addr)), (Z_OFFSET(const_addr)+offsetof(zval, u1.v.type)));
				}
				if (type == 0) {
			dasm_put(Dst, 131570, (ZREG_X15), (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
				} else {
			dasm_put(Dst, 131574, (ZREG_X15), type, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
				}
#line 14721 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	GET_ZVAL_TYPE_INFO REG2w, const_addr, TMP1
				ZEND_ASSERT(Z_MODE(const_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(const_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(const_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 131580, ((uint32_t)(Z_OFFSET(const_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(const_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 131583, ((uint32_t)(Z_OFFSET(const_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(const_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 131586, (((uint32_t)(Z_OFFSET(const_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 131589, (((uint32_t)(Z_OFFSET(const_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 131592, (Z_REG(const_addr)));
				} else {
			dasm_put(Dst, 131595, (Z_REG(const_addr)), (Z_OFFSET(const_addr)+offsetof(zval,u1.type_info)));
				}
#line 14723 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	IF_NOT_TYPE REG2w, type, &exit_addr
				if (type == 0) {
			dasm_put(Dst, 131599, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
				} else {
			dasm_put(Dst, 131602, type, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
				}
#line 14724 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	ZVAL_COPY_VALUE_V res_addr, -1, const_addr, res_info, ZREG_REG0, ZREG_REG1, ZREG_TMP1, ZREG_FPR0
			if (res_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
				if ((res_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
					if (Z_MODE(const_addr) == IS_REG) {
						if (Z_MODE(res_addr) != IS_REG || Z_REG(res_addr) != Z_REG(const_addr)) {
			if (Z_MODE(res_addr) == IS_REG) {
		dasm_put(Dst, 131607, (Z_REG(res_addr)), (Z_REG(const_addr)));
			} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 131611, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 131615, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 131619, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 131623, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 131627, (Z_REG(const_addr)), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 131632, (Z_REG(const_addr)), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
			}
						}
					} else if (Z_MODE(res_addr) == IS_REG) {
			if (Z_MODE(const_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(const_addr)) == 0) {
		dasm_put(Dst, 131637, (Z_REG(res_addr)));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr)))) == 0) {
		dasm_put(Dst, 131640, (Z_REG(res_addr)));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 131643, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(const_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(const_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 131647, (Z_REG(res_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) & 0xffff) {
		dasm_put(Dst, 131651, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 131655, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 131659, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 131663, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 131667, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 131671, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 131675, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 131679, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 131683, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 131687, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(const_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(const_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(const_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 131691, (ZREG_X15), ((uint32_t)(Z_OFFSET(const_addr))));
			} else if (((uint32_t)(Z_OFFSET(const_addr)) & 0xffff)) {
		dasm_put(Dst, 131695, (ZREG_X15), ((uint32_t)(Z_OFFSET(const_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(const_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 131699, (ZREG_X15), (((uint32_t)(Z_OFFSET(const_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 131703, (ZREG_X15), (((uint32_t)(Z_OFFSET(const_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 131707, (Z_REG(res_addr)), (Z_REG(const_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 131712, (Z_REG(res_addr)), (Z_REG(const_addr)), (Z_OFFSET(const_addr)));
			}
			} else if (Z_MODE(const_addr) == IS_REG) {
				if (Z_REG(res_addr) != Z_REG(const_addr)) {
		dasm_put(Dst, 131717, (Z_REG(res_addr)), (Z_REG(const_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
					} else {
			if (Z_MODE(const_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(const_addr)) == 0) {
		dasm_put(Dst, 131721, (ZREG_X9));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr)))) == 0) {
		dasm_put(Dst, 131724, (ZREG_X9));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 131727, (ZREG_X9), ((uint64_t)(Z_LVAL_P(Z_ZV(const_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(const_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 131731, (ZREG_X9), (~((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) & 0xffff) {
		dasm_put(Dst, 131735, (ZREG_X9), ((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 131739, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 131743, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 131747, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 131751, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 131755, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 131759, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 131763, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 131767, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 131771, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(const_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(const_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(const_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 131775, (ZREG_X15), ((uint32_t)(Z_OFFSET(const_addr))));
			} else if (((uint32_t)(Z_OFFSET(const_addr)) & 0xffff)) {
		dasm_put(Dst, 131779, (ZREG_X15), ((uint32_t)(Z_OFFSET(const_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(const_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 131783, (ZREG_X15), (((uint32_t)(Z_OFFSET(const_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 131787, (ZREG_X15), (((uint32_t)(Z_OFFSET(const_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 131791, (ZREG_X9), (Z_REG(const_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 131796, (ZREG_X9), (Z_REG(const_addr)), (Z_OFFSET(const_addr)));
			}
			} else if (Z_MODE(const_addr) == IS_REG) {
				if (ZREG_X9 != Z_REG(const_addr)) {
		dasm_put(Dst, 131801, (ZREG_X9), (Z_REG(const_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
			if (Z_MODE(res_addr) == IS_REG) {
		dasm_put(Dst, 131805, (Z_REG(res_addr)), (ZREG_X9));
			} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 131809, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 131813, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 131817, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 131821, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 131825, (ZREG_X9), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 131830, (ZREG_X9), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
			}
					}
				} else if ((res_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
					if (Z_MODE(const_addr) == IS_REG) {
			if (Z_MODE(res_addr) == IS_REG) {
				if (Z_REG(const_addr) != Z_REG(res_addr)) {
		dasm_put(Dst, 131835, (Z_REG(res_addr)-ZREG_V0), (Z_REG(const_addr)-ZREG_V0));
				}
			} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 131839, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 131843, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 131847, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 131851, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 131855, (Z_REG(const_addr)-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 131860, (Z_REG(const_addr)-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
			}
					} else if (Z_MODE(res_addr) == IS_REG) {
			if (Z_MODE(const_addr) != IS_REG || Z_REG(res_addr) != Z_REG(const_addr)) {
				if (Z_MODE(const_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(const_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(const_addr)))) {
		dasm_put(Dst, 131865, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(const_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(const_addr)))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(const_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(const_addr)))) {
		dasm_put(Dst, 131872, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(const_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(const_addr))))))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(const_addr))) & 0xfff));
			} else {
			if (((uintptr_t)(Z_ZV(const_addr))) == 0) {
		dasm_put(Dst, 131880, (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(const_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 131883, (ZREG_X15), ((uint64_t)(Z_ZV(const_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(const_addr)))) {
		dasm_put(Dst, 131887, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(const_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(const_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(const_addr)))) {
		dasm_put(Dst, 131891, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(const_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(const_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(const_addr))) & 0xfff) {
		dasm_put(Dst, 131895, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(const_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(const_addr)) & 0xffff) {
		dasm_put(Dst, 131900, (ZREG_X15), ((uintptr_t)(Z_ZV(const_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(const_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 131904, (ZREG_X15), (((uintptr_t)(Z_ZV(const_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(const_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 131908, (ZREG_X15), (((uintptr_t)(Z_ZV(const_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(const_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 131912, (ZREG_X15), (((uintptr_t)(Z_ZV(const_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(const_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 131916, (ZREG_X15), (((uintptr_t)(Z_ZV(const_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 131920, (ZREG_X15), (((uintptr_t)(Z_ZV(const_addr)) >> 32) & 0xffff));
			}
		dasm_put(Dst, 131924, (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
			}
				} else if (Z_MODE(const_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(const_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(const_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 131928, (ZREG_X15), ((uint32_t)(Z_OFFSET(const_addr))));
			} else if (((uint32_t)(Z_OFFSET(const_addr)) & 0xffff)) {
		dasm_put(Dst, 131932, (ZREG_X15), ((uint32_t)(Z_OFFSET(const_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(const_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 131936, (ZREG_X15), (((uint32_t)(Z_OFFSET(const_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 131940, (ZREG_X15), (((uint32_t)(Z_OFFSET(const_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 131944, (Z_REG(res_addr)-ZREG_V0), (Z_REG(const_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 131949, (Z_REG(res_addr)-ZREG_V0), (Z_REG(const_addr)), (Z_OFFSET(const_addr)));
			}
				} else if (Z_MODE(const_addr) == IS_REG) {
		dasm_put(Dst, 131954, (Z_REG(res_addr)-ZREG_V0), (Z_REG(const_addr)-ZREG_V0));
				} else {
					ZEND_UNREACHABLE();
				}
			}
					} else {
			if (Z_MODE(const_addr) != IS_REG || ZREG_V0 != Z_REG(const_addr)) {
				if (Z_MODE(const_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(const_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(const_addr)))) {
		dasm_put(Dst, 131958, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(const_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(const_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(const_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(const_addr)))) {
		dasm_put(Dst, 131965, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(const_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(const_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(const_addr))) & 0xfff));
			} else {
			if (((uintptr_t)(Z_ZV(const_addr))) == 0) {
		dasm_put(Dst, 131973, (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(const_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 131976, (ZREG_X15), ((uint64_t)(Z_ZV(const_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(const_addr)))) {
		dasm_put(Dst, 131980, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(const_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(const_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(const_addr)))) {
		dasm_put(Dst, 131984, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(const_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(const_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(const_addr))) & 0xfff) {
		dasm_put(Dst, 131988, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(const_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(const_addr)) & 0xffff) {
		dasm_put(Dst, 131993, (ZREG_X15), ((uintptr_t)(Z_ZV(const_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(const_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 131997, (ZREG_X15), (((uintptr_t)(Z_ZV(const_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(const_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 132001, (ZREG_X15), (((uintptr_t)(Z_ZV(const_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(const_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 132005, (ZREG_X15), (((uintptr_t)(Z_ZV(const_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(const_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 132009, (ZREG_X15), (((uintptr_t)(Z_ZV(const_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 132013, (ZREG_X15), (((uintptr_t)(Z_ZV(const_addr)) >> 32) & 0xffff));
			}
		dasm_put(Dst, 132017, (ZREG_V0-ZREG_V0), (ZREG_X15));
			}
				} else if (Z_MODE(const_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(const_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(const_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 132021, (ZREG_X15), ((uint32_t)(Z_OFFSET(const_addr))));
			} else if (((uint32_t)(Z_OFFSET(const_addr)) & 0xffff)) {
		dasm_put(Dst, 132025, (ZREG_X15), ((uint32_t)(Z_OFFSET(const_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(const_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 132029, (ZREG_X15), (((uint32_t)(Z_OFFSET(const_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 132033, (ZREG_X15), (((uint32_t)(Z_OFFSET(const_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 132037, (ZREG_V0-ZREG_V0), (Z_REG(const_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 132042, (ZREG_V0-ZREG_V0), (Z_REG(const_addr)), (Z_OFFSET(const_addr)));
			}
				} else if (Z_MODE(const_addr) == IS_REG) {
		dasm_put(Dst, 132047, (ZREG_V0-ZREG_V0), (Z_REG(const_addr)-ZREG_V0));
				} else {
					ZEND_UNREACHABLE();
				}
			}
			if (Z_MODE(res_addr) == IS_REG) {
				if (ZREG_V0 != Z_REG(res_addr)) {
		dasm_put(Dst, 132051, (Z_REG(res_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
				}
			} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 132055, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 132059, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 132063, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 132067, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 132071, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 132076, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
			}
					}
				// Combine the following two branches.
				// } else if (!(res_info & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
				} else {
			ZEND_ASSERT(Z_MODE(const_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(const_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(const_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 132081, (ZREG_X15), ((uint32_t)(Z_OFFSET(const_addr))));
			} else if (((uint32_t)(Z_OFFSET(const_addr)) & 0xffff)) {
		dasm_put(Dst, 132085, (ZREG_X15), ((uint32_t)(Z_OFFSET(const_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(const_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 132089, (ZREG_X15), (((uint32_t)(Z_OFFSET(const_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 132093, (ZREG_X15), (((uint32_t)(Z_OFFSET(const_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 132097, (ZREG_X9), (Z_REG(const_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 132102, (ZREG_X9), (Z_REG(const_addr)), (Z_OFFSET(const_addr)));
			}
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 132107, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 132111, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 132115, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 132119, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 132123, (ZREG_X9), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 132128, (ZREG_X9), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
				}
			}
#line 14726 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (type < IS_STRING) {
			if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
				//|	SET_ZVAL_TYPE_INFO res_addr, type, TMP1w, TMP2
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uint32_t)(type)) <= MOVZ_IMM) {
				dasm_put(Dst, 132133, ((uint32_t)(type)));
					} else if (((uint32_t)(type) & 0xffff)) {
				dasm_put(Dst, 132136, ((uint32_t)(type) & 0xffff));
						if ((((uint32_t)(type) >> 16) & 0xffff)) {
				dasm_put(Dst, 132139, (((uint32_t)(type) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 132142, (((uint32_t)(type) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 132145, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 132148, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 132151, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 132154, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 132157, (Z_REG(res_addr)));
					} else {
				dasm_put(Dst, 132160, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
					}
#line 14729 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			} else if (!zend_jit_store_var_if_necessary(Dst, opline->result.var, res_addr, res_info)) {
				return 0;
			}
		} else {
			//|	SET_ZVAL_TYPE_INFO_FROM_REG res_addr, REG2w, TMP1
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 132164, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 132167, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 132170, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 132173, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 132176, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 132179, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
#line 14734 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	TRY_ADDREF res_info, REG2w, REG1, TMP1w
				if (res_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) {
					if (res_info & (MAY_BE_ANY-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
				if ((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT) == 0) {
			dasm_put(Dst, 132183);
				} else if (logical_immediate_p((uint32_t)(IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT), 32)) {
			dasm_put(Dst, 132185, (IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT));
				} else {
				if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))) <= MOVZ_IMM) {
			dasm_put(Dst, 132188, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))));
				} else if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff)) {
			dasm_put(Dst, 132191, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff));
					if ((((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff)) {
			dasm_put(Dst, 132194, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 132197, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 132200);
				}
			dasm_put(Dst, 132202);
					}
			dasm_put(Dst, 132205);
				}
#line 14735 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else {
		//|	ZVAL_COPY_VALUE res_addr, MAY_BE_ANY, const_addr, MAY_BE_ANY, ZREG_REG0, ZREG_REG1, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
			if (MAY_BE_ANY & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
				if ((MAY_BE_ANY & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
					if (Z_MODE(const_addr) == IS_REG) {
						if (Z_MODE(res_addr) != IS_REG || Z_REG(res_addr) != Z_REG(const_addr)) {
			if (Z_MODE(res_addr) == IS_REG) {
		dasm_put(Dst, 132210, (Z_REG(res_addr)), (Z_REG(const_addr)));
			} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 132214, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 132218, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 132222, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 132226, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 132230, (Z_REG(const_addr)), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 132235, (Z_REG(const_addr)), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
			}
						}
					} else if (Z_MODE(res_addr) == IS_REG) {
			if (Z_MODE(const_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(const_addr)) == 0) {
		dasm_put(Dst, 132240, (Z_REG(res_addr)));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr)))) == 0) {
		dasm_put(Dst, 132243, (Z_REG(res_addr)));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 132246, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(const_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(const_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 132250, (Z_REG(res_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) & 0xffff) {
		dasm_put(Dst, 132254, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 132258, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 132262, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 132266, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 132270, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 132274, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 132278, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 132282, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 132286, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 132290, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(const_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(const_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(const_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 132294, (ZREG_X15), ((uint32_t)(Z_OFFSET(const_addr))));
			} else if (((uint32_t)(Z_OFFSET(const_addr)) & 0xffff)) {
		dasm_put(Dst, 132298, (ZREG_X15), ((uint32_t)(Z_OFFSET(const_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(const_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 132302, (ZREG_X15), (((uint32_t)(Z_OFFSET(const_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 132306, (ZREG_X15), (((uint32_t)(Z_OFFSET(const_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 132310, (Z_REG(res_addr)), (Z_REG(const_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 132315, (Z_REG(res_addr)), (Z_REG(const_addr)), (Z_OFFSET(const_addr)));
			}
			} else if (Z_MODE(const_addr) == IS_REG) {
				if (Z_REG(res_addr) != Z_REG(const_addr)) {
		dasm_put(Dst, 132320, (Z_REG(res_addr)), (Z_REG(const_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
					} else {
			if (Z_MODE(const_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(const_addr)) == 0) {
		dasm_put(Dst, 132324, (ZREG_X9));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr)))) == 0) {
		dasm_put(Dst, 132327, (ZREG_X9));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 132330, (ZREG_X9), ((uint64_t)(Z_LVAL_P(Z_ZV(const_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(const_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 132334, (ZREG_X9), (~((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) & 0xffff) {
		dasm_put(Dst, 132338, (ZREG_X9), ((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 132342, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 132346, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 132350, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 132354, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 132358, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 132362, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 132366, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 132370, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 132374, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(const_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(const_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(const_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 132378, (ZREG_X15), ((uint32_t)(Z_OFFSET(const_addr))));
			} else if (((uint32_t)(Z_OFFSET(const_addr)) & 0xffff)) {
		dasm_put(Dst, 132382, (ZREG_X15), ((uint32_t)(Z_OFFSET(const_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(const_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 132386, (ZREG_X15), (((uint32_t)(Z_OFFSET(const_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 132390, (ZREG_X15), (((uint32_t)(Z_OFFSET(const_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 132394, (ZREG_X9), (Z_REG(const_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 132399, (ZREG_X9), (Z_REG(const_addr)), (Z_OFFSET(const_addr)));
			}
			} else if (Z_MODE(const_addr) == IS_REG) {
				if (ZREG_X9 != Z_REG(const_addr)) {
		dasm_put(Dst, 132404, (ZREG_X9), (Z_REG(const_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
			if (Z_MODE(res_addr) == IS_REG) {
		dasm_put(Dst, 132408, (Z_REG(res_addr)), (ZREG_X9));
			} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 132412, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 132416, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 132420, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 132424, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 132428, (ZREG_X9), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 132433, (ZREG_X9), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
			}
					}
				} else if ((MAY_BE_ANY & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
					if (Z_MODE(const_addr) == IS_REG) {
			if (Z_MODE(res_addr) == IS_REG) {
				if (Z_REG(const_addr) != Z_REG(res_addr)) {
		dasm_put(Dst, 132438, (Z_REG(res_addr)-ZREG_V0), (Z_REG(const_addr)-ZREG_V0));
				}
			} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 132442, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 132446, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 132450, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 132454, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 132458, (Z_REG(const_addr)-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 132463, (Z_REG(const_addr)-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
			}
					} else if (Z_MODE(res_addr) == IS_REG) {
			if (Z_MODE(const_addr) != IS_REG || Z_REG(res_addr) != Z_REG(const_addr)) {
				if (Z_MODE(const_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(const_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(const_addr)))) {
		dasm_put(Dst, 132468, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(const_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(const_addr)))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(const_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(const_addr)))) {
		dasm_put(Dst, 132475, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(const_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(const_addr))))))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(const_addr))) & 0xfff));
			} else {
			if (((uintptr_t)(Z_ZV(const_addr))) == 0) {
		dasm_put(Dst, 132483, (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(const_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 132486, (ZREG_X15), ((uint64_t)(Z_ZV(const_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(const_addr)))) {
		dasm_put(Dst, 132490, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(const_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(const_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(const_addr)))) {
		dasm_put(Dst, 132494, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(const_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(const_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(const_addr))) & 0xfff) {
		dasm_put(Dst, 132498, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(const_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(const_addr)) & 0xffff) {
		dasm_put(Dst, 132503, (ZREG_X15), ((uintptr_t)(Z_ZV(const_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(const_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 132507, (ZREG_X15), (((uintptr_t)(Z_ZV(const_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(const_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 132511, (ZREG_X15), (((uintptr_t)(Z_ZV(const_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(const_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 132515, (ZREG_X15), (((uintptr_t)(Z_ZV(const_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(const_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 132519, (ZREG_X15), (((uintptr_t)(Z_ZV(const_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 132523, (ZREG_X15), (((uintptr_t)(Z_ZV(const_addr)) >> 32) & 0xffff));
			}
		dasm_put(Dst, 132527, (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
			}
				} else if (Z_MODE(const_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(const_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(const_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 132531, (ZREG_X15), ((uint32_t)(Z_OFFSET(const_addr))));
			} else if (((uint32_t)(Z_OFFSET(const_addr)) & 0xffff)) {
		dasm_put(Dst, 132535, (ZREG_X15), ((uint32_t)(Z_OFFSET(const_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(const_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 132539, (ZREG_X15), (((uint32_t)(Z_OFFSET(const_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 132543, (ZREG_X15), (((uint32_t)(Z_OFFSET(const_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 132547, (Z_REG(res_addr)-ZREG_V0), (Z_REG(const_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 132552, (Z_REG(res_addr)-ZREG_V0), (Z_REG(const_addr)), (Z_OFFSET(const_addr)));
			}
				} else if (Z_MODE(const_addr) == IS_REG) {
		dasm_put(Dst, 132557, (Z_REG(res_addr)-ZREG_V0), (Z_REG(const_addr)-ZREG_V0));
				} else {
					ZEND_UNREACHABLE();
				}
			}
					} else {
			if (Z_MODE(const_addr) != IS_REG || ZREG_V0 != Z_REG(const_addr)) {
				if (Z_MODE(const_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(const_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(const_addr)))) {
		dasm_put(Dst, 132561, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(const_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(const_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(const_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(const_addr)))) {
		dasm_put(Dst, 132568, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(const_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(const_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(const_addr))) & 0xfff));
			} else {
			if (((uintptr_t)(Z_ZV(const_addr))) == 0) {
		dasm_put(Dst, 132576, (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(const_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 132579, (ZREG_X15), ((uint64_t)(Z_ZV(const_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(const_addr)))) {
		dasm_put(Dst, 132583, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(const_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(const_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(const_addr)))) {
		dasm_put(Dst, 132587, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(const_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(const_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(const_addr))) & 0xfff) {
		dasm_put(Dst, 132591, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(const_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(const_addr)) & 0xffff) {
		dasm_put(Dst, 132596, (ZREG_X15), ((uintptr_t)(Z_ZV(const_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(const_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 132600, (ZREG_X15), (((uintptr_t)(Z_ZV(const_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(const_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 132604, (ZREG_X15), (((uintptr_t)(Z_ZV(const_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(const_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 132608, (ZREG_X15), (((uintptr_t)(Z_ZV(const_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(const_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 132612, (ZREG_X15), (((uintptr_t)(Z_ZV(const_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 132616, (ZREG_X15), (((uintptr_t)(Z_ZV(const_addr)) >> 32) & 0xffff));
			}
		dasm_put(Dst, 132620, (ZREG_V0-ZREG_V0), (ZREG_X15));
			}
				} else if (Z_MODE(const_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(const_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(const_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 132624, (ZREG_X15), ((uint32_t)(Z_OFFSET(const_addr))));
			} else if (((uint32_t)(Z_OFFSET(const_addr)) & 0xffff)) {
		dasm_put(Dst, 132628, (ZREG_X15), ((uint32_t)(Z_OFFSET(const_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(const_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 132632, (ZREG_X15), (((uint32_t)(Z_OFFSET(const_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 132636, (ZREG_X15), (((uint32_t)(Z_OFFSET(const_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 132640, (ZREG_V0-ZREG_V0), (Z_REG(const_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 132645, (ZREG_V0-ZREG_V0), (Z_REG(const_addr)), (Z_OFFSET(const_addr)));
			}
				} else if (Z_MODE(const_addr) == IS_REG) {
		dasm_put(Dst, 132650, (ZREG_V0-ZREG_V0), (Z_REG(const_addr)-ZREG_V0));
				} else {
					ZEND_UNREACHABLE();
				}
			}
			if (Z_MODE(res_addr) == IS_REG) {
				if (ZREG_V0 != Z_REG(res_addr)) {
		dasm_put(Dst, 132654, (Z_REG(res_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
				}
			} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 132658, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 132662, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 132666, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 132670, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 132674, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 132679, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
			}
					}
				// Combine the following two branches.
				// } else if (!(MAY_BE_ANY & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
				} else {
			ZEND_ASSERT(Z_MODE(const_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(const_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(const_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 132684, (ZREG_X15), ((uint32_t)(Z_OFFSET(const_addr))));
			} else if (((uint32_t)(Z_OFFSET(const_addr)) & 0xffff)) {
		dasm_put(Dst, 132688, (ZREG_X15), ((uint32_t)(Z_OFFSET(const_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(const_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 132692, (ZREG_X15), (((uint32_t)(Z_OFFSET(const_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 132696, (ZREG_X15), (((uint32_t)(Z_OFFSET(const_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 132700, (ZREG_X9), (Z_REG(const_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 132705, (ZREG_X9), (Z_REG(const_addr)), (Z_OFFSET(const_addr)));
			}
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 132710, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 132714, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 132718, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 132722, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 132726, (ZREG_X9), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 132731, (ZREG_X9), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
				}
			}
			if ((MAY_BE_ANY & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
				!(MAY_BE_ANY & MAY_BE_GUARD) &&
				has_concrete_type(MAY_BE_ANY & MAY_BE_ANY)) {
				if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
					if ((MAY_BE_ANY & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (MAY_BE_ANY & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD))) {
						uint32_t type = concrete_type(MAY_BE_ANY);
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uint32_t)(type)) <= MOVZ_IMM) {
		dasm_put(Dst, 132736, (ZREG_X15), ((uint32_t)(type)));
			} else if (((uint32_t)(type) & 0xffff)) {
		dasm_put(Dst, 132740, (ZREG_X15), ((uint32_t)(type) & 0xffff));
				if ((((uint32_t)(type) >> 16) & 0xffff)) {
		dasm_put(Dst, 132744, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 132748, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 132752, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 132756, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 132760, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 132764, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 132768, (ZREG_X15), (Z_REG(res_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 132773, (ZREG_X15), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
			}
					}
				}
			} else {
			ZEND_ASSERT(Z_MODE(const_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(const_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(const_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 132778, (ZREG_X15), ((uint32_t)(Z_OFFSET(const_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(const_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 132782, (ZREG_X15), ((uint32_t)(Z_OFFSET(const_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(const_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 132786, (ZREG_X15), (((uint32_t)(Z_OFFSET(const_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 132790, (ZREG_X15), (((uint32_t)(Z_OFFSET(const_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 132794, (ZREG_X8), (Z_REG(const_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 132799, (ZREG_X8), (Z_REG(const_addr)), (Z_OFFSET(const_addr)+offsetof(zval,u1.type_info)));
			}
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 132804, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 132808, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 132812, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 132816, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 132820, (ZREG_X8), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 132825, (ZREG_X8), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
			}
			}
#line 14738 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	TRY_ADDREF MAY_BE_ANY, REG0w, REG1, TMP1w
			if (MAY_BE_ANY & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) {
				if (MAY_BE_ANY & (MAY_BE_ANY-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
			if ((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT) == 0) {
		dasm_put(Dst, 132830);
			} else if (logical_immediate_p((uint32_t)(IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT), 32)) {
		dasm_put(Dst, 132832, (IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT));
			} else {
			if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))) <= MOVZ_IMM) {
		dasm_put(Dst, 132835, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))));
			} else if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff)) {
		dasm_put(Dst, 132838, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff));
				if ((((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff)) {
		dasm_put(Dst, 132841, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 132844, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 132847);
			}
		dasm_put(Dst, 132849);
				}
		dasm_put(Dst, 132852);
			}
#line 14739 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	//|.cold_code
	dasm_put(Dst, 132857);
#line 14742 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|9:
	//|	// SAVE_OPLINE();
	//|	SET_EX_OPLINE opline, REG0
	dasm_put(Dst, 132858);
		if (opline == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 132860, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(opline)) == 0) {
	dasm_put(Dst, 132863);
		} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
	dasm_put(Dst, 132865, ((uint64_t)(opline)));
		} else if (arm64_may_use_adr((void*)(opline))) {
	dasm_put(Dst, 132868, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
		} else if (arm64_may_use_adrp((void*)(opline))) {
	dasm_put(Dst, 132871, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
			if (((uintptr_t)(opline)) & 0xfff) {
	dasm_put(Dst, 132874, (((uintptr_t)(opline)) & 0xfff));
			}
		} else if ((uintptr_t)(opline) & 0xffff) {
	dasm_put(Dst, 132877, ((uintptr_t)(opline) & 0xffff));
			if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 132880, (((uintptr_t)(opline) >> 16) & 0xffff));
			}
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 132883, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 132886, (((uintptr_t)(opline) >> 16) & 0xffff));
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 132889, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 132892, (((uintptr_t)(opline) >> 32) & 0xffff));
		}
	dasm_put(Dst, 132895, Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
#line 14745 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	// zend_quick_get_constant(RT_CONSTANT(opline, opline->op2) + 1, opline->op1.num OPLINE_CC EXECUTE_DATA_CC);
	//|	LOAD_ADDR FCARG1x, zv
		if (((uintptr_t)(zv)) == 0) {
	dasm_put(Dst, 132898);
		} else if (((uintptr_t)(zv)) <= MOVZ_IMM) {
	dasm_put(Dst, 132900, ((uint64_t)(zv)));
		} else if (arm64_may_use_adr((void*)(zv))) {
	dasm_put(Dst, 132903, (unsigned int)((ptrdiff_t)(zv)), (unsigned int)(((ptrdiff_t)(zv))>>32));
		} else if (arm64_may_use_adrp((void*)(zv))) {
	dasm_put(Dst, 132906, (unsigned int)((ptrdiff_t)((((uintptr_t)(zv))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zv)))))>>32));
			if (((uintptr_t)(zv)) & 0xfff) {
	dasm_put(Dst, 132909, (((uintptr_t)(zv)) & 0xfff));
			}
		} else if ((uintptr_t)(zv) & 0xffff) {
	dasm_put(Dst, 132912, ((uintptr_t)(zv) & 0xffff));
			if (((uintptr_t)(zv) >> 16) & 0xffff) {
	dasm_put(Dst, 132915, (((uintptr_t)(zv) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zv) >> 32) & 0xffff) {
	dasm_put(Dst, 132918, (((uintptr_t)(zv) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zv) >> 16) & 0xffff) {
	dasm_put(Dst, 132921, (((uintptr_t)(zv) >> 16) & 0xffff));
			if (((uintptr_t)(zv) >> 32) & 0xffff) {
	dasm_put(Dst, 132924, (((uintptr_t)(zv) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 132927, (((uintptr_t)(zv) >> 32) & 0xffff));
		}
#line 14747 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	LOAD_32BIT_VAL FCARG2w, opline->op1.num
		if (((uint32_t)(opline->op1.num)) <= MOVZ_IMM) {
	dasm_put(Dst, 132930, ((uint32_t)(opline->op1.num)));
		} else if (((uint32_t)(opline->op1.num) & 0xffff)) {
	dasm_put(Dst, 132933, ((uint32_t)(opline->op1.num) & 0xffff));
			if ((((uint32_t)(opline->op1.num) >> 16) & 0xffff)) {
	dasm_put(Dst, 132936, (((uint32_t)(opline->op1.num) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 132939, (((uint32_t)(opline->op1.num) >> 16) & 0xffff));
		}
#line 14748 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	EXT_CALL zend_jit_get_constant, REG0
		if (arm64_may_use_b(zend_jit_get_constant)) {
	dasm_put(Dst, 132942, (unsigned int)((ptrdiff_t)(zend_jit_get_constant)), (unsigned int)(((ptrdiff_t)(zend_jit_get_constant))>>32));
		} else {
		if (((uintptr_t)(zend_jit_get_constant)) == 0) {
	dasm_put(Dst, 132945);
		} else if (((uintptr_t)(zend_jit_get_constant)) <= MOVZ_IMM) {
	dasm_put(Dst, 132947, ((uint64_t)(zend_jit_get_constant)));
		} else if (arm64_may_use_adr((void*)(zend_jit_get_constant))) {
	dasm_put(Dst, 132950, (unsigned int)((ptrdiff_t)(zend_jit_get_constant)), (unsigned int)(((ptrdiff_t)(zend_jit_get_constant))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_jit_get_constant))) {
	dasm_put(Dst, 132953, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_get_constant))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_get_constant)))))>>32));
			if (((uintptr_t)(zend_jit_get_constant)) & 0xfff) {
	dasm_put(Dst, 132956, (((uintptr_t)(zend_jit_get_constant)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_jit_get_constant) & 0xffff) {
	dasm_put(Dst, 132959, ((uintptr_t)(zend_jit_get_constant) & 0xffff));
			if (((uintptr_t)(zend_jit_get_constant) >> 16) & 0xffff) {
	dasm_put(Dst, 132962, (((uintptr_t)(zend_jit_get_constant) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_jit_get_constant) >> 32) & 0xffff) {
	dasm_put(Dst, 132965, (((uintptr_t)(zend_jit_get_constant) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_jit_get_constant) >> 16) & 0xffff) {
	dasm_put(Dst, 132968, (((uintptr_t)(zend_jit_get_constant) >> 16) & 0xffff));
			if (((uintptr_t)(zend_jit_get_constant) >> 32) & 0xffff) {
	dasm_put(Dst, 132971, (((uintptr_t)(zend_jit_get_constant) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 132974, (((uintptr_t)(zend_jit_get_constant) >> 32) & 0xffff));
		}
	dasm_put(Dst, 132977);
		}
#line 14749 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	mov REG0, RETVALx
	//|	// ZEND_VM_NEXT_OPCODE_CHECK_EXCEPTION();
	//|	cbnz REG0, <8
	//|	b ->exception_handler
	//|.code
	dasm_put(Dst, 132979);
#line 14754 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	return 1;
}

static int zend_jit_in_array(dasm_State **Dst, const zend_op *opline, uint32_t op1_info, zend_jit_addr op1_addr,  zend_uchar smart_branch_opcode, uint32_t target_label, uint32_t target_label2, const void *exit_addr)
{
	HashTable *ht = Z_ARRVAL_P(RT_CONSTANT(opline, opline->op2));
	zend_jit_addr res_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->result.var);

	ZEND_ASSERT(opline->op1_type != IS_VAR && opline->op1_type != IS_TMP_VAR);
	ZEND_ASSERT((op1_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_REF)) == MAY_BE_STRING);

	//|	// result = zend_hash_find_ex(ht, Z_STR_P(op1), OP1_TYPE == IS_CONST);
	//|	LOAD_ADDR FCARG1x, ht
		if (((uintptr_t)(ht)) == 0) {
	dasm_put(Dst, 132985);
		} else if (((uintptr_t)(ht)) <= MOVZ_IMM) {
	dasm_put(Dst, 132987, ((uint64_t)(ht)));
		} else if (arm64_may_use_adr((void*)(ht))) {
	dasm_put(Dst, 132990, (unsigned int)((ptrdiff_t)(ht)), (unsigned int)(((ptrdiff_t)(ht))>>32));
		} else if (arm64_may_use_adrp((void*)(ht))) {
	dasm_put(Dst, 132993, (unsigned int)((ptrdiff_t)((((uintptr_t)(ht))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(ht)))))>>32));
			if (((uintptr_t)(ht)) & 0xfff) {
	dasm_put(Dst, 132996, (((uintptr_t)(ht)) & 0xfff));
			}
		} else if ((uintptr_t)(ht) & 0xffff) {
	dasm_put(Dst, 132999, ((uintptr_t)(ht) & 0xffff));
			if (((uintptr_t)(ht) >> 16) & 0xffff) {
	dasm_put(Dst, 133002, (((uintptr_t)(ht) >> 16) & 0xffff));
			}
			if (((uintptr_t)(ht) >> 32) & 0xffff) {
	dasm_put(Dst, 133005, (((uintptr_t)(ht) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(ht) >> 16) & 0xffff) {
	dasm_put(Dst, 133008, (((uintptr_t)(ht) >> 16) & 0xffff));
			if (((uintptr_t)(ht) >> 32) & 0xffff) {
	dasm_put(Dst, 133011, (((uintptr_t)(ht) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 133014, (((uintptr_t)(ht) >> 32) & 0xffff));
		}
#line 14767 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	if (opline->op1_type != IS_CONST) {
		//|	GET_ZVAL_PTR FCARG2x, op1_addr, TMP1
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 133017, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 133020, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 133023, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 133026, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 133029, (Z_REG(op1_addr)));
			} else {
		dasm_put(Dst, 133032, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
#line 14769 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	EXT_CALL zend_hash_find, REG0
			if (arm64_may_use_b(zend_hash_find)) {
		dasm_put(Dst, 133036, (unsigned int)((ptrdiff_t)(zend_hash_find)), (unsigned int)(((ptrdiff_t)(zend_hash_find))>>32));
			} else {
			if (((uintptr_t)(zend_hash_find)) == 0) {
		dasm_put(Dst, 133039);
			} else if (((uintptr_t)(zend_hash_find)) <= MOVZ_IMM) {
		dasm_put(Dst, 133041, ((uint64_t)(zend_hash_find)));
			} else if (arm64_may_use_adr((void*)(zend_hash_find))) {
		dasm_put(Dst, 133044, (unsigned int)((ptrdiff_t)(zend_hash_find)), (unsigned int)(((ptrdiff_t)(zend_hash_find))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_hash_find))) {
		dasm_put(Dst, 133047, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_hash_find))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_hash_find)))))>>32));
				if (((uintptr_t)(zend_hash_find)) & 0xfff) {
		dasm_put(Dst, 133050, (((uintptr_t)(zend_hash_find)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_hash_find) & 0xffff) {
		dasm_put(Dst, 133053, ((uintptr_t)(zend_hash_find) & 0xffff));
				if (((uintptr_t)(zend_hash_find) >> 16) & 0xffff) {
		dasm_put(Dst, 133056, (((uintptr_t)(zend_hash_find) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_hash_find) >> 32) & 0xffff) {
		dasm_put(Dst, 133059, (((uintptr_t)(zend_hash_find) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_hash_find) >> 16) & 0xffff) {
		dasm_put(Dst, 133062, (((uintptr_t)(zend_hash_find) >> 16) & 0xffff));
				if (((uintptr_t)(zend_hash_find) >> 32) & 0xffff) {
		dasm_put(Dst, 133065, (((uintptr_t)(zend_hash_find) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 133068, (((uintptr_t)(zend_hash_find) >> 32) & 0xffff));
			}
		dasm_put(Dst, 133071);
			}
#line 14770 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		zend_string *str = Z_STR_P(RT_CONSTANT(opline, opline->op1));
		//|	LOAD_ADDR FCARG2x, str
			if (((uintptr_t)(str)) == 0) {
		dasm_put(Dst, 133073);
			} else if (((uintptr_t)(str)) <= MOVZ_IMM) {
		dasm_put(Dst, 133075, ((uint64_t)(str)));
			} else if (arm64_may_use_adr((void*)(str))) {
		dasm_put(Dst, 133078, (unsigned int)((ptrdiff_t)(str)), (unsigned int)(((ptrdiff_t)(str))>>32));
			} else if (arm64_may_use_adrp((void*)(str))) {
		dasm_put(Dst, 133081, (unsigned int)((ptrdiff_t)((((uintptr_t)(str))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(str)))))>>32));
				if (((uintptr_t)(str)) & 0xfff) {
		dasm_put(Dst, 133084, (((uintptr_t)(str)) & 0xfff));
				}
			} else if ((uintptr_t)(str) & 0xffff) {
		dasm_put(Dst, 133087, ((uintptr_t)(str) & 0xffff));
				if (((uintptr_t)(str) >> 16) & 0xffff) {
		dasm_put(Dst, 133090, (((uintptr_t)(str) >> 16) & 0xffff));
				}
				if (((uintptr_t)(str) >> 32) & 0xffff) {
		dasm_put(Dst, 133093, (((uintptr_t)(str) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(str) >> 16) & 0xffff) {
		dasm_put(Dst, 133096, (((uintptr_t)(str) >> 16) & 0xffff));
				if (((uintptr_t)(str) >> 32) & 0xffff) {
		dasm_put(Dst, 133099, (((uintptr_t)(str) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 133102, (((uintptr_t)(str) >> 32) & 0xffff));
			}
#line 14773 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	EXT_CALL zend_hash_find_known_hash, REG0
			if (arm64_may_use_b(zend_hash_find_known_hash)) {
		dasm_put(Dst, 133105, (unsigned int)((ptrdiff_t)(zend_hash_find_known_hash)), (unsigned int)(((ptrdiff_t)(zend_hash_find_known_hash))>>32));
			} else {
			if (((uintptr_t)(zend_hash_find_known_hash)) == 0) {
		dasm_put(Dst, 133108);
			} else if (((uintptr_t)(zend_hash_find_known_hash)) <= MOVZ_IMM) {
		dasm_put(Dst, 133110, ((uint64_t)(zend_hash_find_known_hash)));
			} else if (arm64_may_use_adr((void*)(zend_hash_find_known_hash))) {
		dasm_put(Dst, 133113, (unsigned int)((ptrdiff_t)(zend_hash_find_known_hash)), (unsigned int)(((ptrdiff_t)(zend_hash_find_known_hash))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_hash_find_known_hash))) {
		dasm_put(Dst, 133116, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_hash_find_known_hash))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_hash_find_known_hash)))))>>32));
				if (((uintptr_t)(zend_hash_find_known_hash)) & 0xfff) {
		dasm_put(Dst, 133119, (((uintptr_t)(zend_hash_find_known_hash)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_hash_find_known_hash) & 0xffff) {
		dasm_put(Dst, 133122, ((uintptr_t)(zend_hash_find_known_hash) & 0xffff));
				if (((uintptr_t)(zend_hash_find_known_hash) >> 16) & 0xffff) {
		dasm_put(Dst, 133125, (((uintptr_t)(zend_hash_find_known_hash) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_hash_find_known_hash) >> 32) & 0xffff) {
		dasm_put(Dst, 133128, (((uintptr_t)(zend_hash_find_known_hash) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_hash_find_known_hash) >> 16) & 0xffff) {
		dasm_put(Dst, 133131, (((uintptr_t)(zend_hash_find_known_hash) >> 16) & 0xffff));
				if (((uintptr_t)(zend_hash_find_known_hash) >> 32) & 0xffff) {
		dasm_put(Dst, 133134, (((uintptr_t)(zend_hash_find_known_hash) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 133137, (((uintptr_t)(zend_hash_find_known_hash) >> 32) & 0xffff));
			}
		dasm_put(Dst, 133140);
			}
#line 14774 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	if (exit_addr) {
		if (smart_branch_opcode == ZEND_JMPZ) {
			//|	cbz RETVALx, &exit_addr
			dasm_put(Dst, 133142, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 14778 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	cbnz RETVALx, &exit_addr
			dasm_put(Dst, 133145, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 14780 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else if (smart_branch_opcode) {
		if (smart_branch_opcode == ZEND_JMPZ) {
			//|	cbz RETVALx, =>target_label
			dasm_put(Dst, 133148, target_label);
#line 14784 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else if (smart_branch_opcode == ZEND_JMPNZ) {
			//|	cbnz RETVALx, =>target_label
			dasm_put(Dst, 133151, target_label);
#line 14786 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else if (smart_branch_opcode == ZEND_JMPZNZ) {
			//|	cbz RETVALx, =>target_label
			//|	b =>target_label2
			dasm_put(Dst, 133154, target_label, target_label2);
#line 14789 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			ZEND_UNREACHABLE();
		}
	} else {
		//|	tst RETVALx, RETVALx
		//|	cset REG0w, ne
		//|	add REG0w, REG0w, #IS_FALSE
		//|	SET_ZVAL_TYPE_INFO_FROM_REG res_addr, REG0w, TMP1
		dasm_put(Dst, 133159, IS_FALSE);
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 133164, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 133167, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 133170, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 133173, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 133176, (Z_REG(res_addr)));
			} else {
		dasm_put(Dst, 133179, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
			}
#line 14797 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	return 1;
}

static int zend_jit_rope(dasm_State **Dst, const zend_op *opline, uint32_t op2_info)
{
	uint32_t offset;

	offset = (opline->opcode == ZEND_ROPE_INIT) ?
		opline->result.var :
		opline->op1.var + opline->extended_value * sizeof(zend_string*);

	if (opline->op2_type == IS_CONST) {
		zval *zv = RT_CONSTANT(opline, opline->op2);
		zend_string *str;

		ZEND_ASSERT(Z_TYPE_P(zv) == IS_STRING);
		str = Z_STR_P(zv);
		//|	LOAD_ADDR REG0, str
			if (((uintptr_t)(str)) == 0) {
		dasm_put(Dst, 133183);
			} else if (((uintptr_t)(str)) <= MOVZ_IMM) {
		dasm_put(Dst, 133185, ((uint64_t)(str)));
			} else if (arm64_may_use_adr((void*)(str))) {
		dasm_put(Dst, 133188, (unsigned int)((ptrdiff_t)(str)), (unsigned int)(((ptrdiff_t)(str))>>32));
			} else if (arm64_may_use_adrp((void*)(str))) {
		dasm_put(Dst, 133191, (unsigned int)((ptrdiff_t)((((uintptr_t)(str))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(str)))))>>32));
				if (((uintptr_t)(str)) & 0xfff) {
		dasm_put(Dst, 133194, (((uintptr_t)(str)) & 0xfff));
				}
			} else if ((uintptr_t)(str) & 0xffff) {
		dasm_put(Dst, 133197, ((uintptr_t)(str) & 0xffff));
				if (((uintptr_t)(str) >> 16) & 0xffff) {
		dasm_put(Dst, 133200, (((uintptr_t)(str) >> 16) & 0xffff));
				}
				if (((uintptr_t)(str) >> 32) & 0xffff) {
		dasm_put(Dst, 133203, (((uintptr_t)(str) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(str) >> 16) & 0xffff) {
		dasm_put(Dst, 133206, (((uintptr_t)(str) >> 16) & 0xffff));
				if (((uintptr_t)(str) >> 32) & 0xffff) {
		dasm_put(Dst, 133209, (((uintptr_t)(str) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 133212, (((uintptr_t)(str) >> 32) & 0xffff));
			}
#line 14817 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	MEM_ACCESS_64_WITH_UOFFSET str, REG0, FP, offset, TMP1
			if (((uintptr_t)(offset)) > LDR_STR_PIMM64) {
			if (((uint32_t)(offset)) <= MOVZ_IMM) {
		dasm_put(Dst, 133215, ((uint32_t)(offset)));
			} else if (((uint32_t)(offset) & 0xffff)) {
		dasm_put(Dst, 133218, ((uint32_t)(offset) & 0xffff));
				if ((((uint32_t)(offset) >> 16) & 0xffff)) {
		dasm_put(Dst, 133221, (((uint32_t)(offset) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 133224, (((uint32_t)(offset) >> 16) & 0xffff));
			}
		dasm_put(Dst, 133227);
			} else {
		dasm_put(Dst, 133229, (offset));
			}
#line 14818 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		zend_jit_addr op2_addr = OP2_ADDR();

		ZEND_ASSERT((op2_info & (MAY_BE_UNDEF|MAY_BE_ANY|MAY_BE_REF)) == MAY_BE_STRING);

		//|	GET_ZVAL_PTR REG1, op2_addr, TMP1
			ZEND_ASSERT(Z_MODE(op2_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 133232, ((uint32_t)(Z_OFFSET(op2_addr))));
			} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
		dasm_put(Dst, 133235, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 133238, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 133241, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 133244, (Z_REG(op2_addr)));
			} else {
		dasm_put(Dst, 133247, (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
			}
#line 14824 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	MEM_ACCESS_64_WITH_UOFFSET str, REG1, FP, offset, TMP1
			if (((uintptr_t)(offset)) > LDR_STR_PIMM64) {
			if (((uint32_t)(offset)) <= MOVZ_IMM) {
		dasm_put(Dst, 133251, ((uint32_t)(offset)));
			} else if (((uint32_t)(offset) & 0xffff)) {
		dasm_put(Dst, 133254, ((uint32_t)(offset) & 0xffff));
				if ((((uint32_t)(offset) >> 16) & 0xffff)) {
		dasm_put(Dst, 133257, (((uint32_t)(offset) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 133260, (((uint32_t)(offset) >> 16) & 0xffff));
			}
		dasm_put(Dst, 133263);
			} else {
		dasm_put(Dst, 133265, (offset));
			}
#line 14825 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		if (opline->op2_type == IS_CV) {
			//|	GET_ZVAL_TYPE_INFO REG0w, op2_addr, TMP1
				ZEND_ASSERT(Z_MODE(op2_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op2_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 133268, ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 133271, ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 133274, (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 133277, (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 133280, (Z_REG(op2_addr)));
				} else {
			dasm_put(Dst, 133283, (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)+offsetof(zval,u1.type_info)));
				}
#line 14827 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	TRY_ADDREF op2_info, REG0w, REG1, TMP1w
				if (op2_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) {
					if (op2_info & (MAY_BE_ANY-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
				if ((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT) == 0) {
			dasm_put(Dst, 133287);
				} else if (logical_immediate_p((uint32_t)(IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT), 32)) {
			dasm_put(Dst, 133289, (IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT));
				} else {
				if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))) <= MOVZ_IMM) {
			dasm_put(Dst, 133292, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))));
				} else if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff)) {
			dasm_put(Dst, 133295, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff));
					if ((((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff)) {
			dasm_put(Dst, 133298, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 133301, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 133304);
				}
			dasm_put(Dst, 133306);
					}
			dasm_put(Dst, 133309);
				}
#line 14828 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	if (opline->opcode == ZEND_ROPE_END) {
		zend_jit_addr res_addr = RES_ADDR();

		//|	ADD_SUB_64_WITH_CONST add, FCARG1x, FP, opline->op1.var, TMP1
			if (opline->op1.var == 0) {
		dasm_put(Dst, 133314);
			} else if (arm64_may_encode_imm12((int64_t)(opline->op1.var))) {
		dasm_put(Dst, 133316, opline->op1.var);
			} else {
			if (((uint64_t)(opline->op1.var)) == 0) {
		dasm_put(Dst, 133319);
			} else if (((uint64_t)(opline->op1.var)) <= MOVZ_IMM) {
		dasm_put(Dst, 133321, ((uint64_t)(opline->op1.var)));
			} else if (~((uint64_t)(opline->op1.var)) <= MOVZ_IMM) {
		dasm_put(Dst, 133324, (~((uint64_t)(opline->op1.var))));
			} else if ((uint64_t)(opline->op1.var) & 0xffff) {
		dasm_put(Dst, 133327, ((uint64_t)(opline->op1.var) & 0xffff));
				if (((uint64_t)(opline->op1.var) >> 16) & 0xffff) {
		dasm_put(Dst, 133330, (((uint64_t)(opline->op1.var) >> 16) & 0xffff));
				}
				if (((uint64_t)(opline->op1.var) >> 32) & 0xffff) {
		dasm_put(Dst, 133333, (((uint64_t)(opline->op1.var) >> 32) & 0xffff));
				}
				if ((((uint64_t)(opline->op1.var) >> 48) & 0xffff)) {
		dasm_put(Dst, 133336, (((uint64_t)(opline->op1.var) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(opline->op1.var) >> 16) & 0xffff) {
		dasm_put(Dst, 133339, (((uint64_t)(opline->op1.var) >> 16) & 0xffff));
				if (((uint64_t)(opline->op1.var) >> 32) & 0xffff) {
		dasm_put(Dst, 133342, (((uint64_t)(opline->op1.var) >> 32) & 0xffff));
				}
				if ((((uint64_t)(opline->op1.var) >> 48) & 0xffff)) {
		dasm_put(Dst, 133345, (((uint64_t)(opline->op1.var) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(opline->op1.var) >> 32) & 0xffff) {
		dasm_put(Dst, 133348, (((uint64_t)(opline->op1.var) >> 32) & 0xffff));
				if ((((uint64_t)(opline->op1.var) >> 48) & 0xffff)) {
		dasm_put(Dst, 133351, (((uint64_t)(opline->op1.var) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 133354, (((uint64_t)(opline->op1.var) >> 48) & 0xffff));
			}
		dasm_put(Dst, 133357);
			}
#line 14835 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	LOAD_32BIT_VAL FCARG2w, opline->extended_value
			if (((uint32_t)(opline->extended_value)) <= MOVZ_IMM) {
		dasm_put(Dst, 133359, ((uint32_t)(opline->extended_value)));
			} else if (((uint32_t)(opline->extended_value) & 0xffff)) {
		dasm_put(Dst, 133362, ((uint32_t)(opline->extended_value) & 0xffff));
				if ((((uint32_t)(opline->extended_value) >> 16) & 0xffff)) {
		dasm_put(Dst, 133365, (((uint32_t)(opline->extended_value) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 133368, (((uint32_t)(opline->extended_value) >> 16) & 0xffff));
			}
#line 14836 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	EXT_CALL zend_jit_rope_end, TMP1
			if (arm64_may_use_b(zend_jit_rope_end)) {
		dasm_put(Dst, 133371, (unsigned int)((ptrdiff_t)(zend_jit_rope_end)), (unsigned int)(((ptrdiff_t)(zend_jit_rope_end))>>32));
			} else {
			if (((uintptr_t)(zend_jit_rope_end)) == 0) {
		dasm_put(Dst, 133374);
			} else if (((uintptr_t)(zend_jit_rope_end)) <= MOVZ_IMM) {
		dasm_put(Dst, 133376, ((uint64_t)(zend_jit_rope_end)));
			} else if (arm64_may_use_adr((void*)(zend_jit_rope_end))) {
		dasm_put(Dst, 133379, (unsigned int)((ptrdiff_t)(zend_jit_rope_end)), (unsigned int)(((ptrdiff_t)(zend_jit_rope_end))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_rope_end))) {
		dasm_put(Dst, 133382, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_rope_end))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_rope_end)))))>>32));
				if (((uintptr_t)(zend_jit_rope_end)) & 0xfff) {
		dasm_put(Dst, 133385, (((uintptr_t)(zend_jit_rope_end)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_rope_end) & 0xffff) {
		dasm_put(Dst, 133388, ((uintptr_t)(zend_jit_rope_end) & 0xffff));
				if (((uintptr_t)(zend_jit_rope_end) >> 16) & 0xffff) {
		dasm_put(Dst, 133391, (((uintptr_t)(zend_jit_rope_end) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_rope_end) >> 32) & 0xffff) {
		dasm_put(Dst, 133394, (((uintptr_t)(zend_jit_rope_end) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_rope_end) >> 16) & 0xffff) {
		dasm_put(Dst, 133397, (((uintptr_t)(zend_jit_rope_end) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_rope_end) >> 32) & 0xffff) {
		dasm_put(Dst, 133400, (((uintptr_t)(zend_jit_rope_end) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 133403, (((uintptr_t)(zend_jit_rope_end) >> 32) & 0xffff));
			}
		dasm_put(Dst, 133406);
			}
#line 14837 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	SET_ZVAL_PTR res_addr, RETVALx, TMP1
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 133408, ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 133411, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 133414, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 133417, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 133420, (Z_REG(res_addr)));
			} else {
		dasm_put(Dst, 133423, (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
#line 14838 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	SET_ZVAL_TYPE_INFO res_addr, IS_STRING_EX, TMP1w, TMP2
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uint32_t)(IS_STRING_EX)) <= MOVZ_IMM) {
		dasm_put(Dst, 133427, ((uint32_t)(IS_STRING_EX)));
			} else if (((uint32_t)(IS_STRING_EX) & 0xffff)) {
		dasm_put(Dst, 133430, ((uint32_t)(IS_STRING_EX) & 0xffff));
				if ((((uint32_t)(IS_STRING_EX) >> 16) & 0xffff)) {
		dasm_put(Dst, 133433, (((uint32_t)(IS_STRING_EX) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 133436, (((uint32_t)(IS_STRING_EX) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 133439, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 133442, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 133445, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 133448, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 133451, (Z_REG(res_addr)));
			} else {
		dasm_put(Dst, 133454, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
			}
#line 14839 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	return 1;
}

static bool zend_jit_noref_guard(dasm_State **Dst, const zend_op *opline, zend_jit_addr var_addr)
{
	int32_t exit_point = zend_jit_trace_get_exit_point(opline, 0);
	const void *exit_addr = zend_jit_trace_get_exit_addr(exit_point);

	if (!exit_addr) {
		return 0;
	}
	//|	IF_ZVAL_TYPE var_addr, IS_REFERENCE, &exit_addr, ZREG_TMP1
		ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
	dasm_put(Dst, 133458, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type))));
		} else if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
	dasm_put(Dst, 133462, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
	dasm_put(Dst, 133466, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 133470, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 133474, (ZREG_X15), (Z_REG(var_addr)), (ZREG_X15));
		} else {
	dasm_put(Dst, 133479, (ZREG_X15), (Z_REG(var_addr)), (Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)));
		}
		if (IS_REFERENCE == 0) {
	dasm_put(Dst, 133484, (ZREG_X15), (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
		} else {
	dasm_put(Dst, 133488, (ZREG_X15), IS_REFERENCE, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
		}
#line 14853 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

	return 1;
}

static bool zend_jit_fetch_reference(dasm_State **Dst, const zend_op *opline, uint8_t var_type, uint32_t *var_info_ptr, zend_jit_addr *var_addr_ptr, bool add_ref_guard, bool add_type_guard)
{
	zend_jit_addr var_addr = *var_addr_ptr;
	uint32_t var_info = *var_info_ptr;
	const void *exit_addr = NULL;

	if (add_ref_guard || add_type_guard) {
		int32_t exit_point = zend_jit_trace_get_exit_point(opline, 0);

		exit_addr = zend_jit_trace_get_exit_addr(exit_point);
		if (!exit_addr) {
			return 0;
		}
	}

	if (add_ref_guard) {
		//|	IF_NOT_ZVAL_TYPE var_addr, IS_REFERENCE, &exit_addr, ZREG_TMP1
			ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
		dasm_put(Dst, 133494, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type))));
			} else if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
		dasm_put(Dst, 133498, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
		dasm_put(Dst, 133502, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 133506, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 133510, (ZREG_X15), (Z_REG(var_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 133515, (ZREG_X15), (Z_REG(var_addr)), (Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)));
			}
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 133520, (ZREG_X15), (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
			} else {
		dasm_put(Dst, 133524, (ZREG_X15), IS_REFERENCE, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
			}
#line 14874 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	if (opline->opcode == ZEND_INIT_METHOD_CALL && opline->op1_type == IS_VAR) {
		/* Hack: Convert reference to regular value to simplify JIT code for INIT_METHOD_CALL */
		if (Z_REG(var_addr) != ZREG_FCARG1 || Z_OFFSET(var_addr) != 0) {
			//|	LOAD_ZVAL_ADDR FCARG1x, var_addr
				if (Z_MODE(var_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(var_addr))) == 0) {
			dasm_put(Dst, 133530);
				} else if (((uintptr_t)(Z_ZV(var_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 133532, ((uint64_t)(Z_ZV(var_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(var_addr)))) {
			dasm_put(Dst, 133535, (unsigned int)((ptrdiff_t)(Z_ZV(var_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(var_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(var_addr)))) {
			dasm_put(Dst, 133538, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(var_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(var_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(var_addr))) & 0xfff) {
			dasm_put(Dst, 133541, (((uintptr_t)(Z_ZV(var_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(var_addr)) & 0xffff) {
			dasm_put(Dst, 133544, ((uintptr_t)(Z_ZV(var_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 133547, (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 133550, (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 133553, (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 133556, (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 133559, (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(var_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(var_addr)) {
				if (Z_OFFSET(var_addr) == 0) {
			dasm_put(Dst, 133562, (Z_REG(var_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(var_addr)))) {
			dasm_put(Dst, 133565, (Z_REG(var_addr)), Z_OFFSET(var_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 133569, ((uint32_t)(Z_OFFSET(var_addr))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
			dasm_put(Dst, 133572, ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 133575, (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 133578, (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 133581, (Z_REG(var_addr)));
				}
					} else {
						if (Z_REG(var_addr) == ZREG_RSP) {
			dasm_put(Dst, 133584);
						} else {
			dasm_put(Dst, 133586, (Z_REG(var_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 14879 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	EXT_CALL zend_jit_unref_helper, REG0
			if (arm64_may_use_b(zend_jit_unref_helper)) {
		dasm_put(Dst, 133589, (unsigned int)((ptrdiff_t)(zend_jit_unref_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_unref_helper))>>32));
			} else {
			if (((uintptr_t)(zend_jit_unref_helper)) == 0) {
		dasm_put(Dst, 133592);
			} else if (((uintptr_t)(zend_jit_unref_helper)) <= MOVZ_IMM) {
		dasm_put(Dst, 133594, ((uint64_t)(zend_jit_unref_helper)));
			} else if (arm64_may_use_adr((void*)(zend_jit_unref_helper))) {
		dasm_put(Dst, 133597, (unsigned int)((ptrdiff_t)(zend_jit_unref_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_unref_helper))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_unref_helper))) {
		dasm_put(Dst, 133600, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_unref_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_unref_helper)))))>>32));
				if (((uintptr_t)(zend_jit_unref_helper)) & 0xfff) {
		dasm_put(Dst, 133603, (((uintptr_t)(zend_jit_unref_helper)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_unref_helper) & 0xffff) {
		dasm_put(Dst, 133606, ((uintptr_t)(zend_jit_unref_helper) & 0xffff));
				if (((uintptr_t)(zend_jit_unref_helper) >> 16) & 0xffff) {
		dasm_put(Dst, 133609, (((uintptr_t)(zend_jit_unref_helper) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_unref_helper) >> 32) & 0xffff) {
		dasm_put(Dst, 133612, (((uintptr_t)(zend_jit_unref_helper) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_unref_helper) >> 16) & 0xffff) {
		dasm_put(Dst, 133615, (((uintptr_t)(zend_jit_unref_helper) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_unref_helper) >> 32) & 0xffff) {
		dasm_put(Dst, 133618, (((uintptr_t)(zend_jit_unref_helper) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 133621, (((uintptr_t)(zend_jit_unref_helper) >> 32) & 0xffff));
			}
		dasm_put(Dst, 133624);
			}
#line 14881 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		//|	GET_ZVAL_PTR FCARG1x, var_addr, TMP1
			ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 133626, ((uint32_t)(Z_OFFSET(var_addr))));
			} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
		dasm_put(Dst, 133629, ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 133632, (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 133635, (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 133638, (Z_REG(var_addr)));
			} else {
		dasm_put(Dst, 133641, (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
			}
#line 14883 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		var_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
		*var_addr_ptr = var_addr;
	}

	if (var_type != IS_UNKNOWN) {
		var_type &= ~(IS_TRACE_REFERENCE|IS_TRACE_INDIRECT|IS_TRACE_PACKED);
	}
	if (add_type_guard
	 && var_type != IS_UNKNOWN
	 && (var_info & (MAY_BE_ANY|MAY_BE_UNDEF)) != (1 << var_type)) {
		//|	IF_NOT_ZVAL_TYPE var_addr, var_type, &exit_addr, ZREG_TMP1
			ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
		dasm_put(Dst, 133645, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type))));
			} else if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
		dasm_put(Dst, 133649, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
		dasm_put(Dst, 133653, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 133657, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 133661, (ZREG_X15), (Z_REG(var_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 133666, (ZREG_X15), (Z_REG(var_addr)), (Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)));
			}
			if (var_type == 0) {
		dasm_put(Dst, 133671, (ZREG_X15), (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
			} else {
		dasm_put(Dst, 133675, (ZREG_X15), var_type, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
			}
#line 14894 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

		ZEND_ASSERT(var_info & (1 << var_type));
		if (var_type < IS_STRING) {
			var_info = (1 << var_type);
		} else if (var_type != IS_ARRAY) {
			var_info = (1 << var_type) | (var_info & (MAY_BE_RC1|MAY_BE_RCN));
		} else {
			var_info = MAY_BE_ARRAY | (var_info & (MAY_BE_ARRAY_OF_ANY|MAY_BE_ARRAY_OF_REF|MAY_BE_ARRAY_KEY_ANY|MAY_BE_RC1|MAY_BE_RCN));
		}

		*var_info_ptr = var_info;
	} else {
		var_info &= ~MAY_BE_REF;
		*var_info_ptr = var_info;
	}
	*var_info_ptr |= MAY_BE_GUARD; /* prevent generation of specialized zval dtor */

	return 1;
}

static bool zend_jit_fetch_indirect_var(dasm_State **Dst, const zend_op *opline, uint8_t var_type, uint32_t *var_info_ptr, zend_jit_addr *var_addr_ptr, bool add_indirect_guard)
{
	zend_jit_addr var_addr = *var_addr_ptr;
	uint32_t var_info = *var_info_ptr;
	int32_t exit_point;
	const void *exit_addr;

	if (add_indirect_guard) {
		int32_t exit_point = zend_jit_trace_get_exit_point(opline, 0);
		const void *exit_addr = zend_jit_trace_get_exit_addr(exit_point);

		if (!exit_addr) {
			return 0;
		}
		//|	IF_NOT_ZVAL_TYPE var_addr, IS_INDIRECT, &exit_addr, ZREG_TMP1
			ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
		dasm_put(Dst, 133681, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type))));
			} else if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
		dasm_put(Dst, 133685, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
		dasm_put(Dst, 133689, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 133693, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 133697, (ZREG_X15), (Z_REG(var_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 133702, (ZREG_X15), (Z_REG(var_addr)), (Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)));
			}
			if (IS_INDIRECT == 0) {
		dasm_put(Dst, 133707, (ZREG_X15), (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
			} else {
		dasm_put(Dst, 133711, (ZREG_X15), IS_INDIRECT, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
			}
#line 14929 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	GET_ZVAL_PTR FCARG1x, var_addr, TMP1
			ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 133717, ((uint32_t)(Z_OFFSET(var_addr))));
			} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
		dasm_put(Dst, 133720, ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 133723, (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 133726, (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 133729, (Z_REG(var_addr)));
			} else {
		dasm_put(Dst, 133732, (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
			}
#line 14930 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		/* May be already loaded into FCARG1a or RAX by previus FETCH_OBJ_W/DIM_W */
		if (opline->op1_type != IS_VAR ||
				(opline-1)->result_type != IS_VAR  ||
				(opline-1)->result.var != opline->op1.var ||
				(opline-1)->op1_type == IS_VAR ||
				(opline-1)->op2_type == IS_VAR ||
				(opline-1)->op2_type == IS_TMP_VAR) {
			//|	GET_ZVAL_PTR FCARG1x, var_addr, TMP1
				ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 133736, ((uint32_t)(Z_OFFSET(var_addr))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
			dasm_put(Dst, 133739, ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 133742, (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 133745, (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 133748, (Z_REG(var_addr)));
				} else {
			dasm_put(Dst, 133751, (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
				}
#line 14939 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		} else if ((opline-1)->opcode == ZEND_FETCH_DIM_W || (opline-1)->opcode == ZEND_FETCH_DIM_RW) {
			//|	mov FCARG1x, REG0
			dasm_put(Dst, 133755);
#line 14941 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}
	*var_info_ptr &= ~MAY_BE_INDIRECT;
	var_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, 0);
	*var_addr_ptr = var_addr;

	if (var_type != IS_UNKNOWN) {
		var_type &= ~(IS_TRACE_INDIRECT|IS_TRACE_PACKED);
	}
	if (!(var_type & IS_TRACE_REFERENCE)
	 && var_type != IS_UNKNOWN
	 && (var_info & (MAY_BE_ANY|MAY_BE_UNDEF)) != (1 << var_type)) {
		exit_point = zend_jit_trace_get_exit_point(opline, 0);
		exit_addr = zend_jit_trace_get_exit_addr(exit_point);

		if (!exit_addr) {
			return 0;
		}

		//|	IF_NOT_Z_TYPE FCARG1x, var_type, &exit_addr, TMP1w
		dasm_put(Dst, 133757, offsetof(zval, u1.v.type));
			if (var_type == 0) {
		dasm_put(Dst, 133760, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
			} else {
		dasm_put(Dst, 133763, var_type, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
			}
#line 14961 "/build/php8.1-8.1.30/ext/opcache/jit/zend_jit_arm64.dasc"

		//var_info = zend_jit_trace_type_to_info_ex(var_type, var_info);
		ZEND_ASSERT(var_info & (1 << var_type));
		if (var_type < IS_STRING) {
			var_info = (1 << var_type);
		} else if (var_type != IS_ARRAY) {
			var_info = (1 << var_type) | (var_info & (MAY_BE_RC1|MAY_BE_RCN));
		} else {
			var_info = MAY_BE_ARRAY | (var_info & (MAY_BE_ARRAY_OF_ANY|MAY_BE_ARRAY_OF_REF|MAY_BE_ARRAY_KEY_ANY|MAY_BE_RC1|MAY_BE_RCN));
		}

		*var_info_ptr = var_info;
	}

	return 1;
}

static bool zend_jit_may_reuse_reg(const zend_op *opline, const zend_ssa_op *ssa_op, zend_ssa *ssa, int def_var, int use_var)
{
	if ((ssa->var_info[def_var].type & ~MAY_BE_GUARD) != (ssa->var_info[use_var].type & ~MAY_BE_GUARD)) {
		return 0;
	}

	switch (opline->opcode) {
		case ZEND_QM_ASSIGN:
		case ZEND_SEND_VAR:
		case ZEND_ASSIGN:
		case ZEND_PRE_INC:
		case ZEND_PRE_DEC:
		case ZEND_POST_INC:
		case ZEND_POST_DEC:
			return 1;
		case ZEND_ADD:
		case ZEND_SUB:
		case ZEND_MUL:
		case ZEND_BW_OR:
		case ZEND_BW_AND:
		case ZEND_BW_XOR:
		case ZEND_SL:
		case ZEND_SR:
			if (def_var == ssa_op->result_def &&
			    use_var == ssa_op->op1_use) {
				return 1;
			}
			break;
		default:
			break;
	}
	return 0;
}

static bool zend_jit_opline_supports_reg(const zend_op_array *op_array, zend_ssa *ssa, const zend_op *opline, const zend_ssa_op *ssa_op, zend_jit_trace_rec *trace)
{
	uint32_t op1_info, op2_info;

	switch (opline->opcode) {
		case ZEND_SEND_VAR:
		case ZEND_SEND_VAL:
		case ZEND_SEND_VAL_EX:
			return (opline->op2_type != IS_CONST);
		case ZEND_QM_ASSIGN:
		case ZEND_IS_SMALLER:
		case ZEND_IS_SMALLER_OR_EQUAL:
		case ZEND_IS_EQUAL:
		case ZEND_IS_NOT_EQUAL:
		case ZEND_IS_IDENTICAL:
		case ZEND_IS_NOT_IDENTICAL:
		case ZEND_CASE:
			return 1;
		case ZEND_RETURN:
			return (op_array->type != ZEND_EVAL_CODE && op_array->function_name);
		case ZEND_ASSIGN:
			op1_info = OP1_INFO();
			op2_info = OP2_INFO();
			return
				opline->op1_type == IS_CV &&
				!(op1_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_RESOURCE|MAY_BE_OBJECT|MAY_BE_REF)) &&
				!(op2_info & ((MAY_BE_ANY|MAY_BE_REF|MAY_BE_UNDEF)-(MAY_BE_LONG|MAY_BE_DOUBLE)));
		case ZEND_ADD:
		case ZEND_SUB:
		case ZEND_MUL:
			op1_info = OP1_INFO();
			op2_info = OP2_INFO();
			return !((op1_info | op2_info) & ((MAY_BE_ANY|MAY_BE_REF|MAY_BE_UNDEF) - (MAY_BE_LONG|MAY_BE_DOUBLE)));
		case ZEND_BW_OR:
		case ZEND_BW_AND:
		case ZEND_BW_XOR:
		case ZEND_SL:
		case ZEND_SR:
		case ZEND_MOD:
			op1_info = OP1_INFO();
			op2_info = OP2_INFO();
			return !((op1_info | op2_info) & ((MAY_BE_ANY|MAY_BE_REF|MAY_BE_UNDEF) - MAY_BE_LONG));
		case ZEND_PRE_INC:
		case ZEND_PRE_DEC:
		case ZEND_POST_INC:
		case ZEND_POST_DEC:
			op1_info = OP1_INFO();
			op2_info = OP1_DEF_INFO();
			return opline->op1_type == IS_CV
				&& !(op1_info & ((MAY_BE_ANY|MAY_BE_REF|MAY_BE_UNDEF) - MAY_BE_LONG))
				&& (op2_info & MAY_BE_LONG);
		case ZEND_STRLEN:
			op1_info = OP1_INFO();
			return (opline->op1_type & (IS_CV|IS_CONST))
				&& (op1_info & (MAY_BE_ANY|MAY_BE_REF|MAY_BE_UNDEF)) == MAY_BE_STRING;
		case ZEND_COUNT:
			op1_info = OP1_INFO();
			return (opline->op1_type & (IS_CV|IS_CONST))
				&& (op1_info & (MAY_BE_ANY|MAY_BE_REF|MAY_BE_UNDEF)) == MAY_BE_ARRAY;
		case ZEND_JMPZ:
		case ZEND_JMPNZ:
			if (JIT_G(trigger) != ZEND_JIT_ON_HOT_TRACE) {
				if (!ssa->cfg.map) {
					return 0;
				}
				if (opline > op_array->opcodes + ssa->cfg.blocks[ssa->cfg.map[opline-op_array->opcodes]].start &&
				    ((opline-1)->result_type & (IS_SMART_BRANCH_JMPZ|IS_SMART_BRANCH_JMPNZ)) != 0) {
					return 0;
				}
			}
			ZEND_FALLTHROUGH;
		case ZEND_BOOL:
		case ZEND_BOOL_NOT:
		case ZEND_JMPZNZ:
		case ZEND_JMPZ_EX:
		case ZEND_JMPNZ_EX:
			return 1;
		case ZEND_FETCH_CONSTANT:
			return 1;
		case ZEND_FETCH_DIM_R:
			op1_info = OP1_INFO();
			op2_info = OP2_INFO();
			if (trace
			 && trace->op1_type != IS_UNKNOWN
			 && (trace->op1_type & ~(IS_TRACE_REFERENCE|IS_TRACE_INDIRECT|IS_TRACE_PACKED)) == IS_ARRAY) {
				op1_info &= ~((MAY_BE_ANY|MAY_BE_UNDEF) - MAY_BE_ARRAY);
			}
			return ((op1_info & (MAY_BE_ANY|MAY_BE_UNDEF)) == MAY_BE_ARRAY) &&
				(!(opline->op1_type & (IS_TMP_VAR|IS_VAR)) || !(op1_info & MAY_BE_RC1)) &&
					(((op2_info & (MAY_BE_ANY|MAY_BE_UNDEF)) == MAY_BE_LONG) ||
					 (((op2_info & (MAY_BE_ANY|MAY_BE_UNDEF)) == MAY_BE_STRING) &&
						 (!(opline->op2_type & (IS_TMP_VAR|IS_VAR)) || !(op2_info & MAY_BE_RC1))));
	}
	return 0;
}

static bool zend_jit_var_supports_reg(zend_ssa *ssa, int var)
{
	if (ssa->vars[var].no_val) {
		/* we don't need the value */
		return 0;
	}

	if (!(JIT_G(opt_flags) & ZEND_JIT_REG_ALLOC_GLOBAL)) {
		/* Disable global register allocation,
		 * register allocation for SSA variables connected through Phi functions
		 */
		if (ssa->vars[var].definition_phi) {
			return 0;
		}
		if (ssa->vars[var].phi_use_chain) {
			zend_ssa_phi *phi = ssa->vars[var].phi_use_chain;
			do {
				if (!ssa->vars[phi->ssa_var].no_val) {
					return 0;
				}
				phi = zend_ssa_next_use_phi(ssa, var, phi);
			} while (phi);
		}
	}

	if (((ssa->var_info[var].type & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_REF)) != MAY_BE_DOUBLE) &&
	    ((ssa->var_info[var].type & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_REF)) != MAY_BE_LONG)) {
	    /* bad type */
		return 0;
	}

	return 1;
}

static bool zend_jit_may_be_in_reg(const zend_op_array *op_array, zend_ssa *ssa, int var)
{
	if (!zend_jit_var_supports_reg(ssa, var)) {
		return 0;
	}

	if (ssa->vars[var].definition >= 0) {
		uint32_t def = ssa->vars[var].definition;
		if (!zend_jit_opline_supports_reg(op_array, ssa, op_array->opcodes + def, ssa->ops + def, NULL)) {
			return 0;
		}
	}

	if (ssa->vars[var].use_chain >= 0) {
		int use = ssa->vars[var].use_chain;

		do {
			if (!zend_ssa_is_no_val_use(op_array->opcodes + use, ssa->ops + use, var) &&
			    !zend_jit_opline_supports_reg(op_array, ssa, op_array->opcodes + use, ssa->ops + use, NULL)) {
				return 0;
			}
			use = zend_ssa_next_use(ssa->ops, var, use);
		} while (use >= 0);
	}

	return 1;
}

static zend_regset zend_jit_get_def_scratch_regset(const zend_op *opline, const zend_ssa_op *ssa_op, const zend_op_array *op_array, zend_ssa *ssa, int current_var, bool last_use)
{
	uint32_t op1_info, op2_info;

	switch (opline->opcode) {
		case ZEND_FETCH_DIM_R:
			op1_info = OP1_INFO();
			op2_info = OP2_INFO();
			if (((opline->op1_type & (IS_TMP_VAR|IS_VAR)) &&
			     (op1_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) ||
			    ((opline->op2_type & (IS_TMP_VAR|IS_VAR)) &&
			     (op2_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)))) {
				return ZEND_REGSET(ZREG_FCARG1);
			}
			break;
		default:
			break;
	}

	return ZEND_REGSET_EMPTY;
}

static zend_regset zend_jit_get_scratch_regset(const zend_op *opline, const zend_ssa_op *ssa_op, const zend_op_array *op_array, zend_ssa *ssa, int current_var, bool last_use)
{
	uint32_t op1_info, op2_info, res_info;
	zend_regset regset = ZEND_REGSET_SCRATCH;

	switch (opline->opcode) {
		case ZEND_NOP:
		case ZEND_OP_DATA:
		case ZEND_JMP:
		case ZEND_RETURN:
			regset = ZEND_REGSET_EMPTY;
			break;
		case ZEND_QM_ASSIGN:
			if (ssa_op->op1_def == current_var ||
			    ssa_op->result_def == current_var) {
				regset = ZEND_REGSET_EMPTY;
				break;
			}
			/* break missing intentionally */
		case ZEND_SEND_VAL:
		case ZEND_SEND_VAL_EX:
			if (opline->op2_type == IS_CONST) {
				break;
			}
			if (ssa_op->op1_use == current_var) {
				regset = ZEND_REGSET(ZREG_REG0);
				break;
			}
			op1_info = OP1_INFO();
			if (!(op1_info & MAY_BE_UNDEF)) {
				if ((op1_info & (MAY_BE_ANY|MAY_BE_REF)) == MAY_BE_DOUBLE) {
					regset = ZEND_REGSET(ZREG_FPR0);
				} else if ((op1_info & (MAY_BE_ANY|MAY_BE_REF)) == MAY_BE_LONG) {
					regset = ZEND_REGSET(ZREG_REG0);
				} else {
					regset = ZEND_REGSET_UNION(ZEND_REGSET(ZREG_REG0), ZEND_REGSET(ZREG_REG2));
				}
			}
			break;
		case ZEND_SEND_VAR:
			if (opline->op2_type == IS_CONST) {
				break;
			}
			if (ssa_op->op1_use == current_var ||
			    ssa_op->op1_def == current_var) {
				regset = ZEND_REGSET_EMPTY;
				break;
			}
			op1_info = OP1_INFO();
			if (!(op1_info & MAY_BE_UNDEF)) {
				if ((op1_info & (MAY_BE_ANY|MAY_BE_REF)) == MAY_BE_DOUBLE) {
					regset = ZEND_REGSET(ZREG_FPR0);
				} else if ((op1_info & (MAY_BE_ANY|MAY_BE_REF)) == MAY_BE_LONG) {
				} else {
					regset = ZEND_REGSET_UNION(ZEND_REGSET(ZREG_REG0), ZEND_REGSET(ZREG_REG2));
					if (op1_info & MAY_BE_REF) {
						ZEND_REGSET_INCL(regset, ZREG_REG1);
					}
				}
			}
			break;
		case ZEND_ASSIGN:
			if (ssa_op->op2_use == current_var ||
			    ssa_op->op2_def == current_var ||
			    ssa_op->op1_def == current_var ||
			    ssa_op->result_def == current_var) {
				regset = ZEND_REGSET_EMPTY;
				break;
			}
			op1_info = OP1_INFO();
			op2_info = OP2_INFO();
			if (opline->op1_type == IS_CV
			 && !(op2_info & MAY_BE_UNDEF)
			 && !(op1_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF))) {
				if ((op2_info & (MAY_BE_ANY|MAY_BE_REF)) == MAY_BE_DOUBLE) {
					regset = ZEND_REGSET(ZREG_FPR0);
				} else if ((op2_info & (MAY_BE_ANY|MAY_BE_REF)) == MAY_BE_LONG) {
					regset = ZEND_REGSET(ZREG_REG0);
				} else {
					regset = ZEND_REGSET_UNION(ZEND_REGSET(ZREG_REG0), ZEND_REGSET(ZREG_REG2));
				}
			}
			break;
		case ZEND_PRE_INC:
		case ZEND_PRE_DEC:
		case ZEND_POST_INC:
		case ZEND_POST_DEC:
			if (ssa_op->op1_use == current_var ||
			    ssa_op->op1_def == current_var ||
			    ssa_op->result_def == current_var) {
				regset = ZEND_REGSET_EMPTY;
				break;
			}
			op1_info = OP1_INFO();
			if (opline->op1_type == IS_CV
			 && (op1_info & MAY_BE_LONG)
			 && !(op1_info & ((MAY_BE_ANY|MAY_BE_REF|MAY_BE_UNDEF)-(MAY_BE_LONG|MAY_BE_DOUBLE)))) {
				regset = ZEND_REGSET_EMPTY;
				if (op1_info & MAY_BE_DOUBLE) {
					regset = ZEND_REGSET(ZREG_FPR0);
				}
				if (opline->result_type != IS_UNUSED && (op1_info & MAY_BE_LONG)) {
					ZEND_REGSET_INCL(regset, ZREG_REG1);
				}
			}
			break;
		case ZEND_ADD:
		case ZEND_SUB:
		case ZEND_MUL:
			op1_info = OP1_INFO();
			op2_info = OP2_INFO();
			if (!(op1_info & ((MAY_BE_ANY|MAY_BE_REF|MAY_BE_UNDEF)-(MAY_BE_LONG|MAY_BE_DOUBLE))) &&
			    !(op2_info & ((MAY_BE_ANY|MAY_BE_REF|MAY_BE_UNDEF)-(MAY_BE_LONG|MAY_BE_DOUBLE)))) {

				regset = ZEND_REGSET_EMPTY;
				if ((op1_info & MAY_BE_LONG) && (op2_info & MAY_BE_LONG)) {
					if (ssa_op->result_def != current_var &&
					    (ssa_op->op1_use != current_var || !last_use)) {
						ZEND_REGSET_INCL(regset, ZREG_REG0);
					}
					res_info = RES_INFO();
					if (res_info & MAY_BE_DOUBLE) {
						ZEND_REGSET_INCL(regset, ZREG_REG0);
						ZEND_REGSET_INCL(regset, ZREG_FPR0);
						ZEND_REGSET_INCL(regset, ZREG_FPR1);
					} else if (res_info & MAY_BE_GUARD) {
						ZEND_REGSET_INCL(regset, ZREG_REG0);
					}
				}
				if ((op1_info & MAY_BE_LONG) && (op2_info & MAY_BE_DOUBLE)) {
					if (ssa_op->result_def != current_var) {
						ZEND_REGSET_INCL(regset, ZREG_FPR0);
					}
				}
				if ((op1_info & MAY_BE_DOUBLE) && (op2_info & MAY_BE_LONG)) {
					if (zend_is_commutative(opline->opcode)) {
						if (ssa_op->result_def != current_var) {
							ZEND_REGSET_INCL(regset, ZREG_FPR0);
						}
					} else {
						ZEND_REGSET_INCL(regset, ZREG_FPR0);
						if (ssa_op->result_def != current_var &&
						    (ssa_op->op1_use != current_var || !last_use)) {
							ZEND_REGSET_INCL(regset, ZREG_FPR1);
						}
					}
				}
				if ((op1_info & MAY_BE_DOUBLE) && (op2_info & MAY_BE_DOUBLE)) {
					if (ssa_op->result_def != current_var &&
					    (ssa_op->op1_use != current_var || !last_use) &&
					    (!zend_is_commutative(opline->opcode) || ssa_op->op2_use != current_var || !last_use)) {
						ZEND_REGSET_INCL(regset, ZREG_FPR0);
					}
				}
			}
			break;
		case ZEND_BW_OR:
		case ZEND_BW_AND:
		case ZEND_BW_XOR:
		case ZEND_SL:
		case ZEND_SR:
		case ZEND_MOD:
			op1_info = OP1_INFO();
			op2_info = OP2_INFO();
			if (!(op1_info & ((MAY_BE_ANY|MAY_BE_REF|MAY_BE_UNDEF)-MAY_BE_LONG)) &&
			    !(op2_info & ((MAY_BE_ANY|MAY_BE_REF|MAY_BE_UNDEF)-MAY_BE_LONG))) {
				regset = ZEND_REGSET_EMPTY;
				if (ssa_op->result_def != current_var &&
				    (ssa_op->op1_use != current_var || !last_use)) {
					ZEND_REGSET_INCL(regset, ZREG_REG0);
				}
			}
			break;
		case ZEND_IS_SMALLER:
		case ZEND_IS_SMALLER_OR_EQUAL:
		case ZEND_IS_EQUAL:
		case ZEND_IS_NOT_EQUAL:
		case ZEND_IS_IDENTICAL:
		case ZEND_IS_NOT_IDENTICAL:
		case ZEND_CASE:
			op1_info = OP1_INFO();
			op2_info = OP2_INFO();
			if (!(op1_info & ((MAY_BE_ANY|MAY_BE_REF|MAY_BE_UNDEF)-(MAY_BE_LONG|MAY_BE_DOUBLE))) &&
			    !(op2_info & ((MAY_BE_ANY|MAY_BE_REF|MAY_BE_UNDEF)-(MAY_BE_LONG|MAY_BE_DOUBLE)))) {
				regset = ZEND_REGSET_EMPTY;
				if (!(opline->result_type & (IS_SMART_BRANCH_JMPZ|IS_SMART_BRANCH_JMPNZ))) {
					ZEND_REGSET_INCL(regset, ZREG_REG0);
				}
				if ((op1_info & MAY_BE_LONG) && (op2_info & MAY_BE_LONG) &&
				    opline->op1_type != IS_CONST && opline->op2_type != IS_CONST) {
					if (ssa_op->op1_use != current_var &&
					    ssa_op->op2_use != current_var) {
						ZEND_REGSET_INCL(regset, ZREG_REG0);
					}
				}
				if ((op1_info & MAY_BE_LONG) && (op2_info & MAY_BE_DOUBLE)) {
					ZEND_REGSET_INCL(regset, ZREG_FPR0);
				}
				if ((op1_info & MAY_BE_DOUBLE) && (op2_info & MAY_BE_LONG)) {
					ZEND_REGSET_INCL(regset, ZREG_FPR0);
				}
				if ((op1_info & MAY_BE_DOUBLE) && (op2_info & MAY_BE_DOUBLE)) {
					if (ssa_op->op1_use != current_var &&
					    ssa_op->op2_use != current_var) {
						ZEND_REGSET_INCL(regset, ZREG_FPR0);
					}
				}
			}
			break;
		case ZEND_BOOL:
		case ZEND_BOOL_NOT:
		case ZEND_JMPZ:
		case ZEND_JMPNZ:
		case ZEND_JMPZNZ:
		case ZEND_JMPZ_EX:
		case ZEND_JMPNZ_EX:
			op1_info = OP1_INFO();
			if (!(op1_info & ((MAY_BE_ANY|MAY_BE_REF|MAY_BE_UNDEF)-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)))) {
				regset = ZEND_REGSET_EMPTY;
				if (op1_info & MAY_BE_DOUBLE) {
					ZEND_REGSET_INCL(regset, ZREG_FPR0);
				}
				if (opline->opcode == ZEND_BOOL ||
				    opline->opcode == ZEND_BOOL_NOT ||
				    opline->opcode == ZEND_JMPZ_EX ||
				    opline->opcode == ZEND_JMPNZ_EX) {
					ZEND_REGSET_INCL(regset, ZREG_REG0);
				}
			}
			break;
		case ZEND_DO_UCALL:
		case ZEND_DO_FCALL:
		case ZEND_DO_FCALL_BY_NAME:
		case ZEND_INCLUDE_OR_EVAL:
		case ZEND_GENERATOR_CREATE:
		case ZEND_YIELD:
		case ZEND_YIELD_FROM:
			regset = ZEND_REGSET_UNION(ZEND_REGSET_GP, ZEND_REGSET_FP);
			break;
		default:
			break;
	}

	if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE) {
		if (ssa_op == ssa->ops
		 && JIT_G(current_trace)[ZEND_JIT_TRACE_START_REC_SIZE].op == ZEND_JIT_TRACE_INIT_CALL
		 && (JIT_G(current_trace)[ZEND_JIT_TRACE_START_REC_SIZE].info & ZEND_JIT_TRACE_FAKE_INIT_CALL)) {
			ZEND_REGSET_INCL(regset, ZREG_REG0);
			ZEND_REGSET_INCL(regset, ZREG_REG1);
		}
	}

	return regset;
}

static size_t dasm_venners_size = 0;
void **dasm_labels_veneers = NULL;

static int zend_jit_add_veneer(dasm_State *Dst, void *buffer, uint32_t ins, int *b, uint32_t *cp, ptrdiff_t offset)
{
	void *veneer;
	ptrdiff_t na;
	int n, m;

	/* try to reuse veneers for global labels */
	if ((ins >> 16) == DASM_REL_LG
	 && *(b-1) < 0
	 && dasm_labels_veneers[-*(b-1)]) {

		veneer = dasm_labels_veneers[-*(b-1)];
		na = (ptrdiff_t)veneer - (ptrdiff_t)cp + 4;
		n = (int)na;

		/* check if we can jump to veneer */
		if ((ptrdiff_t)n != na) {
			/* pass */
		} else if (!(ins & 0xf800)) {  /* B, BL */
			if ((n & 3) == 0 && ((n+0x08000000) >> 28) == 0) {
				return n;
			}
		} else if ((ins & 0x800)) {  /* B.cond, CBZ, CBNZ, LDR* literal */
			if ((n & 3) == 0 && ((n+0x00100000) >> 21) == 0) {
				return n;
			}
		} else if ((ins & 0x3000) == 0x2000) {  /* ADR */
			/* pass */
		} else if ((ins & 0x3000) == 0x3000) {  /* ADRP */
			/* pass */
		} else if ((ins & 0x1000)) {  /* TBZ, TBNZ */
			if ((n & 3) == 0 && ((n+0x00008000) >> 16) == 0) {
				return n;
			}
		}
	} else if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE
	 && (ins >> 16) == DASM_REL_A) {
		ptrdiff_t addr = (((ptrdiff_t)(*(b-1))) << 32) | (unsigned int)(*(b-2));

		if ((void*)addr >= dasm_buf && (void*)addr < dasm_end) {
			uint32_t exit_point = zend_jit_trace_find_exit_point((void*)addr);
			zend_jit_trace_info *t = zend_jit_get_current_trace_info();

			if (exit_point != (uint32_t)-1) {
				/* Use exit points table */

				ZEND_ASSERT(exit_point < t->exit_count);

				veneer = (char*)buffer + dasm_getpclabel(&Dst, 1) - (t->exit_count - exit_point) * 4;
				na = (ptrdiff_t)veneer - (ptrdiff_t)cp + 4;
				n = (int)na;

				/* check if we can jump to veneer */
				if ((ptrdiff_t)n != na) {
					ZEND_ASSERT(0);
					return 0;
				} else if (!(ins & 0xf800)) {  /* B, BL */
					if ((n & 3) != 0 || ((n+0x08000000) >> 28) != 0) {
						ZEND_ASSERT(0);
						return 0;
					}
				} else if ((ins & 0x800)) {  /* B.cond, CBZ, CBNZ, LDR* literal */
					if ((n & 3) != 0 || ((n+0x00100000) >> 21) != 0) {
						ZEND_ASSERT(0);
						return 0;
					}
				} else if ((ins & 0x3000) == 0x2000) {  /* ADR */
					ZEND_ASSERT(0);
					return 0;
				} else if ((ins & 0x3000) == 0x3000) {  /* ADRP */
					ZEND_ASSERT(0);
					return 0;
				} else if ((ins & 0x1000)) {  /* TBZ, TBNZ */
					if ((n & 3) != 0 || ((n+0x00008000) >> 16) != 0) {
						ZEND_ASSERT(0);
						return 0;
					}
				} else {
					ZEND_ASSERT(0);
					return 0;
				}
				return n;
			}
		}
	}

	veneer = (char*)buffer + (Dst->codesize + dasm_venners_size);

	if (veneer > dasm_end) {
		return 0; /* jit_buffer_size overflow */
	}

	na = (ptrdiff_t)veneer - (ptrdiff_t)cp + 4;
	n = (int)na;

	/* check if we can jump to veneer */
	if ((ptrdiff_t)n != na) {
		ZEND_ASSERT(0);
		return 0;
	} else if (!(ins & 0xf800)) {  /* B, BL */
		if ((n & 3) != 0 || ((n+0x08000000) >> 28) != 0) {
			ZEND_ASSERT(0);
			return 0;
		}
	} else if ((ins & 0x800)) {  /* B.cond, CBZ, CBNZ, LDR* literal */
		if ((n & 3) != 0 || ((n+0x00100000) >> 21) != 0) {
			ZEND_ASSERT(0);
			return 0;
		}
	} else if ((ins & 0x3000) == 0x2000) {  /* ADR */
		ZEND_ASSERT(0);
		return 0;
	} else if ((ins & 0x3000) == 0x3000) {  /* ADRP */
		ZEND_ASSERT(0);
		return 0;
	} else if ((ins & 0x1000)) {  /* TBZ, TBNZ */
		if ((n & 3) != 0 || ((n+0x00008000) >> 16) != 0) {
			ZEND_ASSERT(0);
			return 0;
		}
	} else if ((ins & 0x8000)) {  /* absolute */
		ZEND_ASSERT(0);
		return 0;
	} else {
		ZEND_ASSERT(0);
		return 0;
	}

	// TODO: support for long veneers (above 128MB) ???

	/* check if we can use B to jump from veneer */
	na = (ptrdiff_t)cp + offset - (ptrdiff_t)veneer - 4;
	m = (int)na;
	if ((ptrdiff_t)m != na) {
		ZEND_ASSERT(0);
		return 0;
	} else if ((m & 3) != 0 || ((m+0x08000000) >> 28) != 0) {
		ZEND_ASSERT(0);
		return 0;
	}

	/* generate B instruction */
	*(uint32_t*)veneer = 0x14000000 | ((m >> 2) & 0x03ffffff);
	dasm_venners_size += 4;

	if ((ins >> 16) == DASM_REL_LG
	 && *(b-1) < 0) {
		/* reuse this veneer for the future jumps to global label */
		dasm_labels_veneers[-*(b-1)] = veneer;
		/* Dst->globals[*(b-1)] = veneer; */

#ifdef HAVE_DISASM
	    if (JIT_G(debug) & ZEND_JIT_DEBUG_ASM) {
			const char *name = zend_jit_disasm_find_symbol((ptrdiff_t)cp + offset - 4, (int64_t *)(&offset));

			if (name && !offset) {
				if (strstr(name, "@veneer") == NULL) {
					char *new_name;

					zend_spprintf(&new_name, 0, "%s@veneer", name);
					zend_jit_disasm_add_symbol(new_name, (uint64_t)(uintptr_t)veneer, 4);
					efree(new_name);
				} else {
					zend_jit_disasm_add_symbol(name, (uint64_t)(uintptr_t)veneer, 4);
				}
			}
		}
#endif
	}

	return n;
}

/*
 * Local variables:
 * tab-width: 4
 * c-basic-offset: 4
 * indent-tabs-mode: t
 * End:
 */
